#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 22540
#define LARGE_STATE_COUNT 3324
#define SYMBOL_COUNT 421
#define ALIAS_COUNT 12
#define TOKEN_COUNT 144
#define EXTERNAL_TOKEN_COUNT 6
#define FIELD_COUNT 15
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 137

enum ts_symbol_identifiers {
  sym__lowercase_identifier = 1,
  sym_shebang = 2,
  anon_sym_SEMI_SEMI = 3,
  anon_sym_let = 4,
  anon_sym_rec = 5,
  anon_sym_and = 6,
  anon_sym_COLON_GT = 7,
  anon_sym_EQ = 8,
  anon_sym_TILDE = 9,
  anon_sym_QMARK = 10,
  anon_sym_COLON = 11,
  anon_sym_LPAREN = 12,
  anon_sym_RPAREN = 13,
  anon_sym_external = 14,
  anon_sym_type = 15,
  anon_sym_nonrec = 16,
  anon_sym_private = 17,
  anon_sym_DOT_DOT = 18,
  anon_sym_PLUS_EQ = 19,
  anon_sym_COMMA = 20,
  anon_sym_PLUS = 21,
  anon_sym_BANG = 22,
  anon_sym_DASH = 23,
  anon_sym__ = 24,
  anon_sym_COLON_EQ = 25,
  anon_sym_PIPE = 26,
  anon_sym_LBRACK = 27,
  anon_sym_RBRACK = 28,
  anon_sym_true = 29,
  anon_sym_false = 30,
  anon_sym_of = 31,
  anon_sym_COLON2 = 32,
  anon_sym_DOT = 33,
  anon_sym_DASH_GT = 34,
  anon_sym_STAR = 35,
  anon_sym_LBRACE = 36,
  anon_sym_SEMI = 37,
  anon_sym_RBRACE = 38,
  anon_sym_mutable = 39,
  anon_sym_constraint = 40,
  anon_sym_exception = 41,
  anon_sym_module = 42,
  anon_sym_open = 43,
  anon_sym_include = 44,
  anon_sym_class = 45,
  anon_sym_virtual = 46,
  anon_sym_val = 47,
  anon_sym_sig = 48,
  anon_sym_end = 49,
  anon_sym_with = 50,
  anon_sym_functor = 51,
  anon_sym_struct = 52,
  anon_sym_object = 53,
  anon_sym_inherit = 54,
  anon_sym_method = 55,
  anon_sym_in = 56,
  anon_sym_fun = 57,
  anon_sym_as = 58,
  anon_sym_initializer = 59,
  anon_sym_LBRACK_GT = 60,
  anon_sym_LBRACK_LT = 61,
  anon_sym_GT = 62,
  anon_sym_AMP = 63,
  anon_sym_LT = 64,
  anon_sym_POUND = 65,
  anon_sym_COLON_COLON = 66,
  anon_sym_LBRACK_PIPE = 67,
  anon_sym_PIPE_RBRACK = 68,
  anon_sym_LT_DASH = 69,
  anon_sym_if = 70,
  anon_sym_then = 71,
  anon_sym_else = 72,
  anon_sym_while = 73,
  anon_sym_do = 74,
  anon_sym_done = 75,
  anon_sym_for = 76,
  anon_sym_to = 77,
  anon_sym_downto = 78,
  anon_sym_match = 79,
  anon_sym_when = 80,
  anon_sym_function = 81,
  anon_sym_try = 82,
  anon_sym_assert = 83,
  anon_sym_lazy = 84,
  anon_sym_new = 85,
  anon_sym_LBRACE_LT = 86,
  anon_sym_GT_RBRACE = 87,
  anon_sym_begin = 88,
  sym_ocamlyacc_value = 89,
  anon_sym_effect = 90,
  aux_sym_attribute_token1 = 91,
  anon_sym_LBRACK_AT_AT = 92,
  anon_sym_LBRACK_AT_AT_AT = 93,
  anon_sym_LBRACK_PERCENT = 94,
  anon_sym_LBRACE_PERCENT = 95,
  aux_sym_quoted_extension_token1 = 96,
  anon_sym_LBRACK_PERCENT_PERCENT = 97,
  anon_sym_LBRACE_PERCENT_PERCENT = 98,
  anon_sym_PERCENT = 99,
  aux_sym_number_token1 = 100,
  aux_sym_signed_number_token1 = 101,
  anon_sym_SQUOTE = 102,
  anon_sym_SQUOTE2 = 103,
  aux_sym_character_content_token1 = 104,
  aux_sym_character_content_token2 = 105,
  anon_sym_DQUOTE = 106,
  aux_sym_string_content_token1 = 107,
  aux_sym_string_content_token2 = 108,
  aux_sym_string_content_token3 = 109,
  aux_sym_string_content_token4 = 110,
  aux_sym_string_content_token5 = 111,
  aux_sym_quoted_string_content_token1 = 112,
  aux_sym_escape_sequence_token1 = 113,
  aux_sym_escape_sequence_token2 = 114,
  aux_sym_escape_sequence_token3 = 115,
  aux_sym_escape_sequence_token4 = 116,
  sym_conversion_specification = 117,
  sym_pretty_printing_indication = 118,
  sym_prefix_operator = 119,
  aux_sym_sign_operator_token1 = 120,
  sym_hash_operator = 121,
  sym_pow_operator = 122,
  sym_mult_operator = 123,
  aux_sym_add_operator_token1 = 124,
  sym_concat_operator = 125,
  sym_rel_operator = 126,
  sym_and_operator = 127,
  sym_or_operator = 128,
  sym_assign_operator = 129,
  sym_indexing_operator = 130,
  sym_let_operator = 131,
  sym_let_and_operator = 132,
  sym_match_operator = 133,
  sym__uppercase_identifier = 134,
  aux_sym_directive_token1 = 135,
  aux_sym_type_variable_token1 = 136,
  aux_sym_tag_token1 = 137,
  aux_sym_attribute_id_token1 = 138,
  sym_comment = 139,
  sym__left_quoted_string_delimiter = 140,
  sym__right_quoted_string_delimiter = 141,
  sym_line_number_directive = 142,
  sym__null = 143,
  sym_compilation_unit = 144,
  sym__structure = 145,
  sym_expression_item = 146,
  sym__signature = 147,
  sym_toplevel_directive = 148,
  sym__structure_item = 149,
  sym_value_definition = 150,
  sym_let_binding = 151,
  sym_parameter = 152,
  sym_external = 153,
  sym_type_definition = 154,
  sym_type_binding = 155,
  sym__type_params = 156,
  sym__type_param = 157,
  sym__type_equation = 158,
  sym_variant_declaration = 159,
  sym_constructor_declaration = 160,
  sym__constructor_argument = 161,
  sym_record_declaration = 162,
  sym_field_declaration = 163,
  sym_type_constraint = 164,
  sym_exception_definition = 165,
  sym_module_definition = 166,
  sym_module_binding = 167,
  sym_module_parameter = 168,
  sym_module_type_definition = 169,
  sym_open_module = 170,
  sym_include_module = 171,
  sym_class_definition = 172,
  sym_class_binding = 173,
  sym_class_type_definition = 174,
  sym_class_type_binding = 175,
  sym__signature_item = 176,
  sym_value_specification = 177,
  sym_include_module_type = 178,
  sym__module_typed = 179,
  sym__module_type = 180,
  sym_signature = 181,
  sym_module_type_constraint = 182,
  sym_constrain_type = 183,
  sym_constrain_module = 184,
  sym_constrain_module_type = 185,
  sym_module_type_of = 186,
  sym_functor_type = 187,
  sym_parenthesized_module_type = 188,
  sym__simple_module_expression = 189,
  sym__module_expression = 190,
  sym_structure = 191,
  sym_functor = 192,
  sym_module_application = 193,
  sym_typed_module_expression = 194,
  sym_packed_module = 195,
  sym_parenthesized_module_expression = 196,
  sym__class_typed = 197,
  sym__simple_class_type = 198,
  sym__class_type = 199,
  sym_instantiated_class_type = 200,
  sym_class_body_type = 201,
  sym__class_field_specification = 202,
  sym_inheritance_specification = 203,
  sym_instance_variable_specification = 204,
  sym_method_specification = 205,
  sym_type_parameter_constraint = 206,
  sym_let_open_class_type = 207,
  sym_class_function_type = 208,
  sym__simple_class_expression = 209,
  sym__class_expression = 210,
  sym_instantiated_class = 211,
  sym_typed_class_expression = 212,
  sym_class_function = 213,
  sym_class_application = 214,
  sym_let_class_expression = 215,
  sym__class_field = 216,
  sym_inheritance_definition = 217,
  sym_instance_variable_definition = 218,
  sym_method_definition = 219,
  sym_class_initializer = 220,
  sym_let_open_class_expression = 221,
  sym_parenthesized_class_expression = 222,
  sym__typed = 223,
  sym__simple_typed = 224,
  sym__polymorphic_typed = 225,
  sym__polymorphic_type = 226,
  sym_polymorphic_type = 227,
  sym__abstract_type = 228,
  sym__parenthesized_abstract_type = 229,
  sym__simple_type = 230,
  sym__tuple_type = 231,
  sym__type = 232,
  sym_function_type = 233,
  sym_typed_label = 234,
  sym_tuple_type = 235,
  sym_constructed_type = 236,
  sym_aliased_type = 237,
  sym_local_open_type = 238,
  sym_polymorphic_variant_type = 239,
  sym__tag_spec = 240,
  sym_tag_specification = 241,
  sym_package_type = 242,
  sym_object_type = 243,
  sym_method_type = 244,
  sym_hash_type = 245,
  sym_parenthesized_type = 246,
  sym__simple_expression = 247,
  sym__expression = 248,
  sym__sequence_expression = 249,
  sym_typed_expression = 250,
  sym_product_expression = 251,
  sym_cons_expression = 252,
  sym_list_expression = 253,
  sym_array_expression = 254,
  sym_record_expression = 255,
  sym_field_expression = 256,
  sym_application_expression = 257,
  sym_labeled_argument = 258,
  sym_prefix_expression = 259,
  sym_sign_expression = 260,
  sym_hash_expression = 261,
  sym_infix_expression = 262,
  sym_field_get_expression = 263,
  sym_array_get_expression = 264,
  sym_string_get_expression = 265,
  sym_bigarray_get_expression = 266,
  sym_set_expression = 267,
  sym_if_expression = 268,
  sym_then_clause = 269,
  sym_else_clause = 270,
  sym_while_expression = 271,
  sym_do_clause = 272,
  sym_for_expression = 273,
  sym_sequence_expression = 274,
  sym_match_expression = 275,
  sym__match_cases = 276,
  sym_match_case = 277,
  sym_guard = 278,
  sym_refutation_case = 279,
  sym_function_expression = 280,
  sym_fun_expression = 281,
  sym_try_expression = 282,
  sym_let_expression = 283,
  sym_coercion_expression = 284,
  sym_assert_expression = 285,
  sym_lazy_expression = 286,
  sym_let_module_expression = 287,
  sym_let_open_expression = 288,
  sym_local_open_expression = 289,
  sym_package_expression = 290,
  sym_let_exception_expression = 291,
  sym_new_expression = 292,
  sym_object_copy_expression = 293,
  sym_instance_variable_expression = 294,
  sym_method_invocation = 295,
  sym_object_expression = 296,
  sym_parenthesized_expression = 297,
  sym__simple_pattern = 298,
  sym__effect_pattern = 299,
  sym__pattern = 300,
  sym__binding_pattern = 301,
  sym_alias_pattern = 302,
  sym_alias_binding_pattern = 303,
  sym_typed_pattern = 304,
  sym_typed_binding_pattern = 305,
  sym_or_pattern = 306,
  sym_or_binding_pattern = 307,
  sym_constructor_pattern = 308,
  sym_constructor_binding_pattern = 309,
  sym_tag_pattern = 310,
  sym_tag_binding_pattern = 311,
  sym_polymorphic_variant_pattern = 312,
  sym_tuple_pattern = 313,
  sym_tuple_binding_pattern = 314,
  sym_record_pattern = 315,
  sym_field_pattern = 316,
  sym_record_binding_pattern = 317,
  sym_field_binding_pattern = 318,
  sym_list_pattern = 319,
  sym_list_binding_pattern = 320,
  sym_cons_pattern = 321,
  sym_cons_binding_pattern = 322,
  sym_array_pattern = 323,
  sym_array_binding_pattern = 324,
  sym_range_pattern = 325,
  sym_lazy_pattern = 326,
  sym_lazy_binding_pattern = 327,
  sym_local_open_pattern = 328,
  sym_local_open_binding_pattern = 329,
  sym_package_pattern = 330,
  sym_parenthesized_pattern = 331,
  sym_parenthesized_binding_pattern = 332,
  sym_exception_pattern = 333,
  sym_effect_pattern = 334,
  sym_attribute = 335,
  sym_item_attribute = 336,
  sym_floating_attribute = 337,
  sym_attribute_payload = 338,
  sym_extension = 339,
  sym_quoted_extension = 340,
  sym_item_extension = 341,
  sym_quoted_item_extension = 342,
  sym__attribute = 343,
  sym__constant = 344,
  sym__signed_constant = 345,
  sym_number = 346,
  sym_signed_number = 347,
  sym_character = 348,
  sym_character_content = 349,
  sym_string = 350,
  sym_string_content = 351,
  sym_quoted_string = 352,
  sym__quoted_string = 353,
  sym_quoted_string_content = 354,
  sym_escape_sequence = 355,
  sym_boolean = 356,
  sym_unit = 357,
  sym_sign_operator = 358,
  sym__infix_operator = 359,
  sym_add_operator = 360,
  sym_indexing_operator_path = 361,
  sym__value_name = 362,
  sym__simple_value_pattern = 363,
  sym_parenthesized_operator = 364,
  sym_value_path = 365,
  sym_module_path = 366,
  sym_extended_module_path = 367,
  sym_module_type_path = 368,
  sym_field_path = 369,
  sym_constructor_path = 370,
  sym_type_constructor_path = 371,
  sym_class_path = 372,
  sym_class_type_path = 373,
  sym__instance_variable_name = 374,
  sym__constructor_name = 375,
  sym_directive = 376,
  sym_type_variable = 377,
  sym_tag = 378,
  sym_attribute_id = 379,
  aux_sym__structure_repeat1 = 380,
  aux_sym__structure_repeat2 = 381,
  aux_sym_expression_item_repeat1 = 382,
  aux_sym__signature_repeat1 = 383,
  aux_sym_value_definition_repeat1 = 384,
  aux_sym_let_binding_repeat1 = 385,
  aux_sym_external_repeat1 = 386,
  aux_sym_type_definition_repeat1 = 387,
  aux_sym_type_binding_repeat1 = 388,
  aux_sym__type_params_repeat1 = 389,
  aux_sym_variant_declaration_repeat1 = 390,
  aux_sym_constructor_declaration_repeat1 = 391,
  aux_sym__constructor_argument_repeat1 = 392,
  aux_sym_record_declaration_repeat1 = 393,
  aux_sym_module_definition_repeat1 = 394,
  aux_sym_module_binding_repeat1 = 395,
  aux_sym_class_definition_repeat1 = 396,
  aux_sym_class_type_definition_repeat1 = 397,
  aux_sym_module_type_constraint_repeat1 = 398,
  aux_sym_instantiated_class_type_repeat1 = 399,
  aux_sym_class_body_type_repeat1 = 400,
  aux_sym_instance_variable_specification_repeat1 = 401,
  aux_sym_method_specification_repeat1 = 402,
  aux_sym_class_application_repeat1 = 403,
  aux_sym__abstract_type_repeat1 = 404,
  aux_sym_polymorphic_variant_type_repeat1 = 405,
  aux_sym_polymorphic_variant_type_repeat2 = 406,
  aux_sym_tag_specification_repeat1 = 407,
  aux_sym_object_type_repeat1 = 408,
  aux_sym_list_expression_repeat1 = 409,
  aux_sym_record_expression_repeat1 = 410,
  aux_sym__match_cases_repeat1 = 411,
  aux_sym_object_copy_expression_repeat1 = 412,
  aux_sym_object_expression_repeat1 = 413,
  aux_sym_record_pattern_repeat1 = 414,
  aux_sym_record_binding_pattern_repeat1 = 415,
  aux_sym_list_pattern_repeat1 = 416,
  aux_sym_list_binding_pattern_repeat1 = 417,
  aux_sym_string_content_repeat1 = 418,
  aux_sym_quoted_string_content_repeat1 = 419,
  aux_sym_attribute_id_repeat1 = 420,
  alias_sym_class_name = 421,
  alias_sym_class_type_name = 422,
  alias_sym_constructor_name = 423,
  alias_sym_field_name = 424,
  alias_sym_instance_variable_name = 425,
  alias_sym_label_name = 426,
  alias_sym_method_name = 427,
  alias_sym_module_name = 428,
  alias_sym_module_type_name = 429,
  alias_sym_type_constructor = 430,
  alias_sym_value_name = 431,
  alias_sym_value_pattern = 432,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym__lowercase_identifier] = "_lowercase_identifier",
  [sym_shebang] = "shebang",
  [anon_sym_SEMI_SEMI] = ";;",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_and] = "and",
  [anon_sym_COLON_GT] = ":>",
  [anon_sym_EQ] = "=",
  [anon_sym_TILDE] = "~",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_external] = "external",
  [anon_sym_type] = "type",
  [anon_sym_nonrec] = "nonrec",
  [anon_sym_private] = "private",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_COMMA] = ",",
  [anon_sym_PLUS] = "+",
  [anon_sym_BANG] = "!",
  [anon_sym_DASH] = "-",
  [anon_sym__] = "_",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_PIPE] = "|",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_of] = "of",
  [anon_sym_COLON2] = ":",
  [anon_sym_DOT] = ".",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_STAR] = "*",
  [anon_sym_LBRACE] = "{",
  [anon_sym_SEMI] = ";",
  [anon_sym_RBRACE] = "}",
  [anon_sym_mutable] = "mutable",
  [anon_sym_constraint] = "constraint",
  [anon_sym_exception] = "exception",
  [anon_sym_module] = "module",
  [anon_sym_open] = "open",
  [anon_sym_include] = "include",
  [anon_sym_class] = "class",
  [anon_sym_virtual] = "virtual",
  [anon_sym_val] = "val",
  [anon_sym_sig] = "sig",
  [anon_sym_end] = "end",
  [anon_sym_with] = "with",
  [anon_sym_functor] = "functor",
  [anon_sym_struct] = "struct",
  [anon_sym_object] = "object",
  [anon_sym_inherit] = "inherit",
  [anon_sym_method] = "method",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_as] = "as",
  [anon_sym_initializer] = "initializer",
  [anon_sym_LBRACK_GT] = "[>",
  [anon_sym_LBRACK_LT] = "[<",
  [anon_sym_GT] = ">",
  [anon_sym_AMP] = "&",
  [anon_sym_LT] = "<",
  [anon_sym_POUND] = "#",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_while] = "while",
  [anon_sym_do] = "do",
  [anon_sym_done] = "done",
  [anon_sym_for] = "for",
  [anon_sym_to] = "to",
  [anon_sym_downto] = "downto",
  [anon_sym_match] = "match",
  [anon_sym_when] = "when",
  [anon_sym_function] = "function",
  [anon_sym_try] = "try",
  [anon_sym_assert] = "assert",
  [anon_sym_lazy] = "lazy",
  [anon_sym_new] = "new",
  [anon_sym_LBRACE_LT] = "{<",
  [anon_sym_GT_RBRACE] = ">}",
  [anon_sym_begin] = "begin",
  [sym_ocamlyacc_value] = "ocamlyacc_value",
  [anon_sym_effect] = "effect",
  [aux_sym_attribute_token1] = "[@",
  [anon_sym_LBRACK_AT_AT] = "[@@",
  [anon_sym_LBRACK_AT_AT_AT] = "[@@@",
  [anon_sym_LBRACK_PERCENT] = "[%",
  [anon_sym_LBRACE_PERCENT] = "{%",
  [aux_sym_quoted_extension_token1] = "quoted_extension_token1",
  [anon_sym_LBRACK_PERCENT_PERCENT] = "[%%",
  [anon_sym_LBRACE_PERCENT_PERCENT] = "{%%",
  [anon_sym_PERCENT] = "%",
  [aux_sym_number_token1] = "number_token1",
  [aux_sym_signed_number_token1] = "signed_number_token1",
  [anon_sym_SQUOTE] = "'",
  [anon_sym_SQUOTE2] = "'",
  [aux_sym_character_content_token1] = "character_content_token1",
  [aux_sym_character_content_token2] = "character_content_token2",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_content_token1] = "string_content_token1",
  [aux_sym_string_content_token2] = "string_content_token2",
  [aux_sym_string_content_token3] = "string_content_token3",
  [aux_sym_string_content_token4] = "escape_sequence",
  [aux_sym_string_content_token5] = "escape_sequence",
  [aux_sym_quoted_string_content_token1] = "quoted_string_content_token1",
  [aux_sym_escape_sequence_token1] = "escape_sequence_token1",
  [aux_sym_escape_sequence_token2] = "escape_sequence_token2",
  [aux_sym_escape_sequence_token3] = "escape_sequence_token3",
  [aux_sym_escape_sequence_token4] = "escape_sequence_token4",
  [sym_conversion_specification] = "conversion_specification",
  [sym_pretty_printing_indication] = "pretty_printing_indication",
  [sym_prefix_operator] = "prefix_operator",
  [aux_sym_sign_operator_token1] = "sign_operator_token1",
  [sym_hash_operator] = "hash_operator",
  [sym_pow_operator] = "pow_operator",
  [sym_mult_operator] = "mult_operator",
  [aux_sym_add_operator_token1] = "add_operator_token1",
  [sym_concat_operator] = "concat_operator",
  [sym_rel_operator] = "rel_operator",
  [sym_and_operator] = "and_operator",
  [sym_or_operator] = "or_operator",
  [sym_assign_operator] = "assign_operator",
  [sym_indexing_operator] = "indexing_operator",
  [sym_let_operator] = "let_operator",
  [sym_let_and_operator] = "let_and_operator",
  [sym_match_operator] = "match_operator",
  [sym__uppercase_identifier] = "_uppercase_identifier",
  [aux_sym_directive_token1] = "directive_token1",
  [aux_sym_type_variable_token1] = "type_variable_token1",
  [aux_sym_tag_token1] = "tag_token1",
  [aux_sym_attribute_id_token1] = "attribute_id_token1",
  [sym_comment] = "comment",
  [sym__left_quoted_string_delimiter] = "_left_quoted_string_delimiter",
  [sym__right_quoted_string_delimiter] = "_right_quoted_string_delimiter",
  [sym_line_number_directive] = "line_number_directive",
  [sym__null] = "_null",
  [sym_compilation_unit] = "compilation_unit",
  [sym__structure] = "_structure",
  [sym_expression_item] = "expression_item",
  [sym__signature] = "_signature",
  [sym_toplevel_directive] = "toplevel_directive",
  [sym__structure_item] = "_structure_item",
  [sym_value_definition] = "value_definition",
  [sym_let_binding] = "let_binding",
  [sym_parameter] = "parameter",
  [sym_external] = "external",
  [sym_type_definition] = "type_definition",
  [sym_type_binding] = "type_binding",
  [sym__type_params] = "_type_params",
  [sym__type_param] = "_type_param",
  [sym__type_equation] = "_type_equation",
  [sym_variant_declaration] = "variant_declaration",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_argument] = "_constructor_argument",
  [sym_record_declaration] = "record_declaration",
  [sym_field_declaration] = "field_declaration",
  [sym_type_constraint] = "type_constraint",
  [sym_exception_definition] = "exception_definition",
  [sym_module_definition] = "module_definition",
  [sym_module_binding] = "module_binding",
  [sym_module_parameter] = "module_parameter",
  [sym_module_type_definition] = "module_type_definition",
  [sym_open_module] = "open_module",
  [sym_include_module] = "include_module",
  [sym_class_definition] = "class_definition",
  [sym_class_binding] = "class_binding",
  [sym_class_type_definition] = "class_type_definition",
  [sym_class_type_binding] = "class_type_binding",
  [sym__signature_item] = "_signature_item",
  [sym_value_specification] = "value_specification",
  [sym_include_module_type] = "include_module_type",
  [sym__module_typed] = "_module_typed",
  [sym__module_type] = "_module_type",
  [sym_signature] = "signature",
  [sym_module_type_constraint] = "module_type_constraint",
  [sym_constrain_type] = "constrain_type",
  [sym_constrain_module] = "constrain_module",
  [sym_constrain_module_type] = "constrain_module_type",
  [sym_module_type_of] = "module_type_of",
  [sym_functor_type] = "functor_type",
  [sym_parenthesized_module_type] = "parenthesized_module_type",
  [sym__simple_module_expression] = "_simple_module_expression",
  [sym__module_expression] = "_module_expression",
  [sym_structure] = "structure",
  [sym_functor] = "functor",
  [sym_module_application] = "module_application",
  [sym_typed_module_expression] = "typed_module_expression",
  [sym_packed_module] = "packed_module",
  [sym_parenthesized_module_expression] = "parenthesized_module_expression",
  [sym__class_typed] = "_class_typed",
  [sym__simple_class_type] = "_simple_class_type",
  [sym__class_type] = "_class_type",
  [sym_instantiated_class_type] = "instantiated_class_type",
  [sym_class_body_type] = "class_body_type",
  [sym__class_field_specification] = "_class_field_specification",
  [sym_inheritance_specification] = "inheritance_specification",
  [sym_instance_variable_specification] = "instance_variable_specification",
  [sym_method_specification] = "method_specification",
  [sym_type_parameter_constraint] = "type_parameter_constraint",
  [sym_let_open_class_type] = "let_open_class_type",
  [sym_class_function_type] = "class_function_type",
  [sym__simple_class_expression] = "_simple_class_expression",
  [sym__class_expression] = "_class_expression",
  [sym_instantiated_class] = "instantiated_class",
  [sym_typed_class_expression] = "typed_class_expression",
  [sym_class_function] = "class_function",
  [sym_class_application] = "class_application",
  [sym_let_class_expression] = "let_class_expression",
  [sym__class_field] = "_class_field",
  [sym_inheritance_definition] = "inheritance_definition",
  [sym_instance_variable_definition] = "instance_variable_definition",
  [sym_method_definition] = "method_definition",
  [sym_class_initializer] = "class_initializer",
  [sym_let_open_class_expression] = "let_open_class_expression",
  [sym_parenthesized_class_expression] = "parenthesized_class_expression",
  [sym__typed] = "_typed",
  [sym__simple_typed] = "_simple_typed",
  [sym__polymorphic_typed] = "_polymorphic_typed",
  [sym__polymorphic_type] = "_polymorphic_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__abstract_type] = "_abstract_type",
  [sym__parenthesized_abstract_type] = "abstract_type",
  [sym__simple_type] = "_simple_type",
  [sym__tuple_type] = "_tuple_type",
  [sym__type] = "_type",
  [sym_function_type] = "function_type",
  [sym_typed_label] = "typed_label",
  [sym_tuple_type] = "tuple_type",
  [sym_constructed_type] = "constructed_type",
  [sym_aliased_type] = "aliased_type",
  [sym_local_open_type] = "local_open_type",
  [sym_polymorphic_variant_type] = "polymorphic_variant_type",
  [sym__tag_spec] = "_tag_spec",
  [sym_tag_specification] = "tag_specification",
  [sym_package_type] = "package_type",
  [sym_object_type] = "object_type",
  [sym_method_type] = "method_type",
  [sym_hash_type] = "hash_type",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym__simple_expression] = "_simple_expression",
  [sym__expression] = "_expression",
  [sym__sequence_expression] = "_sequence_expression",
  [sym_typed_expression] = "typed_expression",
  [sym_product_expression] = "product_expression",
  [sym_cons_expression] = "cons_expression",
  [sym_list_expression] = "list_expression",
  [sym_array_expression] = "array_expression",
  [sym_record_expression] = "record_expression",
  [sym_field_expression] = "field_expression",
  [sym_application_expression] = "application_expression",
  [sym_labeled_argument] = "labeled_argument",
  [sym_prefix_expression] = "prefix_expression",
  [sym_sign_expression] = "sign_expression",
  [sym_hash_expression] = "hash_expression",
  [sym_infix_expression] = "infix_expression",
  [sym_field_get_expression] = "field_get_expression",
  [sym_array_get_expression] = "array_get_expression",
  [sym_string_get_expression] = "string_get_expression",
  [sym_bigarray_get_expression] = "bigarray_get_expression",
  [sym_set_expression] = "set_expression",
  [sym_if_expression] = "if_expression",
  [sym_then_clause] = "then_clause",
  [sym_else_clause] = "else_clause",
  [sym_while_expression] = "while_expression",
  [sym_do_clause] = "do_clause",
  [sym_for_expression] = "for_expression",
  [sym_sequence_expression] = "sequence_expression",
  [sym_match_expression] = "match_expression",
  [sym__match_cases] = "_match_cases",
  [sym_match_case] = "match_case",
  [sym_guard] = "guard",
  [sym_refutation_case] = "refutation_case",
  [sym_function_expression] = "function_expression",
  [sym_fun_expression] = "fun_expression",
  [sym_try_expression] = "try_expression",
  [sym_let_expression] = "let_expression",
  [sym_coercion_expression] = "coercion_expression",
  [sym_assert_expression] = "assert_expression",
  [sym_lazy_expression] = "lazy_expression",
  [sym_let_module_expression] = "let_module_expression",
  [sym_let_open_expression] = "let_open_expression",
  [sym_local_open_expression] = "local_open_expression",
  [sym_package_expression] = "package_expression",
  [sym_let_exception_expression] = "let_exception_expression",
  [sym_new_expression] = "new_expression",
  [sym_object_copy_expression] = "object_copy_expression",
  [sym_instance_variable_expression] = "instance_variable_expression",
  [sym_method_invocation] = "method_invocation",
  [sym_object_expression] = "object_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym__simple_pattern] = "_simple_pattern",
  [sym__effect_pattern] = "_effect_pattern",
  [sym__pattern] = "_pattern",
  [sym__binding_pattern] = "_binding_pattern",
  [sym_alias_pattern] = "alias_pattern",
  [sym_alias_binding_pattern] = "alias_pattern",
  [sym_typed_pattern] = "typed_pattern",
  [sym_typed_binding_pattern] = "typed_pattern",
  [sym_or_pattern] = "or_pattern",
  [sym_or_binding_pattern] = "or_pattern",
  [sym_constructor_pattern] = "constructor_pattern",
  [sym_constructor_binding_pattern] = "constructor_pattern",
  [sym_tag_pattern] = "tag_pattern",
  [sym_tag_binding_pattern] = "tag_pattern",
  [sym_polymorphic_variant_pattern] = "polymorphic_variant_pattern",
  [sym_tuple_pattern] = "tuple_pattern",
  [sym_tuple_binding_pattern] = "tuple_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_field_pattern] = "field_pattern",
  [sym_record_binding_pattern] = "record_binding_pattern",
  [sym_field_binding_pattern] = "field_pattern",
  [sym_list_pattern] = "list_pattern",
  [sym_list_binding_pattern] = "list_binding_pattern",
  [sym_cons_pattern] = "cons_pattern",
  [sym_cons_binding_pattern] = "cons_pattern",
  [sym_array_pattern] = "array_pattern",
  [sym_array_binding_pattern] = "array_binding_pattern",
  [sym_range_pattern] = "range_pattern",
  [sym_lazy_pattern] = "lazy_pattern",
  [sym_lazy_binding_pattern] = "lazy_pattern",
  [sym_local_open_pattern] = "local_open_pattern",
  [sym_local_open_binding_pattern] = "local_open_pattern",
  [sym_package_pattern] = "package_pattern",
  [sym_parenthesized_pattern] = "parenthesized_pattern",
  [sym_parenthesized_binding_pattern] = "parenthesized_pattern",
  [sym_exception_pattern] = "exception_pattern",
  [sym_effect_pattern] = "effect_pattern",
  [sym_attribute] = "attribute",
  [sym_item_attribute] = "item_attribute",
  [sym_floating_attribute] = "floating_attribute",
  [sym_attribute_payload] = "attribute_payload",
  [sym_extension] = "extension",
  [sym_quoted_extension] = "quoted_extension",
  [sym_item_extension] = "item_extension",
  [sym_quoted_item_extension] = "quoted_item_extension",
  [sym__attribute] = "_attribute",
  [sym__constant] = "_constant",
  [sym__signed_constant] = "_signed_constant",
  [sym_number] = "number",
  [sym_signed_number] = "signed_number",
  [sym_character] = "character",
  [sym_character_content] = "character_content",
  [sym_string] = "string",
  [sym_string_content] = "string_content",
  [sym_quoted_string] = "quoted_string",
  [sym__quoted_string] = "_quoted_string",
  [sym_quoted_string_content] = "quoted_string_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_boolean] = "boolean",
  [sym_unit] = "unit",
  [sym_sign_operator] = "sign_operator",
  [sym__infix_operator] = "_infix_operator",
  [sym_add_operator] = "add_operator",
  [sym_indexing_operator_path] = "indexing_operator_path",
  [sym__value_name] = "_value_name",
  [sym__simple_value_pattern] = "_simple_value_pattern",
  [sym_parenthesized_operator] = "parenthesized_operator",
  [sym_value_path] = "value_path",
  [sym_module_path] = "module_path",
  [sym_extended_module_path] = "extended_module_path",
  [sym_module_type_path] = "module_type_path",
  [sym_field_path] = "field_path",
  [sym_constructor_path] = "constructor_path",
  [sym_type_constructor_path] = "type_constructor_path",
  [sym_class_path] = "class_path",
  [sym_class_type_path] = "class_type_path",
  [sym__instance_variable_name] = "_instance_variable_name",
  [sym__constructor_name] = "_constructor_name",
  [sym_directive] = "directive",
  [sym_type_variable] = "type_variable",
  [sym_tag] = "tag",
  [sym_attribute_id] = "attribute_id",
  [aux_sym__structure_repeat1] = "_structure_repeat1",
  [aux_sym__structure_repeat2] = "_structure_repeat2",
  [aux_sym_expression_item_repeat1] = "expression_item_repeat1",
  [aux_sym__signature_repeat1] = "_signature_repeat1",
  [aux_sym_value_definition_repeat1] = "value_definition_repeat1",
  [aux_sym_let_binding_repeat1] = "let_binding_repeat1",
  [aux_sym_external_repeat1] = "external_repeat1",
  [aux_sym_type_definition_repeat1] = "type_definition_repeat1",
  [aux_sym_type_binding_repeat1] = "type_binding_repeat1",
  [aux_sym__type_params_repeat1] = "_type_params_repeat1",
  [aux_sym_variant_declaration_repeat1] = "variant_declaration_repeat1",
  [aux_sym_constructor_declaration_repeat1] = "constructor_declaration_repeat1",
  [aux_sym__constructor_argument_repeat1] = "_constructor_argument_repeat1",
  [aux_sym_record_declaration_repeat1] = "record_declaration_repeat1",
  [aux_sym_module_definition_repeat1] = "module_definition_repeat1",
  [aux_sym_module_binding_repeat1] = "module_binding_repeat1",
  [aux_sym_class_definition_repeat1] = "class_definition_repeat1",
  [aux_sym_class_type_definition_repeat1] = "class_type_definition_repeat1",
  [aux_sym_module_type_constraint_repeat1] = "module_type_constraint_repeat1",
  [aux_sym_instantiated_class_type_repeat1] = "instantiated_class_type_repeat1",
  [aux_sym_class_body_type_repeat1] = "class_body_type_repeat1",
  [aux_sym_instance_variable_specification_repeat1] = "instance_variable_specification_repeat1",
  [aux_sym_method_specification_repeat1] = "method_specification_repeat1",
  [aux_sym_class_application_repeat1] = "class_application_repeat1",
  [aux_sym__abstract_type_repeat1] = "_abstract_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat1] = "polymorphic_variant_type_repeat1",
  [aux_sym_polymorphic_variant_type_repeat2] = "polymorphic_variant_type_repeat2",
  [aux_sym_tag_specification_repeat1] = "tag_specification_repeat1",
  [aux_sym_object_type_repeat1] = "object_type_repeat1",
  [aux_sym_list_expression_repeat1] = "list_expression_repeat1",
  [aux_sym_record_expression_repeat1] = "record_expression_repeat1",
  [aux_sym__match_cases_repeat1] = "_match_cases_repeat1",
  [aux_sym_object_copy_expression_repeat1] = "object_copy_expression_repeat1",
  [aux_sym_object_expression_repeat1] = "object_expression_repeat1",
  [aux_sym_record_pattern_repeat1] = "record_pattern_repeat1",
  [aux_sym_record_binding_pattern_repeat1] = "record_binding_pattern_repeat1",
  [aux_sym_list_pattern_repeat1] = "list_pattern_repeat1",
  [aux_sym_list_binding_pattern_repeat1] = "list_binding_pattern_repeat1",
  [aux_sym_string_content_repeat1] = "string_content_repeat1",
  [aux_sym_quoted_string_content_repeat1] = "quoted_string_content_repeat1",
  [aux_sym_attribute_id_repeat1] = "attribute_id_repeat1",
  [alias_sym_class_name] = "class_name",
  [alias_sym_class_type_name] = "class_type_name",
  [alias_sym_constructor_name] = "constructor_name",
  [alias_sym_field_name] = "field_name",
  [alias_sym_instance_variable_name] = "instance_variable_name",
  [alias_sym_label_name] = "label_name",
  [alias_sym_method_name] = "method_name",
  [alias_sym_module_name] = "module_name",
  [alias_sym_module_type_name] = "module_type_name",
  [alias_sym_type_constructor] = "type_constructor",
  [alias_sym_value_name] = "value_name",
  [alias_sym_value_pattern] = "value_pattern",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym__lowercase_identifier] = sym__lowercase_identifier,
  [sym_shebang] = sym_shebang,
  [anon_sym_SEMI_SEMI] = anon_sym_SEMI_SEMI,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_and] = anon_sym_and,
  [anon_sym_COLON_GT] = anon_sym_COLON_GT,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_external] = anon_sym_external,
  [anon_sym_type] = anon_sym_type,
  [anon_sym_nonrec] = anon_sym_nonrec,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym__] = anon_sym__,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_of] = anon_sym_of,
  [anon_sym_COLON2] = anon_sym_COLON,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_mutable] = anon_sym_mutable,
  [anon_sym_constraint] = anon_sym_constraint,
  [anon_sym_exception] = anon_sym_exception,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_include] = anon_sym_include,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_virtual] = anon_sym_virtual,
  [anon_sym_val] = anon_sym_val,
  [anon_sym_sig] = anon_sym_sig,
  [anon_sym_end] = anon_sym_end,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_functor] = anon_sym_functor,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_object] = anon_sym_object,
  [anon_sym_inherit] = anon_sym_inherit,
  [anon_sym_method] = anon_sym_method,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_initializer] = anon_sym_initializer,
  [anon_sym_LBRACK_GT] = anon_sym_LBRACK_GT,
  [anon_sym_LBRACK_LT] = anon_sym_LBRACK_LT,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_done] = anon_sym_done,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_downto] = anon_sym_downto,
  [anon_sym_match] = anon_sym_match,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_function] = anon_sym_function,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_lazy] = anon_sym_lazy,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACE_LT] = anon_sym_LBRACE_LT,
  [anon_sym_GT_RBRACE] = anon_sym_GT_RBRACE,
  [anon_sym_begin] = anon_sym_begin,
  [sym_ocamlyacc_value] = sym_ocamlyacc_value,
  [anon_sym_effect] = anon_sym_effect,
  [aux_sym_attribute_token1] = aux_sym_attribute_token1,
  [anon_sym_LBRACK_AT_AT] = anon_sym_LBRACK_AT_AT,
  [anon_sym_LBRACK_AT_AT_AT] = anon_sym_LBRACK_AT_AT_AT,
  [anon_sym_LBRACK_PERCENT] = anon_sym_LBRACK_PERCENT,
  [anon_sym_LBRACE_PERCENT] = anon_sym_LBRACE_PERCENT,
  [aux_sym_quoted_extension_token1] = aux_sym_quoted_extension_token1,
  [anon_sym_LBRACK_PERCENT_PERCENT] = anon_sym_LBRACK_PERCENT_PERCENT,
  [anon_sym_LBRACE_PERCENT_PERCENT] = anon_sym_LBRACE_PERCENT_PERCENT,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [aux_sym_number_token1] = aux_sym_number_token1,
  [aux_sym_signed_number_token1] = aux_sym_signed_number_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [anon_sym_SQUOTE2] = anon_sym_SQUOTE,
  [aux_sym_character_content_token1] = aux_sym_character_content_token1,
  [aux_sym_character_content_token2] = aux_sym_character_content_token2,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_content_token1] = aux_sym_string_content_token1,
  [aux_sym_string_content_token2] = aux_sym_string_content_token2,
  [aux_sym_string_content_token3] = aux_sym_string_content_token3,
  [aux_sym_string_content_token4] = sym_escape_sequence,
  [aux_sym_string_content_token5] = sym_escape_sequence,
  [aux_sym_quoted_string_content_token1] = aux_sym_quoted_string_content_token1,
  [aux_sym_escape_sequence_token1] = aux_sym_escape_sequence_token1,
  [aux_sym_escape_sequence_token2] = aux_sym_escape_sequence_token2,
  [aux_sym_escape_sequence_token3] = aux_sym_escape_sequence_token3,
  [aux_sym_escape_sequence_token4] = aux_sym_escape_sequence_token4,
  [sym_conversion_specification] = sym_conversion_specification,
  [sym_pretty_printing_indication] = sym_pretty_printing_indication,
  [sym_prefix_operator] = sym_prefix_operator,
  [aux_sym_sign_operator_token1] = aux_sym_sign_operator_token1,
  [sym_hash_operator] = sym_hash_operator,
  [sym_pow_operator] = sym_pow_operator,
  [sym_mult_operator] = sym_mult_operator,
  [aux_sym_add_operator_token1] = aux_sym_add_operator_token1,
  [sym_concat_operator] = sym_concat_operator,
  [sym_rel_operator] = sym_rel_operator,
  [sym_and_operator] = sym_and_operator,
  [sym_or_operator] = sym_or_operator,
  [sym_assign_operator] = sym_assign_operator,
  [sym_indexing_operator] = sym_indexing_operator,
  [sym_let_operator] = sym_let_operator,
  [sym_let_and_operator] = sym_let_and_operator,
  [sym_match_operator] = sym_match_operator,
  [sym__uppercase_identifier] = sym__uppercase_identifier,
  [aux_sym_directive_token1] = aux_sym_directive_token1,
  [aux_sym_type_variable_token1] = aux_sym_type_variable_token1,
  [aux_sym_tag_token1] = aux_sym_tag_token1,
  [aux_sym_attribute_id_token1] = aux_sym_attribute_id_token1,
  [sym_comment] = sym_comment,
  [sym__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [sym__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [sym_line_number_directive] = sym_line_number_directive,
  [sym__null] = sym__null,
  [sym_compilation_unit] = sym_compilation_unit,
  [sym__structure] = sym__structure,
  [sym_expression_item] = sym_expression_item,
  [sym__signature] = sym__signature,
  [sym_toplevel_directive] = sym_toplevel_directive,
  [sym__structure_item] = sym__structure_item,
  [sym_value_definition] = sym_value_definition,
  [sym_let_binding] = sym_let_binding,
  [sym_parameter] = sym_parameter,
  [sym_external] = sym_external,
  [sym_type_definition] = sym_type_definition,
  [sym_type_binding] = sym_type_binding,
  [sym__type_params] = sym__type_params,
  [sym__type_param] = sym__type_param,
  [sym__type_equation] = sym__type_equation,
  [sym_variant_declaration] = sym_variant_declaration,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_argument] = sym__constructor_argument,
  [sym_record_declaration] = sym_record_declaration,
  [sym_field_declaration] = sym_field_declaration,
  [sym_type_constraint] = sym_type_constraint,
  [sym_exception_definition] = sym_exception_definition,
  [sym_module_definition] = sym_module_definition,
  [sym_module_binding] = sym_module_binding,
  [sym_module_parameter] = sym_module_parameter,
  [sym_module_type_definition] = sym_module_type_definition,
  [sym_open_module] = sym_open_module,
  [sym_include_module] = sym_include_module,
  [sym_class_definition] = sym_class_definition,
  [sym_class_binding] = sym_class_binding,
  [sym_class_type_definition] = sym_class_type_definition,
  [sym_class_type_binding] = sym_class_type_binding,
  [sym__signature_item] = sym__signature_item,
  [sym_value_specification] = sym_value_specification,
  [sym_include_module_type] = sym_include_module_type,
  [sym__module_typed] = sym__module_typed,
  [sym__module_type] = sym__module_type,
  [sym_signature] = sym_signature,
  [sym_module_type_constraint] = sym_module_type_constraint,
  [sym_constrain_type] = sym_constrain_type,
  [sym_constrain_module] = sym_constrain_module,
  [sym_constrain_module_type] = sym_constrain_module_type,
  [sym_module_type_of] = sym_module_type_of,
  [sym_functor_type] = sym_functor_type,
  [sym_parenthesized_module_type] = sym_parenthesized_module_type,
  [sym__simple_module_expression] = sym__simple_module_expression,
  [sym__module_expression] = sym__module_expression,
  [sym_structure] = sym_structure,
  [sym_functor] = sym_functor,
  [sym_module_application] = sym_module_application,
  [sym_typed_module_expression] = sym_typed_module_expression,
  [sym_packed_module] = sym_packed_module,
  [sym_parenthesized_module_expression] = sym_parenthesized_module_expression,
  [sym__class_typed] = sym__class_typed,
  [sym__simple_class_type] = sym__simple_class_type,
  [sym__class_type] = sym__class_type,
  [sym_instantiated_class_type] = sym_instantiated_class_type,
  [sym_class_body_type] = sym_class_body_type,
  [sym__class_field_specification] = sym__class_field_specification,
  [sym_inheritance_specification] = sym_inheritance_specification,
  [sym_instance_variable_specification] = sym_instance_variable_specification,
  [sym_method_specification] = sym_method_specification,
  [sym_type_parameter_constraint] = sym_type_parameter_constraint,
  [sym_let_open_class_type] = sym_let_open_class_type,
  [sym_class_function_type] = sym_class_function_type,
  [sym__simple_class_expression] = sym__simple_class_expression,
  [sym__class_expression] = sym__class_expression,
  [sym_instantiated_class] = sym_instantiated_class,
  [sym_typed_class_expression] = sym_typed_class_expression,
  [sym_class_function] = sym_class_function,
  [sym_class_application] = sym_class_application,
  [sym_let_class_expression] = sym_let_class_expression,
  [sym__class_field] = sym__class_field,
  [sym_inheritance_definition] = sym_inheritance_definition,
  [sym_instance_variable_definition] = sym_instance_variable_definition,
  [sym_method_definition] = sym_method_definition,
  [sym_class_initializer] = sym_class_initializer,
  [sym_let_open_class_expression] = sym_let_open_class_expression,
  [sym_parenthesized_class_expression] = sym_parenthesized_class_expression,
  [sym__typed] = sym__typed,
  [sym__simple_typed] = sym__simple_typed,
  [sym__polymorphic_typed] = sym__polymorphic_typed,
  [sym__polymorphic_type] = sym__polymorphic_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__abstract_type] = sym__abstract_type,
  [sym__parenthesized_abstract_type] = sym__parenthesized_abstract_type,
  [sym__simple_type] = sym__simple_type,
  [sym__tuple_type] = sym__tuple_type,
  [sym__type] = sym__type,
  [sym_function_type] = sym_function_type,
  [sym_typed_label] = sym_typed_label,
  [sym_tuple_type] = sym_tuple_type,
  [sym_constructed_type] = sym_constructed_type,
  [sym_aliased_type] = sym_aliased_type,
  [sym_local_open_type] = sym_local_open_type,
  [sym_polymorphic_variant_type] = sym_polymorphic_variant_type,
  [sym__tag_spec] = sym__tag_spec,
  [sym_tag_specification] = sym_tag_specification,
  [sym_package_type] = sym_package_type,
  [sym_object_type] = sym_object_type,
  [sym_method_type] = sym_method_type,
  [sym_hash_type] = sym_hash_type,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym__simple_expression] = sym__simple_expression,
  [sym__expression] = sym__expression,
  [sym__sequence_expression] = sym__sequence_expression,
  [sym_typed_expression] = sym_typed_expression,
  [sym_product_expression] = sym_product_expression,
  [sym_cons_expression] = sym_cons_expression,
  [sym_list_expression] = sym_list_expression,
  [sym_array_expression] = sym_array_expression,
  [sym_record_expression] = sym_record_expression,
  [sym_field_expression] = sym_field_expression,
  [sym_application_expression] = sym_application_expression,
  [sym_labeled_argument] = sym_labeled_argument,
  [sym_prefix_expression] = sym_prefix_expression,
  [sym_sign_expression] = sym_sign_expression,
  [sym_hash_expression] = sym_hash_expression,
  [sym_infix_expression] = sym_infix_expression,
  [sym_field_get_expression] = sym_field_get_expression,
  [sym_array_get_expression] = sym_array_get_expression,
  [sym_string_get_expression] = sym_string_get_expression,
  [sym_bigarray_get_expression] = sym_bigarray_get_expression,
  [sym_set_expression] = sym_set_expression,
  [sym_if_expression] = sym_if_expression,
  [sym_then_clause] = sym_then_clause,
  [sym_else_clause] = sym_else_clause,
  [sym_while_expression] = sym_while_expression,
  [sym_do_clause] = sym_do_clause,
  [sym_for_expression] = sym_for_expression,
  [sym_sequence_expression] = sym_sequence_expression,
  [sym_match_expression] = sym_match_expression,
  [sym__match_cases] = sym__match_cases,
  [sym_match_case] = sym_match_case,
  [sym_guard] = sym_guard,
  [sym_refutation_case] = sym_refutation_case,
  [sym_function_expression] = sym_function_expression,
  [sym_fun_expression] = sym_fun_expression,
  [sym_try_expression] = sym_try_expression,
  [sym_let_expression] = sym_let_expression,
  [sym_coercion_expression] = sym_coercion_expression,
  [sym_assert_expression] = sym_assert_expression,
  [sym_lazy_expression] = sym_lazy_expression,
  [sym_let_module_expression] = sym_let_module_expression,
  [sym_let_open_expression] = sym_let_open_expression,
  [sym_local_open_expression] = sym_local_open_expression,
  [sym_package_expression] = sym_package_expression,
  [sym_let_exception_expression] = sym_let_exception_expression,
  [sym_new_expression] = sym_new_expression,
  [sym_object_copy_expression] = sym_object_copy_expression,
  [sym_instance_variable_expression] = sym_instance_variable_expression,
  [sym_method_invocation] = sym_method_invocation,
  [sym_object_expression] = sym_object_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym__simple_pattern] = sym__simple_pattern,
  [sym__effect_pattern] = sym__effect_pattern,
  [sym__pattern] = sym__pattern,
  [sym__binding_pattern] = sym__binding_pattern,
  [sym_alias_pattern] = sym_alias_pattern,
  [sym_alias_binding_pattern] = sym_alias_pattern,
  [sym_typed_pattern] = sym_typed_pattern,
  [sym_typed_binding_pattern] = sym_typed_pattern,
  [sym_or_pattern] = sym_or_pattern,
  [sym_or_binding_pattern] = sym_or_pattern,
  [sym_constructor_pattern] = sym_constructor_pattern,
  [sym_constructor_binding_pattern] = sym_constructor_pattern,
  [sym_tag_pattern] = sym_tag_pattern,
  [sym_tag_binding_pattern] = sym_tag_pattern,
  [sym_polymorphic_variant_pattern] = sym_polymorphic_variant_pattern,
  [sym_tuple_pattern] = sym_tuple_pattern,
  [sym_tuple_binding_pattern] = sym_tuple_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_field_pattern] = sym_field_pattern,
  [sym_record_binding_pattern] = sym_record_binding_pattern,
  [sym_field_binding_pattern] = sym_field_pattern,
  [sym_list_pattern] = sym_list_pattern,
  [sym_list_binding_pattern] = sym_list_binding_pattern,
  [sym_cons_pattern] = sym_cons_pattern,
  [sym_cons_binding_pattern] = sym_cons_pattern,
  [sym_array_pattern] = sym_array_pattern,
  [sym_array_binding_pattern] = sym_array_binding_pattern,
  [sym_range_pattern] = sym_range_pattern,
  [sym_lazy_pattern] = sym_lazy_pattern,
  [sym_lazy_binding_pattern] = sym_lazy_pattern,
  [sym_local_open_pattern] = sym_local_open_pattern,
  [sym_local_open_binding_pattern] = sym_local_open_pattern,
  [sym_package_pattern] = sym_package_pattern,
  [sym_parenthesized_pattern] = sym_parenthesized_pattern,
  [sym_parenthesized_binding_pattern] = sym_parenthesized_pattern,
  [sym_exception_pattern] = sym_exception_pattern,
  [sym_effect_pattern] = sym_effect_pattern,
  [sym_attribute] = sym_attribute,
  [sym_item_attribute] = sym_item_attribute,
  [sym_floating_attribute] = sym_floating_attribute,
  [sym_attribute_payload] = sym_attribute_payload,
  [sym_extension] = sym_extension,
  [sym_quoted_extension] = sym_quoted_extension,
  [sym_item_extension] = sym_item_extension,
  [sym_quoted_item_extension] = sym_quoted_item_extension,
  [sym__attribute] = sym__attribute,
  [sym__constant] = sym__constant,
  [sym__signed_constant] = sym__signed_constant,
  [sym_number] = sym_number,
  [sym_signed_number] = sym_signed_number,
  [sym_character] = sym_character,
  [sym_character_content] = sym_character_content,
  [sym_string] = sym_string,
  [sym_string_content] = sym_string_content,
  [sym_quoted_string] = sym_quoted_string,
  [sym__quoted_string] = sym__quoted_string,
  [sym_quoted_string_content] = sym_quoted_string_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_boolean] = sym_boolean,
  [sym_unit] = sym_unit,
  [sym_sign_operator] = sym_sign_operator,
  [sym__infix_operator] = sym__infix_operator,
  [sym_add_operator] = sym_add_operator,
  [sym_indexing_operator_path] = sym_indexing_operator_path,
  [sym__value_name] = sym__value_name,
  [sym__simple_value_pattern] = sym__simple_value_pattern,
  [sym_parenthesized_operator] = sym_parenthesized_operator,
  [sym_value_path] = sym_value_path,
  [sym_module_path] = sym_module_path,
  [sym_extended_module_path] = sym_extended_module_path,
  [sym_module_type_path] = sym_module_type_path,
  [sym_field_path] = sym_field_path,
  [sym_constructor_path] = sym_constructor_path,
  [sym_type_constructor_path] = sym_type_constructor_path,
  [sym_class_path] = sym_class_path,
  [sym_class_type_path] = sym_class_type_path,
  [sym__instance_variable_name] = sym__instance_variable_name,
  [sym__constructor_name] = sym__constructor_name,
  [sym_directive] = sym_directive,
  [sym_type_variable] = sym_type_variable,
  [sym_tag] = sym_tag,
  [sym_attribute_id] = sym_attribute_id,
  [aux_sym__structure_repeat1] = aux_sym__structure_repeat1,
  [aux_sym__structure_repeat2] = aux_sym__structure_repeat2,
  [aux_sym_expression_item_repeat1] = aux_sym_expression_item_repeat1,
  [aux_sym__signature_repeat1] = aux_sym__signature_repeat1,
  [aux_sym_value_definition_repeat1] = aux_sym_value_definition_repeat1,
  [aux_sym_let_binding_repeat1] = aux_sym_let_binding_repeat1,
  [aux_sym_external_repeat1] = aux_sym_external_repeat1,
  [aux_sym_type_definition_repeat1] = aux_sym_type_definition_repeat1,
  [aux_sym_type_binding_repeat1] = aux_sym_type_binding_repeat1,
  [aux_sym__type_params_repeat1] = aux_sym__type_params_repeat1,
  [aux_sym_variant_declaration_repeat1] = aux_sym_variant_declaration_repeat1,
  [aux_sym_constructor_declaration_repeat1] = aux_sym_constructor_declaration_repeat1,
  [aux_sym__constructor_argument_repeat1] = aux_sym__constructor_argument_repeat1,
  [aux_sym_record_declaration_repeat1] = aux_sym_record_declaration_repeat1,
  [aux_sym_module_definition_repeat1] = aux_sym_module_definition_repeat1,
  [aux_sym_module_binding_repeat1] = aux_sym_module_binding_repeat1,
  [aux_sym_class_definition_repeat1] = aux_sym_class_definition_repeat1,
  [aux_sym_class_type_definition_repeat1] = aux_sym_class_type_definition_repeat1,
  [aux_sym_module_type_constraint_repeat1] = aux_sym_module_type_constraint_repeat1,
  [aux_sym_instantiated_class_type_repeat1] = aux_sym_instantiated_class_type_repeat1,
  [aux_sym_class_body_type_repeat1] = aux_sym_class_body_type_repeat1,
  [aux_sym_instance_variable_specification_repeat1] = aux_sym_instance_variable_specification_repeat1,
  [aux_sym_method_specification_repeat1] = aux_sym_method_specification_repeat1,
  [aux_sym_class_application_repeat1] = aux_sym_class_application_repeat1,
  [aux_sym__abstract_type_repeat1] = aux_sym__abstract_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat1] = aux_sym_polymorphic_variant_type_repeat1,
  [aux_sym_polymorphic_variant_type_repeat2] = aux_sym_polymorphic_variant_type_repeat2,
  [aux_sym_tag_specification_repeat1] = aux_sym_tag_specification_repeat1,
  [aux_sym_object_type_repeat1] = aux_sym_object_type_repeat1,
  [aux_sym_list_expression_repeat1] = aux_sym_list_expression_repeat1,
  [aux_sym_record_expression_repeat1] = aux_sym_record_expression_repeat1,
  [aux_sym__match_cases_repeat1] = aux_sym__match_cases_repeat1,
  [aux_sym_object_copy_expression_repeat1] = aux_sym_object_copy_expression_repeat1,
  [aux_sym_object_expression_repeat1] = aux_sym_object_expression_repeat1,
  [aux_sym_record_pattern_repeat1] = aux_sym_record_pattern_repeat1,
  [aux_sym_record_binding_pattern_repeat1] = aux_sym_record_binding_pattern_repeat1,
  [aux_sym_list_pattern_repeat1] = aux_sym_list_pattern_repeat1,
  [aux_sym_list_binding_pattern_repeat1] = aux_sym_list_binding_pattern_repeat1,
  [aux_sym_string_content_repeat1] = aux_sym_string_content_repeat1,
  [aux_sym_quoted_string_content_repeat1] = aux_sym_quoted_string_content_repeat1,
  [aux_sym_attribute_id_repeat1] = aux_sym_attribute_id_repeat1,
  [alias_sym_class_name] = alias_sym_class_name,
  [alias_sym_class_type_name] = alias_sym_class_type_name,
  [alias_sym_constructor_name] = alias_sym_constructor_name,
  [alias_sym_field_name] = alias_sym_field_name,
  [alias_sym_instance_variable_name] = alias_sym_instance_variable_name,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_method_name] = alias_sym_method_name,
  [alias_sym_module_name] = alias_sym_module_name,
  [alias_sym_module_type_name] = alias_sym_module_type_name,
  [alias_sym_type_constructor] = alias_sym_type_constructor,
  [alias_sym_value_name] = alias_sym_value_name,
  [alias_sym_value_pattern] = alias_sym_value_pattern,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym__lowercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_SEMI_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_and] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_external] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_type] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_nonrec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_of] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON2] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mutable] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_constraint] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exception] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_include] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_virtual] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_val] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sig] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_end] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_functor] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_object] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_inherit] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_method] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_initializer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_done] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_downto] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_match] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_function] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_lazy] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_begin] = {
    .visible = true,
    .named = false,
  },
  [sym_ocamlyacc_value] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_effect] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_attribute_token1] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_AT_AT_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_quoted_extension_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_LBRACK_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE_PERCENT_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_number_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signed_number_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE2] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_character_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_character_content_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_token4] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_string_content_token5] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_quoted_string_content_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token3] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_escape_sequence_token4] = {
    .visible = false,
    .named = false,
  },
  [sym_conversion_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_pretty_printing_indication] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_sign_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_hash_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_pow_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_operator] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_add_operator_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_concat_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_rel_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_or_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_assign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_let_and_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_match_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__uppercase_identifier] = {
    .visible = false,
    .named = true,
  },
  [aux_sym_directive_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_variable_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym__left_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym__right_quoted_string_delimiter] = {
    .visible = false,
    .named = true,
  },
  [sym_line_number_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__null] = {
    .visible = false,
    .named = true,
  },
  [sym_compilation_unit] = {
    .visible = true,
    .named = true,
  },
  [sym__structure] = {
    .visible = false,
    .named = true,
  },
  [sym_expression_item] = {
    .visible = true,
    .named = true,
  },
  [sym__signature] = {
    .visible = false,
    .named = true,
  },
  [sym_toplevel_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__structure_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_let_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_external] = {
    .visible = true,
    .named = true,
  },
  [sym_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__type_params] = {
    .visible = false,
    .named = true,
  },
  [sym__type_param] = {
    .visible = false,
    .named = true,
  },
  [sym__type_equation] = {
    .visible = false,
    .named = true,
  },
  [sym_variant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_argument] = {
    .visible = false,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_module_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_module_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_open_module] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module] = {
    .visible = true,
    .named = true,
  },
  [sym_class_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_binding] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_binding] = {
    .visible = true,
    .named = true,
  },
  [sym__signature_item] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_value_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_include_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__module_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__module_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module] = {
    .visible = true,
    .named = true,
  },
  [sym_constrain_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_of] = {
    .visible = true,
    .named = true,
  },
  [sym_functor_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__module_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_structure] = {
    .visible = true,
    .named = true,
  },
  [sym_functor] = {
    .visible = true,
    .named = true,
  },
  [sym_module_application] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_packed_module] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body_type] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field_specification] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_method_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter_constraint] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_type] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__class_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_instantiated_class] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_function] = {
    .visible = true,
    .named = true,
  },
  [sym_class_application] = {
    .visible = true,
    .named = true,
  },
  [sym_let_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__class_field] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_inheritance_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_method_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_class_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_class_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__typed] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_typed] = {
    .visible = false,
    .named = true,
  },
  [sym__polymorphic_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__abstract_type] = {
    .visible = false,
    .named = true,
  },
  [sym__parenthesized_abstract_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__tuple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_label] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_type] = {
    .visible = true,
    .named = true,
  },
  [sym_constructed_type] = {
    .visible = true,
    .named = true,
  },
  [sym_aliased_type] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_type] = {
    .visible = true,
    .named = true,
  },
  [sym__tag_spec] = {
    .visible = false,
    .named = true,
  },
  [sym_tag_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_package_type] = {
    .visible = true,
    .named = true,
  },
  [sym_object_type] = {
    .visible = true,
    .named = true,
  },
  [sym_method_type] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_type] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__sequence_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_typed_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_product_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_list_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_record_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_application_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_prefix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_hash_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_field_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_string_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_bigarray_get_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_set_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_if_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_then_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_else_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_while_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_do_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_for_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_sequence_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_match_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__match_cases] = {
    .visible = false,
    .named = true,
  },
  [sym_match_case] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_refutation_case] = {
    .visible = true,
    .named = true,
  },
  [sym_function_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_try_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_coercion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_module_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_package_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_let_exception_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_new_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_object_copy_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instance_variable_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_object_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__effect_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__binding_pattern] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_alias_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_alias_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_typed_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_or_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tag_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_variant_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_tuple_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_field_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_list_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_cons_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_array_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_range_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_lazy_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_local_open_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_package_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_binding_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_exception_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_effect_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_item_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_attribute] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_payload] = {
    .visible = true,
    .named = true,
  },
  [sym_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_item_extension] = {
    .visible = true,
    .named = true,
  },
  [sym__attribute] = {
    .visible = false,
    .named = true,
  },
  [sym__constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__signed_constant] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_number] = {
    .visible = true,
    .named = true,
  },
  [sym_signed_number] = {
    .visible = true,
    .named = true,
  },
  [sym_character] = {
    .visible = true,
    .named = true,
  },
  [sym_character_content] = {
    .visible = true,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_quoted_string] = {
    .visible = true,
    .named = true,
  },
  [sym__quoted_string] = {
    .visible = false,
    .named = true,
  },
  [sym_quoted_string_content] = {
    .visible = true,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_boolean] = {
    .visible = true,
    .named = true,
  },
  [sym_unit] = {
    .visible = true,
    .named = true,
  },
  [sym_sign_operator] = {
    .visible = true,
    .named = true,
  },
  [sym__infix_operator] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_add_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_indexing_operator_path] = {
    .visible = true,
    .named = true,
  },
  [sym__value_name] = {
    .visible = false,
    .named = true,
  },
  [sym__simple_value_pattern] = {
    .visible = false,
    .named = true,
  },
  [sym_parenthesized_operator] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_extended_module_path] = {
    .visible = true,
    .named = true,
  },
  [sym_module_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_type_constructor_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_path] = {
    .visible = true,
    .named = true,
  },
  [sym_class_type_path] = {
    .visible = true,
    .named = true,
  },
  [sym__instance_variable_name] = {
    .visible = false,
    .named = true,
  },
  [sym__constructor_name] = {
    .visible = false,
    .named = true,
  },
  [sym_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_type_variable] = {
    .visible = true,
    .named = true,
  },
  [sym_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_attribute_id] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__structure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__structure_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_expression_item_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_let_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_external_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__type_params_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_variant_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_constructor_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__constructor_argument_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_binding_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_type_definition_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_type_constraint_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instantiated_class_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_body_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_instance_variable_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_method_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_class_application_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__abstract_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_polymorphic_variant_type_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_tag_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__match_cases_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_copy_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_object_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_list_binding_pattern_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_quoted_string_content_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_attribute_id_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_class_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_class_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_constructor_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_instance_variable_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_method_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_module_type_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_constructor] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_value_pattern] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_argument = 1,
  field_body = 2,
  field_class = 3,
  field_condition = 4,
  field_continuation = 5,
  field_effect = 6,
  field_from = 7,
  field_function = 8,
  field_functor = 9,
  field_left = 10,
  field_name = 11,
  field_operator = 12,
  field_pattern = 13,
  field_right = 14,
  field_to = 15,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_argument] = "argument",
  [field_body] = "body",
  [field_class] = "class",
  [field_condition] = "condition",
  [field_continuation] = "continuation",
  [field_effect] = "effect",
  [field_from] = "from",
  [field_function] = "function",
  [field_functor] = "functor",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_pattern] = "pattern",
  [field_right] = "right",
  [field_to] = "to",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [5] = {.index = 0, .length = 1},
  [10] = {.index = 1, .length = 1},
  [13] = {.index = 1, .length = 1},
  [14] = {.index = 1, .length = 1},
  [15] = {.index = 1, .length = 1},
  [18] = {.index = 2, .length = 2},
  [19] = {.index = 4, .length = 1},
  [20] = {.index = 5, .length = 2},
  [21] = {.index = 7, .length = 1},
  [22] = {.index = 8, .length = 1},
  [25] = {.index = 9, .length = 1},
  [27] = {.index = 10, .length = 1},
  [28] = {.index = 11, .length = 2},
  [29] = {.index = 9, .length = 1},
  [30] = {.index = 9, .length = 1},
  [31] = {.index = 9, .length = 1},
  [32] = {.index = 13, .length = 1},
  [35] = {.index = 14, .length = 3},
  [36] = {.index = 17, .length = 2},
  [37] = {.index = 19, .length = 2},
  [38] = {.index = 21, .length = 1},
  [40] = {.index = 22, .length = 1},
  [41] = {.index = 23, .length = 2},
  [43] = {.index = 25, .length = 2},
  [45] = {.index = 25, .length = 2},
  [47] = {.index = 27, .length = 1},
  [48] = {.index = 25, .length = 2},
  [50] = {.index = 28, .length = 1},
  [51] = {.index = 25, .length = 2},
  [53] = {.index = 10, .length = 1},
  [54] = {.index = 29, .length = 2},
  [55] = {.index = 10, .length = 1},
  [56] = {.index = 31, .length = 1},
  [58] = {.index = 32, .length = 2},
  [59] = {.index = 34, .length = 1},
  [60] = {.index = 35, .length = 2},
  [61] = {.index = 37, .length = 2},
  [62] = {.index = 39, .length = 2},
  [63] = {.index = 39, .length = 2},
  [64] = {.index = 37, .length = 2},
  [65] = {.index = 41, .length = 2},
  [66] = {.index = 37, .length = 2},
  [67] = {.index = 25, .length = 2},
  [68] = {.index = 27, .length = 1},
  [69] = {.index = 39, .length = 2},
  [70] = {.index = 37, .length = 2},
  [73] = {.index = 27, .length = 1},
  [74] = {.index = 27, .length = 1},
  [75] = {.index = 39, .length = 2},
  [76] = {.index = 43, .length = 1},
  [77] = {.index = 44, .length = 1},
  [78] = {.index = 45, .length = 2},
  [80] = {.index = 43, .length = 1},
  [81] = {.index = 47, .length = 2},
  [83] = {.index = 49, .length = 2},
  [84] = {.index = 51, .length = 2},
  [85] = {.index = 51, .length = 2},
  [86] = {.index = 53, .length = 2},
  [87] = {.index = 9, .length = 1},
  [89] = {.index = 49, .length = 2},
  [90] = {.index = 39, .length = 2},
  [91] = {.index = 55, .length = 1},
  [92] = {.index = 51, .length = 2},
  [94] = {.index = 49, .length = 2},
  [95] = {.index = 41, .length = 2},
  [96] = {.index = 41, .length = 2},
  [97] = {.index = 51, .length = 2},
  [98] = {.index = 56, .length = 1},
  [100] = {.index = 57, .length = 2},
  [102] = {.index = 59, .length = 2},
  [103] = {.index = 53, .length = 2},
  [104] = {.index = 61, .length = 1},
  [105] = {.index = 59, .length = 2},
  [107] = {.index = 62, .length = 2},
  [108] = {.index = 53, .length = 2},
  [109] = {.index = 59, .length = 2},
  [110] = {.index = 62, .length = 2},
  [111] = {.index = 53, .length = 2},
  [112] = {.index = 59, .length = 2},
  [113] = {.index = 64, .length = 3},
  [114] = {.index = 67, .length = 2},
  [115] = {.index = 53, .length = 2},
  [116] = {.index = 69, .length = 2},
  [117] = {.index = 71, .length = 2},
  [118] = {.index = 73, .length = 2},
  [119] = {.index = 69, .length = 2},
  [120] = {.index = 75, .length = 2},
  [121] = {.index = 73, .length = 2},
  [122] = {.index = 69, .length = 2},
  [123] = {.index = 77, .length = 3},
  [124] = {.index = 71, .length = 2},
  [125] = {.index = 80, .length = 2},
  [126] = {.index = 82, .length = 2},
  [127] = {.index = 84, .length = 2},
  [128] = {.index = 86, .length = 2},
  [129] = {.index = 80, .length = 2},
  [130] = {.index = 80, .length = 2},
  [131] = {.index = 88, .length = 1},
  [132] = {.index = 84, .length = 2},
  [133] = {.index = 89, .length = 2},
  [134] = {.index = 91, .length = 2},
  [135] = {.index = 93, .length = 2},
  [136] = {.index = 95, .length = 2},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_pattern, 0},
  [1] =
    {field_name, 0},
  [2] =
    {field_operator, 0},
    {field_right, 1},
  [4] =
    {field_argument, 0},
  [5] =
    {field_argument, 1, .inherited = true},
    {field_function, 0},
  [7] =
    {field_left, 0},
  [8] =
    {field_pattern, 1},
  [9] =
    {field_name, 1},
  [10] =
    {field_name, 2},
  [11] =
    {field_argument, 1},
    {field_functor, 0},
  [13] =
    {field_condition, 1},
  [14] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [17] =
    {field_argument, 0, .inherited = true},
    {field_argument, 1, .inherited = true},
  [19] =
    {field_left, 0},
    {field_right, 2},
  [21] =
    {field_body, 2},
  [22] =
    {field_body, 3},
  [23] =
    {field_body, 2},
    {field_pattern, 0},
  [25] =
    {field_body, 2},
    {field_name, 0},
  [27] =
    {field_name, 3},
  [28] =
    {field_functor, 0},
  [29] =
    {field_argument, 1, .inherited = true},
    {field_class, 0},
  [31] =
    {field_condition, 2},
  [32] =
    {field_left, 0},
    {field_right, 3},
  [34] =
    {field_pattern, 2},
  [35] =
    {field_body, 3},
    {field_pattern, 0},
  [37] =
    {field_body, 3},
    {field_name, 0},
  [39] =
    {field_body, 3},
    {field_name, 1},
  [41] =
    {field_body, 4},
    {field_name, 2},
  [43] =
    {field_pattern, 3},
  [44] =
    {field_body, 4},
  [45] =
    {field_continuation, 3},
    {field_effect, 1},
  [47] =
    {field_body, 4},
    {field_pattern, 0},
  [49] =
    {field_body, 4},
    {field_name, 0},
  [51] =
    {field_body, 4},
    {field_name, 1},
  [53] =
    {field_body, 5},
    {field_name, 3},
  [55] =
    {field_name, 4},
  [56] =
    {field_body, 5},
  [57] =
    {field_body, 5},
    {field_pattern, 0},
  [59] =
    {field_body, 5},
    {field_name, 1},
  [61] =
    {field_name, 5},
  [62] =
    {field_body, 5},
    {field_name, 2},
  [64] =
    {field_from, 3},
    {field_name, 1},
    {field_to, 5},
  [67] =
    {field_body, 6},
    {field_pattern, 0},
  [69] =
    {field_body, 6},
    {field_name, 3},
  [71] =
    {field_body, 6},
    {field_name, 4},
  [73] =
    {field_body, 6},
    {field_name, 2},
  [75] =
    {field_body, 6},
    {field_name, 1},
  [77] =
    {field_from, 4},
    {field_name, 2},
    {field_to, 6},
  [80] =
    {field_body, 7},
    {field_name, 3},
  [82] =
    {field_body, 7},
    {field_name, 4},
  [84] =
    {field_body, 7},
    {field_name, 5},
  [86] =
    {field_body, 7},
    {field_name, 2},
  [88] =
    {field_pattern, 4},
  [89] =
    {field_body, 8},
    {field_name, 4},
  [91] =
    {field_body, 8},
    {field_name, 5},
  [93] =
    {field_body, 8},
    {field_name, 3},
  [95] =
    {field_body, 9},
    {field_name, 5},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_value_name,
  },
  [2] = {
    [0] = alias_sym_instance_variable_name,
  },
  [3] = {
    [0] = alias_sym_module_name,
  },
  [4] = {
    [0] = alias_sym_constructor_name,
  },
  [6] = {
    [0] = sym_record_pattern,
  },
  [7] = {
    [0] = sym_list_pattern,
  },
  [8] = {
    [0] = sym_array_pattern,
  },
  [9] = {
    [0] = sym_type_variable,
  },
  [10] = {
    [0] = alias_sym_type_constructor,
  },
  [11] = {
    [0] = alias_sym_type_constructor,
  },
  [12] = {
    [0] = alias_sym_field_name,
  },
  [14] = {
    [0] = alias_sym_module_name,
  },
  [15] = {
    [0] = alias_sym_class_name,
  },
  [16] = {
    [0] = alias_sym_value_pattern,
  },
  [17] = {
    [0] = alias_sym_class_name,
  },
  [23] = {
    [1] = alias_sym_constructor_name,
  },
  [24] = {
    [1] = sym_type_variable,
  },
  [25] = {
    [1] = alias_sym_type_constructor,
  },
  [26] = {
    [0] = alias_sym_constructor_name,
    [1] = alias_sym_constructor_name,
  },
  [27] = {
    [2] = alias_sym_module_type_name,
  },
  [29] = {
    [1] = alias_sym_class_name,
  },
  [31] = {
    [1] = alias_sym_method_name,
  },
  [33] = {
    [1] = alias_sym_label_name,
  },
  [34] = {
    [2] = alias_sym_method_name,
  },
  [39] = {
    [2] = alias_sym_module_name,
  },
  [42] = {
    [2] = sym_type_variable,
  },
  [43] = {
    [0] = alias_sym_type_constructor,
  },
  [44] = {
    [2] = alias_sym_type_constructor,
  },
  [46] = {
    [2] = alias_sym_field_name,
  },
  [47] = {
    [3] = alias_sym_module_type_name,
  },
  [48] = {
    [0] = alias_sym_module_name,
  },
  [49] = {
    [0] = alias_sym_module_type_name,
  },
  [51] = {
    [0] = alias_sym_class_name,
  },
  [52] = {
    [0] = alias_sym_class_type_name,
  },
  [55] = {
    [2] = alias_sym_method_name,
  },
  [57] = {
    [2] = alias_sym_class_name,
  },
  [61] = {
    [0] = alias_sym_type_constructor,
  },
  [62] = {
    [1] = alias_sym_type_constructor,
  },
  [65] = {
    [2] = alias_sym_module_type_name,
  },
  [66] = {
    [0] = alias_sym_module_name,
  },
  [67] = {
    [0] = alias_sym_class_type_name,
  },
  [68] = {
    [3] = alias_sym_class_name,
  },
  [69] = {
    [1] = alias_sym_class_name,
  },
  [70] = {
    [0] = alias_sym_class_name,
  },
  [71] = {
    [0] = alias_sym_method_name,
  },
  [72] = {
    [0] = alias_sym_label_name,
  },
  [74] = {
    [3] = alias_sym_method_name,
  },
  [75] = {
    [1] = alias_sym_method_name,
  },
  [76] = {
    [1] = alias_sym_label_name,
  },
  [79] = {
    [3] = alias_sym_module_name,
  },
  [82] = {
    [0] = sym__parenthesized_abstract_type,
  },
  [83] = {
    [0] = alias_sym_type_constructor,
  },
  [84] = {
    [1] = alias_sym_type_constructor,
  },
  [86] = {
    [3] = alias_sym_module_type_name,
  },
  [87] = {
    [1] = alias_sym_module_name,
  },
  [88] = {
    [2] = alias_sym_module_type_name,
  },
  [89] = {
    [0] = alias_sym_module_name,
  },
  [90] = {
    [1] = alias_sym_class_type_name,
  },
  [91] = {
    [4] = alias_sym_class_name,
  },
  [92] = {
    [1] = alias_sym_class_name,
  },
  [93] = {
    [2] = alias_sym_class_type_name,
  },
  [94] = {
    [0] = alias_sym_class_name,
  },
  [96] = {
    [2] = alias_sym_method_name,
  },
  [97] = {
    [1] = alias_sym_method_name,
  },
  [99] = {
    [2] = alias_sym_label_name,
  },
  [101] = {
    [1] = alias_sym_field_name,
  },
  [102] = {
    [1] = alias_sym_type_constructor,
  },
  [103] = {
    [3] = alias_sym_class_name,
  },
  [104] = {
    [5] = alias_sym_class_name,
  },
  [105] = {
    [1] = alias_sym_class_name,
  },
  [106] = {
    [1] = alias_sym_method_name,
  },
  [110] = {
    [2] = alias_sym_method_name,
  },
  [111] = {
    [3] = alias_sym_method_name,
  },
  [112] = {
    [1] = alias_sym_method_name,
  },
  [115] = {
    [3] = alias_sym_class_type_name,
  },
  [116] = {
    [3] = alias_sym_class_name,
  },
  [117] = {
    [4] = alias_sym_class_name,
  },
  [121] = {
    [2] = alias_sym_method_name,
  },
  [122] = {
    [3] = alias_sym_method_name,
  },
  [124] = {
    [4] = alias_sym_class_type_name,
  },
  [125] = {
    [3] = alias_sym_class_name,
  },
  [126] = {
    [4] = alias_sym_class_name,
  },
  [127] = {
    [5] = alias_sym_class_name,
  },
  [130] = {
    [3] = alias_sym_method_name,
  },
  [131] = {
    [1] = alias_sym_label_name,
  },
  [132] = {
    [5] = alias_sym_class_type_name,
  },
  [133] = {
    [4] = alias_sym_class_name,
  },
  [134] = {
    [5] = alias_sym_class_name,
  },
  [136] = {
    [5] = alias_sym_class_name,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  sym__abstract_type, 2,
    sym__abstract_type,
    sym__parenthesized_abstract_type,
  sym_record_binding_pattern, 2,
    sym_record_binding_pattern,
    sym_record_pattern,
  sym_list_binding_pattern, 2,
    sym_list_binding_pattern,
    sym_list_pattern,
  sym_array_binding_pattern, 2,
    sym_array_binding_pattern,
    sym_array_pattern,
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 2,
  [8] = 2,
  [9] = 2,
  [10] = 2,
  [11] = 2,
  [12] = 2,
  [13] = 2,
  [14] = 2,
  [15] = 2,
  [16] = 2,
  [17] = 2,
  [18] = 2,
  [19] = 2,
  [20] = 2,
  [21] = 21,
  [22] = 2,
  [23] = 2,
  [24] = 24,
  [25] = 2,
  [26] = 2,
  [27] = 2,
  [28] = 2,
  [29] = 29,
  [30] = 2,
  [31] = 2,
  [32] = 2,
  [33] = 2,
  [34] = 2,
  [35] = 2,
  [36] = 2,
  [37] = 2,
  [38] = 2,
  [39] = 2,
  [40] = 2,
  [41] = 21,
  [42] = 2,
  [43] = 2,
  [44] = 2,
  [45] = 2,
  [46] = 2,
  [47] = 2,
  [48] = 2,
  [49] = 2,
  [50] = 2,
  [51] = 2,
  [52] = 2,
  [53] = 29,
  [54] = 2,
  [55] = 2,
  [56] = 2,
  [57] = 2,
  [58] = 29,
  [59] = 2,
  [60] = 2,
  [61] = 2,
  [62] = 2,
  [63] = 2,
  [64] = 2,
  [65] = 2,
  [66] = 2,
  [67] = 2,
  [68] = 2,
  [69] = 69,
  [70] = 2,
  [71] = 2,
  [72] = 2,
  [73] = 2,
  [74] = 2,
  [75] = 2,
  [76] = 2,
  [77] = 2,
  [78] = 2,
  [79] = 2,
  [80] = 2,
  [81] = 2,
  [82] = 2,
  [83] = 2,
  [84] = 2,
  [85] = 2,
  [86] = 29,
  [87] = 2,
  [88] = 2,
  [89] = 2,
  [90] = 2,
  [91] = 2,
  [92] = 2,
  [93] = 2,
  [94] = 2,
  [95] = 2,
  [96] = 2,
  [97] = 97,
  [98] = 97,
  [99] = 97,
  [100] = 97,
  [101] = 101,
  [102] = 97,
  [103] = 101,
  [104] = 97,
  [105] = 105,
  [106] = 97,
  [107] = 97,
  [108] = 97,
  [109] = 109,
  [110] = 97,
  [111] = 111,
  [112] = 112,
  [113] = 111,
  [114] = 109,
  [115] = 112,
  [116] = 116,
  [117] = 109,
  [118] = 116,
  [119] = 111,
  [120] = 112,
  [121] = 97,
  [122] = 97,
  [123] = 116,
  [124] = 97,
  [125] = 125,
  [126] = 97,
  [127] = 97,
  [128] = 125,
  [129] = 125,
  [130] = 97,
  [131] = 97,
  [132] = 97,
  [133] = 97,
  [134] = 97,
  [135] = 97,
  [136] = 97,
  [137] = 97,
  [138] = 97,
  [139] = 97,
  [140] = 97,
  [141] = 97,
  [142] = 97,
  [143] = 97,
  [144] = 97,
  [145] = 97,
  [146] = 97,
  [147] = 97,
  [148] = 97,
  [149] = 97,
  [150] = 97,
  [151] = 97,
  [152] = 152,
  [153] = 153,
  [154] = 153,
  [155] = 152,
  [156] = 153,
  [157] = 153,
  [158] = 152,
  [159] = 97,
  [160] = 97,
  [161] = 152,
  [162] = 153,
  [163] = 153,
  [164] = 152,
  [165] = 153,
  [166] = 153,
  [167] = 152,
  [168] = 152,
  [169] = 153,
  [170] = 153,
  [171] = 153,
  [172] = 153,
  [173] = 152,
  [174] = 153,
  [175] = 152,
  [176] = 153,
  [177] = 152,
  [178] = 152,
  [179] = 152,
  [180] = 153,
  [181] = 152,
  [182] = 152,
  [183] = 153,
  [184] = 152,
  [185] = 152,
  [186] = 153,
  [187] = 153,
  [188] = 152,
  [189] = 152,
  [190] = 153,
  [191] = 153,
  [192] = 153,
  [193] = 153,
  [194] = 153,
  [195] = 152,
  [196] = 152,
  [197] = 152,
  [198] = 152,
  [199] = 97,
  [200] = 152,
  [201] = 153,
  [202] = 97,
  [203] = 152,
  [204] = 153,
  [205] = 152,
  [206] = 152,
  [207] = 152,
  [208] = 97,
  [209] = 153,
  [210] = 153,
  [211] = 152,
  [212] = 153,
  [213] = 152,
  [214] = 152,
  [215] = 153,
  [216] = 152,
  [217] = 153,
  [218] = 153,
  [219] = 152,
  [220] = 153,
  [221] = 153,
  [222] = 152,
  [223] = 153,
  [224] = 97,
  [225] = 152,
  [226] = 153,
  [227] = 97,
  [228] = 152,
  [229] = 153,
  [230] = 152,
  [231] = 153,
  [232] = 152,
  [233] = 97,
  [234] = 153,
  [235] = 152,
  [236] = 153,
  [237] = 153,
  [238] = 152,
  [239] = 152,
  [240] = 152,
  [241] = 152,
  [242] = 153,
  [243] = 153,
  [244] = 153,
  [245] = 153,
  [246] = 152,
  [247] = 152,
  [248] = 153,
  [249] = 152,
  [250] = 152,
  [251] = 153,
  [252] = 152,
  [253] = 152,
  [254] = 153,
  [255] = 97,
  [256] = 153,
  [257] = 153,
  [258] = 153,
  [259] = 152,
  [260] = 97,
  [261] = 152,
  [262] = 153,
  [263] = 152,
  [264] = 97,
  [265] = 97,
  [266] = 97,
  [267] = 97,
  [268] = 97,
  [269] = 97,
  [270] = 97,
  [271] = 97,
  [272] = 97,
  [273] = 97,
  [274] = 97,
  [275] = 97,
  [276] = 97,
  [277] = 97,
  [278] = 97,
  [279] = 97,
  [280] = 97,
  [281] = 97,
  [282] = 282,
  [283] = 282,
  [284] = 282,
  [285] = 282,
  [286] = 97,
  [287] = 282,
  [288] = 282,
  [289] = 282,
  [290] = 282,
  [291] = 282,
  [292] = 282,
  [293] = 282,
  [294] = 282,
  [295] = 282,
  [296] = 282,
  [297] = 282,
  [298] = 282,
  [299] = 282,
  [300] = 282,
  [301] = 97,
  [302] = 282,
  [303] = 282,
  [304] = 282,
  [305] = 282,
  [306] = 97,
  [307] = 282,
  [308] = 282,
  [309] = 282,
  [310] = 97,
  [311] = 282,
  [312] = 282,
  [313] = 97,
  [314] = 282,
  [315] = 282,
  [316] = 282,
  [317] = 282,
  [318] = 282,
  [319] = 282,
  [320] = 282,
  [321] = 282,
  [322] = 282,
  [323] = 282,
  [324] = 97,
  [325] = 282,
  [326] = 282,
  [327] = 282,
  [328] = 282,
  [329] = 282,
  [330] = 282,
  [331] = 282,
  [332] = 282,
  [333] = 282,
  [334] = 282,
  [335] = 282,
  [336] = 282,
  [337] = 282,
  [338] = 282,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 340,
  [343] = 340,
  [344] = 341,
  [345] = 340,
  [346] = 341,
  [347] = 347,
  [348] = 339,
  [349] = 341,
  [350] = 339,
  [351] = 351,
  [352] = 347,
  [353] = 347,
  [354] = 339,
  [355] = 340,
  [356] = 340,
  [357] = 347,
  [358] = 347,
  [359] = 339,
  [360] = 340,
  [361] = 339,
  [362] = 347,
  [363] = 341,
  [364] = 351,
  [365] = 347,
  [366] = 340,
  [367] = 339,
  [368] = 341,
  [369] = 340,
  [370] = 341,
  [371] = 351,
  [372] = 347,
  [373] = 340,
  [374] = 339,
  [375] = 339,
  [376] = 347,
  [377] = 339,
  [378] = 340,
  [379] = 347,
  [380] = 347,
  [381] = 339,
  [382] = 351,
  [383] = 351,
  [384] = 340,
  [385] = 351,
  [386] = 347,
  [387] = 339,
  [388] = 351,
  [389] = 339,
  [390] = 339,
  [391] = 347,
  [392] = 340,
  [393] = 347,
  [394] = 339,
  [395] = 351,
  [396] = 351,
  [397] = 347,
  [398] = 351,
  [399] = 340,
  [400] = 340,
  [401] = 347,
  [402] = 339,
  [403] = 351,
  [404] = 341,
  [405] = 340,
  [406] = 340,
  [407] = 351,
  [408] = 339,
  [409] = 347,
  [410] = 339,
  [411] = 351,
  [412] = 340,
  [413] = 351,
  [414] = 339,
  [415] = 347,
  [416] = 341,
  [417] = 341,
  [418] = 347,
  [419] = 339,
  [420] = 351,
  [421] = 347,
  [422] = 340,
  [423] = 423,
  [424] = 351,
  [425] = 340,
  [426] = 341,
  [427] = 347,
  [428] = 339,
  [429] = 351,
  [430] = 351,
  [431] = 341,
  [432] = 341,
  [433] = 340,
  [434] = 341,
  [435] = 347,
  [436] = 339,
  [437] = 351,
  [438] = 340,
  [439] = 341,
  [440] = 351,
  [441] = 341,
  [442] = 340,
  [443] = 347,
  [444] = 339,
  [445] = 351,
  [446] = 340,
  [447] = 339,
  [448] = 347,
  [449] = 339,
  [450] = 351,
  [451] = 340,
  [452] = 347,
  [453] = 351,
  [454] = 347,
  [455] = 339,
  [456] = 351,
  [457] = 340,
  [458] = 347,
  [459] = 347,
  [460] = 423,
  [461] = 347,
  [462] = 423,
  [463] = 341,
  [464] = 339,
  [465] = 347,
  [466] = 339,
  [467] = 351,
  [468] = 339,
  [469] = 351,
  [470] = 347,
  [471] = 339,
  [472] = 347,
  [473] = 347,
  [474] = 339,
  [475] = 351,
  [476] = 339,
  [477] = 347,
  [478] = 339,
  [479] = 347,
  [480] = 341,
  [481] = 339,
  [482] = 339,
  [483] = 340,
  [484] = 351,
  [485] = 347,
  [486] = 339,
  [487] = 341,
  [488] = 339,
  [489] = 341,
  [490] = 347,
  [491] = 339,
  [492] = 351,
  [493] = 351,
  [494] = 339,
  [495] = 341,
  [496] = 347,
  [497] = 339,
  [498] = 351,
  [499] = 347,
  [500] = 351,
  [501] = 501,
  [502] = 347,
  [503] = 347,
  [504] = 340,
  [505] = 341,
  [506] = 341,
  [507] = 351,
  [508] = 341,
  [509] = 339,
  [510] = 347,
  [511] = 339,
  [512] = 347,
  [513] = 351,
  [514] = 351,
  [515] = 340,
  [516] = 341,
  [517] = 341,
  [518] = 347,
  [519] = 341,
  [520] = 351,
  [521] = 339,
  [522] = 341,
  [523] = 340,
  [524] = 341,
  [525] = 347,
  [526] = 339,
  [527] = 351,
  [528] = 351,
  [529] = 351,
  [530] = 351,
  [531] = 340,
  [532] = 351,
  [533] = 341,
  [534] = 341,
  [535] = 341,
  [536] = 341,
  [537] = 351,
  [538] = 347,
  [539] = 339,
  [540] = 339,
  [541] = 351,
  [542] = 351,
  [543] = 351,
  [544] = 340,
  [545] = 339,
  [546] = 351,
  [547] = 340,
  [548] = 351,
  [549] = 351,
  [550] = 341,
  [551] = 347,
  [552] = 340,
  [553] = 340,
  [554] = 423,
  [555] = 341,
  [556] = 341,
  [557] = 341,
  [558] = 351,
  [559] = 351,
  [560] = 347,
  [561] = 339,
  [562] = 351,
  [563] = 339,
  [564] = 347,
  [565] = 351,
  [566] = 347,
  [567] = 340,
  [568] = 340,
  [569] = 340,
  [570] = 501,
  [571] = 341,
  [572] = 339,
  [573] = 501,
  [574] = 574,
  [575] = 574,
  [576] = 574,
  [577] = 574,
  [578] = 574,
  [579] = 574,
  [580] = 574,
  [581] = 574,
  [582] = 574,
  [583] = 501,
  [584] = 574,
  [585] = 574,
  [586] = 574,
  [587] = 574,
  [588] = 574,
  [589] = 574,
  [590] = 501,
  [591] = 574,
  [592] = 574,
  [593] = 574,
  [594] = 574,
  [595] = 574,
  [596] = 574,
  [597] = 574,
  [598] = 574,
  [599] = 599,
  [600] = 599,
  [601] = 574,
  [602] = 574,
  [603] = 574,
  [604] = 574,
  [605] = 574,
  [606] = 574,
  [607] = 501,
  [608] = 501,
  [609] = 574,
  [610] = 574,
  [611] = 574,
  [612] = 574,
  [613] = 574,
  [614] = 599,
  [615] = 574,
  [616] = 574,
  [617] = 574,
  [618] = 574,
  [619] = 574,
  [620] = 574,
  [621] = 574,
  [622] = 574,
  [623] = 574,
  [624] = 501,
  [625] = 574,
  [626] = 599,
  [627] = 574,
  [628] = 574,
  [629] = 574,
  [630] = 574,
  [631] = 574,
  [632] = 574,
  [633] = 501,
  [634] = 574,
  [635] = 635,
  [636] = 635,
  [637] = 637,
  [638] = 638,
  [639] = 639,
  [640] = 640,
  [641] = 641,
  [642] = 642,
  [643] = 643,
  [644] = 642,
  [645] = 645,
  [646] = 646,
  [647] = 645,
  [648] = 643,
  [649] = 649,
  [650] = 638,
  [651] = 639,
  [652] = 640,
  [653] = 653,
  [654] = 653,
  [655] = 642,
  [656] = 646,
  [657] = 646,
  [658] = 645,
  [659] = 643,
  [660] = 649,
  [661] = 638,
  [662] = 639,
  [663] = 640,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 646,
  [670] = 645,
  [671] = 643,
  [672] = 649,
  [673] = 638,
  [674] = 639,
  [675] = 640,
  [676] = 664,
  [677] = 637,
  [678] = 653,
  [679] = 668,
  [680] = 667,
  [681] = 668,
  [682] = 666,
  [683] = 646,
  [684] = 645,
  [685] = 643,
  [686] = 649,
  [687] = 667,
  [688] = 638,
  [689] = 639,
  [690] = 640,
  [691] = 664,
  [692] = 666,
  [693] = 665,
  [694] = 665,
  [695] = 665,
  [696] = 637,
  [697] = 646,
  [698] = 645,
  [699] = 643,
  [700] = 649,
  [701] = 638,
  [702] = 639,
  [703] = 640,
  [704] = 664,
  [705] = 641,
  [706] = 641,
  [707] = 641,
  [708] = 642,
  [709] = 646,
  [710] = 645,
  [711] = 643,
  [712] = 649,
  [713] = 638,
  [714] = 639,
  [715] = 640,
  [716] = 664,
  [717] = 642,
  [718] = 653,
  [719] = 719,
  [720] = 666,
  [721] = 646,
  [722] = 645,
  [723] = 643,
  [724] = 649,
  [725] = 638,
  [726] = 639,
  [727] = 640,
  [728] = 664,
  [729] = 667,
  [730] = 668,
  [731] = 641,
  [732] = 665,
  [733] = 646,
  [734] = 645,
  [735] = 643,
  [736] = 649,
  [737] = 638,
  [738] = 639,
  [739] = 640,
  [740] = 664,
  [741] = 668,
  [742] = 667,
  [743] = 666,
  [744] = 666,
  [745] = 646,
  [746] = 645,
  [747] = 643,
  [748] = 649,
  [749] = 638,
  [750] = 639,
  [751] = 640,
  [752] = 664,
  [753] = 667,
  [754] = 668,
  [755] = 653,
  [756] = 756,
  [757] = 646,
  [758] = 637,
  [759] = 645,
  [760] = 643,
  [761] = 649,
  [762] = 638,
  [763] = 639,
  [764] = 640,
  [765] = 664,
  [766] = 637,
  [767] = 635,
  [768] = 642,
  [769] = 637,
  [770] = 646,
  [771] = 645,
  [772] = 643,
  [773] = 649,
  [774] = 638,
  [775] = 639,
  [776] = 640,
  [777] = 664,
  [778] = 653,
  [779] = 641,
  [780] = 641,
  [781] = 653,
  [782] = 646,
  [783] = 645,
  [784] = 643,
  [785] = 649,
  [786] = 638,
  [787] = 639,
  [788] = 640,
  [789] = 664,
  [790] = 653,
  [791] = 641,
  [792] = 665,
  [793] = 666,
  [794] = 646,
  [795] = 645,
  [796] = 643,
  [797] = 649,
  [798] = 638,
  [799] = 639,
  [800] = 640,
  [801] = 664,
  [802] = 665,
  [803] = 803,
  [804] = 668,
  [805] = 667,
  [806] = 646,
  [807] = 645,
  [808] = 643,
  [809] = 649,
  [810] = 638,
  [811] = 639,
  [812] = 812,
  [813] = 640,
  [814] = 664,
  [815] = 666,
  [816] = 665,
  [817] = 637,
  [818] = 641,
  [819] = 646,
  [820] = 667,
  [821] = 645,
  [822] = 642,
  [823] = 643,
  [824] = 649,
  [825] = 668,
  [826] = 638,
  [827] = 827,
  [828] = 639,
  [829] = 640,
  [830] = 642,
  [831] = 664,
  [832] = 803,
  [833] = 642,
  [834] = 637,
  [835] = 653,
  [836] = 637,
  [837] = 665,
  [838] = 666,
  [839] = 646,
  [840] = 645,
  [841] = 643,
  [842] = 649,
  [843] = 637,
  [844] = 638,
  [845] = 639,
  [846] = 640,
  [847] = 664,
  [848] = 667,
  [849] = 653,
  [850] = 637,
  [851] = 668,
  [852] = 641,
  [853] = 641,
  [854] = 665,
  [855] = 666,
  [856] = 667,
  [857] = 646,
  [858] = 645,
  [859] = 643,
  [860] = 668,
  [861] = 668,
  [862] = 649,
  [863] = 637,
  [864] = 638,
  [865] = 639,
  [866] = 640,
  [867] = 664,
  [868] = 667,
  [869] = 869,
  [870] = 653,
  [871] = 666,
  [872] = 665,
  [873] = 637,
  [874] = 641,
  [875] = 646,
  [876] = 637,
  [877] = 645,
  [878] = 643,
  [879] = 649,
  [880] = 638,
  [881] = 639,
  [882] = 640,
  [883] = 664,
  [884] = 642,
  [885] = 668,
  [886] = 667,
  [887] = 666,
  [888] = 665,
  [889] = 637,
  [890] = 637,
  [891] = 641,
  [892] = 642,
  [893] = 646,
  [894] = 645,
  [895] = 643,
  [896] = 653,
  [897] = 649,
  [898] = 642,
  [899] = 638,
  [900] = 668,
  [901] = 639,
  [902] = 640,
  [903] = 664,
  [904] = 667,
  [905] = 653,
  [906] = 664,
  [907] = 666,
  [908] = 665,
  [909] = 641,
  [910] = 642,
  [911] = 643,
  [912] = 645,
  [913] = 646,
  [914] = 646,
  [915] = 642,
  [916] = 645,
  [917] = 643,
  [918] = 664,
  [919] = 649,
  [920] = 664,
  [921] = 638,
  [922] = 639,
  [923] = 640,
  [924] = 664,
  [925] = 653,
  [926] = 664,
  [927] = 756,
  [928] = 637,
  [929] = 637,
  [930] = 635,
  [931] = 646,
  [932] = 642,
  [933] = 641,
  [934] = 645,
  [935] = 641,
  [936] = 643,
  [937] = 649,
  [938] = 642,
  [939] = 638,
  [940] = 639,
  [941] = 640,
  [942] = 664,
  [943] = 665,
  [944] = 641,
  [945] = 945,
  [946] = 666,
  [947] = 947,
  [948] = 948,
  [949] = 667,
  [950] = 668,
  [951] = 667,
  [952] = 646,
  [953] = 645,
  [954] = 643,
  [955] = 649,
  [956] = 638,
  [957] = 666,
  [958] = 639,
  [959] = 640,
  [960] = 664,
  [961] = 665,
  [962] = 653,
  [963] = 641,
  [964] = 637,
  [965] = 642,
  [966] = 641,
  [967] = 653,
  [968] = 646,
  [969] = 645,
  [970] = 643,
  [971] = 649,
  [972] = 638,
  [973] = 639,
  [974] = 640,
  [975] = 664,
  [976] = 668,
  [977] = 649,
  [978] = 638,
  [979] = 665,
  [980] = 639,
  [981] = 646,
  [982] = 645,
  [983] = 643,
  [984] = 649,
  [985] = 638,
  [986] = 639,
  [987] = 640,
  [988] = 664,
  [989] = 947,
  [990] = 665,
  [991] = 666,
  [992] = 719,
  [993] = 653,
  [994] = 646,
  [995] = 645,
  [996] = 643,
  [997] = 649,
  [998] = 756,
  [999] = 666,
  [1000] = 638,
  [1001] = 637,
  [1002] = 639,
  [1003] = 640,
  [1004] = 664,
  [1005] = 667,
  [1006] = 635,
  [1007] = 668,
  [1008] = 637,
  [1009] = 665,
  [1010] = 646,
  [1011] = 645,
  [1012] = 643,
  [1013] = 649,
  [1014] = 638,
  [1015] = 639,
  [1016] = 640,
  [1017] = 664,
  [1018] = 803,
  [1019] = 637,
  [1020] = 668,
  [1021] = 667,
  [1022] = 666,
  [1023] = 646,
  [1024] = 645,
  [1025] = 643,
  [1026] = 649,
  [1027] = 638,
  [1028] = 639,
  [1029] = 640,
  [1030] = 664,
  [1031] = 665,
  [1032] = 667,
  [1033] = 666,
  [1034] = 667,
  [1035] = 668,
  [1036] = 646,
  [1037] = 645,
  [1038] = 643,
  [1039] = 649,
  [1040] = 638,
  [1041] = 639,
  [1042] = 640,
  [1043] = 664,
  [1044] = 641,
  [1045] = 668,
  [1046] = 1046,
  [1047] = 642,
  [1048] = 653,
  [1049] = 646,
  [1050] = 637,
  [1051] = 645,
  [1052] = 643,
  [1053] = 649,
  [1054] = 638,
  [1055] = 639,
  [1056] = 640,
  [1057] = 664,
  [1058] = 756,
  [1059] = 653,
  [1060] = 635,
  [1061] = 637,
  [1062] = 803,
  [1063] = 646,
  [1064] = 645,
  [1065] = 643,
  [1066] = 649,
  [1067] = 638,
  [1068] = 639,
  [1069] = 640,
  [1070] = 664,
  [1071] = 803,
  [1072] = 1046,
  [1073] = 642,
  [1074] = 653,
  [1075] = 756,
  [1076] = 637,
  [1077] = 646,
  [1078] = 645,
  [1079] = 643,
  [1080] = 649,
  [1081] = 638,
  [1082] = 639,
  [1083] = 640,
  [1084] = 664,
  [1085] = 668,
  [1086] = 635,
  [1087] = 667,
  [1088] = 668,
  [1089] = 668,
  [1090] = 646,
  [1091] = 645,
  [1092] = 643,
  [1093] = 649,
  [1094] = 638,
  [1095] = 639,
  [1096] = 640,
  [1097] = 667,
  [1098] = 664,
  [1099] = 653,
  [1100] = 666,
  [1101] = 666,
  [1102] = 1102,
  [1103] = 756,
  [1104] = 665,
  [1105] = 646,
  [1106] = 645,
  [1107] = 1107,
  [1108] = 643,
  [1109] = 649,
  [1110] = 638,
  [1111] = 639,
  [1112] = 640,
  [1113] = 642,
  [1114] = 1114,
  [1115] = 664,
  [1116] = 641,
  [1117] = 665,
  [1118] = 635,
  [1119] = 653,
  [1120] = 803,
  [1121] = 665,
  [1122] = 646,
  [1123] = 645,
  [1124] = 643,
  [1125] = 649,
  [1126] = 1126,
  [1127] = 638,
  [1128] = 639,
  [1129] = 1129,
  [1130] = 642,
  [1131] = 640,
  [1132] = 1132,
  [1133] = 666,
  [1134] = 664,
  [1135] = 756,
  [1136] = 1136,
  [1137] = 641,
  [1138] = 635,
  [1139] = 667,
  [1140] = 803,
  [1141] = 668,
  [1142] = 637,
  [1143] = 646,
  [1144] = 645,
  [1145] = 756,
  [1146] = 643,
  [1147] = 649,
  [1148] = 638,
  [1149] = 639,
  [1150] = 640,
  [1151] = 641,
  [1152] = 664,
  [1153] = 665,
  [1154] = 635,
  [1155] = 642,
  [1156] = 803,
  [1157] = 642,
  [1158] = 666,
  [1159] = 1129,
  [1160] = 756,
  [1161] = 667,
  [1162] = 653,
  [1163] = 646,
  [1164] = 645,
  [1165] = 1165,
  [1166] = 643,
  [1167] = 649,
  [1168] = 638,
  [1169] = 639,
  [1170] = 642,
  [1171] = 640,
  [1172] = 668,
  [1173] = 641,
  [1174] = 664,
  [1175] = 635,
  [1176] = 803,
  [1177] = 719,
  [1178] = 637,
  [1179] = 665,
  [1180] = 947,
  [1181] = 756,
  [1182] = 649,
  [1183] = 948,
  [1184] = 945,
  [1185] = 646,
  [1186] = 637,
  [1187] = 645,
  [1188] = 643,
  [1189] = 649,
  [1190] = 638,
  [1191] = 639,
  [1192] = 803,
  [1193] = 665,
  [1194] = 640,
  [1195] = 653,
  [1196] = 637,
  [1197] = 756,
  [1198] = 637,
  [1199] = 664,
  [1200] = 653,
  [1201] = 666,
  [1202] = 667,
  [1203] = 803,
  [1204] = 668,
  [1205] = 637,
  [1206] = 948,
  [1207] = 756,
  [1208] = 635,
  [1209] = 637,
  [1210] = 803,
  [1211] = 637,
  [1212] = 646,
  [1213] = 645,
  [1214] = 643,
  [1215] = 756,
  [1216] = 642,
  [1217] = 649,
  [1218] = 638,
  [1219] = 639,
  [1220] = 640,
  [1221] = 635,
  [1222] = 664,
  [1223] = 803,
  [1224] = 667,
  [1225] = 756,
  [1226] = 666,
  [1227] = 635,
  [1228] = 637,
  [1229] = 653,
  [1230] = 803,
  [1231] = 646,
  [1232] = 645,
  [1233] = 643,
  [1234] = 649,
  [1235] = 638,
  [1236] = 639,
  [1237] = 640,
  [1238] = 637,
  [1239] = 664,
  [1240] = 756,
  [1241] = 637,
  [1242] = 637,
  [1243] = 665,
  [1244] = 642,
  [1245] = 637,
  [1246] = 641,
  [1247] = 665,
  [1248] = 653,
  [1249] = 646,
  [1250] = 645,
  [1251] = 643,
  [1252] = 649,
  [1253] = 638,
  [1254] = 639,
  [1255] = 640,
  [1256] = 635,
  [1257] = 664,
  [1258] = 666,
  [1259] = 667,
  [1260] = 803,
  [1261] = 668,
  [1262] = 637,
  [1263] = 641,
  [1264] = 756,
  [1265] = 635,
  [1266] = 646,
  [1267] = 645,
  [1268] = 643,
  [1269] = 649,
  [1270] = 638,
  [1271] = 639,
  [1272] = 640,
  [1273] = 803,
  [1274] = 664,
  [1275] = 653,
  [1276] = 653,
  [1277] = 668,
  [1278] = 668,
  [1279] = 667,
  [1280] = 756,
  [1281] = 641,
  [1282] = 666,
  [1283] = 665,
  [1284] = 641,
  [1285] = 646,
  [1286] = 645,
  [1287] = 643,
  [1288] = 649,
  [1289] = 638,
  [1290] = 639,
  [1291] = 640,
  [1292] = 637,
  [1293] = 664,
  [1294] = 642,
  [1295] = 635,
  [1296] = 803,
  [1297] = 665,
  [1298] = 756,
  [1299] = 668,
  [1300] = 635,
  [1301] = 642,
  [1302] = 803,
  [1303] = 646,
  [1304] = 666,
  [1305] = 645,
  [1306] = 643,
  [1307] = 637,
  [1308] = 649,
  [1309] = 638,
  [1310] = 639,
  [1311] = 641,
  [1312] = 640,
  [1313] = 667,
  [1314] = 664,
  [1315] = 1129,
  [1316] = 666,
  [1317] = 665,
  [1318] = 756,
  [1319] = 667,
  [1320] = 635,
  [1321] = 803,
  [1322] = 641,
  [1323] = 719,
  [1324] = 668,
  [1325] = 637,
  [1326] = 1326,
  [1327] = 1327,
  [1328] = 1328,
  [1329] = 1136,
  [1330] = 646,
  [1331] = 645,
  [1332] = 643,
  [1333] = 667,
  [1334] = 649,
  [1335] = 638,
  [1336] = 639,
  [1337] = 1337,
  [1338] = 666,
  [1339] = 640,
  [1340] = 1340,
  [1341] = 665,
  [1342] = 664,
  [1343] = 1343,
  [1344] = 947,
  [1345] = 635,
  [1346] = 653,
  [1347] = 948,
  [1348] = 666,
  [1349] = 667,
  [1350] = 668,
  [1351] = 945,
  [1352] = 637,
  [1353] = 756,
  [1354] = 642,
  [1355] = 1326,
  [1356] = 1356,
  [1357] = 1327,
  [1358] = 1328,
  [1359] = 1359,
  [1360] = 1136,
  [1361] = 646,
  [1362] = 665,
  [1363] = 645,
  [1364] = 643,
  [1365] = 1365,
  [1366] = 635,
  [1367] = 649,
  [1368] = 638,
  [1369] = 1328,
  [1370] = 639,
  [1371] = 803,
  [1372] = 640,
  [1373] = 756,
  [1374] = 635,
  [1375] = 664,
  [1376] = 803,
  [1377] = 642,
  [1378] = 756,
  [1379] = 637,
  [1380] = 635,
  [1381] = 637,
  [1382] = 1382,
  [1383] = 653,
  [1384] = 803,
  [1385] = 637,
  [1386] = 653,
  [1387] = 756,
  [1388] = 635,
  [1389] = 803,
  [1390] = 756,
  [1391] = 642,
  [1392] = 637,
  [1393] = 642,
  [1394] = 1326,
  [1395] = 1327,
  [1396] = 1382,
  [1397] = 945,
  [1398] = 653,
  [1399] = 1328,
  [1400] = 1165,
  [1401] = 1136,
  [1402] = 646,
  [1403] = 645,
  [1404] = 643,
  [1405] = 641,
  [1406] = 649,
  [1407] = 638,
  [1408] = 639,
  [1409] = 665,
  [1410] = 640,
  [1411] = 666,
  [1412] = 1412,
  [1413] = 664,
  [1414] = 641,
  [1415] = 667,
  [1416] = 668,
  [1417] = 635,
  [1418] = 803,
  [1419] = 642,
  [1420] = 668,
  [1421] = 1129,
  [1422] = 666,
  [1423] = 667,
  [1424] = 668,
  [1425] = 667,
  [1426] = 666,
  [1427] = 1326,
  [1428] = 1327,
  [1429] = 1382,
  [1430] = 1328,
  [1431] = 1165,
  [1432] = 1136,
  [1433] = 646,
  [1434] = 645,
  [1435] = 643,
  [1436] = 665,
  [1437] = 649,
  [1438] = 638,
  [1439] = 639,
  [1440] = 641,
  [1441] = 640,
  [1442] = 653,
  [1443] = 668,
  [1444] = 637,
  [1445] = 1412,
  [1446] = 664,
  [1447] = 642,
  [1448] = 756,
  [1449] = 667,
  [1450] = 666,
  [1451] = 665,
  [1452] = 642,
  [1453] = 635,
  [1454] = 641,
  [1455] = 803,
  [1456] = 641,
  [1457] = 641,
  [1458] = 756,
  [1459] = 642,
  [1460] = 635,
  [1461] = 803,
  [1462] = 665,
  [1463] = 756,
  [1464] = 666,
  [1465] = 653,
  [1466] = 667,
  [1467] = 668,
  [1468] = 642,
  [1469] = 642,
  [1470] = 637,
  [1471] = 637,
  [1472] = 642,
  [1473] = 637,
  [1474] = 637,
  [1475] = 637,
  [1476] = 1476,
  [1477] = 641,
  [1478] = 803,
  [1479] = 641,
  [1480] = 637,
  [1481] = 756,
  [1482] = 1129,
  [1483] = 665,
  [1484] = 1484,
  [1485] = 666,
  [1486] = 667,
  [1487] = 1487,
  [1488] = 653,
  [1489] = 719,
  [1490] = 668,
  [1491] = 642,
  [1492] = 947,
  [1493] = 635,
  [1494] = 1494,
  [1495] = 803,
  [1496] = 637,
  [1497] = 1497,
  [1498] = 637,
  [1499] = 948,
  [1500] = 637,
  [1501] = 945,
  [1502] = 665,
  [1503] = 653,
  [1504] = 642,
  [1505] = 1327,
  [1506] = 756,
  [1507] = 641,
  [1508] = 665,
  [1509] = 666,
  [1510] = 667,
  [1511] = 668,
  [1512] = 642,
  [1513] = 641,
  [1514] = 665,
  [1515] = 666,
  [1516] = 641,
  [1517] = 653,
  [1518] = 756,
  [1519] = 653,
  [1520] = 637,
  [1521] = 666,
  [1522] = 635,
  [1523] = 667,
  [1524] = 668,
  [1525] = 653,
  [1526] = 803,
  [1527] = 653,
  [1528] = 637,
  [1529] = 668,
  [1530] = 756,
  [1531] = 667,
  [1532] = 635,
  [1533] = 803,
  [1534] = 666,
  [1535] = 640,
  [1536] = 756,
  [1537] = 665,
  [1538] = 642,
  [1539] = 668,
  [1540] = 667,
  [1541] = 635,
  [1542] = 637,
  [1543] = 668,
  [1544] = 803,
  [1545] = 637,
  [1546] = 637,
  [1547] = 641,
  [1548] = 665,
  [1549] = 642,
  [1550] = 666,
  [1551] = 641,
  [1552] = 665,
  [1553] = 666,
  [1554] = 667,
  [1555] = 668,
  [1556] = 641,
  [1557] = 667,
  [1558] = 668,
  [1559] = 667,
  [1560] = 642,
  [1561] = 803,
  [1562] = 756,
  [1563] = 666,
  [1564] = 665,
  [1565] = 653,
  [1566] = 1566,
  [1567] = 635,
  [1568] = 653,
  [1569] = 1569,
  [1570] = 653,
  [1571] = 1326,
  [1572] = 1327,
  [1573] = 1382,
  [1574] = 1328,
  [1575] = 1165,
  [1576] = 1136,
  [1577] = 637,
  [1578] = 646,
  [1579] = 645,
  [1580] = 1580,
  [1581] = 643,
  [1582] = 803,
  [1583] = 641,
  [1584] = 649,
  [1585] = 638,
  [1586] = 1326,
  [1587] = 639,
  [1588] = 635,
  [1589] = 756,
  [1590] = 642,
  [1591] = 637,
  [1592] = 635,
  [1593] = 1412,
  [1594] = 640,
  [1595] = 803,
  [1596] = 664,
  [1597] = 1412,
  [1598] = 664,
  [1599] = 641,
  [1600] = 668,
  [1601] = 667,
  [1602] = 666,
  [1603] = 756,
  [1604] = 635,
  [1605] = 803,
  [1606] = 642,
  [1607] = 641,
  [1608] = 756,
  [1609] = 635,
  [1610] = 1610,
  [1611] = 803,
  [1612] = 501,
  [1613] = 665,
  [1614] = 756,
  [1615] = 666,
  [1616] = 635,
  [1617] = 803,
  [1618] = 1618,
  [1619] = 667,
  [1620] = 756,
  [1621] = 635,
  [1622] = 803,
  [1623] = 756,
  [1624] = 668,
  [1625] = 635,
  [1626] = 803,
  [1627] = 756,
  [1628] = 635,
  [1629] = 803,
  [1630] = 653,
  [1631] = 756,
  [1632] = 635,
  [1633] = 803,
  [1634] = 869,
  [1635] = 637,
  [1636] = 635,
  [1637] = 803,
  [1638] = 756,
  [1639] = 635,
  [1640] = 803,
  [1641] = 756,
  [1642] = 635,
  [1643] = 803,
  [1644] = 756,
  [1645] = 635,
  [1646] = 803,
  [1647] = 756,
  [1648] = 642,
  [1649] = 945,
  [1650] = 637,
  [1651] = 653,
  [1652] = 641,
  [1653] = 653,
  [1654] = 635,
  [1655] = 948,
  [1656] = 947,
  [1657] = 803,
  [1658] = 756,
  [1659] = 637,
  [1660] = 665,
  [1661] = 665,
  [1662] = 719,
  [1663] = 653,
  [1664] = 637,
  [1665] = 635,
  [1666] = 803,
  [1667] = 665,
  [1668] = 666,
  [1669] = 667,
  [1670] = 1129,
  [1671] = 501,
  [1672] = 668,
  [1673] = 756,
  [1674] = 653,
  [1675] = 668,
  [1676] = 653,
  [1677] = 667,
  [1678] = 666,
  [1679] = 665,
  [1680] = 641,
  [1681] = 637,
  [1682] = 642,
  [1683] = 635,
  [1684] = 803,
  [1685] = 756,
  [1686] = 635,
  [1687] = 803,
  [1688] = 501,
  [1689] = 637,
  [1690] = 756,
  [1691] = 1129,
  [1692] = 668,
  [1693] = 667,
  [1694] = 719,
  [1695] = 756,
  [1696] = 947,
  [1697] = 635,
  [1698] = 948,
  [1699] = 642,
  [1700] = 945,
  [1701] = 803,
  [1702] = 666,
  [1703] = 668,
  [1704] = 667,
  [1705] = 666,
  [1706] = 653,
  [1707] = 665,
  [1708] = 641,
  [1709] = 637,
  [1710] = 1102,
  [1711] = 653,
  [1712] = 869,
  [1713] = 1102,
  [1714] = 668,
  [1715] = 667,
  [1716] = 666,
  [1717] = 665,
  [1718] = 641,
  [1719] = 668,
  [1720] = 667,
  [1721] = 869,
  [1722] = 666,
  [1723] = 665,
  [1724] = 641,
  [1725] = 642,
  [1726] = 1102,
  [1727] = 642,
  [1728] = 1728,
  [1729] = 1729,
  [1730] = 1730,
  [1731] = 1730,
  [1732] = 1730,
  [1733] = 1733,
  [1734] = 1734,
  [1735] = 1735,
  [1736] = 1733,
  [1737] = 1737,
  [1738] = 1728,
  [1739] = 1729,
  [1740] = 1740,
  [1741] = 1735,
  [1742] = 501,
  [1743] = 1730,
  [1744] = 1733,
  [1745] = 1740,
  [1746] = 1740,
  [1747] = 1729,
  [1748] = 1733,
  [1749] = 1729,
  [1750] = 1729,
  [1751] = 1737,
  [1752] = 1728,
  [1753] = 1728,
  [1754] = 1728,
  [1755] = 1737,
  [1756] = 1737,
  [1757] = 1734,
  [1758] = 1729,
  [1759] = 1740,
  [1760] = 501,
  [1761] = 1733,
  [1762] = 1740,
  [1763] = 1740,
  [1764] = 1729,
  [1765] = 1730,
  [1766] = 1730,
  [1767] = 1733,
  [1768] = 1737,
  [1769] = 1733,
  [1770] = 1728,
  [1771] = 1737,
  [1772] = 1730,
  [1773] = 1729,
  [1774] = 1730,
  [1775] = 1733,
  [1776] = 1733,
  [1777] = 1730,
  [1778] = 1740,
  [1779] = 1737,
  [1780] = 1728,
  [1781] = 1728,
  [1782] = 1730,
  [1783] = 1733,
  [1784] = 1740,
  [1785] = 1729,
  [1786] = 1737,
  [1787] = 1740,
  [1788] = 1730,
  [1789] = 1728,
  [1790] = 1728,
  [1791] = 1733,
  [1792] = 1737,
  [1793] = 1737,
  [1794] = 1728,
  [1795] = 1729,
  [1796] = 1729,
  [1797] = 1737,
  [1798] = 1740,
  [1799] = 1740,
  [1800] = 1728,
  [1801] = 1730,
  [1802] = 1733,
  [1803] = 1730,
  [1804] = 1733,
  [1805] = 1729,
  [1806] = 1737,
  [1807] = 1740,
  [1808] = 1729,
  [1809] = 1728,
  [1810] = 1728,
  [1811] = 1737,
  [1812] = 1729,
  [1813] = 1740,
  [1814] = 1729,
  [1815] = 1728,
  [1816] = 1733,
  [1817] = 1730,
  [1818] = 1740,
  [1819] = 1737,
  [1820] = 1737,
  [1821] = 1730,
  [1822] = 1733,
  [1823] = 1737,
  [1824] = 1728,
  [1825] = 1740,
  [1826] = 1730,
  [1827] = 1733,
  [1828] = 1737,
  [1829] = 1733,
  [1830] = 1730,
  [1831] = 1730,
  [1832] = 1733,
  [1833] = 1728,
  [1834] = 1728,
  [1835] = 1737,
  [1836] = 1728,
  [1837] = 1740,
  [1838] = 1729,
  [1839] = 1740,
  [1840] = 1729,
  [1841] = 1728,
  [1842] = 1737,
  [1843] = 1729,
  [1844] = 1740,
  [1845] = 1730,
  [1846] = 1740,
  [1847] = 1729,
  [1848] = 1733,
  [1849] = 1733,
  [1850] = 1730,
  [1851] = 1737,
  [1852] = 1728,
  [1853] = 1728,
  [1854] = 1737,
  [1855] = 1729,
  [1856] = 1740,
  [1857] = 1730,
  [1858] = 1733,
  [1859] = 1737,
  [1860] = 1728,
  [1861] = 1729,
  [1862] = 1740,
  [1863] = 1740,
  [1864] = 1730,
  [1865] = 1733,
  [1866] = 1733,
  [1867] = 1730,
  [1868] = 1729,
  [1869] = 1737,
  [1870] = 1728,
  [1871] = 1740,
  [1872] = 1729,
  [1873] = 1729,
  [1874] = 1740,
  [1875] = 1729,
  [1876] = 1730,
  [1877] = 1728,
  [1878] = 1733,
  [1879] = 1737,
  [1880] = 1728,
  [1881] = 1737,
  [1882] = 1737,
  [1883] = 1728,
  [1884] = 1733,
  [1885] = 1730,
  [1886] = 1729,
  [1887] = 1740,
  [1888] = 1730,
  [1889] = 1733,
  [1890] = 1730,
  [1891] = 1733,
  [1892] = 1737,
  [1893] = 1728,
  [1894] = 1729,
  [1895] = 1740,
  [1896] = 1730,
  [1897] = 1733,
  [1898] = 1740,
  [1899] = 1729,
  [1900] = 1737,
  [1901] = 1728,
  [1902] = 1740,
  [1903] = 1729,
  [1904] = 1728,
  [1905] = 1730,
  [1906] = 1737,
  [1907] = 1740,
  [1908] = 1733,
  [1909] = 1740,
  [1910] = 1729,
  [1911] = 1728,
  [1912] = 1737,
  [1913] = 1730,
  [1914] = 1733,
  [1915] = 1730,
  [1916] = 1733,
  [1917] = 1737,
  [1918] = 1737,
  [1919] = 1728,
  [1920] = 1740,
  [1921] = 1729,
  [1922] = 1733,
  [1923] = 1730,
  [1924] = 1728,
  [1925] = 1729,
  [1926] = 1729,
  [1927] = 1728,
  [1928] = 1740,
  [1929] = 1737,
  [1930] = 1740,
  [1931] = 1730,
  [1932] = 1733,
  [1933] = 1737,
  [1934] = 1728,
  [1935] = 1729,
  [1936] = 1740,
  [1937] = 1740,
  [1938] = 1729,
  [1939] = 1730,
  [1940] = 1733,
  [1941] = 1730,
  [1942] = 1733,
  [1943] = 1728,
  [1944] = 1737,
  [1945] = 1737,
  [1946] = 1733,
  [1947] = 1730,
  [1948] = 1740,
  [1949] = 1735,
  [1950] = 1729,
  [1951] = 1729,
  [1952] = 1740,
  [1953] = 1734,
  [1954] = 1730,
  [1955] = 1728,
  [1956] = 1733,
  [1957] = 1737,
  [1958] = 1730,
  [1959] = 1733,
  [1960] = 1737,
  [1961] = 1729,
  [1962] = 1740,
  [1963] = 1737,
  [1964] = 1728,
  [1965] = 1733,
  [1966] = 1740,
  [1967] = 1730,
  [1968] = 1729,
  [1969] = 1740,
  [1970] = 1740,
  [1971] = 1729,
  [1972] = 1729,
  [1973] = 1728,
  [1974] = 1737,
  [1975] = 1728,
  [1976] = 1737,
  [1977] = 1730,
  [1978] = 1733,
  [1979] = 1733,
  [1980] = 1730,
  [1981] = 1740,
  [1982] = 1729,
  [1983] = 1733,
  [1984] = 1730,
  [1985] = 1737,
  [1986] = 501,
  [1987] = 1728,
  [1988] = 1728,
  [1989] = 1737,
  [1990] = 1737,
  [1991] = 1729,
  [1992] = 1728,
  [1993] = 1740,
  [1994] = 1730,
  [1995] = 1733,
  [1996] = 1737,
  [1997] = 1728,
  [1998] = 1729,
  [1999] = 1740,
  [2000] = 1729,
  [2001] = 1740,
  [2002] = 1733,
  [2003] = 1730,
  [2004] = 1728,
  [2005] = 1730,
  [2006] = 1733,
  [2007] = 1733,
  [2008] = 1740,
  [2009] = 1729,
  [2010] = 1730,
  [2011] = 1730,
  [2012] = 1733,
  [2013] = 1737,
  [2014] = 1728,
  [2015] = 1728,
  [2016] = 1737,
  [2017] = 1728,
  [2018] = 1737,
  [2019] = 1729,
  [2020] = 1740,
  [2021] = 1729,
  [2022] = 1740,
  [2023] = 1740,
  [2024] = 1729,
  [2025] = 1730,
  [2026] = 1733,
  [2027] = 1730,
  [2028] = 1733,
  [2029] = 1728,
  [2030] = 1737,
  [2031] = 1737,
  [2032] = 1733,
  [2033] = 1730,
  [2034] = 1740,
  [2035] = 1728,
  [2036] = 1729,
  [2037] = 2037,
  [2038] = 2038,
  [2039] = 2039,
  [2040] = 2040,
  [2041] = 2041,
  [2042] = 2038,
  [2043] = 2037,
  [2044] = 2044,
  [2045] = 2045,
  [2046] = 2046,
  [2047] = 2047,
  [2048] = 2048,
  [2049] = 2046,
  [2050] = 1735,
  [2051] = 2051,
  [2052] = 2044,
  [2053] = 2045,
  [2054] = 2038,
  [2055] = 2041,
  [2056] = 2056,
  [2057] = 2037,
  [2058] = 2058,
  [2059] = 2039,
  [2060] = 2051,
  [2061] = 2048,
  [2062] = 2044,
  [2063] = 2058,
  [2064] = 2064,
  [2065] = 2037,
  [2066] = 2040,
  [2067] = 2039,
  [2068] = 2051,
  [2069] = 2048,
  [2070] = 2047,
  [2071] = 2044,
  [2072] = 2044,
  [2073] = 2047,
  [2074] = 2056,
  [2075] = 2041,
  [2076] = 2044,
  [2077] = 2064,
  [2078] = 2038,
  [2079] = 2045,
  [2080] = 2047,
  [2081] = 2047,
  [2082] = 2044,
  [2083] = 2044,
  [2084] = 2048,
  [2085] = 2051,
  [2086] = 2064,
  [2087] = 2045,
  [2088] = 1734,
  [2089] = 2037,
  [2090] = 2058,
  [2091] = 2038,
  [2092] = 2040,
  [2093] = 2046,
  [2094] = 2041,
  [2095] = 2044,
  [2096] = 2039,
  [2097] = 2056,
  [2098] = 2047,
  [2099] = 2041,
  [2100] = 2038,
  [2101] = 2048,
  [2102] = 2051,
  [2103] = 2037,
  [2104] = 2045,
  [2105] = 2056,
  [2106] = 2047,
  [2107] = 2044,
  [2108] = 2046,
  [2109] = 2047,
  [2110] = 2045,
  [2111] = 2038,
  [2112] = 2041,
  [2113] = 2058,
  [2114] = 2056,
  [2115] = 2040,
  [2116] = 2039,
  [2117] = 2048,
  [2118] = 2040,
  [2119] = 2058,
  [2120] = 2037,
  [2121] = 2051,
  [2122] = 2048,
  [2123] = 2051,
  [2124] = 2037,
  [2125] = 2039,
  [2126] = 2039,
  [2127] = 2064,
  [2128] = 2044,
  [2129] = 2058,
  [2130] = 2051,
  [2131] = 2048,
  [2132] = 2047,
  [2133] = 2040,
  [2134] = 2039,
  [2135] = 2056,
  [2136] = 2038,
  [2137] = 2064,
  [2138] = 2056,
  [2139] = 2041,
  [2140] = 2038,
  [2141] = 501,
  [2142] = 2045,
  [2143] = 2046,
  [2144] = 2041,
  [2145] = 2044,
  [2146] = 2038,
  [2147] = 2045,
  [2148] = 2046,
  [2149] = 2044,
  [2150] = 2046,
  [2151] = 2045,
  [2152] = 2047,
  [2153] = 2038,
  [2154] = 2041,
  [2155] = 1735,
  [2156] = 2064,
  [2157] = 2047,
  [2158] = 2056,
  [2159] = 2039,
  [2160] = 2040,
  [2161] = 2044,
  [2162] = 2058,
  [2163] = 2044,
  [2164] = 2064,
  [2165] = 2037,
  [2166] = 2064,
  [2167] = 2047,
  [2168] = 2048,
  [2169] = 2048,
  [2170] = 2051,
  [2171] = 2048,
  [2172] = 2047,
  [2173] = 1734,
  [2174] = 2044,
  [2175] = 2040,
  [2176] = 2047,
  [2177] = 2048,
  [2178] = 2047,
  [2179] = 2046,
  [2180] = 2044,
  [2181] = 2045,
  [2182] = 2038,
  [2183] = 2058,
  [2184] = 2041,
  [2185] = 2064,
  [2186] = 2056,
  [2187] = 2039,
  [2188] = 2040,
  [2189] = 2046,
  [2190] = 2051,
  [2191] = 2058,
  [2192] = 2037,
  [2193] = 2044,
  [2194] = 2037,
  [2195] = 2051,
  [2196] = 2051,
  [2197] = 2048,
  [2198] = 2048,
  [2199] = 2048,
  [2200] = 2047,
  [2201] = 2037,
  [2202] = 2058,
  [2203] = 2040,
  [2204] = 2051,
  [2205] = 1734,
  [2206] = 2039,
  [2207] = 501,
  [2208] = 2044,
  [2209] = 2051,
  [2210] = 2056,
  [2211] = 1735,
  [2212] = 2058,
  [2213] = 2044,
  [2214] = 2041,
  [2215] = 2038,
  [2216] = 2044,
  [2217] = 2046,
  [2218] = 2045,
  [2219] = 2037,
  [2220] = 2046,
  [2221] = 2040,
  [2222] = 2045,
  [2223] = 2037,
  [2224] = 2058,
  [2225] = 2064,
  [2226] = 2038,
  [2227] = 2041,
  [2228] = 2056,
  [2229] = 2039,
  [2230] = 2040,
  [2231] = 2047,
  [2232] = 2045,
  [2233] = 2058,
  [2234] = 2038,
  [2235] = 2041,
  [2236] = 2056,
  [2237] = 2039,
  [2238] = 2040,
  [2239] = 2058,
  [2240] = 2037,
  [2241] = 2051,
  [2242] = 2048,
  [2243] = 2040,
  [2244] = 2047,
  [2245] = 2039,
  [2246] = 2037,
  [2247] = 2046,
  [2248] = 2056,
  [2249] = 2051,
  [2250] = 2048,
  [2251] = 2048,
  [2252] = 2047,
  [2253] = 2046,
  [2254] = 2051,
  [2255] = 2041,
  [2256] = 2047,
  [2257] = 2048,
  [2258] = 2037,
  [2259] = 2051,
  [2260] = 2260,
  [2261] = 2046,
  [2262] = 2037,
  [2263] = 2045,
  [2264] = 2038,
  [2265] = 2041,
  [2266] = 2038,
  [2267] = 2056,
  [2268] = 2039,
  [2269] = 2058,
  [2270] = 2040,
  [2271] = 2056,
  [2272] = 2058,
  [2273] = 2040,
  [2274] = 2058,
  [2275] = 2040,
  [2276] = 2037,
  [2277] = 2051,
  [2278] = 2048,
  [2279] = 2039,
  [2280] = 2046,
  [2281] = 2044,
  [2282] = 2056,
  [2283] = 2047,
  [2284] = 2041,
  [2285] = 2038,
  [2286] = 2045,
  [2287] = 2046,
  [2288] = 2044,
  [2289] = 2044,
  [2290] = 2047,
  [2291] = 2047,
  [2292] = 2048,
  [2293] = 2048,
  [2294] = 2051,
  [2295] = 2044,
  [2296] = 2037,
  [2297] = 2058,
  [2298] = 2044,
  [2299] = 2051,
  [2300] = 2040,
  [2301] = 2039,
  [2302] = 2039,
  [2303] = 2056,
  [2304] = 2064,
  [2305] = 2037,
  [2306] = 2041,
  [2307] = 2056,
  [2308] = 2038,
  [2309] = 2041,
  [2310] = 2045,
  [2311] = 1735,
  [2312] = 2038,
  [2313] = 1734,
  [2314] = 2051,
  [2315] = 2058,
  [2316] = 2040,
  [2317] = 2045,
  [2318] = 2045,
  [2319] = 2039,
  [2320] = 2044,
  [2321] = 2064,
  [2322] = 2044,
  [2323] = 2056,
  [2324] = 2041,
  [2325] = 2038,
  [2326] = 2045,
  [2327] = 2046,
  [2328] = 2047,
  [2329] = 2048,
  [2330] = 2051,
  [2331] = 2037,
  [2332] = 2046,
  [2333] = 2045,
  [2334] = 2058,
  [2335] = 2044,
  [2336] = 2040,
  [2337] = 2045,
  [2338] = 2039,
  [2339] = 2056,
  [2340] = 2038,
  [2341] = 2041,
  [2342] = 2041,
  [2343] = 2045,
  [2344] = 2044,
  [2345] = 2038,
  [2346] = 2046,
  [2347] = 2056,
  [2348] = 2045,
  [2349] = 2039,
  [2350] = 2040,
  [2351] = 2058,
  [2352] = 501,
  [2353] = 2047,
  [2354] = 2037,
  [2355] = 2046,
  [2356] = 2039,
  [2357] = 2051,
  [2358] = 2048,
  [2359] = 2047,
  [2360] = 2046,
  [2361] = 2056,
  [2362] = 2048,
  [2363] = 2044,
  [2364] = 2041,
  [2365] = 2046,
  [2366] = 2046,
  [2367] = 2047,
  [2368] = 2048,
  [2369] = 2051,
  [2370] = 2037,
  [2371] = 2051,
  [2372] = 2037,
  [2373] = 2058,
  [2374] = 2040,
  [2375] = 2045,
  [2376] = 2044,
  [2377] = 2046,
  [2378] = 2038,
  [2379] = 2041,
  [2380] = 2044,
  [2381] = 2038,
  [2382] = 2047,
  [2383] = 2058,
  [2384] = 2048,
  [2385] = 2056,
  [2386] = 2051,
  [2387] = 2039,
  [2388] = 2041,
  [2389] = 2040,
  [2390] = 2040,
  [2391] = 2037,
  [2392] = 2058,
  [2393] = 2037,
  [2394] = 2058,
  [2395] = 2051,
  [2396] = 2048,
  [2397] = 2047,
  [2398] = 2039,
  [2399] = 2039,
  [2400] = 2064,
  [2401] = 2047,
  [2402] = 2056,
  [2403] = 2040,
  [2404] = 2041,
  [2405] = 2039,
  [2406] = 2038,
  [2407] = 2045,
  [2408] = 2046,
  [2409] = 2048,
  [2410] = 2044,
  [2411] = 2411,
  [2412] = 2056,
  [2413] = 2047,
  [2414] = 2048,
  [2415] = 2051,
  [2416] = 2037,
  [2417] = 2051,
  [2418] = 2056,
  [2419] = 2058,
  [2420] = 2040,
  [2421] = 2039,
  [2422] = 2056,
  [2423] = 2041,
  [2424] = 2056,
  [2425] = 2039,
  [2426] = 2040,
  [2427] = 2046,
  [2428] = 2058,
  [2429] = 2038,
  [2430] = 2045,
  [2431] = 2045,
  [2432] = 2040,
  [2433] = 2039,
  [2434] = 2048,
  [2435] = 2056,
  [2436] = 2041,
  [2437] = 2041,
  [2438] = 2041,
  [2439] = 2045,
  [2440] = 2038,
  [2441] = 2045,
  [2442] = 2047,
  [2443] = 2044,
  [2444] = 2044,
  [2445] = 2445,
  [2446] = 2046,
  [2447] = 2048,
  [2448] = 2051,
  [2449] = 2037,
  [2450] = 2058,
  [2451] = 2047,
  [2452] = 2048,
  [2453] = 2051,
  [2454] = 2037,
  [2455] = 2058,
  [2456] = 2040,
  [2457] = 2039,
  [2458] = 2056,
  [2459] = 2040,
  [2460] = 2041,
  [2461] = 2038,
  [2462] = 2045,
  [2463] = 2039,
  [2464] = 2046,
  [2465] = 2056,
  [2466] = 2041,
  [2467] = 2038,
  [2468] = 2040,
  [2469] = 2058,
  [2470] = 2037,
  [2471] = 2046,
  [2472] = 2045,
  [2473] = 2046,
  [2474] = 2260,
  [2475] = 2045,
  [2476] = 2051,
  [2477] = 2038,
  [2478] = 2041,
  [2479] = 2038,
  [2480] = 2480,
  [2481] = 2041,
  [2482] = 2056,
  [2483] = 2048,
  [2484] = 2056,
  [2485] = 2039,
  [2486] = 2046,
  [2487] = 2040,
  [2488] = 2058,
  [2489] = 2044,
  [2490] = 2045,
  [2491] = 2047,
  [2492] = 2046,
  [2493] = 2044,
  [2494] = 2047,
  [2495] = 2044,
  [2496] = 1734,
  [2497] = 2039,
  [2498] = 2040,
  [2499] = 2047,
  [2500] = 2048,
  [2501] = 2051,
  [2502] = 2037,
  [2503] = 2047,
  [2504] = 2048,
  [2505] = 2051,
  [2506] = 2037,
  [2507] = 2058,
  [2508] = 2040,
  [2509] = 2039,
  [2510] = 2056,
  [2511] = 2041,
  [2512] = 2037,
  [2513] = 2038,
  [2514] = 2045,
  [2515] = 2038,
  [2516] = 2058,
  [2517] = 2046,
  [2518] = 2051,
  [2519] = 2048,
  [2520] = 2040,
  [2521] = 2058,
  [2522] = 2047,
  [2523] = 2039,
  [2524] = 2045,
  [2525] = 2038,
  [2526] = 2048,
  [2527] = 2037,
  [2528] = 2046,
  [2529] = 2051,
  [2530] = 2037,
  [2531] = 2044,
  [2532] = 2044,
  [2533] = 2064,
  [2534] = 2041,
  [2535] = 2051,
  [2536] = 2056,
  [2537] = 2056,
  [2538] = 2041,
  [2539] = 2039,
  [2540] = 2051,
  [2541] = 2046,
  [2542] = 2048,
  [2543] = 2038,
  [2544] = 2045,
  [2545] = 2046,
  [2546] = 2040,
  [2547] = 2046,
  [2548] = 2037,
  [2549] = 2048,
  [2550] = 2047,
  [2551] = 2044,
  [2552] = 2046,
  [2553] = 2037,
  [2554] = 2058,
  [2555] = 2047,
  [2556] = 2058,
  [2557] = 2037,
  [2558] = 2040,
  [2559] = 2039,
  [2560] = 2047,
  [2561] = 2048,
  [2562] = 2051,
  [2563] = 2037,
  [2564] = 2058,
  [2565] = 2040,
  [2566] = 2039,
  [2567] = 2056,
  [2568] = 2041,
  [2569] = 2038,
  [2570] = 2045,
  [2571] = 2046,
  [2572] = 2046,
  [2573] = 2045,
  [2574] = 2056,
  [2575] = 2045,
  [2576] = 2051,
  [2577] = 2037,
  [2578] = 2064,
  [2579] = 2038,
  [2580] = 2048,
  [2581] = 2044,
  [2582] = 2045,
  [2583] = 2041,
  [2584] = 2038,
  [2585] = 2041,
  [2586] = 2056,
  [2587] = 2039,
  [2588] = 2040,
  [2589] = 2058,
  [2590] = 2037,
  [2591] = 2051,
  [2592] = 2048,
  [2593] = 2047,
  [2594] = 2047,
  [2595] = 2058,
  [2596] = 2045,
  [2597] = 2056,
  [2598] = 2039,
  [2599] = 2040,
  [2600] = 2058,
  [2601] = 2064,
  [2602] = 2040,
  [2603] = 2037,
  [2604] = 2039,
  [2605] = 2051,
  [2606] = 2048,
  [2607] = 2047,
  [2608] = 2064,
  [2609] = 2046,
  [2610] = 2064,
  [2611] = 2038,
  [2612] = 2045,
  [2613] = 2038,
  [2614] = 2056,
  [2615] = 2041,
  [2616] = 2038,
  [2617] = 2064,
  [2618] = 2041,
  [2619] = 2037,
  [2620] = 2045,
  [2621] = 2044,
  [2622] = 2064,
  [2623] = 2058,
  [2624] = 2044,
  [2625] = 2056,
  [2626] = 2039,
  [2627] = 1734,
  [2628] = 2047,
  [2629] = 2048,
  [2630] = 2051,
  [2631] = 2037,
  [2632] = 2041,
  [2633] = 2040,
  [2634] = 2058,
  [2635] = 2040,
  [2636] = 2039,
  [2637] = 2056,
  [2638] = 2041,
  [2639] = 2046,
  [2640] = 2038,
  [2641] = 2045,
  [2642] = 2058,
  [2643] = 2046,
  [2644] = 2041,
  [2645] = 2056,
  [2646] = 2046,
  [2647] = 2039,
  [2648] = 2040,
  [2649] = 2058,
  [2650] = 2045,
  [2651] = 2064,
  [2652] = 2037,
  [2653] = 2058,
  [2654] = 2040,
  [2655] = 2051,
  [2656] = 2045,
  [2657] = 2048,
  [2658] = 2047,
  [2659] = 2064,
  [2660] = 2038,
  [2661] = 2056,
  [2662] = 2041,
  [2663] = 2037,
  [2664] = 2038,
  [2665] = 2041,
  [2666] = 2056,
  [2667] = 2039,
  [2668] = 2040,
  [2669] = 2480,
  [2670] = 2039,
  [2671] = 2056,
  [2672] = 2058,
  [2673] = 2056,
  [2674] = 2044,
  [2675] = 2051,
  [2676] = 2048,
  [2677] = 2047,
  [2678] = 2678,
  [2679] = 2051,
  [2680] = 2047,
  [2681] = 2048,
  [2682] = 2051,
  [2683] = 2037,
  [2684] = 2058,
  [2685] = 2040,
  [2686] = 2039,
  [2687] = 2056,
  [2688] = 2041,
  [2689] = 2038,
  [2690] = 2045,
  [2691] = 2039,
  [2692] = 2046,
  [2693] = 2044,
  [2694] = 2044,
  [2695] = 2039,
  [2696] = 2046,
  [2697] = 1735,
  [2698] = 2044,
  [2699] = 2046,
  [2700] = 2046,
  [2701] = 2040,
  [2702] = 2038,
  [2703] = 2045,
  [2704] = 2038,
  [2705] = 2041,
  [2706] = 2047,
  [2707] = 2064,
  [2708] = 2041,
  [2709] = 2046,
  [2710] = 1735,
  [2711] = 2045,
  [2712] = 2056,
  [2713] = 2064,
  [2714] = 2039,
  [2715] = 2040,
  [2716] = 2058,
  [2717] = 2037,
  [2718] = 2064,
  [2719] = 2051,
  [2720] = 2037,
  [2721] = 2044,
  [2722] = 2058,
  [2723] = 2048,
  [2724] = 2047,
  [2725] = 2044,
  [2726] = 2038,
  [2727] = 2044,
  [2728] = 2058,
  [2729] = 2046,
  [2730] = 2041,
  [2731] = 2047,
  [2732] = 2045,
  [2733] = 2048,
  [2734] = 2051,
  [2735] = 2037,
  [2736] = 2058,
  [2737] = 2040,
  [2738] = 2039,
  [2739] = 2056,
  [2740] = 2041,
  [2741] = 2038,
  [2742] = 2045,
  [2743] = 2038,
  [2744] = 2046,
  [2745] = 2056,
  [2746] = 2047,
  [2747] = 2041,
  [2748] = 2048,
  [2749] = 2051,
  [2750] = 2037,
  [2751] = 2039,
  [2752] = 2051,
  [2753] = 2046,
  [2754] = 2040,
  [2755] = 2058,
  [2756] = 2040,
  [2757] = 2045,
  [2758] = 2038,
  [2759] = 2064,
  [2760] = 2048,
  [2761] = 1734,
  [2762] = 1734,
  [2763] = 1735,
  [2764] = 1735,
  [2765] = 1735,
  [2766] = 1734,
  [2767] = 1735,
  [2768] = 1735,
  [2769] = 1734,
  [2770] = 1734,
  [2771] = 1735,
  [2772] = 1734,
  [2773] = 1734,
  [2774] = 1735,
  [2775] = 1735,
  [2776] = 1735,
  [2777] = 1734,
  [2778] = 1734,
  [2779] = 501,
  [2780] = 501,
  [2781] = 501,
  [2782] = 501,
  [2783] = 501,
  [2784] = 1735,
  [2785] = 1734,
  [2786] = 1734,
  [2787] = 501,
  [2788] = 1735,
  [2789] = 1734,
  [2790] = 1735,
  [2791] = 1735,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 1734,
  [2795] = 501,
  [2796] = 1735,
  [2797] = 1734,
  [2798] = 2798,
  [2799] = 2798,
  [2800] = 501,
  [2801] = 2798,
  [2802] = 2792,
  [2803] = 2798,
  [2804] = 2798,
  [2805] = 2793,
  [2806] = 2798,
  [2807] = 2798,
  [2808] = 2798,
  [2809] = 2792,
  [2810] = 2793,
  [2811] = 1734,
  [2812] = 1735,
  [2813] = 501,
  [2814] = 2793,
  [2815] = 2792,
  [2816] = 501,
  [2817] = 501,
  [2818] = 2818,
  [2819] = 501,
  [2820] = 1734,
  [2821] = 501,
  [2822] = 2818,
  [2823] = 2818,
  [2824] = 2824,
  [2825] = 501,
  [2826] = 501,
  [2827] = 2824,
  [2828] = 2824,
  [2829] = 1735,
  [2830] = 2824,
  [2831] = 2824,
  [2832] = 2824,
  [2833] = 2818,
  [2834] = 501,
  [2835] = 1734,
  [2836] = 2836,
  [2837] = 1735,
  [2838] = 501,
  [2839] = 2836,
  [2840] = 501,
  [2841] = 2836,
  [2842] = 501,
  [2843] = 501,
  [2844] = 2844,
  [2845] = 1734,
  [2846] = 2846,
  [2847] = 1734,
  [2848] = 2844,
  [2849] = 2836,
  [2850] = 2836,
  [2851] = 1734,
  [2852] = 2846,
  [2853] = 1734,
  [2854] = 2846,
  [2855] = 1735,
  [2856] = 2844,
  [2857] = 2836,
  [2858] = 1734,
  [2859] = 1734,
  [2860] = 1734,
  [2861] = 1735,
  [2862] = 1735,
  [2863] = 1735,
  [2864] = 1735,
  [2865] = 1735,
  [2866] = 1734,
  [2867] = 1734,
  [2868] = 1734,
  [2869] = 1735,
  [2870] = 1735,
  [2871] = 2846,
  [2872] = 1734,
  [2873] = 1734,
  [2874] = 1734,
  [2875] = 1735,
  [2876] = 1734,
  [2877] = 1735,
  [2878] = 1734,
  [2879] = 2844,
  [2880] = 2844,
  [2881] = 2846,
  [2882] = 1734,
  [2883] = 1735,
  [2884] = 1734,
  [2885] = 1735,
  [2886] = 2886,
  [2887] = 2886,
  [2888] = 2886,
  [2889] = 2886,
  [2890] = 2886,
  [2891] = 2886,
  [2892] = 2886,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2894,
  [2899] = 2899,
  [2900] = 2893,
  [2901] = 2897,
  [2902] = 2902,
  [2903] = 2902,
  [2904] = 2904,
  [2905] = 2895,
  [2906] = 2906,
  [2907] = 2899,
  [2908] = 2846,
  [2909] = 2844,
  [2910] = 2910,
  [2911] = 2894,
  [2912] = 2899,
  [2913] = 2896,
  [2914] = 2906,
  [2915] = 2904,
  [2916] = 2896,
  [2917] = 2906,
  [2918] = 2902,
  [2919] = 2904,
  [2920] = 2897,
  [2921] = 2910,
  [2922] = 1734,
  [2923] = 2895,
  [2924] = 2910,
  [2925] = 2893,
  [2926] = 2926,
  [2927] = 2910,
  [2928] = 2896,
  [2929] = 2899,
  [2930] = 2930,
  [2931] = 2904,
  [2932] = 2897,
  [2933] = 2902,
  [2934] = 2934,
  [2935] = 2904,
  [2936] = 2893,
  [2937] = 2894,
  [2938] = 2895,
  [2939] = 2897,
  [2940] = 2906,
  [2941] = 2896,
  [2942] = 2910,
  [2943] = 2894,
  [2944] = 2893,
  [2945] = 2895,
  [2946] = 2906,
  [2947] = 2902,
  [2948] = 2899,
  [2949] = 2934,
  [2950] = 2926,
  [2951] = 2934,
  [2952] = 2793,
  [2953] = 2934,
  [2954] = 2792,
  [2955] = 2930,
  [2956] = 2926,
  [2957] = 2930,
  [2958] = 2958,
  [2959] = 2959,
  [2960] = 2958,
  [2961] = 2958,
  [2962] = 2958,
  [2963] = 2958,
  [2964] = 2964,
  [2965] = 2958,
  [2966] = 2958,
  [2967] = 2958,
  [2968] = 2958,
  [2969] = 2958,
  [2970] = 2958,
  [2971] = 2958,
  [2972] = 2958,
  [2973] = 2973,
  [2974] = 2974,
  [2975] = 2958,
  [2976] = 2958,
  [2977] = 2958,
  [2978] = 2958,
  [2979] = 2958,
  [2980] = 2958,
  [2981] = 2958,
  [2982] = 2958,
  [2983] = 2958,
  [2984] = 2958,
  [2985] = 2958,
  [2986] = 2958,
  [2987] = 2958,
  [2988] = 2958,
  [2989] = 2958,
  [2990] = 2958,
  [2991] = 2958,
  [2992] = 2958,
  [2993] = 2958,
  [2994] = 2994,
  [2995] = 2958,
  [2996] = 2958,
  [2997] = 2958,
  [2998] = 2958,
  [2999] = 2958,
  [3000] = 2958,
  [3001] = 2958,
  [3002] = 2958,
  [3003] = 2958,
  [3004] = 2958,
  [3005] = 2958,
  [3006] = 2958,
  [3007] = 3007,
  [3008] = 2958,
  [3009] = 2958,
  [3010] = 2958,
  [3011] = 2958,
  [3012] = 2958,
  [3013] = 2958,
  [3014] = 3014,
  [3015] = 3014,
  [3016] = 3014,
  [3017] = 3014,
  [3018] = 3014,
  [3019] = 3014,
  [3020] = 3014,
  [3021] = 3014,
  [3022] = 3014,
  [3023] = 3014,
  [3024] = 3014,
  [3025] = 3014,
  [3026] = 3014,
  [3027] = 3014,
  [3028] = 3014,
  [3029] = 3014,
  [3030] = 3014,
  [3031] = 3014,
  [3032] = 3014,
  [3033] = 3014,
  [3034] = 3014,
  [3035] = 3014,
  [3036] = 3014,
  [3037] = 3014,
  [3038] = 3014,
  [3039] = 3014,
  [3040] = 3014,
  [3041] = 3014,
  [3042] = 3014,
  [3043] = 3014,
  [3044] = 3014,
  [3045] = 3014,
  [3046] = 3014,
  [3047] = 3014,
  [3048] = 3014,
  [3049] = 3014,
  [3050] = 3014,
  [3051] = 3014,
  [3052] = 3014,
  [3053] = 3014,
  [3054] = 3014,
  [3055] = 3014,
  [3056] = 3014,
  [3057] = 3014,
  [3058] = 3014,
  [3059] = 3014,
  [3060] = 3014,
  [3061] = 3014,
  [3062] = 3014,
  [3063] = 3014,
  [3064] = 3014,
  [3065] = 3014,
  [3066] = 3014,
  [3067] = 3014,
  [3068] = 3014,
  [3069] = 2836,
  [3070] = 3070,
  [3071] = 3071,
  [3072] = 3072,
  [3073] = 3073,
  [3074] = 3073,
  [3075] = 3071,
  [3076] = 3072,
  [3077] = 3073,
  [3078] = 3078,
  [3079] = 3073,
  [3080] = 3072,
  [3081] = 3073,
  [3082] = 3072,
  [3083] = 3078,
  [3084] = 3078,
  [3085] = 3070,
  [3086] = 3071,
  [3087] = 3070,
  [3088] = 3078,
  [3089] = 3078,
  [3090] = 3078,
  [3091] = 3070,
  [3092] = 3071,
  [3093] = 3073,
  [3094] = 3070,
  [3095] = 3072,
  [3096] = 3078,
  [3097] = 3078,
  [3098] = 3070,
  [3099] = 3070,
  [3100] = 3071,
  [3101] = 3071,
  [3102] = 3071,
  [3103] = 3072,
  [3104] = 3070,
  [3105] = 3071,
  [3106] = 3070,
  [3107] = 3078,
  [3108] = 3071,
  [3109] = 3073,
  [3110] = 3073,
  [3111] = 3070,
  [3112] = 3072,
  [3113] = 3072,
  [3114] = 3078,
  [3115] = 3071,
  [3116] = 3070,
  [3117] = 3078,
  [3118] = 3072,
  [3119] = 3072,
  [3120] = 3070,
  [3121] = 3078,
  [3122] = 3122,
  [3123] = 3072,
  [3124] = 3071,
  [3125] = 3073,
  [3126] = 3078,
  [3127] = 3078,
  [3128] = 3070,
  [3129] = 3073,
  [3130] = 3073,
  [3131] = 3071,
  [3132] = 3073,
  [3133] = 3071,
  [3134] = 3070,
  [3135] = 3071,
  [3136] = 3078,
  [3137] = 3072,
  [3138] = 3073,
  [3139] = 3070,
  [3140] = 3072,
  [3141] = 3072,
  [3142] = 3073,
  [3143] = 3078,
  [3144] = 3071,
  [3145] = 3073,
  [3146] = 3073,
  [3147] = 3070,
  [3148] = 3071,
  [3149] = 3071,
  [3150] = 3071,
  [3151] = 3070,
  [3152] = 3072,
  [3153] = 3078,
  [3154] = 3072,
  [3155] = 3071,
  [3156] = 3078,
  [3157] = 3073,
  [3158] = 3070,
  [3159] = 3070,
  [3160] = 3072,
  [3161] = 3072,
  [3162] = 3078,
  [3163] = 3070,
  [3164] = 3072,
  [3165] = 3071,
  [3166] = 3078,
  [3167] = 3073,
  [3168] = 3070,
  [3169] = 3078,
  [3170] = 3072,
  [3171] = 3071,
  [3172] = 3078,
  [3173] = 3073,
  [3174] = 3073,
  [3175] = 3071,
  [3176] = 3071,
  [3177] = 3070,
  [3178] = 3070,
  [3179] = 3071,
  [3180] = 3078,
  [3181] = 3072,
  [3182] = 3072,
  [3183] = 3071,
  [3184] = 3073,
  [3185] = 3073,
  [3186] = 3070,
  [3187] = 3072,
  [3188] = 3071,
  [3189] = 3078,
  [3190] = 3070,
  [3191] = 3070,
  [3192] = 3071,
  [3193] = 3078,
  [3194] = 3073,
  [3195] = 3073,
  [3196] = 3078,
  [3197] = 3078,
  [3198] = 3072,
  [3199] = 3073,
  [3200] = 3072,
  [3201] = 3070,
  [3202] = 3071,
  [3203] = 3070,
  [3204] = 3070,
  [3205] = 3071,
  [3206] = 3071,
  [3207] = 3070,
  [3208] = 3078,
  [3209] = 3072,
  [3210] = 3072,
  [3211] = 3073,
  [3212] = 3073,
  [3213] = 3073,
  [3214] = 3071,
  [3215] = 3073,
  [3216] = 3071,
  [3217] = 3070,
  [3218] = 3072,
  [3219] = 3072,
  [3220] = 3078,
  [3221] = 3078,
  [3222] = 3070,
  [3223] = 3072,
  [3224] = 3072,
  [3225] = 3078,
  [3226] = 3072,
  [3227] = 3073,
  [3228] = 2846,
  [3229] = 3073,
  [3230] = 3073,
  [3231] = 3073,
  [3232] = 3072,
  [3233] = 3072,
  [3234] = 3072,
  [3235] = 3078,
  [3236] = 3071,
  [3237] = 3070,
  [3238] = 3071,
  [3239] = 3073,
  [3240] = 3073,
  [3241] = 3071,
  [3242] = 3070,
  [3243] = 3078,
  [3244] = 3072,
  [3245] = 3073,
  [3246] = 3071,
  [3247] = 3072,
  [3248] = 3070,
  [3249] = 3072,
  [3250] = 3071,
  [3251] = 3078,
  [3252] = 3070,
  [3253] = 3078,
  [3254] = 3071,
  [3255] = 3070,
  [3256] = 3072,
  [3257] = 1734,
  [3258] = 3073,
  [3259] = 3070,
  [3260] = 3078,
  [3261] = 3073,
  [3262] = 3071,
  [3263] = 3070,
  [3264] = 3073,
  [3265] = 3072,
  [3266] = 3073,
  [3267] = 3078,
  [3268] = 3078,
  [3269] = 3072,
  [3270] = 3073,
  [3271] = 3073,
  [3272] = 3072,
  [3273] = 3072,
  [3274] = 3073,
  [3275] = 3072,
  [3276] = 3078,
  [3277] = 3078,
  [3278] = 3070,
  [3279] = 3071,
  [3280] = 3073,
  [3281] = 3071,
  [3282] = 3070,
  [3283] = 3078,
  [3284] = 3072,
  [3285] = 3073,
  [3286] = 3078,
  [3287] = 3073,
  [3288] = 3078,
  [3289] = 3071,
  [3290] = 3070,
  [3291] = 3078,
  [3292] = 3072,
  [3293] = 3070,
  [3294] = 3078,
  [3295] = 3071,
  [3296] = 3070,
  [3297] = 3071,
  [3298] = 3071,
  [3299] = 3070,
  [3300] = 3073,
  [3301] = 3078,
  [3302] = 3072,
  [3303] = 2844,
  [3304] = 3070,
  [3305] = 3071,
  [3306] = 3073,
  [3307] = 3078,
  [3308] = 3072,
  [3309] = 3073,
  [3310] = 3073,
  [3311] = 3070,
  [3312] = 3072,
  [3313] = 3078,
  [3314] = 3072,
  [3315] = 3070,
  [3316] = 3071,
  [3317] = 3071,
  [3318] = 3070,
  [3319] = 3071,
  [3320] = 3078,
  [3321] = 3078,
  [3322] = 3070,
  [3323] = 3071,
  [3324] = 3324,
  [3325] = 3325,
  [3326] = 3326,
  [3327] = 3327,
  [3328] = 2934,
  [3329] = 3329,
  [3330] = 3330,
  [3331] = 3331,
  [3332] = 3332,
  [3333] = 3333,
  [3334] = 3324,
  [3335] = 3335,
  [3336] = 3336,
  [3337] = 3336,
  [3338] = 3325,
  [3339] = 3326,
  [3340] = 3327,
  [3341] = 3329,
  [3342] = 3325,
  [3343] = 3331,
  [3344] = 3330,
  [3345] = 2926,
  [3346] = 3326,
  [3347] = 3335,
  [3348] = 3348,
  [3349] = 3332,
  [3350] = 3350,
  [3351] = 3351,
  [3352] = 3327,
  [3353] = 3348,
  [3354] = 3351,
  [3355] = 3350,
  [3356] = 3331,
  [3357] = 3333,
  [3358] = 3331,
  [3359] = 3331,
  [3360] = 3331,
  [3361] = 3329,
  [3362] = 3331,
  [3363] = 3331,
  [3364] = 3333,
  [3365] = 3335,
  [3366] = 3335,
  [3367] = 3330,
  [3368] = 3336,
  [3369] = 3332,
  [3370] = 3324,
  [3371] = 3331,
  [3372] = 3331,
  [3373] = 3348,
  [3374] = 3350,
  [3375] = 3351,
  [3376] = 3376,
  [3377] = 3377,
  [3378] = 3378,
  [3379] = 3377,
  [3380] = 3380,
  [3381] = 3378,
  [3382] = 3378,
  [3383] = 3383,
  [3384] = 3384,
  [3385] = 3378,
  [3386] = 3383,
  [3387] = 3387,
  [3388] = 3378,
  [3389] = 3333,
  [3390] = 3378,
  [3391] = 3383,
  [3392] = 3383,
  [3393] = 3393,
  [3394] = 3394,
  [3395] = 3395,
  [3396] = 3396,
  [3397] = 3397,
  [3398] = 2930,
  [3399] = 3399,
  [3400] = 3377,
  [3401] = 3324,
  [3402] = 3402,
  [3403] = 3383,
  [3404] = 3383,
  [3405] = 3393,
  [3406] = 3395,
  [3407] = 3407,
  [3408] = 3396,
  [3409] = 3399,
  [3410] = 3378,
  [3411] = 3378,
  [3412] = 3378,
  [3413] = 3378,
  [3414] = 3414,
  [3415] = 3383,
  [3416] = 3383,
  [3417] = 3380,
  [3418] = 3350,
  [3419] = 3419,
  [3420] = 3351,
  [3421] = 3421,
  [3422] = 3422,
  [3423] = 3377,
  [3424] = 3383,
  [3425] = 3425,
  [3426] = 3383,
  [3427] = 3325,
  [3428] = 3326,
  [3429] = 3327,
  [3430] = 3430,
  [3431] = 3431,
  [3432] = 3336,
  [3433] = 3433,
  [3434] = 3393,
  [3435] = 3329,
  [3436] = 3436,
  [3437] = 3330,
  [3438] = 3332,
  [3439] = 3395,
  [3440] = 3440,
  [3441] = 3377,
  [3442] = 3442,
  [3443] = 3383,
  [3444] = 3444,
  [3445] = 3445,
  [3446] = 3378,
  [3447] = 3383,
  [3448] = 3442,
  [3449] = 3336,
  [3450] = 3383,
  [3451] = 3451,
  [3452] = 3452,
  [3453] = 3378,
  [3454] = 3454,
  [3455] = 3383,
  [3456] = 3396,
  [3457] = 3457,
  [3458] = 3377,
  [3459] = 3459,
  [3460] = 3460,
  [3461] = 3461,
  [3462] = 3460,
  [3463] = 3463,
  [3464] = 3444,
  [3465] = 3465,
  [3466] = 3378,
  [3467] = 3430,
  [3468] = 3468,
  [3469] = 3469,
  [3470] = 3470,
  [3471] = 3414,
  [3472] = 3402,
  [3473] = 3459,
  [3474] = 3474,
  [3475] = 3397,
  [3476] = 3476,
  [3477] = 3477,
  [3478] = 3399,
  [3479] = 3383,
  [3480] = 3457,
  [3481] = 3419,
  [3482] = 3378,
  [3483] = 3378,
  [3484] = 3383,
  [3485] = 3384,
  [3486] = 3387,
  [3487] = 3436,
  [3488] = 3407,
  [3489] = 3461,
  [3490] = 3490,
  [3491] = 3491,
  [3492] = 3492,
  [3493] = 3493,
  [3494] = 3494,
  [3495] = 3495,
  [3496] = 3496,
  [3497] = 3497,
  [3498] = 3498,
  [3499] = 3499,
  [3500] = 3376,
  [3501] = 3501,
  [3502] = 3502,
  [3503] = 3465,
  [3504] = 3383,
  [3505] = 3505,
  [3506] = 3506,
  [3507] = 3377,
  [3508] = 3378,
  [3509] = 3350,
  [3510] = 3510,
  [3511] = 3511,
  [3512] = 3421,
  [3513] = 3351,
  [3514] = 3422,
  [3515] = 3490,
  [3516] = 3378,
  [3517] = 3517,
  [3518] = 3518,
  [3519] = 3454,
  [3520] = 3377,
  [3521] = 3333,
  [3522] = 3522,
  [3523] = 3523,
  [3524] = 3336,
  [3525] = 3501,
  [3526] = 3526,
  [3527] = 3527,
  [3528] = 3431,
  [3529] = 3529,
  [3530] = 3530,
  [3531] = 3440,
  [3532] = 3433,
  [3533] = 3452,
  [3534] = 3445,
  [3535] = 3383,
  [3536] = 3383,
  [3537] = 3442,
  [3538] = 3377,
  [3539] = 3451,
  [3540] = 3492,
  [3541] = 3451,
  [3542] = 3383,
  [3543] = 3452,
  [3544] = 3377,
  [3545] = 2793,
  [3546] = 3376,
  [3547] = 3547,
  [3548] = 3548,
  [3549] = 3493,
  [3550] = 3457,
  [3551] = 3459,
  [3552] = 2792,
  [3553] = 3378,
  [3554] = 3383,
  [3555] = 3460,
  [3556] = 3556,
  [3557] = 3444,
  [3558] = 3494,
  [3559] = 3465,
  [3560] = 3350,
  [3561] = 3430,
  [3562] = 3562,
  [3563] = 3495,
  [3564] = 3414,
  [3565] = 3402,
  [3566] = 3378,
  [3567] = 3397,
  [3568] = 3383,
  [3569] = 3419,
  [3570] = 3384,
  [3571] = 3377,
  [3572] = 3496,
  [3573] = 3387,
  [3574] = 3436,
  [3575] = 3377,
  [3576] = 3383,
  [3577] = 3378,
  [3578] = 3407,
  [3579] = 3350,
  [3580] = 3351,
  [3581] = 3351,
  [3582] = 3582,
  [3583] = 3461,
  [3584] = 3490,
  [3585] = 3445,
  [3586] = 3383,
  [3587] = 3492,
  [3588] = 3324,
  [3589] = 3377,
  [3590] = 3493,
  [3591] = 3377,
  [3592] = 3498,
  [3593] = 3494,
  [3594] = 3495,
  [3595] = 3496,
  [3596] = 3596,
  [3597] = 3498,
  [3598] = 3499,
  [3599] = 3599,
  [3600] = 3600,
  [3601] = 3324,
  [3602] = 3377,
  [3603] = 3378,
  [3604] = 3377,
  [3605] = 3425,
  [3606] = 3505,
  [3607] = 3506,
  [3608] = 3510,
  [3609] = 3511,
  [3610] = 3383,
  [3611] = 3499,
  [3612] = 3433,
  [3613] = 3431,
  [3614] = 3377,
  [3615] = 3333,
  [3616] = 3377,
  [3617] = 3377,
  [3618] = 3422,
  [3619] = 3378,
  [3620] = 3421,
  [3621] = 3377,
  [3622] = 3517,
  [3623] = 3433,
  [3624] = 3431,
  [3625] = 3377,
  [3626] = 3325,
  [3627] = 3378,
  [3628] = 3326,
  [3629] = 3629,
  [3630] = 3377,
  [3631] = 3440,
  [3632] = 3378,
  [3633] = 3327,
  [3634] = 3377,
  [3635] = 3635,
  [3636] = 3380,
  [3637] = 3637,
  [3638] = 3425,
  [3639] = 3518,
  [3640] = 3383,
  [3641] = 3641,
  [3642] = 3377,
  [3643] = 3502,
  [3644] = 3383,
  [3645] = 3377,
  [3646] = 3497,
  [3647] = 3505,
  [3648] = 3377,
  [3649] = 3329,
  [3650] = 3330,
  [3651] = 3547,
  [3652] = 3377,
  [3653] = 3548,
  [3654] = 3332,
  [3655] = 3383,
  [3656] = 3656,
  [3657] = 3383,
  [3658] = 3658,
  [3659] = 3377,
  [3660] = 3556,
  [3661] = 3377,
  [3662] = 3658,
  [3663] = 3491,
  [3664] = 3377,
  [3665] = 3641,
  [3666] = 3562,
  [3667] = 3506,
  [3668] = 3656,
  [3669] = 3378,
  [3670] = 3377,
  [3671] = 3324,
  [3672] = 3377,
  [3673] = 3422,
  [3674] = 3637,
  [3675] = 3582,
  [3676] = 3635,
  [3677] = 3629,
  [3678] = 3523,
  [3679] = 3377,
  [3680] = 3596,
  [3681] = 3378,
  [3682] = 3383,
  [3683] = 3425,
  [3684] = 3477,
  [3685] = 3421,
  [3686] = 3599,
  [3687] = 3510,
  [3688] = 3377,
  [3689] = 3476,
  [3690] = 3378,
  [3691] = 3383,
  [3692] = 3380,
  [3693] = 3600,
  [3694] = 3377,
  [3695] = 3530,
  [3696] = 3529,
  [3697] = 3511,
  [3698] = 3527,
  [3699] = 3380,
  [3700] = 3383,
  [3701] = 3526,
  [3702] = 3474,
  [3703] = 3656,
  [3704] = 3351,
  [3705] = 3658,
  [3706] = 3325,
  [3707] = 3326,
  [3708] = 3327,
  [3709] = 3522,
  [3710] = 3377,
  [3711] = 3433,
  [3712] = 3431,
  [3713] = 3378,
  [3714] = 3421,
  [3715] = 3422,
  [3716] = 3641,
  [3717] = 3378,
  [3718] = 3378,
  [3719] = 3470,
  [3720] = 3377,
  [3721] = 3422,
  [3722] = 3421,
  [3723] = 3637,
  [3724] = 3329,
  [3725] = 3333,
  [3726] = 3350,
  [3727] = 3330,
  [3728] = 3332,
  [3729] = 3635,
  [3730] = 3469,
  [3731] = 3468,
  [3732] = 3377,
  [3733] = 3378,
  [3734] = 3332,
  [3735] = 3324,
  [3736] = 3330,
  [3737] = 3629,
  [3738] = 3329,
  [3739] = 3463,
  [3740] = 3421,
  [3741] = 3377,
  [3742] = 3422,
  [3743] = 3380,
  [3744] = 3425,
  [3745] = 3377,
  [3746] = 3502,
  [3747] = 3378,
  [3748] = 3497,
  [3749] = 3383,
  [3750] = 3351,
  [3751] = 3600,
  [3752] = 3377,
  [3753] = 3327,
  [3754] = 3377,
  [3755] = 3326,
  [3756] = 3325,
  [3757] = 3377,
  [3758] = 3599,
  [3759] = 3425,
  [3760] = 3336,
  [3761] = 3530,
  [3762] = 3529,
  [3763] = 3527,
  [3764] = 3491,
  [3765] = 3377,
  [3766] = 3378,
  [3767] = 3431,
  [3768] = 3596,
  [3769] = 3324,
  [3770] = 3526,
  [3771] = 3522,
  [3772] = 3383,
  [3773] = 3433,
  [3774] = 3380,
  [3775] = 3378,
  [3776] = 3425,
  [3777] = 3383,
  [3778] = 3433,
  [3779] = 3336,
  [3780] = 3378,
  [3781] = 3477,
  [3782] = 3377,
  [3783] = 3325,
  [3784] = 3476,
  [3785] = 3350,
  [3786] = 3333,
  [3787] = 3326,
  [3788] = 3327,
  [3789] = 3377,
  [3790] = 3394,
  [3791] = 3463,
  [3792] = 3377,
  [3793] = 3336,
  [3794] = 3474,
  [3795] = 3383,
  [3796] = 3547,
  [3797] = 3433,
  [3798] = 3431,
  [3799] = 3548,
  [3800] = 3329,
  [3801] = 3325,
  [3802] = 3326,
  [3803] = 3327,
  [3804] = 3330,
  [3805] = 3332,
  [3806] = 3517,
  [3807] = 3378,
  [3808] = 3431,
  [3809] = 3377,
  [3810] = 3422,
  [3811] = 3421,
  [3812] = 3377,
  [3813] = 3501,
  [3814] = 3470,
  [3815] = 3329,
  [3816] = 3330,
  [3817] = 3332,
  [3818] = 3377,
  [3819] = 3377,
  [3820] = 3378,
  [3821] = 3523,
  [3822] = 3383,
  [3823] = 3469,
  [3824] = 3468,
  [3825] = 3582,
  [3826] = 3454,
  [3827] = 3333,
  [3828] = 3518,
  [3829] = 3562,
  [3830] = 3380,
  [3831] = 3556,
  [3832] = 3425,
  [3833] = 3378,
  [3834] = 3383,
  [3835] = 3394,
  [3836] = 3556,
  [3837] = 3548,
  [3838] = 3499,
  [3839] = 3505,
  [3840] = 3506,
  [3841] = 3510,
  [3842] = 3511,
  [3843] = 3843,
  [3844] = 3517,
  [3845] = 3518,
  [3846] = 3846,
  [3847] = 3599,
  [3848] = 3502,
  [3849] = 3497,
  [3850] = 3562,
  [3851] = 3582,
  [3852] = 3491,
  [3853] = 2792,
  [3854] = 2793,
  [3855] = 3399,
  [3856] = 3523,
  [3857] = 3402,
  [3858] = 3477,
  [3859] = 3476,
  [3860] = 3498,
  [3861] = 3396,
  [3862] = 3395,
  [3863] = 3547,
  [3864] = 3474,
  [3865] = 3393,
  [3866] = 3470,
  [3867] = 3496,
  [3868] = 3469,
  [3869] = 3468,
  [3870] = 3596,
  [3871] = 3656,
  [3872] = 3658,
  [3873] = 3495,
  [3874] = 3494,
  [3875] = 3502,
  [3876] = 3497,
  [3877] = 3843,
  [3878] = 3493,
  [3879] = 3846,
  [3880] = 3600,
  [3881] = 3492,
  [3882] = 3641,
  [3883] = 3491,
  [3884] = 3637,
  [3885] = 3477,
  [3886] = 3635,
  [3887] = 3629,
  [3888] = 3490,
  [3889] = 3461,
  [3890] = 3476,
  [3891] = 3407,
  [3892] = 3436,
  [3893] = 3474,
  [3894] = 3387,
  [3895] = 3470,
  [3896] = 3469,
  [3897] = 3468,
  [3898] = 3463,
  [3899] = 3394,
  [3900] = 3463,
  [3901] = 3394,
  [3902] = 3843,
  [3903] = 3384,
  [3904] = 3846,
  [3905] = 3843,
  [3906] = 3846,
  [3907] = 3843,
  [3908] = 3846,
  [3909] = 3846,
  [3910] = 3843,
  [3911] = 3846,
  [3912] = 3912,
  [3913] = 3419,
  [3914] = 3843,
  [3915] = 3530,
  [3916] = 3529,
  [3917] = 3527,
  [3918] = 3846,
  [3919] = 3522,
  [3920] = 3526,
  [3921] = 3527,
  [3922] = 3529,
  [3923] = 3523,
  [3924] = 3530,
  [3925] = 3526,
  [3926] = 3397,
  [3927] = 3843,
  [3928] = 3517,
  [3929] = 3414,
  [3930] = 3430,
  [3931] = 3465,
  [3932] = 3444,
  [3933] = 3460,
  [3934] = 3459,
  [3935] = 3457,
  [3936] = 3376,
  [3937] = 3452,
  [3938] = 3451,
  [3939] = 3442,
  [3940] = 3445,
  [3941] = 3629,
  [3942] = 3635,
  [3943] = 3637,
  [3944] = 3394,
  [3945] = 3641,
  [3946] = 3658,
  [3947] = 3656,
  [3948] = 3518,
  [3949] = 3440,
  [3950] = 3470,
  [3951] = 3351,
  [3952] = 3600,
  [3953] = 3350,
  [3954] = 3511,
  [3955] = 3510,
  [3956] = 3599,
  [3957] = 3506,
  [3958] = 3505,
  [3959] = 3501,
  [3960] = 3499,
  [3961] = 3596,
  [3962] = 3498,
  [3963] = 3496,
  [3964] = 3846,
  [3965] = 3495,
  [3966] = 3460,
  [3967] = 3846,
  [3968] = 3494,
  [3969] = 3582,
  [3970] = 3493,
  [3971] = 3562,
  [3972] = 3492,
  [3973] = 3490,
  [3974] = 3461,
  [3975] = 3522,
  [3976] = 3556,
  [3977] = 3843,
  [3978] = 3846,
  [3979] = 3407,
  [3980] = 3843,
  [3981] = 3436,
  [3982] = 3399,
  [3983] = 3846,
  [3984] = 3843,
  [3985] = 3522,
  [3986] = 3387,
  [3987] = 3846,
  [3988] = 3384,
  [3989] = 3548,
  [3990] = 3547,
  [3991] = 3526,
  [3992] = 3527,
  [3993] = 3529,
  [3994] = 3394,
  [3995] = 3530,
  [3996] = 3419,
  [3997] = 3843,
  [3998] = 3397,
  [3999] = 3846,
  [4000] = 3402,
  [4001] = 3843,
  [4002] = 3414,
  [4003] = 3430,
  [4004] = 3465,
  [4005] = 3843,
  [4006] = 3444,
  [4007] = 3460,
  [4008] = 3459,
  [4009] = 3522,
  [4010] = 3457,
  [4011] = 3843,
  [4012] = 3454,
  [4013] = 3376,
  [4014] = 3396,
  [4015] = 3395,
  [4016] = 3526,
  [4017] = 3527,
  [4018] = 3529,
  [4019] = 3452,
  [4020] = 3451,
  [4021] = 3530,
  [4022] = 3442,
  [4023] = 3445,
  [4024] = 3629,
  [4025] = 3463,
  [4026] = 3440,
  [4027] = 3635,
  [4028] = 3393,
  [4029] = 3637,
  [4030] = 3468,
  [4031] = 3469,
  [4032] = 3641,
  [4033] = 3491,
  [4034] = 3501,
  [4035] = 3846,
  [4036] = 3658,
  [4037] = 3656,
  [4038] = 3393,
  [4039] = 3629,
  [4040] = 3474,
  [4041] = 3395,
  [4042] = 3635,
  [4043] = 3396,
  [4044] = 3637,
  [4045] = 3476,
  [4046] = 3846,
  [4047] = 3477,
  [4048] = 3399,
  [4049] = 3641,
  [4050] = 3600,
  [4051] = 3599,
  [4052] = 3843,
  [4053] = 3658,
  [4054] = 3656,
  [4055] = 3596,
  [4056] = 3548,
  [4057] = 3846,
  [4058] = 3582,
  [4059] = 3562,
  [4060] = 3600,
  [4061] = 3599,
  [4062] = 3476,
  [4063] = 3556,
  [4064] = 3843,
  [4065] = 3846,
  [4066] = 3454,
  [4067] = 3596,
  [4068] = 3548,
  [4069] = 3547,
  [4070] = 3497,
  [4071] = 3502,
  [4072] = 3846,
  [4073] = 3582,
  [4074] = 3843,
  [4075] = 3562,
  [4076] = 3547,
  [4077] = 4077,
  [4078] = 3556,
  [4079] = 3523,
  [4080] = 3846,
  [4081] = 2793,
  [4082] = 3843,
  [4083] = 3548,
  [4084] = 3547,
  [4085] = 3846,
  [4086] = 3556,
  [4087] = 3843,
  [4088] = 3846,
  [4089] = 3562,
  [4090] = 3518,
  [4091] = 3582,
  [4092] = 3517,
  [4093] = 3511,
  [4094] = 3843,
  [4095] = 3846,
  [4096] = 3510,
  [4097] = 3843,
  [4098] = 3506,
  [4099] = 3846,
  [4100] = 3843,
  [4101] = 3843,
  [4102] = 3843,
  [4103] = 3846,
  [4104] = 3843,
  [4105] = 3846,
  [4106] = 3505,
  [4107] = 3501,
  [4108] = 3843,
  [4109] = 3846,
  [4110] = 3843,
  [4111] = 3846,
  [4112] = 3499,
  [4113] = 3843,
  [4114] = 3846,
  [4115] = 3498,
  [4116] = 3496,
  [4117] = 3495,
  [4118] = 3494,
  [4119] = 3846,
  [4120] = 3493,
  [4121] = 3399,
  [4122] = 3396,
  [4123] = 3395,
  [4124] = 3492,
  [4125] = 3490,
  [4126] = 3497,
  [4127] = 3393,
  [4128] = 3461,
  [4129] = 3407,
  [4130] = 3436,
  [4131] = 3387,
  [4132] = 3384,
  [4133] = 3419,
  [4134] = 3846,
  [4135] = 3397,
  [4136] = 3843,
  [4137] = 3402,
  [4138] = 3414,
  [4139] = 3596,
  [4140] = 4140,
  [4141] = 3430,
  [4142] = 3465,
  [4143] = 3444,
  [4144] = 3460,
  [4145] = 3459,
  [4146] = 3399,
  [4147] = 3396,
  [4148] = 3395,
  [4149] = 3393,
  [4150] = 3399,
  [4151] = 3396,
  [4152] = 3457,
  [4153] = 3846,
  [4154] = 3395,
  [4155] = 3393,
  [4156] = 3454,
  [4157] = 3599,
  [4158] = 3843,
  [4159] = 3846,
  [4160] = 3376,
  [4161] = 3600,
  [4162] = 3843,
  [4163] = 3452,
  [4164] = 3843,
  [4165] = 3451,
  [4166] = 3846,
  [4167] = 3843,
  [4168] = 3846,
  [4169] = 3843,
  [4170] = 3442,
  [4171] = 3445,
  [4172] = 3440,
  [4173] = 3846,
  [4174] = 3846,
  [4175] = 3843,
  [4176] = 3846,
  [4177] = 3656,
  [4178] = 3658,
  [4179] = 3843,
  [4180] = 4140,
  [4181] = 3641,
  [4182] = 3846,
  [4183] = 3562,
  [4184] = 3843,
  [4185] = 2792,
  [4186] = 4186,
  [4187] = 4187,
  [4188] = 3637,
  [4189] = 3635,
  [4190] = 3629,
  [4191] = 3547,
  [4192] = 4140,
  [4193] = 3548,
  [4194] = 3843,
  [4195] = 4186,
  [4196] = 3556,
  [4197] = 3843,
  [4198] = 4198,
  [4199] = 3499,
  [4200] = 3846,
  [4201] = 3846,
  [4202] = 4198,
  [4203] = 4203,
  [4204] = 3843,
  [4205] = 3582,
  [4206] = 4206,
  [4207] = 3530,
  [4208] = 4208,
  [4209] = 3529,
  [4210] = 3843,
  [4211] = 3527,
  [4212] = 3526,
  [4213] = 3336,
  [4214] = 3596,
  [4215] = 3522,
  [4216] = 3333,
  [4217] = 4187,
  [4218] = 3599,
  [4219] = 4140,
  [4220] = 3846,
  [4221] = 4203,
  [4222] = 3600,
  [4223] = 3656,
  [4224] = 4206,
  [4225] = 3843,
  [4226] = 3463,
  [4227] = 4208,
  [4228] = 4140,
  [4229] = 3658,
  [4230] = 3641,
  [4231] = 3637,
  [4232] = 3454,
  [4233] = 3846,
  [4234] = 3468,
  [4235] = 3843,
  [4236] = 3846,
  [4237] = 3843,
  [4238] = 3635,
  [4239] = 3629,
  [4240] = 3469,
  [4241] = 3324,
  [4242] = 3332,
  [4243] = 4140,
  [4244] = 3330,
  [4245] = 3329,
  [4246] = 4077,
  [4247] = 3501,
  [4248] = 3325,
  [4249] = 3470,
  [4250] = 3454,
  [4251] = 3326,
  [4252] = 3327,
  [4253] = 3327,
  [4254] = 3326,
  [4255] = 3329,
  [4256] = 3330,
  [4257] = 3332,
  [4258] = 3846,
  [4259] = 3325,
  [4260] = 3440,
  [4261] = 4208,
  [4262] = 4206,
  [4263] = 3351,
  [4264] = 3350,
  [4265] = 4203,
  [4266] = 3474,
  [4267] = 4198,
  [4268] = 4187,
  [4269] = 3445,
  [4270] = 4186,
  [4271] = 3843,
  [4272] = 3442,
  [4273] = 4140,
  [4274] = 3477,
  [4275] = 3846,
  [4276] = 3451,
  [4277] = 3452,
  [4278] = 3523,
  [4279] = 3376,
  [4280] = 3846,
  [4281] = 3457,
  [4282] = 3459,
  [4283] = 3460,
  [4284] = 3444,
  [4285] = 3465,
  [4286] = 3430,
  [4287] = 3414,
  [4288] = 3402,
  [4289] = 3491,
  [4290] = 3397,
  [4291] = 3419,
  [4292] = 3384,
  [4293] = 3387,
  [4294] = 3436,
  [4295] = 3407,
  [4296] = 3461,
  [4297] = 3490,
  [4298] = 3492,
  [4299] = 3493,
  [4300] = 3494,
  [4301] = 3495,
  [4302] = 3496,
  [4303] = 3498,
  [4304] = 3518,
  [4305] = 3505,
  [4306] = 3506,
  [4307] = 3510,
  [4308] = 3511,
  [4309] = 3517,
  [4310] = 3843,
  [4311] = 3846,
  [4312] = 3324,
  [4313] = 3502,
  [4314] = 3333,
  [4315] = 3491,
  [4316] = 3523,
  [4317] = 3477,
  [4318] = 3336,
  [4319] = 3474,
  [4320] = 3502,
  [4321] = 3470,
  [4322] = 3469,
  [4323] = 3518,
  [4324] = 3468,
  [4325] = 3440,
  [4326] = 3351,
  [4327] = 3843,
  [4328] = 3350,
  [4329] = 3445,
  [4330] = 3442,
  [4331] = 3497,
  [4332] = 4332,
  [4333] = 3451,
  [4334] = 4208,
  [4335] = 3452,
  [4336] = 3376,
  [4337] = 3454,
  [4338] = 3457,
  [4339] = 3459,
  [4340] = 3460,
  [4341] = 3444,
  [4342] = 3517,
  [4343] = 4187,
  [4344] = 3465,
  [4345] = 3430,
  [4346] = 3846,
  [4347] = 3414,
  [4348] = 3402,
  [4349] = 3843,
  [4350] = 3397,
  [4351] = 3419,
  [4352] = 3384,
  [4353] = 3511,
  [4354] = 3510,
  [4355] = 3506,
  [4356] = 3505,
  [4357] = 3501,
  [4358] = 3387,
  [4359] = 3436,
  [4360] = 3407,
  [4361] = 3476,
  [4362] = 3499,
  [4363] = 3461,
  [4364] = 3490,
  [4365] = 3498,
  [4366] = 3492,
  [4367] = 3493,
  [4368] = 3494,
  [4369] = 3495,
  [4370] = 3496,
  [4371] = 3496,
  [4372] = 3498,
  [4373] = 3499,
  [4374] = 3495,
  [4375] = 3494,
  [4376] = 3493,
  [4377] = 3492,
  [4378] = 3490,
  [4379] = 3461,
  [4380] = 3407,
  [4381] = 3501,
  [4382] = 3505,
  [4383] = 3436,
  [4384] = 4384,
  [4385] = 3387,
  [4386] = 3506,
  [4387] = 3384,
  [4388] = 3510,
  [4389] = 3419,
  [4390] = 3511,
  [4391] = 3517,
  [4392] = 3530,
  [4393] = 3529,
  [4394] = 3527,
  [4395] = 3526,
  [4396] = 3397,
  [4397] = 3463,
  [4398] = 3336,
  [4399] = 3518,
  [4400] = 3502,
  [4401] = 3522,
  [4402] = 3333,
  [4403] = 3491,
  [4404] = 3843,
  [4405] = 3523,
  [4406] = 3440,
  [4407] = 3477,
  [4408] = 3474,
  [4409] = 3470,
  [4410] = 3402,
  [4411] = 3414,
  [4412] = 3469,
  [4413] = 3468,
  [4414] = 3846,
  [4415] = 3463,
  [4416] = 3430,
  [4417] = 3465,
  [4418] = 3444,
  [4419] = 3394,
  [4420] = 3843,
  [4421] = 3445,
  [4422] = 3846,
  [4423] = 3442,
  [4424] = 3451,
  [4425] = 3452,
  [4426] = 3376,
  [4427] = 3497,
  [4428] = 3846,
  [4429] = 3394,
  [4430] = 3843,
  [4431] = 3332,
  [4432] = 3330,
  [4433] = 3329,
  [4434] = 3327,
  [4435] = 3326,
  [4436] = 3325,
  [4437] = 3476,
  [4438] = 3324,
  [4439] = 3457,
  [4440] = 3459,
  [4441] = 3330,
  [4442] = 4442,
  [4443] = 3460,
  [4444] = 3459,
  [4445] = 3457,
  [4446] = 4446,
  [4447] = 3376,
  [4448] = 3452,
  [4449] = 3451,
  [4450] = 4450,
  [4451] = 3442,
  [4452] = 3445,
  [4453] = 3333,
  [4454] = 4442,
  [4455] = 3440,
  [4456] = 4442,
  [4457] = 3336,
  [4458] = 3465,
  [4459] = 3430,
  [4460] = 3414,
  [4461] = 3402,
  [4462] = 4462,
  [4463] = 3397,
  [4464] = 3419,
  [4465] = 3384,
  [4466] = 3387,
  [4467] = 3436,
  [4468] = 3407,
  [4469] = 3547,
  [4470] = 3461,
  [4471] = 3490,
  [4472] = 3548,
  [4473] = 3492,
  [4474] = 3336,
  [4475] = 3493,
  [4476] = 3494,
  [4477] = 3495,
  [4478] = 3496,
  [4479] = 3498,
  [4480] = 3556,
  [4481] = 3499,
  [4482] = 3505,
  [4483] = 3506,
  [4484] = 3510,
  [4485] = 3511,
  [4486] = 3517,
  [4487] = 3562,
  [4488] = 3518,
  [4489] = 3582,
  [4490] = 3596,
  [4491] = 3333,
  [4492] = 3454,
  [4493] = 4446,
  [4494] = 4446,
  [4495] = 4450,
  [4496] = 3599,
  [4497] = 3522,
  [4498] = 3600,
  [4499] = 4450,
  [4500] = 4442,
  [4501] = 3523,
  [4502] = 3656,
  [4503] = 3658,
  [4504] = 3641,
  [4505] = 3637,
  [4506] = 3635,
  [4507] = 4442,
  [4508] = 3399,
  [4509] = 3501,
  [4510] = 3629,
  [4511] = 3396,
  [4512] = 3395,
  [4513] = 3526,
  [4514] = 4442,
  [4515] = 3393,
  [4516] = 3332,
  [4517] = 3330,
  [4518] = 3329,
  [4519] = 4442,
  [4520] = 3530,
  [4521] = 3529,
  [4522] = 3527,
  [4523] = 4442,
  [4524] = 3327,
  [4525] = 3326,
  [4526] = 3325,
  [4527] = 4442,
  [4528] = 3527,
  [4529] = 3444,
  [4530] = 3526,
  [4531] = 4442,
  [4532] = 4442,
  [4533] = 3547,
  [4534] = 3548,
  [4535] = 3522,
  [4536] = 3336,
  [4537] = 3556,
  [4538] = 3529,
  [4539] = 4442,
  [4540] = 3562,
  [4541] = 3530,
  [4542] = 3399,
  [4543] = 3582,
  [4544] = 3396,
  [4545] = 3395,
  [4546] = 3393,
  [4547] = 4442,
  [4548] = 4442,
  [4549] = 4442,
  [4550] = 3324,
  [4551] = 4442,
  [4552] = 3596,
  [4553] = 3599,
  [4554] = 4442,
  [4555] = 3600,
  [4556] = 4442,
  [4557] = 4442,
  [4558] = 4442,
  [4559] = 3333,
  [4560] = 4442,
  [4561] = 4442,
  [4562] = 3656,
  [4563] = 3658,
  [4564] = 4442,
  [4565] = 4442,
  [4566] = 4442,
  [4567] = 4442,
  [4568] = 3641,
  [4569] = 3394,
  [4570] = 3463,
  [4571] = 3637,
  [4572] = 3635,
  [4573] = 3629,
  [4574] = 4442,
  [4575] = 3393,
  [4576] = 3629,
  [4577] = 3395,
  [4578] = 3440,
  [4579] = 3396,
  [4580] = 3399,
  [4581] = 4581,
  [4582] = 3530,
  [4583] = 3635,
  [4584] = 4442,
  [4585] = 4442,
  [4586] = 3529,
  [4587] = 3527,
  [4588] = 4442,
  [4589] = 4442,
  [4590] = 3526,
  [4591] = 3351,
  [4592] = 4442,
  [4593] = 3350,
  [4594] = 4442,
  [4595] = 4462,
  [4596] = 3522,
  [4597] = 4442,
  [4598] = 3332,
  [4599] = 3329,
  [4600] = 3637,
  [4601] = 4442,
  [4602] = 4602,
  [4603] = 4442,
  [4604] = 4442,
  [4605] = 3327,
  [4606] = 3641,
  [4607] = 3326,
  [4608] = 3325,
  [4609] = 3445,
  [4610] = 3502,
  [4611] = 4446,
  [4612] = 4450,
  [4613] = 3442,
  [4614] = 3497,
  [4615] = 4442,
  [4616] = 3451,
  [4617] = 3332,
  [4618] = 3330,
  [4619] = 4442,
  [4620] = 3329,
  [4621] = 3452,
  [4622] = 3394,
  [4623] = 3476,
  [4624] = 3497,
  [4625] = 3376,
  [4626] = 3463,
  [4627] = 3327,
  [4628] = 3326,
  [4629] = 3325,
  [4630] = 4442,
  [4631] = 3454,
  [4632] = 3468,
  [4633] = 3469,
  [4634] = 4442,
  [4635] = 3470,
  [4636] = 3474,
  [4637] = 3324,
  [4638] = 3477,
  [4639] = 3351,
  [4640] = 3350,
  [4641] = 3491,
  [4642] = 4450,
  [4643] = 3476,
  [4644] = 4446,
  [4645] = 3502,
  [4646] = 3394,
  [4647] = 3454,
  [4648] = 3547,
  [4649] = 3548,
  [4650] = 3556,
  [4651] = 4442,
  [4652] = 3324,
  [4653] = 3457,
  [4654] = 3459,
  [4655] = 3460,
  [4656] = 3658,
  [4657] = 3562,
  [4658] = 3582,
  [4659] = 4442,
  [4660] = 3491,
  [4661] = 3501,
  [4662] = 3523,
  [4663] = 3351,
  [4664] = 3444,
  [4665] = 3465,
  [4666] = 3596,
  [4667] = 3430,
  [4668] = 3599,
  [4669] = 3350,
  [4670] = 3440,
  [4671] = 3600,
  [4672] = 3497,
  [4673] = 3445,
  [4674] = 3463,
  [4675] = 3656,
  [4676] = 4462,
  [4677] = 3414,
  [4678] = 3402,
  [4679] = 3442,
  [4680] = 3468,
  [4681] = 3469,
  [4682] = 3470,
  [4683] = 4442,
  [4684] = 3518,
  [4685] = 4442,
  [4686] = 3397,
  [4687] = 3419,
  [4688] = 3451,
  [4689] = 3474,
  [4690] = 4442,
  [4691] = 3384,
  [4692] = 3387,
  [4693] = 3436,
  [4694] = 3477,
  [4695] = 3452,
  [4696] = 3376,
  [4697] = 3477,
  [4698] = 3407,
  [4699] = 3476,
  [4700] = 3523,
  [4701] = 3461,
  [4702] = 4442,
  [4703] = 3490,
  [4704] = 4442,
  [4705] = 3491,
  [4706] = 3492,
  [4707] = 3493,
  [4708] = 3502,
  [4709] = 3494,
  [4710] = 3495,
  [4711] = 3496,
  [4712] = 3518,
  [4713] = 3474,
  [4714] = 3498,
  [4715] = 3499,
  [4716] = 3501,
  [4717] = 3517,
  [4718] = 4442,
  [4719] = 3511,
  [4720] = 3510,
  [4721] = 3506,
  [4722] = 3505,
  [4723] = 3505,
  [4724] = 3499,
  [4725] = 3498,
  [4726] = 3506,
  [4727] = 3496,
  [4728] = 3495,
  [4729] = 3494,
  [4730] = 3493,
  [4731] = 3510,
  [4732] = 3492,
  [4733] = 3511,
  [4734] = 3470,
  [4735] = 3490,
  [4736] = 3461,
  [4737] = 3407,
  [4738] = 3436,
  [4739] = 3387,
  [4740] = 3384,
  [4741] = 3419,
  [4742] = 3517,
  [4743] = 3397,
  [4744] = 3469,
  [4745] = 3402,
  [4746] = 3414,
  [4747] = 4442,
  [4748] = 3468,
  [4749] = 3430,
  [4750] = 3465,
  [4751] = 3444,
  [4752] = 3460,
  [4753] = 3459,
  [4754] = 3457,
  [4755] = 3399,
  [4756] = 3517,
  [4757] = 4581,
  [4758] = 4758,
  [4759] = 3330,
  [4760] = 4758,
  [4761] = 3324,
  [4762] = 4758,
  [4763] = 3387,
  [4764] = 4764,
  [4765] = 4758,
  [4766] = 4758,
  [4767] = 4758,
  [4768] = 3440,
  [4769] = 3440,
  [4770] = 3445,
  [4771] = 3442,
  [4772] = 3451,
  [4773] = 3452,
  [4774] = 3376,
  [4775] = 3522,
  [4776] = 3454,
  [4777] = 4462,
  [4778] = 4758,
  [4779] = 3457,
  [4780] = 3526,
  [4781] = 3459,
  [4782] = 3445,
  [4783] = 3460,
  [4784] = 3442,
  [4785] = 3527,
  [4786] = 3451,
  [4787] = 3452,
  [4788] = 3529,
  [4789] = 3376,
  [4790] = 3530,
  [4791] = 3444,
  [4792] = 3454,
  [4793] = 3465,
  [4794] = 3430,
  [4795] = 3414,
  [4796] = 4758,
  [4797] = 3547,
  [4798] = 3548,
  [4799] = 3402,
  [4800] = 3397,
  [4801] = 3629,
  [4802] = 3635,
  [4803] = 3556,
  [4804] = 4758,
  [4805] = 4758,
  [4806] = 3419,
  [4807] = 3332,
  [4808] = 3637,
  [4809] = 3329,
  [4810] = 4581,
  [4811] = 3384,
  [4812] = 3641,
  [4813] = 3336,
  [4814] = 3457,
  [4815] = 3562,
  [4816] = 3459,
  [4817] = 3460,
  [4818] = 3522,
  [4819] = 3436,
  [4820] = 3407,
  [4821] = 3658,
  [4822] = 3461,
  [4823] = 3490,
  [4824] = 3444,
  [4825] = 3465,
  [4826] = 3430,
  [4827] = 3582,
  [4828] = 4602,
  [4829] = 3656,
  [4830] = 3492,
  [4831] = 3493,
  [4832] = 3414,
  [4833] = 3402,
  [4834] = 3494,
  [4835] = 3526,
  [4836] = 3495,
  [4837] = 3527,
  [4838] = 4764,
  [4839] = 3496,
  [4840] = 3529,
  [4841] = 3498,
  [4842] = 3530,
  [4843] = 3499,
  [4844] = 3327,
  [4845] = 3326,
  [4846] = 3501,
  [4847] = 3397,
  [4848] = 3325,
  [4849] = 3505,
  [4850] = 3600,
  [4851] = 3419,
  [4852] = 3384,
  [4853] = 3599,
  [4854] = 3387,
  [4855] = 3436,
  [4856] = 3596,
  [4857] = 4462,
  [4858] = 4758,
  [4859] = 3506,
  [4860] = 3599,
  [4861] = 3629,
  [4862] = 3635,
  [4863] = 3582,
  [4864] = 3407,
  [4865] = 3637,
  [4866] = 4758,
  [4867] = 3562,
  [4868] = 3461,
  [4869] = 3490,
  [4870] = 3510,
  [4871] = 3641,
  [4872] = 3492,
  [4873] = 4758,
  [4874] = 3493,
  [4875] = 3494,
  [4876] = 3495,
  [4877] = 3496,
  [4878] = 3511,
  [4879] = 3327,
  [4880] = 3556,
  [4881] = 3658,
  [4882] = 3656,
  [4883] = 4758,
  [4884] = 4758,
  [4885] = 3517,
  [4886] = 3548,
  [4887] = 3498,
  [4888] = 4758,
  [4889] = 3499,
  [4890] = 3547,
  [4891] = 3501,
  [4892] = 3518,
  [4893] = 3502,
  [4894] = 3326,
  [4895] = 3505,
  [4896] = 3351,
  [4897] = 3506,
  [4898] = 3510,
  [4899] = 3511,
  [4900] = 3350,
  [4901] = 3394,
  [4902] = 4758,
  [4903] = 3325,
  [4904] = 3596,
  [4905] = 3656,
  [4906] = 3600,
  [4907] = 3599,
  [4908] = 3350,
  [4909] = 3658,
  [4910] = 3491,
  [4911] = 4758,
  [4912] = 3333,
  [4913] = 3329,
  [4914] = 3600,
  [4915] = 4758,
  [4916] = 3596,
  [4917] = 3641,
  [4918] = 3637,
  [4919] = 3523,
  [4920] = 3477,
  [4921] = 4758,
  [4922] = 3635,
  [4923] = 3629,
  [4924] = 4758,
  [4925] = 4758,
  [4926] = 4758,
  [4927] = 4758,
  [4928] = 3396,
  [4929] = 3395,
  [4930] = 3474,
  [4931] = 3393,
  [4932] = 3582,
  [4933] = 3562,
  [4934] = 3556,
  [4935] = 3470,
  [4936] = 3518,
  [4937] = 3548,
  [4938] = 3547,
  [4939] = 4758,
  [4940] = 3468,
  [4941] = 3469,
  [4942] = 4758,
  [4943] = 3440,
  [4944] = 4581,
  [4945] = 4758,
  [4946] = 3445,
  [4947] = 3442,
  [4948] = 4758,
  [4949] = 4462,
  [4950] = 3451,
  [4951] = 3452,
  [4952] = 4758,
  [4953] = 3336,
  [4954] = 3376,
  [4955] = 4758,
  [4956] = 3530,
  [4957] = 3529,
  [4958] = 3324,
  [4959] = 4462,
  [4960] = 4758,
  [4961] = 3527,
  [4962] = 4758,
  [4963] = 3526,
  [4964] = 3351,
  [4965] = 4602,
  [4966] = 4758,
  [4967] = 4758,
  [4968] = 3457,
  [4969] = 3351,
  [4970] = 3350,
  [4971] = 3459,
  [4972] = 3460,
  [4973] = 4758,
  [4974] = 3444,
  [4975] = 4758,
  [4976] = 3465,
  [4977] = 3522,
  [4978] = 4758,
  [4979] = 3394,
  [4980] = 3430,
  [4981] = 3414,
  [4982] = 3402,
  [4983] = 4758,
  [4984] = 3397,
  [4985] = 3419,
  [4986] = 3384,
  [4987] = 3387,
  [4988] = 3436,
  [4989] = 3407,
  [4990] = 4758,
  [4991] = 3461,
  [4992] = 3490,
  [4993] = 3492,
  [4994] = 4758,
  [4995] = 3399,
  [4996] = 3493,
  [4997] = 3494,
  [4998] = 3333,
  [4999] = 3495,
  [5000] = 3496,
  [5001] = 3396,
  [5002] = 3395,
  [5003] = 3393,
  [5004] = 4758,
  [5005] = 4758,
  [5006] = 3498,
  [5007] = 3523,
  [5008] = 3499,
  [5009] = 3505,
  [5010] = 4758,
  [5011] = 3506,
  [5012] = 3510,
  [5013] = 4758,
  [5014] = 3511,
  [5015] = 3517,
  [5016] = 3518,
  [5017] = 4758,
  [5018] = 4602,
  [5019] = 4758,
  [5020] = 4758,
  [5021] = 3497,
  [5022] = 3454,
  [5023] = 4758,
  [5024] = 3523,
  [5025] = 3476,
  [5026] = 4758,
  [5027] = 3333,
  [5028] = 3501,
  [5029] = 3463,
  [5030] = 3502,
  [5031] = 4758,
  [5032] = 3463,
  [5033] = 3491,
  [5034] = 3477,
  [5035] = 3474,
  [5036] = 4764,
  [5037] = 3463,
  [5038] = 3468,
  [5039] = 3469,
  [5040] = 3476,
  [5041] = 3329,
  [5042] = 3470,
  [5043] = 3330,
  [5044] = 3324,
  [5045] = 4462,
  [5046] = 3332,
  [5047] = 3399,
  [5048] = 3396,
  [5049] = 3474,
  [5050] = 3395,
  [5051] = 3393,
  [5052] = 3470,
  [5053] = 3476,
  [5054] = 3477,
  [5055] = 3469,
  [5056] = 3491,
  [5057] = 3336,
  [5058] = 3468,
  [5059] = 4462,
  [5060] = 3497,
  [5061] = 3502,
  [5062] = 3325,
  [5063] = 3326,
  [5064] = 3327,
  [5065] = 4758,
  [5066] = 3394,
  [5067] = 3497,
  [5068] = 3332,
  [5069] = 3330,
  [5070] = 3459,
  [5071] = 5071,
  [5072] = 3517,
  [5073] = 3599,
  [5074] = 5074,
  [5075] = 3491,
  [5076] = 3396,
  [5077] = 3518,
  [5078] = 5071,
  [5079] = 3470,
  [5080] = 3395,
  [5081] = 3469,
  [5082] = 3442,
  [5083] = 3629,
  [5084] = 3511,
  [5085] = 5085,
  [5086] = 3510,
  [5087] = 5071,
  [5088] = 3506,
  [5089] = 4581,
  [5090] = 5071,
  [5091] = 3501,
  [5092] = 5071,
  [5093] = 5085,
  [5094] = 3505,
  [5095] = 3600,
  [5096] = 3387,
  [5097] = 3470,
  [5098] = 5074,
  [5099] = 3523,
  [5100] = 3393,
  [5101] = 5085,
  [5102] = 3527,
  [5103] = 3474,
  [5104] = 3499,
  [5105] = 3496,
  [5106] = 5106,
  [5107] = 5071,
  [5108] = 3498,
  [5109] = 5085,
  [5110] = 5074,
  [5111] = 5085,
  [5112] = 5074,
  [5113] = 3457,
  [5114] = 3522,
  [5115] = 3556,
  [5116] = 3556,
  [5117] = 4602,
  [5118] = 5074,
  [5119] = 3474,
  [5120] = 3495,
  [5121] = 5085,
  [5122] = 3445,
  [5123] = 3496,
  [5124] = 5085,
  [5125] = 3495,
  [5126] = 5074,
  [5127] = 3498,
  [5128] = 3499,
  [5129] = 5074,
  [5130] = 3494,
  [5131] = 3493,
  [5132] = 5085,
  [5133] = 3492,
  [5134] = 5074,
  [5135] = 3454,
  [5136] = 3490,
  [5137] = 3468,
  [5138] = 3461,
  [5139] = 5139,
  [5140] = 5106,
  [5141] = 3407,
  [5142] = 3522,
  [5143] = 3494,
  [5144] = 4462,
  [5145] = 3474,
  [5146] = 3477,
  [5147] = 3394,
  [5148] = 5071,
  [5149] = 5085,
  [5150] = 5074,
  [5151] = 3395,
  [5152] = 5074,
  [5153] = 3463,
  [5154] = 5085,
  [5155] = 3436,
  [5156] = 3658,
  [5157] = 3387,
  [5158] = 3547,
  [5159] = 3505,
  [5160] = 3384,
  [5161] = 5071,
  [5162] = 3548,
  [5163] = 3505,
  [5164] = 4602,
  [5165] = 5139,
  [5166] = 3399,
  [5167] = 3419,
  [5168] = 3526,
  [5169] = 4581,
  [5170] = 3444,
  [5171] = 3641,
  [5172] = 3562,
  [5173] = 3436,
  [5174] = 3493,
  [5175] = 5074,
  [5176] = 5071,
  [5177] = 3399,
  [5178] = 3397,
  [5179] = 5071,
  [5180] = 3506,
  [5181] = 3656,
  [5182] = 3596,
  [5183] = 3596,
  [5184] = 5085,
  [5185] = 3492,
  [5186] = 3490,
  [5187] = 3637,
  [5188] = 3461,
  [5189] = 5074,
  [5190] = 3582,
  [5191] = 3476,
  [5192] = 3496,
  [5193] = 3440,
  [5194] = 3656,
  [5195] = 3495,
  [5196] = 5085,
  [5197] = 3635,
  [5198] = 5085,
  [5199] = 5071,
  [5200] = 5085,
  [5201] = 3402,
  [5202] = 5074,
  [5203] = 3656,
  [5204] = 3510,
  [5205] = 3629,
  [5206] = 5074,
  [5207] = 3511,
  [5208] = 3414,
  [5209] = 5085,
  [5210] = 3658,
  [5211] = 5074,
  [5212] = 5139,
  [5213] = 3518,
  [5214] = 3469,
  [5215] = 5074,
  [5216] = 5085,
  [5217] = 3430,
  [5218] = 3548,
  [5219] = 3465,
  [5220] = 5071,
  [5221] = 3470,
  [5222] = 3444,
  [5223] = 3547,
  [5224] = 3436,
  [5225] = 3527,
  [5226] = 3407,
  [5227] = 3477,
  [5228] = 3517,
  [5229] = 5071,
  [5230] = 3469,
  [5231] = 3517,
  [5232] = 5085,
  [5233] = 3494,
  [5234] = 3562,
  [5235] = 5106,
  [5236] = 3491,
  [5237] = 5071,
  [5238] = 5085,
  [5239] = 3493,
  [5240] = 3529,
  [5241] = 3641,
  [5242] = 3468,
  [5243] = 5074,
  [5244] = 3530,
  [5245] = 3465,
  [5246] = 5074,
  [5247] = 5074,
  [5248] = 3430,
  [5249] = 5085,
  [5250] = 5085,
  [5251] = 3387,
  [5252] = 3399,
  [5253] = 3384,
  [5254] = 5074,
  [5255] = 5071,
  [5256] = 3599,
  [5257] = 5071,
  [5258] = 3600,
  [5259] = 5071,
  [5260] = 3419,
  [5261] = 4581,
  [5262] = 3523,
  [5263] = 5085,
  [5264] = 3397,
  [5265] = 5074,
  [5266] = 3641,
  [5267] = 3460,
  [5268] = 3459,
  [5269] = 3452,
  [5270] = 5085,
  [5271] = 3454,
  [5272] = 5074,
  [5273] = 5074,
  [5274] = 5085,
  [5275] = 3599,
  [5276] = 3376,
  [5277] = 5074,
  [5278] = 5071,
  [5279] = 3457,
  [5280] = 3600,
  [5281] = 5071,
  [5282] = 5085,
  [5283] = 3562,
  [5284] = 5085,
  [5285] = 5071,
  [5286] = 3457,
  [5287] = 4602,
  [5288] = 3637,
  [5289] = 3582,
  [5290] = 5085,
  [5291] = 3529,
  [5292] = 3502,
  [5293] = 3635,
  [5294] = 3629,
  [5295] = 3518,
  [5296] = 5071,
  [5297] = 5074,
  [5298] = 5074,
  [5299] = 3463,
  [5300] = 5071,
  [5301] = 3522,
  [5302] = 4462,
  [5303] = 5074,
  [5304] = 3384,
  [5305] = 5074,
  [5306] = 5085,
  [5307] = 3445,
  [5308] = 3402,
  [5309] = 3502,
  [5310] = 3459,
  [5311] = 3414,
  [5312] = 3596,
  [5313] = 3501,
  [5314] = 3430,
  [5315] = 5071,
  [5316] = 5071,
  [5317] = 5085,
  [5318] = 3440,
  [5319] = 3394,
  [5320] = 5085,
  [5321] = 3419,
  [5322] = 3465,
  [5323] = 5074,
  [5324] = 5071,
  [5325] = 5074,
  [5326] = 3463,
  [5327] = 5074,
  [5328] = 5085,
  [5329] = 3451,
  [5330] = 3394,
  [5331] = 3444,
  [5332] = 5071,
  [5333] = 5071,
  [5334] = 3497,
  [5335] = 3491,
  [5336] = 5074,
  [5337] = 5071,
  [5338] = 5085,
  [5339] = 5071,
  [5340] = 5071,
  [5341] = 3396,
  [5342] = 5071,
  [5343] = 3395,
  [5344] = 3637,
  [5345] = 3442,
  [5346] = 5071,
  [5347] = 3501,
  [5348] = 5074,
  [5349] = 5085,
  [5350] = 3497,
  [5351] = 5085,
  [5352] = 5071,
  [5353] = 5085,
  [5354] = 5074,
  [5355] = 5085,
  [5356] = 5085,
  [5357] = 3460,
  [5358] = 3556,
  [5359] = 3492,
  [5360] = 5074,
  [5361] = 5071,
  [5362] = 3393,
  [5363] = 5085,
  [5364] = 3414,
  [5365] = 3477,
  [5366] = 3510,
  [5367] = 3402,
  [5368] = 3511,
  [5369] = 5106,
  [5370] = 5085,
  [5371] = 5071,
  [5372] = 5074,
  [5373] = 3526,
  [5374] = 5139,
  [5375] = 3635,
  [5376] = 3497,
  [5377] = 5085,
  [5378] = 5074,
  [5379] = 5074,
  [5380] = 3468,
  [5381] = 3451,
  [5382] = 3454,
  [5383] = 3460,
  [5384] = 3530,
  [5385] = 5085,
  [5386] = 5071,
  [5387] = 5106,
  [5388] = 3396,
  [5389] = 5085,
  [5390] = 3506,
  [5391] = 4462,
  [5392] = 5071,
  [5393] = 3526,
  [5394] = 3490,
  [5395] = 5139,
  [5396] = 5074,
  [5397] = 5085,
  [5398] = 5074,
  [5399] = 3452,
  [5400] = 5085,
  [5401] = 3461,
  [5402] = 3476,
  [5403] = 5085,
  [5404] = 3548,
  [5405] = 5085,
  [5406] = 5074,
  [5407] = 3397,
  [5408] = 3523,
  [5409] = 3440,
  [5410] = 3498,
  [5411] = 5071,
  [5412] = 3499,
  [5413] = 5085,
  [5414] = 3376,
  [5415] = 5074,
  [5416] = 3452,
  [5417] = 3451,
  [5418] = 3376,
  [5419] = 5085,
  [5420] = 3547,
  [5421] = 3442,
  [5422] = 3527,
  [5423] = 3393,
  [5424] = 3502,
  [5425] = 3582,
  [5426] = 5071,
  [5427] = 5071,
  [5428] = 5071,
  [5429] = 5074,
  [5430] = 5074,
  [5431] = 3445,
  [5432] = 3476,
  [5433] = 5074,
  [5434] = 5071,
  [5435] = 5071,
  [5436] = 5085,
  [5437] = 5085,
  [5438] = 5074,
  [5439] = 5074,
  [5440] = 5071,
  [5441] = 3407,
  [5442] = 3529,
  [5443] = 3658,
  [5444] = 5085,
  [5445] = 5074,
  [5446] = 5071,
  [5447] = 5074,
  [5448] = 3530,
  [5449] = 5074,
  [5450] = 5085,
  [5451] = 5074,
  [5452] = 5452,
  [5453] = 5452,
  [5454] = 5452,
  [5455] = 5452,
  [5456] = 5456,
  [5457] = 5457,
  [5458] = 5452,
  [5459] = 5452,
  [5460] = 5457,
  [5461] = 4602,
  [5462] = 5452,
  [5463] = 5463,
  [5464] = 5452,
  [5465] = 5452,
  [5466] = 5452,
  [5467] = 5452,
  [5468] = 5452,
  [5469] = 5452,
  [5470] = 5452,
  [5471] = 5463,
  [5472] = 5452,
  [5473] = 5452,
  [5474] = 5452,
  [5475] = 5452,
  [5476] = 5452,
  [5477] = 5452,
  [5478] = 5457,
  [5479] = 5457,
  [5480] = 4581,
  [5481] = 5452,
  [5482] = 5452,
  [5483] = 5452,
  [5484] = 5452,
  [5485] = 4581,
  [5486] = 5452,
  [5487] = 5452,
  [5488] = 5452,
  [5489] = 5456,
  [5490] = 4462,
  [5491] = 5456,
  [5492] = 5452,
  [5493] = 5452,
  [5494] = 5452,
  [5495] = 5456,
  [5496] = 5456,
  [5497] = 5452,
  [5498] = 5452,
  [5499] = 5452,
  [5500] = 5452,
  [5501] = 5463,
  [5502] = 5452,
  [5503] = 5452,
  [5504] = 5452,
  [5505] = 5452,
  [5506] = 5452,
  [5507] = 5456,
  [5508] = 4462,
  [5509] = 5452,
  [5510] = 5452,
  [5511] = 5463,
  [5512] = 5452,
  [5513] = 5463,
  [5514] = 5463,
  [5515] = 5452,
  [5516] = 5452,
  [5517] = 4602,
  [5518] = 5456,
  [5519] = 4462,
  [5520] = 5452,
  [5521] = 5457,
  [5522] = 5457,
  [5523] = 5452,
  [5524] = 5452,
  [5525] = 5452,
  [5526] = 5452,
  [5527] = 5457,
  [5528] = 5452,
  [5529] = 5457,
  [5530] = 5463,
  [5531] = 5452,
  [5532] = 5532,
  [5533] = 5533,
  [5534] = 5534,
  [5535] = 5532,
  [5536] = 5536,
  [5537] = 5537,
  [5538] = 5538,
  [5539] = 5539,
  [5540] = 5539,
  [5541] = 5538,
  [5542] = 5537,
  [5543] = 5536,
  [5544] = 5536,
  [5545] = 5533,
  [5546] = 5537,
  [5547] = 5547,
  [5548] = 5532,
  [5549] = 5549,
  [5550] = 5549,
  [5551] = 5536,
  [5552] = 5537,
  [5553] = 5537,
  [5554] = 5554,
  [5555] = 5536,
  [5556] = 5539,
  [5557] = 5538,
  [5558] = 4581,
  [5559] = 5538,
  [5560] = 5539,
  [5561] = 5533,
  [5562] = 5533,
  [5563] = 5554,
  [5564] = 5554,
  [5565] = 5539,
  [5566] = 5554,
  [5567] = 5536,
  [5568] = 5537,
  [5569] = 5534,
  [5570] = 5533,
  [5571] = 5547,
  [5572] = 5532,
  [5573] = 5534,
  [5574] = 5547,
  [5575] = 5554,
  [5576] = 5547,
  [5577] = 5554,
  [5578] = 5549,
  [5579] = 5549,
  [5580] = 4462,
  [5581] = 5538,
  [5582] = 4581,
  [5583] = 5539,
  [5584] = 5533,
  [5585] = 5538,
  [5586] = 5549,
  [5587] = 5532,
  [5588] = 5532,
  [5589] = 5536,
  [5590] = 5539,
  [5591] = 5549,
  [5592] = 5532,
  [5593] = 5533,
  [5594] = 5537,
  [5595] = 5554,
  [5596] = 4462,
  [5597] = 4602,
  [5598] = 5534,
  [5599] = 5547,
  [5600] = 5534,
  [5601] = 5547,
  [5602] = 5547,
  [5603] = 4462,
  [5604] = 4602,
  [5605] = 5549,
  [5606] = 5538,
  [5607] = 5534,
  [5608] = 5534,
  [5609] = 5609,
  [5610] = 5610,
  [5611] = 5609,
  [5612] = 4581,
  [5613] = 5613,
  [5614] = 5614,
  [5615] = 5615,
  [5616] = 5616,
  [5617] = 5616,
  [5618] = 5618,
  [5619] = 5609,
  [5620] = 5614,
  [5621] = 5609,
  [5622] = 5614,
  [5623] = 5616,
  [5624] = 5613,
  [5625] = 5613,
  [5626] = 5615,
  [5627] = 5618,
  [5628] = 5613,
  [5629] = 5609,
  [5630] = 5616,
  [5631] = 5615,
  [5632] = 5614,
  [5633] = 5609,
  [5634] = 5613,
  [5635] = 5614,
  [5636] = 5615,
  [5637] = 2934,
  [5638] = 5616,
  [5639] = 5615,
  [5640] = 5613,
  [5641] = 4602,
  [5642] = 5614,
  [5643] = 5613,
  [5644] = 5616,
  [5645] = 5609,
  [5646] = 5614,
  [5647] = 5616,
  [5648] = 5613,
  [5649] = 5616,
  [5650] = 5614,
  [5651] = 5651,
  [5652] = 5609,
  [5653] = 5615,
  [5654] = 5615,
  [5655] = 5655,
  [5656] = 5655,
  [5657] = 3333,
  [5658] = 5658,
  [5659] = 5658,
  [5660] = 5658,
  [5661] = 5658,
  [5662] = 5655,
  [5663] = 5658,
  [5664] = 5655,
  [5665] = 5655,
  [5666] = 5658,
  [5667] = 5655,
  [5668] = 5658,
  [5669] = 5655,
  [5670] = 5670,
  [5671] = 5655,
  [5672] = 5658,
  [5673] = 5655,
  [5674] = 5655,
  [5675] = 5655,
  [5676] = 5658,
  [5677] = 5655,
  [5678] = 5655,
  [5679] = 5655,
  [5680] = 5658,
  [5681] = 5655,
  [5682] = 5658,
  [5683] = 5658,
  [5684] = 5655,
  [5685] = 5658,
  [5686] = 5658,
  [5687] = 5658,
  [5688] = 5655,
  [5689] = 5655,
  [5690] = 5658,
  [5691] = 5655,
  [5692] = 5658,
  [5693] = 5655,
  [5694] = 5658,
  [5695] = 5658,
  [5696] = 5658,
  [5697] = 5655,
  [5698] = 5658,
  [5699] = 5655,
  [5700] = 5655,
  [5701] = 5655,
  [5702] = 5658,
  [5703] = 5658,
  [5704] = 5658,
  [5705] = 5655,
  [5706] = 5658,
  [5707] = 5655,
  [5708] = 5658,
  [5709] = 5655,
  [5710] = 5658,
  [5711] = 5655,
  [5712] = 5655,
  [5713] = 5658,
  [5714] = 5655,
  [5715] = 5658,
  [5716] = 5658,
  [5717] = 5655,
  [5718] = 5658,
  [5719] = 5655,
  [5720] = 5655,
  [5721] = 3336,
  [5722] = 5658,
  [5723] = 5655,
  [5724] = 3350,
  [5725] = 5655,
  [5726] = 5658,
  [5727] = 5655,
  [5728] = 5658,
  [5729] = 5655,
  [5730] = 5658,
  [5731] = 5655,
  [5732] = 5655,
  [5733] = 5658,
  [5734] = 5658,
  [5735] = 3332,
  [5736] = 5655,
  [5737] = 5658,
  [5738] = 3330,
  [5739] = 3329,
  [5740] = 5658,
  [5741] = 5658,
  [5742] = 5655,
  [5743] = 5658,
  [5744] = 5658,
  [5745] = 5745,
  [5746] = 5655,
  [5747] = 5655,
  [5748] = 3327,
  [5749] = 3326,
  [5750] = 5655,
  [5751] = 3325,
  [5752] = 5655,
  [5753] = 5655,
  [5754] = 5658,
  [5755] = 5755,
  [5756] = 5658,
  [5757] = 5658,
  [5758] = 5658,
  [5759] = 5655,
  [5760] = 5658,
  [5761] = 5658,
  [5762] = 3351,
  [5763] = 5655,
  [5764] = 5658,
  [5765] = 5655,
  [5766] = 5658,
  [5767] = 5658,
  [5768] = 5655,
  [5769] = 5655,
  [5770] = 3324,
  [5771] = 5655,
  [5772] = 5658,
  [5773] = 3498,
  [5774] = 3470,
  [5775] = 3459,
  [5776] = 3460,
  [5777] = 5777,
  [5778] = 3444,
  [5779] = 3465,
  [5780] = 3430,
  [5781] = 5777,
  [5782] = 5777,
  [5783] = 3333,
  [5784] = 5777,
  [5785] = 3414,
  [5786] = 5777,
  [5787] = 3402,
  [5788] = 3547,
  [5789] = 3397,
  [5790] = 3548,
  [5791] = 5777,
  [5792] = 5777,
  [5793] = 5777,
  [5794] = 3419,
  [5795] = 3457,
  [5796] = 3384,
  [5797] = 3394,
  [5798] = 3387,
  [5799] = 3350,
  [5800] = 3436,
  [5801] = 5777,
  [5802] = 3330,
  [5803] = 3407,
  [5804] = 3332,
  [5805] = 3376,
  [5806] = 3452,
  [5807] = 3556,
  [5808] = 3461,
  [5809] = 5777,
  [5810] = 3490,
  [5811] = 3476,
  [5812] = 3492,
  [5813] = 5777,
  [5814] = 3493,
  [5815] = 3494,
  [5816] = 3495,
  [5817] = 5777,
  [5818] = 3451,
  [5819] = 3496,
  [5820] = 5820,
  [5821] = 5777,
  [5822] = 3562,
  [5823] = 5777,
  [5824] = 3502,
  [5825] = 5777,
  [5826] = 3582,
  [5827] = 3442,
  [5828] = 3529,
  [5829] = 5777,
  [5830] = 5777,
  [5831] = 3499,
  [5832] = 3350,
  [5833] = 3527,
  [5834] = 3329,
  [5835] = 3505,
  [5836] = 3506,
  [5837] = 3526,
  [5838] = 3510,
  [5839] = 3511,
  [5840] = 5777,
  [5841] = 3440,
  [5842] = 3445,
  [5843] = 3596,
  [5844] = 5777,
  [5845] = 3351,
  [5846] = 5777,
  [5847] = 5777,
  [5848] = 5777,
  [5849] = 5777,
  [5850] = 3599,
  [5851] = 3600,
  [5852] = 5777,
  [5853] = 5777,
  [5854] = 5777,
  [5855] = 5777,
  [5856] = 3517,
  [5857] = 5777,
  [5858] = 5777,
  [5859] = 3336,
  [5860] = 5777,
  [5861] = 5777,
  [5862] = 3629,
  [5863] = 5777,
  [5864] = 3518,
  [5865] = 3635,
  [5866] = 5777,
  [5867] = 5777,
  [5868] = 5777,
  [5869] = 3454,
  [5870] = 5777,
  [5871] = 3637,
  [5872] = 3497,
  [5873] = 5777,
  [5874] = 5777,
  [5875] = 3641,
  [5876] = 3522,
  [5877] = 3463,
  [5878] = 5777,
  [5879] = 5777,
  [5880] = 3468,
  [5881] = 5777,
  [5882] = 3469,
  [5883] = 5777,
  [5884] = 5777,
  [5885] = 5777,
  [5886] = 3324,
  [5887] = 3530,
  [5888] = 5777,
  [5889] = 5777,
  [5890] = 3523,
  [5891] = 3491,
  [5892] = 3474,
  [5893] = 5777,
  [5894] = 5777,
  [5895] = 3325,
  [5896] = 3393,
  [5897] = 3395,
  [5898] = 3326,
  [5899] = 3396,
  [5900] = 3658,
  [5901] = 5777,
  [5902] = 3399,
  [5903] = 3501,
  [5904] = 3477,
  [5905] = 5777,
  [5906] = 3327,
  [5907] = 5777,
  [5908] = 3656,
  [5909] = 5777,
  [5910] = 3329,
  [5911] = 3656,
  [5912] = 3505,
  [5913] = 3502,
  [5914] = 3463,
  [5915] = 3506,
  [5916] = 3529,
  [5917] = 3547,
  [5918] = 3430,
  [5919] = 3518,
  [5920] = 3510,
  [5921] = 3451,
  [5922] = 3396,
  [5923] = 3511,
  [5924] = 3407,
  [5925] = 3530,
  [5926] = 3527,
  [5927] = 3332,
  [5928] = 3501,
  [5929] = 3499,
  [5930] = 3465,
  [5931] = 3461,
  [5932] = 3336,
  [5933] = 3444,
  [5934] = 3523,
  [5935] = 3414,
  [5936] = 3436,
  [5937] = 3596,
  [5938] = 3522,
  [5939] = 3402,
  [5940] = 3490,
  [5941] = 3658,
  [5942] = 3498,
  [5943] = 5943,
  [5944] = 3517,
  [5945] = 3459,
  [5946] = 3474,
  [5947] = 3470,
  [5948] = 3351,
  [5949] = 3376,
  [5950] = 3350,
  [5951] = 3330,
  [5952] = 3452,
  [5953] = 5943,
  [5954] = 5943,
  [5955] = 3491,
  [5956] = 3548,
  [5957] = 3333,
  [5958] = 3394,
  [5959] = 3440,
  [5960] = 3469,
  [5961] = 3399,
  [5962] = 3442,
  [5963] = 3454,
  [5964] = 3497,
  [5965] = 3397,
  [5966] = 5966,
  [5967] = 3599,
  [5968] = 3495,
  [5969] = 3600,
  [5970] = 3419,
  [5971] = 3445,
  [5972] = 3526,
  [5973] = 3457,
  [5974] = 3384,
  [5975] = 5943,
  [5976] = 5943,
  [5977] = 3327,
  [5978] = 3641,
  [5979] = 3556,
  [5980] = 3468,
  [5981] = 3492,
  [5982] = 3562,
  [5983] = 3326,
  [5984] = 3324,
  [5985] = 3494,
  [5986] = 3637,
  [5987] = 3460,
  [5988] = 3496,
  [5989] = 3395,
  [5990] = 3582,
  [5991] = 5943,
  [5992] = 3635,
  [5993] = 3629,
  [5994] = 3325,
  [5995] = 3393,
  [5996] = 3476,
  [5997] = 3493,
  [5998] = 3477,
  [5999] = 3387,
  [6000] = 5943,
  [6001] = 6001,
  [6002] = 3492,
  [6003] = 6003,
  [6004] = 6001,
  [6005] = 6001,
  [6006] = 6001,
  [6007] = 6001,
  [6008] = 4462,
  [6009] = 3596,
  [6010] = 3656,
  [6011] = 6001,
  [6012] = 6001,
  [6013] = 3502,
  [6014] = 3658,
  [6015] = 6001,
  [6016] = 6016,
  [6017] = 6001,
  [6018] = 6001,
  [6019] = 3497,
  [6020] = 6001,
  [6021] = 3600,
  [6022] = 6001,
  [6023] = 6001,
  [6024] = 6003,
  [6025] = 6001,
  [6026] = 5966,
  [6027] = 6001,
  [6028] = 3641,
  [6029] = 6001,
  [6030] = 6001,
  [6031] = 3599,
  [6032] = 3336,
  [6033] = 3637,
  [6034] = 3333,
  [6035] = 3635,
  [6036] = 3629,
  [6037] = 6001,
  [6038] = 6001,
  [6039] = 6001,
  [6040] = 3523,
  [6041] = 3324,
  [6042] = 3332,
  [6043] = 3330,
  [6044] = 3329,
  [6045] = 3491,
  [6046] = 6001,
  [6047] = 3548,
  [6048] = 3399,
  [6049] = 3477,
  [6050] = 6050,
  [6051] = 3327,
  [6052] = 3332,
  [6053] = 3330,
  [6054] = 3326,
  [6055] = 6001,
  [6056] = 3325,
  [6057] = 6001,
  [6058] = 3329,
  [6059] = 3476,
  [6060] = 3336,
  [6061] = 3474,
  [6062] = 6001,
  [6063] = 6001,
  [6064] = 6016,
  [6065] = 6001,
  [6066] = 6001,
  [6067] = 3470,
  [6068] = 6001,
  [6069] = 6001,
  [6070] = 6001,
  [6071] = 3396,
  [6072] = 6001,
  [6073] = 3469,
  [6074] = 6001,
  [6075] = 3395,
  [6076] = 6001,
  [6077] = 3518,
  [6078] = 6003,
  [6079] = 6001,
  [6080] = 3387,
  [6081] = 3582,
  [6082] = 3468,
  [6083] = 3463,
  [6084] = 3562,
  [6085] = 6001,
  [6086] = 3324,
  [6087] = 3517,
  [6088] = 6001,
  [6089] = 3511,
  [6090] = 3510,
  [6091] = 3393,
  [6092] = 3506,
  [6093] = 6003,
  [6094] = 3556,
  [6095] = 3505,
  [6096] = 6001,
  [6097] = 3501,
  [6098] = 3499,
  [6099] = 3498,
  [6100] = 3548,
  [6101] = 6001,
  [6102] = 6001,
  [6103] = 6001,
  [6104] = 3547,
  [6105] = 3530,
  [6106] = 6001,
  [6107] = 6001,
  [6108] = 3440,
  [6109] = 3529,
  [6110] = 3527,
  [6111] = 6003,
  [6112] = 3496,
  [6113] = 3495,
  [6114] = 6001,
  [6115] = 6003,
  [6116] = 6001,
  [6117] = 3394,
  [6118] = 3494,
  [6119] = 3445,
  [6120] = 3442,
  [6121] = 3451,
  [6122] = 3452,
  [6123] = 3327,
  [6124] = 3326,
  [6125] = 3526,
  [6126] = 6001,
  [6127] = 3350,
  [6128] = 3325,
  [6129] = 3376,
  [6130] = 3493,
  [6131] = 3454,
  [6132] = 3457,
  [6133] = 3351,
  [6134] = 3522,
  [6135] = 3459,
  [6136] = 3460,
  [6137] = 6001,
  [6138] = 3444,
  [6139] = 3465,
  [6140] = 3430,
  [6141] = 6001,
  [6142] = 3351,
  [6143] = 3414,
  [6144] = 3402,
  [6145] = 6016,
  [6146] = 6001,
  [6147] = 3582,
  [6148] = 6001,
  [6149] = 6001,
  [6150] = 3397,
  [6151] = 3419,
  [6152] = 3384,
  [6153] = 6001,
  [6154] = 6001,
  [6155] = 3333,
  [6156] = 3436,
  [6157] = 6003,
  [6158] = 3407,
  [6159] = 3461,
  [6160] = 3490,
  [6161] = 3351,
  [6162] = 3493,
  [6163] = 3600,
  [6164] = 3582,
  [6165] = 3599,
  [6166] = 6166,
  [6167] = 3332,
  [6168] = 3350,
  [6169] = 3350,
  [6170] = 3327,
  [6171] = 3526,
  [6172] = 3330,
  [6173] = 3326,
  [6174] = 3325,
  [6175] = 3329,
  [6176] = 3637,
  [6177] = 3548,
  [6178] = 3474,
  [6179] = 3499,
  [6180] = 3498,
  [6181] = 3548,
  [6182] = 3459,
  [6183] = 3556,
  [6184] = 3501,
  [6185] = 3635,
  [6186] = 3440,
  [6187] = 3629,
  [6188] = 3496,
  [6189] = 3522,
  [6190] = 3495,
  [6191] = 3506,
  [6192] = 3510,
  [6193] = 3452,
  [6194] = 3530,
  [6195] = 3494,
  [6196] = 3511,
  [6197] = 3493,
  [6198] = 6050,
  [6199] = 3333,
  [6200] = 6200,
  [6201] = 3518,
  [6202] = 3336,
  [6203] = 3529,
  [6204] = 3527,
  [6205] = 3440,
  [6206] = 3445,
  [6207] = 3442,
  [6208] = 3658,
  [6209] = 3451,
  [6210] = 3376,
  [6211] = 3457,
  [6212] = 3505,
  [6213] = 6213,
  [6214] = 3460,
  [6215] = 3547,
  [6216] = 3444,
  [6217] = 3562,
  [6218] = 3465,
  [6219] = 3430,
  [6220] = 3492,
  [6221] = 3641,
  [6222] = 3384,
  [6223] = 3414,
  [6224] = 3324,
  [6225] = 3526,
  [6226] = 3582,
  [6227] = 3490,
  [6228] = 3461,
  [6229] = 3476,
  [6230] = 3402,
  [6231] = 3393,
  [6232] = 3397,
  [6233] = 3399,
  [6234] = 3470,
  [6235] = 3641,
  [6236] = 3419,
  [6237] = 3445,
  [6238] = 3384,
  [6239] = 3396,
  [6240] = 3387,
  [6241] = 3436,
  [6242] = 3407,
  [6243] = 3395,
  [6244] = 3393,
  [6245] = 3477,
  [6246] = 3461,
  [6247] = 3490,
  [6248] = 3399,
  [6249] = 3492,
  [6250] = 3502,
  [6251] = 3656,
  [6252] = 6252,
  [6253] = 3494,
  [6254] = 3596,
  [6255] = 3495,
  [6256] = 3548,
  [6257] = 3442,
  [6258] = 3562,
  [6259] = 3496,
  [6260] = 3498,
  [6261] = 3499,
  [6262] = 3562,
  [6263] = 3463,
  [6264] = 3637,
  [6265] = 3436,
  [6266] = 3387,
  [6267] = 3491,
  [6268] = 3522,
  [6269] = 3419,
  [6270] = 3501,
  [6271] = 3407,
  [6272] = 3556,
  [6273] = 3599,
  [6274] = 3547,
  [6275] = 6275,
  [6276] = 3523,
  [6277] = 3397,
  [6278] = 3505,
  [6279] = 3506,
  [6280] = 3497,
  [6281] = 3596,
  [6282] = 3510,
  [6283] = 3402,
  [6284] = 3414,
  [6285] = 3511,
  [6286] = 3451,
  [6287] = 3517,
  [6288] = 3518,
  [6289] = 3600,
  [6290] = 3600,
  [6291] = 3394,
  [6292] = 3376,
  [6293] = 3517,
  [6294] = 3596,
  [6295] = 3656,
  [6296] = 3599,
  [6297] = 3582,
  [6298] = 3469,
  [6299] = 3430,
  [6300] = 3454,
  [6301] = 3523,
  [6302] = 3465,
  [6303] = 4462,
  [6304] = 3502,
  [6305] = 3497,
  [6306] = 3395,
  [6307] = 3396,
  [6308] = 3491,
  [6309] = 3477,
  [6310] = 3476,
  [6311] = 4581,
  [6312] = 3474,
  [6313] = 3629,
  [6314] = 4602,
  [6315] = 3470,
  [6316] = 3556,
  [6317] = 3635,
  [6318] = 3457,
  [6319] = 3469,
  [6320] = 3468,
  [6321] = 3459,
  [6322] = 3454,
  [6323] = 3460,
  [6324] = 3582,
  [6325] = 3658,
  [6326] = 3637,
  [6327] = 3468,
  [6328] = 3548,
  [6329] = 3641,
  [6330] = 6330,
  [6331] = 3394,
  [6332] = 3463,
  [6333] = 3547,
  [6334] = 3530,
  [6335] = 3529,
  [6336] = 3452,
  [6337] = 3658,
  [6338] = 3635,
  [6339] = 3629,
  [6340] = 3656,
  [6341] = 3444,
  [6342] = 3527,
  [6343] = 3656,
  [6344] = 3547,
  [6345] = 6345,
  [6346] = 4581,
  [6347] = 6347,
  [6348] = 3529,
  [6349] = 3394,
  [6350] = 6350,
  [6351] = 6351,
  [6352] = 6352,
  [6353] = 3522,
  [6354] = 6354,
  [6355] = 6355,
  [6356] = 6356,
  [6357] = 6357,
  [6358] = 6358,
  [6359] = 6359,
  [6360] = 6360,
  [6361] = 6361,
  [6362] = 3526,
  [6363] = 3527,
  [6364] = 3522,
  [6365] = 3529,
  [6366] = 6366,
  [6367] = 6367,
  [6368] = 3530,
  [6369] = 3629,
  [6370] = 3501,
  [6371] = 6371,
  [6372] = 6166,
  [6373] = 6252,
  [6374] = 3547,
  [6375] = 3463,
  [6376] = 3527,
  [6377] = 3629,
  [6378] = 3548,
  [6379] = 3635,
  [6380] = 3637,
  [6381] = 6381,
  [6382] = 3641,
  [6383] = 6383,
  [6384] = 6384,
  [6385] = 3658,
  [6386] = 3656,
  [6387] = 3596,
  [6388] = 4462,
  [6389] = 3556,
  [6390] = 3562,
  [6391] = 3582,
  [6392] = 3548,
  [6393] = 3393,
  [6394] = 6394,
  [6395] = 6395,
  [6396] = 6396,
  [6397] = 3395,
  [6398] = 3600,
  [6399] = 6399,
  [6400] = 6330,
  [6401] = 6401,
  [6402] = 3396,
  [6403] = 6403,
  [6404] = 3582,
  [6405] = 3635,
  [6406] = 3399,
  [6407] = 3599,
  [6408] = 3468,
  [6409] = 6409,
  [6410] = 3469,
  [6411] = 3470,
  [6412] = 3474,
  [6413] = 3399,
  [6414] = 6330,
  [6415] = 6415,
  [6416] = 6416,
  [6417] = 6417,
  [6418] = 3430,
  [6419] = 6419,
  [6420] = 3476,
  [6421] = 3477,
  [6422] = 3637,
  [6423] = 3491,
  [6424] = 6252,
  [6425] = 6425,
  [6426] = 3641,
  [6427] = 3596,
  [6428] = 3596,
  [6429] = 3497,
  [6430] = 3530,
  [6431] = 6431,
  [6432] = 3502,
  [6433] = 3526,
  [6434] = 3523,
  [6435] = 3599,
  [6436] = 6436,
  [6437] = 3562,
  [6438] = 3600,
  [6439] = 3658,
  [6440] = 4602,
  [6441] = 3440,
  [6442] = 6442,
  [6443] = 3556,
  [6444] = 3599,
  [6445] = 3518,
  [6446] = 3658,
  [6447] = 3656,
  [6448] = 6448,
  [6449] = 3454,
  [6450] = 3445,
  [6451] = 3394,
  [6452] = 3600,
  [6453] = 3442,
  [6454] = 3517,
  [6455] = 3350,
  [6456] = 3511,
  [6457] = 3451,
  [6458] = 3641,
  [6459] = 3510,
  [6460] = 3452,
  [6461] = 3376,
  [6462] = 3506,
  [6463] = 3547,
  [6464] = 3505,
  [6465] = 3637,
  [6466] = 3562,
  [6467] = 3635,
  [6468] = 3499,
  [6469] = 3629,
  [6470] = 3457,
  [6471] = 3459,
  [6472] = 3460,
  [6473] = 3444,
  [6474] = 3498,
  [6475] = 3496,
  [6476] = 3465,
  [6477] = 3393,
  [6478] = 3396,
  [6479] = 3414,
  [6480] = 3395,
  [6481] = 3402,
  [6482] = 3397,
  [6483] = 3419,
  [6484] = 3384,
  [6485] = 3387,
  [6486] = 3436,
  [6487] = 3407,
  [6488] = 6166,
  [6489] = 3461,
  [6490] = 3490,
  [6491] = 6491,
  [6492] = 3463,
  [6493] = 3492,
  [6494] = 3556,
  [6495] = 3493,
  [6496] = 3494,
  [6497] = 6497,
  [6498] = 6498,
  [6499] = 3495,
  [6500] = 6395,
  [6501] = 6347,
  [6502] = 3522,
  [6503] = 3529,
  [6504] = 6417,
  [6505] = 6498,
  [6506] = 6497,
  [6507] = 6491,
  [6508] = 3658,
  [6509] = 6357,
  [6510] = 6425,
  [6511] = 6401,
  [6512] = 6394,
  [6513] = 3530,
  [6514] = 3656,
  [6515] = 3463,
  [6516] = 6384,
  [6517] = 6419,
  [6518] = 3635,
  [6519] = 6448,
  [6520] = 6436,
  [6521] = 6442,
  [6522] = 3332,
  [6523] = 6330,
  [6524] = 6350,
  [6525] = 6351,
  [6526] = 3641,
  [6527] = 6345,
  [6528] = 6356,
  [6529] = 6383,
  [6530] = 6347,
  [6531] = 6354,
  [6532] = 6358,
  [6533] = 3330,
  [6534] = 3394,
  [6535] = 3526,
  [6536] = 3329,
  [6537] = 6355,
  [6538] = 3327,
  [6539] = 6431,
  [6540] = 6371,
  [6541] = 3629,
  [6542] = 3399,
  [6543] = 3393,
  [6544] = 6384,
  [6545] = 3326,
  [6546] = 3527,
  [6547] = 6366,
  [6548] = 6252,
  [6549] = 3463,
  [6550] = 3325,
  [6551] = 6357,
  [6552] = 6498,
  [6553] = 6497,
  [6554] = 6350,
  [6555] = 6166,
  [6556] = 6491,
  [6557] = 6425,
  [6558] = 6351,
  [6559] = 6436,
  [6560] = 6345,
  [6561] = 3637,
  [6562] = 6354,
  [6563] = 6355,
  [6564] = 6366,
  [6565] = 6367,
  [6566] = 6381,
  [6567] = 6409,
  [6568] = 3394,
  [6569] = 6396,
  [6570] = 6399,
  [6571] = 3351,
  [6572] = 6419,
  [6573] = 3399,
  [6574] = 3324,
  [6575] = 6352,
  [6576] = 6367,
  [6577] = 4602,
  [6578] = 6381,
  [6579] = 3522,
  [6580] = 6409,
  [6581] = 3396,
  [6582] = 3395,
  [6583] = 3547,
  [6584] = 6356,
  [6585] = 3333,
  [6586] = 3600,
  [6587] = 6396,
  [6588] = 3599,
  [6589] = 6361,
  [6590] = 6416,
  [6591] = 6361,
  [6592] = 6415,
  [6593] = 3393,
  [6594] = 6403,
  [6595] = 6360,
  [6596] = 6359,
  [6597] = 3336,
  [6598] = 3556,
  [6599] = 6417,
  [6600] = 6416,
  [6601] = 6358,
  [6602] = 6395,
  [6603] = 6401,
  [6604] = 6394,
  [6605] = 6383,
  [6606] = 6415,
  [6607] = 3596,
  [6608] = 6352,
  [6609] = 3562,
  [6610] = 3395,
  [6611] = 3530,
  [6612] = 4462,
  [6613] = 3529,
  [6614] = 6399,
  [6615] = 3396,
  [6616] = 6431,
  [6617] = 6359,
  [6618] = 3527,
  [6619] = 6371,
  [6620] = 6360,
  [6621] = 6403,
  [6622] = 4581,
  [6623] = 6448,
  [6624] = 6442,
  [6625] = 3350,
  [6626] = 3526,
  [6627] = 4462,
  [6628] = 3530,
  [6629] = 6425,
  [6630] = 6442,
  [6631] = 4602,
  [6632] = 3351,
  [6633] = 6417,
  [6634] = 6431,
  [6635] = 3329,
  [6636] = 3523,
  [6637] = 3327,
  [6638] = 3330,
  [6639] = 3326,
  [6640] = 3393,
  [6641] = 3325,
  [6642] = 3332,
  [6643] = 6356,
  [6644] = 3517,
  [6645] = 6351,
  [6646] = 3396,
  [6647] = 3547,
  [6648] = 3548,
  [6649] = 3556,
  [6650] = 6491,
  [6651] = 3350,
  [6652] = 3562,
  [6653] = 3582,
  [6654] = 6383,
  [6655] = 3596,
  [6656] = 3395,
  [6657] = 6394,
  [6658] = 3393,
  [6659] = 3599,
  [6660] = 6401,
  [6661] = 3600,
  [6662] = 3394,
  [6663] = 3522,
  [6664] = 6415,
  [6665] = 3396,
  [6666] = 3501,
  [6667] = 3399,
  [6668] = 6498,
  [6669] = 3463,
  [6670] = 3463,
  [6671] = 3460,
  [6672] = 3511,
  [6673] = 3510,
  [6674] = 3336,
  [6675] = 3522,
  [6676] = 6381,
  [6677] = 3395,
  [6678] = 3399,
  [6679] = 6359,
  [6680] = 4581,
  [6681] = 3506,
  [6682] = 3491,
  [6683] = 3526,
  [6684] = 6416,
  [6685] = 6384,
  [6686] = 6497,
  [6687] = 6357,
  [6688] = 6358,
  [6689] = 3505,
  [6690] = 6395,
  [6691] = 4602,
  [6692] = 3454,
  [6693] = 6371,
  [6694] = 3440,
  [6695] = 3474,
  [6696] = 3477,
  [6697] = 3470,
  [6698] = 3445,
  [6699] = 3442,
  [6700] = 3451,
  [6701] = 3452,
  [6702] = 6350,
  [6703] = 3656,
  [6704] = 3324,
  [6705] = 6399,
  [6706] = 6436,
  [6707] = 6360,
  [6708] = 6345,
  [6709] = 6396,
  [6710] = 3333,
  [6711] = 6409,
  [6712] = 3476,
  [6713] = 3499,
  [6714] = 3641,
  [6715] = 3376,
  [6716] = 3502,
  [6717] = 3498,
  [6718] = 3637,
  [6719] = 3635,
  [6720] = 3629,
  [6721] = 3496,
  [6722] = 6361,
  [6723] = 6367,
  [6724] = 3414,
  [6725] = 4581,
  [6726] = 3457,
  [6727] = 3495,
  [6728] = 3494,
  [6729] = 3493,
  [6730] = 3459,
  [6731] = 6347,
  [6732] = 6366,
  [6733] = 3658,
  [6734] = 6355,
  [6735] = 6352,
  [6736] = 3518,
  [6737] = 3492,
  [6738] = 3444,
  [6739] = 3530,
  [6740] = 3529,
  [6741] = 3394,
  [6742] = 3465,
  [6743] = 3430,
  [6744] = 6448,
  [6745] = 3490,
  [6746] = 3527,
  [6747] = 3402,
  [6748] = 3397,
  [6749] = 3461,
  [6750] = 3529,
  [6751] = 6403,
  [6752] = 3419,
  [6753] = 6419,
  [6754] = 3527,
  [6755] = 3469,
  [6756] = 3526,
  [6757] = 3350,
  [6758] = 3468,
  [6759] = 3497,
  [6760] = 3384,
  [6761] = 6354,
  [6762] = 3407,
  [6763] = 4462,
  [6764] = 3387,
  [6765] = 3436,
  [6766] = 3491,
  [6767] = 3384,
  [6768] = 3497,
  [6769] = 3325,
  [6770] = 3502,
  [6771] = 3326,
  [6772] = 3440,
  [6773] = 3518,
  [6774] = 3596,
  [6775] = 6775,
  [6776] = 3511,
  [6777] = 3468,
  [6778] = 3445,
  [6779] = 3442,
  [6780] = 3522,
  [6781] = 3336,
  [6782] = 3451,
  [6783] = 3452,
  [6784] = 3376,
  [6785] = 3454,
  [6786] = 6775,
  [6787] = 3523,
  [6788] = 3329,
  [6789] = 6789,
  [6790] = 6789,
  [6791] = 4602,
  [6792] = 3330,
  [6793] = 3599,
  [6794] = 3457,
  [6795] = 3333,
  [6796] = 3459,
  [6797] = 3419,
  [6798] = 6775,
  [6799] = 3444,
  [6800] = 3465,
  [6801] = 3656,
  [6802] = 3430,
  [6803] = 3332,
  [6804] = 3393,
  [6805] = 3582,
  [6806] = 3562,
  [6807] = 3414,
  [6808] = 3402,
  [6809] = 3397,
  [6810] = 3526,
  [6811] = 3460,
  [6812] = 3324,
  [6813] = 6789,
  [6814] = 4581,
  [6815] = 3394,
  [6816] = 3387,
  [6817] = 3395,
  [6818] = 3396,
  [6819] = 3436,
  [6820] = 6789,
  [6821] = 3407,
  [6822] = 3474,
  [6823] = 3470,
  [6824] = 3350,
  [6825] = 3547,
  [6826] = 6789,
  [6827] = 3351,
  [6828] = 3461,
  [6829] = 3490,
  [6830] = 3527,
  [6831] = 3492,
  [6832] = 3476,
  [6833] = 3493,
  [6834] = 3494,
  [6835] = 3495,
  [6836] = 3399,
  [6837] = 3496,
  [6838] = 3477,
  [6839] = 3556,
  [6840] = 3600,
  [6841] = 3548,
  [6842] = 3629,
  [6843] = 3350,
  [6844] = 3498,
  [6845] = 3517,
  [6846] = 3635,
  [6847] = 3499,
  [6848] = 3658,
  [6849] = 3327,
  [6850] = 3501,
  [6851] = 3469,
  [6852] = 3529,
  [6853] = 3505,
  [6854] = 3637,
  [6855] = 6789,
  [6856] = 3463,
  [6857] = 3530,
  [6858] = 3641,
  [6859] = 3506,
  [6860] = 3510,
  [6861] = 3330,
  [6862] = 3324,
  [6863] = 3336,
  [6864] = 3656,
  [6865] = 3393,
  [6866] = 3474,
  [6867] = 3477,
  [6868] = 3641,
  [6869] = 3395,
  [6870] = 3396,
  [6871] = 3399,
  [6872] = 3394,
  [6873] = 3637,
  [6874] = 3635,
  [6875] = 3324,
  [6876] = 3629,
  [6877] = 3518,
  [6878] = 3325,
  [6879] = 3444,
  [6880] = 3517,
  [6881] = 3326,
  [6882] = 3327,
  [6883] = 3600,
  [6884] = 4462,
  [6885] = 3332,
  [6886] = 3330,
  [6887] = 3329,
  [6888] = 3470,
  [6889] = 3599,
  [6890] = 3511,
  [6891] = 3523,
  [6892] = 3491,
  [6893] = 3510,
  [6894] = 3506,
  [6895] = 3329,
  [6896] = 3330,
  [6897] = 3505,
  [6898] = 3327,
  [6899] = 3326,
  [6900] = 3325,
  [6901] = 3332,
  [6902] = 3499,
  [6903] = 3498,
  [6904] = 3496,
  [6905] = 3495,
  [6906] = 3494,
  [6907] = 3493,
  [6908] = 3492,
  [6909] = 3469,
  [6910] = 3333,
  [6911] = 3490,
  [6912] = 3461,
  [6913] = 3407,
  [6914] = 3436,
  [6915] = 3596,
  [6916] = 3387,
  [6917] = 3393,
  [6918] = 3384,
  [6919] = 3419,
  [6920] = 3476,
  [6921] = 3547,
  [6922] = 3397,
  [6923] = 3548,
  [6924] = 3402,
  [6925] = 3468,
  [6926] = 3414,
  [6927] = 3324,
  [6928] = 3395,
  [6929] = 3502,
  [6930] = 3396,
  [6931] = 3497,
  [6932] = 3582,
  [6933] = 3399,
  [6934] = 3562,
  [6935] = 3556,
  [6936] = 3430,
  [6937] = 3522,
  [6938] = 3465,
  [6939] = 3497,
  [6940] = 3394,
  [6941] = 3324,
  [6942] = 3463,
  [6943] = 3460,
  [6944] = 3459,
  [6945] = 3530,
  [6946] = 3457,
  [6947] = 3468,
  [6948] = 3529,
  [6949] = 3469,
  [6950] = 3556,
  [6951] = 3527,
  [6952] = 3393,
  [6953] = 3395,
  [6954] = 3523,
  [6955] = 3376,
  [6956] = 3470,
  [6957] = 3396,
  [6958] = 3548,
  [6959] = 3452,
  [6960] = 3451,
  [6961] = 3333,
  [6962] = 3399,
  [6963] = 3547,
  [6964] = 3442,
  [6965] = 3445,
  [6966] = 3526,
  [6967] = 3476,
  [6968] = 3474,
  [6969] = 3526,
  [6970] = 3562,
  [6971] = 3518,
  [6972] = 3582,
  [6973] = 3477,
  [6974] = 3527,
  [6975] = 3529,
  [6976] = 3530,
  [6977] = 3440,
  [6978] = 3325,
  [6979] = 3326,
  [6980] = 3327,
  [6981] = 3517,
  [6982] = 3491,
  [6983] = 3332,
  [6984] = 3329,
  [6985] = 3510,
  [6986] = 3511,
  [6987] = 3522,
  [6988] = 3329,
  [6989] = 3506,
  [6990] = 3330,
  [6991] = 3332,
  [6992] = 3505,
  [6993] = 3327,
  [6994] = 3326,
  [6995] = 3502,
  [6996] = 3351,
  [6997] = 3325,
  [6998] = 3336,
  [6999] = 3596,
  [7000] = 3499,
  [7001] = 3498,
  [7002] = 3496,
  [7003] = 3495,
  [7004] = 3494,
  [7005] = 3493,
  [7006] = 3463,
  [7007] = 3492,
  [7008] = 3599,
  [7009] = 3600,
  [7010] = 3490,
  [7011] = 3461,
  [7012] = 3407,
  [7013] = 3333,
  [7014] = 3436,
  [7015] = 3637,
  [7016] = 3387,
  [7017] = 3384,
  [7018] = 3419,
  [7019] = 3397,
  [7020] = 3402,
  [7021] = 3501,
  [7022] = 3414,
  [7023] = 3324,
  [7024] = 3350,
  [7025] = 3430,
  [7026] = 3324,
  [7027] = 3324,
  [7028] = 3440,
  [7029] = 3465,
  [7030] = 3444,
  [7031] = 3460,
  [7032] = 3629,
  [7033] = 3351,
  [7034] = 3459,
  [7035] = 3501,
  [7036] = 3656,
  [7037] = 3635,
  [7038] = 3394,
  [7039] = 3336,
  [7040] = 3445,
  [7041] = 3502,
  [7042] = 3442,
  [7043] = 3497,
  [7044] = 3451,
  [7045] = 3452,
  [7046] = 3637,
  [7047] = 3376,
  [7048] = 3457,
  [7049] = 3454,
  [7050] = 3658,
  [7051] = 3641,
  [7052] = 3325,
  [7053] = 3326,
  [7054] = 3327,
  [7055] = 3457,
  [7056] = 3459,
  [7057] = 3460,
  [7058] = 3376,
  [7059] = 3491,
  [7060] = 3444,
  [7061] = 3465,
  [7062] = 3430,
  [7063] = 3452,
  [7064] = 3451,
  [7065] = 3442,
  [7066] = 3454,
  [7067] = 3324,
  [7068] = 3414,
  [7069] = 3402,
  [7070] = 3445,
  [7071] = 3329,
  [7072] = 3397,
  [7073] = 3641,
  [7074] = 3351,
  [7075] = 3419,
  [7076] = 3384,
  [7077] = 3387,
  [7078] = 3436,
  [7079] = 3477,
  [7080] = 3407,
  [7081] = 3476,
  [7082] = 3461,
  [7083] = 3490,
  [7084] = 3330,
  [7085] = 3440,
  [7086] = 3492,
  [7087] = 3658,
  [7088] = 3493,
  [7089] = 3494,
  [7090] = 3495,
  [7091] = 3496,
  [7092] = 3474,
  [7093] = 3498,
  [7094] = 3499,
  [7095] = 3332,
  [7096] = 3656,
  [7097] = 3325,
  [7098] = 3326,
  [7099] = 3327,
  [7100] = 3505,
  [7101] = 3350,
  [7102] = 3506,
  [7103] = 3510,
  [7104] = 3511,
  [7105] = 3470,
  [7106] = 3336,
  [7107] = 3329,
  [7108] = 3330,
  [7109] = 3332,
  [7110] = 3351,
  [7111] = 3517,
  [7112] = 3469,
  [7113] = 3635,
  [7114] = 3468,
  [7115] = 3629,
  [7116] = 3336,
  [7117] = 3476,
  [7118] = 3523,
  [7119] = 3600,
  [7120] = 3599,
  [7121] = 3333,
  [7122] = 3522,
  [7123] = 3547,
  [7124] = 3518,
  [7125] = 3463,
  [7126] = 3394,
  [7127] = 3548,
  [7128] = 3596,
  [7129] = 3351,
  [7130] = 3526,
  [7131] = 3333,
  [7132] = 3530,
  [7133] = 3529,
  [7134] = 3527,
  [7135] = 3527,
  [7136] = 3556,
  [7137] = 3529,
  [7138] = 3526,
  [7139] = 3530,
  [7140] = 3325,
  [7141] = 3326,
  [7142] = 3497,
  [7143] = 3327,
  [7144] = 3562,
  [7145] = 3582,
  [7146] = 3582,
  [7147] = 3463,
  [7148] = 3518,
  [7149] = 3562,
  [7150] = 3522,
  [7151] = 3333,
  [7152] = 3556,
  [7153] = 3468,
  [7154] = 3469,
  [7155] = 3517,
  [7156] = 3470,
  [7157] = 3511,
  [7158] = 3510,
  [7159] = 3506,
  [7160] = 3505,
  [7161] = 3324,
  [7162] = 3523,
  [7163] = 3501,
  [7164] = 3501,
  [7165] = 3350,
  [7166] = 3336,
  [7167] = 3350,
  [7168] = 3499,
  [7169] = 3498,
  [7170] = 3350,
  [7171] = 3474,
  [7172] = 3496,
  [7173] = 3495,
  [7174] = 3494,
  [7175] = 3350,
  [7176] = 3333,
  [7177] = 3454,
  [7178] = 3493,
  [7179] = 3492,
  [7180] = 3548,
  [7181] = 3547,
  [7182] = 3490,
  [7183] = 3596,
  [7184] = 3461,
  [7185] = 3407,
  [7186] = 3477,
  [7187] = 3329,
  [7188] = 3436,
  [7189] = 3387,
  [7190] = 3384,
  [7191] = 3599,
  [7192] = 3419,
  [7193] = 3336,
  [7194] = 3600,
  [7195] = 3397,
  [7196] = 3402,
  [7197] = 3414,
  [7198] = 3332,
  [7199] = 3629,
  [7200] = 3635,
  [7201] = 3637,
  [7202] = 3430,
  [7203] = 3351,
  [7204] = 3465,
  [7205] = 3444,
  [7206] = 3491,
  [7207] = 3460,
  [7208] = 3330,
  [7209] = 3459,
  [7210] = 3457,
  [7211] = 3350,
  [7212] = 3333,
  [7213] = 3454,
  [7214] = 3376,
  [7215] = 3452,
  [7216] = 3451,
  [7217] = 3641,
  [7218] = 3442,
  [7219] = 3502,
  [7220] = 3445,
  [7221] = 3658,
  [7222] = 3336,
  [7223] = 3658,
  [7224] = 3440,
  [7225] = 3332,
  [7226] = 3330,
  [7227] = 3329,
  [7228] = 3656,
  [7229] = 3325,
  [7230] = 3333,
  [7231] = 3326,
  [7232] = 3327,
  [7233] = 3326,
  [7234] = 3325,
  [7235] = 3393,
  [7236] = 3332,
  [7237] = 3330,
  [7238] = 3327,
  [7239] = 3336,
  [7240] = 3395,
  [7241] = 3399,
  [7242] = 3329,
  [7243] = 3396,
  [7244] = 3326,
  [7245] = 3477,
  [7246] = 3414,
  [7247] = 3402,
  [7248] = 3511,
  [7249] = 3548,
  [7250] = 3397,
  [7251] = 3510,
  [7252] = 3547,
  [7253] = 3419,
  [7254] = 3384,
  [7255] = 3387,
  [7256] = 3436,
  [7257] = 3506,
  [7258] = 3407,
  [7259] = 3505,
  [7260] = 3461,
  [7261] = 3490,
  [7262] = 3547,
  [7263] = 3596,
  [7264] = 3492,
  [7265] = 3430,
  [7266] = 3493,
  [7267] = 3494,
  [7268] = 3495,
  [7269] = 3496,
  [7270] = 3465,
  [7271] = 3498,
  [7272] = 3499,
  [7273] = 3444,
  [7274] = 3501,
  [7275] = 3460,
  [7276] = 3459,
  [7277] = 3457,
  [7278] = 3505,
  [7279] = 3517,
  [7280] = 3506,
  [7281] = 3510,
  [7282] = 3511,
  [7283] = 3556,
  [7284] = 3469,
  [7285] = 3468,
  [7286] = 3454,
  [7287] = 7287,
  [7288] = 3499,
  [7289] = 3517,
  [7290] = 3498,
  [7291] = 3474,
  [7292] = 3496,
  [7293] = 3495,
  [7294] = 3523,
  [7295] = 3376,
  [7296] = 3414,
  [7297] = 3494,
  [7298] = 3493,
  [7299] = 3452,
  [7300] = 3492,
  [7301] = 7301,
  [7302] = 3518,
  [7303] = 3325,
  [7304] = 3451,
  [7305] = 3599,
  [7306] = 3600,
  [7307] = 3463,
  [7308] = 3442,
  [7309] = 3350,
  [7310] = 3445,
  [7311] = 3394,
  [7312] = 3502,
  [7313] = 3490,
  [7314] = 3562,
  [7315] = 3461,
  [7316] = 3497,
  [7317] = 3476,
  [7318] = 3407,
  [7319] = 3477,
  [7320] = 3436,
  [7321] = 3387,
  [7322] = 3599,
  [7323] = 3333,
  [7324] = 3582,
  [7325] = 3336,
  [7326] = 3491,
  [7327] = 3440,
  [7328] = 3518,
  [7329] = 3350,
  [7330] = 3336,
  [7331] = 3523,
  [7332] = 3582,
  [7333] = 3384,
  [7334] = 3419,
  [7335] = 3517,
  [7336] = 3477,
  [7337] = 3523,
  [7338] = 3397,
  [7339] = 3476,
  [7340] = 3523,
  [7341] = 3402,
  [7342] = 3562,
  [7343] = 3474,
  [7344] = 3387,
  [7345] = 3518,
  [7346] = 3470,
  [7347] = 3469,
  [7348] = 3329,
  [7349] = 3556,
  [7350] = 3468,
  [7351] = 3582,
  [7352] = 3463,
  [7353] = 3562,
  [7354] = 3656,
  [7355] = 3394,
  [7356] = 3497,
  [7357] = 3556,
  [7358] = 3548,
  [7359] = 3548,
  [7360] = 3547,
  [7361] = 3476,
  [7362] = 3330,
  [7363] = 3494,
  [7364] = 3547,
  [7365] = 3656,
  [7366] = 3596,
  [7367] = 3324,
  [7368] = 3498,
  [7369] = 3548,
  [7370] = 3350,
  [7371] = 3350,
  [7372] = 3463,
  [7373] = 3332,
  [7374] = 3430,
  [7375] = 3465,
  [7376] = 3444,
  [7377] = 3491,
  [7378] = 3394,
  [7379] = 3350,
  [7380] = 3658,
  [7381] = 3596,
  [7382] = 3460,
  [7383] = 3459,
  [7384] = 3658,
  [7385] = 7301,
  [7386] = 3457,
  [7387] = 3327,
  [7388] = 3350,
  [7389] = 3641,
  [7390] = 3333,
  [7391] = 3511,
  [7392] = 3510,
  [7393] = 3376,
  [7394] = 3600,
  [7395] = 3452,
  [7396] = 3637,
  [7397] = 3451,
  [7398] = 3506,
  [7399] = 3505,
  [7400] = 3635,
  [7401] = 3629,
  [7402] = 3556,
  [7403] = 3501,
  [7404] = 3599,
  [7405] = 3497,
  [7406] = 3442,
  [7407] = 3502,
  [7408] = 3600,
  [7409] = 3445,
  [7410] = 3641,
  [7411] = 3463,
  [7412] = 3394,
  [7413] = 3350,
  [7414] = 3499,
  [7415] = 3518,
  [7416] = 3498,
  [7417] = 3502,
  [7418] = 3497,
  [7419] = 3399,
  [7420] = 3637,
  [7421] = 3562,
  [7422] = 3635,
  [7423] = 3496,
  [7424] = 3495,
  [7425] = 3582,
  [7426] = 3440,
  [7427] = 3629,
  [7428] = 7301,
  [7429] = 3641,
  [7430] = 3468,
  [7431] = 3491,
  [7432] = 3530,
  [7433] = 3529,
  [7434] = 3527,
  [7435] = 3469,
  [7436] = 3351,
  [7437] = 3493,
  [7438] = 3526,
  [7439] = 3477,
  [7440] = 3396,
  [7441] = 3395,
  [7442] = 3476,
  [7443] = 3492,
  [7444] = 3490,
  [7445] = 3474,
  [7446] = 3470,
  [7447] = 3351,
  [7448] = 3517,
  [7449] = 3469,
  [7450] = 3461,
  [7451] = 3393,
  [7452] = 7287,
  [7453] = 3468,
  [7454] = 3407,
  [7455] = 3436,
  [7456] = 3522,
  [7457] = 3351,
  [7458] = 3384,
  [7459] = 3350,
  [7460] = 3463,
  [7461] = 3547,
  [7462] = 3548,
  [7463] = 3419,
  [7464] = 3596,
  [7465] = 3656,
  [7466] = 3470,
  [7467] = 3351,
  [7468] = 3511,
  [7469] = 3510,
  [7470] = 3506,
  [7471] = 3505,
  [7472] = 3658,
  [7473] = 3350,
  [7474] = 3556,
  [7475] = 3397,
  [7476] = 3501,
  [7477] = 3333,
  [7478] = 3499,
  [7479] = 3522,
  [7480] = 3599,
  [7481] = 3474,
  [7482] = 3496,
  [7483] = 3502,
  [7484] = 3495,
  [7485] = 3494,
  [7486] = 3493,
  [7487] = 3600,
  [7488] = 3492,
  [7489] = 3490,
  [7490] = 3461,
  [7491] = 3393,
  [7492] = 3476,
  [7493] = 3407,
  [7494] = 3562,
  [7495] = 3470,
  [7496] = 3637,
  [7497] = 3436,
  [7498] = 3387,
  [7499] = 3402,
  [7500] = 3491,
  [7501] = 3384,
  [7502] = 3419,
  [7503] = 3582,
  [7504] = 3399,
  [7505] = 3523,
  [7506] = 3397,
  [7507] = 3414,
  [7508] = 3402,
  [7509] = 3414,
  [7510] = 3635,
  [7511] = 3629,
  [7512] = 4462,
  [7513] = 3332,
  [7514] = 3330,
  [7515] = 3526,
  [7516] = 3430,
  [7517] = 3465,
  [7518] = 3444,
  [7519] = 3477,
  [7520] = 3491,
  [7521] = 3527,
  [7522] = 3460,
  [7523] = 3459,
  [7524] = 3396,
  [7525] = 3395,
  [7526] = 3529,
  [7527] = 3457,
  [7528] = 3430,
  [7529] = 3465,
  [7530] = 3444,
  [7531] = 3454,
  [7532] = 3474,
  [7533] = 3376,
  [7534] = 3329,
  [7535] = 3393,
  [7536] = 3460,
  [7537] = 3452,
  [7538] = 3451,
  [7539] = 3497,
  [7540] = 3442,
  [7541] = 3502,
  [7542] = 3445,
  [7543] = 3459,
  [7544] = 3457,
  [7545] = 3470,
  [7546] = 3454,
  [7547] = 3518,
  [7548] = 3496,
  [7549] = 3376,
  [7550] = 3522,
  [7551] = 3469,
  [7552] = 3440,
  [7553] = 3468,
  [7554] = 3452,
  [7555] = 3451,
  [7556] = 3530,
  [7557] = 3468,
  [7558] = 3442,
  [7559] = 3399,
  [7560] = 3332,
  [7561] = 3463,
  [7562] = 3529,
  [7563] = 3330,
  [7564] = 3329,
  [7565] = 3445,
  [7566] = 3350,
  [7567] = 3440,
  [7568] = 3497,
  [7569] = 3396,
  [7570] = 3395,
  [7571] = 3469,
  [7572] = 3517,
  [7573] = 3527,
  [7574] = 3327,
  [7575] = 3658,
  [7576] = 3326,
  [7577] = 3526,
  [7578] = 3332,
  [7579] = 3330,
  [7580] = 3329,
  [7581] = 3527,
  [7582] = 3547,
  [7583] = 3325,
  [7584] = 3529,
  [7585] = 3470,
  [7586] = 3511,
  [7587] = 3399,
  [7588] = 3510,
  [7589] = 3506,
  [7590] = 3526,
  [7591] = 3505,
  [7592] = 3548,
  [7593] = 3327,
  [7594] = 3530,
  [7595] = 3501,
  [7596] = 3324,
  [7597] = 3499,
  [7598] = 3498,
  [7599] = 3629,
  [7600] = 3326,
  [7601] = 3596,
  [7602] = 3656,
  [7603] = 3635,
  [7604] = 3476,
  [7605] = 3637,
  [7606] = 3474,
  [7607] = 3396,
  [7608] = 3395,
  [7609] = 3332,
  [7610] = 3330,
  [7611] = 3495,
  [7612] = 3494,
  [7613] = 3493,
  [7614] = 3454,
  [7615] = 3325,
  [7616] = 3492,
  [7617] = 3329,
  [7618] = 3393,
  [7619] = 3600,
  [7620] = 3490,
  [7621] = 3461,
  [7622] = 3351,
  [7623] = 3407,
  [7624] = 3530,
  [7625] = 3477,
  [7626] = 3641,
  [7627] = 3556,
  [7628] = 7287,
  [7629] = 3327,
  [7630] = 3599,
  [7631] = 3327,
  [7632] = 3600,
  [7633] = 3436,
  [7634] = 3336,
  [7635] = 7301,
  [7636] = 3522,
  [7637] = 3641,
  [7638] = 3387,
  [7639] = 3326,
  [7640] = 3384,
  [7641] = 3419,
  [7642] = 3326,
  [7643] = 3523,
  [7644] = 3562,
  [7645] = 3397,
  [7646] = 3394,
  [7647] = 3325,
  [7648] = 3402,
  [7649] = 3414,
  [7650] = 3637,
  [7651] = 3658,
  [7652] = 3325,
  [7653] = 3430,
  [7654] = 3465,
  [7655] = 3444,
  [7656] = 3491,
  [7657] = 3582,
  [7658] = 3460,
  [7659] = 3459,
  [7660] = 3635,
  [7661] = 3457,
  [7662] = 3522,
  [7663] = 3629,
  [7664] = 3336,
  [7665] = 3530,
  [7666] = 3454,
  [7667] = 3501,
  [7668] = 3376,
  [7669] = 3452,
  [7670] = 3399,
  [7671] = 3451,
  [7672] = 3529,
  [7673] = 3442,
  [7674] = 3502,
  [7675] = 3445,
  [7676] = 3394,
  [7677] = 3336,
  [7678] = 3518,
  [7679] = 3440,
  [7680] = 3440,
  [7681] = 3445,
  [7682] = 3656,
  [7683] = 3527,
  [7684] = 3442,
  [7685] = 3451,
  [7686] = 4581,
  [7687] = 3452,
  [7688] = 3376,
  [7689] = 3396,
  [7690] = 3395,
  [7691] = 3526,
  [7692] = 3454,
  [7693] = 3324,
  [7694] = 3457,
  [7695] = 3324,
  [7696] = 3459,
  [7697] = 3324,
  [7698] = 3517,
  [7699] = 3460,
  [7700] = 3393,
  [7701] = 3399,
  [7702] = 3396,
  [7703] = 3526,
  [7704] = 3395,
  [7705] = 3444,
  [7706] = 3465,
  [7707] = 3333,
  [7708] = 3393,
  [7709] = 3430,
  [7710] = 7287,
  [7711] = 3511,
  [7712] = 3510,
  [7713] = 3506,
  [7714] = 3333,
  [7715] = 3505,
  [7716] = 3596,
  [7717] = 3656,
  [7718] = 3527,
  [7719] = 3501,
  [7720] = 3635,
  [7721] = 3658,
  [7722] = 3637,
  [7723] = 3414,
  [7724] = 3529,
  [7725] = 3499,
  [7726] = 3402,
  [7727] = 3498,
  [7728] = 3629,
  [7729] = 3522,
  [7730] = 3397,
  [7731] = 3419,
  [7732] = 3384,
  [7733] = 3387,
  [7734] = 3436,
  [7735] = 3641,
  [7736] = 3407,
  [7737] = 3461,
  [7738] = 3490,
  [7739] = 3492,
  [7740] = 3494,
  [7741] = 3530,
  [7742] = 3496,
  [7743] = 3495,
  [7744] = 4602,
  [7745] = 3493,
  [7746] = 3599,
  [7747] = 3635,
  [7748] = 3510,
  [7749] = 3457,
  [7750] = 3459,
  [7751] = 3460,
  [7752] = 3491,
  [7753] = 3444,
  [7754] = 3465,
  [7755] = 3430,
  [7756] = 3324,
  [7757] = 3414,
  [7758] = 3402,
  [7759] = 3397,
  [7760] = 3641,
  [7761] = 3440,
  [7762] = 3419,
  [7763] = 3384,
  [7764] = 3387,
  [7765] = 3436,
  [7766] = 3477,
  [7767] = 3407,
  [7768] = 3498,
  [7769] = 3461,
  [7770] = 3490,
  [7771] = 3460,
  [7772] = 3459,
  [7773] = 3492,
  [7774] = 3454,
  [7775] = 3493,
  [7776] = 3494,
  [7777] = 3495,
  [7778] = 3496,
  [7779] = 3474,
  [7780] = 3498,
  [7781] = 3499,
  [7782] = 3376,
  [7783] = 3440,
  [7784] = 3325,
  [7785] = 3326,
  [7786] = 3327,
  [7787] = 3505,
  [7788] = 3582,
  [7789] = 3506,
  [7790] = 3510,
  [7791] = 3511,
  [7792] = 3470,
  [7793] = 3329,
  [7794] = 3330,
  [7795] = 3332,
  [7796] = 3469,
  [7797] = 3517,
  [7798] = 3469,
  [7799] = 3445,
  [7800] = 3468,
  [7801] = 3442,
  [7802] = 3476,
  [7803] = 3452,
  [7804] = 3451,
  [7805] = 3491,
  [7806] = 3501,
  [7807] = 3518,
  [7808] = 3442,
  [7809] = 3444,
  [7810] = 3502,
  [7811] = 3445,
  [7812] = 3463,
  [7813] = 3457,
  [7814] = 3451,
  [7815] = 3465,
  [7816] = 3430,
  [7817] = 3399,
  [7818] = 3440,
  [7819] = 3526,
  [7820] = 3522,
  [7821] = 3556,
  [7822] = 3452,
  [7823] = 3599,
  [7824] = 3656,
  [7825] = 3596,
  [7826] = 3376,
  [7827] = 3393,
  [7828] = 3527,
  [7829] = 3376,
  [7830] = 3600,
  [7831] = 3522,
  [7832] = 3414,
  [7833] = 3452,
  [7834] = 3395,
  [7835] = 3451,
  [7836] = 3396,
  [7837] = 3402,
  [7838] = 3442,
  [7839] = 3399,
  [7840] = 3529,
  [7841] = 3502,
  [7842] = 3523,
  [7843] = 3350,
  [7844] = 3445,
  [7845] = 3529,
  [7846] = 3394,
  [7847] = 3548,
  [7848] = 3394,
  [7849] = 3397,
  [7850] = 3547,
  [7851] = 3419,
  [7852] = 3562,
  [7853] = 3384,
  [7854] = 3470,
  [7855] = 7855,
  [7856] = 3518,
  [7857] = 3445,
  [7858] = 3387,
  [7859] = 3436,
  [7860] = 3502,
  [7861] = 3474,
  [7862] = 3477,
  [7863] = 3442,
  [7864] = 3407,
  [7865] = 3454,
  [7866] = 3461,
  [7867] = 3490,
  [7868] = 3477,
  [7869] = 3457,
  [7870] = 3396,
  [7871] = 3395,
  [7872] = 3451,
  [7873] = 3452,
  [7874] = 3492,
  [7875] = 3463,
  [7876] = 3493,
  [7877] = 3494,
  [7878] = 3495,
  [7879] = 3496,
  [7880] = 3474,
  [7881] = 3474,
  [7882] = 3496,
  [7883] = 3495,
  [7884] = 3494,
  [7885] = 3518,
  [7886] = 3493,
  [7887] = 3637,
  [7888] = 3582,
  [7889] = 3459,
  [7890] = 3376,
  [7891] = 3635,
  [7892] = 3394,
  [7893] = 3599,
  [7894] = 3454,
  [7895] = 3492,
  [7896] = 3523,
  [7897] = 3490,
  [7898] = 3461,
  [7899] = 3548,
  [7900] = 3407,
  [7901] = 3635,
  [7902] = 3582,
  [7903] = 3498,
  [7904] = 3637,
  [7905] = 3333,
  [7906] = 3440,
  [7907] = 3629,
  [7908] = 3457,
  [7909] = 3460,
  [7910] = 3459,
  [7911] = 3460,
  [7912] = 3463,
  [7913] = 3499,
  [7914] = 3393,
  [7915] = 7915,
  [7916] = 3477,
  [7917] = 3530,
  [7918] = 3562,
  [7919] = 3491,
  [7920] = 3505,
  [7921] = 3505,
  [7922] = 3444,
  [7923] = 3526,
  [7924] = 3506,
  [7925] = 3465,
  [7926] = 3510,
  [7927] = 3430,
  [7928] = 3511,
  [7929] = 3444,
  [7930] = 3436,
  [7931] = 3387,
  [7932] = 3384,
  [7933] = 3419,
  [7934] = 3470,
  [7935] = 3465,
  [7936] = 3547,
  [7937] = 3523,
  [7938] = 3336,
  [7939] = 3397,
  [7940] = 3430,
  [7941] = 3501,
  [7942] = 3526,
  [7943] = 3629,
  [7944] = 3414,
  [7945] = 3402,
  [7946] = 3336,
  [7947] = 3527,
  [7948] = 3517,
  [7949] = 3469,
  [7950] = 3529,
  [7951] = 3468,
  [7952] = 3530,
  [7953] = 3530,
  [7954] = 3491,
  [7955] = 3527,
  [7956] = 3502,
  [7957] = 3402,
  [7958] = 3394,
  [7959] = 3397,
  [7960] = 4462,
  [7961] = 3497,
  [7962] = 3641,
  [7963] = 3506,
  [7964] = 3402,
  [7965] = 3502,
  [7966] = 3522,
  [7967] = 3414,
  [7968] = 3510,
  [7969] = 3523,
  [7970] = 7970,
  [7971] = 3419,
  [7972] = 3596,
  [7973] = 3656,
  [7974] = 3399,
  [7975] = 3430,
  [7976] = 3414,
  [7977] = 3465,
  [7978] = 3444,
  [7979] = 3387,
  [7980] = 3436,
  [7981] = 3384,
  [7982] = 3511,
  [7983] = 3470,
  [7984] = 7984,
  [7985] = 3548,
  [7986] = 3491,
  [7987] = 3397,
  [7988] = 3477,
  [7989] = 3454,
  [7990] = 3419,
  [7991] = 3384,
  [7992] = 3387,
  [7993] = 3658,
  [7994] = 3460,
  [7995] = 3333,
  [7996] = 3436,
  [7997] = 7915,
  [7998] = 7998,
  [7999] = 3407,
  [8000] = 8000,
  [8001] = 8001,
  [8002] = 3407,
  [8003] = 3459,
  [8004] = 3461,
  [8005] = 3490,
  [8006] = 3461,
  [8007] = 3490,
  [8008] = 3492,
  [8009] = 3527,
  [8010] = 3629,
  [8011] = 3635,
  [8012] = 3492,
  [8013] = 3493,
  [8014] = 3641,
  [8015] = 3493,
  [8016] = 3501,
  [8017] = 3494,
  [8018] = 3495,
  [8019] = 3497,
  [8020] = 3457,
  [8021] = 3496,
  [8022] = 3600,
  [8023] = 3494,
  [8024] = 3522,
  [8025] = 3495,
  [8026] = 3526,
  [8027] = 3658,
  [8028] = 3491,
  [8029] = 3496,
  [8030] = 3474,
  [8031] = 3499,
  [8032] = 3501,
  [8033] = 3394,
  [8034] = 3505,
  [8035] = 3547,
  [8036] = 3548,
  [8037] = 3506,
  [8038] = 3510,
  [8039] = 3656,
  [8040] = 3511,
  [8041] = 3523,
  [8042] = 3498,
  [8043] = 3596,
  [8044] = 3556,
  [8045] = 3499,
  [8046] = 3501,
  [8047] = 3495,
  [8048] = 3562,
  [8049] = 3582,
  [8050] = 3393,
  [8051] = 3477,
  [8052] = 3454,
  [8053] = 3637,
  [8054] = 3463,
  [8055] = 3517,
  [8056] = 3505,
  [8057] = 3518,
  [8058] = 3393,
  [8059] = 3395,
  [8060] = 3517,
  [8061] = 3332,
  [8062] = 3330,
  [8063] = 3329,
  [8064] = 3396,
  [8065] = 3454,
  [8066] = 3556,
  [8067] = 3506,
  [8068] = 3511,
  [8069] = 3510,
  [8070] = 3506,
  [8071] = 3505,
  [8072] = 3599,
  [8073] = 3376,
  [8074] = 3327,
  [8075] = 3326,
  [8076] = 3600,
  [8077] = 3658,
  [8078] = 3596,
  [8079] = 3511,
  [8080] = 3325,
  [8081] = 3452,
  [8082] = 3451,
  [8083] = 3497,
  [8084] = 3399,
  [8085] = 3470,
  [8086] = 3350,
  [8087] = 3442,
  [8088] = 3499,
  [8089] = 3599,
  [8090] = 3600,
  [8091] = 3600,
  [8092] = 3498,
  [8093] = 3502,
  [8094] = 3445,
  [8095] = 3641,
  [8096] = 3496,
  [8097] = 3518,
  [8098] = 3394,
  [8099] = 7970,
  [8100] = 3474,
  [8101] = 3599,
  [8102] = 3562,
  [8103] = 3476,
  [8104] = 3499,
  [8105] = 3494,
  [8106] = 3493,
  [8107] = 3395,
  [8108] = 3492,
  [8109] = 3463,
  [8110] = 3518,
  [8111] = 3637,
  [8112] = 3350,
  [8113] = 4602,
  [8114] = 3490,
  [8115] = 3582,
  [8116] = 3461,
  [8117] = 3635,
  [8118] = 3440,
  [8119] = 3629,
  [8120] = 3396,
  [8121] = 3393,
  [8122] = 3407,
  [8123] = 3656,
  [8124] = 3526,
  [8125] = 3436,
  [8126] = 3468,
  [8127] = 3387,
  [8128] = 3527,
  [8129] = 3658,
  [8130] = 3529,
  [8131] = 3498,
  [8132] = 3556,
  [8133] = 3384,
  [8134] = 3641,
  [8135] = 3530,
  [8136] = 3419,
  [8137] = 3629,
  [8138] = 3530,
  [8139] = 3635,
  [8140] = 3637,
  [8141] = 3522,
  [8142] = 3635,
  [8143] = 3629,
  [8144] = 3397,
  [8145] = 3470,
  [8146] = 3402,
  [8147] = 3414,
  [8148] = 3393,
  [8149] = 3582,
  [8150] = 3324,
  [8151] = 3469,
  [8152] = 3395,
  [8153] = 3468,
  [8154] = 3396,
  [8155] = 3430,
  [8156] = 3476,
  [8157] = 3517,
  [8158] = 3469,
  [8159] = 3399,
  [8160] = 3465,
  [8161] = 3444,
  [8162] = 3476,
  [8163] = 3468,
  [8164] = 3556,
  [8165] = 3497,
  [8166] = 3530,
  [8167] = 3463,
  [8168] = 3637,
  [8169] = 3529,
  [8170] = 3497,
  [8171] = 3527,
  [8172] = 3526,
  [8173] = 3517,
  [8174] = 3523,
  [8175] = 3460,
  [8176] = 4581,
  [8177] = 3547,
  [8178] = 3562,
  [8179] = 3548,
  [8180] = 8180,
  [8181] = 3641,
  [8182] = 3440,
  [8183] = 3522,
  [8184] = 3556,
  [8185] = 3350,
  [8186] = 3468,
  [8187] = 3393,
  [8188] = 3518,
  [8189] = 3600,
  [8190] = 3463,
  [8191] = 3445,
  [8192] = 3562,
  [8193] = 3502,
  [8194] = 3459,
  [8195] = 3582,
  [8196] = 3468,
  [8197] = 3658,
  [8198] = 3442,
  [8199] = 3497,
  [8200] = 3451,
  [8201] = 3452,
  [8202] = 3457,
  [8203] = 3529,
  [8204] = 3376,
  [8205] = 3469,
  [8206] = 3596,
  [8207] = 3376,
  [8208] = 3395,
  [8209] = 3396,
  [8210] = 3452,
  [8211] = 3451,
  [8212] = 3442,
  [8213] = 3454,
  [8214] = 3599,
  [8215] = 3445,
  [8216] = 3600,
  [8217] = 3599,
  [8218] = 3501,
  [8219] = 3399,
  [8220] = 7970,
  [8221] = 3469,
  [8222] = 3547,
  [8223] = 3548,
  [8224] = 3457,
  [8225] = 4462,
  [8226] = 3517,
  [8227] = 3469,
  [8228] = 3658,
  [8229] = 3440,
  [8230] = 3522,
  [8231] = 3459,
  [8232] = 3460,
  [8233] = 7915,
  [8234] = 3491,
  [8235] = 3393,
  [8236] = 3465,
  [8237] = 3430,
  [8238] = 3656,
  [8239] = 3414,
  [8240] = 3399,
  [8241] = 4462,
  [8242] = 3402,
  [8243] = 3397,
  [8244] = 3523,
  [8245] = 3582,
  [8246] = 3596,
  [8247] = 4462,
  [8248] = 3399,
  [8249] = 3656,
  [8250] = 3419,
  [8251] = 3384,
  [8252] = 3387,
  [8253] = 3502,
  [8254] = 3658,
  [8255] = 3436,
  [8256] = 4602,
  [8257] = 4581,
  [8258] = 3548,
  [8259] = 3599,
  [8260] = 3547,
  [8261] = 3470,
  [8262] = 3562,
  [8263] = 3444,
  [8264] = 3477,
  [8265] = 3641,
  [8266] = 3547,
  [8267] = 3637,
  [8268] = 3468,
  [8269] = 3470,
  [8270] = 3629,
  [8271] = 3407,
  [8272] = 3476,
  [8273] = 3461,
  [8274] = 3526,
  [8275] = 3490,
  [8276] = 3492,
  [8277] = 3548,
  [8278] = 3493,
  [8279] = 3494,
  [8280] = 3495,
  [8281] = 3556,
  [8282] = 3527,
  [8283] = 3497,
  [8284] = 7915,
  [8285] = 3529,
  [8286] = 3496,
  [8287] = 3530,
  [8288] = 3476,
  [8289] = 3511,
  [8290] = 3474,
  [8291] = 3510,
  [8292] = 3562,
  [8293] = 3491,
  [8294] = 3656,
  [8295] = 3474,
  [8296] = 3582,
  [8297] = 3395,
  [8298] = 3506,
  [8299] = 3547,
  [8300] = 3505,
  [8301] = 3548,
  [8302] = 3476,
  [8303] = 3596,
  [8304] = 3497,
  [8305] = 3477,
  [8306] = 3396,
  [8307] = 3394,
  [8308] = 3476,
  [8309] = 3498,
  [8310] = 3396,
  [8311] = 3501,
  [8312] = 3395,
  [8313] = 3499,
  [8314] = 7970,
  [8315] = 8315,
  [8316] = 3395,
  [8317] = 3629,
  [8318] = 3396,
  [8319] = 3399,
  [8320] = 3399,
  [8321] = 3476,
  [8322] = 3459,
  [8323] = 3635,
  [8324] = 3637,
  [8325] = 8325,
  [8326] = 3498,
  [8327] = 3562,
  [8328] = 3582,
  [8329] = 4581,
  [8330] = 3641,
  [8331] = 4462,
  [8332] = 3600,
  [8333] = 3468,
  [8334] = 3393,
  [8335] = 8335,
  [8336] = 3497,
  [8337] = 8337,
  [8338] = 3396,
  [8339] = 3395,
  [8340] = 8340,
  [8341] = 3430,
  [8342] = 3336,
  [8343] = 3465,
  [8344] = 3562,
  [8345] = 3477,
  [8346] = 3599,
  [8347] = 8347,
  [8348] = 3444,
  [8349] = 3393,
  [8350] = 8350,
  [8351] = 8351,
  [8352] = 8352,
  [8353] = 8353,
  [8354] = 8354,
  [8355] = 8355,
  [8356] = 6419,
  [8357] = 4581,
  [8358] = 3407,
  [8359] = 8359,
  [8360] = 8360,
  [8361] = 3658,
  [8362] = 7984,
  [8363] = 3419,
  [8364] = 7998,
  [8365] = 3384,
  [8366] = 6442,
  [8367] = 6448,
  [8368] = 4462,
  [8369] = 3491,
  [8370] = 3399,
  [8371] = 3387,
  [8372] = 8372,
  [8373] = 3596,
  [8374] = 4462,
  [8375] = 3469,
  [8376] = 3656,
  [8377] = 3517,
  [8378] = 3548,
  [8379] = 3596,
  [8380] = 3530,
  [8381] = 3556,
  [8382] = 3332,
  [8383] = 3600,
  [8384] = 3460,
  [8385] = 3547,
  [8386] = 3529,
  [8387] = 3330,
  [8388] = 3656,
  [8389] = 3658,
  [8390] = 3457,
  [8391] = 3329,
  [8392] = 3641,
  [8393] = 3637,
  [8394] = 3635,
  [8395] = 3629,
  [8396] = 3530,
  [8397] = 6431,
  [8398] = 3529,
  [8399] = 3527,
  [8400] = 3526,
  [8401] = 3547,
  [8402] = 8402,
  [8403] = 6275,
  [8404] = 3522,
  [8405] = 8405,
  [8406] = 8406,
  [8407] = 3499,
  [8408] = 3527,
  [8409] = 8409,
  [8410] = 3376,
  [8411] = 8411,
  [8412] = 8412,
  [8413] = 8413,
  [8414] = 8414,
  [8415] = 6361,
  [8416] = 3452,
  [8417] = 8417,
  [8418] = 3451,
  [8419] = 3476,
  [8420] = 3461,
  [8421] = 3396,
  [8422] = 3395,
  [8423] = 4602,
  [8424] = 3497,
  [8425] = 3490,
  [8426] = 6200,
  [8427] = 3414,
  [8428] = 3442,
  [8429] = 8429,
  [8430] = 8430,
  [8431] = 4602,
  [8432] = 8432,
  [8433] = 8433,
  [8434] = 8434,
  [8435] = 3492,
  [8436] = 3393,
  [8437] = 6330,
  [8438] = 3468,
  [8439] = 6359,
  [8440] = 3402,
  [8441] = 8441,
  [8442] = 3526,
  [8443] = 7855,
  [8444] = 3502,
  [8445] = 3440,
  [8446] = 3493,
  [8447] = 3494,
  [8448] = 4462,
  [8449] = 3495,
  [8450] = 8450,
  [8451] = 3436,
  [8452] = 3324,
  [8453] = 3470,
  [8454] = 3496,
  [8455] = 6360,
  [8456] = 3469,
  [8457] = 3477,
  [8458] = 3474,
  [8459] = 3445,
  [8460] = 3518,
  [8461] = 3470,
  [8462] = 6213,
  [8463] = 8000,
  [8464] = 3325,
  [8465] = 8001,
  [8466] = 4462,
  [8467] = 6252,
  [8468] = 3491,
  [8469] = 8469,
  [8470] = 3505,
  [8471] = 3333,
  [8472] = 8472,
  [8473] = 3394,
  [8474] = 3506,
  [8475] = 8475,
  [8476] = 4462,
  [8477] = 3502,
  [8478] = 3523,
  [8479] = 8180,
  [8480] = 3556,
  [8481] = 3511,
  [8482] = 3548,
  [8483] = 3326,
  [8484] = 3327,
  [8485] = 3474,
  [8486] = 8486,
  [8487] = 3582,
  [8488] = 3397,
  [8489] = 3510,
  [8490] = 3463,
  [8491] = 3522,
  [8492] = 3658,
  [8493] = 3658,
  [8494] = 3517,
  [8495] = 3332,
  [8496] = 3330,
  [8497] = 3329,
  [8498] = 8472,
  [8499] = 3333,
  [8500] = 3497,
  [8501] = 3596,
  [8502] = 3511,
  [8503] = 3502,
  [8504] = 8325,
  [8505] = 3510,
  [8506] = 3523,
  [8507] = 3506,
  [8508] = 8441,
  [8509] = 3505,
  [8510] = 3327,
  [8511] = 3326,
  [8512] = 3325,
  [8513] = 3499,
  [8514] = 3498,
  [8515] = 3496,
  [8516] = 3495,
  [8517] = 3494,
  [8518] = 3393,
  [8519] = 3562,
  [8520] = 3493,
  [8521] = 3492,
  [8522] = 3395,
  [8523] = 6252,
  [8524] = 3490,
  [8525] = 8450,
  [8526] = 3461,
  [8527] = 3396,
  [8528] = 8469,
  [8529] = 3393,
  [8530] = 3407,
  [8531] = 3436,
  [8532] = 8486,
  [8533] = 3387,
  [8534] = 3384,
  [8535] = 3419,
  [8536] = 3399,
  [8537] = 3397,
  [8538] = 8335,
  [8539] = 4462,
  [8540] = 3556,
  [8541] = 3402,
  [8542] = 8417,
  [8543] = 3414,
  [8544] = 3395,
  [8545] = 3324,
  [8546] = 8355,
  [8547] = 8475,
  [8548] = 3430,
  [8549] = 3465,
  [8550] = 3547,
  [8551] = 3444,
  [8552] = 3477,
  [8553] = 3460,
  [8554] = 3459,
  [8555] = 3457,
  [8556] = 4602,
  [8557] = 8315,
  [8558] = 3376,
  [8559] = 3452,
  [8560] = 3451,
  [8561] = 3396,
  [8562] = 3442,
  [8563] = 3445,
  [8564] = 3394,
  [8565] = 3399,
  [8566] = 3476,
  [8567] = 6419,
  [8568] = 3440,
  [8569] = 3399,
  [8570] = 4602,
  [8571] = 3333,
  [8572] = 3396,
  [8573] = 6360,
  [8574] = 8414,
  [8575] = 3395,
  [8576] = 4581,
  [8577] = 3600,
  [8578] = 3463,
  [8579] = 8429,
  [8580] = 3440,
  [8581] = 4602,
  [8582] = 4581,
  [8583] = 3393,
  [8584] = 3518,
  [8585] = 8351,
  [8586] = 3518,
  [8587] = 3394,
  [8588] = 3336,
  [8589] = 6431,
  [8590] = 6359,
  [8591] = 6330,
  [8592] = 8402,
  [8593] = 8406,
  [8594] = 3474,
  [8595] = 4602,
  [8596] = 8433,
  [8597] = 4581,
  [8598] = 3517,
  [8599] = 4602,
  [8600] = 3445,
  [8601] = 4462,
  [8602] = 4581,
  [8603] = 8432,
  [8604] = 4581,
  [8605] = 8430,
  [8606] = 4581,
  [8607] = 3332,
  [8608] = 3656,
  [8609] = 3556,
  [8610] = 3336,
  [8611] = 3330,
  [8612] = 3522,
  [8613] = 3329,
  [8614] = 8337,
  [8615] = 3658,
  [8616] = 3511,
  [8617] = 3468,
  [8618] = 3469,
  [8619] = 8340,
  [8620] = 3496,
  [8621] = 3526,
  [8622] = 3442,
  [8623] = 3641,
  [8624] = 3637,
  [8625] = 4462,
  [8626] = 3470,
  [8627] = 3510,
  [8628] = 8354,
  [8629] = 3635,
  [8630] = 3463,
  [8631] = 3629,
  [8632] = 3394,
  [8633] = 8353,
  [8634] = 3451,
  [8635] = 3452,
  [8636] = 3547,
  [8637] = 3548,
  [8638] = 3376,
  [8639] = 3457,
  [8640] = 3596,
  [8641] = 8434,
  [8642] = 3459,
  [8643] = 8432,
  [8644] = 3470,
  [8645] = 8430,
  [8646] = 3506,
  [8647] = 6442,
  [8648] = 6448,
  [8649] = 3600,
  [8650] = 8352,
  [8651] = 3460,
  [8652] = 3474,
  [8653] = 3562,
  [8654] = 8350,
  [8655] = 3582,
  [8656] = 3505,
  [8657] = 3530,
  [8658] = 3529,
  [8659] = 3527,
  [8660] = 3444,
  [8661] = 3465,
  [8662] = 4462,
  [8663] = 3430,
  [8664] = 3324,
  [8665] = 3526,
  [8666] = 8347,
  [8667] = 3476,
  [8668] = 3414,
  [8669] = 3477,
  [8670] = 3402,
  [8671] = 3469,
  [8672] = 3327,
  [8673] = 8409,
  [8674] = 8405,
  [8675] = 3656,
  [8676] = 8411,
  [8677] = 3397,
  [8678] = 8412,
  [8679] = 3468,
  [8680] = 8413,
  [8681] = 3599,
  [8682] = 3522,
  [8683] = 3326,
  [8684] = 3599,
  [8685] = 8406,
  [8686] = 3523,
  [8687] = 3641,
  [8688] = 8402,
  [8689] = 3530,
  [8690] = 3637,
  [8691] = 3325,
  [8692] = 3635,
  [8693] = 3629,
  [8694] = 8360,
  [8695] = 3529,
  [8696] = 3419,
  [8697] = 3384,
  [8698] = 3387,
  [8699] = 3436,
  [8700] = 3491,
  [8701] = 6361,
  [8702] = 3407,
  [8703] = 8359,
  [8704] = 3499,
  [8705] = 3498,
  [8706] = 3599,
  [8707] = 3461,
  [8708] = 3522,
  [8709] = 3490,
  [8710] = 4462,
  [8711] = 3527,
  [8712] = 4462,
  [8713] = 3596,
  [8714] = 4602,
  [8715] = 3556,
  [8716] = 8372,
  [8717] = 3600,
  [8718] = 3526,
  [8719] = 3527,
  [8720] = 3529,
  [8721] = 3530,
  [8722] = 3629,
  [8723] = 3635,
  [8724] = 3582,
  [8725] = 3637,
  [8726] = 3562,
  [8727] = 3641,
  [8728] = 3492,
  [8729] = 3493,
  [8730] = 3494,
  [8731] = 3497,
  [8732] = 3491,
  [8733] = 4462,
  [8734] = 3656,
  [8735] = 3495,
  [8736] = 3548,
  [8737] = 3547,
  [8738] = 3502,
  [8739] = 3522,
  [8740] = 3635,
  [8741] = 3641,
  [8742] = 3445,
  [8743] = 8743,
  [8744] = 3637,
  [8745] = 8743,
  [8746] = 4602,
  [8747] = 3600,
  [8748] = 3490,
  [8749] = 3330,
  [8750] = 3517,
  [8751] = 8001,
  [8752] = 3523,
  [8753] = 3397,
  [8754] = 3469,
  [8755] = 3658,
  [8756] = 3419,
  [8757] = 3384,
  [8758] = 3502,
  [8759] = 8743,
  [8760] = 4581,
  [8761] = 8000,
  [8762] = 3556,
  [8763] = 3494,
  [8764] = 8743,
  [8765] = 8743,
  [8766] = 8743,
  [8767] = 3326,
  [8768] = 8768,
  [8769] = 8000,
  [8770] = 7998,
  [8771] = 3656,
  [8772] = 4581,
  [8773] = 4602,
  [8774] = 3402,
  [8775] = 8001,
  [8776] = 7984,
  [8777] = 3414,
  [8778] = 8743,
  [8779] = 3324,
  [8780] = 8180,
  [8781] = 3596,
  [8782] = 4581,
  [8783] = 3329,
  [8784] = 3495,
  [8785] = 3468,
  [8786] = 8432,
  [8787] = 8430,
  [8788] = 7998,
  [8789] = 3496,
  [8790] = 3470,
  [8791] = 3511,
  [8792] = 3518,
  [8793] = 7984,
  [8794] = 3510,
  [8795] = 8743,
  [8796] = 3530,
  [8797] = 8743,
  [8798] = 3527,
  [8799] = 3526,
  [8800] = 3393,
  [8801] = 3442,
  [8802] = 4602,
  [8803] = 3506,
  [8804] = 3451,
  [8805] = 3629,
  [8806] = 3332,
  [8807] = 3529,
  [8808] = 8402,
  [8809] = 3440,
  [8810] = 4602,
  [8811] = 8406,
  [8812] = 8812,
  [8813] = 3436,
  [8814] = 3505,
  [8815] = 3477,
  [8816] = 8743,
  [8817] = 3548,
  [8818] = 3327,
  [8819] = 4602,
  [8820] = 3463,
  [8821] = 3452,
  [8822] = 3325,
  [8823] = 3430,
  [8824] = 3476,
  [8825] = 3465,
  [8826] = 3444,
  [8827] = 3499,
  [8828] = 3582,
  [8829] = 7855,
  [8830] = 4602,
  [8831] = 3399,
  [8832] = 3336,
  [8833] = 3407,
  [8834] = 3493,
  [8835] = 3491,
  [8836] = 8743,
  [8837] = 8743,
  [8838] = 8743,
  [8839] = 8743,
  [8840] = 3497,
  [8841] = 4581,
  [8842] = 3376,
  [8843] = 3474,
  [8844] = 4602,
  [8845] = 8812,
  [8846] = 3582,
  [8847] = 3333,
  [8848] = 4581,
  [8849] = 8743,
  [8850] = 3395,
  [8851] = 4581,
  [8852] = 3498,
  [8853] = 8743,
  [8854] = 3396,
  [8855] = 8180,
  [8856] = 8812,
  [8857] = 3548,
  [8858] = 7855,
  [8859] = 8743,
  [8860] = 3492,
  [8861] = 8743,
  [8862] = 4581,
  [8863] = 8743,
  [8864] = 3457,
  [8865] = 3460,
  [8866] = 8812,
  [8867] = 3459,
  [8868] = 8743,
  [8869] = 3387,
  [8870] = 3599,
  [8871] = 8743,
  [8872] = 8743,
  [8873] = 3461,
  [8874] = 3419,
  [8875] = 3393,
  [8876] = 8429,
  [8877] = 3384,
  [8878] = 8352,
  [8879] = 3387,
  [8880] = 3436,
  [8881] = 8881,
  [8882] = 8353,
  [8883] = 3376,
  [8884] = 8354,
  [8885] = 3582,
  [8886] = 8486,
  [8887] = 8469,
  [8888] = 3641,
  [8889] = 3407,
  [8890] = 8890,
  [8891] = 8347,
  [8892] = 3461,
  [8893] = 3490,
  [8894] = 3527,
  [8895] = 3526,
  [8896] = 3658,
  [8897] = 8897,
  [8898] = 3527,
  [8899] = 8899,
  [8900] = 3562,
  [8901] = 8901,
  [8902] = 8902,
  [8903] = 8350,
  [8904] = 8904,
  [8905] = 8340,
  [8906] = 8906,
  [8907] = 8409,
  [8908] = 8908,
  [8909] = 8909,
  [8910] = 8441,
  [8911] = 8429,
  [8912] = 8912,
  [8913] = 8417,
  [8914] = 3397,
  [8915] = 3474,
  [8916] = 8904,
  [8917] = 8917,
  [8918] = 8906,
  [8919] = 3556,
  [8920] = 8920,
  [8921] = 8921,
  [8922] = 3529,
  [8923] = 3600,
  [8924] = 8924,
  [8925] = 3656,
  [8926] = 8926,
  [8927] = 8347,
  [8928] = 5755,
  [8929] = 8929,
  [8930] = 8921,
  [8931] = 3599,
  [8932] = 8906,
  [8933] = 8904,
  [8934] = 8881,
  [8935] = 3629,
  [8936] = 3656,
  [8937] = 3492,
  [8938] = 3395,
  [8939] = 3637,
  [8940] = 8335,
  [8941] = 3635,
  [8942] = 3629,
  [8943] = 6419,
  [8944] = 8881,
  [8945] = 3493,
  [8946] = 8881,
  [8947] = 3530,
  [8948] = 3494,
  [8949] = 8417,
  [8950] = 8950,
  [8951] = 8881,
  [8952] = 8901,
  [8953] = 3495,
  [8954] = 6431,
  [8955] = 8904,
  [8956] = 8906,
  [8957] = 3496,
  [8958] = 8315,
  [8959] = 8433,
  [8960] = 8881,
  [8961] = 3333,
  [8962] = 3658,
  [8963] = 3497,
  [8964] = 8434,
  [8965] = 3641,
  [8966] = 8890,
  [8967] = 8904,
  [8968] = 8906,
  [8969] = 3548,
  [8970] = 3637,
  [8971] = 8950,
  [8972] = 8881,
  [8973] = 3547,
  [8974] = 8360,
  [8975] = 3530,
  [8976] = 8351,
  [8977] = 8904,
  [8978] = 3498,
  [8979] = 3635,
  [8980] = 8906,
  [8981] = 3499,
  [8982] = 3454,
  [8983] = 8472,
  [8984] = 8881,
  [8985] = 3523,
  [8986] = 8355,
  [8987] = 3629,
  [8988] = 3470,
  [8989] = 8989,
  [8990] = 8906,
  [8991] = 8991,
  [8992] = 8450,
  [8993] = 8993,
  [8994] = 3325,
  [8995] = 3596,
  [8996] = 3635,
  [8997] = 8904,
  [8998] = 3637,
  [8999] = 3326,
  [9000] = 3327,
  [9001] = 8904,
  [9002] = 3522,
  [9003] = 8335,
  [9004] = 8906,
  [9005] = 3600,
  [9006] = 9006,
  [9007] = 9007,
  [9008] = 9008,
  [9009] = 3505,
  [9010] = 6442,
  [9011] = 8337,
  [9012] = 9012,
  [9013] = 8890,
  [9014] = 3641,
  [9015] = 8906,
  [9016] = 9016,
  [9017] = 8351,
  [9018] = 8409,
  [9019] = 8904,
  [9020] = 8904,
  [9021] = 8906,
  [9022] = 6448,
  [9023] = 3599,
  [9024] = 8411,
  [9025] = 8354,
  [9026] = 8901,
  [9027] = 3506,
  [9028] = 3399,
  [9029] = 3510,
  [9030] = 8901,
  [9031] = 3511,
  [9032] = 8433,
  [9033] = 8906,
  [9034] = 8881,
  [9035] = 8768,
  [9036] = 8904,
  [9037] = 3402,
  [9038] = 8434,
  [9039] = 8441,
  [9040] = 8881,
  [9041] = 8901,
  [9042] = 3414,
  [9043] = 8890,
  [9044] = 3324,
  [9045] = 8353,
  [9046] = 3526,
  [9047] = 3469,
  [9048] = 8352,
  [9049] = 8350,
  [9050] = 8950,
  [9051] = 8340,
  [9052] = 3430,
  [9053] = 5745,
  [9054] = 8881,
  [9055] = 8475,
  [9056] = 8372,
  [9057] = 8906,
  [9058] = 8917,
  [9059] = 3465,
  [9060] = 9016,
  [9061] = 9061,
  [9062] = 8360,
  [9063] = 3600,
  [9064] = 3444,
  [9065] = 8359,
  [9066] = 8904,
  [9067] = 3393,
  [9068] = 8906,
  [9069] = 8881,
  [9070] = 3522,
  [9071] = 8906,
  [9072] = 8904,
  [9073] = 8904,
  [9074] = 3394,
  [9075] = 3518,
  [9076] = 8950,
  [9077] = 9012,
  [9078] = 8906,
  [9079] = 8337,
  [9080] = 8881,
  [9081] = 3399,
  [9082] = 3468,
  [9083] = 8902,
  [9084] = 9008,
  [9085] = 6252,
  [9086] = 8881,
  [9087] = 8469,
  [9088] = 8904,
  [9089] = 3396,
  [9090] = 6360,
  [9091] = 3395,
  [9092] = 3596,
  [9093] = 6359,
  [9094] = 3393,
  [9095] = 8315,
  [9096] = 8486,
  [9097] = 9007,
  [9098] = 8950,
  [9099] = 6330,
  [9100] = 3599,
  [9101] = 9101,
  [9102] = 9102,
  [9103] = 3395,
  [9104] = 9104,
  [9105] = 8472,
  [9106] = 3529,
  [9107] = 8920,
  [9108] = 3501,
  [9109] = 3396,
  [9110] = 9061,
  [9111] = 8904,
  [9112] = 8906,
  [9113] = 8881,
  [9114] = 8909,
  [9115] = 8355,
  [9116] = 9061,
  [9117] = 8414,
  [9118] = 9006,
  [9119] = 8405,
  [9120] = 8921,
  [9121] = 8890,
  [9122] = 8890,
  [9123] = 8411,
  [9124] = 3399,
  [9125] = 8929,
  [9126] = 8412,
  [9127] = 8413,
  [9128] = 9061,
  [9129] = 9129,
  [9130] = 9130,
  [9131] = 8405,
  [9132] = 6431,
  [9133] = 8881,
  [9134] = 3460,
  [9135] = 8908,
  [9136] = 3336,
  [9137] = 8450,
  [9138] = 8899,
  [9139] = 8906,
  [9140] = 8904,
  [9141] = 9141,
  [9142] = 3459,
  [9143] = 9104,
  [9144] = 8325,
  [9145] = 9102,
  [9146] = 8921,
  [9147] = 8906,
  [9148] = 8904,
  [9149] = 8926,
  [9150] = 9150,
  [9151] = 9151,
  [9152] = 9101,
  [9153] = 3526,
  [9154] = 9154,
  [9155] = 3457,
  [9156] = 8897,
  [9157] = 3463,
  [9158] = 6419,
  [9159] = 8906,
  [9160] = 3562,
  [9161] = 8904,
  [9162] = 8881,
  [9163] = 8881,
  [9164] = 6442,
  [9165] = 6448,
  [9166] = 3477,
  [9167] = 3596,
  [9168] = 6361,
  [9169] = 8325,
  [9170] = 8412,
  [9171] = 8993,
  [9172] = 3522,
  [9173] = 8904,
  [9174] = 8881,
  [9175] = 8991,
  [9176] = 8413,
  [9177] = 3517,
  [9178] = 8906,
  [9179] = 9141,
  [9180] = 8414,
  [9181] = 6361,
  [9182] = 6330,
  [9183] = 3491,
  [9184] = 6359,
  [9185] = 8924,
  [9186] = 8904,
  [9187] = 6360,
  [9188] = 8912,
  [9189] = 8906,
  [9190] = 8475,
  [9191] = 3547,
  [9192] = 5670,
  [9193] = 8881,
  [9194] = 8921,
  [9195] = 9061,
  [9196] = 8906,
  [9197] = 3396,
  [9198] = 3658,
  [9199] = 3476,
  [9200] = 3502,
  [9201] = 3452,
  [9202] = 3329,
  [9203] = 3656,
  [9204] = 3440,
  [9205] = 8881,
  [9206] = 8881,
  [9207] = 3330,
  [9208] = 3556,
  [9209] = 3332,
  [9210] = 3527,
  [9211] = 3451,
  [9212] = 3529,
  [9213] = 8904,
  [9214] = 3530,
  [9215] = 6252,
  [9216] = 3442,
  [9217] = 8359,
  [9218] = 3547,
  [9219] = 3445,
  [9220] = 3556,
  [9221] = 8372,
  [9222] = 3562,
  [9223] = 9130,
  [9224] = 8993,
  [9225] = 9225,
  [9226] = 9226,
  [9227] = 9227,
  [9228] = 9228,
  [9229] = 9229,
  [9230] = 9227,
  [9231] = 9231,
  [9232] = 9232,
  [9233] = 9233,
  [9234] = 8917,
  [9235] = 9227,
  [9236] = 9229,
  [9237] = 9228,
  [9238] = 9229,
  [9239] = 9228,
  [9240] = 9229,
  [9241] = 9241,
  [9242] = 9228,
  [9243] = 9226,
  [9244] = 5820,
  [9245] = 9245,
  [9246] = 6200,
  [9247] = 9247,
  [9248] = 9227,
  [9249] = 9249,
  [9250] = 9249,
  [9251] = 9251,
  [9252] = 9252,
  [9253] = 9227,
  [9254] = 9254,
  [9255] = 9255,
  [9256] = 9228,
  [9257] = 9257,
  [9258] = 9229,
  [9259] = 9227,
  [9260] = 9229,
  [9261] = 9228,
  [9262] = 9262,
  [9263] = 9263,
  [9264] = 9264,
  [9265] = 8924,
  [9266] = 9266,
  [9267] = 9232,
  [9268] = 9228,
  [9269] = 9269,
  [9270] = 9229,
  [9271] = 9231,
  [9272] = 9264,
  [9273] = 9273,
  [9274] = 9227,
  [9275] = 9245,
  [9276] = 9262,
  [9277] = 9225,
  [9278] = 9278,
  [9279] = 9278,
  [9280] = 9245,
  [9281] = 9227,
  [9282] = 9273,
  [9283] = 9241,
  [9284] = 9229,
  [9285] = 9257,
  [9286] = 9231,
  [9287] = 9232,
  [9288] = 9229,
  [9289] = 9266,
  [9290] = 9269,
  [9291] = 9264,
  [9292] = 9228,
  [9293] = 9225,
  [9294] = 9262,
  [9295] = 9227,
  [9296] = 6275,
  [9297] = 9257,
  [9298] = 9254,
  [9299] = 9278,
  [9300] = 9254,
  [9301] = 9252,
  [9302] = 9302,
  [9303] = 9252,
  [9304] = 9251,
  [9305] = 9226,
  [9306] = 9247,
  [9307] = 9228,
  [9308] = 9229,
  [9309] = 9251,
  [9310] = 9227,
  [9311] = 9227,
  [9312] = 9263,
  [9313] = 9227,
  [9314] = 9228,
  [9315] = 8897,
  [9316] = 9247,
  [9317] = 9227,
  [9318] = 9263,
  [9319] = 9229,
  [9320] = 9266,
  [9321] = 9228,
  [9322] = 8912,
  [9323] = 9229,
  [9324] = 9228,
  [9325] = 9229,
  [9326] = 9228,
  [9327] = 9228,
  [9328] = 9229,
  [9329] = 9269,
  [9330] = 8926,
  [9331] = 9241,
  [9332] = 9227,
  [9333] = 9302,
  [9334] = 9334,
  [9335] = 9227,
  [9336] = 8899,
  [9337] = 9229,
  [9338] = 9245,
  [9339] = 9016,
  [9340] = 9233,
  [9341] = 9129,
  [9342] = 9228,
  [9343] = 8920,
  [9344] = 9150,
  [9345] = 9151,
  [9346] = 9245,
  [9347] = 9347,
  [9348] = 9302,
  [9349] = 9334,
  [9350] = 9227,
  [9351] = 9228,
  [9352] = 9229,
  [9353] = 9229,
  [9354] = 9228,
  [9355] = 9228,
  [9356] = 9229,
  [9357] = 9227,
  [9358] = 9358,
  [9359] = 9227,
  [9360] = 9227,
  [9361] = 9249,
  [9362] = 9229,
  [9363] = 9249,
  [9364] = 9228,
  [9365] = 9227,
  [9366] = 9366,
  [9367] = 9227,
  [9368] = 9273,
  [9369] = 9233,
  [9370] = 9229,
  [9371] = 9245,
  [9372] = 9228,
  [9373] = 9334,
  [9374] = 9249,
  [9375] = 9249,
  [9376] = 8902,
  [9377] = 9229,
  [9378] = 6213,
  [9379] = 9008,
  [9380] = 9006,
  [9381] = 3562,
  [9382] = 9007,
  [9383] = 3599,
  [9384] = 9101,
  [9385] = 9102,
  [9386] = 9154,
  [9387] = 3547,
  [9388] = 3548,
  [9389] = 3556,
  [9390] = 8909,
  [9391] = 9141,
  [9392] = 9104,
  [9393] = 3582,
  [9394] = 9227,
  [9395] = 9130,
  [9396] = 9228,
  [9397] = 9012,
  [9398] = 8991,
  [9399] = 9228,
  [9400] = 8908,
  [9401] = 9229,
  [9402] = 9225,
  [9403] = 9252,
  [9404] = 9262,
  [9405] = 9264,
  [9406] = 9334,
  [9407] = 9334,
  [9408] = 9226,
  [9409] = 9252,
  [9410] = 9254,
  [9411] = 9233,
  [9412] = 9232,
  [9413] = 9257,
  [9414] = 9249,
  [9415] = 9251,
  [9416] = 9247,
  [9417] = 9231,
  [9418] = 9302,
  [9419] = 9263,
  [9420] = 9225,
  [9421] = 9245,
  [9422] = 9278,
  [9423] = 9245,
  [9424] = 9424,
  [9425] = 9273,
  [9426] = 9302,
  [9427] = 9226,
  [9428] = 9233,
  [9429] = 9273,
  [9430] = 9245,
  [9431] = 9266,
  [9432] = 9432,
  [9433] = 9424,
  [9434] = 9334,
  [9435] = 9424,
  [9436] = 9278,
  [9437] = 9278,
  [9438] = 9225,
  [9439] = 9225,
  [9440] = 9245,
  [9441] = 9441,
  [9442] = 9247,
  [9443] = 9233,
  [9444] = 9249,
  [9445] = 9241,
  [9446] = 9231,
  [9447] = 9232,
  [9448] = 9262,
  [9449] = 9263,
  [9450] = 9266,
  [9451] = 9269,
  [9452] = 9257,
  [9453] = 9273,
  [9454] = 9254,
  [9455] = 9252,
  [9456] = 9302,
  [9457] = 9263,
  [9458] = 9241,
  [9459] = 9264,
  [9460] = 9249,
  [9461] = 9251,
  [9462] = 9247,
  [9463] = 9226,
  [9464] = 9334,
  [9465] = 9241,
  [9466] = 9231,
  [9467] = 9247,
  [9468] = 9266,
  [9469] = 9251,
  [9470] = 9249,
  [9471] = 9251,
  [9472] = 9241,
  [9473] = 9252,
  [9474] = 9252,
  [9475] = 9254,
  [9476] = 9269,
  [9477] = 9257,
  [9478] = 9254,
  [9479] = 9266,
  [9480] = 9263,
  [9481] = 9269,
  [9482] = 9302,
  [9483] = 9232,
  [9484] = 9262,
  [9485] = 9264,
  [9486] = 9262,
  [9487] = 9264,
  [9488] = 9232,
  [9489] = 9231,
  [9490] = 9225,
  [9491] = 9302,
  [9492] = 9424,
  [9493] = 9233,
  [9494] = 9263,
  [9495] = 9257,
  [9496] = 9302,
  [9497] = 4462,
  [9498] = 9278,
  [9499] = 9233,
  [9500] = 9257,
  [9501] = 9245,
  [9502] = 9262,
  [9503] = 9264,
  [9504] = 9232,
  [9505] = 9266,
  [9506] = 9231,
  [9507] = 9241,
  [9508] = 9273,
  [9509] = 9269,
  [9510] = 9269,
  [9511] = 9266,
  [9512] = 9263,
  [9513] = 9269,
  [9514] = 9254,
  [9515] = 9273,
  [9516] = 9334,
  [9517] = 9233,
  [9518] = 9518,
  [9519] = 9334,
  [9520] = 9245,
  [9521] = 9251,
  [9522] = 9247,
  [9523] = 9273,
  [9524] = 9278,
  [9525] = 9225,
  [9526] = 9249,
  [9527] = 9249,
  [9528] = 9247,
  [9529] = 9251,
  [9530] = 9252,
  [9531] = 9254,
  [9532] = 9241,
  [9533] = 9257,
  [9534] = 9278,
  [9535] = 9262,
  [9536] = 9264,
  [9537] = 9232,
  [9538] = 9231,
  [9539] = 9264,
  [9540] = 9252,
  [9541] = 9233,
  [9542] = 9263,
  [9543] = 9266,
  [9544] = 9269,
  [9545] = 9252,
  [9546] = 8180,
  [9547] = 9547,
  [9548] = 9251,
  [9549] = 8001,
  [9550] = 9233,
  [9551] = 3582,
  [9552] = 9552,
  [9553] = 9334,
  [9554] = 7984,
  [9555] = 9334,
  [9556] = 9251,
  [9557] = 9247,
  [9558] = 9251,
  [9559] = 9302,
  [9560] = 9560,
  [9561] = 9252,
  [9562] = 9247,
  [9563] = 9563,
  [9564] = 9232,
  [9565] = 9241,
  [9566] = 9254,
  [9567] = 9334,
  [9568] = 9568,
  [9569] = 9257,
  [9570] = 9552,
  [9571] = 9560,
  [9572] = 8000,
  [9573] = 9241,
  [9574] = 7855,
  [9575] = 9560,
  [9576] = 9552,
  [9577] = 9247,
  [9578] = 9257,
  [9579] = 9262,
  [9580] = 9262,
  [9581] = 9254,
  [9582] = 3582,
  [9583] = 9233,
  [9584] = 9302,
  [9585] = 9334,
  [9586] = 9232,
  [9587] = 9587,
  [9588] = 9241,
  [9589] = 9264,
  [9590] = 9232,
  [9591] = 9563,
  [9592] = 9278,
  [9593] = 9231,
  [9594] = 9225,
  [9595] = 9269,
  [9596] = 3548,
  [9597] = 9269,
  [9598] = 9266,
  [9599] = 4581,
  [9600] = 9273,
  [9601] = 9254,
  [9602] = 9266,
  [9603] = 9263,
  [9604] = 9278,
  [9605] = 9605,
  [9606] = 3548,
  [9607] = 9264,
  [9608] = 9263,
  [9609] = 9302,
  [9610] = 9231,
  [9611] = 9225,
  [9612] = 9273,
  [9613] = 9334,
  [9614] = 9273,
  [9615] = 9605,
  [9616] = 9563,
  [9617] = 9231,
  [9618] = 9334,
  [9619] = 9257,
  [9620] = 9225,
  [9621] = 9587,
  [9622] = 4602,
  [9623] = 9605,
  [9624] = 9587,
  [9625] = 9278,
  [9626] = 9262,
  [9627] = 3548,
  [9628] = 3547,
  [9629] = 9233,
  [9630] = 9630,
  [9631] = 9252,
  [9632] = 9632,
  [9633] = 9633,
  [9634] = 9251,
  [9635] = 9247,
  [9636] = 9630,
  [9637] = 9334,
  [9638] = 9245,
  [9639] = 9257,
  [9640] = 9249,
  [9641] = 9241,
  [9642] = 9226,
  [9643] = 9249,
  [9644] = 9225,
  [9645] = 9254,
  [9646] = 9633,
  [9647] = 9632,
  [9648] = 9257,
  [9649] = 9632,
  [9650] = 9233,
  [9651] = 9632,
  [9652] = 9632,
  [9653] = 9262,
  [9654] = 9630,
  [9655] = 9273,
  [9656] = 9262,
  [9657] = 9632,
  [9658] = 9249,
  [9659] = 9630,
  [9660] = 9633,
  [9661] = 9264,
  [9662] = 9264,
  [9663] = 9226,
  [9664] = 9232,
  [9665] = 9302,
  [9666] = 9630,
  [9667] = 9302,
  [9668] = 9633,
  [9669] = 9630,
  [9670] = 9632,
  [9671] = 9249,
  [9672] = 9232,
  [9673] = 9630,
  [9674] = 9632,
  [9675] = 9630,
  [9676] = 9633,
  [9677] = 9252,
  [9678] = 9630,
  [9679] = 9231,
  [9680] = 9251,
  [9681] = 9632,
  [9682] = 9630,
  [9683] = 9233,
  [9684] = 3562,
  [9685] = 9247,
  [9686] = 9633,
  [9687] = 9632,
  [9688] = 9278,
  [9689] = 9334,
  [9690] = 3599,
  [9691] = 3547,
  [9692] = 9245,
  [9693] = 9269,
  [9694] = 9630,
  [9695] = 9630,
  [9696] = 9266,
  [9697] = 9263,
  [9698] = 9273,
  [9699] = 7998,
  [9700] = 9226,
  [9701] = 9633,
  [9702] = 9702,
  [9703] = 3582,
  [9704] = 9231,
  [9705] = 9225,
  [9706] = 3562,
  [9707] = 9632,
  [9708] = 9632,
  [9709] = 3582,
  [9710] = 9630,
  [9711] = 9278,
  [9712] = 9632,
  [9713] = 9273,
  [9714] = 9245,
  [9715] = 9630,
  [9716] = 9632,
  [9717] = 9278,
  [9718] = 9225,
  [9719] = 9231,
  [9720] = 9633,
  [9721] = 9632,
  [9722] = 9232,
  [9723] = 9632,
  [9724] = 9264,
  [9725] = 9334,
  [9726] = 9302,
  [9727] = 9262,
  [9728] = 9257,
  [9729] = 9254,
  [9730] = 9630,
  [9731] = 9252,
  [9732] = 9251,
  [9733] = 9247,
  [9734] = 9334,
  [9735] = 9633,
  [9736] = 9632,
  [9737] = 9630,
  [9738] = 9630,
  [9739] = 9334,
  [9740] = 9632,
  [9741] = 9241,
  [9742] = 9632,
  [9743] = 9632,
  [9744] = 9630,
  [9745] = 3556,
  [9746] = 9630,
  [9747] = 9241,
  [9748] = 9269,
  [9749] = 9630,
  [9750] = 9245,
  [9751] = 9266,
  [9752] = 9249,
  [9753] = 9632,
  [9754] = 3548,
  [9755] = 9249,
  [9756] = 9263,
  [9757] = 9630,
  [9758] = 9254,
  [9759] = 9334,
  [9760] = 9263,
  [9761] = 3556,
  [9762] = 3599,
  [9763] = 9266,
  [9764] = 9269,
  [9765] = 9630,
  [9766] = 9245,
  [9767] = 9632,
  [9768] = 9633,
  [9769] = 9245,
  [9770] = 9770,
  [9771] = 9771,
  [9772] = 9771,
  [9773] = 9773,
  [9774] = 9302,
  [9775] = 9775,
  [9776] = 9776,
  [9777] = 9777,
  [9778] = 9778,
  [9779] = 9779,
  [9780] = 9780,
  [9781] = 3527,
  [9782] = 9263,
  [9783] = 3599,
  [9784] = 9784,
  [9785] = 8417,
  [9786] = 8433,
  [9787] = 9775,
  [9788] = 8434,
  [9789] = 9775,
  [9790] = 8486,
  [9791] = 8469,
  [9792] = 9777,
  [9793] = 9793,
  [9794] = 9794,
  [9795] = 9795,
  [9796] = 9796,
  [9797] = 9780,
  [9798] = 9798,
  [9799] = 9777,
  [9800] = 3522,
  [9801] = 9777,
  [9802] = 9775,
  [9803] = 9779,
  [9804] = 9804,
  [9805] = 9777,
  [9806] = 9778,
  [9807] = 9807,
  [9808] = 9796,
  [9809] = 9777,
  [9810] = 9773,
  [9811] = 9775,
  [9812] = 9776,
  [9813] = 9776,
  [9814] = 9773,
  [9815] = 9775,
  [9816] = 9779,
  [9817] = 9778,
  [9818] = 9780,
  [9819] = 3526,
  [9820] = 9780,
  [9821] = 6330,
  [9822] = 9777,
  [9823] = 9771,
  [9824] = 3529,
  [9825] = 9825,
  [9826] = 9826,
  [9827] = 9775,
  [9828] = 9775,
  [9829] = 9775,
  [9830] = 9780,
  [9831] = 9775,
  [9832] = 9773,
  [9833] = 9775,
  [9834] = 9779,
  [9835] = 9777,
  [9836] = 9777,
  [9837] = 9775,
  [9838] = 8429,
  [9839] = 9796,
  [9840] = 9840,
  [9841] = 6166,
  [9842] = 8441,
  [9843] = 9843,
  [9844] = 6330,
  [9845] = 9779,
  [9846] = 9796,
  [9847] = 6252,
  [9848] = 9233,
  [9849] = 9779,
  [9850] = 9777,
  [9851] = 9796,
  [9852] = 9778,
  [9853] = 6359,
  [9854] = 9796,
  [9855] = 9796,
  [9856] = 9273,
  [9857] = 9775,
  [9858] = 9777,
  [9859] = 9776,
  [9860] = 3656,
  [9861] = 9775,
  [9862] = 9771,
  [9863] = 9779,
  [9864] = 9777,
  [9865] = 8409,
  [9866] = 9777,
  [9867] = 9867,
  [9868] = 9777,
  [9869] = 9777,
  [9870] = 9793,
  [9871] = 9777,
  [9872] = 9775,
  [9873] = 9779,
  [9874] = 3658,
  [9875] = 9875,
  [9876] = 9876,
  [9877] = 9773,
  [9878] = 9776,
  [9879] = 9879,
  [9880] = 6360,
  [9881] = 9775,
  [9882] = 9771,
  [9883] = 8360,
  [9884] = 3530,
  [9885] = 6200,
  [9886] = 6252,
  [9887] = 9779,
  [9888] = 9775,
  [9889] = 8359,
  [9890] = 9780,
  [9891] = 9775,
  [9892] = 9775,
  [9893] = 3548,
  [9894] = 9775,
  [9895] = 9777,
  [9896] = 9777,
  [9897] = 8413,
  [9898] = 9793,
  [9899] = 8412,
  [9900] = 8411,
  [9901] = 9793,
  [9902] = 9777,
  [9903] = 3582,
  [9904] = 8405,
  [9905] = 9796,
  [9906] = 9233,
  [9907] = 9775,
  [9908] = 9775,
  [9909] = 9793,
  [9910] = 8475,
  [9911] = 9775,
  [9912] = 9778,
  [9913] = 9775,
  [9914] = 9843,
  [9915] = 9775,
  [9916] = 9916,
  [9917] = 9273,
  [9918] = 3600,
  [9919] = 9919,
  [9920] = 9777,
  [9921] = 9247,
  [9922] = 9251,
  [9923] = 9777,
  [9924] = 9775,
  [9925] = 9334,
  [9926] = 9777,
  [9927] = 9777,
  [9928] = 9252,
  [9929] = 9775,
  [9930] = 9254,
  [9931] = 9777,
  [9932] = 9257,
  [9933] = 9777,
  [9934] = 9778,
  [9935] = 9233,
  [9936] = 9302,
  [9937] = 9777,
  [9938] = 3547,
  [9939] = 9793,
  [9940] = 9775,
  [9941] = 9796,
  [9942] = 9771,
  [9943] = 9777,
  [9944] = 9771,
  [9945] = 9775,
  [9946] = 9262,
  [9947] = 9947,
  [9948] = 9241,
  [9949] = 9264,
  [9950] = 9771,
  [9951] = 9775,
  [9952] = 9775,
  [9953] = 9273,
  [9954] = 9777,
  [9955] = 9232,
  [9956] = 9773,
  [9957] = 3393,
  [9958] = 3396,
  [9959] = 9231,
  [9960] = 8340,
  [9961] = 8337,
  [9962] = 9225,
  [9963] = 6419,
  [9964] = 9263,
  [9965] = 9777,
  [9966] = 3556,
  [9967] = 9879,
  [9968] = 9876,
  [9969] = 9278,
  [9970] = 9775,
  [9971] = 9775,
  [9972] = 9777,
  [9973] = 3399,
  [9974] = 9777,
  [9975] = 9793,
  [9976] = 9775,
  [9977] = 8414,
  [9978] = 3641,
  [9979] = 9773,
  [9980] = 9775,
  [9981] = 9263,
  [9982] = 8325,
  [9983] = 8450,
  [9984] = 9776,
  [9985] = 9775,
  [9986] = 8335,
  [9987] = 9777,
  [9988] = 9777,
  [9989] = 9266,
  [9990] = 9778,
  [9991] = 9269,
  [9992] = 9777,
  [9993] = 9777,
  [9994] = 9879,
  [9995] = 9777,
  [9996] = 3629,
  [9997] = 3635,
  [9998] = 3629,
  [9999] = 9999,
  [10000] = 9793,
  [10001] = 9777,
  [10002] = 3637,
  [10003] = 3637,
  [10004] = 6442,
  [10005] = 3562,
  [10006] = 6448,
  [10007] = 9771,
  [10008] = 9266,
  [10009] = 9919,
  [10010] = 8355,
  [10011] = 3635,
  [10012] = 9775,
  [10013] = 3562,
  [10014] = 3556,
  [10015] = 9876,
  [10016] = 9876,
  [10017] = 3596,
  [10018] = 8347,
  [10019] = 9777,
  [10020] = 3641,
  [10021] = 9777,
  [10022] = 3600,
  [10023] = 9777,
  [10024] = 6431,
  [10025] = 9269,
  [10026] = 8350,
  [10027] = 8352,
  [10028] = 3599,
  [10029] = 8353,
  [10030] = 8354,
  [10031] = 9777,
  [10032] = 9804,
  [10033] = 3658,
  [10034] = 9771,
  [10035] = 9771,
  [10036] = 9775,
  [10037] = 9779,
  [10038] = 6361,
  [10039] = 9775,
  [10040] = 9247,
  [10041] = 9266,
  [10042] = 9780,
  [10043] = 9334,
  [10044] = 9247,
  [10045] = 9775,
  [10046] = 9269,
  [10047] = 6275,
  [10048] = 9251,
  [10049] = 9771,
  [10050] = 8372,
  [10051] = 9252,
  [10052] = 9777,
  [10053] = 9241,
  [10054] = 9254,
  [10055] = 9257,
  [10056] = 9262,
  [10057] = 9264,
  [10058] = 9777,
  [10059] = 9777,
  [10060] = 9775,
  [10061] = 9775,
  [10062] = 9251,
  [10063] = 9232,
  [10064] = 9231,
  [10065] = 9252,
  [10066] = 9225,
  [10067] = 9771,
  [10068] = 9879,
  [10069] = 9876,
  [10070] = 9777,
  [10071] = 9254,
  [10072] = 8472,
  [10073] = 9257,
  [10074] = 9334,
  [10075] = 10075,
  [10076] = 3656,
  [10077] = 3596,
  [10078] = 9278,
  [10079] = 10079,
  [10080] = 9771,
  [10081] = 9777,
  [10082] = 9775,
  [10083] = 9796,
  [10084] = 8351,
  [10085] = 8315,
  [10086] = 9775,
  [10087] = 9876,
  [10088] = 9771,
  [10089] = 9879,
  [10090] = 10090,
  [10091] = 10091,
  [10092] = 9775,
  [10093] = 3547,
  [10094] = 6213,
  [10095] = 9302,
  [10096] = 10096,
  [10097] = 3395,
  [10098] = 9262,
  [10099] = 9264,
  [10100] = 9232,
  [10101] = 9843,
  [10102] = 9771,
  [10103] = 9231,
  [10104] = 9777,
  [10105] = 10105,
  [10106] = 9843,
  [10107] = 9241,
  [10108] = 9777,
  [10109] = 9879,
  [10110] = 9278,
  [10111] = 9775,
  [10112] = 9793,
  [10113] = 9826,
  [10114] = 9775,
  [10115] = 9775,
  [10116] = 9775,
  [10117] = 9793,
  [10118] = 9777,
  [10119] = 9225,
  [10120] = 9775,
  [10121] = 9777,
  [10122] = 6394,
  [10123] = 6361,
  [10124] = 6415,
  [10125] = 10125,
  [10126] = 6403,
  [10127] = 6352,
  [10128] = 10128,
  [10129] = 10129,
  [10130] = 10130,
  [10131] = 3463,
  [10132] = 10132,
  [10133] = 10133,
  [10134] = 10134,
  [10135] = 3399,
  [10136] = 6419,
  [10137] = 10137,
  [10138] = 10138,
  [10139] = 3395,
  [10140] = 3395,
  [10141] = 3396,
  [10142] = 9334,
  [10143] = 10143,
  [10144] = 3393,
  [10145] = 6416,
  [10146] = 6431,
  [10147] = 6399,
  [10148] = 6395,
  [10149] = 6396,
  [10150] = 6409,
  [10151] = 6357,
  [10152] = 6381,
  [10153] = 6367,
  [10154] = 6366,
  [10155] = 6355,
  [10156] = 6354,
  [10157] = 3522,
  [10158] = 6347,
  [10159] = 6345,
  [10160] = 6436,
  [10161] = 6384,
  [10162] = 6359,
  [10163] = 6417,
  [10164] = 10164,
  [10165] = 6401,
  [10166] = 10166,
  [10167] = 9334,
  [10168] = 3396,
  [10169] = 6383,
  [10170] = 3399,
  [10171] = 3394,
  [10172] = 10172,
  [10173] = 3562,
  [10174] = 10166,
  [10175] = 3530,
  [10176] = 6425,
  [10177] = 6350,
  [10178] = 3529,
  [10179] = 3393,
  [10180] = 10180,
  [10181] = 6491,
  [10182] = 6351,
  [10183] = 6497,
  [10184] = 9334,
  [10185] = 3547,
  [10186] = 3527,
  [10187] = 6356,
  [10188] = 6358,
  [10189] = 6371,
  [10190] = 6442,
  [10191] = 3526,
  [10192] = 6448,
  [10193] = 10193,
  [10194] = 10194,
  [10195] = 6498,
  [10196] = 10196,
  [10197] = 10197,
  [10198] = 6360,
  [10199] = 10199,
  [10200] = 10164,
  [10201] = 10138,
  [10202] = 10202,
  [10203] = 9784,
  [10204] = 10204,
  [10205] = 10205,
  [10206] = 10206,
  [10207] = 10164,
  [10208] = 10206,
  [10209] = 10172,
  [10210] = 10210,
  [10211] = 10204,
  [10212] = 10212,
  [10213] = 10213,
  [10214] = 10213,
  [10215] = 10215,
  [10216] = 10216,
  [10217] = 3399,
  [10218] = 3396,
  [10219] = 3395,
  [10220] = 10220,
  [10221] = 3393,
  [10222] = 10222,
  [10223] = 10212,
  [10224] = 9784,
  [10225] = 10225,
  [10226] = 10226,
  [10227] = 10227,
  [10228] = 10212,
  [10229] = 10229,
  [10230] = 10230,
  [10231] = 10231,
  [10232] = 10213,
  [10233] = 10138,
  [10234] = 10212,
  [10235] = 10235,
  [10236] = 10236,
  [10237] = 10227,
  [10238] = 10238,
  [10239] = 10239,
  [10240] = 10240,
  [10241] = 10227,
  [10242] = 10242,
  [10243] = 10213,
  [10244] = 10212,
  [10245] = 10213,
  [10246] = 10246,
  [10247] = 10247,
  [10248] = 10227,
  [10249] = 10227,
  [10250] = 10212,
  [10251] = 10251,
  [10252] = 10213,
  [10253] = 10227,
  [10254] = 10254,
  [10255] = 10212,
  [10256] = 10205,
  [10257] = 10213,
  [10258] = 10212,
  [10259] = 10222,
  [10260] = 10213,
  [10261] = 10227,
  [10262] = 10262,
  [10263] = 10227,
  [10264] = 10264,
  [10265] = 6431,
  [10266] = 10213,
  [10267] = 10212,
  [10268] = 10268,
  [10269] = 10269,
  [10270] = 10213,
  [10271] = 10271,
  [10272] = 10227,
  [10273] = 10273,
  [10274] = 10227,
  [10275] = 10212,
  [10276] = 10276,
  [10277] = 10277,
  [10278] = 10278,
  [10279] = 10213,
  [10280] = 6360,
  [10281] = 10227,
  [10282] = 10282,
  [10283] = 10283,
  [10284] = 10284,
  [10285] = 10285,
  [10286] = 10164,
  [10287] = 10287,
  [10288] = 10288,
  [10289] = 10289,
  [10290] = 10227,
  [10291] = 10291,
  [10292] = 10292,
  [10293] = 10293,
  [10294] = 10294,
  [10295] = 10213,
  [10296] = 9784,
  [10297] = 10212,
  [10298] = 10212,
  [10299] = 10254,
  [10300] = 10212,
  [10301] = 10172,
  [10302] = 10213,
  [10303] = 10227,
  [10304] = 10292,
  [10305] = 3442,
  [10306] = 10238,
  [10307] = 10205,
  [10308] = 10251,
  [10309] = 10309,
  [10310] = 10309,
  [10311] = 3327,
  [10312] = 3469,
  [10313] = 10271,
  [10314] = 10314,
  [10315] = 10315,
  [10316] = 3505,
  [10317] = 10317,
  [10318] = 10317,
  [10319] = 10319,
  [10320] = 3430,
  [10321] = 10309,
  [10322] = 3506,
  [10323] = 10315,
  [10324] = 3465,
  [10325] = 10235,
  [10326] = 3510,
  [10327] = 3511,
  [10328] = 10273,
  [10329] = 10277,
  [10330] = 3444,
  [10331] = 10331,
  [10332] = 10276,
  [10333] = 10333,
  [10334] = 3329,
  [10335] = 10335,
  [10336] = 3330,
  [10337] = 3332,
  [10338] = 10282,
  [10339] = 10283,
  [10340] = 10340,
  [10341] = 6431,
  [10342] = 10342,
  [10343] = 10342,
  [10344] = 10333,
  [10345] = 10273,
  [10346] = 3517,
  [10347] = 10226,
  [10348] = 10276,
  [10349] = 10284,
  [10350] = 3463,
  [10351] = 10315,
  [10352] = 10342,
  [10353] = 10289,
  [10354] = 10354,
  [10355] = 10315,
  [10356] = 10278,
  [10357] = 3582,
  [10358] = 3326,
  [10359] = 10225,
  [10360] = 10333,
  [10361] = 10342,
  [10362] = 10315,
  [10363] = 10315,
  [10364] = 10319,
  [10365] = 10333,
  [10366] = 3470,
  [10367] = 10342,
  [10368] = 3454,
  [10369] = 10333,
  [10370] = 10342,
  [10371] = 10342,
  [10372] = 10268,
  [10373] = 3325,
  [10374] = 3499,
  [10375] = 3501,
  [10376] = 3477,
  [10377] = 10315,
  [10378] = 3436,
  [10379] = 10379,
  [10380] = 10319,
  [10381] = 10381,
  [10382] = 10333,
  [10383] = 10317,
  [10384] = 10384,
  [10385] = 10379,
  [10386] = 3468,
  [10387] = 10285,
  [10388] = 10309,
  [10389] = 10379,
  [10390] = 3522,
  [10391] = 10319,
  [10392] = 10229,
  [10393] = 3399,
  [10394] = 10268,
  [10395] = 10289,
  [10396] = 10278,
  [10397] = 10397,
  [10398] = 3396,
  [10399] = 3497,
  [10400] = 3395,
  [10401] = 3460,
  [10402] = 3459,
  [10403] = 10215,
  [10404] = 10342,
  [10405] = 3457,
  [10406] = 9784,
  [10407] = 10342,
  [10408] = 3495,
  [10409] = 10331,
  [10410] = 10319,
  [10411] = 10379,
  [10412] = 10294,
  [10413] = 10333,
  [10414] = 10315,
  [10415] = 10293,
  [10416] = 3518,
  [10417] = 10315,
  [10418] = 3393,
  [10419] = 10309,
  [10420] = 10264,
  [10421] = 3476,
  [10422] = 10317,
  [10423] = 10379,
  [10424] = 10315,
  [10425] = 10335,
  [10426] = 10291,
  [10427] = 10331,
  [10428] = 10309,
  [10429] = 10379,
  [10430] = 3376,
  [10431] = 10317,
  [10432] = 10342,
  [10433] = 10315,
  [10434] = 10285,
  [10435] = 3324,
  [10436] = 10284,
  [10437] = 10283,
  [10438] = 10342,
  [10439] = 10282,
  [10440] = 10335,
  [10441] = 10277,
  [10442] = 10172,
  [10443] = 3452,
  [10444] = 10172,
  [10445] = 10251,
  [10446] = 3451,
  [10447] = 10342,
  [10448] = 10240,
  [10449] = 10246,
  [10450] = 10235,
  [10451] = 10335,
  [10452] = 10215,
  [10453] = 10319,
  [10454] = 10331,
  [10455] = 3414,
  [10456] = 10294,
  [10457] = 10333,
  [10458] = 10239,
  [10459] = 10264,
  [10460] = 10333,
  [10461] = 10236,
  [10462] = 10379,
  [10463] = 10317,
  [10464] = 10226,
  [10465] = 10225,
  [10466] = 10333,
  [10467] = 3494,
  [10468] = 3491,
  [10469] = 10315,
  [10470] = 10331,
  [10471] = 10335,
  [10472] = 10319,
  [10473] = 10473,
  [10474] = 10379,
  [10475] = 10342,
  [10476] = 10333,
  [10477] = 3548,
  [10478] = 3402,
  [10479] = 10309,
  [10480] = 3493,
  [10481] = 10317,
  [10482] = 10333,
  [10483] = 10317,
  [10484] = 10342,
  [10485] = 10315,
  [10486] = 10486,
  [10487] = 10293,
  [10488] = 10309,
  [10489] = 10220,
  [10490] = 10490,
  [10491] = 10315,
  [10492] = 10292,
  [10493] = 10342,
  [10494] = 10342,
  [10495] = 10317,
  [10496] = 3527,
  [10497] = 10172,
  [10498] = 3445,
  [10499] = 10138,
  [10500] = 3492,
  [10501] = 10230,
  [10502] = 10315,
  [10503] = 3502,
  [10504] = 10287,
  [10505] = 10231,
  [10506] = 10379,
  [10507] = 10319,
  [10508] = 10319,
  [10509] = 10319,
  [10510] = 10333,
  [10511] = 10309,
  [10512] = 3490,
  [10513] = 10335,
  [10514] = 10331,
  [10515] = 10379,
  [10516] = 10381,
  [10517] = 3336,
  [10518] = 10342,
  [10519] = 3440,
  [10520] = 10287,
  [10521] = 10236,
  [10522] = 10315,
  [10523] = 10239,
  [10524] = 10333,
  [10525] = 10333,
  [10526] = 10526,
  [10527] = 3461,
  [10528] = 10317,
  [10529] = 3407,
  [10530] = 10309,
  [10531] = 10333,
  [10532] = 10315,
  [10533] = 3399,
  [10534] = 3397,
  [10535] = 10379,
  [10536] = 10246,
  [10537] = 10319,
  [10538] = 10331,
  [10539] = 3496,
  [10540] = 10331,
  [10541] = 10335,
  [10542] = 3395,
  [10543] = 6360,
  [10544] = 10342,
  [10545] = 3529,
  [10546] = 10315,
  [10547] = 10315,
  [10548] = 10548,
  [10549] = 10549,
  [10550] = 10335,
  [10551] = 10231,
  [10552] = 10335,
  [10553] = 10331,
  [10554] = 10335,
  [10555] = 10342,
  [10556] = 3474,
  [10557] = 10333,
  [10558] = 10333,
  [10559] = 10309,
  [10560] = 10331,
  [10561] = 3523,
  [10562] = 10562,
  [10563] = 10317,
  [10564] = 10138,
  [10565] = 10319,
  [10566] = 10230,
  [10567] = 10229,
  [10568] = 3419,
  [10569] = 10164,
  [10570] = 3394,
  [10571] = 10220,
  [10572] = 10379,
  [10573] = 10240,
  [10574] = 3530,
  [10575] = 10379,
  [10576] = 3526,
  [10577] = 6360,
  [10578] = 3629,
  [10579] = 10315,
  [10580] = 10335,
  [10581] = 3635,
  [10582] = 10331,
  [10583] = 10342,
  [10584] = 3637,
  [10585] = 10309,
  [10586] = 10138,
  [10587] = 3641,
  [10588] = 3658,
  [10589] = 10342,
  [10590] = 10335,
  [10591] = 10335,
  [10592] = 10331,
  [10593] = 10291,
  [10594] = 3656,
  [10595] = 6431,
  [10596] = 3600,
  [10597] = 10597,
  [10598] = 10319,
  [10599] = 3396,
  [10600] = 10271,
  [10601] = 10333,
  [10602] = 3393,
  [10603] = 10238,
  [10604] = 3395,
  [10605] = 3396,
  [10606] = 3399,
  [10607] = 3596,
  [10608] = 10315,
  [10609] = 10333,
  [10610] = 10164,
  [10611] = 10331,
  [10612] = 10309,
  [10613] = 10315,
  [10614] = 10317,
  [10615] = 3393,
  [10616] = 3333,
  [10617] = 10342,
  [10618] = 10333,
  [10619] = 10333,
  [10620] = 10317,
  [10621] = 3384,
  [10622] = 3387,
  [10623] = 3498,
  [10624] = 9247,
  [10625] = 10625,
  [10626] = 10205,
  [10627] = 9249,
  [10628] = 9233,
  [10629] = 10629,
  [10630] = 3562,
  [10631] = 10397,
  [10632] = 3599,
  [10633] = 10215,
  [10634] = 10634,
  [10635] = 6360,
  [10636] = 9251,
  [10637] = 9252,
  [10638] = 9254,
  [10639] = 10292,
  [10640] = 9257,
  [10641] = 9262,
  [10642] = 9249,
  [10643] = 9264,
  [10644] = 10164,
  [10645] = 9232,
  [10646] = 9231,
  [10647] = 10490,
  [10648] = 9225,
  [10649] = 9784,
  [10650] = 10354,
  [10651] = 10651,
  [10652] = 9278,
  [10653] = 9273,
  [10654] = 3547,
  [10655] = 10629,
  [10656] = 10656,
  [10657] = 10294,
  [10658] = 10164,
  [10659] = 10293,
  [10660] = 10291,
  [10661] = 10384,
  [10662] = 10287,
  [10663] = 10285,
  [10664] = 10664,
  [10665] = 10284,
  [10666] = 10283,
  [10667] = 9784,
  [10668] = 3522,
  [10669] = 10282,
  [10670] = 10670,
  [10671] = 10671,
  [10672] = 10672,
  [10673] = 10205,
  [10674] = 10277,
  [10675] = 10597,
  [10676] = 9245,
  [10677] = 10656,
  [10678] = 3530,
  [10679] = 10629,
  [10680] = 9784,
  [10681] = 3393,
  [10682] = 3395,
  [10683] = 3396,
  [10684] = 10490,
  [10685] = 3399,
  [10686] = 10271,
  [10687] = 10268,
  [10688] = 10205,
  [10689] = 9334,
  [10690] = 3556,
  [10691] = 3529,
  [10692] = 10251,
  [10693] = 9245,
  [10694] = 10264,
  [10695] = 10235,
  [10696] = 10656,
  [10697] = 10397,
  [10698] = 10698,
  [10699] = 10473,
  [10700] = 10276,
  [10701] = 10701,
  [10702] = 10226,
  [10703] = 10703,
  [10704] = 10278,
  [10705] = 10289,
  [10706] = 10225,
  [10707] = 3527,
  [10708] = 10273,
  [10709] = 10220,
  [10710] = 10229,
  [10711] = 10230,
  [10712] = 10231,
  [10713] = 9226,
  [10714] = 10714,
  [10715] = 10715,
  [10716] = 6431,
  [10717] = 3526,
  [10718] = 10164,
  [10719] = 9269,
  [10720] = 10238,
  [10721] = 9266,
  [10722] = 9263,
  [10723] = 10723,
  [10724] = 9302,
  [10725] = 9241,
  [10726] = 10240,
  [10727] = 10629,
  [10728] = 10629,
  [10729] = 10246,
  [10730] = 10239,
  [10731] = 10236,
  [10732] = 10656,
  [10733] = 10656,
  [10734] = 3469,
  [10735] = 3527,
  [10736] = 10736,
  [10737] = 3463,
  [10738] = 10738,
  [10739] = 10268,
  [10740] = 10289,
  [10741] = 3394,
  [10742] = 10742,
  [10743] = 10743,
  [10744] = 10744,
  [10745] = 10745,
  [10746] = 10625,
  [10747] = 10747,
  [10748] = 10748,
  [10749] = 10749,
  [10750] = 10278,
  [10751] = 10751,
  [10752] = 10752,
  [10753] = 10753,
  [10754] = 10754,
  [10755] = 10755,
  [10756] = 10164,
  [10757] = 10757,
  [10758] = 9245,
  [10759] = 3399,
  [10760] = 10760,
  [10761] = 9273,
  [10762] = 10215,
  [10763] = 3396,
  [10764] = 9245,
  [10765] = 3395,
  [10766] = 10766,
  [10767] = 3393,
  [10768] = 9278,
  [10769] = 10282,
  [10770] = 9225,
  [10771] = 10754,
  [10772] = 9231,
  [10773] = 10773,
  [10774] = 10774,
  [10775] = 9232,
  [10776] = 9264,
  [10777] = 9262,
  [10778] = 9257,
  [10779] = 10138,
  [10780] = 10780,
  [10781] = 9254,
  [10782] = 10752,
  [10783] = 10751,
  [10784] = 10715,
  [10785] = 10785,
  [10786] = 9252,
  [10787] = 9251,
  [10788] = 9247,
  [10789] = 10789,
  [10790] = 10790,
  [10791] = 10791,
  [10792] = 10397,
  [10793] = 9247,
  [10794] = 9251,
  [10795] = 9252,
  [10796] = 10268,
  [10797] = 10797,
  [10798] = 9254,
  [10799] = 9257,
  [10800] = 9262,
  [10801] = 10801,
  [10802] = 9264,
  [10803] = 9232,
  [10804] = 9231,
  [10805] = 9225,
  [10806] = 9278,
  [10807] = 10264,
  [10808] = 10808,
  [10809] = 9273,
  [10810] = 10276,
  [10811] = 10273,
  [10812] = 10273,
  [10813] = 9784,
  [10814] = 6360,
  [10815] = 10815,
  [10816] = 10816,
  [10817] = 10238,
  [10818] = 10743,
  [10819] = 9784,
  [10820] = 6431,
  [10821] = 10821,
  [10822] = 10757,
  [10823] = 10797,
  [10824] = 10289,
  [10825] = 10278,
  [10826] = 10172,
  [10827] = 3522,
  [10828] = 10808,
  [10829] = 10264,
  [10830] = 3562,
  [10831] = 10294,
  [10832] = 10801,
  [10833] = 10791,
  [10834] = 10293,
  [10835] = 4462,
  [10836] = 10791,
  [10837] = 10292,
  [10838] = 10291,
  [10839] = 3470,
  [10840] = 10287,
  [10841] = 10285,
  [10842] = 10284,
  [10843] = 10754,
  [10844] = 10789,
  [10845] = 6360,
  [10846] = 10752,
  [10847] = 10751,
  [10848] = 10760,
  [10849] = 10747,
  [10850] = 10749,
  [10851] = 10748,
  [10852] = 10747,
  [10853] = 10853,
  [10854] = 3468,
  [10855] = 10670,
  [10856] = 10766,
  [10857] = 10283,
  [10858] = 10745,
  [10859] = 10744,
  [10860] = 3518,
  [10861] = 10743,
  [10862] = 3629,
  [10863] = 3474,
  [10864] = 10791,
  [10865] = 3635,
  [10866] = 10757,
  [10867] = 10867,
  [10868] = 3637,
  [10869] = 10246,
  [10870] = 10744,
  [10871] = 10743,
  [10872] = 10766,
  [10873] = 3658,
  [10874] = 10808,
  [10875] = 10277,
  [10876] = 10745,
  [10877] = 10251,
  [10878] = 10766,
  [10879] = 10738,
  [10880] = 10235,
  [10881] = 10747,
  [10882] = 10225,
  [10883] = 3476,
  [10884] = 10748,
  [10885] = 10742,
  [10886] = 10215,
  [10887] = 3477,
  [10888] = 10276,
  [10889] = 10760,
  [10890] = 10749,
  [10891] = 10751,
  [10892] = 10789,
  [10893] = 10752,
  [10894] = 10754,
  [10895] = 10226,
  [10896] = 3491,
  [10897] = 3656,
  [10898] = 10797,
  [10899] = 3526,
  [10900] = 10900,
  [10901] = 3497,
  [10902] = 3502,
  [10903] = 10229,
  [10904] = 10738,
  [10905] = 10715,
  [10906] = 8432,
  [10907] = 10230,
  [10908] = 10231,
  [10909] = 10797,
  [10910] = 3529,
  [10911] = 10757,
  [10912] = 3336,
  [10913] = 10236,
  [10914] = 8430,
  [10915] = 10742,
  [10916] = 10742,
  [10917] = 10670,
  [10918] = 9784,
  [10919] = 10738,
  [10920] = 3530,
  [10921] = 3600,
  [10922] = 3523,
  [10923] = 3333,
  [10924] = 10791,
  [10925] = 10294,
  [10926] = 10239,
  [10927] = 10229,
  [10928] = 10293,
  [10929] = 10292,
  [10930] = 10291,
  [10931] = 10287,
  [10932] = 3493,
  [10933] = 3599,
  [10934] = 10285,
  [10935] = 10284,
  [10936] = 10801,
  [10937] = 10808,
  [10938] = 10283,
  [10939] = 10240,
  [10940] = 3596,
  [10941] = 10282,
  [10942] = 10277,
  [10943] = 3582,
  [10944] = 10238,
  [10945] = 10251,
  [10946] = 10235,
  [10947] = 9334,
  [10948] = 10220,
  [10949] = 10226,
  [10950] = 10225,
  [10951] = 10951,
  [10952] = 10952,
  [10953] = 10220,
  [10954] = 10230,
  [10955] = 3517,
  [10956] = 10231,
  [10957] = 10236,
  [10958] = 10239,
  [10959] = 10808,
  [10960] = 3332,
  [10961] = 10801,
  [10962] = 3330,
  [10963] = 10963,
  [10964] = 3399,
  [10965] = 3556,
  [10966] = 3329,
  [10967] = 3511,
  [10968] = 3548,
  [10969] = 3547,
  [10970] = 10791,
  [10971] = 3510,
  [10972] = 10246,
  [10973] = 10973,
  [10974] = 3506,
  [10975] = 10240,
  [10976] = 10278,
  [10977] = 10977,
  [10978] = 9249,
  [10979] = 3393,
  [10980] = 10289,
  [10981] = 9226,
  [10982] = 3395,
  [10983] = 10738,
  [10984] = 9233,
  [10985] = 10742,
  [10986] = 3396,
  [10987] = 10801,
  [10988] = 3556,
  [10989] = 10797,
  [10990] = 10490,
  [10991] = 3505,
  [10992] = 10745,
  [10993] = 10749,
  [10994] = 3399,
  [10995] = 10797,
  [10996] = 10738,
  [10997] = 10742,
  [10998] = 3327,
  [10999] = 10757,
  [11000] = 3326,
  [11001] = 10748,
  [11002] = 11002,
  [11003] = 3641,
  [11004] = 3393,
  [11005] = 3325,
  [11006] = 3499,
  [11007] = 3395,
  [11008] = 3498,
  [11009] = 11009,
  [11010] = 10789,
  [11011] = 3396,
  [11012] = 10760,
  [11013] = 11013,
  [11014] = 3496,
  [11015] = 3495,
  [11016] = 3494,
  [11017] = 11017,
  [11018] = 10271,
  [11019] = 10742,
  [11020] = 10738,
  [11021] = 11021,
  [11022] = 10271,
  [11023] = 9249,
  [11024] = 9233,
  [11025] = 10791,
  [11026] = 10138,
  [11027] = 10760,
  [11028] = 10238,
  [11029] = 10766,
  [11030] = 10743,
  [11031] = 6431,
  [11032] = 8406,
  [11033] = 3399,
  [11034] = 11034,
  [11035] = 8402,
  [11036] = 11036,
  [11037] = 3492,
  [11038] = 3490,
  [11039] = 3461,
  [11040] = 10273,
  [11041] = 3407,
  [11042] = 10276,
  [11043] = 3393,
  [11044] = 3436,
  [11045] = 10744,
  [11046] = 10745,
  [11047] = 3387,
  [11048] = 3384,
  [11049] = 3419,
  [11050] = 10744,
  [11051] = 10747,
  [11052] = 10748,
  [11053] = 10749,
  [11054] = 10751,
  [11055] = 10752,
  [11056] = 10754,
  [11057] = 3445,
  [11058] = 3442,
  [11059] = 3397,
  [11060] = 10172,
  [11061] = 9241,
  [11062] = 10264,
  [11063] = 9302,
  [11064] = 9263,
  [11065] = 9266,
  [11066] = 9269,
  [11067] = 3395,
  [11068] = 11068,
  [11069] = 3451,
  [11070] = 3452,
  [11071] = 3376,
  [11072] = 3457,
  [11073] = 3459,
  [11074] = 3460,
  [11075] = 9334,
  [11076] = 10789,
  [11077] = 3444,
  [11078] = 3465,
  [11079] = 3430,
  [11080] = 3440,
  [11081] = 3324,
  [11082] = 3414,
  [11083] = 3396,
  [11084] = 3402,
  [11085] = 11085,
  [11086] = 11086,
  [11087] = 9262,
  [11088] = 10278,
  [11089] = 10294,
  [11090] = 9257,
  [11091] = 9254,
  [11092] = 11092,
  [11093] = 11093,
  [11094] = 11094,
  [11095] = 11095,
  [11096] = 11086,
  [11097] = 11097,
  [11098] = 9252,
  [11099] = 9251,
  [11100] = 9247,
  [11101] = 10277,
  [11102] = 11102,
  [11103] = 11086,
  [11104] = 3393,
  [11105] = 3395,
  [11106] = 3396,
  [11107] = 11092,
  [11108] = 11095,
  [11109] = 10271,
  [11110] = 10384,
  [11111] = 11094,
  [11112] = 10289,
  [11113] = 11113,
  [11114] = 3399,
  [11115] = 10271,
  [11116] = 11085,
  [11117] = 11117,
  [11118] = 10384,
  [11119] = 11117,
  [11120] = 11113,
  [11121] = 11121,
  [11122] = 11085,
  [11123] = 11117,
  [11124] = 10268,
  [11125] = 11085,
  [11126] = 11126,
  [11127] = 11085,
  [11128] = 11117,
  [11129] = 11113,
  [11130] = 11092,
  [11131] = 10271,
  [11132] = 9784,
  [11133] = 10293,
  [11134] = 9278,
  [11135] = 3396,
  [11136] = 3395,
  [11137] = 10292,
  [11138] = 11068,
  [11139] = 11086,
  [11140] = 3399,
  [11141] = 11141,
  [11142] = 9264,
  [11143] = 10723,
  [11144] = 10238,
  [11145] = 11095,
  [11146] = 11094,
  [11147] = 9232,
  [11148] = 11092,
  [11149] = 9231,
  [11150] = 9225,
  [11151] = 11113,
  [11152] = 11152,
  [11153] = 11121,
  [11154] = 11121,
  [11155] = 11121,
  [11156] = 11121,
  [11157] = 10354,
  [11158] = 8180,
  [11159] = 10291,
  [11160] = 3399,
  [11161] = 9334,
  [11162] = 11113,
  [11163] = 11113,
  [11164] = 10773,
  [11165] = 10815,
  [11166] = 10670,
  [11167] = 10821,
  [11168] = 10220,
  [11169] = 11169,
  [11170] = 11017,
  [11171] = 11094,
  [11172] = 7984,
  [11173] = 10963,
  [11174] = 11174,
  [11175] = 10473,
  [11176] = 10354,
  [11177] = 10287,
  [11178] = 11086,
  [11179] = 11095,
  [11180] = 11121,
  [11181] = 10490,
  [11182] = 11094,
  [11183] = 10597,
  [11184] = 11121,
  [11185] = 11092,
  [11186] = 10285,
  [11187] = 10264,
  [11188] = 10205,
  [11189] = 10215,
  [11190] = 10236,
  [11191] = 10490,
  [11192] = 11094,
  [11193] = 11095,
  [11194] = 3393,
  [11195] = 11086,
  [11196] = 11034,
  [11197] = 11094,
  [11198] = 11095,
  [11199] = 10715,
  [11200] = 10240,
  [11201] = 10246,
  [11202] = 11085,
  [11203] = 11117,
  [11204] = 10977,
  [11205] = 10973,
  [11206] = 10215,
  [11207] = 10239,
  [11208] = 11121,
  [11209] = 10284,
  [11210] = 10205,
  [11211] = 10283,
  [11212] = 10282,
  [11213] = 10215,
  [11214] = 10229,
  [11215] = 11113,
  [11216] = 11085,
  [11217] = 11117,
  [11218] = 10230,
  [11219] = 10164,
  [11220] = 10236,
  [11221] = 3396,
  [11222] = 10231,
  [11223] = 3395,
  [11224] = 11092,
  [11225] = 11092,
  [11226] = 10397,
  [11227] = 11094,
  [11228] = 10278,
  [11229] = 9233,
  [11230] = 10289,
  [11231] = 11092,
  [11232] = 9334,
  [11233] = 11092,
  [11234] = 8001,
  [11235] = 11121,
  [11236] = 11113,
  [11237] = 11237,
  [11238] = 11095,
  [11239] = 11086,
  [11240] = 11095,
  [11241] = 11094,
  [11242] = 11086,
  [11243] = 11117,
  [11244] = 11085,
  [11245] = 11117,
  [11246] = 11085,
  [11247] = 8000,
  [11248] = 11113,
  [11249] = 10397,
  [11250] = 11121,
  [11251] = 11113,
  [11252] = 11092,
  [11253] = 11117,
  [11254] = 10276,
  [11255] = 10273,
  [11256] = 11256,
  [11257] = 10240,
  [11258] = 11258,
  [11259] = 11086,
  [11260] = 10238,
  [11261] = 10816,
  [11262] = 7855,
  [11263] = 11095,
  [11264] = 3393,
  [11265] = 10231,
  [11266] = 11117,
  [11267] = 10289,
  [11268] = 11086,
  [11269] = 11085,
  [11270] = 10246,
  [11271] = 10278,
  [11272] = 11272,
  [11273] = 10239,
  [11274] = 11095,
  [11275] = 10977,
  [11276] = 10230,
  [11277] = 10785,
  [11278] = 11094,
  [11279] = 6431,
  [11280] = 11113,
  [11281] = 11092,
  [11282] = 10774,
  [11283] = 6360,
  [11284] = 10229,
  [11285] = 10268,
  [11286] = 11094,
  [11287] = 10220,
  [11288] = 9273,
  [11289] = 10285,
  [11290] = 11121,
  [11291] = 6360,
  [11292] = 11292,
  [11293] = 3393,
  [11294] = 3395,
  [11295] = 3396,
  [11296] = 3399,
  [11297] = 10238,
  [11298] = 6431,
  [11299] = 10816,
  [11300] = 10490,
  [11301] = 11121,
  [11302] = 10231,
  [11303] = 10230,
  [11304] = 10229,
  [11305] = 11305,
  [11306] = 10225,
  [11307] = 10226,
  [11308] = 10235,
  [11309] = 11113,
  [11310] = 10251,
  [11311] = 10277,
  [11312] = 10282,
  [11313] = 11085,
  [11314] = 11117,
  [11315] = 10283,
  [11316] = 10284,
  [11317] = 10239,
  [11318] = 10283,
  [11319] = 10268,
  [11320] = 10287,
  [11321] = 10291,
  [11322] = 4581,
  [11323] = 10597,
  [11324] = 11324,
  [11325] = 10268,
  [11326] = 10220,
  [11327] = 10292,
  [11328] = 7998,
  [11329] = 11086,
  [11330] = 11092,
  [11331] = 11095,
  [11332] = 10293,
  [11333] = 10251,
  [11334] = 6431,
  [11335] = 11094,
  [11336] = 10273,
  [11337] = 10235,
  [11338] = 10226,
  [11339] = 10276,
  [11340] = 11094,
  [11341] = 10225,
  [11342] = 10273,
  [11343] = 10294,
  [11344] = 11095,
  [11345] = 6360,
  [11346] = 10276,
  [11347] = 10225,
  [11348] = 11086,
  [11349] = 10973,
  [11350] = 10867,
  [11351] = 11086,
  [11352] = 11095,
  [11353] = 10236,
  [11354] = 11094,
  [11355] = 10215,
  [11356] = 10473,
  [11357] = 10397,
  [11358] = 10226,
  [11359] = 10235,
  [11360] = 11360,
  [11361] = 10251,
  [11362] = 11117,
  [11363] = 10264,
  [11364] = 11085,
  [11365] = 10774,
  [11366] = 10785,
  [11367] = 11121,
  [11368] = 11113,
  [11369] = 4602,
  [11370] = 10294,
  [11371] = 10246,
  [11372] = 11034,
  [11373] = 10293,
  [11374] = 10264,
  [11375] = 11092,
  [11376] = 10292,
  [11377] = 10291,
  [11378] = 11117,
  [11379] = 11121,
  [11380] = 10287,
  [11381] = 10285,
  [11382] = 10240,
  [11383] = 10284,
  [11384] = 11121,
  [11385] = 10282,
  [11386] = 10277,
  [11387] = 11085,
  [11388] = 9233,
  [11389] = 11389,
  [11390] = 9252,
  [11391] = 9257,
  [11392] = 8355,
  [11393] = 11393,
  [11394] = 8472,
  [11395] = 9254,
  [11396] = 6448,
  [11397] = 6442,
  [11398] = 10490,
  [11399] = 11399,
  [11400] = 3527,
  [11401] = 9269,
  [11402] = 8315,
  [11403] = 10397,
  [11404] = 9251,
  [11405] = 6431,
  [11406] = 5745,
  [11407] = 8337,
  [11408] = 11408,
  [11409] = 9247,
  [11410] = 9266,
  [11411] = 9263,
  [11412] = 10268,
  [11413] = 9302,
  [11414] = 5670,
  [11415] = 8325,
  [11416] = 11416,
  [11417] = 8475,
  [11418] = 8340,
  [11419] = 8417,
  [11420] = 11389,
  [11421] = 11389,
  [11422] = 11389,
  [11423] = 3629,
  [11424] = 11424,
  [11425] = 11425,
  [11426] = 9262,
  [11427] = 11427,
  [11428] = 9241,
  [11429] = 9264,
  [11430] = 3529,
  [11431] = 8450,
  [11432] = 8335,
  [11433] = 8405,
  [11434] = 11389,
  [11435] = 10867,
  [11436] = 8411,
  [11437] = 11437,
  [11438] = 11438,
  [11439] = 9232,
  [11440] = 8412,
  [11441] = 11441,
  [11442] = 9231,
  [11443] = 9225,
  [11444] = 3635,
  [11445] = 9278,
  [11446] = 9273,
  [11447] = 3394,
  [11448] = 11389,
  [11449] = 11389,
  [11450] = 11450,
  [11451] = 8351,
  [11452] = 5755,
  [11453] = 11453,
  [11454] = 10215,
  [11455] = 3399,
  [11456] = 11456,
  [11457] = 10490,
  [11458] = 3637,
  [11459] = 11034,
  [11460] = 11389,
  [11461] = 10715,
  [11462] = 11389,
  [11463] = 6419,
  [11464] = 11389,
  [11465] = 3596,
  [11466] = 3656,
  [11467] = 9784,
  [11468] = 3658,
  [11469] = 3641,
  [11470] = 8409,
  [11471] = 11471,
  [11472] = 10285,
  [11473] = 8413,
  [11474] = 11474,
  [11475] = 9245,
  [11476] = 11237,
  [11477] = 11477,
  [11478] = 10977,
  [11479] = 10973,
  [11480] = 11389,
  [11481] = 11481,
  [11482] = 11482,
  [11483] = 8360,
  [11484] = 8359,
  [11485] = 5755,
  [11486] = 9784,
  [11487] = 3526,
  [11488] = 11488,
  [11489] = 10816,
  [11490] = 11389,
  [11491] = 11491,
  [11492] = 11492,
  [11493] = 11097,
  [11494] = 11494,
  [11495] = 11495,
  [11496] = 9245,
  [11497] = 11497,
  [11498] = 9334,
  [11499] = 10670,
  [11500] = 3600,
  [11501] = 10294,
  [11502] = 11502,
  [11503] = 10293,
  [11504] = 10292,
  [11505] = 10291,
  [11506] = 10287,
  [11507] = 11389,
  [11508] = 6360,
  [11509] = 11509,
  [11510] = 10715,
  [11511] = 10774,
  [11512] = 10235,
  [11513] = 10284,
  [11514] = 10283,
  [11515] = 9784,
  [11516] = 10282,
  [11517] = 10277,
  [11518] = 11272,
  [11519] = 9249,
  [11520] = 11389,
  [11521] = 11450,
  [11522] = 5670,
  [11523] = 10785,
  [11524] = 10490,
  [11525] = 8441,
  [11526] = 11425,
  [11527] = 8434,
  [11528] = 5745,
  [11529] = 8433,
  [11530] = 11389,
  [11531] = 11531,
  [11532] = 8429,
  [11533] = 11292,
  [11534] = 11534,
  [11535] = 3522,
  [11536] = 11389,
  [11537] = 3530,
  [11538] = 8486,
  [11539] = 10164,
  [11540] = 11540,
  [11541] = 11389,
  [11542] = 11389,
  [11543] = 10397,
  [11544] = 11544,
  [11545] = 11545,
  [11546] = 10271,
  [11547] = 11389,
  [11548] = 11102,
  [11549] = 10251,
  [11550] = 8372,
  [11551] = 8347,
  [11552] = 11552,
  [11553] = 6330,
  [11554] = 10164,
  [11555] = 11555,
  [11556] = 11556,
  [11557] = 11557,
  [11558] = 8469,
  [11559] = 10226,
  [11560] = 6359,
  [11561] = 10239,
  [11562] = 10670,
  [11563] = 11563,
  [11564] = 11389,
  [11565] = 6360,
  [11566] = 11093,
  [11567] = 3396,
  [11568] = 8350,
  [11569] = 11389,
  [11570] = 11570,
  [11571] = 8352,
  [11572] = 11572,
  [11573] = 10225,
  [11574] = 11141,
  [11575] = 9226,
  [11576] = 10397,
  [11577] = 11169,
  [11578] = 3395,
  [11579] = 10231,
  [11580] = 10230,
  [11581] = 10240,
  [11582] = 10246,
  [11583] = 10236,
  [11584] = 10229,
  [11585] = 9249,
  [11586] = 6252,
  [11587] = 8414,
  [11588] = 10220,
  [11589] = 3393,
  [11590] = 11590,
  [11591] = 6361,
  [11592] = 6431,
  [11593] = 8354,
  [11594] = 11389,
  [11595] = 10715,
  [11596] = 10164,
  [11597] = 8353,
  [11598] = 11598,
  [11599] = 11599,
  [11600] = 11600,
  [11601] = 10229,
  [11602] = 11602,
  [11603] = 11427,
  [11604] = 11453,
  [11605] = 11509,
  [11606] = 9247,
  [11607] = 6213,
  [11608] = 11495,
  [11609] = 11600,
  [11610] = 10225,
  [11611] = 10235,
  [11612] = 11497,
  [11613] = 6200,
  [11614] = 11614,
  [11615] = 11615,
  [11616] = 10251,
  [11617] = 8897,
  [11618] = 9154,
  [11619] = 10220,
  [11620] = 8899,
  [11621] = 9249,
  [11622] = 11557,
  [11623] = 8908,
  [11624] = 8909,
  [11625] = 3399,
  [11626] = 11600,
  [11627] = 8920,
  [11628] = 11600,
  [11629] = 3396,
  [11630] = 3395,
  [11631] = 11631,
  [11632] = 11632,
  [11633] = 11633,
  [11634] = 11488,
  [11635] = 3393,
  [11636] = 8441,
  [11637] = 9273,
  [11638] = 9247,
  [11639] = 10268,
  [11640] = 9233,
  [11641] = 11641,
  [11642] = 11642,
  [11643] = 9241,
  [11644] = 11644,
  [11645] = 10231,
  [11646] = 11600,
  [11647] = 11600,
  [11648] = 11648,
  [11649] = 11600,
  [11650] = 11650,
  [11651] = 11651,
  [11652] = 11600,
  [11653] = 11653,
  [11654] = 10230,
  [11655] = 11655,
  [11656] = 10215,
  [11657] = 11657,
  [11658] = 11658,
  [11659] = 10172,
  [11660] = 11660,
  [11661] = 11661,
  [11662] = 10240,
  [11663] = 11663,
  [11664] = 11664,
  [11665] = 11590,
  [11666] = 11666,
  [11667] = 11667,
  [11668] = 11668,
  [11669] = 11502,
  [11670] = 11670,
  [11671] = 11600,
  [11672] = 10238,
  [11673] = 11600,
  [11674] = 11674,
  [11675] = 10670,
  [11676] = 11545,
  [11677] = 11677,
  [11678] = 11068,
  [11679] = 11679,
  [11680] = 11680,
  [11681] = 11544,
  [11682] = 11534,
  [11683] = 11126,
  [11684] = 10238,
  [11685] = 10138,
  [11686] = 10264,
  [11687] = 10239,
  [11688] = 9245,
  [11689] = 8991,
  [11690] = 9151,
  [11691] = 11691,
  [11692] = 9150,
  [11693] = 11693,
  [11694] = 11694,
  [11695] = 11695,
  [11696] = 11696,
  [11697] = 11540,
  [11698] = 11698,
  [11699] = 10867,
  [11700] = 9129,
  [11701] = 9006,
  [11702] = 11600,
  [11703] = 11703,
  [11704] = 11704,
  [11705] = 9007,
  [11706] = 10138,
  [11707] = 11707,
  [11708] = 11600,
  [11709] = 11494,
  [11710] = 9008,
  [11711] = 11408,
  [11712] = 11600,
  [11713] = 11713,
  [11714] = 9012,
  [11715] = 11600,
  [11716] = 10670,
  [11717] = 11717,
  [11718] = 11718,
  [11719] = 11424,
  [11720] = 11438,
  [11721] = 11721,
  [11722] = 11600,
  [11723] = 10289,
  [11724] = 10278,
  [11725] = 11725,
  [11726] = 10963,
  [11727] = 11600,
  [11728] = 11600,
  [11729] = 9784,
  [11730] = 11730,
  [11731] = 11731,
  [11732] = 5820,
  [11733] = 11733,
  [11734] = 11734,
  [11735] = 8917,
  [11736] = 11736,
  [11737] = 11737,
  [11738] = 9016,
  [11739] = 11600,
  [11740] = 11740,
  [11741] = 10246,
  [11742] = 9249,
  [11743] = 11481,
  [11744] = 11600,
  [11745] = 9302,
  [11746] = 9263,
  [11747] = 10867,
  [11748] = 11600,
  [11749] = 11749,
  [11750] = 11750,
  [11751] = 11751,
  [11752] = 11600,
  [11753] = 9278,
  [11754] = 11600,
  [11755] = 11755,
  [11756] = 11756,
  [11757] = 11757,
  [11758] = 11758,
  [11759] = 11759,
  [11760] = 11760,
  [11761] = 9225,
  [11762] = 11482,
  [11763] = 11600,
  [11764] = 11600,
  [11765] = 11416,
  [11766] = 9231,
  [11767] = 9273,
  [11768] = 11768,
  [11769] = 11769,
  [11770] = 11770,
  [11771] = 3393,
  [11772] = 11772,
  [11773] = 11600,
  [11774] = 11600,
  [11775] = 11600,
  [11776] = 10273,
  [11777] = 11777,
  [11778] = 10490,
  [11779] = 9264,
  [11780] = 5745,
  [11781] = 9262,
  [11782] = 9257,
  [11783] = 11017,
  [11784] = 10785,
  [11785] = 10821,
  [11786] = 11786,
  [11787] = 11034,
  [11788] = 10815,
  [11789] = 9254,
  [11790] = 10773,
  [11791] = 10963,
  [11792] = 9104,
  [11793] = 9102,
  [11794] = 9101,
  [11795] = 11600,
  [11796] = 10276,
  [11797] = 11600,
  [11798] = 11798,
  [11799] = 11600,
  [11800] = 11497,
  [11801] = 5670,
  [11802] = 10973,
  [11803] = 11803,
  [11804] = 9232,
  [11805] = 11600,
  [11806] = 11806,
  [11807] = 11807,
  [11808] = 11808,
  [11809] = 9252,
  [11810] = 11017,
  [11811] = 10821,
  [11812] = 9251,
  [11813] = 10815,
  [11814] = 6360,
  [11815] = 11815,
  [11816] = 11816,
  [11817] = 10773,
  [11818] = 10277,
  [11819] = 10282,
  [11820] = 10283,
  [11821] = 11821,
  [11822] = 10867,
  [11823] = 11456,
  [11824] = 11600,
  [11825] = 5755,
  [11826] = 9334,
  [11827] = 10977,
  [11828] = 10973,
  [11829] = 3395,
  [11830] = 11830,
  [11831] = 8993,
  [11832] = 3399,
  [11833] = 10774,
  [11834] = 10284,
  [11835] = 11600,
  [11836] = 11438,
  [11837] = 11837,
  [11838] = 10285,
  [11839] = 10287,
  [11840] = 11840,
  [11841] = 11563,
  [11842] = 8924,
  [11843] = 8912,
  [11844] = 11844,
  [11845] = 11845,
  [11846] = 11846,
  [11847] = 9334,
  [11848] = 9232,
  [11849] = 5820,
  [11850] = 10816,
  [11851] = 11851,
  [11852] = 11600,
  [11853] = 9251,
  [11854] = 9252,
  [11855] = 6275,
  [11856] = 8902,
  [11857] = 11600,
  [11858] = 9226,
  [11859] = 10271,
  [11860] = 9245,
  [11861] = 10291,
  [11862] = 11862,
  [11863] = 9266,
  [11864] = 11864,
  [11865] = 10774,
  [11866] = 11866,
  [11867] = 10164,
  [11868] = 11600,
  [11869] = 11600,
  [11870] = 9269,
  [11871] = 11324,
  [11872] = 11600,
  [11873] = 11873,
  [11874] = 10785,
  [11875] = 10785,
  [11876] = 10715,
  [11877] = 10774,
  [11878] = 9254,
  [11879] = 3393,
  [11880] = 11880,
  [11881] = 11600,
  [11882] = 6431,
  [11883] = 11883,
  [11884] = 11884,
  [11885] = 10816,
  [11886] = 10276,
  [11887] = 11887,
  [11888] = 10236,
  [11889] = 11889,
  [11890] = 11890,
  [11891] = 11600,
  [11892] = 11600,
  [11893] = 9233,
  [11894] = 10164,
  [11895] = 11895,
  [11896] = 10977,
  [11897] = 11897,
  [11898] = 10273,
  [11899] = 10715,
  [11900] = 9130,
  [11901] = 11600,
  [11902] = 11902,
  [11903] = 10490,
  [11904] = 11034,
  [11905] = 11600,
  [11906] = 11906,
  [11907] = 10294,
  [11908] = 10172,
  [11909] = 11495,
  [11910] = 11068,
  [11911] = 11093,
  [11912] = 11600,
  [11913] = 11913,
  [11914] = 10816,
  [11915] = 11915,
  [11916] = 11141,
  [11917] = 11917,
  [11918] = 11034,
  [11919] = 10715,
  [11920] = 11600,
  [11921] = 10977,
  [11922] = 11600,
  [11923] = 11600,
  [11924] = 9262,
  [11925] = 8926,
  [11926] = 11152,
  [11927] = 11927,
  [11928] = 10973,
  [11929] = 11929,
  [11930] = 11930,
  [11931] = 3399,
  [11932] = 9264,
  [11933] = 3396,
  [11934] = 3395,
  [11935] = 9784,
  [11936] = 10278,
  [11937] = 11600,
  [11938] = 11938,
  [11939] = 11939,
  [11940] = 9141,
  [11941] = 9231,
  [11942] = 11600,
  [11943] = 9225,
  [11944] = 9278,
  [11945] = 11169,
  [11946] = 10226,
  [11947] = 11947,
  [11948] = 3396,
  [11949] = 11600,
  [11950] = 11600,
  [11951] = 11951,
  [11952] = 10264,
  [11953] = 11600,
  [11954] = 9257,
  [11955] = 10289,
  [11956] = 10293,
  [11957] = 10292,
  [11958] = 10774,
  [11959] = 6360,
  [11960] = 11237,
  [11961] = 11961,
  [11962] = 11962,
  [11963] = 11292,
  [11964] = 11292,
  [11965] = 9518,
  [11966] = 10774,
  [11967] = 6431,
  [11968] = 11141,
  [11969] = 11097,
  [11970] = 11772,
  [11971] = 11866,
  [11972] = 10785,
  [11973] = 10816,
  [11974] = 11974,
  [11975] = 11975,
  [11976] = 10973,
  [11977] = 10977,
  [11978] = 11034,
  [11979] = 11961,
  [11980] = 11980,
  [11981] = 11237,
  [11982] = 11982,
  [11983] = 11982,
  [11984] = 11984,
  [11985] = 11272,
  [11986] = 11986,
  [11987] = 11961,
  [11988] = 11988,
  [11989] = 11989,
  [11990] = 11990,
  [11991] = 10785,
  [11992] = 11272,
  [11993] = 10785,
  [11994] = 10774,
  [11995] = 11984,
  [11996] = 11141,
  [11997] = 11989,
  [11998] = 11998,
  [11999] = 11999,
  [12000] = 10816,
  [12001] = 9233,
  [12002] = 6431,
  [12003] = 6360,
  [12004] = 12004,
  [12005] = 10963,
  [12006] = 12006,
  [12007] = 12007,
  [12008] = 9518,
  [12009] = 10973,
  [12010] = 12010,
  [12011] = 12011,
  [12012] = 10977,
  [12013] = 10268,
  [12014] = 11093,
  [12015] = 11102,
  [12016] = 12016,
  [12017] = 11961,
  [12018] = 9247,
  [12019] = 9251,
  [12020] = 9252,
  [12021] = 6431,
  [12022] = 11034,
  [12023] = 9254,
  [12024] = 9257,
  [12025] = 9262,
  [12026] = 6360,
  [12027] = 10283,
  [12028] = 10268,
  [12029] = 9264,
  [12030] = 9232,
  [12031] = 9231,
  [12032] = 9225,
  [12033] = 9278,
  [12034] = 10816,
  [12035] = 11097,
  [12036] = 12036,
  [12037] = 10294,
  [12038] = 12038,
  [12039] = 12039,
  [12040] = 12040,
  [12041] = 10215,
  [12042] = 10293,
  [12043] = 11988,
  [12044] = 12044,
  [12045] = 10397,
  [12046] = 10292,
  [12047] = 10291,
  [12048] = 10287,
  [12049] = 10285,
  [12050] = 11961,
  [12051] = 5820,
  [12052] = 12052,
  [12053] = 11988,
  [12054] = 10284,
  [12055] = 10277,
  [12056] = 10282,
  [12057] = 11169,
  [12058] = 11961,
  [12059] = 10973,
  [12060] = 10977,
  [12061] = 12061,
  [12062] = 11961,
  [12063] = 11034,
  [12064] = 10205,
  [12065] = 11975,
  [12066] = 11599,
  [12067] = 10251,
  [12068] = 11989,
  [12069] = 10235,
  [12070] = 12070,
  [12071] = 11986,
  [12072] = 12072,
  [12073] = 11984,
  [12074] = 11864,
  [12075] = 11615,
  [12076] = 12070,
  [12077] = 10226,
  [12078] = 11438,
  [12079] = 10287,
  [12080] = 11986,
  [12081] = 10225,
  [12082] = 11984,
  [12083] = 10220,
  [12084] = 11495,
  [12085] = 11497,
  [12086] = 10294,
  [12087] = 10292,
  [12088] = 10229,
  [12089] = 11961,
  [12090] = 10230,
  [12091] = 10215,
  [12092] = 10291,
  [12093] = 10236,
  [12094] = 12070,
  [12095] = 11667,
  [12096] = 10285,
  [12097] = 10284,
  [12098] = 10239,
  [12099] = 10246,
  [12100] = 12100,
  [12101] = 10283,
  [12102] = 10282,
  [12103] = 10240,
  [12104] = 10277,
  [12105] = 11961,
  [12106] = 10271,
  [12107] = 10293,
  [12108] = 11986,
  [12109] = 11984,
  [12110] = 10231,
  [12111] = 11989,
  [12112] = 12038,
  [12113] = 11988,
  [12114] = 10251,
  [12115] = 10235,
  [12116] = 12116,
  [12117] = 12117,
  [12118] = 11982,
  [12119] = 11989,
  [12120] = 12038,
  [12121] = 12121,
  [12122] = 10226,
  [12123] = 10225,
  [12124] = 12124,
  [12125] = 11988,
  [12126] = 11982,
  [12127] = 12116,
  [12128] = 11989,
  [12129] = 12038,
  [12130] = 10397,
  [12131] = 11988,
  [12132] = 11169,
  [12133] = 11982,
  [12134] = 11141,
  [12135] = 11986,
  [12136] = 11961,
  [12137] = 9273,
  [12138] = 12138,
  [12139] = 11093,
  [12140] = 12140,
  [12141] = 11102,
  [12142] = 10271,
  [12143] = 11984,
  [12144] = 12144,
  [12145] = 12145,
  [12146] = 12146,
  [12147] = 11102,
  [12148] = 12148,
  [12149] = 12070,
  [12150] = 12150,
  [12151] = 10220,
  [12152] = 11093,
  [12153] = 11961,
  [12154] = 10229,
  [12155] = 10240,
  [12156] = 10230,
  [12157] = 10231,
  [12158] = 10236,
  [12159] = 10239,
  [12160] = 10246,
  [12161] = 11169,
  [12162] = 10246,
  [12163] = 11961,
  [12164] = 10240,
  [12165] = 10239,
  [12166] = 11980,
  [12167] = 10236,
  [12168] = 11961,
  [12169] = 12169,
  [12170] = 10235,
  [12171] = 10231,
  [12172] = 10230,
  [12173] = 10229,
  [12174] = 11961,
  [12175] = 10220,
  [12176] = 11961,
  [12177] = 10225,
  [12178] = 10226,
  [12179] = 10251,
  [12180] = 11961,
  [12181] = 10277,
  [12182] = 11986,
  [12183] = 10282,
  [12184] = 6431,
  [12185] = 11961,
  [12186] = 10283,
  [12187] = 10284,
  [12188] = 10285,
  [12189] = 11961,
  [12190] = 11961,
  [12191] = 10287,
  [12192] = 11982,
  [12193] = 11772,
  [12194] = 10291,
  [12195] = 11866,
  [12196] = 10292,
  [12197] = 11961,
  [12198] = 11961,
  [12199] = 10293,
  [12200] = 10294,
  [12201] = 10271,
  [12202] = 11961,
  [12203] = 10268,
  [12204] = 3396,
  [12205] = 10215,
  [12206] = 3395,
  [12207] = 3393,
  [12208] = 3399,
  [12209] = 9334,
  [12210] = 10205,
  [12211] = 12211,
  [12212] = 11866,
  [12213] = 11424,
  [12214] = 12211,
  [12215] = 10251,
  [12216] = 12216,
  [12217] = 3600,
  [12218] = 10235,
  [12219] = 10226,
  [12220] = 12211,
  [12221] = 10225,
  [12222] = 10271,
  [12223] = 12223,
  [12224] = 10229,
  [12225] = 10220,
  [12226] = 6360,
  [12227] = 12227,
  [12228] = 3399,
  [12229] = 10229,
  [12230] = 3396,
  [12231] = 3395,
  [12232] = 3393,
  [12233] = 12216,
  [12234] = 10230,
  [12235] = 10287,
  [12236] = 11408,
  [12237] = 10231,
  [12238] = 10164,
  [12239] = 12239,
  [12240] = 10240,
  [12241] = 10246,
  [12242] = 10239,
  [12243] = 10236,
  [12244] = 10231,
  [12245] = 10230,
  [12246] = 10220,
  [12247] = 12247,
  [12248] = 10225,
  [12249] = 12211,
  [12250] = 11494,
  [12251] = 10226,
  [12252] = 10867,
  [12253] = 10235,
  [12254] = 10251,
  [12255] = 12255,
  [12256] = 10282,
  [12257] = 12257,
  [12258] = 10236,
  [12259] = 10283,
  [12260] = 11509,
  [12261] = 10239,
  [12262] = 12262,
  [12263] = 12262,
  [12264] = 10284,
  [12265] = 12265,
  [12266] = 10138,
  [12267] = 10285,
  [12268] = 10287,
  [12269] = 10291,
  [12270] = 11488,
  [12271] = 10292,
  [12272] = 10293,
  [12273] = 10294,
  [12274] = 12274,
  [12275] = 12211,
  [12276] = 12211,
  [12277] = 9269,
  [12278] = 9266,
  [12279] = 12211,
  [12280] = 9263,
  [12281] = 9302,
  [12282] = 9241,
  [12283] = 12211,
  [12284] = 10246,
  [12285] = 12285,
  [12286] = 12286,
  [12287] = 12265,
  [12288] = 10277,
  [12289] = 12247,
  [12290] = 10240,
  [12291] = 12211,
  [12292] = 12072,
  [12293] = 12044,
  [12294] = 12294,
  [12295] = 12211,
  [12296] = 12274,
  [12297] = 12216,
  [12298] = 12298,
  [12299] = 11495,
  [12300] = 12140,
  [12301] = 11438,
  [12302] = 12223,
  [12303] = 12227,
  [12304] = 12211,
  [12305] = 11497,
  [12306] = 12211,
  [12307] = 10268,
  [12308] = 10963,
  [12309] = 12239,
  [12310] = 12265,
  [12311] = 11563,
  [12312] = 12262,
  [12313] = 11534,
  [12314] = 10277,
  [12315] = 12211,
  [12316] = 12211,
  [12317] = 12239,
  [12318] = 11509,
  [12319] = 10282,
  [12320] = 12257,
  [12321] = 10283,
  [12322] = 12211,
  [12323] = 10284,
  [12324] = 10215,
  [12325] = 10285,
  [12326] = 12326,
  [12327] = 12255,
  [12328] = 11544,
  [12329] = 9226,
  [12330] = 12211,
  [12331] = 12211,
  [12332] = 10271,
  [12333] = 12211,
  [12334] = 12211,
  [12335] = 12211,
  [12336] = 12211,
  [12337] = 12274,
  [12338] = 12211,
  [12339] = 12247,
  [12340] = 12211,
  [12341] = 11438,
  [12342] = 10215,
  [12343] = 10291,
  [12344] = 11545,
  [12345] = 12072,
  [12346] = 10292,
  [12347] = 12211,
  [12348] = 10293,
  [12349] = 12044,
  [12350] = 9233,
  [12351] = 9249,
  [12352] = 12211,
  [12353] = 3399,
  [12354] = 3396,
  [12355] = 10294,
  [12356] = 3395,
  [12357] = 11563,
  [12358] = 12211,
  [12359] = 3393,
  [12360] = 6360,
  [12361] = 3596,
  [12362] = 11102,
  [12363] = 12363,
  [12364] = 11590,
  [12365] = 10268,
  [12366] = 9249,
  [12367] = 12211,
  [12368] = 12211,
  [12369] = 12211,
  [12370] = 12211,
  [12371] = 11495,
  [12372] = 11497,
  [12373] = 9518,
  [12374] = 12211,
  [12375] = 11481,
  [12376] = 12211,
  [12377] = 12211,
  [12378] = 11482,
  [12379] = 11482,
  [12380] = 11488,
  [12381] = 6431,
  [12382] = 12382,
  [12383] = 12211,
  [12384] = 6431,
  [12385] = 12211,
  [12386] = 6360,
  [12387] = 10715,
  [12388] = 12211,
  [12389] = 11424,
  [12390] = 11408,
  [12391] = 11497,
  [12392] = 11495,
  [12393] = 11438,
  [12394] = 11494,
  [12395] = 12255,
  [12396] = 11534,
  [12397] = 11544,
  [12398] = 12398,
  [12399] = 12399,
  [12400] = 11545,
  [12401] = 12211,
  [12402] = 12257,
  [12403] = 5745,
  [12404] = 12211,
  [12405] = 12211,
  [12406] = 12211,
  [12407] = 12004,
  [12408] = 11998,
  [12409] = 12211,
  [12410] = 11416,
  [12411] = 11481,
  [12412] = 11540,
  [12413] = 11590,
  [12414] = 12398,
  [12415] = 12138,
  [12416] = 11416,
  [12417] = 9245,
  [12418] = 12006,
  [12419] = 11456,
  [12420] = 10715,
  [12421] = 12421,
  [12422] = 12422,
  [12423] = 12423,
  [12424] = 9247,
  [12425] = 12004,
  [12426] = 9251,
  [12427] = 9252,
  [12428] = 9254,
  [12429] = 9257,
  [12430] = 12227,
  [12431] = 9334,
  [12432] = 9262,
  [12433] = 10172,
  [12434] = 8372,
  [12435] = 12211,
  [12436] = 9264,
  [12437] = 12040,
  [12438] = 11427,
  [12439] = 12138,
  [12440] = 9232,
  [12441] = 9231,
  [12442] = 12211,
  [12443] = 9225,
  [12444] = 9278,
  [12445] = 9245,
  [12446] = 9273,
  [12447] = 11502,
  [12448] = 5670,
  [12449] = 12223,
  [12450] = 12211,
  [12451] = 12211,
  [12452] = 11456,
  [12453] = 12211,
  [12454] = 9784,
  [12455] = 11453,
  [12456] = 12140,
  [12457] = 12211,
  [12458] = 11557,
  [12459] = 11453,
  [12460] = 12148,
  [12461] = 11427,
  [12462] = 11540,
  [12463] = 12211,
  [12464] = 12211,
  [12465] = 12211,
  [12466] = 5755,
  [12467] = 12211,
  [12468] = 10867,
  [12469] = 11557,
  [12470] = 12211,
  [12471] = 11502,
  [12472] = 11772,
  [12473] = 11615,
  [12474] = 12474,
  [12475] = 12475,
  [12476] = 12474,
  [12477] = 12477,
  [12478] = 12478,
  [12479] = 12477,
  [12480] = 9264,
  [12481] = 12481,
  [12482] = 12474,
  [12483] = 12483,
  [12484] = 12475,
  [12485] = 12478,
  [12486] = 12486,
  [12487] = 12483,
  [12488] = 12475,
  [12489] = 12481,
  [12490] = 12478,
  [12491] = 12483,
  [12492] = 12486,
  [12493] = 12483,
  [12494] = 9262,
  [12495] = 12483,
  [12496] = 12474,
  [12497] = 9257,
  [12498] = 12498,
  [12499] = 12499,
  [12500] = 12483,
  [12501] = 9241,
  [12502] = 9254,
  [12503] = 11438,
  [12504] = 12498,
  [12505] = 12483,
  [12506] = 12506,
  [12507] = 12475,
  [12508] = 12481,
  [12509] = 11599,
  [12510] = 12478,
  [12511] = 12498,
  [12512] = 3556,
  [12513] = 9252,
  [12514] = 9251,
  [12515] = 11495,
  [12516] = 11497,
  [12517] = 12498,
  [12518] = 12486,
  [12519] = 12486,
  [12520] = 11667,
  [12521] = 12481,
  [12522] = 9247,
  [12523] = 12477,
  [12524] = 11599,
  [12525] = 12499,
  [12526] = 12498,
  [12527] = 12499,
  [12528] = 12486,
  [12529] = 11093,
  [12530] = 12475,
  [12531] = 12474,
  [12532] = 12475,
  [12533] = 12477,
  [12534] = 12477,
  [12535] = 11667,
  [12536] = 12477,
  [12537] = 12481,
  [12538] = 12483,
  [12539] = 12474,
  [12540] = 12478,
  [12541] = 12481,
  [12542] = 12474,
  [12543] = 12478,
  [12544] = 12475,
  [12545] = 12545,
  [12546] = 12140,
  [12547] = 12475,
  [12548] = 12481,
  [12549] = 12483,
  [12550] = 12475,
  [12551] = 12483,
  [12552] = 12475,
  [12553] = 12475,
  [12554] = 12483,
  [12555] = 12483,
  [12556] = 12481,
  [12557] = 12478,
  [12558] = 12486,
  [12559] = 12474,
  [12560] = 12477,
  [12561] = 12483,
  [12562] = 9302,
  [12563] = 12498,
  [12564] = 12481,
  [12565] = 12478,
  [12566] = 9263,
  [12567] = 9266,
  [12568] = 9269,
  [12569] = 12486,
  [12570] = 12499,
  [12571] = 12478,
  [12572] = 12498,
  [12573] = 12474,
  [12574] = 12138,
  [12575] = 12004,
  [12576] = 12499,
  [12577] = 12477,
  [12578] = 12474,
  [12579] = 12478,
  [12580] = 12486,
  [12581] = 12483,
  [12582] = 12475,
  [12583] = 12477,
  [12584] = 12498,
  [12585] = 12498,
  [12586] = 9232,
  [12587] = 12486,
  [12588] = 12478,
  [12589] = 12474,
  [12590] = 12499,
  [12591] = 12481,
  [12592] = 9249,
  [12593] = 9233,
  [12594] = 12477,
  [12595] = 12499,
  [12596] = 12474,
  [12597] = 12478,
  [12598] = 12483,
  [12599] = 12475,
  [12600] = 12486,
  [12601] = 11615,
  [12602] = 12481,
  [12603] = 12474,
  [12604] = 12498,
  [12605] = 12474,
  [12606] = 5820,
  [12607] = 12477,
  [12608] = 12477,
  [12609] = 11864,
  [12610] = 12499,
  [12611] = 12478,
  [12612] = 12486,
  [12613] = 12483,
  [12614] = 12475,
  [12615] = 12498,
  [12616] = 12481,
  [12617] = 12617,
  [12618] = 12474,
  [12619] = 12499,
  [12620] = 12477,
  [12621] = 12498,
  [12622] = 10205,
  [12623] = 12481,
  [12624] = 12486,
  [12625] = 12499,
  [12626] = 10816,
  [12627] = 12486,
  [12628] = 12499,
  [12629] = 9231,
  [12630] = 12481,
  [12631] = 12475,
  [12632] = 10490,
  [12633] = 11141,
  [12634] = 12481,
  [12635] = 12498,
  [12636] = 9225,
  [12637] = 12477,
  [12638] = 12481,
  [12639] = 9278,
  [12640] = 11864,
  [12641] = 10785,
  [12642] = 12499,
  [12643] = 12499,
  [12644] = 10774,
  [12645] = 12499,
  [12646] = 12475,
  [12647] = 12499,
  [12648] = 12498,
  [12649] = 12044,
  [12650] = 9226,
  [12651] = 12477,
  [12652] = 12477,
  [12653] = 12474,
  [12654] = 12478,
  [12655] = 12474,
  [12656] = 12478,
  [12657] = 12486,
  [12658] = 12658,
  [12659] = 12659,
  [12660] = 12475,
  [12661] = 12483,
  [12662] = 12498,
  [12663] = 12498,
  [12664] = 12478,
  [12665] = 12486,
  [12666] = 12072,
  [12667] = 12481,
  [12668] = 12478,
  [12669] = 12499,
  [12670] = 12483,
  [12671] = 12498,
  [12672] = 9273,
  [12673] = 12481,
  [12674] = 12474,
  [12675] = 12481,
  [12676] = 12499,
  [12677] = 12483,
  [12678] = 12483,
  [12679] = 12481,
  [12680] = 12477,
  [12681] = 12481,
  [12682] = 9334,
  [12683] = 12475,
  [12684] = 12498,
  [12685] = 12499,
  [12686] = 12474,
  [12687] = 12478,
  [12688] = 12478,
  [12689] = 12474,
  [12690] = 12477,
  [12691] = 12483,
  [12692] = 12475,
  [12693] = 12474,
  [12694] = 12486,
  [12695] = 12499,
  [12696] = 12477,
  [12697] = 12486,
  [12698] = 12499,
  [12699] = 12481,
  [12700] = 12481,
  [12701] = 12475,
  [12702] = 12498,
  [12703] = 12474,
  [12704] = 9245,
  [12705] = 12705,
  [12706] = 12498,
  [12707] = 12486,
  [12708] = 12481,
  [12709] = 12499,
  [12710] = 12475,
  [12711] = 12486,
  [12712] = 11866,
  [12713] = 12498,
  [12714] = 12481,
  [12715] = 11866,
  [12716] = 11772,
  [12717] = 12486,
  [12718] = 12486,
  [12719] = 12481,
  [12720] = 12477,
  [12721] = 12486,
  [12722] = 12499,
  [12723] = 12499,
  [12724] = 12499,
  [12725] = 12498,
  [12726] = 12498,
  [12727] = 12477,
  [12728] = 12475,
  [12729] = 12477,
  [12730] = 12474,
  [12731] = 12478,
  [12732] = 12483,
  [12733] = 12475,
  [12734] = 12474,
  [12735] = 12705,
  [12736] = 12486,
  [12737] = 12737,
  [12738] = 12738,
  [12739] = 12481,
  [12740] = 12740,
  [12741] = 11034,
  [12742] = 12742,
  [12743] = 12499,
  [12744] = 12475,
  [12745] = 12483,
  [12746] = 12498,
  [12747] = 12737,
  [12748] = 12498,
  [12749] = 12617,
  [12750] = 10973,
  [12751] = 12499,
  [12752] = 12486,
  [12753] = 12498,
  [12754] = 12477,
  [12755] = 12478,
  [12756] = 11438,
  [12757] = 12499,
  [12758] = 12478,
  [12759] = 12498,
  [12760] = 12477,
  [12761] = 12474,
  [12762] = 12478,
  [12763] = 10977,
  [12764] = 12483,
  [12765] = 12499,
  [12766] = 12499,
  [12767] = 12767,
  [12768] = 12768,
  [12769] = 12481,
  [12770] = 9233,
  [12771] = 12475,
  [12772] = 12477,
  [12773] = 12474,
  [12774] = 12486,
  [12775] = 12486,
  [12776] = 11495,
  [12777] = 12474,
  [12778] = 11497,
  [12779] = 12481,
  [12780] = 12478,
  [12781] = 12781,
  [12782] = 12483,
  [12783] = 12781,
  [12784] = 11169,
  [12785] = 12478,
  [12786] = 12481,
  [12787] = 12477,
  [12788] = 12475,
  [12789] = 12475,
  [12790] = 12498,
  [12791] = 12483,
  [12792] = 12477,
  [12793] = 11772,
  [12794] = 12483,
  [12795] = 11866,
  [12796] = 12475,
  [12797] = 12767,
  [12798] = 12475,
  [12799] = 12499,
  [12800] = 12486,
  [12801] = 12499,
  [12802] = 12478,
  [12803] = 12477,
  [12804] = 12474,
  [12805] = 12478,
  [12806] = 12483,
  [12807] = 12475,
  [12808] = 12475,
  [12809] = 12478,
  [12810] = 12486,
  [12811] = 12481,
  [12812] = 11438,
  [12813] = 12483,
  [12814] = 12474,
  [12815] = 12477,
  [12816] = 12499,
  [12817] = 12498,
  [12818] = 9334,
  [12819] = 12486,
  [12820] = 12481,
  [12821] = 12483,
  [12822] = 12822,
  [12823] = 12481,
  [12824] = 12486,
  [12825] = 12477,
  [12826] = 12474,
  [12827] = 12483,
  [12828] = 12481,
  [12829] = 12486,
  [12830] = 10774,
  [12831] = 12486,
  [12832] = 12483,
  [12833] = 9273,
  [12834] = 9245,
  [12835] = 9278,
  [12836] = 9225,
  [12837] = 9231,
  [12838] = 9232,
  [12839] = 9264,
  [12840] = 9262,
  [12841] = 12478,
  [12842] = 9257,
  [12843] = 9254,
  [12844] = 9252,
  [12845] = 9251,
  [12846] = 9247,
  [12847] = 12481,
  [12848] = 12499,
  [12849] = 12481,
  [12850] = 12478,
  [12851] = 12483,
  [12852] = 11495,
  [12853] = 12478,
  [12854] = 12499,
  [12855] = 12738,
  [12856] = 12475,
  [12857] = 12477,
  [12858] = 12474,
  [12859] = 12478,
  [12860] = 12483,
  [12861] = 12475,
  [12862] = 12498,
  [12863] = 12475,
  [12864] = 12864,
  [12865] = 12477,
  [12866] = 12474,
  [12867] = 12486,
  [12868] = 11772,
  [12869] = 12498,
  [12870] = 11497,
  [12871] = 12481,
  [12872] = 12483,
  [12873] = 12486,
  [12874] = 10785,
  [12875] = 12486,
  [12876] = 12475,
  [12877] = 12499,
  [12878] = 12477,
  [12879] = 12498,
  [12880] = 12474,
  [12881] = 12474,
  [12882] = 12477,
  [12883] = 12474,
  [12884] = 12498,
  [12885] = 12477,
  [12886] = 12475,
  [12887] = 12498,
  [12888] = 12478,
  [12889] = 12483,
  [12890] = 12737,
  [12891] = 12483,
  [12892] = 12475,
  [12893] = 12478,
  [12894] = 12474,
  [12895] = 11093,
  [12896] = 12481,
  [12897] = 12478,
  [12898] = 12498,
  [12899] = 12740,
  [12900] = 12498,
  [12901] = 12475,
  [12902] = 12481,
  [12903] = 12486,
  [12904] = 9249,
  [12905] = 12498,
  [12906] = 12483,
  [12907] = 12498,
  [12908] = 12781,
  [12909] = 12478,
  [12910] = 12475,
  [12911] = 12499,
  [12912] = 12486,
  [12913] = 12474,
  [12914] = 12498,
  [12915] = 12483,
  [12916] = 12477,
  [12917] = 12474,
  [12918] = 12486,
  [12919] = 12498,
  [12920] = 12477,
  [12921] = 12478,
  [12922] = 12483,
  [12923] = 12475,
  [12924] = 12499,
  [12925] = 12478,
  [12926] = 9334,
  [12927] = 12499,
  [12928] = 10816,
  [12929] = 12498,
  [12930] = 12481,
  [12931] = 12477,
  [12932] = 12486,
  [12933] = 12742,
  [12934] = 12499,
  [12935] = 12477,
  [12936] = 12477,
  [12937] = 12481,
  [12938] = 12474,
  [12939] = 12486,
  [12940] = 12477,
  [12941] = 12475,
  [12942] = 12474,
  [12943] = 12478,
  [12944] = 12483,
  [12945] = 12475,
  [12946] = 12486,
  [12947] = 12481,
  [12948] = 12499,
  [12949] = 12474,
  [12950] = 12478,
  [12951] = 12475,
  [12952] = 12498,
  [12953] = 12498,
  [12954] = 12486,
  [12955] = 12483,
  [12956] = 11169,
  [12957] = 12499,
  [12958] = 12477,
  [12959] = 12474,
  [12960] = 12483,
  [12961] = 12478,
  [12962] = 12483,
  [12963] = 12475,
  [12964] = 12499,
  [12965] = 12499,
  [12966] = 12545,
  [12967] = 12483,
  [12968] = 12478,
  [12969] = 12478,
  [12970] = 12475,
  [12971] = 12499,
  [12972] = 12486,
  [12973] = 12498,
  [12974] = 12486,
  [12975] = 12498,
  [12976] = 12481,
  [12977] = 12478,
  [12978] = 12499,
  [12979] = 12474,
  [12980] = 12980,
  [12981] = 12498,
  [12982] = 12486,
  [12983] = 12477,
  [12984] = 12498,
  [12985] = 12481,
  [12986] = 12498,
  [12987] = 12486,
  [12988] = 12474,
  [12989] = 12486,
  [12990] = 12477,
  [12991] = 12477,
  [12992] = 12474,
  [12993] = 12481,
  [12994] = 12499,
  [12995] = 12477,
  [12996] = 12474,
  [12997] = 12486,
  [12998] = 10973,
  [12999] = 10977,
  [13000] = 12475,
  [13001] = 12483,
  [13002] = 12478,
  [13003] = 12483,
  [13004] = 12499,
  [13005] = 12481,
  [13006] = 12478,
  [13007] = 12475,
  [13008] = 12478,
  [13009] = 12481,
  [13010] = 12478,
  [13011] = 12474,
  [13012] = 12477,
  [13013] = 12474,
  [13014] = 12498,
  [13015] = 12477,
  [13016] = 12499,
  [13017] = 12483,
  [13018] = 12477,
  [13019] = 12474,
  [13020] = 12483,
  [13021] = 12481,
  [13022] = 12475,
  [13023] = 12475,
  [13024] = 12767,
  [13025] = 12486,
  [13026] = 12477,
  [13027] = 12483,
  [13028] = 12474,
  [13029] = 11141,
  [13030] = 12478,
  [13031] = 12499,
  [13032] = 12478,
  [13033] = 12483,
  [13034] = 12498,
  [13035] = 12481,
  [13036] = 12742,
  [13037] = 12740,
  [13038] = 12738,
  [13039] = 12481,
  [13040] = 12475,
  [13041] = 12474,
  [13042] = 12477,
  [13043] = 12478,
  [13044] = 12483,
  [13045] = 11034,
  [13046] = 12499,
  [13047] = 12475,
  [13048] = 12475,
  [13049] = 12478,
  [13050] = 12498,
  [13051] = 12486,
  [13052] = 12499,
  [13053] = 12705,
  [13054] = 12486,
  [13055] = 12486,
  [13056] = 12499,
  [13057] = 12498,
  [13058] = 12477,
  [13059] = 12474,
  [13060] = 12223,
  [13061] = 13061,
  [13062] = 12239,
  [13063] = 12767,
  [13064] = 12737,
  [13065] = 12742,
  [13066] = 13066,
  [13067] = 10220,
  [13068] = 12781,
  [13069] = 12740,
  [13070] = 13070,
  [13071] = 12738,
  [13072] = 13061,
  [13073] = 12705,
  [13074] = 10229,
  [13075] = 10230,
  [13076] = 10231,
  [13077] = 12740,
  [13078] = 12742,
  [13079] = 10246,
  [13080] = 13080,
  [13081] = 11866,
  [13082] = 12227,
  [13083] = 12223,
  [13084] = 12216,
  [13085] = 12274,
  [13086] = 12265,
  [13087] = 12262,
  [13088] = 12257,
  [13089] = 12255,
  [13090] = 12247,
  [13091] = 12767,
  [13092] = 9249,
  [13093] = 12742,
  [13094] = 12740,
  [13095] = 10236,
  [13096] = 12738,
  [13097] = 10172,
  [13098] = 12705,
  [13099] = 10239,
  [13100] = 9233,
  [13101] = 9245,
  [13102] = 13102,
  [13103] = 10225,
  [13104] = 10226,
  [13105] = 10235,
  [13106] = 10251,
  [13107] = 6360,
  [13108] = 9249,
  [13109] = 9233,
  [13110] = 13110,
  [13111] = 11772,
  [13112] = 9334,
  [13113] = 10963,
  [13114] = 13114,
  [13115] = 12737,
  [13116] = 12781,
  [13117] = 9784,
  [13118] = 13118,
  [13119] = 11772,
  [13120] = 10240,
  [13121] = 13066,
  [13122] = 11866,
  [13123] = 9518,
  [13124] = 13066,
  [13125] = 12072,
  [13126] = 12044,
  [13127] = 12140,
  [13128] = 10277,
  [13129] = 10282,
  [13130] = 11102,
  [13131] = 10283,
  [13132] = 10284,
  [13133] = 10285,
  [13134] = 13061,
  [13135] = 12072,
  [13136] = 10287,
  [13137] = 12044,
  [13138] = 13138,
  [13139] = 12140,
  [13140] = 13140,
  [13141] = 3396,
  [13142] = 12239,
  [13143] = 10291,
  [13144] = 10292,
  [13145] = 13070,
  [13146] = 13146,
  [13147] = 3395,
  [13148] = 10293,
  [13149] = 13149,
  [13150] = 3393,
  [13151] = 12227,
  [13152] = 9226,
  [13153] = 13153,
  [13154] = 12006,
  [13155] = 9273,
  [13156] = 9245,
  [13157] = 9278,
  [13158] = 9225,
  [13159] = 9231,
  [13160] = 9232,
  [13161] = 9264,
  [13162] = 9262,
  [13163] = 9257,
  [13164] = 9254,
  [13165] = 9252,
  [13166] = 9251,
  [13167] = 3399,
  [13168] = 10294,
  [13169] = 9247,
  [13170] = 13066,
  [13171] = 13061,
  [13172] = 13172,
  [13173] = 12216,
  [13174] = 12274,
  [13175] = 12004,
  [13176] = 12265,
  [13177] = 12262,
  [13178] = 12257,
  [13179] = 12255,
  [13180] = 12247,
  [13181] = 9241,
  [13182] = 12738,
  [13183] = 9302,
  [13184] = 9263,
  [13185] = 13185,
  [13186] = 9266,
  [13187] = 9269,
  [13188] = 13188,
  [13189] = 13189,
  [13190] = 9278,
  [13191] = 12138,
  [13192] = 9247,
  [13193] = 9251,
  [13194] = 13061,
  [13195] = 12004,
  [13196] = 12138,
  [13197] = 13197,
  [13198] = 13198,
  [13199] = 12006,
  [13200] = 13066,
  [13201] = 9254,
  [13202] = 11772,
  [13203] = 11866,
  [13204] = 12148,
  [13205] = 10271,
  [13206] = 12781,
  [13207] = 9257,
  [13208] = 13061,
  [13209] = 9262,
  [13210] = 12148,
  [13211] = 9264,
  [13212] = 9232,
  [13213] = 9231,
  [13214] = 9225,
  [13215] = 11998,
  [13216] = 13066,
  [13217] = 12767,
  [13218] = 10963,
  [13219] = 9252,
  [13220] = 12040,
  [13221] = 9334,
  [13222] = 12737,
  [13223] = 12040,
  [13224] = 13198,
  [13225] = 9273,
  [13226] = 10215,
  [13227] = 13061,
  [13228] = 10268,
  [13229] = 11998,
  [13230] = 13230,
  [13231] = 13197,
  [13232] = 13061,
  [13233] = 9334,
  [13234] = 12705,
  [13235] = 13235,
  [13236] = 13066,
  [13237] = 10164,
  [13238] = 10138,
  [13239] = 6431,
  [13240] = 11102,
  [13241] = 3596,
  [13242] = 10867,
  [13243] = 9241,
  [13244] = 9302,
  [13245] = 13245,
  [13246] = 9263,
  [13247] = 13247,
  [13248] = 13247,
  [13249] = 13247,
  [13250] = 9266,
  [13251] = 13251,
  [13252] = 13252,
  [13253] = 13253,
  [13254] = 13247,
  [13255] = 13247,
  [13256] = 13247,
  [13257] = 13257,
  [13258] = 9269,
  [13259] = 9247,
  [13260] = 9233,
  [13261] = 13261,
  [13262] = 13247,
  [13263] = 9249,
  [13264] = 9241,
  [13265] = 9226,
  [13266] = 9302,
  [13267] = 13267,
  [13268] = 9263,
  [13269] = 9266,
  [13270] = 9269,
  [13271] = 13271,
  [13272] = 3523,
  [13273] = 9251,
  [13274] = 13274,
  [13275] = 9252,
  [13276] = 13247,
  [13277] = 9269,
  [13278] = 9254,
  [13279] = 9266,
  [13280] = 9257,
  [13281] = 13257,
  [13282] = 9334,
  [13283] = 9263,
  [13284] = 13274,
  [13285] = 9302,
  [13286] = 13247,
  [13287] = 9241,
  [13288] = 13288,
  [13289] = 9262,
  [13290] = 13290,
  [13291] = 9264,
  [13292] = 9232,
  [13293] = 9231,
  [13294] = 13247,
  [13295] = 9225,
  [13296] = 13247,
  [13297] = 9241,
  [13298] = 9278,
  [13299] = 9245,
  [13300] = 9302,
  [13301] = 9273,
  [13302] = 9263,
  [13303] = 9266,
  [13304] = 10867,
  [13305] = 13305,
  [13306] = 13306,
  [13307] = 3596,
  [13308] = 9269,
  [13309] = 3656,
  [13310] = 13247,
  [13311] = 9225,
  [13312] = 13312,
  [13313] = 13247,
  [13314] = 13314,
  [13315] = 13247,
  [13316] = 9249,
  [13317] = 9269,
  [13318] = 9266,
  [13319] = 13319,
  [13320] = 13247,
  [13321] = 9263,
  [13322] = 9302,
  [13323] = 9226,
  [13324] = 9334,
  [13325] = 13325,
  [13326] = 9241,
  [13327] = 9247,
  [13328] = 13251,
  [13329] = 9269,
  [13330] = 9266,
  [13331] = 9226,
  [13332] = 9251,
  [13333] = 13333,
  [13334] = 9252,
  [13335] = 9249,
  [13336] = 9263,
  [13337] = 9302,
  [13338] = 13247,
  [13339] = 9254,
  [13340] = 9257,
  [13341] = 3658,
  [13342] = 13342,
  [13343] = 9241,
  [13344] = 13344,
  [13345] = 9262,
  [13346] = 9233,
  [13347] = 9264,
  [13348] = 13348,
  [13349] = 13288,
  [13350] = 13350,
  [13351] = 9245,
  [13352] = 13352,
  [13353] = 13353,
  [13354] = 9249,
  [13355] = 9232,
  [13356] = 13356,
  [13357] = 13312,
  [13358] = 13314,
  [13359] = 9231,
  [13360] = 13247,
  [13361] = 13247,
  [13362] = 13247,
  [13363] = 12138,
  [13364] = 9278,
  [13365] = 9245,
  [13366] = 9273,
  [13367] = 9245,
  [13368] = 9273,
  [13369] = 13369,
  [13370] = 9278,
  [13371] = 13247,
  [13372] = 3600,
  [13373] = 9225,
  [13374] = 9231,
  [13375] = 9334,
  [13376] = 9232,
  [13377] = 9273,
  [13378] = 9264,
  [13379] = 9262,
  [13380] = 12004,
  [13381] = 9257,
  [13382] = 9254,
  [13383] = 12140,
  [13384] = 12044,
  [13385] = 12072,
  [13386] = 9245,
  [13387] = 13247,
  [13388] = 9252,
  [13389] = 3641,
  [13390] = 3637,
  [13391] = 3635,
  [13392] = 9251,
  [13393] = 12140,
  [13394] = 3629,
  [13395] = 12044,
  [13396] = 12072,
  [13397] = 9278,
  [13398] = 9225,
  [13399] = 9231,
  [13400] = 9232,
  [13401] = 13247,
  [13402] = 9264,
  [13403] = 9262,
  [13404] = 9257,
  [13405] = 9254,
  [13406] = 9252,
  [13407] = 9251,
  [13408] = 13247,
  [13409] = 11497,
  [13410] = 9247,
  [13411] = 10138,
  [13412] = 9247,
  [13413] = 11495,
  [13414] = 3656,
  [13415] = 13247,
  [13416] = 12004,
  [13417] = 12138,
  [13418] = 9249,
  [13419] = 13369,
  [13420] = 13247,
  [13421] = 13247,
  [13422] = 10172,
  [13423] = 3658,
  [13424] = 9334,
  [13425] = 9249,
  [13426] = 13247,
  [13427] = 11438,
  [13428] = 3518,
  [13429] = 13247,
  [13430] = 13247,
  [13431] = 13247,
  [13432] = 13247,
  [13433] = 13247,
  [13434] = 9249,
  [13435] = 13350,
  [13436] = 9233,
  [13437] = 9249,
  [13438] = 10205,
  [13439] = 13344,
  [13440] = 13440,
  [13441] = 13247,
  [13442] = 13356,
  [13443] = 13267,
  [13444] = 13257,
  [13445] = 3600,
  [13446] = 13247,
  [13447] = 9269,
  [13448] = 13247,
  [13449] = 3641,
  [13450] = 9233,
  [13451] = 13149,
  [13452] = 9247,
  [13453] = 10164,
  [13454] = 9251,
  [13455] = 9263,
  [13456] = 9252,
  [13457] = 13102,
  [13458] = 9302,
  [13459] = 9273,
  [13460] = 9241,
  [13461] = 9254,
  [13462] = 9257,
  [13463] = 9249,
  [13464] = 13247,
  [13465] = 9273,
  [13466] = 9245,
  [13467] = 9278,
  [13468] = 9225,
  [13469] = 9245,
  [13470] = 9231,
  [13471] = 9232,
  [13472] = 9226,
  [13473] = 9264,
  [13474] = 9262,
  [13475] = 9257,
  [13476] = 9254,
  [13477] = 9245,
  [13478] = 9334,
  [13479] = 9226,
  [13480] = 13230,
  [13481] = 13118,
  [13482] = 9233,
  [13483] = 9252,
  [13484] = 9251,
  [13485] = 9247,
  [13486] = 9233,
  [13487] = 13172,
  [13488] = 13185,
  [13489] = 9262,
  [13490] = 9249,
  [13491] = 9233,
  [13492] = 9249,
  [13493] = 3637,
  [13494] = 13356,
  [13495] = 13344,
  [13496] = 13188,
  [13497] = 9264,
  [13498] = 9232,
  [13499] = 9231,
  [13500] = 9225,
  [13501] = 13153,
  [13502] = 13140,
  [13503] = 9278,
  [13504] = 9273,
  [13505] = 13114,
  [13506] = 3635,
  [13507] = 3629,
  [13508] = 13247,
  [13509] = 9784,
  [13510] = 13350,
  [13511] = 13288,
  [13512] = 13312,
  [13513] = 10490,
  [13514] = 13314,
  [13515] = 13290,
  [13516] = 9278,
  [13517] = 11497,
  [13518] = 13247,
  [13519] = 11495,
  [13520] = 9225,
  [13521] = 13247,
  [13522] = 9231,
  [13523] = 11438,
  [13524] = 9232,
  [13525] = 13247,
  [13526] = 9264,
  [13527] = 3522,
  [13528] = 13235,
  [13529] = 13110,
  [13530] = 9262,
  [13531] = 13261,
  [13532] = 9257,
  [13533] = 9334,
  [13534] = 13247,
  [13535] = 3463,
  [13536] = 9226,
  [13537] = 9254,
  [13538] = 9252,
  [13539] = 9245,
  [13540] = 9245,
  [13541] = 9266,
  [13542] = 9247,
  [13543] = 9334,
  [13544] = 13247,
  [13545] = 13350,
  [13546] = 9251,
  [13547] = 13247,
  [13548] = 13247,
  [13549] = 9249,
  [13550] = 13146,
  [13551] = 13080,
  [13552] = 13247,
  [13553] = 3530,
  [13554] = 13247,
  [13555] = 13555,
  [13556] = 13556,
  [13557] = 3529,
  [13558] = 13247,
  [13559] = 3527,
  [13560] = 3526,
  [13561] = 13440,
  [13562] = 13247,
  [13563] = 13247,
  [13564] = 9245,
  [13565] = 13247,
  [13566] = 13261,
  [13567] = 9245,
  [13568] = 9232,
  [13569] = 9568,
  [13570] = 13570,
  [13571] = 3399,
  [13572] = 13570,
  [13573] = 10268,
  [13574] = 13574,
  [13575] = 13575,
  [13576] = 9273,
  [13577] = 9278,
  [13578] = 9225,
  [13579] = 9231,
  [13580] = 9232,
  [13581] = 9264,
  [13582] = 11141,
  [13583] = 9262,
  [13584] = 13575,
  [13585] = 9257,
  [13586] = 9254,
  [13587] = 9252,
  [13588] = 9251,
  [13589] = 9247,
  [13590] = 9273,
  [13591] = 11141,
  [13592] = 10294,
  [13593] = 9232,
  [13594] = 13574,
  [13595] = 13575,
  [13596] = 13574,
  [13597] = 13575,
  [13598] = 9257,
  [13599] = 10251,
  [13600] = 13570,
  [13601] = 10231,
  [13602] = 13575,
  [13603] = 9278,
  [13604] = 13570,
  [13605] = 9273,
  [13606] = 13574,
  [13607] = 9225,
  [13608] = 13574,
  [13609] = 9231,
  [13610] = 10229,
  [13611] = 9245,
  [13612] = 9264,
  [13613] = 13570,
  [13614] = 10277,
  [13615] = 9262,
  [13616] = 9257,
  [13617] = 9254,
  [13618] = 9252,
  [13619] = 13575,
  [13620] = 13575,
  [13621] = 9251,
  [13622] = 9247,
  [13623] = 10282,
  [13624] = 13575,
  [13625] = 10220,
  [13626] = 10283,
  [13627] = 13575,
  [13628] = 10284,
  [13629] = 13575,
  [13630] = 13630,
  [13631] = 13575,
  [13632] = 9334,
  [13633] = 13575,
  [13634] = 10285,
  [13635] = 9247,
  [13636] = 13575,
  [13637] = 3396,
  [13638] = 13575,
  [13639] = 3395,
  [13640] = 13575,
  [13641] = 9251,
  [13642] = 9252,
  [13643] = 9254,
  [13644] = 13575,
  [13645] = 13575,
  [13646] = 13570,
  [13647] = 9273,
  [13648] = 13575,
  [13649] = 3393,
  [13650] = 9257,
  [13651] = 13575,
  [13652] = 9262,
  [13653] = 13653,
  [13654] = 13575,
  [13655] = 9264,
  [13656] = 9232,
  [13657] = 9231,
  [13658] = 13574,
  [13659] = 13575,
  [13660] = 9225,
  [13661] = 9278,
  [13662] = 9278,
  [13663] = 13574,
  [13664] = 9245,
  [13665] = 13570,
  [13666] = 9225,
  [13667] = 13570,
  [13668] = 9273,
  [13669] = 13575,
  [13670] = 9231,
  [13671] = 9278,
  [13672] = 13574,
  [13673] = 9273,
  [13674] = 9154,
  [13675] = 9247,
  [13676] = 9225,
  [13677] = 9334,
  [13678] = 9231,
  [13679] = 9232,
  [13680] = 9334,
  [13681] = 9264,
  [13682] = 9264,
  [13683] = 9262,
  [13684] = 13575,
  [13685] = 9254,
  [13686] = 9245,
  [13687] = 9262,
  [13688] = 9257,
  [13689] = 9251,
  [13690] = 13575,
  [13691] = 9241,
  [13692] = 9254,
  [13693] = 9252,
  [13694] = 9251,
  [13695] = 9302,
  [13696] = 9263,
  [13697] = 9266,
  [13698] = 13570,
  [13699] = 9251,
  [13700] = 9269,
  [13701] = 9247,
  [13702] = 9247,
  [13703] = 13574,
  [13704] = 9252,
  [13705] = 13575,
  [13706] = 9254,
  [13707] = 13570,
  [13708] = 9257,
  [13709] = 13575,
  [13710] = 10230,
  [13711] = 13574,
  [13712] = 9262,
  [13713] = 9273,
  [13714] = 9264,
  [13715] = 9273,
  [13716] = 13575,
  [13717] = 13570,
  [13718] = 9278,
  [13719] = 13575,
  [13720] = 9225,
  [13721] = 9231,
  [13722] = 13575,
  [13723] = 9232,
  [13724] = 9264,
  [13725] = 9262,
  [13726] = 9257,
  [13727] = 9254,
  [13728] = 9252,
  [13729] = 9251,
  [13730] = 9247,
  [13731] = 9245,
  [13732] = 9233,
  [13733] = 13574,
  [13734] = 13574,
  [13735] = 9278,
  [13736] = 9225,
  [13737] = 13574,
  [13738] = 9334,
  [13739] = 9231,
  [13740] = 9232,
  [13741] = 13570,
  [13742] = 13575,
  [13743] = 9264,
  [13744] = 13744,
  [13745] = 13575,
  [13746] = 13570,
  [13747] = 9262,
  [13748] = 13575,
  [13749] = 13574,
  [13750] = 13575,
  [13751] = 9257,
  [13752] = 13575,
  [13753] = 13753,
  [13754] = 13744,
  [13755] = 9254,
  [13756] = 9252,
  [13757] = 13574,
  [13758] = 13570,
  [13759] = 9251,
  [13760] = 9232,
  [13761] = 11866,
  [13762] = 9226,
  [13763] = 13570,
  [13764] = 11772,
  [13765] = 13574,
  [13766] = 9241,
  [13767] = 13574,
  [13768] = 13570,
  [13769] = 9231,
  [13770] = 13770,
  [13771] = 9247,
  [13772] = 13575,
  [13773] = 9547,
  [13774] = 13570,
  [13775] = 9249,
  [13776] = 9225,
  [13777] = 13574,
  [13778] = 9269,
  [13779] = 13575,
  [13780] = 13574,
  [13781] = 9278,
  [13782] = 9266,
  [13783] = 9263,
  [13784] = 13570,
  [13785] = 9245,
  [13786] = 13570,
  [13787] = 13570,
  [13788] = 9302,
  [13789] = 13574,
  [13790] = 10235,
  [13791] = 13570,
  [13792] = 13570,
  [13793] = 13575,
  [13794] = 13575,
  [13795] = 13574,
  [13796] = 13575,
  [13797] = 13574,
  [13798] = 13574,
  [13799] = 13575,
  [13800] = 13570,
  [13801] = 9334,
  [13802] = 13570,
  [13803] = 10226,
  [13804] = 9334,
  [13805] = 13574,
  [13806] = 13574,
  [13807] = 9233,
  [13808] = 13575,
  [13809] = 13570,
  [13810] = 9249,
  [13811] = 9334,
  [13812] = 9226,
  [13813] = 9249,
  [13814] = 10205,
  [13815] = 9252,
  [13816] = 13570,
  [13817] = 10271,
  [13818] = 13570,
  [13819] = 9302,
  [13820] = 9263,
  [13821] = 13821,
  [13822] = 13574,
  [13823] = 9241,
  [13824] = 13570,
  [13825] = 13575,
  [13826] = 10236,
  [13827] = 10225,
  [13828] = 13574,
  [13829] = 13575,
  [13830] = 13575,
  [13831] = 10293,
  [13832] = 10292,
  [13833] = 10291,
  [13834] = 13570,
  [13835] = 13575,
  [13836] = 9241,
  [13837] = 13574,
  [13838] = 13574,
  [13839] = 13570,
  [13840] = 10239,
  [13841] = 13575,
  [13842] = 13575,
  [13843] = 10215,
  [13844] = 10246,
  [13845] = 13570,
  [13846] = 9233,
  [13847] = 13575,
  [13848] = 13574,
  [13849] = 13570,
  [13850] = 13574,
  [13851] = 9151,
  [13852] = 9150,
  [13853] = 9302,
  [13854] = 9269,
  [13855] = 9263,
  [13856] = 9247,
  [13857] = 13570,
  [13858] = 9251,
  [13859] = 13574,
  [13860] = 9252,
  [13861] = 9129,
  [13862] = 9254,
  [13863] = 9233,
  [13864] = 9241,
  [13865] = 9257,
  [13866] = 13570,
  [13867] = 13570,
  [13868] = 9262,
  [13869] = 9249,
  [13870] = 9264,
  [13871] = 13574,
  [13872] = 9232,
  [13873] = 9226,
  [13874] = 9231,
  [13875] = 9225,
  [13876] = 9278,
  [13877] = 10240,
  [13878] = 9266,
  [13879] = 9269,
  [13880] = 9233,
  [13881] = 13575,
  [13882] = 9273,
  [13883] = 9266,
  [13884] = 9249,
  [13885] = 9245,
  [13886] = 13575,
  [13887] = 13570,
  [13888] = 13575,
  [13889] = 13574,
  [13890] = 13574,
  [13891] = 13570,
  [13892] = 9233,
  [13893] = 9269,
  [13894] = 13570,
  [13895] = 9266,
  [13896] = 13574,
  [13897] = 13574,
  [13898] = 13575,
  [13899] = 9245,
  [13900] = 11866,
  [13901] = 13570,
  [13902] = 13574,
  [13903] = 13903,
  [13904] = 9233,
  [13905] = 13575,
  [13906] = 9233,
  [13907] = 9334,
  [13908] = 13570,
  [13909] = 11772,
  [13910] = 13653,
  [13911] = 13753,
  [13912] = 9226,
  [13913] = 13575,
  [13914] = 9249,
  [13915] = 13575,
  [13916] = 13575,
  [13917] = 9302,
  [13918] = 9233,
  [13919] = 9263,
  [13920] = 13574,
  [13921] = 10287,
  [13922] = 9334,
  [13923] = 13574,
  [13924] = 9247,
  [13925] = 9249,
  [13926] = 13570,
  [13927] = 13570,
  [13928] = 13574,
  [13929] = 13570,
  [13930] = 13570,
  [13931] = 9251,
  [13932] = 9252,
  [13933] = 13574,
  [13934] = 13575,
  [13935] = 13570,
  [13936] = 13570,
  [13937] = 13575,
  [13938] = 9254,
  [13939] = 9269,
  [13940] = 13575,
  [13941] = 9257,
  [13942] = 13570,
  [13943] = 13574,
  [13944] = 9262,
  [13945] = 13575,
  [13946] = 9264,
  [13947] = 13574,
  [13948] = 9232,
  [13949] = 9231,
  [13950] = 9225,
  [13951] = 9278,
  [13952] = 9266,
  [13953] = 13574,
  [13954] = 9245,
  [13955] = 9273,
  [13956] = 13575,
  [13957] = 9263,
  [13958] = 13575,
  [13959] = 9302,
  [13960] = 13570,
  [13961] = 13574,
  [13962] = 13744,
  [13963] = 9241,
  [13964] = 13575,
  [13965] = 13570,
  [13966] = 13770,
  [13967] = 9233,
  [13968] = 13574,
  [13969] = 9249,
  [13970] = 13575,
  [13971] = 9334,
  [13972] = 13575,
  [13973] = 13574,
  [13974] = 13574,
  [13975] = 13570,
  [13976] = 9334,
  [13977] = 13574,
  [13978] = 13978,
  [13979] = 13978,
  [13980] = 13980,
  [13981] = 13981,
  [13982] = 13982,
  [13983] = 10220,
  [13984] = 13984,
  [13985] = 13985,
  [13986] = 13978,
  [13987] = 13978,
  [13988] = 13978,
  [13989] = 13149,
  [13990] = 13978,
  [13991] = 6360,
  [13992] = 13314,
  [13993] = 13312,
  [13994] = 13978,
  [13995] = 13118,
  [13996] = 13996,
  [13997] = 13978,
  [13998] = 9334,
  [13999] = 9247,
  [14000] = 14000,
  [14001] = 13978,
  [14002] = 9251,
  [14003] = 10229,
  [14004] = 13230,
  [14005] = 9278,
  [14006] = 10230,
  [14007] = 13978,
  [14008] = 13153,
  [14009] = 9252,
  [14010] = 9254,
  [14011] = 6431,
  [14012] = 13996,
  [14013] = 14000,
  [14014] = 9257,
  [14015] = 9225,
  [14016] = 9231,
  [14017] = 9232,
  [14018] = 13978,
  [14019] = 9264,
  [14020] = 9334,
  [14021] = 9262,
  [14022] = 9262,
  [14023] = 13140,
  [14024] = 9257,
  [14025] = 13114,
  [14026] = 9254,
  [14027] = 14027,
  [14028] = 9264,
  [14029] = 9252,
  [14030] = 9251,
  [14031] = 9232,
  [14032] = 9231,
  [14033] = 13312,
  [14034] = 13314,
  [14035] = 9225,
  [14036] = 9278,
  [14037] = 13978,
  [14038] = 9247,
  [14039] = 9273,
  [14040] = 13978,
  [14041] = 13978,
  [14042] = 13978,
  [14043] = 13978,
  [14044] = 13978,
  [14045] = 13978,
  [14046] = 13978,
  [14047] = 14047,
  [14048] = 9334,
  [14049] = 14049,
  [14050] = 14050,
  [14051] = 10225,
  [14052] = 10226,
  [14053] = 9334,
  [14054] = 9233,
  [14055] = 13978,
  [14056] = 13978,
  [14057] = 13978,
  [14058] = 13110,
  [14059] = 9334,
  [14060] = 10235,
  [14061] = 13344,
  [14062] = 10277,
  [14063] = 13978,
  [14064] = 13356,
  [14065] = 10236,
  [14066] = 10282,
  [14067] = 9334,
  [14068] = 10283,
  [14069] = 9233,
  [14070] = 13978,
  [14071] = 5966,
  [14072] = 13978,
  [14073] = 10284,
  [14074] = 13978,
  [14075] = 10287,
  [14076] = 13978,
  [14077] = 10291,
  [14078] = 9278,
  [14079] = 10239,
  [14080] = 13118,
  [14081] = 10292,
  [14082] = 10251,
  [14083] = 10293,
  [14084] = 13978,
  [14085] = 13978,
  [14086] = 14086,
  [14087] = 13188,
  [14088] = 13978,
  [14089] = 13978,
  [14090] = 13980,
  [14091] = 9225,
  [14092] = 14092,
  [14093] = 9273,
  [14094] = 13978,
  [14095] = 9231,
  [14096] = 13230,
  [14097] = 10240,
  [14098] = 14098,
  [14099] = 10294,
  [14100] = 3393,
  [14101] = 13978,
  [14102] = 3395,
  [14103] = 3396,
  [14104] = 9334,
  [14105] = 9232,
  [14106] = 3399,
  [14107] = 14107,
  [14108] = 9568,
  [14109] = 13153,
  [14110] = 9264,
  [14111] = 14027,
  [14112] = 9262,
  [14113] = 14113,
  [14114] = 9257,
  [14115] = 13978,
  [14116] = 9254,
  [14117] = 9252,
  [14118] = 9334,
  [14119] = 9251,
  [14120] = 13140,
  [14121] = 13978,
  [14122] = 13102,
  [14123] = 13172,
  [14124] = 13978,
  [14125] = 14125,
  [14126] = 10285,
  [14127] = 9247,
  [14128] = 13185,
  [14129] = 13978,
  [14130] = 13188,
  [14131] = 13235,
  [14132] = 10164,
  [14133] = 10271,
  [14134] = 13978,
  [14135] = 9334,
  [14136] = 9233,
  [14137] = 13110,
  [14138] = 13978,
  [14139] = 14139,
  [14140] = 14140,
  [14141] = 13978,
  [14142] = 13978,
  [14143] = 10231,
  [14144] = 13102,
  [14145] = 13257,
  [14146] = 14146,
  [14147] = 9278,
  [14148] = 9225,
  [14149] = 13978,
  [14150] = 13978,
  [14151] = 14151,
  [14152] = 9273,
  [14153] = 13978,
  [14154] = 9231,
  [14155] = 10172,
  [14156] = 10867,
  [14157] = 10246,
  [14158] = 13172,
  [14159] = 14159,
  [14160] = 13257,
  [14161] = 13978,
  [14162] = 13978,
  [14163] = 13080,
  [14164] = 14050,
  [14165] = 13978,
  [14166] = 13146,
  [14167] = 10138,
  [14168] = 13185,
  [14169] = 13978,
  [14170] = 14170,
  [14171] = 14027,
  [14172] = 10268,
  [14173] = 14027,
  [14174] = 13978,
  [14175] = 13149,
  [14176] = 13978,
  [14177] = 9273,
  [14178] = 9334,
  [14179] = 9233,
  [14180] = 13344,
  [14181] = 13356,
  [14182] = 14182,
  [14183] = 10215,
  [14184] = 13114,
  [14185] = 9247,
  [14186] = 13080,
  [14187] = 9251,
  [14188] = 9252,
  [14189] = 9254,
  [14190] = 13146,
  [14191] = 9257,
  [14192] = 9262,
  [14193] = 9264,
  [14194] = 9232,
  [14195] = 13978,
  [14196] = 13235,
  [14197] = 10096,
  [14198] = 11141,
  [14199] = 14199,
  [14200] = 14200,
  [14201] = 14201,
  [14202] = 14201,
  [14203] = 14203,
  [14204] = 14203,
  [14205] = 14205,
  [14206] = 14205,
  [14207] = 14207,
  [14208] = 14208,
  [14209] = 9547,
  [14210] = 14205,
  [14211] = 14211,
  [14212] = 14212,
  [14213] = 14201,
  [14214] = 14205,
  [14215] = 14203,
  [14216] = 10205,
  [14217] = 14217,
  [14218] = 3599,
  [14219] = 10090,
  [14220] = 14201,
  [14221] = 14203,
  [14222] = 9916,
  [14223] = 6050,
  [14224] = 14224,
  [14225] = 6360,
  [14226] = 10293,
  [14227] = 10240,
  [14228] = 14228,
  [14229] = 10246,
  [14230] = 10239,
  [14231] = 14231,
  [14232] = 10236,
  [14233] = 10231,
  [14234] = 10230,
  [14235] = 10229,
  [14236] = 10225,
  [14237] = 14237,
  [14238] = 10226,
  [14239] = 10235,
  [14240] = 3393,
  [14241] = 14241,
  [14242] = 10125,
  [14243] = 10277,
  [14244] = 10282,
  [14245] = 10283,
  [14246] = 14246,
  [14247] = 14247,
  [14248] = 3399,
  [14249] = 3396,
  [14250] = 14250,
  [14251] = 14237,
  [14252] = 10284,
  [14253] = 3395,
  [14254] = 10285,
  [14255] = 13653,
  [14256] = 13753,
  [14257] = 6252,
  [14258] = 10287,
  [14259] = 14259,
  [14260] = 3393,
  [14261] = 10291,
  [14262] = 14262,
  [14263] = 10292,
  [14264] = 14264,
  [14265] = 10294,
  [14266] = 9784,
  [14267] = 14267,
  [14268] = 10490,
  [14269] = 10271,
  [14270] = 14270,
  [14271] = 14211,
  [14272] = 10215,
  [14273] = 10164,
  [14274] = 10268,
  [14275] = 10129,
  [14276] = 6330,
  [14277] = 14277,
  [14278] = 8989,
  [14279] = 14279,
  [14280] = 13770,
  [14281] = 14277,
  [14282] = 14250,
  [14283] = 10132,
  [14284] = 10220,
  [14285] = 14250,
  [14286] = 14237,
  [14287] = 14277,
  [14288] = 14237,
  [14289] = 10138,
  [14290] = 14277,
  [14291] = 3463,
  [14292] = 6431,
  [14293] = 6360,
  [14294] = 14250,
  [14295] = 14277,
  [14296] = 3399,
  [14297] = 3396,
  [14298] = 10251,
  [14299] = 10172,
  [14300] = 6431,
  [14301] = 3395,
  [14302] = 14277,
  [14303] = 14303,
  [14304] = 14304,
  [14305] = 14305,
  [14306] = 14306,
  [14307] = 14304,
  [14308] = 14306,
  [14309] = 14309,
  [14310] = 10867,
  [14311] = 14306,
  [14312] = 14312,
  [14313] = 14306,
  [14314] = 14314,
  [14315] = 14315,
  [14316] = 14304,
  [14317] = 14317,
  [14318] = 14306,
  [14319] = 14319,
  [14320] = 14320,
  [14321] = 14304,
  [14322] = 14306,
  [14323] = 14304,
  [14324] = 14324,
  [14325] = 14325,
  [14326] = 14304,
  [14327] = 12117,
  [14328] = 14304,
  [14329] = 14306,
  [14330] = 14304,
  [14331] = 14304,
  [14332] = 14306,
  [14333] = 14306,
  [14334] = 14304,
  [14335] = 12121,
  [14336] = 10354,
  [14337] = 12124,
  [14338] = 6396,
  [14339] = 14306,
  [14340] = 14306,
  [14341] = 14341,
  [14342] = 14306,
  [14343] = 14304,
  [14344] = 9366,
  [14345] = 14306,
  [14346] = 8359,
  [14347] = 14306,
  [14348] = 8360,
  [14349] = 14306,
  [14350] = 14304,
  [14351] = 14306,
  [14352] = 14352,
  [14353] = 14304,
  [14354] = 14354,
  [14355] = 8315,
  [14356] = 5670,
  [14357] = 8472,
  [14358] = 8355,
  [14359] = 14359,
  [14360] = 14317,
  [14361] = 14361,
  [14362] = 14306,
  [14363] = 14306,
  [14364] = 14304,
  [14365] = 8450,
  [14366] = 14361,
  [14367] = 14304,
  [14368] = 14306,
  [14369] = 8325,
  [14370] = 14306,
  [14371] = 14304,
  [14372] = 14372,
  [14373] = 14373,
  [14374] = 14304,
  [14375] = 14317,
  [14376] = 14304,
  [14377] = 14304,
  [14378] = 8429,
  [14379] = 14304,
  [14380] = 14304,
  [14381] = 14306,
  [14382] = 14382,
  [14383] = 14383,
  [14384] = 14306,
  [14385] = 14385,
  [14386] = 14386,
  [14387] = 14304,
  [14388] = 14388,
  [14389] = 14306,
  [14390] = 14306,
  [14391] = 14306,
  [14392] = 14392,
  [14393] = 14304,
  [14394] = 14394,
  [14395] = 14395,
  [14396] = 8347,
  [14397] = 14397,
  [14398] = 14398,
  [14399] = 14306,
  [14400] = 14400,
  [14401] = 14401,
  [14402] = 14304,
  [14403] = 14306,
  [14404] = 14404,
  [14405] = 8350,
  [14406] = 14304,
  [14407] = 8352,
  [14408] = 14408,
  [14409] = 8351,
  [14410] = 14304,
  [14411] = 14304,
  [14412] = 14306,
  [14413] = 14361,
  [14414] = 14304,
  [14415] = 8353,
  [14416] = 14304,
  [14417] = 14417,
  [14418] = 14418,
  [14419] = 14304,
  [14420] = 8354,
  [14421] = 6442,
  [14422] = 14422,
  [14423] = 9347,
  [14424] = 14304,
  [14425] = 14425,
  [14426] = 14426,
  [14427] = 14427,
  [14428] = 6359,
  [14429] = 14429,
  [14430] = 14430,
  [14431] = 14304,
  [14432] = 14432,
  [14433] = 14361,
  [14434] = 14304,
  [14435] = 14435,
  [14436] = 14436,
  [14437] = 14437,
  [14438] = 14438,
  [14439] = 6448,
  [14440] = 14440,
  [14441] = 14304,
  [14442] = 14306,
  [14443] = 14443,
  [14444] = 14444,
  [14445] = 14445,
  [14446] = 14306,
  [14447] = 14304,
  [14448] = 14306,
  [14449] = 14449,
  [14450] = 14450,
  [14451] = 10384,
  [14452] = 14304,
  [14453] = 6361,
  [14454] = 14306,
  [14455] = 14455,
  [14456] = 14456,
  [14457] = 14306,
  [14458] = 14458,
  [14459] = 5755,
  [14460] = 14306,
  [14461] = 14306,
  [14462] = 14306,
  [14463] = 14306,
  [14464] = 14464,
  [14465] = 14306,
  [14466] = 14466,
  [14467] = 14467,
  [14468] = 14304,
  [14469] = 14469,
  [14470] = 14304,
  [14471] = 14471,
  [14472] = 14304,
  [14473] = 14306,
  [14474] = 14474,
  [14475] = 14304,
  [14476] = 14476,
  [14477] = 14304,
  [14478] = 14304,
  [14479] = 14479,
  [14480] = 14480,
  [14481] = 14306,
  [14482] = 14304,
  [14483] = 14483,
  [14484] = 14484,
  [14485] = 14485,
  [14486] = 5745,
  [14487] = 14487,
  [14488] = 14306,
  [14489] = 14489,
  [14490] = 14490,
  [14491] = 14491,
  [14492] = 14304,
  [14493] = 14306,
  [14494] = 10205,
  [14495] = 14495,
  [14496] = 14304,
  [14497] = 14304,
  [14498] = 6419,
  [14499] = 14499,
  [14500] = 14500,
  [14501] = 14501,
  [14502] = 14502,
  [14503] = 8413,
  [14504] = 14317,
  [14505] = 14304,
  [14506] = 8412,
  [14507] = 14304,
  [14508] = 8411,
  [14509] = 14306,
  [14510] = 8405,
  [14511] = 12061,
  [14512] = 14512,
  [14513] = 14306,
  [14514] = 14304,
  [14515] = 14515,
  [14516] = 14306,
  [14517] = 14517,
  [14518] = 14306,
  [14519] = 14304,
  [14520] = 14306,
  [14521] = 8335,
  [14522] = 14522,
  [14523] = 14306,
  [14524] = 12146,
  [14525] = 14525,
  [14526] = 14306,
  [14527] = 12145,
  [14528] = 12144,
  [14529] = 14529,
  [14530] = 14530,
  [14531] = 14531,
  [14532] = 14341,
  [14533] = 14306,
  [14534] = 11962,
  [14535] = 14535,
  [14536] = 9840,
  [14537] = 10271,
  [14538] = 13653,
  [14539] = 5670,
  [14540] = 13770,
  [14541] = 14541,
  [14542] = 13753,
  [14543] = 14543,
  [14544] = 10292,
  [14545] = 14545,
  [14546] = 10240,
  [14547] = 10246,
  [14548] = 14548,
  [14549] = 10239,
  [14550] = 14550,
  [14551] = 10236,
  [14552] = 10231,
  [14553] = 10230,
  [14554] = 10229,
  [14555] = 14555,
  [14556] = 10220,
  [14557] = 14557,
  [14558] = 10225,
  [14559] = 14559,
  [14560] = 10226,
  [14561] = 10235,
  [14562] = 10251,
  [14563] = 14563,
  [14564] = 14217,
  [14565] = 10277,
  [14566] = 3394,
  [14567] = 10282,
  [14568] = 10283,
  [14569] = 10284,
  [14570] = 10285,
  [14571] = 10287,
  [14572] = 10291,
  [14573] = 3399,
  [14574] = 3396,
  [14575] = 10293,
  [14576] = 3393,
  [14577] = 10294,
  [14578] = 9784,
  [14579] = 10215,
  [14580] = 14580,
  [14581] = 10268,
  [14582] = 3395,
  [14583] = 5820,
  [14584] = 10079,
  [14585] = 6431,
  [14586] = 10105,
  [14587] = 6360,
  [14588] = 10867,
  [14589] = 5755,
  [14590] = 5745,
  [14591] = 11141,
  [14592] = 10196,
  [14593] = 10289,
  [14594] = 10137,
  [14595] = 14595,
  [14596] = 10143,
  [14597] = 14597,
  [14598] = 14598,
  [14599] = 14599,
  [14600] = 10130,
  [14601] = 10134,
  [14602] = 14602,
  [14603] = 14603,
  [14604] = 10963,
  [14605] = 6166,
  [14606] = 14598,
  [14607] = 14602,
  [14608] = 14602,
  [14609] = 10867,
  [14610] = 10238,
  [14611] = 14602,
  [14612] = 14598,
  [14613] = 11017,
  [14614] = 10273,
  [14615] = 10276,
  [14616] = 9518,
  [14617] = 3548,
  [14618] = 3582,
  [14619] = 10180,
  [14620] = 5820,
  [14621] = 10193,
  [14622] = 10278,
  [14623] = 11141,
  [14624] = 10773,
  [14625] = 10199,
  [14626] = 10197,
  [14627] = 10821,
  [14628] = 14598,
  [14629] = 10133,
  [14630] = 10815,
  [14631] = 10128,
  [14632] = 10264,
  [14633] = 14633,
  [14634] = 10194,
  [14635] = 6417,
  [14636] = 14636,
  [14637] = 6358,
  [14638] = 14636,
  [14639] = 14639,
  [14640] = 14639,
  [14641] = 14641,
  [14642] = 14642,
  [14643] = 14636,
  [14644] = 11141,
  [14645] = 14639,
  [14646] = 14639,
  [14647] = 14636,
  [14648] = 6356,
  [14649] = 10262,
  [14650] = 10490,
  [14651] = 14639,
  [14652] = 14636,
  [14653] = 14639,
  [14654] = 14636,
  [14655] = 14639,
  [14656] = 14656,
  [14657] = 14639,
  [14658] = 14639,
  [14659] = 6436,
  [14660] = 14636,
  [14661] = 14639,
  [14662] = 6345,
  [14663] = 14639,
  [14664] = 14636,
  [14665] = 14636,
  [14666] = 14666,
  [14667] = 14641,
  [14668] = 14636,
  [14669] = 14656,
  [14670] = 14639,
  [14671] = 6347,
  [14672] = 10242,
  [14673] = 14656,
  [14674] = 14636,
  [14675] = 10526,
  [14676] = 14639,
  [14677] = 14636,
  [14678] = 14639,
  [14679] = 14636,
  [14680] = 6371,
  [14681] = 14639,
  [14682] = 14636,
  [14683] = 14636,
  [14684] = 14636,
  [14685] = 14641,
  [14686] = 6354,
  [14687] = 6357,
  [14688] = 14639,
  [14689] = 10247,
  [14690] = 14639,
  [14691] = 14639,
  [14692] = 6355,
  [14693] = 14641,
  [14694] = 14636,
  [14695] = 14639,
  [14696] = 14639,
  [14697] = 14639,
  [14698] = 14656,
  [14699] = 14641,
  [14700] = 14636,
  [14701] = 14636,
  [14702] = 14656,
  [14703] = 14639,
  [14704] = 9784,
  [14705] = 14639,
  [14706] = 14636,
  [14707] = 14639,
  [14708] = 14639,
  [14709] = 14639,
  [14710] = 14636,
  [14711] = 14639,
  [14712] = 14636,
  [14713] = 14639,
  [14714] = 14639,
  [14715] = 14639,
  [14716] = 14641,
  [14717] = 14641,
  [14718] = 14636,
  [14719] = 14639,
  [14720] = 14639,
  [14721] = 14639,
  [14722] = 14639,
  [14723] = 14636,
  [14724] = 14636,
  [14725] = 10164,
  [14726] = 10397,
  [14727] = 14639,
  [14728] = 14636,
  [14729] = 14729,
  [14730] = 14730,
  [14731] = 14639,
  [14732] = 14641,
  [14733] = 3562,
  [14734] = 14639,
  [14735] = 14639,
  [14736] = 14639,
  [14737] = 14636,
  [14738] = 3547,
  [14739] = 14639,
  [14740] = 14639,
  [14741] = 14639,
  [14742] = 6415,
  [14743] = 14639,
  [14744] = 14639,
  [14745] = 14639,
  [14746] = 14639,
  [14747] = 6351,
  [14748] = 6381,
  [14749] = 6416,
  [14750] = 14636,
  [14751] = 14636,
  [14752] = 10288,
  [14753] = 14639,
  [14754] = 6384,
  [14755] = 14730,
  [14756] = 14636,
  [14757] = 6401,
  [14758] = 11102,
  [14759] = 6403,
  [14760] = 14639,
  [14761] = 6394,
  [14762] = 14636,
  [14763] = 14639,
  [14764] = 14639,
  [14765] = 9518,
  [14766] = 6352,
  [14767] = 6399,
  [14768] = 14636,
  [14769] = 14636,
  [14770] = 14639,
  [14771] = 6395,
  [14772] = 14639,
  [14773] = 14773,
  [14774] = 11169,
  [14775] = 14639,
  [14776] = 14639,
  [14777] = 14656,
  [14778] = 14636,
  [14779] = 14636,
  [14780] = 6383,
  [14781] = 14656,
  [14782] = 11093,
  [14783] = 14639,
  [14784] = 14729,
  [14785] = 14636,
  [14786] = 14636,
  [14787] = 10216,
  [14788] = 14641,
  [14789] = 14636,
  [14790] = 14639,
  [14791] = 10269,
  [14792] = 14636,
  [14793] = 14730,
  [14794] = 14636,
  [14795] = 14639,
  [14796] = 14639,
  [14797] = 14636,
  [14798] = 14639,
  [14799] = 14642,
  [14800] = 14641,
  [14801] = 14636,
  [14802] = 14639,
  [14803] = 14642,
  [14804] = 14641,
  [14805] = 14636,
  [14806] = 14729,
  [14807] = 14730,
  [14808] = 14636,
  [14809] = 6498,
  [14810] = 14639,
  [14811] = 9784,
  [14812] = 14639,
  [14813] = 14729,
  [14814] = 6350,
  [14815] = 14639,
  [14816] = 14642,
  [14817] = 6497,
  [14818] = 14636,
  [14819] = 14636,
  [14820] = 14636,
  [14821] = 14636,
  [14822] = 6491,
  [14823] = 14636,
  [14824] = 14642,
  [14825] = 14639,
  [14826] = 14826,
  [14827] = 6425,
  [14828] = 14636,
  [14829] = 14636,
  [14830] = 11509,
  [14831] = 14831,
  [14832] = 3336,
  [14833] = 14833,
  [14834] = 14834,
  [14835] = 14831,
  [14836] = 14831,
  [14837] = 14833,
  [14838] = 14833,
  [14839] = 10562,
  [14840] = 14833,
  [14841] = 14831,
  [14842] = 14842,
  [14843] = 14833,
  [14844] = 10867,
  [14845] = 14833,
  [14846] = 14833,
  [14847] = 14833,
  [14848] = 14833,
  [14849] = 14834,
  [14850] = 14831,
  [14851] = 11017,
  [14852] = 14833,
  [14853] = 14842,
  [14854] = 14831,
  [14855] = 10821,
  [14856] = 14831,
  [14857] = 14833,
  [14858] = 10815,
  [14859] = 14831,
  [14860] = 14831,
  [14861] = 11456,
  [14862] = 14834,
  [14863] = 14833,
  [14864] = 10773,
  [14865] = 14831,
  [14866] = 14833,
  [14867] = 14831,
  [14868] = 14833,
  [14869] = 14831,
  [14870] = 14842,
  [14871] = 14871,
  [14872] = 14834,
  [14873] = 14831,
  [14874] = 14833,
  [14875] = 14831,
  [14876] = 10963,
  [14877] = 14831,
  [14878] = 14833,
  [14879] = 14842,
  [14880] = 14842,
  [14881] = 14842,
  [14882] = 14831,
  [14883] = 14833,
  [14884] = 14833,
  [14885] = 14831,
  [14886] = 11488,
  [14887] = 14887,
  [14888] = 14831,
  [14889] = 14831,
  [14890] = 14890,
  [14891] = 14891,
  [14892] = 3333,
  [14893] = 14833,
  [14894] = 14833,
  [14895] = 14834,
  [14896] = 14831,
  [14897] = 14831,
  [14898] = 14831,
  [14899] = 14833,
  [14900] = 14900,
  [14901] = 14833,
  [14902] = 10715,
  [14903] = 14903,
  [14904] = 14904,
  [14905] = 14905,
  [14906] = 14906,
  [14907] = 14907,
  [14908] = 14908,
  [14909] = 14909,
  [14910] = 14910,
  [14911] = 14911,
  [14912] = 14912,
  [14913] = 14908,
  [14914] = 14914,
  [14915] = 14905,
  [14916] = 6252,
  [14917] = 14914,
  [14918] = 14912,
  [14919] = 14905,
  [14920] = 14920,
  [14921] = 14910,
  [14922] = 14905,
  [14923] = 14908,
  [14924] = 14912,
  [14925] = 14925,
  [14926] = 14912,
  [14927] = 14905,
  [14928] = 14925,
  [14929] = 3635,
  [14930] = 3637,
  [14931] = 14925,
  [14932] = 14932,
  [14933] = 14920,
  [14934] = 14910,
  [14935] = 3641,
  [14936] = 14912,
  [14937] = 3658,
  [14938] = 10867,
  [14939] = 14905,
  [14940] = 14920,
  [14941] = 14912,
  [14942] = 14925,
  [14943] = 14909,
  [14944] = 3656,
  [14945] = 14945,
  [14946] = 3600,
  [14947] = 14907,
  [14948] = 14906,
  [14949] = 3596,
  [14950] = 14910,
  [14951] = 14909,
  [14952] = 14908,
  [14953] = 14905,
  [14954] = 10235,
  [14955] = 14907,
  [14956] = 14956,
  [14957] = 10251,
  [14958] = 14906,
  [14959] = 10651,
  [14960] = 11667,
  [14961] = 14910,
  [14962] = 14962,
  [14963] = 14905,
  [14964] = 14925,
  [14965] = 14965,
  [14966] = 14904,
  [14967] = 14967,
  [14968] = 10277,
  [14969] = 3629,
  [14970] = 3582,
  [14971] = 14971,
  [14972] = 14925,
  [14973] = 14925,
  [14974] = 10282,
  [14975] = 14912,
  [14976] = 3548,
  [14977] = 14971,
  [14978] = 10283,
  [14979] = 10284,
  [14980] = 14980,
  [14981] = 14925,
  [14982] = 14925,
  [14983] = 10285,
  [14984] = 14911,
  [14985] = 10287,
  [14986] = 14905,
  [14987] = 14912,
  [14988] = 14910,
  [14989] = 14989,
  [14990] = 14912,
  [14991] = 10715,
  [14992] = 14911,
  [14993] = 10785,
  [14994] = 14945,
  [14995] = 14912,
  [14996] = 14905,
  [14997] = 14912,
  [14998] = 14905,
  [14999] = 14999,
  [15000] = 14956,
  [15001] = 11102,
  [15002] = 14965,
  [15003] = 14945,
  [15004] = 14912,
  [15005] = 11068,
  [15006] = 14905,
  [15007] = 14905,
  [15008] = 10225,
  [15009] = 14980,
  [15010] = 14905,
  [15011] = 10774,
  [15012] = 14971,
  [15013] = 15013,
  [15014] = 10853,
  [15015] = 14905,
  [15016] = 10672,
  [15017] = 15017,
  [15018] = 14908,
  [15019] = 14914,
  [15020] = 14945,
  [15021] = 14925,
  [15022] = 10671,
  [15023] = 14967,
  [15024] = 11864,
  [15025] = 14956,
  [15026] = 14999,
  [15027] = 14925,
  [15028] = 14912,
  [15029] = 14904,
  [15030] = 14925,
  [15031] = 14912,
  [15032] = 14999,
  [15033] = 10664,
  [15034] = 14967,
  [15035] = 15035,
  [15036] = 14904,
  [15037] = 14962,
  [15038] = 14962,
  [15039] = 10236,
  [15040] = 14905,
  [15041] = 14905,
  [15042] = 6330,
  [15043] = 14906,
  [15044] = 11093,
  [15045] = 11141,
  [15046] = 14912,
  [15047] = 14925,
  [15048] = 6409,
  [15049] = 6367,
  [15050] = 6366,
  [15051] = 14906,
  [15052] = 10239,
  [15053] = 14925,
  [15054] = 14925,
  [15055] = 14905,
  [15056] = 14907,
  [15057] = 14905,
  [15058] = 11256,
  [15059] = 14906,
  [15060] = 14909,
  [15061] = 14912,
  [15062] = 14907,
  [15063] = 14912,
  [15064] = 14909,
  [15065] = 10755,
  [15066] = 14912,
  [15067] = 14914,
  [15068] = 14925,
  [15069] = 10291,
  [15070] = 10292,
  [15071] = 14905,
  [15072] = 14932,
  [15073] = 11169,
  [15074] = 14932,
  [15075] = 14912,
  [15076] = 14905,
  [15077] = 14905,
  [15078] = 14925,
  [15079] = 10246,
  [15080] = 14912,
  [15081] = 14910,
  [15082] = 14932,
  [15083] = 15083,
  [15084] = 14980,
  [15085] = 14597,
  [15086] = 14932,
  [15087] = 14912,
  [15088] = 10293,
  [15089] = 10240,
  [15090] = 14965,
  [15091] = 14595,
  [15092] = 14599,
  [15093] = 14905,
  [15094] = 14603,
  [15095] = 14925,
  [15096] = 14920,
  [15097] = 10294,
  [15098] = 14909,
  [15099] = 14905,
  [15100] = 14907,
  [15101] = 14925,
  [15102] = 14906,
  [15103] = 14912,
  [15104] = 14914,
  [15105] = 14912,
  [15106] = 14912,
  [15107] = 10816,
  [15108] = 14962,
  [15109] = 14925,
  [15110] = 14904,
  [15111] = 14905,
  [15112] = 14967,
  [15113] = 14905,
  [15114] = 14932,
  [15115] = 14925,
  [15116] = 10226,
  [15117] = 10271,
  [15118] = 14962,
  [15119] = 14633,
  [15120] = 14945,
  [15121] = 14909,
  [15122] = 14999,
  [15123] = 14912,
  [15124] = 14905,
  [15125] = 14907,
  [15126] = 14999,
  [15127] = 14912,
  [15128] = 14905,
  [15129] = 14911,
  [15130] = 14904,
  [15131] = 14967,
  [15132] = 14956,
  [15133] = 14905,
  [15134] = 14912,
  [15135] = 14925,
  [15136] = 15136,
  [15137] = 14962,
  [15138] = 14905,
  [15139] = 14912,
  [15140] = 14905,
  [15141] = 14912,
  [15142] = 14904,
  [15143] = 14905,
  [15144] = 10973,
  [15145] = 14912,
  [15146] = 14967,
  [15147] = 14912,
  [15148] = 14925,
  [15149] = 14925,
  [15150] = 14965,
  [15151] = 14912,
  [15152] = 14908,
  [15153] = 14908,
  [15154] = 10977,
  [15155] = 14925,
  [15156] = 14905,
  [15157] = 14925,
  [15158] = 10268,
  [15159] = 14925,
  [15160] = 14912,
  [15161] = 14912,
  [15162] = 14905,
  [15163] = 14914,
  [15164] = 14980,
  [15165] = 14925,
  [15166] = 10634,
  [15167] = 14925,
  [15168] = 14905,
  [15169] = 14905,
  [15170] = 14910,
  [15171] = 14911,
  [15172] = 14905,
  [15173] = 14980,
  [15174] = 14905,
  [15175] = 14925,
  [15176] = 11615,
  [15177] = 14971,
  [15178] = 14912,
  [15179] = 14912,
  [15180] = 14956,
  [15181] = 11034,
  [15182] = 11174,
  [15183] = 14905,
  [15184] = 14912,
  [15185] = 14912,
  [15186] = 14925,
  [15187] = 14912,
  [15188] = 14908,
  [15189] = 14925,
  [15190] = 14912,
  [15191] = 14905,
  [15192] = 14905,
  [15193] = 14914,
  [15194] = 10698,
  [15195] = 14905,
  [15196] = 14967,
  [15197] = 14912,
  [15198] = 10714,
  [15199] = 10215,
  [15200] = 15200,
  [15201] = 14925,
  [15202] = 14905,
  [15203] = 11599,
  [15204] = 14912,
  [15205] = 14980,
  [15206] = 14911,
  [15207] = 14971,
  [15208] = 14911,
  [15209] = 14925,
  [15210] = 14925,
  [15211] = 14912,
  [15212] = 10701,
  [15213] = 10736,
  [15214] = 10220,
  [15215] = 14962,
  [15216] = 14912,
  [15217] = 14905,
  [15218] = 14905,
  [15219] = 6166,
  [15220] = 14912,
  [15221] = 14912,
  [15222] = 14905,
  [15223] = 10229,
  [15224] = 14912,
  [15225] = 15225,
  [15226] = 14905,
  [15227] = 14912,
  [15228] = 10230,
  [15229] = 10231,
  [15230] = 14905,
  [15231] = 14905,
  [15232] = 15232,
  [15233] = 14932,
  [15234] = 14905,
  [15235] = 14925,
  [15236] = 14905,
  [15237] = 14262,
  [15238] = 14906,
  [15239] = 14907,
  [15240] = 14925,
  [15241] = 14912,
  [15242] = 15242,
  [15243] = 14965,
  [15244] = 14980,
  [15245] = 14905,
  [15246] = 14965,
  [15247] = 14909,
  [15248] = 14980,
  [15249] = 14912,
  [15250] = 14912,
  [15251] = 14925,
  [15252] = 15252,
  [15253] = 14912,
  [15254] = 14914,
  [15255] = 14965,
  [15256] = 15256,
  [15257] = 15257,
  [15258] = 15258,
  [15259] = 15259,
  [15260] = 8472,
  [15261] = 6409,
  [15262] = 15262,
  [15263] = 15256,
  [15264] = 15259,
  [15265] = 15258,
  [15266] = 3463,
  [15267] = 15262,
  [15268] = 15258,
  [15269] = 3394,
  [15270] = 15257,
  [15271] = 15262,
  [15272] = 15262,
  [15273] = 15273,
  [15274] = 15274,
  [15275] = 15259,
  [15276] = 15256,
  [15277] = 6367,
  [15278] = 15256,
  [15279] = 15258,
  [15280] = 15257,
  [15281] = 15262,
  [15282] = 6366,
  [15283] = 8429,
  [15284] = 15257,
  [15285] = 15256,
  [15286] = 15259,
  [15287] = 6417,
  [15288] = 6416,
  [15289] = 6401,
  [15290] = 15262,
  [15291] = 15258,
  [15292] = 15292,
  [15293] = 15256,
  [15294] = 15259,
  [15295] = 15257,
  [15296] = 6399,
  [15297] = 6409,
  [15298] = 15259,
  [15299] = 15256,
  [15300] = 6394,
  [15301] = 6383,
  [15302] = 15257,
  [15303] = 14515,
  [15304] = 15259,
  [15305] = 15262,
  [15306] = 15262,
  [15307] = 15262,
  [15308] = 14499,
  [15309] = 15262,
  [15310] = 8354,
  [15311] = 15256,
  [15312] = 15258,
  [15313] = 15262,
  [15314] = 15256,
  [15315] = 15259,
  [15316] = 15256,
  [15317] = 6498,
  [15318] = 6497,
  [15319] = 6491,
  [15320] = 15262,
  [15321] = 6425,
  [15322] = 15256,
  [15323] = 15273,
  [15324] = 15257,
  [15325] = 15258,
  [15326] = 15258,
  [15327] = 15259,
  [15328] = 15262,
  [15329] = 15262,
  [15330] = 15257,
  [15331] = 15256,
  [15332] = 15258,
  [15333] = 15258,
  [15334] = 15258,
  [15335] = 15259,
  [15336] = 15257,
  [15337] = 15262,
  [15338] = 15256,
  [15339] = 15258,
  [15340] = 15259,
  [15341] = 15259,
  [15342] = 15342,
  [15343] = 15343,
  [15344] = 6371,
  [15345] = 6367,
  [15346] = 15258,
  [15347] = 15257,
  [15348] = 15258,
  [15349] = 6366,
  [15350] = 6355,
  [15351] = 6358,
  [15352] = 6354,
  [15353] = 15256,
  [15354] = 15262,
  [15355] = 15262,
  [15356] = 11441,
  [15357] = 15257,
  [15358] = 15256,
  [15359] = 11437,
  [15360] = 15256,
  [15361] = 15258,
  [15362] = 6347,
  [15363] = 6345,
  [15364] = 15257,
  [15365] = 15365,
  [15366] = 3522,
  [15367] = 15258,
  [15368] = 6436,
  [15369] = 15257,
  [15370] = 15262,
  [15371] = 15257,
  [15372] = 8413,
  [15373] = 15259,
  [15374] = 15259,
  [15375] = 15257,
  [15376] = 15259,
  [15377] = 15259,
  [15378] = 15259,
  [15379] = 11272,
  [15380] = 15257,
  [15381] = 15259,
  [15382] = 8353,
  [15383] = 15258,
  [15384] = 15262,
  [15385] = 3526,
  [15386] = 15257,
  [15387] = 15256,
  [15388] = 15388,
  [15389] = 3527,
  [15390] = 15390,
  [15391] = 6356,
  [15392] = 14599,
  [15393] = 15393,
  [15394] = 15256,
  [15395] = 15258,
  [15396] = 3529,
  [15397] = 14385,
  [15398] = 8315,
  [15399] = 3530,
  [15400] = 15259,
  [15401] = 15259,
  [15402] = 15259,
  [15403] = 15256,
  [15404] = 15256,
  [15405] = 8411,
  [15406] = 15257,
  [15407] = 15407,
  [15408] = 15256,
  [15409] = 15259,
  [15410] = 15262,
  [15411] = 15262,
  [15412] = 8355,
  [15413] = 15258,
  [15414] = 15414,
  [15415] = 15258,
  [15416] = 15258,
  [15417] = 15257,
  [15418] = 15257,
  [15419] = 15258,
  [15420] = 6396,
  [15421] = 15256,
  [15422] = 15257,
  [15423] = 8450,
  [15424] = 15262,
  [15425] = 15258,
  [15426] = 15256,
  [15427] = 15257,
  [15428] = 15258,
  [15429] = 15262,
  [15430] = 15257,
  [15431] = 8405,
  [15432] = 15259,
  [15433] = 6351,
  [15434] = 6361,
  [15435] = 15258,
  [15436] = 3562,
  [15437] = 15259,
  [15438] = 6350,
  [15439] = 8352,
  [15440] = 15256,
  [15441] = 8325,
  [15442] = 6442,
  [15443] = 11509,
  [15444] = 11141,
  [15445] = 3556,
  [15446] = 15262,
  [15447] = 6448,
  [15448] = 6419,
  [15449] = 15259,
  [15450] = 15257,
  [15451] = 15256,
  [15452] = 15257,
  [15453] = 15259,
  [15454] = 15258,
  [15455] = 11488,
  [15456] = 15256,
  [15457] = 10723,
  [15458] = 3547,
  [15459] = 15258,
  [15460] = 3599,
  [15461] = 11552,
  [15462] = 15259,
  [15463] = 15256,
  [15464] = 15259,
  [15465] = 15258,
  [15466] = 15256,
  [15467] = 15258,
  [15468] = 15259,
  [15469] = 15262,
  [15470] = 11474,
  [15471] = 11555,
  [15472] = 15262,
  [15473] = 11471,
  [15474] = 15262,
  [15475] = 15257,
  [15476] = 8351,
  [15477] = 15258,
  [15478] = 15258,
  [15479] = 8441,
  [15480] = 15262,
  [15481] = 15258,
  [15482] = 15259,
  [15483] = 15257,
  [15484] = 8350,
  [15485] = 15256,
  [15486] = 11556,
  [15487] = 15257,
  [15488] = 15256,
  [15489] = 8412,
  [15490] = 15257,
  [15491] = 6415,
  [15492] = 15258,
  [15493] = 6395,
  [15494] = 6352,
  [15495] = 6403,
  [15496] = 15262,
  [15497] = 15259,
  [15498] = 15258,
  [15499] = 15259,
  [15500] = 15262,
  [15501] = 14633,
  [15502] = 15259,
  [15503] = 15262,
  [15504] = 15259,
  [15505] = 11399,
  [15506] = 15259,
  [15507] = 15259,
  [15508] = 15259,
  [15509] = 15259,
  [15510] = 15510,
  [15511] = 15262,
  [15512] = 15256,
  [15513] = 15343,
  [15514] = 15256,
  [15515] = 15262,
  [15516] = 11393,
  [15517] = 15262,
  [15518] = 15257,
  [15519] = 15262,
  [15520] = 15262,
  [15521] = 15256,
  [15522] = 15262,
  [15523] = 15256,
  [15524] = 14443,
  [15525] = 8359,
  [15526] = 8360,
  [15527] = 15262,
  [15528] = 15256,
  [15529] = 15262,
  [15530] = 15256,
  [15531] = 15257,
  [15532] = 15259,
  [15533] = 8347,
  [15534] = 15259,
  [15535] = 15257,
  [15536] = 15342,
  [15537] = 15258,
  [15538] = 15259,
  [15539] = 15256,
  [15540] = 15256,
  [15541] = 15262,
  [15542] = 15257,
  [15543] = 15256,
  [15544] = 15262,
  [15545] = 15343,
  [15546] = 6359,
  [15547] = 6384,
  [15548] = 15548,
  [15549] = 14425,
  [15550] = 15257,
  [15551] = 15257,
  [15552] = 15256,
  [15553] = 6381,
  [15554] = 15256,
  [15555] = 14305,
  [15556] = 6357,
  [15557] = 15557,
  [15558] = 15256,
  [15559] = 15256,
  [15560] = 15256,
  [15561] = 15257,
  [15562] = 15258,
  [15563] = 15257,
  [15564] = 15258,
  [15565] = 11097,
  [15566] = 15343,
  [15567] = 15257,
  [15568] = 15256,
  [15569] = 15258,
  [15570] = 15256,
  [15571] = 15257,
  [15572] = 11492,
  [15573] = 15257,
  [15574] = 11491,
  [15575] = 15259,
  [15576] = 15259,
  [15577] = 15258,
  [15578] = 15257,
  [15579] = 15258,
  [15580] = 15258,
  [15581] = 15259,
  [15582] = 15257,
  [15583] = 15257,
  [15584] = 15256,
  [15585] = 15258,
  [15586] = 15262,
  [15587] = 15414,
  [15588] = 15262,
  [15589] = 14603,
  [15590] = 15262,
  [15591] = 8335,
  [15592] = 15258,
  [15593] = 14309,
  [15594] = 15257,
  [15595] = 15258,
  [15596] = 15262,
  [15597] = 15557,
  [15598] = 15258,
  [15599] = 15262,
  [15600] = 11456,
  [15601] = 15259,
  [15602] = 15259,
  [15603] = 15258,
  [15604] = 15259,
  [15605] = 15257,
  [15606] = 15257,
  [15607] = 15256,
  [15608] = 15262,
  [15609] = 15259,
  [15610] = 15259,
  [15611] = 14320,
  [15612] = 15612,
  [15613] = 15256,
  [15614] = 15262,
  [15615] = 14597,
  [15616] = 15257,
  [15617] = 15258,
  [15618] = 15259,
  [15619] = 15262,
  [15620] = 15258,
  [15621] = 15258,
  [15622] = 14315,
  [15623] = 15257,
  [15624] = 14595,
  [15625] = 15256,
  [15626] = 15257,
  [15627] = 15257,
  [15628] = 15262,
  [15629] = 15258,
  [15630] = 15630,
  [15631] = 15631,
  [15632] = 15632,
  [15633] = 15633,
  [15634] = 15634,
  [15635] = 15635,
  [15636] = 15636,
  [15637] = 15637,
  [15638] = 11864,
  [15639] = 15639,
  [15640] = 15640,
  [15641] = 15631,
  [15642] = 15640,
  [15643] = 15640,
  [15644] = 15636,
  [15645] = 15645,
  [15646] = 11615,
  [15647] = 15647,
  [15648] = 15640,
  [15649] = 15635,
  [15650] = 11633,
  [15651] = 15631,
  [15652] = 15652,
  [15653] = 15645,
  [15654] = 15634,
  [15655] = 15637,
  [15656] = 15645,
  [15657] = 15657,
  [15658] = 15635,
  [15659] = 14217,
  [15660] = 15640,
  [15661] = 15636,
  [15662] = 11887,
  [15663] = 15634,
  [15664] = 15664,
  [15665] = 15632,
  [15666] = 13770,
  [15667] = 15647,
  [15668] = 15640,
  [15669] = 15645,
  [15670] = 15670,
  [15671] = 15657,
  [15672] = 15672,
  [15673] = 15673,
  [15674] = 15640,
  [15675] = 15640,
  [15676] = 15635,
  [15677] = 15640,
  [15678] = 15657,
  [15679] = 15679,
  [15680] = 15640,
  [15681] = 15635,
  [15682] = 15682,
  [15683] = 15635,
  [15684] = 15657,
  [15685] = 15635,
  [15686] = 15640,
  [15687] = 15640,
  [15688] = 15688,
  [15689] = 15657,
  [15690] = 15634,
  [15691] = 15635,
  [15692] = 15635,
  [15693] = 15693,
  [15694] = 15657,
  [15695] = 15657,
  [15696] = 15635,
  [15697] = 15633,
  [15698] = 15635,
  [15699] = 15699,
  [15700] = 15700,
  [15701] = 15701,
  [15702] = 15640,
  [15703] = 15635,
  [15704] = 15640,
  [15705] = 15631,
  [15706] = 11667,
  [15707] = 15635,
  [15708] = 15635,
  [15709] = 11798,
  [15710] = 15631,
  [15711] = 10723,
  [15712] = 15657,
  [15713] = 15640,
  [15714] = 15635,
  [15715] = 15640,
  [15716] = 15640,
  [15717] = 15635,
  [15718] = 15633,
  [15719] = 15640,
  [15720] = 15635,
  [15721] = 15635,
  [15722] = 15700,
  [15723] = 15657,
  [15724] = 15635,
  [15725] = 15631,
  [15726] = 15664,
  [15727] = 15631,
  [15728] = 15640,
  [15729] = 15635,
  [15730] = 15640,
  [15731] = 15634,
  [15732] = 15640,
  [15733] = 15657,
  [15734] = 13653,
  [15735] = 15631,
  [15736] = 15640,
  [15737] = 15635,
  [15738] = 13753,
  [15739] = 15635,
  [15740] = 15657,
  [15741] = 15647,
  [15742] = 15631,
  [15743] = 15631,
  [15744] = 15640,
  [15745] = 15745,
  [15746] = 15631,
  [15747] = 15700,
  [15748] = 15657,
  [15749] = 15635,
  [15750] = 15631,
  [15751] = 15751,
  [15752] = 15640,
  [15753] = 15657,
  [15754] = 11438,
  [15755] = 15679,
  [15756] = 15635,
  [15757] = 15636,
  [15758] = 15647,
  [15759] = 15640,
  [15760] = 15640,
  [15761] = 15640,
  [15762] = 15640,
  [15763] = 15640,
  [15764] = 15635,
  [15765] = 15635,
  [15766] = 15633,
  [15767] = 15664,
  [15768] = 11497,
  [15769] = 15635,
  [15770] = 15682,
  [15771] = 15635,
  [15772] = 15635,
  [15773] = 10790,
  [15774] = 15635,
  [15775] = 15635,
  [15776] = 15664,
  [15777] = 15640,
  [15778] = 15631,
  [15779] = 15779,
  [15780] = 15631,
  [15781] = 15635,
  [15782] = 15634,
  [15783] = 15640,
  [15784] = 11495,
  [15785] = 11653,
  [15786] = 15657,
  [15787] = 15635,
  [15788] = 15640,
  [15789] = 15632,
  [15790] = 15640,
  [15791] = 15640,
  [15792] = 15792,
  [15793] = 15633,
  [15794] = 15637,
  [15795] = 15664,
  [15796] = 15633,
  [15797] = 15657,
  [15798] = 15640,
  [15799] = 11786,
  [15800] = 15640,
  [15801] = 15635,
  [15802] = 15636,
  [15803] = 15640,
  [15804] = 15804,
  [15805] = 15636,
  [15806] = 15700,
  [15807] = 15635,
  [15808] = 15700,
  [15809] = 15631,
  [15810] = 15635,
  [15811] = 15640,
  [15812] = 15640,
  [15813] = 15813,
  [15814] = 15664,
  [15815] = 15635,
  [15816] = 15635,
  [15817] = 15631,
  [15818] = 15818,
  [15819] = 15657,
  [15820] = 15635,
  [15821] = 15657,
  [15822] = 15640,
  [15823] = 15823,
  [15824] = 15824,
  [15825] = 15635,
  [15826] = 15826,
  [15827] = 15635,
  [15828] = 15640,
  [15829] = 15631,
  [15830] = 15631,
  [15831] = 15645,
  [15832] = 15635,
  [15833] = 15635,
  [15834] = 15834,
  [15835] = 15700,
  [15836] = 15635,
  [15837] = 15645,
  [15838] = 15640,
  [15839] = 15635,
  [15840] = 15645,
  [15841] = 15647,
  [15842] = 15679,
  [15843] = 15657,
  [15844] = 15631,
  [15845] = 15657,
  [15846] = 15633,
  [15847] = 15700,
  [15848] = 15848,
  [15849] = 15635,
  [15850] = 15657,
  [15851] = 15640,
  [15852] = 15657,
  [15853] = 15631,
  [15854] = 15640,
  [15855] = 15633,
  [15856] = 14217,
  [15857] = 15635,
  [15858] = 15657,
  [15859] = 15640,
  [15860] = 15635,
  [15861] = 15861,
  [15862] = 15647,
  [15863] = 15635,
  [15864] = 15864,
  [15865] = 15865,
  [15866] = 15640,
  [15867] = 15640,
  [15868] = 15664,
  [15869] = 15631,
  [15870] = 11845,
  [15871] = 15635,
  [15872] = 15631,
  [15873] = 15640,
  [15874] = 15700,
  [15875] = 15640,
  [15876] = 15640,
  [15877] = 15877,
  [15878] = 15878,
  [15879] = 15879,
  [15880] = 15880,
  [15881] = 15879,
  [15882] = 15882,
  [15883] = 15883,
  [15884] = 15884,
  [15885] = 15885,
  [15886] = 15883,
  [15887] = 12169,
  [15888] = 15883,
  [15889] = 15889,
  [15890] = 15883,
  [15891] = 15889,
  [15892] = 15882,
  [15893] = 15893,
  [15894] = 15894,
  [15895] = 15895,
  [15896] = 15893,
  [15897] = 15897,
  [15898] = 15898,
  [15899] = 15899,
  [15900] = 15900,
  [15901] = 15901,
  [15902] = 15902,
  [15903] = 15903,
  [15904] = 15889,
  [15905] = 15879,
  [15906] = 15901,
  [15907] = 15893,
  [15908] = 15889,
  [15909] = 15909,
  [15910] = 15898,
  [15911] = 15911,
  [15912] = 15901,
  [15913] = 15894,
  [15914] = 15884,
  [15915] = 15878,
  [15916] = 15899,
  [15917] = 15917,
  [15918] = 15918,
  [15919] = 15877,
  [15920] = 15879,
  [15921] = 15921,
  [15922] = 15922,
  [15923] = 15923,
  [15924] = 15893,
  [15925] = 15898,
  [15926] = 15877,
  [15927] = 15927,
  [15928] = 15921,
  [15929] = 15929,
  [15930] = 15901,
  [15931] = 15889,
  [15932] = 15883,
  [15933] = 15889,
  [15934] = 15934,
  [15935] = 15901,
  [15936] = 15879,
  [15937] = 13753,
  [15938] = 13653,
  [15939] = 11772,
  [15940] = 15901,
  [15941] = 15898,
  [15942] = 15893,
  [15943] = 15943,
  [15944] = 15944,
  [15945] = 15945,
  [15946] = 15901,
  [15947] = 15882,
  [15948] = 15877,
  [15949] = 15879,
  [15950] = 15901,
  [15951] = 15877,
  [15952] = 15879,
  [15953] = 15918,
  [15954] = 15877,
  [15955] = 15903,
  [15956] = 15885,
  [15957] = 15918,
  [15958] = 15958,
  [15959] = 15917,
  [15960] = 15893,
  [15961] = 15917,
  [15962] = 15883,
  [15963] = 15909,
  [15964] = 11126,
  [15965] = 15911,
  [15966] = 15966,
  [15967] = 15883,
  [15968] = 15917,
  [15969] = 15880,
  [15970] = 15966,
  [15971] = 15911,
  [15972] = 12705,
  [15973] = 15909,
  [15974] = 15883,
  [15975] = 15901,
  [15976] = 15889,
  [15977] = 11866,
  [15978] = 15885,
  [15979] = 15918,
  [15980] = 15903,
  [15981] = 15918,
  [15982] = 15883,
  [15983] = 15898,
  [15984] = 15877,
  [15985] = 15889,
  [15986] = 15927,
  [15987] = 15879,
  [15988] = 15911,
  [15989] = 15901,
  [15990] = 15899,
  [15991] = 15922,
  [15992] = 15923,
  [15993] = 15993,
  [15994] = 15909,
  [15995] = 15885,
  [15996] = 15901,
  [15997] = 15903,
  [15998] = 15889,
  [15999] = 15901,
  [16000] = 16000,
  [16001] = 15879,
  [16002] = 15893,
  [16003] = 15893,
  [16004] = 15883,
  [16005] = 15899,
  [16006] = 15877,
  [16007] = 15901,
  [16008] = 15878,
  [16009] = 15894,
  [16010] = 15884,
  [16011] = 15889,
  [16012] = 15927,
  [16013] = 15893,
  [16014] = 15878,
  [16015] = 15883,
  [16016] = 15884,
  [16017] = 15889,
  [16018] = 16018,
  [16019] = 15898,
  [16020] = 15878,
  [16021] = 15884,
  [16022] = 15901,
  [16023] = 16023,
  [16024] = 15918,
  [16025] = 15917,
  [16026] = 15958,
  [16027] = 15894,
  [16028] = 15883,
  [16029] = 15895,
  [16030] = 15884,
  [16031] = 15898,
  [16032] = 15878,
  [16033] = 15901,
  [16034] = 15879,
  [16035] = 15879,
  [16036] = 15923,
  [16037] = 15882,
  [16038] = 15966,
  [16039] = 16039,
  [16040] = 15922,
  [16041] = 15903,
  [16042] = 15885,
  [16043] = 15901,
  [16044] = 15893,
  [16045] = 15911,
  [16046] = 15889,
  [16047] = 15880,
  [16048] = 15879,
  [16049] = 15909,
  [16050] = 15918,
  [16051] = 15893,
  [16052] = 15901,
  [16053] = 15883,
  [16054] = 15911,
  [16055] = 15922,
  [16056] = 15923,
  [16057] = 15883,
  [16058] = 15901,
  [16059] = 15895,
  [16060] = 15909,
  [16061] = 15917,
  [16062] = 15918,
  [16063] = 15894,
  [16064] = 16064,
  [16065] = 15877,
  [16066] = 15880,
  [16067] = 15901,
  [16068] = 15893,
  [16069] = 16069,
  [16070] = 15899,
  [16071] = 15889,
  [16072] = 15879,
  [16073] = 15889,
  [16074] = 15927,
  [16075] = 15889,
  [16076] = 15901,
  [16077] = 15879,
  [16078] = 16078,
  [16079] = 15901,
  [16080] = 15889,
  [16081] = 15889,
  [16082] = 15901,
  [16083] = 15898,
  [16084] = 15882,
  [16085] = 15894,
  [16086] = 16086,
  [16087] = 15889,
  [16088] = 15902,
  [16089] = 15898,
  [16090] = 15880,
  [16091] = 15918,
  [16092] = 15879,
  [16093] = 15893,
  [16094] = 15901,
  [16095] = 15894,
  [16096] = 15922,
  [16097] = 15923,
  [16098] = 15885,
  [16099] = 15893,
  [16100] = 15903,
  [16101] = 15893,
  [16102] = 15911,
  [16103] = 15877,
  [16104] = 15879,
  [16105] = 15883,
  [16106] = 15893,
  [16107] = 15993,
  [16108] = 15966,
  [16109] = 15877,
  [16110] = 15918,
  [16111] = 15993,
  [16112] = 15901,
  [16113] = 15879,
  [16114] = 15917,
  [16115] = 15883,
  [16116] = 15893,
  [16117] = 15911,
  [16118] = 16118,
  [16119] = 15909,
  [16120] = 15899,
  [16121] = 15883,
  [16122] = 15927,
  [16123] = 15877,
  [16124] = 15883,
  [16125] = 15877,
  [16126] = 15885,
  [16127] = 15883,
  [16128] = 15901,
  [16129] = 15903,
  [16130] = 15927,
  [16131] = 15918,
  [16132] = 15901,
  [16133] = 15934,
  [16134] = 15917,
  [16135] = 15883,
  [16136] = 15901,
  [16137] = 15878,
  [16138] = 15884,
  [16139] = 15884,
  [16140] = 16140,
  [16141] = 15884,
  [16142] = 15883,
  [16143] = 15966,
  [16144] = 15879,
  [16145] = 15878,
  [16146] = 15893,
  [16147] = 15911,
  [16148] = 16018,
  [16149] = 13770,
  [16150] = 15878,
  [16151] = 15901,
  [16152] = 15917,
  [16153] = 15884,
  [16154] = 15909,
  [16155] = 15878,
  [16156] = 15893,
  [16157] = 15894,
  [16158] = 15903,
  [16159] = 15958,
  [16160] = 15885,
  [16161] = 15880,
  [16162] = 15903,
  [16163] = 15901,
  [16164] = 15885,
  [16165] = 15889,
  [16166] = 15889,
  [16167] = 15903,
  [16168] = 15893,
  [16169] = 15909,
  [16170] = 15885,
  [16171] = 15911,
  [16172] = 15901,
  [16173] = 15883,
  [16174] = 15917,
  [16175] = 15918,
  [16176] = 15898,
  [16177] = 15889,
  [16178] = 15877,
  [16179] = 15880,
  [16180] = 15899,
  [16181] = 15901,
  [16182] = 15921,
  [16183] = 15922,
  [16184] = 15883,
  [16185] = 15893,
  [16186] = 5745,
  [16187] = 15909,
  [16188] = 15923,
  [16189] = 15901,
  [16190] = 15879,
  [16191] = 12737,
  [16192] = 15878,
  [16193] = 15889,
  [16194] = 15911,
  [16195] = 15893,
  [16196] = 15883,
  [16197] = 15884,
  [16198] = 15879,
  [16199] = 15889,
  [16200] = 15879,
  [16201] = 15921,
  [16202] = 11324,
  [16203] = 15927,
  [16204] = 15879,
  [16205] = 15901,
  [16206] = 16206,
  [16207] = 15885,
  [16208] = 15918,
  [16209] = 15894,
  [16210] = 15917,
  [16211] = 15878,
  [16212] = 15901,
  [16213] = 15884,
  [16214] = 15883,
  [16215] = 15911,
  [16216] = 15909,
  [16217] = 15898,
  [16218] = 15901,
  [16219] = 15883,
  [16220] = 15883,
  [16221] = 12052,
  [16222] = 15903,
  [16223] = 15879,
  [16224] = 16224,
  [16225] = 15901,
  [16226] = 15889,
  [16227] = 12016,
  [16228] = 15878,
  [16229] = 15884,
  [16230] = 15901,
  [16231] = 15934,
  [16232] = 16140,
  [16233] = 15894,
  [16234] = 15893,
  [16235] = 16235,
  [16236] = 15921,
  [16237] = 15879,
  [16238] = 15893,
  [16239] = 15901,
  [16240] = 15879,
  [16241] = 15893,
  [16242] = 15893,
  [16243] = 15889,
  [16244] = 15894,
  [16245] = 15880,
  [16246] = 15922,
  [16247] = 15923,
  [16248] = 16248,
  [16249] = 16039,
  [16250] = 15889,
  [16251] = 15889,
  [16252] = 15884,
  [16253] = 15901,
  [16254] = 15902,
  [16255] = 15898,
  [16256] = 15893,
  [16257] = 16235,
  [16258] = 15878,
  [16259] = 15927,
  [16260] = 15893,
  [16261] = 16261,
  [16262] = 15901,
  [16263] = 16263,
  [16264] = 15884,
  [16265] = 15894,
  [16266] = 15879,
  [16267] = 15903,
  [16268] = 15885,
  [16269] = 15934,
  [16270] = 15901,
  [16271] = 15889,
  [16272] = 15909,
  [16273] = 15889,
  [16274] = 15879,
  [16275] = 15911,
  [16276] = 16064,
  [16277] = 15883,
  [16278] = 15917,
  [16279] = 15898,
  [16280] = 15901,
  [16281] = 15879,
  [16282] = 15918,
  [16283] = 15901,
  [16284] = 15877,
  [16285] = 15918,
  [16286] = 15945,
  [16287] = 15895,
  [16288] = 12036,
  [16289] = 15901,
  [16290] = 15883,
  [16291] = 15893,
  [16292] = 16292,
  [16293] = 15917,
  [16294] = 15883,
  [16295] = 16295,
  [16296] = 15901,
  [16297] = 15899,
  [16298] = 16298,
  [16299] = 15879,
  [16300] = 15909,
  [16301] = 15893,
  [16302] = 15879,
  [16303] = 15879,
  [16304] = 15880,
  [16305] = 15883,
  [16306] = 15945,
  [16307] = 15911,
  [16308] = 15893,
  [16309] = 15877,
  [16310] = 15909,
  [16311] = 15903,
  [16312] = 15885,
  [16313] = 15901,
  [16314] = 15898,
  [16315] = 15922,
  [16316] = 15883,
  [16317] = 15923,
  [16318] = 15918,
  [16319] = 15883,
  [16320] = 15911,
  [16321] = 15901,
  [16322] = 15889,
  [16323] = 15889,
  [16324] = 15899,
  [16325] = 15889,
  [16326] = 15885,
  [16327] = 15903,
  [16328] = 15958,
  [16329] = 16118,
  [16330] = 15901,
  [16331] = 15909,
  [16332] = 15883,
  [16333] = 15879,
  [16334] = 12738,
  [16335] = 15879,
  [16336] = 15879,
  [16337] = 15927,
  [16338] = 15893,
  [16339] = 15902,
  [16340] = 16340,
  [16341] = 15909,
  [16342] = 15901,
  [16343] = 15885,
  [16344] = 15903,
  [16345] = 15883,
  [16346] = 15878,
  [16347] = 15927,
  [16348] = 16348,
  [16349] = 15884,
  [16350] = 15901,
  [16351] = 15889,
  [16352] = 15911,
  [16353] = 15879,
  [16354] = 15894,
  [16355] = 14320,
  [16356] = 15903,
  [16357] = 15893,
  [16358] = 15885,
  [16359] = 16359,
  [16360] = 15966,
  [16361] = 15883,
  [16362] = 15917,
  [16363] = 15893,
  [16364] = 15894,
  [16365] = 15918,
  [16366] = 15884,
  [16367] = 15878,
  [16368] = 15877,
  [16369] = 15889,
  [16370] = 15893,
  [16371] = 15894,
  [16372] = 14309,
  [16373] = 15883,
  [16374] = 15923,
  [16375] = 15922,
  [16376] = 15899,
  [16377] = 15889,
  [16378] = 5755,
  [16379] = 15898,
  [16380] = 12781,
  [16381] = 15889,
  [16382] = 15880,
  [16383] = 15903,
  [16384] = 15878,
  [16385] = 12740,
  [16386] = 15885,
  [16387] = 15893,
  [16388] = 15880,
  [16389] = 15889,
  [16390] = 15909,
  [16391] = 15879,
  [16392] = 15922,
  [16393] = 15893,
  [16394] = 15898,
  [16395] = 15923,
  [16396] = 15893,
  [16397] = 15911,
  [16398] = 15879,
  [16399] = 15883,
  [16400] = 15917,
  [16401] = 15918,
  [16402] = 15877,
  [16403] = 15899,
  [16404] = 15879,
  [16405] = 15927,
  [16406] = 15889,
  [16407] = 12767,
  [16408] = 15966,
  [16409] = 15889,
  [16410] = 15893,
  [16411] = 15883,
  [16412] = 15934,
  [16413] = 15879,
  [16414] = 15877,
  [16415] = 15918,
  [16416] = 15993,
  [16417] = 15917,
  [16418] = 15883,
  [16419] = 16419,
  [16420] = 15911,
  [16421] = 15902,
  [16422] = 15909,
  [16423] = 15885,
  [16424] = 15903,
  [16425] = 15898,
  [16426] = 15958,
  [16427] = 15889,
  [16428] = 12742,
  [16429] = 5670,
  [16430] = 16086,
  [16431] = 15879,
  [16432] = 16432,
  [16433] = 15884,
  [16434] = 15923,
  [16435] = 15878,
  [16436] = 15878,
  [16437] = 15884,
  [16438] = 15893,
  [16439] = 15882,
  [16440] = 15899,
  [16441] = 15893,
  [16442] = 15898,
  [16443] = 11990,
  [16444] = 15922,
  [16445] = 15894,
  [16446] = 15879,
  [16447] = 15894,
  [16448] = 15894,
  [16449] = 15894,
  [16450] = 15893,
  [16451] = 16023,
  [16452] = 16452,
  [16453] = 16453,
  [16454] = 11599,
  [16455] = 16455,
  [16456] = 16140,
  [16457] = 15883,
  [16458] = 16455,
  [16459] = 15883,
  [16460] = 16453,
  [16461] = 15877,
  [16462] = 15895,
  [16463] = 15918,
  [16464] = 15889,
  [16465] = 15883,
  [16466] = 15889,
  [16467] = 15917,
  [16468] = 15945,
  [16469] = 15884,
  [16470] = 16453,
  [16471] = 15878,
  [16472] = 15898,
  [16473] = 15883,
  [16474] = 16474,
  [16475] = 15966,
  [16476] = 15889,
  [16477] = 16455,
  [16478] = 15893,
  [16479] = 14443,
  [16480] = 15879,
  [16481] = 15889,
  [16482] = 15893,
  [16483] = 15893,
  [16484] = 15880,
  [16485] = 11999,
  [16486] = 15897,
  [16487] = 15927,
  [16488] = 14425,
  [16489] = 15895,
  [16490] = 14305,
  [16491] = 15911,
  [16492] = 15917,
  [16493] = 15889,
  [16494] = 15898,
  [16495] = 15903,
  [16496] = 15922,
  [16497] = 16023,
  [16498] = 15923,
  [16499] = 15885,
  [16500] = 15909,
  [16501] = 15879,
  [16502] = 15917,
  [16503] = 15911,
  [16504] = 16086,
  [16505] = 15894,
  [16506] = 15883,
  [16507] = 15917,
  [16508] = 15909,
  [16509] = 15894,
  [16510] = 15889,
  [16511] = 15918,
  [16512] = 15877,
  [16513] = 15898,
  [16514] = 15927,
  [16515] = 15903,
  [16516] = 15879,
  [16517] = 15902,
  [16518] = 15885,
  [16519] = 15917,
  [16520] = 16206,
  [16521] = 15889,
  [16522] = 15958,
  [16523] = 16453,
  [16524] = 16455,
  [16525] = 16140,
  [16526] = 15879,
  [16527] = 15923,
  [16528] = 16206,
  [16529] = 15879,
  [16530] = 16453,
  [16531] = 15885,
  [16532] = 16532,
  [16533] = 15922,
  [16534] = 16455,
  [16535] = 15883,
  [16536] = 15893,
  [16537] = 16140,
  [16538] = 16206,
  [16539] = 15893,
  [16540] = 16453,
  [16541] = 15909,
  [16542] = 15911,
  [16543] = 15903,
  [16544] = 15883,
  [16545] = 15879,
  [16546] = 16455,
  [16547] = 16140,
  [16548] = 15899,
  [16549] = 11974,
  [16550] = 16235,
  [16551] = 15993,
  [16552] = 15894,
  [16553] = 15879,
  [16554] = 15877,
  [16555] = 16235,
  [16556] = 15893,
  [16557] = 16078,
  [16558] = 15889,
  [16559] = 15918,
  [16560] = 15917,
  [16561] = 15880,
  [16562] = 11152,
  [16563] = 16235,
  [16564] = 15883,
  [16565] = 15911,
  [16566] = 15889,
  [16567] = 15898,
  [16568] = 15909,
  [16569] = 15889,
  [16570] = 15885,
  [16571] = 15903,
  [16572] = 15883,
  [16573] = 15879,
  [16574] = 16261,
  [16575] = 16086,
  [16576] = 15893,
  [16577] = 16261,
  [16578] = 15884,
  [16579] = 15878,
  [16580] = 16580,
  [16581] = 16086,
  [16582] = 15878,
  [16583] = 15921,
  [16584] = 3402,
  [16585] = 15884,
  [16586] = 15879,
  [16587] = 16261,
  [16588] = 15883,
  [16589] = 16086,
  [16590] = 15893,
  [16591] = 16591,
  [16592] = 16592,
  [16593] = 16593,
  [16594] = 16594,
  [16595] = 16595,
  [16596] = 16596,
  [16597] = 16597,
  [16598] = 16598,
  [16599] = 16599,
  [16600] = 16596,
  [16601] = 16601,
  [16602] = 16602,
  [16603] = 16595,
  [16604] = 16604,
  [16605] = 16605,
  [16606] = 16606,
  [16607] = 16594,
  [16608] = 16593,
  [16609] = 16609,
  [16610] = 16610,
  [16611] = 16611,
  [16612] = 16595,
  [16613] = 16613,
  [16614] = 16596,
  [16615] = 16615,
  [16616] = 16616,
  [16617] = 16617,
  [16618] = 16618,
  [16619] = 16619,
  [16620] = 16620,
  [16621] = 16592,
  [16622] = 16605,
  [16623] = 16596,
  [16624] = 16624,
  [16625] = 16625,
  [16626] = 16602,
  [16627] = 16627,
  [16628] = 16628,
  [16629] = 16595,
  [16630] = 16618,
  [16631] = 16618,
  [16632] = 16632,
  [16633] = 16633,
  [16634] = 16605,
  [16635] = 16620,
  [16636] = 16636,
  [16637] = 16633,
  [16638] = 16595,
  [16639] = 16639,
  [16640] = 16640,
  [16641] = 16620,
  [16642] = 16596,
  [16643] = 16619,
  [16644] = 16644,
  [16645] = 16645,
  [16646] = 16596,
  [16647] = 13102,
  [16648] = 16616,
  [16649] = 16649,
  [16650] = 16602,
  [16651] = 16628,
  [16652] = 16619,
  [16653] = 16615,
  [16654] = 16595,
  [16655] = 16616,
  [16656] = 16609,
  [16657] = 16604,
  [16658] = 16606,
  [16659] = 16594,
  [16660] = 16613,
  [16661] = 16606,
  [16662] = 16593,
  [16663] = 16604,
  [16664] = 16596,
  [16665] = 16665,
  [16666] = 16592,
  [16667] = 16611,
  [16668] = 13080,
  [16669] = 16669,
  [16670] = 16595,
  [16671] = 16671,
  [16672] = 16595,
  [16673] = 16615,
  [16674] = 16604,
  [16675] = 16592,
  [16676] = 16625,
  [16677] = 16677,
  [16678] = 16596,
  [16679] = 16593,
  [16680] = 16606,
  [16681] = 16594,
  [16682] = 16606,
  [16683] = 16644,
  [16684] = 16615,
  [16685] = 16596,
  [16686] = 16615,
  [16687] = 16595,
  [16688] = 16604,
  [16689] = 16616,
  [16690] = 16616,
  [16691] = 16619,
  [16692] = 16620,
  [16693] = 16609,
  [16694] = 16694,
  [16695] = 16601,
  [16696] = 16618,
  [16697] = 16598,
  [16698] = 16596,
  [16699] = 16619,
  [16700] = 5820,
  [16701] = 16620,
  [16702] = 16595,
  [16703] = 16605,
  [16704] = 16595,
  [16705] = 16591,
  [16706] = 16596,
  [16707] = 16707,
  [16708] = 16599,
  [16709] = 16709,
  [16710] = 16601,
  [16711] = 16596,
  [16712] = 16618,
  [16713] = 16592,
  [16714] = 16597,
  [16715] = 16605,
  [16716] = 16593,
  [16717] = 16594,
  [16718] = 16595,
  [16719] = 16594,
  [16720] = 16593,
  [16721] = 16721,
  [16722] = 16640,
  [16723] = 16618,
  [16724] = 16597,
  [16725] = 16725,
  [16726] = 16726,
  [16727] = 16599,
  [16728] = 16595,
  [16729] = 16636,
  [16730] = 16730,
  [16731] = 16592,
  [16732] = 16605,
  [16733] = 16596,
  [16734] = 16620,
  [16735] = 16594,
  [16736] = 16619,
  [16737] = 16632,
  [16738] = 16593,
  [16739] = 16721,
  [16740] = 16604,
  [16741] = 16616,
  [16742] = 16605,
  [16743] = 16743,
  [16744] = 16592,
  [16745] = 16596,
  [16746] = 16615,
  [16747] = 16618,
  [16748] = 16595,
  [16749] = 12326,
  [16750] = 16602,
  [16751] = 16598,
  [16752] = 16595,
  [16753] = 16604,
  [16754] = 16606,
  [16755] = 16755,
  [16756] = 16604,
  [16757] = 16606,
  [16758] = 16591,
  [16759] = 16596,
  [16760] = 16609,
  [16761] = 16707,
  [16762] = 11126,
  [16763] = 16611,
  [16764] = 16615,
  [16765] = 16620,
  [16766] = 16616,
  [16767] = 16596,
  [16768] = 16592,
  [16769] = 16619,
  [16770] = 16619,
  [16771] = 16620,
  [16772] = 16593,
  [16773] = 16595,
  [16774] = 16594,
  [16775] = 16611,
  [16776] = 16613,
  [16777] = 16625,
  [16778] = 16595,
  [16779] = 16779,
  [16780] = 16694,
  [16781] = 16618,
  [16782] = 16604,
  [16783] = 16606,
  [16784] = 16633,
  [16785] = 16596,
  [16786] = 16616,
  [16787] = 16787,
  [16788] = 16788,
  [16789] = 16605,
  [16790] = 16615,
  [16791] = 16628,
  [16792] = 16596,
  [16793] = 16628,
  [16794] = 16595,
  [16795] = 16633,
  [16796] = 16615,
  [16797] = 16797,
  [16798] = 16595,
  [16799] = 16596,
  [16800] = 16677,
  [16801] = 16595,
  [16802] = 16671,
  [16803] = 16625,
  [16804] = 16595,
  [16805] = 16613,
  [16806] = 16594,
  [16807] = 16605,
  [16808] = 16596,
  [16809] = 16593,
  [16810] = 16592,
  [16811] = 16606,
  [16812] = 16592,
  [16813] = 16596,
  [16814] = 16669,
  [16815] = 16618,
  [16816] = 16595,
  [16817] = 16616,
  [16818] = 16665,
  [16819] = 16596,
  [16820] = 16595,
  [16821] = 16604,
  [16822] = 16606,
  [16823] = 16606,
  [16824] = 16595,
  [16825] = 16619,
  [16826] = 16620,
  [16827] = 16596,
  [16828] = 16619,
  [16829] = 13172,
  [16830] = 16620,
  [16831] = 16595,
  [16832] = 16596,
  [16833] = 16616,
  [16834] = 16604,
  [16835] = 16595,
  [16836] = 16615,
  [16837] = 16596,
  [16838] = 16615,
  [16839] = 16596,
  [16840] = 16609,
  [16841] = 16617,
  [16842] = 16605,
  [16843] = 16595,
  [16844] = 16844,
  [16845] = 16616,
  [16846] = 16606,
  [16847] = 16596,
  [16848] = 16604,
  [16849] = 16595,
  [16850] = 16619,
  [16851] = 16620,
  [16852] = 16596,
  [16853] = 16618,
  [16854] = 16602,
  [16855] = 16606,
  [16856] = 16595,
  [16857] = 16644,
  [16858] = 16596,
  [16859] = 16595,
  [16860] = 16592,
  [16861] = 16640,
  [16862] = 16596,
  [16863] = 16596,
  [16864] = 16593,
  [16865] = 16595,
  [16866] = 16594,
  [16867] = 16618,
  [16868] = 16636,
  [16869] = 16596,
  [16870] = 16870,
  [16871] = 16632,
  [16872] = 16618,
  [16873] = 16595,
  [16874] = 16596,
  [16875] = 16605,
  [16876] = 16595,
  [16877] = 16605,
  [16878] = 16596,
  [16879] = 16595,
  [16880] = 16596,
  [16881] = 16595,
  [16882] = 13146,
  [16883] = 16596,
  [16884] = 16595,
  [16885] = 16596,
  [16886] = 16595,
  [16887] = 16596,
  [16888] = 16593,
  [16889] = 16889,
  [16890] = 16592,
  [16891] = 16891,
  [16892] = 16595,
  [16893] = 16596,
  [16894] = 16595,
  [16895] = 16596,
  [16896] = 13185,
  [16897] = 13188,
  [16898] = 16595,
  [16899] = 16605,
  [16900] = 16617,
  [16901] = 16620,
  [16902] = 16596,
  [16903] = 16619,
  [16904] = 16595,
  [16905] = 16596,
  [16906] = 16616,
  [16907] = 16618,
  [16908] = 16595,
  [16909] = 16595,
  [16910] = 16593,
  [16911] = 16596,
  [16912] = 16594,
  [16913] = 16596,
  [16914] = 16914,
  [16915] = 16595,
  [16916] = 16596,
  [16917] = 16595,
  [16918] = 16620,
  [16919] = 16596,
  [16920] = 16619,
  [16921] = 16594,
  [16922] = 16593,
  [16923] = 16597,
  [16924] = 16595,
  [16925] = 16616,
  [16926] = 16596,
  [16927] = 16595,
  [16928] = 16601,
  [16929] = 16592,
  [16930] = 16615,
  [16931] = 16599,
  [16932] = 16596,
  [16933] = 16595,
  [16934] = 16596,
  [16935] = 16595,
  [16936] = 16596,
  [16937] = 16598,
  [16938] = 16606,
  [16939] = 16615,
  [16940] = 16604,
  [16941] = 16595,
  [16942] = 16942,
  [16943] = 16596,
  [16944] = 16604,
  [16945] = 16595,
  [16946] = 16628,
  [16947] = 16595,
  [16948] = 16596,
  [16949] = 16595,
  [16950] = 16595,
  [16951] = 16596,
  [16952] = 16592,
  [16953] = 16596,
  [16954] = 16595,
  [16955] = 16596,
  [16956] = 16593,
  [16957] = 16595,
  [16958] = 16594,
  [16959] = 16594,
  [16960] = 16633,
  [16961] = 16615,
  [16962] = 16596,
  [16963] = 16606,
  [16964] = 16604,
  [16965] = 16595,
  [16966] = 16595,
  [16967] = 16616,
  [16968] = 16596,
  [16969] = 16595,
  [16970] = 16619,
  [16971] = 16625,
  [16972] = 16613,
  [16973] = 16620,
  [16974] = 16611,
  [16975] = 16613,
  [16976] = 16625,
  [16977] = 16596,
  [16978] = 16596,
  [16979] = 16595,
  [16980] = 16596,
  [16981] = 16981,
  [16982] = 16618,
  [16983] = 16633,
  [16984] = 16596,
  [16985] = 16595,
  [16986] = 16596,
  [16987] = 16595,
  [16988] = 16598,
  [16989] = 16592,
  [16990] = 16628,
  [16991] = 16595,
  [16992] = 16596,
  [16993] = 16618,
  [16994] = 16599,
  [16995] = 16596,
  [16996] = 16592,
  [16997] = 16595,
  [16998] = 16601,
  [16999] = 16597,
  [17000] = 17000,
  [17001] = 16594,
  [17002] = 16598,
  [17003] = 16593,
  [17004] = 16593,
  [17005] = 17005,
  [17006] = 16605,
  [17007] = 17007,
  [17008] = 16594,
  [17009] = 16599,
  [17010] = 16601,
  [17011] = 16597,
  [17012] = 16594,
  [17013] = 16592,
  [17014] = 17014,
  [17015] = 16595,
  [17016] = 16593,
  [17017] = 16665,
  [17018] = 17018,
  [17019] = 16596,
  [17020] = 17020,
  [17021] = 16591,
  [17022] = 17022,
  [17023] = 17023,
  [17024] = 17024,
  [17025] = 16617,
  [17026] = 17026,
  [17027] = 17027,
  [17028] = 16602,
  [17029] = 16592,
  [17030] = 16605,
  [17031] = 17031,
  [17032] = 16669,
  [17033] = 16611,
  [17034] = 16594,
  [17035] = 16593,
  [17036] = 16592,
  [17037] = 16609,
  [17038] = 16618,
  [17039] = 16595,
  [17040] = 17040,
  [17041] = 16596,
  [17042] = 16671,
  [17043] = 16677,
  [17044] = 17022,
  [17045] = 17023,
  [17046] = 16707,
  [17047] = 17024,
  [17048] = 16632,
  [17049] = 17026,
  [17050] = 17050,
  [17051] = 17051,
  [17052] = 16636,
  [17053] = 16620,
  [17054] = 16604,
  [17055] = 16619,
  [17056] = 16606,
  [17057] = 16640,
  [17058] = 16644,
  [17059] = 16694,
  [17060] = 16602,
  [17061] = 16609,
  [17062] = 16743,
  [17063] = 16615,
  [17064] = 16595,
  [17065] = 16616,
  [17066] = 16596,
  [17067] = 16604,
  [17068] = 17068,
  [17069] = 16604,
  [17070] = 17022,
  [17071] = 17023,
  [17072] = 16616,
  [17073] = 17024,
  [17074] = 16615,
  [17075] = 17026,
  [17076] = 16619,
  [17077] = 16606,
  [17078] = 16620,
  [17079] = 16677,
  [17080] = 16671,
  [17081] = 16605,
  [17082] = 16669,
  [17083] = 16665,
  [17084] = 16606,
  [17085] = 16606,
  [17086] = 16616,
  [17087] = 16665,
  [17088] = 16669,
  [17089] = 16604,
  [17090] = 16595,
  [17091] = 16618,
  [17092] = 16671,
  [17093] = 16609,
  [17094] = 16596,
  [17095] = 16602,
  [17096] = 16640,
  [17097] = 17022,
  [17098] = 17023,
  [17099] = 16591,
  [17100] = 17024,
  [17101] = 16636,
  [17102] = 17026,
  [17103] = 16632,
  [17104] = 16597,
  [17105] = 16605,
  [17106] = 16677,
  [17107] = 16615,
  [17108] = 16592,
  [17109] = 17026,
  [17110] = 16617,
  [17111] = 17005,
  [17112] = 16615,
  [17113] = 16694,
  [17114] = 16620,
  [17115] = 16595,
  [17116] = 16601,
  [17117] = 11152,
  [17118] = 16593,
  [17119] = 16596,
  [17120] = 16619,
  [17121] = 16619,
  [17122] = 16620,
  [17123] = 16599,
  [17124] = 16707,
  [17125] = 17022,
  [17126] = 17023,
  [17127] = 16594,
  [17128] = 17024,
  [17129] = 16597,
  [17130] = 17026,
  [17131] = 16601,
  [17132] = 17024,
  [17133] = 16616,
  [17134] = 16599,
  [17135] = 16594,
  [17136] = 16593,
  [17137] = 16618,
  [17138] = 16598,
  [17139] = 16598,
  [17140] = 16592,
  [17141] = 16721,
  [17142] = 16605,
  [17143] = 17005,
  [17144] = 16604,
  [17145] = 16595,
  [17146] = 16606,
  [17147] = 16596,
  [17148] = 16615,
  [17149] = 16611,
  [17150] = 17027,
  [17151] = 16613,
  [17152] = 16615,
  [17153] = 16625,
  [17154] = 17051,
  [17155] = 16616,
  [17156] = 17156,
  [17157] = 17022,
  [17158] = 17023,
  [17159] = 16633,
  [17160] = 17024,
  [17161] = 17026,
  [17162] = 16628,
  [17163] = 16606,
  [17164] = 16619,
  [17165] = 16620,
  [17166] = 17051,
  [17167] = 16604,
  [17168] = 16618,
  [17169] = 16628,
  [17170] = 16633,
  [17171] = 16605,
  [17172] = 16616,
  [17173] = 16592,
  [17174] = 16625,
  [17175] = 16613,
  [17176] = 16611,
  [17177] = 16595,
  [17178] = 16596,
  [17179] = 17027,
  [17180] = 16593,
  [17181] = 17181,
  [17182] = 17027,
  [17183] = 17022,
  [17184] = 17023,
  [17185] = 16594,
  [17186] = 17024,
  [17187] = 17026,
  [17188] = 16605,
  [17189] = 17051,
  [17190] = 16598,
  [17191] = 16618,
  [17192] = 16620,
  [17193] = 16594,
  [17194] = 16593,
  [17195] = 16599,
  [17196] = 16619,
  [17197] = 16592,
  [17198] = 16595,
  [17199] = 16601,
  [17200] = 16597,
  [17201] = 16981,
  [17202] = 16694,
  [17203] = 16596,
  [17204] = 16594,
  [17205] = 16593,
  [17206] = 16616,
  [17207] = 17022,
  [17208] = 17023,
  [17209] = 16604,
  [17210] = 17024,
  [17211] = 16615,
  [17212] = 13235,
  [17213] = 17026,
  [17214] = 16606,
  [17215] = 16619,
  [17216] = 17216,
  [17217] = 16617,
  [17218] = 16677,
  [17219] = 16606,
  [17220] = 16592,
  [17221] = 16615,
  [17222] = 16604,
  [17223] = 16632,
  [17224] = 16636,
  [17225] = 16620,
  [17226] = 16616,
  [17227] = 16640,
  [17228] = 16609,
  [17229] = 16619,
  [17230] = 16595,
  [17231] = 17231,
  [17232] = 16620,
  [17233] = 17005,
  [17234] = 16602,
  [17235] = 16640,
  [17236] = 16615,
  [17237] = 16596,
  [17238] = 16636,
  [17239] = 17005,
  [17240] = 16632,
  [17241] = 16644,
  [17242] = 16618,
  [17243] = 17022,
  [17244] = 17023,
  [17245] = 17024,
  [17246] = 17026,
  [17247] = 16592,
  [17248] = 16602,
  [17249] = 16617,
  [17250] = 16593,
  [17251] = 17051,
  [17252] = 16594,
  [17253] = 17253,
  [17254] = 16597,
  [17255] = 16601,
  [17256] = 16599,
  [17257] = 16609,
  [17258] = 16605,
  [17259] = 16605,
  [17260] = 16604,
  [17261] = 16618,
  [17262] = 16598,
  [17263] = 16595,
  [17264] = 16606,
  [17265] = 17005,
  [17266] = 16596,
  [17267] = 17267,
  [17268] = 17027,
  [17269] = 16665,
  [17270] = 16611,
  [17271] = 16618,
  [17272] = 16613,
  [17273] = 16625,
  [17274] = 16669,
  [17275] = 16671,
  [17276] = 16633,
  [17277] = 17051,
  [17278] = 16628,
  [17279] = 16677,
  [17280] = 17022,
  [17281] = 16605,
  [17282] = 17023,
  [17283] = 17024,
  [17284] = 17026,
  [17285] = 16615,
  [17286] = 17005,
  [17287] = 16616,
  [17288] = 17027,
  [17289] = 16616,
  [17290] = 16620,
  [17291] = 16594,
  [17292] = 16593,
  [17293] = 17051,
  [17294] = 16694,
  [17295] = 16592,
  [17296] = 16619,
  [17297] = 16616,
  [17298] = 16592,
  [17299] = 16604,
  [17300] = 16694,
  [17301] = 16606,
  [17302] = 16595,
  [17303] = 16615,
  [17304] = 17027,
  [17305] = 16596,
  [17306] = 16615,
  [17307] = 17051,
  [17308] = 16619,
  [17309] = 16616,
  [17310] = 16605,
  [17311] = 17311,
  [17312] = 16620,
  [17313] = 16618,
  [17314] = 16620,
  [17315] = 16596,
  [17316] = 16606,
  [17317] = 16619,
  [17318] = 16619,
  [17319] = 16620,
  [17320] = 16604,
  [17321] = 17005,
  [17322] = 16707,
  [17323] = 17027,
  [17324] = 17051,
  [17325] = 16618,
  [17326] = 17326,
  [17327] = 16616,
  [17328] = 17005,
  [17329] = 16592,
  [17330] = 17027,
  [17331] = 16618,
  [17332] = 17332,
  [17333] = 16605,
  [17334] = 17051,
  [17335] = 17022,
  [17336] = 17023,
  [17337] = 17005,
  [17338] = 16593,
  [17339] = 17024,
  [17340] = 17340,
  [17341] = 17027,
  [17342] = 17051,
  [17343] = 17026,
  [17344] = 16721,
  [17345] = 16594,
  [17346] = 16595,
  [17347] = 17347,
  [17348] = 17005,
  [17349] = 17349,
  [17350] = 16605,
  [17351] = 17027,
  [17352] = 17051,
  [17353] = 16615,
  [17354] = 17005,
  [17355] = 17027,
  [17356] = 17051,
  [17357] = 16628,
  [17358] = 16677,
  [17359] = 16633,
  [17360] = 16606,
  [17361] = 17005,
  [17362] = 16604,
  [17363] = 16594,
  [17364] = 16593,
  [17365] = 16625,
  [17366] = 17366,
  [17367] = 16613,
  [17368] = 16619,
  [17369] = 17366,
  [17370] = 16611,
  [17371] = 17027,
  [17372] = 17051,
  [17373] = 16604,
  [17374] = 17347,
  [17375] = 16609,
  [17376] = 16606,
  [17377] = 17005,
  [17378] = 17027,
  [17379] = 16602,
  [17380] = 16615,
  [17381] = 16595,
  [17382] = 17051,
  [17383] = 16592,
  [17384] = 16596,
  [17385] = 16616,
  [17386] = 17386,
  [17387] = 16617,
  [17388] = 16593,
  [17389] = 17005,
  [17390] = 16598,
  [17391] = 17027,
  [17392] = 16620,
  [17393] = 16594,
  [17394] = 16599,
  [17395] = 17014,
  [17396] = 16597,
  [17397] = 11324,
  [17398] = 17027,
  [17399] = 16601,
  [17400] = 16601,
  [17401] = 16599,
  [17402] = 17051,
  [17403] = 16645,
  [17404] = 16618,
  [17405] = 16597,
  [17406] = 16594,
  [17407] = 16649,
  [17408] = 16593,
  [17409] = 16787,
  [17410] = 16779,
  [17411] = 16598,
  [17412] = 17005,
  [17413] = 16611,
  [17414] = 16605,
  [17415] = 16613,
  [17416] = 16605,
  [17417] = 16625,
  [17418] = 17027,
  [17419] = 17051,
  [17420] = 16609,
  [17421] = 17022,
  [17422] = 17023,
  [17423] = 16627,
  [17424] = 16624,
  [17425] = 16592,
  [17426] = 17426,
  [17427] = 17024,
  [17428] = 17026,
  [17429] = 17005,
  [17430] = 16628,
  [17431] = 17027,
  [17432] = 16618,
  [17433] = 17051,
  [17434] = 17434,
  [17435] = 17005,
  [17436] = 17027,
  [17437] = 17437,
  [17438] = 17051,
  [17439] = 16620,
  [17440] = 16619,
  [17441] = 16619,
  [17442] = 17005,
  [17443] = 16602,
  [17444] = 17027,
  [17445] = 16616,
  [17446] = 16594,
  [17447] = 16613,
  [17448] = 16593,
  [17449] = 16844,
  [17450] = 16870,
  [17451] = 17051,
  [17452] = 16620,
  [17453] = 16604,
  [17454] = 16592,
  [17455] = 17005,
  [17456] = 16628,
  [17457] = 16606,
  [17458] = 17050,
  [17459] = 17027,
  [17460] = 17051,
  [17461] = 17461,
  [17462] = 17005,
  [17463] = 16615,
  [17464] = 17026,
  [17465] = 16604,
  [17466] = 17024,
  [17467] = 16595,
  [17468] = 17181,
  [17469] = 16633,
  [17470] = 16615,
  [17471] = 17216,
  [17472] = 16606,
  [17473] = 17473,
  [17474] = 16605,
  [17475] = 17311,
  [17476] = 16596,
  [17477] = 17477,
  [17478] = 16618,
  [17479] = 16620,
  [17480] = 17027,
  [17481] = 16616,
  [17482] = 17482,
  [17483] = 17051,
  [17484] = 16619,
  [17485] = 17005,
  [17486] = 16615,
  [17487] = 16619,
  [17488] = 17023,
  [17489] = 16606,
  [17490] = 16620,
  [17491] = 16616,
  [17492] = 16604,
  [17493] = 17477,
  [17494] = 16613,
  [17495] = 16616,
  [17496] = 16677,
  [17497] = 17022,
  [17498] = 17023,
  [17499] = 17022,
  [17500] = 17024,
  [17501] = 17434,
  [17502] = 16606,
  [17503] = 17026,
  [17504] = 16618,
  [17505] = 16604,
  [17506] = 17506,
  [17507] = 16619,
  [17508] = 16620,
  [17509] = 16605,
  [17510] = 17051,
  [17511] = 17511,
  [17512] = 17005,
  [17513] = 16609,
  [17514] = 16633,
  [17515] = 17027,
  [17516] = 17051,
  [17517] = 16779,
  [17518] = 16602,
  [17519] = 16618,
  [17520] = 17005,
  [17521] = 17027,
  [17522] = 16592,
  [17523] = 16625,
  [17524] = 16592,
  [17525] = 16605,
  [17526] = 16605,
  [17527] = 17027,
  [17528] = 17051,
  [17529] = 16611,
  [17530] = 17005,
  [17531] = 17531,
  [17532] = 17027,
  [17533] = 16593,
  [17534] = 16594,
  [17535] = 17349,
  [17536] = 16628,
  [17537] = 16617,
  [17538] = 16633,
  [17539] = 17051,
  [17540] = 16707,
  [17541] = 17005,
  [17542] = 16625,
  [17543] = 17027,
  [17544] = 17051,
  [17545] = 16611,
  [17546] = 17546,
  [17547] = 16595,
  [17548] = 16593,
  [17549] = 17005,
  [17550] = 16594,
  [17551] = 16597,
  [17552] = 16601,
  [17553] = 16598,
  [17554] = 11866,
  [17555] = 16594,
  [17556] = 16599,
  [17557] = 16601,
  [17558] = 16597,
  [17559] = 16594,
  [17560] = 16593,
  [17561] = 16593,
  [17562] = 16599,
  [17563] = 17027,
  [17564] = 16596,
  [17565] = 16592,
  [17566] = 17051,
  [17567] = 16598,
  [17568] = 17482,
  [17569] = 16592,
  [17570] = 17386,
  [17571] = 16615,
  [17572] = 16602,
  [17573] = 17005,
  [17574] = 16604,
  [17575] = 16609,
  [17576] = 16613,
  [17577] = 16606,
  [17578] = 17027,
  [17579] = 16604,
  [17580] = 16606,
  [17581] = 16625,
  [17582] = 17051,
  [17583] = 17005,
  [17584] = 16633,
  [17585] = 16615,
  [17586] = 17027,
  [17587] = 16628,
  [17588] = 16615,
  [17589] = 17051,
  [17590] = 17005,
  [17591] = 16616,
  [17592] = 17027,
  [17593] = 17018,
  [17594] = 16616,
  [17595] = 16619,
  [17596] = 17051,
  [17597] = 16595,
  [17598] = 16620,
  [17599] = 16611,
  [17600] = 17022,
  [17601] = 17023,
  [17602] = 17005,
  [17603] = 17024,
  [17604] = 17026,
  [17605] = 16619,
  [17606] = 16618,
  [17607] = 16620,
  [17608] = 17546,
  [17609] = 17609,
  [17610] = 16618,
  [17611] = 17027,
  [17612] = 17434,
  [17613] = 16605,
  [17614] = 17051,
  [17615] = 17005,
  [17616] = 16779,
  [17617] = 16618,
  [17618] = 16605,
  [17619] = 17027,
  [17620] = 17620,
  [17621] = 16620,
  [17622] = 17051,
  [17623] = 16605,
  [17624] = 16595,
  [17625] = 17625,
  [17626] = 17005,
  [17627] = 16618,
  [17628] = 16596,
  [17629] = 16620,
  [17630] = 17027,
  [17631] = 17051,
  [17632] = 16598,
  [17633] = 17005,
  [17634] = 16618,
  [17635] = 16599,
  [17636] = 16601,
  [17637] = 17027,
  [17638] = 16628,
  [17639] = 16619,
  [17640] = 16597,
  [17641] = 16633,
  [17642] = 16616,
  [17643] = 17051,
  [17644] = 16721,
  [17645] = 17027,
  [17646] = 16625,
  [17647] = 16613,
  [17648] = 17005,
  [17649] = 16611,
  [17650] = 16619,
  [17651] = 17027,
  [17652] = 16615,
  [17653] = 16677,
  [17654] = 16606,
  [17655] = 16604,
  [17656] = 17051,
  [17657] = 16598,
  [17658] = 17005,
  [17659] = 16616,
  [17660] = 16599,
  [17661] = 16601,
  [17662] = 16597,
  [17663] = 16594,
  [17664] = 16594,
  [17665] = 16593,
  [17666] = 16593,
  [17667] = 16609,
  [17668] = 16592,
  [17669] = 16592,
  [17670] = 16602,
  [17671] = 17027,
  [17672] = 17051,
  [17673] = 17022,
  [17674] = 17023,
  [17675] = 17005,
  [17676] = 17024,
  [17677] = 16602,
  [17678] = 17026,
  [17679] = 17000,
  [17680] = 16609,
  [17681] = 16592,
  [17682] = 16604,
  [17683] = 16617,
  [17684] = 16615,
  [17685] = 16593,
  [17686] = 16606,
  [17687] = 11772,
  [17688] = 17027,
  [17689] = 16604,
  [17690] = 16606,
  [17691] = 16981,
  [17692] = 16779,
  [17693] = 17051,
  [17694] = 16594,
  [17695] = 17531,
  [17696] = 17696,
  [17697] = 16615,
  [17698] = 16615,
  [17699] = 16594,
  [17700] = 16597,
  [17701] = 16601,
  [17702] = 16616,
  [17703] = 17005,
  [17704] = 17332,
  [17705] = 16914,
  [17706] = 16619,
  [17707] = 16593,
  [17708] = 16620,
  [17709] = 16616,
  [17710] = 16604,
  [17711] = 17027,
  [17712] = 16598,
  [17713] = 16619,
  [17714] = 16595,
  [17715] = 16620,
  [17716] = 17051,
  [17717] = 16618,
  [17718] = 17005,
  [17719] = 17719,
  [17720] = 16596,
  [17721] = 17027,
  [17722] = 16605,
  [17723] = 16611,
  [17724] = 16618,
  [17725] = 17051,
  [17726] = 16613,
  [17727] = 16625,
  [17728] = 16617,
  [17729] = 16592,
  [17730] = 16633,
  [17731] = 16628,
  [17732] = 17005,
  [17733] = 17027,
  [17734] = 16605,
  [17735] = 16593,
  [17736] = 16605,
  [17737] = 16594,
  [17738] = 17051,
  [17739] = 17005,
  [17740] = 17027,
  [17741] = 17051,
  [17742] = 17005,
  [17743] = 16592,
  [17744] = 17027,
  [17745] = 17051,
  [17746] = 17005,
  [17747] = 17022,
  [17748] = 17022,
  [17749] = 17023,
  [17750] = 17311,
  [17751] = 17027,
  [17752] = 17024,
  [17753] = 16594,
  [17754] = 16593,
  [17755] = 17026,
  [17756] = 16605,
  [17757] = 17051,
  [17758] = 16592,
  [17759] = 17005,
  [17760] = 16628,
  [17761] = 17005,
  [17762] = 16870,
  [17763] = 17051,
  [17764] = 16599,
  [17765] = 16604,
  [17766] = 16628,
  [17767] = 16606,
  [17768] = 16611,
  [17769] = 16633,
  [17770] = 17005,
  [17771] = 16618,
  [17772] = 17027,
  [17773] = 17051,
  [17774] = 16779,
  [17775] = 17014,
  [17776] = 17005,
  [17777] = 16591,
  [17778] = 16615,
  [17779] = 17027,
  [17780] = 17051,
  [17781] = 16632,
  [17782] = 16625,
  [17783] = 16596,
  [17784] = 16613,
  [17785] = 16620,
  [17786] = 16616,
  [17787] = 17005,
  [17788] = 16636,
  [17789] = 16611,
  [17790] = 16619,
  [17791] = 16620,
  [17792] = 16605,
  [17793] = 16619,
  [17794] = 17027,
  [17795] = 16640,
  [17796] = 17051,
  [17797] = 16595,
  [17798] = 17005,
  [17799] = 16613,
  [17800] = 16625,
  [17801] = 16644,
  [17802] = 16616,
  [17803] = 17027,
  [17804] = 16598,
  [17805] = 16596,
  [17806] = 16618,
  [17807] = 17051,
  [17808] = 16595,
  [17809] = 17349,
  [17810] = 17810,
  [17811] = 16606,
  [17812] = 16609,
  [17813] = 16602,
  [17814] = 16599,
  [17815] = 16601,
  [17816] = 16597,
  [17817] = 16594,
  [17818] = 17005,
  [17819] = 17819,
  [17820] = 16593,
  [17821] = 17366,
  [17822] = 16605,
  [17823] = 17007,
  [17824] = 16615,
  [17825] = 16677,
  [17826] = 16592,
  [17827] = 16606,
  [17828] = 16604,
  [17829] = 17005,
  [17830] = 17027,
  [17831] = 16609,
  [17832] = 16596,
  [17833] = 17051,
  [17834] = 16602,
  [17835] = 17005,
  [17836] = 17836,
  [17837] = 17027,
  [17838] = 16592,
  [17839] = 16617,
  [17840] = 16593,
  [17841] = 17014,
  [17842] = 17005,
  [17843] = 16594,
  [17844] = 16597,
  [17845] = 16601,
  [17846] = 16602,
  [17847] = 16599,
  [17848] = 16620,
  [17849] = 16609,
  [17850] = 16779,
  [17851] = 16619,
  [17852] = 17027,
  [17853] = 16616,
  [17854] = 16598,
  [17855] = 17005,
  [17856] = 17027,
  [17857] = 17005,
  [17858] = 16627,
  [17859] = 16624,
  [17860] = 17027,
  [17861] = 16611,
  [17862] = 16604,
  [17863] = 16615,
  [17864] = 16606,
  [17865] = 17005,
  [17866] = 17022,
  [17867] = 17027,
  [17868] = 17023,
  [17869] = 17005,
  [17870] = 17311,
  [17871] = 17027,
  [17872] = 17872,
  [17873] = 17181,
  [17874] = 16615,
  [17875] = 16625,
  [17876] = 16870,
  [17877] = 17005,
  [17878] = 17024,
  [17879] = 17027,
  [17880] = 17050,
  [17881] = 17005,
  [17882] = 17026,
  [17883] = 16594,
  [17884] = 17026,
  [17885] = 16616,
  [17886] = 17024,
  [17887] = 16593,
  [17888] = 17181,
  [17889] = 16870,
  [17890] = 16633,
  [17891] = 16633,
  [17892] = 17311,
  [17893] = 17027,
  [17894] = 17005,
  [17895] = 16628,
  [17896] = 17027,
  [17897] = 16592,
  [17898] = 17005,
  [17899] = 16619,
  [17900] = 17023,
  [17901] = 17461,
  [17902] = 17027,
  [17903] = 17005,
  [17904] = 17477,
  [17905] = 16620,
  [17906] = 16779,
  [17907] = 17022,
  [17908] = 17014,
  [17909] = 17434,
  [17910] = 17027,
  [17911] = 17005,
  [17912] = 17027,
  [17913] = 17005,
  [17914] = 16606,
  [17915] = 16618,
  [17916] = 16613,
  [17917] = 16604,
  [17918] = 16604,
  [17919] = 16606,
  [17920] = 16605,
  [17921] = 17027,
  [17922] = 17005,
  [17923] = 17027,
  [17924] = 17005,
  [17925] = 16595,
  [17926] = 17023,
  [17927] = 16615,
  [17928] = 16625,
  [17929] = 17005,
  [17930] = 16605,
  [17931] = 17005,
  [17932] = 16593,
  [17933] = 17005,
  [17934] = 16616,
  [17935] = 17005,
  [17936] = 17005,
  [17937] = 16618,
  [17938] = 16619,
  [17939] = 16620,
  [17940] = 16596,
  [17941] = 17005,
  [17942] = 16628,
  [17943] = 17005,
  [17944] = 16633,
  [17945] = 16618,
  [17946] = 17005,
  [17947] = 17005,
  [17948] = 16620,
  [17949] = 16613,
  [17950] = 16592,
  [17951] = 16611,
  [17952] = 17005,
  [17953] = 17005,
  [17954] = 16619,
  [17955] = 17005,
  [17956] = 16616,
  [17957] = 17005,
  [17958] = 17005,
  [17959] = 17005,
  [17960] = 17473,
  [17961] = 16598,
  [17962] = 17005,
  [17963] = 16618,
  [17964] = 17005,
  [17965] = 16599,
  [17966] = 16601,
  [17967] = 16597,
  [17968] = 16594,
  [17969] = 17005,
  [17970] = 16593,
  [17971] = 16615,
  [17972] = 17477,
  [17973] = 16593,
  [17974] = 16677,
  [17975] = 16606,
  [17976] = 16592,
  [17977] = 16604,
  [17978] = 16594,
  [17979] = 17005,
  [17980] = 16609,
  [17981] = 17005,
  [17982] = 16605,
  [17983] = 16602,
  [17984] = 16602,
  [17985] = 17005,
  [17986] = 16609,
  [17987] = 17819,
  [17988] = 17988,
  [17989] = 16604,
  [17990] = 16755,
  [17991] = 16604,
  [17992] = 16606,
  [17993] = 16592,
  [17994] = 16617,
  [17995] = 16593,
  [17996] = 16596,
  [17997] = 16606,
  [17998] = 16594,
  [17999] = 16665,
  [18000] = 16597,
  [18001] = 16615,
  [18002] = 16669,
  [18003] = 16601,
  [18004] = 16594,
  [18005] = 16599,
  [18006] = 16707,
  [18007] = 17434,
  [18008] = 16616,
  [18009] = 16671,
  [18010] = 16677,
  [18011] = 17022,
  [18012] = 17477,
  [18013] = 16598,
  [18014] = 17023,
  [18015] = 17311,
  [18016] = 17181,
  [18017] = 16592,
  [18018] = 17024,
  [18019] = 17026,
  [18020] = 16619,
  [18021] = 16595,
  [18022] = 17349,
  [18023] = 16615,
  [18024] = 16605,
  [18025] = 16870,
  [18026] = 16604,
  [18027] = 16620,
  [18028] = 16606,
  [18029] = 16611,
  [18030] = 16616,
  [18031] = 16694,
  [18032] = 16615,
  [18033] = 17332,
  [18034] = 17366,
  [18035] = 16613,
  [18036] = 16618,
  [18037] = 16625,
  [18038] = 16618,
  [18039] = 17366,
  [18040] = 16627,
  [18041] = 16616,
  [18042] = 16624,
  [18043] = 16779,
  [18044] = 17426,
  [18045] = 17014,
  [18046] = 16633,
  [18047] = 16628,
  [18048] = 16605,
  [18049] = 16619,
  [18050] = 16620,
  [18051] = 16619,
  [18052] = 17050,
  [18053] = 17014,
  [18054] = 16620,
  [18055] = 16620,
  [18056] = 17482,
  [18057] = 16618,
  [18058] = 16619,
  [18059] = 16618,
  [18060] = 16616,
  [18061] = 16595,
  [18062] = 16779,
  [18063] = 16605,
  [18064] = 16721,
  [18065] = 16615,
  [18066] = 17719,
  [18067] = 17482,
  [18068] = 16605,
  [18069] = 16627,
  [18070] = 16624,
  [18071] = 16606,
  [18072] = 16596,
  [18073] = 16604,
  [18074] = 16591,
  [18075] = 16649,
  [18076] = 16605,
  [18077] = 16645,
  [18078] = 16594,
  [18079] = 16618,
  [18080] = 16593,
  [18081] = 18081,
  [18082] = 16592,
  [18083] = 16620,
  [18084] = 16649,
  [18085] = 16645,
  [18086] = 16593,
  [18087] = 16870,
  [18088] = 16604,
  [18089] = 16619,
  [18090] = 16606,
  [18091] = 17050,
  [18092] = 16594,
  [18093] = 16649,
  [18094] = 16615,
  [18095] = 17026,
  [18096] = 16616,
  [18097] = 17024,
  [18098] = 16645,
  [18099] = 17181,
  [18100] = 16616,
  [18101] = 16615,
  [18102] = 16628,
  [18103] = 17311,
  [18104] = 16606,
  [18105] = 16604,
  [18106] = 16633,
  [18107] = 17023,
  [18108] = 17477,
  [18109] = 16619,
  [18110] = 16620,
  [18111] = 17022,
  [18112] = 16625,
  [18113] = 17434,
  [18114] = 16613,
  [18115] = 17719,
  [18116] = 16611,
  [18117] = 17719,
  [18118] = 16598,
  [18119] = 16618,
  [18120] = 16592,
  [18121] = 16599,
  [18122] = 16601,
  [18123] = 16597,
  [18124] = 16594,
  [18125] = 16605,
  [18126] = 16593,
  [18127] = 16592,
  [18128] = 17719,
  [18129] = 16602,
  [18130] = 17482,
  [18131] = 16609,
  [18132] = 17482,
  [18133] = 18133,
  [18134] = 18134,
  [18135] = 18135,
  [18136] = 18136,
  [18137] = 18136,
  [18138] = 18138,
  [18139] = 18139,
  [18140] = 18140,
  [18141] = 18141,
  [18142] = 18142,
  [18143] = 18133,
  [18144] = 18144,
  [18145] = 18140,
  [18146] = 18141,
  [18147] = 18144,
  [18148] = 18141,
  [18149] = 18140,
  [18150] = 18136,
  [18151] = 18151,
  [18152] = 18152,
  [18153] = 18153,
  [18154] = 18134,
  [18155] = 18144,
  [18156] = 18136,
  [18157] = 18157,
  [18158] = 18136,
  [18159] = 18159,
  [18160] = 18153,
  [18161] = 18161,
  [18162] = 18162,
  [18163] = 18133,
  [18164] = 18164,
  [18165] = 18165,
  [18166] = 18133,
  [18167] = 18167,
  [18168] = 18142,
  [18169] = 18142,
  [18170] = 18135,
  [18171] = 18171,
  [18172] = 18153,
  [18173] = 18135,
  [18174] = 18138,
  [18175] = 18139,
  [18176] = 18176,
  [18177] = 18139,
  [18178] = 18178,
  [18179] = 18139,
  [18180] = 18135,
  [18181] = 18138,
  [18182] = 18138,
  [18183] = 18139,
  [18184] = 18141,
  [18185] = 18135,
  [18186] = 18142,
  [18187] = 18165,
  [18188] = 18188,
  [18189] = 18134,
  [18190] = 18159,
  [18191] = 18191,
  [18192] = 18138,
  [18193] = 18133,
  [18194] = 18165,
  [18195] = 18171,
  [18196] = 18142,
  [18197] = 18197,
  [18198] = 18133,
  [18199] = 18153,
  [18200] = 18141,
  [18201] = 18136,
  [18202] = 18202,
  [18203] = 18140,
  [18204] = 18153,
  [18205] = 18205,
  [18206] = 18206,
  [18207] = 18134,
  [18208] = 18153,
  [18209] = 18162,
  [18210] = 18141,
  [18211] = 18135,
  [18212] = 18165,
  [18213] = 18213,
  [18214] = 18138,
  [18215] = 18139,
  [18216] = 18142,
  [18217] = 18153,
  [18218] = 18133,
  [18219] = 18141,
  [18220] = 18136,
  [18221] = 18221,
  [18222] = 18133,
  [18223] = 18223,
  [18224] = 18142,
  [18225] = 18153,
  [18226] = 18226,
  [18227] = 18227,
  [18228] = 18228,
  [18229] = 18229,
  [18230] = 18230,
  [18231] = 18139,
  [18232] = 18138,
  [18233] = 18135,
  [18234] = 18159,
  [18235] = 18151,
  [18236] = 18236,
  [18237] = 18153,
  [18238] = 18136,
  [18239] = 18135,
  [18240] = 18240,
  [18241] = 18240,
  [18242] = 18138,
  [18243] = 18139,
  [18244] = 18142,
  [18245] = 18230,
  [18246] = 18133,
  [18247] = 18229,
  [18248] = 18228,
  [18249] = 18227,
  [18250] = 18226,
  [18251] = 18153,
  [18252] = 18141,
  [18253] = 18253,
  [18254] = 18236,
  [18255] = 18136,
  [18256] = 18136,
  [18257] = 18202,
  [18258] = 18159,
  [18259] = 18165,
  [18260] = 18153,
  [18261] = 18261,
  [18262] = 18157,
  [18263] = 18206,
  [18264] = 18141,
  [18265] = 18161,
  [18266] = 18135,
  [18267] = 18178,
  [18268] = 18268,
  [18269] = 18138,
  [18270] = 18135,
  [18271] = 18139,
  [18272] = 18138,
  [18273] = 18223,
  [18274] = 18141,
  [18275] = 18142,
  [18276] = 18221,
  [18277] = 18133,
  [18278] = 18133,
  [18279] = 18162,
  [18280] = 18141,
  [18281] = 18142,
  [18282] = 18282,
  [18283] = 18283,
  [18284] = 18136,
  [18285] = 18138,
  [18286] = 18135,
  [18287] = 18153,
  [18288] = 18165,
  [18289] = 18152,
  [18290] = 18167,
  [18291] = 18171,
  [18292] = 18165,
  [18293] = 18152,
  [18294] = 18165,
  [18295] = 18295,
  [18296] = 18296,
  [18297] = 18142,
  [18298] = 18206,
  [18299] = 18299,
  [18300] = 18133,
  [18301] = 18135,
  [18302] = 18302,
  [18303] = 18139,
  [18304] = 11477,
  [18305] = 18142,
  [18306] = 18133,
  [18307] = 18135,
  [18308] = 18153,
  [18309] = 18309,
  [18310] = 18310,
  [18311] = 18221,
  [18312] = 18141,
  [18313] = 18188,
  [18314] = 18165,
  [18315] = 18136,
  [18316] = 18316,
  [18317] = 18136,
  [18318] = 18153,
  [18319] = 18319,
  [18320] = 18134,
  [18321] = 18141,
  [18322] = 18223,
  [18323] = 18138,
  [18324] = 18135,
  [18325] = 18138,
  [18326] = 18326,
  [18327] = 18138,
  [18328] = 11531,
  [18329] = 18142,
  [18330] = 18141,
  [18331] = 18133,
  [18332] = 18133,
  [18333] = 18152,
  [18334] = 18213,
  [18335] = 18142,
  [18336] = 18191,
  [18337] = 18136,
  [18338] = 18171,
  [18339] = 18139,
  [18340] = 18133,
  [18341] = 18142,
  [18342] = 18342,
  [18343] = 18343,
  [18344] = 18139,
  [18345] = 18138,
  [18346] = 18139,
  [18347] = 18135,
  [18348] = 18141,
  [18349] = 18136,
  [18350] = 18141,
  [18351] = 18165,
  [18352] = 18138,
  [18353] = 18135,
  [18354] = 18354,
  [18355] = 18165,
  [18356] = 18136,
  [18357] = 18153,
  [18358] = 18140,
  [18359] = 18144,
  [18360] = 18165,
  [18361] = 18309,
  [18362] = 18159,
  [18363] = 18206,
  [18364] = 18153,
  [18365] = 18135,
  [18366] = 18138,
  [18367] = 18153,
  [18368] = 18142,
  [18369] = 18165,
  [18370] = 18133,
  [18371] = 18153,
  [18372] = 18372,
  [18373] = 18141,
  [18374] = 18136,
  [18375] = 18136,
  [18376] = 18159,
  [18377] = 11570,
  [18378] = 18221,
  [18379] = 18161,
  [18380] = 18223,
  [18381] = 18162,
  [18382] = 18153,
  [18383] = 18165,
  [18384] = 18167,
  [18385] = 18171,
  [18386] = 18159,
  [18387] = 18161,
  [18388] = 18153,
  [18389] = 18161,
  [18390] = 18165,
  [18391] = 18135,
  [18392] = 18188,
  [18393] = 18236,
  [18394] = 18135,
  [18395] = 18161,
  [18396] = 18138,
  [18397] = 18240,
  [18398] = 18236,
  [18399] = 18138,
  [18400] = 18135,
  [18401] = 18401,
  [18402] = 18230,
  [18403] = 18139,
  [18404] = 18229,
  [18405] = 18228,
  [18406] = 18227,
  [18407] = 18226,
  [18408] = 18142,
  [18409] = 18138,
  [18410] = 18133,
  [18411] = 18139,
  [18412] = 18133,
  [18413] = 18161,
  [18414] = 18171,
  [18415] = 18141,
  [18416] = 18142,
  [18417] = 18197,
  [18418] = 18157,
  [18419] = 18142,
  [18420] = 18161,
  [18421] = 18136,
  [18422] = 18133,
  [18423] = 18178,
  [18424] = 18139,
  [18425] = 18171,
  [18426] = 18197,
  [18427] = 18138,
  [18428] = 18136,
  [18429] = 18135,
  [18430] = 18165,
  [18431] = 18142,
  [18432] = 18153,
  [18433] = 18133,
  [18434] = 18161,
  [18435] = 18205,
  [18436] = 18134,
  [18437] = 18268,
  [18438] = 18178,
  [18439] = 18133,
  [18440] = 18153,
  [18441] = 18161,
  [18442] = 18138,
  [18443] = 18142,
  [18444] = 18133,
  [18445] = 18142,
  [18446] = 18136,
  [18447] = 18157,
  [18448] = 18448,
  [18449] = 18449,
  [18450] = 18302,
  [18451] = 18141,
  [18452] = 18202,
  [18453] = 18453,
  [18454] = 18141,
  [18455] = 18152,
  [18456] = 18240,
  [18457] = 18296,
  [18458] = 18299,
  [18459] = 18152,
  [18460] = 18136,
  [18461] = 18461,
  [18462] = 18161,
  [18463] = 18141,
  [18464] = 18153,
  [18465] = 18226,
  [18466] = 18227,
  [18467] = 18228,
  [18468] = 18229,
  [18469] = 18310,
  [18470] = 18141,
  [18471] = 18230,
  [18472] = 18319,
  [18473] = 11666,
  [18474] = 18449,
  [18475] = 18213,
  [18476] = 18191,
  [18477] = 18136,
  [18478] = 18342,
  [18479] = 18453,
  [18480] = 18354,
  [18481] = 18309,
  [18482] = 18138,
  [18483] = 18240,
  [18484] = 18484,
  [18485] = 18142,
  [18486] = 18133,
  [18487] = 18153,
  [18488] = 18142,
  [18489] = 18134,
  [18490] = 18161,
  [18491] = 18236,
  [18492] = 18133,
  [18493] = 18159,
  [18494] = 18162,
  [18495] = 18142,
  [18496] = 18142,
  [18497] = 18142,
  [18498] = 18142,
  [18499] = 18165,
  [18500] = 18141,
  [18501] = 18165,
  [18502] = 18167,
  [18503] = 18223,
  [18504] = 18221,
  [18505] = 18133,
  [18506] = 18141,
  [18507] = 18135,
  [18508] = 18188,
  [18509] = 18138,
  [18510] = 18139,
  [18511] = 18142,
  [18512] = 18152,
  [18513] = 18206,
  [18514] = 18136,
  [18515] = 18171,
  [18516] = 18139,
  [18517] = 18138,
  [18518] = 18153,
  [18519] = 18165,
  [18520] = 18134,
  [18521] = 18171,
  [18522] = 18135,
  [18523] = 18165,
  [18524] = 18142,
  [18525] = 18197,
  [18526] = 18165,
  [18527] = 18133,
  [18528] = 18221,
  [18529] = 18342,
  [18530] = 18223,
  [18531] = 18449,
  [18532] = 18165,
  [18533] = 18206,
  [18534] = 18138,
  [18535] = 18159,
  [18536] = 18142,
  [18537] = 18139,
  [18538] = 18138,
  [18539] = 18453,
  [18540] = 18135,
  [18541] = 18133,
  [18542] = 18205,
  [18543] = 18134,
  [18544] = 18268,
  [18545] = 18240,
  [18546] = 18546,
  [18547] = 18153,
  [18548] = 18142,
  [18549] = 18461,
  [18550] = 18230,
  [18551] = 18230,
  [18552] = 18229,
  [18553] = 18228,
  [18554] = 18227,
  [18555] = 18226,
  [18556] = 18141,
  [18557] = 18135,
  [18558] = 18558,
  [18559] = 18135,
  [18560] = 18136,
  [18561] = 18142,
  [18562] = 18302,
  [18563] = 18165,
  [18564] = 18136,
  [18565] = 18135,
  [18566] = 18157,
  [18567] = 18141,
  [18568] = 18153,
  [18569] = 18569,
  [18570] = 18178,
  [18571] = 18136,
  [18572] = 18572,
  [18573] = 18161,
  [18574] = 18159,
  [18575] = 18152,
  [18576] = 18141,
  [18577] = 18152,
  [18578] = 18142,
  [18579] = 18159,
  [18580] = 18240,
  [18581] = 18240,
  [18582] = 18240,
  [18583] = 18240,
  [18584] = 18138,
  [18585] = 18240,
  [18586] = 18240,
  [18587] = 18142,
  [18588] = 18240,
  [18589] = 18133,
  [18590] = 18240,
  [18591] = 18240,
  [18592] = 18240,
  [18593] = 18240,
  [18594] = 18240,
  [18595] = 18133,
  [18596] = 18240,
  [18597] = 18240,
  [18598] = 18240,
  [18599] = 18141,
  [18600] = 18240,
  [18601] = 18142,
  [18602] = 18153,
  [18603] = 18240,
  [18604] = 18135,
  [18605] = 18165,
  [18606] = 18135,
  [18607] = 18240,
  [18608] = 18135,
  [18609] = 18165,
  [18610] = 18240,
  [18611] = 18136,
  [18612] = 18240,
  [18613] = 18153,
  [18614] = 18136,
  [18615] = 18139,
  [18616] = 18240,
  [18617] = 18138,
  [18618] = 18153,
  [18619] = 18240,
  [18620] = 18240,
  [18621] = 18226,
  [18622] = 18319,
  [18623] = 18227,
  [18624] = 18228,
  [18625] = 18240,
  [18626] = 11572,
  [18627] = 18165,
  [18628] = 18226,
  [18629] = 18227,
  [18630] = 18228,
  [18631] = 18206,
  [18632] = 18240,
  [18633] = 18226,
  [18634] = 18227,
  [18635] = 18635,
  [18636] = 18228,
  [18637] = 18165,
  [18638] = 18240,
  [18639] = 18135,
  [18640] = 18296,
  [18641] = 18226,
  [18642] = 18227,
  [18643] = 18228,
  [18644] = 18644,
  [18645] = 18240,
  [18646] = 18221,
  [18647] = 18299,
  [18648] = 18152,
  [18649] = 18135,
  [18650] = 18226,
  [18651] = 18138,
  [18652] = 18139,
  [18653] = 18171,
  [18654] = 18227,
  [18655] = 18228,
  [18656] = 18142,
  [18657] = 18240,
  [18658] = 18226,
  [18659] = 18227,
  [18660] = 18240,
  [18661] = 18133,
  [18662] = 18228,
  [18663] = 18240,
  [18664] = 18226,
  [18665] = 18230,
  [18666] = 18228,
  [18667] = 18227,
  [18668] = 18226,
  [18669] = 18227,
  [18670] = 18228,
  [18671] = 18240,
  [18672] = 18165,
  [18673] = 18226,
  [18674] = 18227,
  [18675] = 18228,
  [18676] = 18165,
  [18677] = 18240,
  [18678] = 18141,
  [18679] = 18157,
  [18680] = 18138,
  [18681] = 18178,
  [18682] = 18226,
  [18683] = 18227,
  [18684] = 18228,
  [18685] = 18240,
  [18686] = 18142,
  [18687] = 18134,
  [18688] = 18226,
  [18689] = 18227,
  [18690] = 18228,
  [18691] = 18240,
  [18692] = 18133,
  [18693] = 18226,
  [18694] = 18227,
  [18695] = 18228,
  [18696] = 18240,
  [18697] = 18226,
  [18698] = 18227,
  [18699] = 18228,
  [18700] = 18295,
  [18701] = 18240,
  [18702] = 18159,
  [18703] = 11651,
  [18704] = 18226,
  [18705] = 18227,
  [18706] = 18228,
  [18707] = 18240,
  [18708] = 18310,
  [18709] = 18134,
  [18710] = 18141,
  [18711] = 12659,
  [18712] = 18152,
  [18713] = 18226,
  [18714] = 18227,
  [18715] = 18228,
  [18716] = 18240,
  [18717] = 18229,
  [18718] = 18141,
  [18719] = 18228,
  [18720] = 18227,
  [18721] = 18226,
  [18722] = 18319,
  [18723] = 18142,
  [18724] = 18226,
  [18725] = 18227,
  [18726] = 18171,
  [18727] = 18228,
  [18728] = 18309,
  [18729] = 18136,
  [18730] = 18240,
  [18731] = 18136,
  [18732] = 18153,
  [18733] = 18139,
  [18734] = 11641,
  [18735] = 18138,
  [18736] = 18736,
  [18737] = 18153,
  [18738] = 18206,
  [18739] = 18135,
  [18740] = 18226,
  [18741] = 18227,
  [18742] = 18228,
  [18743] = 18165,
  [18744] = 18240,
  [18745] = 18213,
  [18746] = 18191,
  [18747] = 18136,
  [18748] = 18136,
  [18749] = 18342,
  [18750] = 18354,
  [18751] = 18153,
  [18752] = 18226,
  [18753] = 18227,
  [18754] = 18165,
  [18755] = 18228,
  [18756] = 18354,
  [18757] = 18240,
  [18758] = 18138,
  [18759] = 18159,
  [18760] = 18309,
  [18761] = 18142,
  [18762] = 18133,
  [18763] = 18153,
  [18764] = 18226,
  [18765] = 18240,
  [18766] = 18227,
  [18767] = 18228,
  [18768] = 18152,
  [18769] = 18240,
  [18770] = 18230,
  [18771] = 18228,
  [18772] = 18227,
  [18773] = 18226,
  [18774] = 18159,
  [18775] = 18141,
  [18776] = 18226,
  [18777] = 18227,
  [18778] = 18228,
  [18779] = 18159,
  [18780] = 18780,
  [18781] = 18240,
  [18782] = 18136,
  [18783] = 18165,
  [18784] = 18157,
  [18785] = 18141,
  [18786] = 18178,
  [18787] = 18153,
  [18788] = 18165,
  [18789] = 18140,
  [18790] = 18135,
  [18791] = 18188,
  [18792] = 18226,
  [18793] = 18227,
  [18794] = 18153,
  [18795] = 18228,
  [18796] = 18240,
  [18797] = 18138,
  [18798] = 18139,
  [18799] = 18171,
  [18800] = 18226,
  [18801] = 18227,
  [18802] = 18228,
  [18803] = 18135,
  [18804] = 18138,
  [18805] = 18134,
  [18806] = 18138,
  [18807] = 18139,
  [18808] = 18240,
  [18809] = 18171,
  [18810] = 18142,
  [18811] = 18133,
  [18812] = 18812,
  [18813] = 18142,
  [18814] = 18142,
  [18815] = 18133,
  [18816] = 18136,
  [18817] = 18133,
  [18818] = 18226,
  [18819] = 18227,
  [18820] = 18228,
  [18821] = 18821,
  [18822] = 18240,
  [18823] = 18134,
  [18824] = 18141,
  [18825] = 18133,
  [18826] = 18205,
  [18827] = 18136,
  [18828] = 18226,
  [18829] = 18227,
  [18830] = 18228,
  [18831] = 18134,
  [18832] = 18152,
  [18833] = 18133,
  [18834] = 18240,
  [18835] = 18142,
  [18836] = 18171,
  [18837] = 18153,
  [18838] = 18139,
  [18839] = 18141,
  [18840] = 18206,
  [18841] = 18138,
  [18842] = 18152,
  [18843] = 18226,
  [18844] = 18227,
  [18845] = 18165,
  [18846] = 18228,
  [18847] = 18240,
  [18848] = 18138,
  [18849] = 18849,
  [18850] = 18226,
  [18851] = 18227,
  [18852] = 18141,
  [18853] = 18228,
  [18854] = 18302,
  [18855] = 18133,
  [18856] = 18240,
  [18857] = 18136,
  [18858] = 18141,
  [18859] = 18165,
  [18860] = 18135,
  [18861] = 18205,
  [18862] = 18152,
  [18863] = 18141,
  [18864] = 18226,
  [18865] = 18227,
  [18866] = 18228,
  [18867] = 18240,
  [18868] = 18296,
  [18869] = 18299,
  [18870] = 18153,
  [18871] = 18240,
  [18872] = 18230,
  [18873] = 18228,
  [18874] = 18227,
  [18875] = 18226,
  [18876] = 18202,
  [18877] = 18134,
  [18878] = 18178,
  [18879] = 18136,
  [18880] = 18226,
  [18881] = 18227,
  [18882] = 18228,
  [18883] = 18310,
  [18884] = 18240,
  [18885] = 18134,
  [18886] = 18157,
  [18887] = 18153,
  [18888] = 18178,
  [18889] = 18319,
  [18890] = 18153,
  [18891] = 18159,
  [18892] = 18159,
  [18893] = 18178,
  [18894] = 18165,
  [18895] = 18226,
  [18896] = 18227,
  [18897] = 18228,
  [18898] = 18157,
  [18899] = 18240,
  [18900] = 18136,
  [18901] = 18138,
  [18902] = 18213,
  [18903] = 18136,
  [18904] = 18133,
  [18905] = 18342,
  [18906] = 18268,
  [18907] = 18135,
  [18908] = 18178,
  [18909] = 18226,
  [18910] = 18227,
  [18911] = 18228,
  [18912] = 18240,
  [18913] = 18138,
  [18914] = 18133,
  [18915] = 18141,
  [18916] = 18142,
  [18917] = 18139,
  [18918] = 18178,
  [18919] = 18171,
  [18920] = 18136,
  [18921] = 18226,
  [18922] = 18171,
  [18923] = 18227,
  [18924] = 18228,
  [18925] = 18139,
  [18926] = 18138,
  [18927] = 18153,
  [18928] = 18240,
  [18929] = 18135,
  [18930] = 18152,
  [18931] = 18178,
  [18932] = 18153,
  [18933] = 18309,
  [18934] = 18226,
  [18935] = 18227,
  [18936] = 18165,
  [18937] = 18228,
  [18938] = 18240,
  [18939] = 18141,
  [18940] = 18138,
  [18941] = 18159,
  [18942] = 18206,
  [18943] = 18142,
  [18944] = 18159,
  [18945] = 18945,
  [18946] = 18165,
  [18947] = 18165,
  [18948] = 18133,
  [18949] = 18178,
  [18950] = 18226,
  [18951] = 18227,
  [18952] = 18228,
  [18953] = 18240,
  [18954] = 18135,
  [18955] = 18453,
  [18956] = 18223,
  [18957] = 18206,
  [18958] = 18188,
  [18959] = 18134,
  [18960] = 18138,
  [18961] = 18139,
  [18962] = 18178,
  [18963] = 18141,
  [18964] = 18153,
  [18965] = 18226,
  [18966] = 18227,
  [18967] = 18228,
  [18968] = 18171,
  [18969] = 18240,
  [18970] = 18134,
  [18971] = 18971,
  [18972] = 18240,
  [18973] = 18136,
  [18974] = 18230,
  [18975] = 18228,
  [18976] = 18227,
  [18977] = 18226,
  [18978] = 18178,
  [18979] = 18979,
  [18980] = 18206,
  [18981] = 18142,
  [18982] = 18982,
  [18983] = 18133,
  [18984] = 18178,
  [18985] = 18153,
  [18986] = 18226,
  [18987] = 18157,
  [18988] = 18157,
  [18989] = 18178,
  [18990] = 18227,
  [18991] = 18228,
  [18992] = 18136,
  [18993] = 18240,
  [18994] = 18133,
  [18995] = 18178,
  [18996] = 18202,
  [18997] = 18206,
  [18998] = 18142,
  [18999] = 18849,
  [19000] = 18178,
  [19001] = 18226,
  [19002] = 18227,
  [19003] = 18228,
  [19004] = 18240,
  [19005] = 18171,
  [19006] = 18138,
  [19007] = 18139,
  [19008] = 18821,
  [19009] = 18971,
  [19010] = 18812,
  [19011] = 18138,
  [19012] = 18206,
  [19013] = 18133,
  [19014] = 18134,
  [19015] = 18135,
  [19016] = 18302,
  [19017] = 18178,
  [19018] = 18226,
  [19019] = 18227,
  [19020] = 18228,
  [19021] = 18152,
  [19022] = 18141,
  [19023] = 19023,
  [19024] = 18226,
  [19025] = 18227,
  [19026] = 18228,
  [19027] = 18240,
  [19028] = 18229,
  [19029] = 18206,
  [19030] = 18230,
  [19031] = 18141,
  [19032] = 18165,
  [19033] = 18141,
  [19034] = 19034,
  [19035] = 18152,
  [19036] = 18178,
  [19037] = 18136,
  [19038] = 19038,
  [19039] = 18226,
  [19040] = 18227,
  [19041] = 18228,
  [19042] = 18159,
  [19043] = 18206,
  [19044] = 18141,
  [19045] = 18240,
  [19046] = 19046,
  [19047] = 18165,
  [19048] = 18153,
  [19049] = 18206,
  [19050] = 19050,
  [19051] = 18240,
  [19052] = 18178,
  [19053] = 18226,
  [19054] = 18227,
  [19055] = 18228,
  [19056] = 18302,
  [19057] = 18240,
  [19058] = 18141,
  [19059] = 18206,
  [19060] = 18236,
  [19061] = 18153,
  [19062] = 19062,
  [19063] = 18134,
  [19064] = 18138,
  [19065] = 18133,
  [19066] = 18178,
  [19067] = 18226,
  [19068] = 18227,
  [19069] = 18240,
  [19070] = 18343,
  [19071] = 18228,
  [19072] = 18240,
  [19073] = 18152,
  [19074] = 18230,
  [19075] = 18228,
  [19076] = 18227,
  [19077] = 18226,
  [19078] = 18296,
  [19079] = 18299,
  [19080] = 18136,
  [19081] = 18206,
  [19082] = 18178,
  [19083] = 18310,
  [19084] = 18165,
  [19085] = 18226,
  [19086] = 18227,
  [19087] = 18157,
  [19088] = 18228,
  [19089] = 18178,
  [19090] = 18221,
  [19091] = 18136,
  [19092] = 18240,
  [19093] = 18141,
  [19094] = 18135,
  [19095] = 18133,
  [19096] = 18136,
  [19097] = 18153,
  [19098] = 18206,
  [19099] = 18142,
  [19100] = 18178,
  [19101] = 18226,
  [19102] = 18227,
  [19103] = 18228,
  [19104] = 18213,
  [19105] = 18240,
  [19106] = 18152,
  [19107] = 18133,
  [19108] = 18165,
  [19109] = 18136,
  [19110] = 18206,
  [19111] = 18171,
  [19112] = 18141,
  [19113] = 18206,
  [19114] = 18136,
  [19115] = 18178,
  [19116] = 18153,
  [19117] = 18139,
  [19118] = 18138,
  [19119] = 18188,
  [19120] = 18157,
  [19121] = 18135,
  [19122] = 18141,
  [19123] = 18226,
  [19124] = 18227,
  [19125] = 18228,
  [19126] = 18153,
  [19127] = 18240,
  [19128] = 18133,
  [19129] = 18206,
  [19130] = 18153,
  [19131] = 18141,
  [19132] = 18283,
  [19133] = 18159,
  [19134] = 18178,
  [19135] = 18136,
  [19136] = 18157,
  [19137] = 18159,
  [19138] = 18226,
  [19139] = 18227,
  [19140] = 18228,
  [19141] = 18206,
  [19142] = 18240,
  [19143] = 18165,
  [19144] = 18206,
  [19145] = 18135,
  [19146] = 18310,
  [19147] = 18188,
  [19148] = 18141,
  [19149] = 18136,
  [19150] = 18134,
  [19151] = 18153,
  [19152] = 18138,
  [19153] = 18139,
  [19154] = 18178,
  [19155] = 18157,
  [19156] = 18226,
  [19157] = 18227,
  [19158] = 18228,
  [19159] = 18171,
  [19160] = 18240,
  [19161] = 18141,
  [19162] = 18136,
  [19163] = 18153,
  [19164] = 18240,
  [19165] = 18206,
  [19166] = 18153,
  [19167] = 18142,
  [19168] = 18133,
  [19169] = 18230,
  [19170] = 18228,
  [19171] = 18227,
  [19172] = 18226,
  [19173] = 18282,
  [19174] = 18141,
  [19175] = 18136,
  [19176] = 18153,
  [19177] = 18178,
  [19178] = 18157,
  [19179] = 18153,
  [19180] = 18226,
  [19181] = 18227,
  [19182] = 18157,
  [19183] = 18228,
  [19184] = 18178,
  [19185] = 18945,
  [19186] = 18240,
  [19187] = 18141,
  [19188] = 18136,
  [19189] = 18134,
  [19190] = 18206,
  [19191] = 18159,
  [19192] = 18165,
  [19193] = 18141,
  [19194] = 18136,
  [19195] = 18178,
  [19196] = 18157,
  [19197] = 18153,
  [19198] = 18226,
  [19199] = 18227,
  [19200] = 18228,
  [19201] = 18240,
  [19202] = 18302,
  [19203] = 18141,
  [19204] = 18141,
  [19205] = 18206,
  [19206] = 18136,
  [19207] = 18213,
  [19208] = 18136,
  [19209] = 18153,
  [19210] = 18133,
  [19211] = 18141,
  [19212] = 18136,
  [19213] = 18136,
  [19214] = 18165,
  [19215] = 18178,
  [19216] = 18157,
  [19217] = 18153,
  [19218] = 18152,
  [19219] = 18226,
  [19220] = 18227,
  [19221] = 18228,
  [19222] = 19222,
  [19223] = 18299,
  [19224] = 18240,
  [19225] = 18152,
  [19226] = 19226,
  [19227] = 18165,
  [19228] = 18310,
  [19229] = 18206,
  [19230] = 18206,
  [19231] = 18165,
  [19232] = 18141,
  [19233] = 18136,
  [19234] = 18153,
  [19235] = 18142,
  [19236] = 18153,
  [19237] = 18213,
  [19238] = 18299,
  [19239] = 18136,
  [19240] = 18152,
  [19241] = 18141,
  [19242] = 18178,
  [19243] = 18157,
  [19244] = 18136,
  [19245] = 18226,
  [19246] = 18227,
  [19247] = 18228,
  [19248] = 18138,
  [19249] = 18153,
  [19250] = 18240,
  [19251] = 18240,
  [19252] = 18141,
  [19253] = 18153,
  [19254] = 18165,
  [19255] = 18206,
  [19256] = 18228,
  [19257] = 18227,
  [19258] = 18226,
  [19259] = 18136,
  [19260] = 18153,
  [19261] = 18159,
  [19262] = 18141,
  [19263] = 18165,
  [19264] = 18157,
  [19265] = 18178,
  [19266] = 18178,
  [19267] = 18157,
  [19268] = 18226,
  [19269] = 18449,
  [19270] = 18227,
  [19271] = 18228,
  [19272] = 18135,
  [19273] = 18240,
  [19274] = 18188,
  [19275] = 18138,
  [19276] = 18139,
  [19277] = 18141,
  [19278] = 18136,
  [19279] = 18135,
  [19280] = 18153,
  [19281] = 18171,
  [19282] = 18165,
  [19283] = 18206,
  [19284] = 18171,
  [19285] = 18296,
  [19286] = 18142,
  [19287] = 18133,
  [19288] = 18141,
  [19289] = 18153,
  [19290] = 18299,
  [19291] = 18178,
  [19292] = 18157,
  [19293] = 18206,
  [19294] = 18240,
  [19295] = 18165,
  [19296] = 18228,
  [19297] = 19297,
  [19298] = 18139,
  [19299] = 18227,
  [19300] = 18226,
  [19301] = 19301,
  [19302] = 19302,
  [19303] = 19303,
  [19304] = 19304,
  [19305] = 19305,
  [19306] = 19306,
  [19307] = 19307,
  [19308] = 19301,
  [19309] = 19309,
  [19310] = 19303,
  [19311] = 19305,
  [19312] = 19309,
  [19313] = 19303,
  [19314] = 19305,
  [19315] = 19309,
  [19316] = 19316,
  [19317] = 19303,
  [19318] = 19318,
  [19319] = 19305,
  [19320] = 19320,
  [19321] = 19321,
  [19322] = 19322,
  [19323] = 19323,
  [19324] = 19309,
  [19325] = 19303,
  [19326] = 19305,
  [19327] = 19309,
  [19328] = 19303,
  [19329] = 19309,
  [19330] = 19330,
  [19331] = 19305,
  [19332] = 19332,
  [19333] = 19333,
  [19334] = 19320,
  [19335] = 19335,
  [19336] = 19336,
  [19337] = 19337,
  [19338] = 19338,
  [19339] = 19339,
  [19340] = 19340,
  [19341] = 19341,
  [19342] = 19332,
  [19343] = 19305,
  [19344] = 19303,
  [19345] = 19345,
  [19346] = 19309,
  [19347] = 19309,
  [19348] = 19348,
  [19349] = 19303,
  [19350] = 19305,
  [19351] = 19351,
  [19352] = 19332,
  [19353] = 19353,
  [19354] = 19330,
  [19355] = 19355,
  [19356] = 19305,
  [19357] = 19357,
  [19358] = 19303,
  [19359] = 19338,
  [19360] = 19304,
  [19361] = 19309,
  [19362] = 19362,
  [19363] = 19307,
  [19364] = 19301,
  [19365] = 19365,
  [19366] = 19320,
  [19367] = 19367,
  [19368] = 19336,
  [19369] = 19309,
  [19370] = 19337,
  [19371] = 19341,
  [19372] = 19340,
  [19373] = 19339,
  [19374] = 19316,
  [19375] = 19338,
  [19376] = 19318,
  [19377] = 19377,
  [19378] = 19335,
  [19379] = 19305,
  [19380] = 19332,
  [19381] = 19321,
  [19382] = 19302,
  [19383] = 19303,
  [19384] = 19309,
  [19385] = 19353,
  [19386] = 19323,
  [19387] = 19387,
  [19388] = 19309,
  [19389] = 19389,
  [19390] = 19390,
  [19391] = 19303,
  [19392] = 19392,
  [19393] = 19305,
  [19394] = 19332,
  [19395] = 19357,
  [19396] = 19332,
  [19397] = 19353,
  [19398] = 19305,
  [19399] = 19348,
  [19400] = 19357,
  [19401] = 19338,
  [19402] = 19339,
  [19403] = 19340,
  [19404] = 19341,
  [19405] = 19365,
  [19406] = 19320,
  [19407] = 19407,
  [19408] = 19408,
  [19409] = 19365,
  [19410] = 19320,
  [19411] = 19336,
  [19412] = 19412,
  [19413] = 19323,
  [19414] = 19414,
  [19415] = 19337,
  [19416] = 19416,
  [19417] = 19330,
  [19418] = 19418,
  [19419] = 19303,
  [19420] = 19420,
  [19421] = 19321,
  [19422] = 19422,
  [19423] = 19304,
  [19424] = 19424,
  [19425] = 19425,
  [19426] = 19307,
  [19427] = 19301,
  [19428] = 19309,
  [19429] = 19353,
  [19430] = 19309,
  [19431] = 19303,
  [19432] = 19305,
  [19433] = 19332,
  [19434] = 19353,
  [19435] = 19357,
  [19436] = 19365,
  [19437] = 19316,
  [19438] = 19320,
  [19439] = 19318,
  [19440] = 19305,
  [19441] = 19318,
  [19442] = 19303,
  [19443] = 19336,
  [19444] = 19321,
  [19445] = 19316,
  [19446] = 19309,
  [19447] = 19387,
  [19448] = 19336,
  [19449] = 19323,
  [19450] = 19450,
  [19451] = 19451,
  [19452] = 19305,
  [19453] = 19303,
  [19454] = 19337,
  [19455] = 19309,
  [19456] = 19305,
  [19457] = 19303,
  [19458] = 19458,
  [19459] = 19309,
  [19460] = 19309,
  [19461] = 19461,
  [19462] = 19303,
  [19463] = 19305,
  [19464] = 19338,
  [19465] = 19339,
  [19466] = 19340,
  [19467] = 19341,
  [19468] = 19301,
  [19469] = 19353,
  [19470] = 19307,
  [19471] = 19357,
  [19472] = 19365,
  [19473] = 19320,
  [19474] = 19389,
  [19475] = 19336,
  [19476] = 19305,
  [19477] = 19337,
  [19478] = 19304,
  [19479] = 19309,
  [19480] = 19330,
  [19481] = 19337,
  [19482] = 19482,
  [19483] = 19482,
  [19484] = 19484,
  [19485] = 19485,
  [19486] = 19304,
  [19487] = 19330,
  [19488] = 19488,
  [19489] = 19307,
  [19490] = 19301,
  [19491] = 19491,
  [19492] = 19303,
  [19493] = 19493,
  [19494] = 19491,
  [19495] = 19305,
  [19496] = 19332,
  [19497] = 19484,
  [19498] = 19482,
  [19499] = 19353,
  [19500] = 19316,
  [19501] = 19357,
  [19502] = 19318,
  [19503] = 19303,
  [19504] = 19365,
  [19505] = 19484,
  [19506] = 19491,
  [19507] = 19321,
  [19508] = 19493,
  [19509] = 19309,
  [19510] = 19493,
  [19511] = 19488,
  [19512] = 19323,
  [19513] = 19320,
  [19514] = 19337,
  [19515] = 19345,
  [19516] = 19305,
  [19517] = 19336,
  [19518] = 19303,
  [19519] = 19309,
  [19520] = 19337,
  [19521] = 19305,
  [19522] = 19309,
  [19523] = 19303,
  [19524] = 19305,
  [19525] = 19332,
  [19526] = 19353,
  [19527] = 19338,
  [19528] = 19339,
  [19529] = 19340,
  [19530] = 19341,
  [19531] = 19309,
  [19532] = 19357,
  [19533] = 19365,
  [19534] = 19320,
  [19535] = 19424,
  [19536] = 19336,
  [19537] = 19357,
  [19538] = 19337,
  [19539] = 19330,
  [19540] = 19407,
  [19541] = 19305,
  [19542] = 19303,
  [19543] = 19309,
  [19544] = 19304,
  [19545] = 19307,
  [19546] = 19301,
  [19547] = 19309,
  [19548] = 19303,
  [19549] = 19305,
  [19550] = 19305,
  [19551] = 19332,
  [19552] = 19353,
  [19553] = 19357,
  [19554] = 19392,
  [19555] = 19390,
  [19556] = 19316,
  [19557] = 19318,
  [19558] = 19558,
  [19559] = 19365,
  [19560] = 19320,
  [19561] = 19302,
  [19562] = 19321,
  [19563] = 19303,
  [19564] = 19564,
  [19565] = 19565,
  [19566] = 19377,
  [19567] = 19323,
  [19568] = 19367,
  [19569] = 19309,
  [19570] = 19341,
  [19571] = 19340,
  [19572] = 19333,
  [19573] = 19339,
  [19574] = 19336,
  [19575] = 19338,
  [19576] = 19355,
  [19577] = 19337,
  [19578] = 19451,
  [19579] = 19309,
  [19580] = 19303,
  [19581] = 19305,
  [19582] = 19338,
  [19583] = 19339,
  [19584] = 19340,
  [19585] = 19341,
  [19586] = 19332,
  [19587] = 19353,
  [19588] = 19305,
  [19589] = 19589,
  [19590] = 19357,
  [19591] = 19306,
  [19592] = 19365,
  [19593] = 19422,
  [19594] = 19330,
  [19595] = 19320,
  [19596] = 19450,
  [19597] = 19336,
  [19598] = 19322,
  [19599] = 19304,
  [19600] = 19307,
  [19601] = 19301,
  [19602] = 19303,
  [19603] = 19336,
  [19604] = 19305,
  [19605] = 19337,
  [19606] = 19606,
  [19607] = 19309,
  [19608] = 19303,
  [19609] = 19322,
  [19610] = 19305,
  [19611] = 19316,
  [19612] = 19318,
  [19613] = 19303,
  [19614] = 19614,
  [19615] = 19332,
  [19616] = 19353,
  [19617] = 19321,
  [19618] = 19309,
  [19619] = 19390,
  [19620] = 19305,
  [19621] = 19303,
  [19622] = 19323,
  [19623] = 19357,
  [19624] = 19624,
  [19625] = 19365,
  [19626] = 19309,
  [19627] = 19320,
  [19628] = 19323,
  [19629] = 19303,
  [19630] = 19408,
  [19631] = 19305,
  [19632] = 19333,
  [19633] = 19336,
  [19634] = 19634,
  [19635] = 19337,
  [19636] = 19305,
  [19637] = 19338,
  [19638] = 19339,
  [19639] = 19340,
  [19640] = 19341,
  [19641] = 19309,
  [19642] = 19303,
  [19643] = 19643,
  [19644] = 19305,
  [19645] = 19303,
  [19646] = 19332,
  [19647] = 19353,
  [19648] = 19345,
  [19649] = 19330,
  [19650] = 19321,
  [19651] = 19309,
  [19652] = 19652,
  [19653] = 19653,
  [19654] = 19304,
  [19655] = 19307,
  [19656] = 19301,
  [19657] = 19357,
  [19658] = 19365,
  [19659] = 19348,
  [19660] = 19320,
  [19661] = 19488,
  [19662] = 19336,
  [19663] = 19318,
  [19664] = 19337,
  [19665] = 19425,
  [19666] = 19316,
  [19667] = 19318,
  [19668] = 19316,
  [19669] = 19669,
  [19670] = 19305,
  [19671] = 19362,
  [19672] = 19321,
  [19673] = 19309,
  [19674] = 19420,
  [19675] = 19418,
  [19676] = 19309,
  [19677] = 19323,
  [19678] = 19303,
  [19679] = 19305,
  [19680] = 19332,
  [19681] = 19303,
  [19682] = 19353,
  [19683] = 19309,
  [19684] = 19416,
  [19685] = 19357,
  [19686] = 19686,
  [19687] = 19412,
  [19688] = 19365,
  [19689] = 19320,
  [19690] = 19305,
  [19691] = 19303,
  [19692] = 19338,
  [19693] = 19339,
  [19694] = 19340,
  [19695] = 19341,
  [19696] = 19336,
  [19697] = 19485,
  [19698] = 19337,
  [19699] = 19301,
  [19700] = 19307,
  [19701] = 19335,
  [19702] = 19309,
  [19703] = 19320,
  [19704] = 19330,
  [19705] = 19332,
  [19706] = 19304,
  [19707] = 19353,
  [19708] = 19387,
  [19709] = 19304,
  [19710] = 19307,
  [19711] = 19301,
  [19712] = 19303,
  [19713] = 19305,
  [19714] = 19332,
  [19715] = 19389,
  [19716] = 19353,
  [19717] = 19357,
  [19718] = 19365,
  [19719] = 19357,
  [19720] = 19320,
  [19721] = 19316,
  [19722] = 19318,
  [19723] = 19338,
  [19724] = 19424,
  [19725] = 19725,
  [19726] = 19336,
  [19727] = 19321,
  [19728] = 19365,
  [19729] = 19365,
  [19730] = 19330,
  [19731] = 19408,
  [19732] = 19323,
  [19733] = 19306,
  [19734] = 19408,
  [19735] = 19365,
  [19736] = 19305,
  [19737] = 19303,
  [19738] = 19309,
  [19739] = 19320,
  [19740] = 19412,
  [19741] = 19320,
  [19742] = 19416,
  [19743] = 19355,
  [19744] = 19418,
  [19745] = 19337,
  [19746] = 19420,
  [19747] = 19338,
  [19748] = 19339,
  [19749] = 19340,
  [19750] = 19341,
  [19751] = 19309,
  [19752] = 19412,
  [19753] = 19309,
  [19754] = 19422,
  [19755] = 19367,
  [19756] = 19425,
  [19757] = 19303,
  [19758] = 19357,
  [19759] = 19330,
  [19760] = 19305,
  [19761] = 19461,
  [19762] = 19416,
  [19763] = 19377,
  [19764] = 19304,
  [19765] = 19307,
  [19766] = 19301,
  [19767] = 19767,
  [19768] = 19332,
  [19769] = 19353,
  [19770] = 19302,
  [19771] = 19390,
  [19772] = 19357,
  [19773] = 19316,
  [19774] = 19318,
  [19775] = 19337,
  [19776] = 19365,
  [19777] = 19320,
  [19778] = 19418,
  [19779] = 19321,
  [19780] = 19389,
  [19781] = 19425,
  [19782] = 19387,
  [19783] = 19353,
  [19784] = 19323,
  [19785] = 19332,
  [19786] = 19407,
  [19787] = 19335,
  [19788] = 19351,
  [19789] = 19789,
  [19790] = 19790,
  [19791] = 19338,
  [19792] = 19339,
  [19793] = 19340,
  [19794] = 19341,
  [19795] = 19336,
  [19796] = 19330,
  [19797] = 19337,
  [19798] = 19798,
  [19799] = 19799,
  [19800] = 19336,
  [19801] = 19330,
  [19802] = 19450,
  [19803] = 19362,
  [19804] = 19804,
  [19805] = 19451,
  [19806] = 19304,
  [19807] = 19307,
  [19808] = 19301,
  [19809] = 19309,
  [19810] = 19303,
  [19811] = 19305,
  [19812] = 19348,
  [19813] = 19813,
  [19814] = 19558,
  [19815] = 19316,
  [19816] = 19318,
  [19817] = 19303,
  [19818] = 19458,
  [19819] = 19564,
  [19820] = 19461,
  [19821] = 19321,
  [19822] = 19565,
  [19823] = 19341,
  [19824] = 19340,
  [19825] = 19825,
  [19826] = 19323,
  [19827] = 19332,
  [19828] = 19339,
  [19829] = 19353,
  [19830] = 19482,
  [19831] = 19424,
  [19832] = 19338,
  [19833] = 19339,
  [19834] = 19340,
  [19835] = 19341,
  [19836] = 19484,
  [19837] = 19491,
  [19838] = 19357,
  [19839] = 19493,
  [19840] = 19337,
  [19841] = 19365,
  [19842] = 19330,
  [19843] = 19320,
  [19844] = 19309,
  [19845] = 19606,
  [19846] = 19307,
  [19847] = 19304,
  [19848] = 19307,
  [19849] = 19301,
  [19850] = 19336,
  [19851] = 19345,
  [19852] = 19301,
  [19853] = 19337,
  [19854] = 19337,
  [19855] = 19493,
  [19856] = 19316,
  [19857] = 19318,
  [19858] = 19606,
  [19859] = 19491,
  [19860] = 19484,
  [19861] = 19340,
  [19862] = 19321,
  [19863] = 19341,
  [19864] = 19336,
  [19865] = 19304,
  [19866] = 19333,
  [19867] = 19323,
  [19868] = 19407,
  [19869] = 19323,
  [19870] = 19485,
  [19871] = 19488,
  [19872] = 19872,
  [19873] = 19338,
  [19874] = 19339,
  [19875] = 19340,
  [19876] = 19341,
  [19877] = 19493,
  [19878] = 19491,
  [19879] = 19484,
  [19880] = 19482,
  [19881] = 19336,
  [19882] = 19309,
  [19883] = 19330,
  [19884] = 19390,
  [19885] = 19451,
  [19886] = 19634,
  [19887] = 19643,
  [19888] = 19304,
  [19889] = 19307,
  [19890] = 19301,
  [19891] = 19302,
  [19892] = 19377,
  [19893] = 19414,
  [19894] = 19303,
  [19895] = 19367,
  [19896] = 19309,
  [19897] = 19316,
  [19898] = 19318,
  [19899] = 19321,
  [19900] = 19355,
  [19901] = 19451,
  [19902] = 19336,
  [19903] = 19321,
  [19904] = 19424,
  [19905] = 19322,
  [19906] = 19318,
  [19907] = 19322,
  [19908] = 19323,
  [19909] = 19303,
  [19910] = 19337,
  [19911] = 19305,
  [19912] = 19333,
  [19913] = 19316,
  [19914] = 19338,
  [19915] = 19339,
  [19916] = 19340,
  [19917] = 19341,
  [19918] = 19348,
  [19919] = 19493,
  [19920] = 19362,
  [19921] = 19921,
  [19922] = 19491,
  [19923] = 19335,
  [19924] = 19330,
  [19925] = 19425,
  [19926] = 19926,
  [19927] = 19332,
  [19928] = 19407,
  [19929] = 19304,
  [19930] = 19307,
  [19931] = 19301,
  [19932] = 19316,
  [19933] = 19353,
  [19934] = 19418,
  [19935] = 19387,
  [19936] = 19389,
  [19937] = 19412,
  [19938] = 19316,
  [19939] = 19318,
  [19940] = 19306,
  [19941] = 19484,
  [19942] = 19320,
  [19943] = 19357,
  [19944] = 19321,
  [19945] = 19945,
  [19946] = 19318,
  [19947] = 19355,
  [19948] = 19392,
  [19949] = 19323,
  [19950] = 19408,
  [19951] = 19301,
  [19952] = 19307,
  [19953] = 19365,
  [19954] = 19390,
  [19955] = 19338,
  [19956] = 19339,
  [19957] = 19340,
  [19958] = 19341,
  [19959] = 19320,
  [19960] = 19412,
  [19961] = 19416,
  [19962] = 19407,
  [19963] = 19418,
  [19964] = 19302,
  [19965] = 19330,
  [19966] = 19377,
  [19967] = 19321,
  [19968] = 19968,
  [19969] = 19969,
  [19970] = 19304,
  [19971] = 19307,
  [19972] = 19301,
  [19973] = 19973,
  [19974] = 19304,
  [19975] = 19367,
  [19976] = 19305,
  [19977] = 19365,
  [19978] = 19408,
  [19979] = 19316,
  [19980] = 19318,
  [19981] = 19367,
  [19982] = 19377,
  [19983] = 19348,
  [19984] = 19302,
  [19985] = 19321,
  [19986] = 19986,
  [19987] = 19330,
  [19988] = 19390,
  [19989] = 19989,
  [19990] = 19323,
  [19991] = 19357,
  [19992] = 19482,
  [19993] = 19355,
  [19994] = 19337,
  [19995] = 19493,
  [19996] = 19338,
  [19997] = 19339,
  [19998] = 19340,
  [19999] = 19341,
  [20000] = 19491,
  [20001] = 19392,
  [20002] = 19484,
  [20003] = 19789,
  [20004] = 19407,
  [20005] = 19407,
  [20006] = 19330,
  [20007] = 19589,
  [20008] = 19305,
  [20009] = 19390,
  [20010] = 19302,
  [20011] = 19304,
  [20012] = 19307,
  [20013] = 19301,
  [20014] = 19377,
  [20015] = 19367,
  [20016] = 19309,
  [20017] = 19306,
  [20018] = 19389,
  [20019] = 19387,
  [20020] = 19316,
  [20021] = 19318,
  [20022] = 20022,
  [20023] = 19309,
  [20024] = 19355,
  [20025] = 19339,
  [20026] = 19321,
  [20027] = 19407,
  [20028] = 19482,
  [20029] = 19484,
  [20030] = 19353,
  [20031] = 19323,
  [20032] = 19332,
  [20033] = 19491,
  [20034] = 19493,
  [20035] = 19488,
  [20036] = 19322,
  [20037] = 19338,
  [20038] = 19339,
  [20039] = 19340,
  [20040] = 19341,
  [20041] = 19335,
  [20042] = 19392,
  [20043] = 19303,
  [20044] = 19337,
  [20045] = 19305,
  [20046] = 19333,
  [20047] = 19330,
  [20048] = 20048,
  [20049] = 20049,
  [20050] = 19643,
  [20051] = 19634,
  [20052] = 19304,
  [20053] = 19307,
  [20054] = 19301,
  [20055] = 20055,
  [20056] = 19418,
  [20057] = 19558,
  [20058] = 19322,
  [20059] = 19302,
  [20060] = 19335,
  [20061] = 19316,
  [20062] = 19318,
  [20063] = 19564,
  [20064] = 19348,
  [20065] = 19614,
  [20066] = 20066,
  [20067] = 19321,
  [20068] = 19565,
  [20069] = 19341,
  [20070] = 19340,
  [20071] = 19332,
  [20072] = 19323,
  [20073] = 19353,
  [20074] = 19339,
  [20075] = 19390,
  [20076] = 20076,
  [20077] = 19387,
  [20078] = 19338,
  [20079] = 19339,
  [20080] = 19340,
  [20081] = 19341,
  [20082] = 19389,
  [20083] = 19302,
  [20084] = 19377,
  [20085] = 19367,
  [20086] = 19338,
  [20087] = 19357,
  [20088] = 19330,
  [20089] = 19408,
  [20090] = 19377,
  [20091] = 19424,
  [20092] = 19624,
  [20093] = 19304,
  [20094] = 19307,
  [20095] = 19301,
  [20096] = 20096,
  [20097] = 19345,
  [20098] = 19365,
  [20099] = 19303,
  [20100] = 19339,
  [20101] = 19320,
  [20102] = 19316,
  [20103] = 19318,
  [20104] = 19367,
  [20105] = 19412,
  [20106] = 19333,
  [20107] = 19416,
  [20108] = 19321,
  [20109] = 19606,
  [20110] = 19309,
  [20111] = 19323,
  [20112] = 19389,
  [20113] = 19323,
  [20114] = 19451,
  [20115] = 19336,
  [20116] = 20116,
  [20117] = 19345,
  [20118] = 19333,
  [20119] = 19338,
  [20120] = 19339,
  [20121] = 19340,
  [20122] = 19341,
  [20123] = 19305,
  [20124] = 19323,
  [20125] = 19355,
  [20126] = 19303,
  [20127] = 19336,
  [20128] = 19348,
  [20129] = 19330,
  [20130] = 19322,
  [20131] = 19634,
  [20132] = 20096,
  [20133] = 19643,
  [20134] = 19304,
  [20135] = 19307,
  [20136] = 19301,
  [20137] = 19337,
  [20138] = 19493,
  [20139] = 19491,
  [20140] = 19669,
  [20141] = 19484,
  [20142] = 19416,
  [20143] = 19316,
  [20144] = 19318,
  [20145] = 19321,
  [20146] = 19306,
  [20147] = 19362,
  [20148] = 19320,
  [20149] = 19321,
  [20150] = 19318,
  [20151] = 19606,
  [20152] = 19316,
  [20153] = 19407,
  [20154] = 19323,
  [20155] = 19322,
  [20156] = 19425,
  [20157] = 19390,
  [20158] = 19302,
  [20159] = 19377,
  [20160] = 19338,
  [20161] = 19339,
  [20162] = 19340,
  [20163] = 19341,
  [20164] = 19303,
  [20165] = 19305,
  [20166] = 19367,
  [20167] = 19309,
  [20168] = 19422,
  [20169] = 19355,
  [20170] = 19330,
  [20171] = 19333,
  [20172] = 19420,
  [20173] = 19418,
  [20174] = 19335,
  [20175] = 19304,
  [20176] = 19307,
  [20177] = 19301,
  [20178] = 20178,
  [20179] = 19306,
  [20180] = 19338,
  [20181] = 19332,
  [20182] = 19322,
  [20183] = 19303,
  [20184] = 19316,
  [20185] = 19318,
  [20186] = 19345,
  [20187] = 19353,
  [20188] = 19387,
  [20189] = 19305,
  [20190] = 19321,
  [20191] = 19301,
  [20192] = 19307,
  [20193] = 19412,
  [20194] = 19389,
  [20195] = 19323,
  [20196] = 19333,
  [20197] = 19320,
  [20198] = 19304,
  [20199] = 19365,
  [20200] = 19355,
  [20201] = 19338,
  [20202] = 19339,
  [20203] = 19340,
  [20204] = 19341,
  [20205] = 19309,
  [20206] = 19348,
  [20207] = 19355,
  [20208] = 19367,
  [20209] = 19377,
  [20210] = 19357,
  [20211] = 19330,
  [20212] = 19302,
  [20213] = 19813,
  [20214] = 19408,
  [20215] = 19304,
  [20216] = 19307,
  [20217] = 19301,
  [20218] = 19390,
  [20219] = 19335,
  [20220] = 19330,
  [20221] = 19408,
  [20222] = 19332,
  [20223] = 19353,
  [20224] = 19316,
  [20225] = 19318,
  [20226] = 19565,
  [20227] = 19365,
  [20228] = 19407,
  [20229] = 19387,
  [20230] = 19321,
  [20231] = 19340,
  [20232] = 19357,
  [20233] = 19341,
  [20234] = 19389,
  [20235] = 19323,
  [20236] = 19565,
  [20237] = 19387,
  [20238] = 19412,
  [20239] = 19589,
  [20240] = 19416,
  [20241] = 19338,
  [20242] = 19339,
  [20243] = 19340,
  [20244] = 19341,
  [20245] = 19418,
  [20246] = 19357,
  [20247] = 19408,
  [20248] = 19365,
  [20249] = 19320,
  [20250] = 19420,
  [20251] = 19330,
  [20252] = 19412,
  [20253] = 19416,
  [20254] = 19422,
  [20255] = 19304,
  [20256] = 19307,
  [20257] = 19301,
  [20258] = 19418,
  [20259] = 19425,
  [20260] = 19408,
  [20261] = 19425,
  [20262] = 19353,
  [20263] = 19482,
  [20264] = 19316,
  [20265] = 19318,
  [20266] = 19332,
  [20267] = 19335,
  [20268] = 19336,
  [20269] = 19484,
  [20270] = 19321,
  [20271] = 19565,
  [20272] = 19564,
  [20273] = 19348,
  [20274] = 19558,
  [20275] = 19323,
  [20276] = 19491,
  [20277] = 19362,
  [20278] = 19493,
  [20279] = 20279,
  [20280] = 19337,
  [20281] = 19338,
  [20282] = 19339,
  [20283] = 19340,
  [20284] = 19341,
  [20285] = 19493,
  [20286] = 19491,
  [20287] = 19484,
  [20288] = 19337,
  [20289] = 19407,
  [20290] = 19330,
  [20291] = 19348,
  [20292] = 20116,
  [20293] = 19390,
  [20294] = 19304,
  [20295] = 19307,
  [20296] = 19301,
  [20297] = 19302,
  [20298] = 19377,
  [20299] = 19351,
  [20300] = 19789,
  [20301] = 19367,
  [20302] = 19309,
  [20303] = 19316,
  [20304] = 19318,
  [20305] = 19345,
  [20306] = 19355,
  [20307] = 19336,
  [20308] = 19322,
  [20309] = 19321,
  [20310] = 19416,
  [20311] = 19333,
  [20312] = 19305,
  [20313] = 19450,
  [20314] = 19323,
  [20315] = 19303,
  [20316] = 19303,
  [20317] = 19804,
  [20318] = 19451,
  [20319] = 19335,
  [20320] = 19338,
  [20321] = 19339,
  [20322] = 19340,
  [20323] = 19341,
  [20324] = 19305,
  [20325] = 19333,
  [20326] = 19558,
  [20327] = 19332,
  [20328] = 19564,
  [20329] = 19330,
  [20330] = 19458,
  [20331] = 19387,
  [20332] = 19348,
  [20333] = 19304,
  [20334] = 19307,
  [20335] = 19558,
  [20336] = 19461,
  [20337] = 19341,
  [20338] = 19825,
  [20339] = 19424,
  [20340] = 19335,
  [20341] = 19340,
  [20342] = 19316,
  [20343] = 19318,
  [20344] = 19339,
  [20345] = 19332,
  [20346] = 19338,
  [20347] = 19424,
  [20348] = 19321,
  [20349] = 19322,
  [20350] = 19353,
  [20351] = 19407,
  [20352] = 19353,
  [20353] = 19323,
  [20354] = 19387,
  [20355] = 19389,
  [20356] = 19389,
  [20357] = 19451,
  [20358] = 19357,
  [20359] = 19338,
  [20360] = 19339,
  [20361] = 19340,
  [20362] = 19341,
  [20363] = 19309,
  [20364] = 19306,
  [20365] = 19357,
  [20366] = 19365,
  [20367] = 19320,
  [20368] = 19330,
  [20369] = 19412,
  [20370] = 19416,
  [20371] = 19418,
  [20372] = 19304,
  [20373] = 19307,
  [20374] = 19301,
  [20375] = 19425,
  [20376] = 19606,
  [20377] = 19564,
  [20378] = 19408,
  [20379] = 19425,
  [20380] = 19336,
  [20381] = 19316,
  [20382] = 19318,
  [20383] = 19365,
  [20384] = 19337,
  [20385] = 19320,
  [20386] = 19418,
  [20387] = 19321,
  [20388] = 19412,
  [20389] = 19323,
  [20390] = 19416,
  [20391] = 19485,
  [20392] = 19323,
  [20393] = 19634,
  [20394] = 19418,
  [20395] = 19643,
  [20396] = 20396,
  [20397] = 19416,
  [20398] = 19338,
  [20399] = 19339,
  [20400] = 19340,
  [20401] = 19341,
  [20402] = 19488,
  [20403] = 19412,
  [20404] = 19493,
  [20405] = 19337,
  [20406] = 19491,
  [20407] = 19330,
  [20408] = 19484,
  [20409] = 19425,
  [20410] = 19323,
  [20411] = 19304,
  [20412] = 19307,
  [20413] = 19301,
  [20414] = 19482,
  [20415] = 19493,
  [20416] = 19491,
  [20417] = 19484,
  [20418] = 19320,
  [20419] = 19365,
  [20420] = 19316,
  [20421] = 19318,
  [20422] = 19306,
  [20423] = 19321,
  [20424] = 19355,
  [20425] = 19407,
  [20426] = 19321,
  [20427] = 6213,
  [20428] = 19318,
  [20429] = 19309,
  [20430] = 19414,
  [20431] = 19323,
  [20432] = 19316,
  [20433] = 19367,
  [20434] = 19390,
  [20435] = 19302,
  [20436] = 19338,
  [20437] = 19339,
  [20438] = 19340,
  [20439] = 19341,
  [20440] = 19377,
  [20441] = 19367,
  [20442] = 19377,
  [20443] = 19309,
  [20444] = 19408,
  [20445] = 19330,
  [20446] = 19355,
  [20447] = 19302,
  [20448] = 19357,
  [20449] = 19304,
  [20450] = 19307,
  [20451] = 19301,
  [20452] = 19322,
  [20453] = 19336,
  [20454] = 19407,
  [20455] = 19451,
  [20456] = 19303,
  [20457] = 19305,
  [20458] = 19316,
  [20459] = 19318,
  [20460] = 19390,
  [20461] = 19333,
  [20462] = 19392,
  [20463] = 19424,
  [20464] = 19321,
  [20465] = 19337,
  [20466] = 19493,
  [20467] = 19301,
  [20468] = 19389,
  [20469] = 19323,
  [20470] = 19348,
  [20471] = 20471,
  [20472] = 19307,
  [20473] = 19392,
  [20474] = 19338,
  [20475] = 19339,
  [20476] = 19340,
  [20477] = 19341,
  [20478] = 19390,
  [20479] = 19387,
  [20480] = 19302,
  [20481] = 20481,
  [20482] = 19377,
  [20483] = 19330,
  [20484] = 19367,
  [20485] = 19353,
  [20486] = 19332,
  [20487] = 19304,
  [20488] = 19307,
  [20489] = 19301,
  [20490] = 20490,
  [20491] = 19335,
  [20492] = 19306,
  [20493] = 19332,
  [20494] = 19353,
  [20495] = 19387,
  [20496] = 19316,
  [20497] = 19318,
  [20498] = 19491,
  [20499] = 19389,
  [20500] = 19355,
  [20501] = 19335,
  [20502] = 19321,
  [20503] = 19304,
  [20504] = 19484,
  [20505] = 19813,
  [20506] = 19482,
  [20507] = 19323,
  [20508] = 19407,
  [20509] = 19357,
  [20510] = 20510,
  [20511] = 19408,
  [20512] = 19338,
  [20513] = 19339,
  [20514] = 19340,
  [20515] = 19341,
  [20516] = 19336,
  [20517] = 19365,
  [20518] = 19320,
  [20519] = 19412,
  [20520] = 19589,
  [20521] = 19330,
  [20522] = 19416,
  [20523] = 19418,
  [20524] = 19425,
  [20525] = 19304,
  [20526] = 19307,
  [20527] = 19301,
  [20528] = 19306,
  [20529] = 19330,
  [20530] = 19390,
  [20531] = 19348,
  [20532] = 19302,
  [20533] = 19336,
  [20534] = 19316,
  [20535] = 19318,
  [20536] = 19377,
  [20537] = 20049,
  [20538] = 19367,
  [20539] = 20539,
  [20540] = 19321,
  [20541] = 19482,
  [20542] = 19484,
  [20543] = 19491,
  [20544] = 19493,
  [20545] = 19323,
  [20546] = 19345,
  [20547] = 19488,
  [20548] = 19337,
  [20549] = 19493,
  [20550] = 19338,
  [20551] = 19339,
  [20552] = 19340,
  [20553] = 19341,
  [20554] = 19491,
  [20555] = 19322,
  [20556] = 19484,
  [20557] = 19337,
  [20558] = 19614,
  [20559] = 19330,
  [20560] = 19407,
  [20561] = 20022,
  [20562] = 19355,
  [20563] = 19304,
  [20564] = 19307,
  [20565] = 19301,
  [20566] = 19390,
  [20567] = 19302,
  [20568] = 19377,
  [20569] = 19367,
  [20570] = 19309,
  [20571] = 19333,
  [20572] = 19316,
  [20573] = 19318,
  [20574] = 19306,
  [20575] = 19355,
  [20576] = 19322,
  [20577] = 19624,
  [20578] = 19321,
  [20579] = 19303,
  [20580] = 19305,
  [20581] = 19333,
  [20582] = 19305,
  [20583] = 19323,
  [20584] = 19303,
  [20585] = 19303,
  [20586] = 19305,
  [20587] = 19333,
  [20588] = 19338,
  [20589] = 19339,
  [20590] = 19340,
  [20591] = 19341,
  [20592] = 19322,
  [20593] = 19322,
  [20594] = 20055,
  [20595] = 19303,
  [20596] = 19305,
  [20597] = 19330,
  [20598] = 19424,
  [20599] = 19345,
  [20600] = 19345,
  [20601] = 19304,
  [20602] = 19307,
  [20603] = 19301,
  [20604] = 19451,
  [20605] = 19333,
  [20606] = 19336,
  [20607] = 19348,
  [20608] = 19365,
  [20609] = 19348,
  [20610] = 19316,
  [20611] = 19318,
  [20612] = 19348,
  [20613] = 19309,
  [20614] = 19335,
  [20615] = 19335,
  [20616] = 19321,
  [20617] = 19558,
  [20618] = 19564,
  [20619] = 19565,
  [20620] = 19425,
  [20621] = 19323,
  [20622] = 19387,
  [20623] = 19669,
  [20624] = 19341,
  [20625] = 19362,
  [20626] = 19338,
  [20627] = 19339,
  [20628] = 19340,
  [20629] = 19341,
  [20630] = 19332,
  [20631] = 19353,
  [20632] = 19634,
  [20633] = 19491,
  [20634] = 19389,
  [20635] = 19330,
  [20636] = 19355,
  [20637] = 19309,
  [20638] = 19340,
  [20639] = 19304,
  [20640] = 19307,
  [20641] = 19301,
  [20642] = 19367,
  [20643] = 19357,
  [20644] = 19339,
  [20645] = 19377,
  [20646] = 19408,
  [20647] = 19365,
  [20648] = 19316,
  [20649] = 19318,
  [20650] = 19338,
  [20651] = 19302,
  [20652] = 19643,
  [20653] = 19320,
  [20654] = 19321,
  [20655] = 19332,
  [20656] = 19353,
  [20657] = 19387,
  [20658] = 19412,
  [20659] = 19323,
  [20660] = 19416,
  [20661] = 19425,
  [20662] = 19335,
  [20663] = 19389,
  [20664] = 19338,
  [20665] = 19339,
  [20666] = 19340,
  [20667] = 19341,
  [20668] = 20048,
  [20669] = 19332,
  [20670] = 19353,
  [20671] = 19418,
  [20672] = 19387,
  [20673] = 19330,
  [20674] = 19425,
  [20675] = 19606,
  [20676] = 19389,
  [20677] = 19304,
  [20678] = 19307,
  [20679] = 19301,
  [20680] = 19390,
  [20681] = 19422,
  [20682] = 19357,
  [20683] = 19336,
  [20684] = 19420,
  [20685] = 19337,
  [20686] = 19316,
  [20687] = 19318,
  [20688] = 19418,
  [20689] = 19493,
  [20690] = 19491,
  [20691] = 19416,
  [20692] = 19321,
  [20693] = 19323,
  [20694] = 19634,
  [20695] = 19408,
  [20696] = 19357,
  [20697] = 19323,
  [20698] = 19484,
  [20699] = 19407,
  [20700] = 19407,
  [20701] = 20701,
  [20702] = 19338,
  [20703] = 19339,
  [20704] = 19340,
  [20705] = 19341,
  [20706] = 19643,
  [20707] = 19318,
  [20708] = 19390,
  [20709] = 19302,
  [20710] = 19408,
  [20711] = 19330,
  [20712] = 19365,
  [20713] = 19320,
  [20714] = 19412,
  [20715] = 19304,
  [20716] = 19307,
  [20717] = 19301,
  [20718] = 19416,
  [20719] = 19377,
  [20720] = 19418,
  [20721] = 19420,
  [20722] = 19367,
  [20723] = 19309,
  [20724] = 19316,
  [20725] = 19318,
  [20726] = 19412,
  [20727] = 19355,
  [20728] = 19321,
  [20729] = 19422,
  [20730] = 19321,
  [20731] = 19320,
  [20732] = 20732,
  [20733] = 20733,
  [20734] = 19482,
  [20735] = 19323,
  [20736] = 19322,
  [20737] = 19484,
  [20738] = 19305,
  [20739] = 19303,
  [20740] = 19338,
  [20741] = 19339,
  [20742] = 19340,
  [20743] = 19341,
  [20744] = 19305,
  [20745] = 19333,
  [20746] = 19365,
  [20747] = 19316,
  [20748] = 19336,
  [20749] = 19330,
  [20750] = 19348,
  [20751] = 19408,
  [20752] = 19493,
  [20753] = 19304,
  [20754] = 19307,
  [20755] = 19301,
  [20756] = 19351,
  [20757] = 19337,
  [20758] = 19789,
  [20759] = 19320,
  [20760] = 19335,
  [20761] = 19332,
  [20762] = 19316,
  [20763] = 19318,
  [20764] = 19412,
  [20765] = 19336,
  [20766] = 19353,
  [20767] = 19416,
  [20768] = 19321,
  [20769] = 19357,
  [20770] = 19336,
  [20771] = 19418,
  [20772] = 19450,
  [20773] = 19323,
  [20774] = 19387,
  [20775] = 19804,
  [20776] = 19451,
  [20777] = 19389,
  [20778] = 19338,
  [20779] = 19339,
  [20780] = 19340,
  [20781] = 19341,
  [20782] = 19424,
  [20783] = 19357,
  [20784] = 19425,
  [20785] = 19301,
  [20786] = 19307,
  [20787] = 19330,
  [20788] = 19458,
  [20789] = 19389,
  [20790] = 19304,
  [20791] = 19307,
  [20792] = 19301,
  [20793] = 19367,
  [20794] = 19408,
  [20795] = 19461,
  [20796] = 19825,
  [20797] = 19365,
  [20798] = 19320,
  [20799] = 19316,
  [20800] = 19318,
  [20801] = 19304,
  [20802] = 19412,
  [20803] = 19416,
  [20804] = 19418,
  [20805] = 19321,
  [20806] = 19387,
  [20807] = 19813,
  [20808] = 19353,
  [20809] = 19425,
  [20810] = 19323,
  [20811] = 19332,
  [20812] = 19424,
  [20813] = 19451,
  [20814] = 19336,
  [20815] = 19338,
  [20816] = 19339,
  [20817] = 19340,
  [20818] = 19341,
  [20819] = 19335,
  [20820] = 19330,
  [20821] = 20821,
  [20822] = 19320,
  [20823] = 6275,
  [20824] = 19330,
  [20825] = 19336,
  [20826] = 19425,
  [20827] = 19304,
  [20828] = 19307,
  [20829] = 19301,
  [20830] = 19418,
  [20831] = 19337,
  [20832] = 19493,
  [20833] = 19491,
  [20834] = 19484,
  [20835] = 19416,
  [20836] = 19316,
  [20837] = 19318,
  [20838] = 19451,
  [20839] = 19412,
  [20840] = 19337,
  [20841] = 19322,
  [20842] = 19321,
  [20843] = 19450,
  [20844] = 19362,
  [20845] = 19348,
  [20846] = 19424,
  [20847] = 19323,
  [20848] = 19407,
  [20849] = 19345,
  [20850] = 19337,
  [20851] = 19493,
  [20852] = 19338,
  [20853] = 19339,
  [20854] = 19340,
  [20855] = 19341,
  [20856] = 19491,
  [20857] = 19614,
  [20858] = 20858,
  [20859] = 19390,
  [20860] = 19302,
  [20861] = 19330,
  [20862] = 19333,
  [20863] = 19301,
  [20864] = 19377,
  [20865] = 19367,
  [20866] = 19484,
  [20867] = 19321,
  [20868] = 19303,
  [20869] = 19484,
  [20870] = 19322,
  [20871] = 19323,
  [20872] = 19309,
  [20873] = 19338,
  [20874] = 19339,
  [20875] = 19340,
  [20876] = 19341,
  [20877] = 19414,
  [20878] = 19482,
  [20879] = 19407,
  [20880] = 19365,
  [20881] = 19301,
  [20882] = 19355,
  [20883] = 19408,
  [20884] = 19390,
  [20885] = 19302,
  [20886] = 19306,
  [20887] = 19377,
  [20888] = 19323,
  [20889] = 19355,
  [20890] = 19338,
  [20891] = 19339,
  [20892] = 19340,
  [20893] = 19341,
  [20894] = 19322,
  [20895] = 19485,
  [20896] = 19332,
  [20897] = 19309,
  [20898] = 19309,
  [20899] = 19558,
  [20900] = 19355,
  [20901] = 19339,
  [20902] = 19340,
  [20903] = 19341,
  [20904] = 19303,
  [20905] = 19488,
  [20906] = 19305,
  [20907] = 19564,
  [20908] = 19565,
  [20909] = 19341,
  [20910] = 19340,
  [20911] = 19339,
  [20912] = 19340,
  [20913] = 19341,
  [20914] = 19333,
  [20915] = 19493,
  [20916] = 19339,
  [20917] = 19338,
  [20918] = 19377,
  [20919] = 19306,
  [20920] = 19589,
  [20921] = 19339,
  [20922] = 19340,
  [20923] = 19341,
  [20924] = 19425,
  [20925] = 19491,
  [20926] = 19348,
  [20927] = 19418,
  [20928] = 19606,
  [20929] = 19390,
  [20930] = 19392,
  [20931] = 19339,
  [20932] = 19340,
  [20933] = 19341,
  [20934] = 19357,
  [20935] = 19484,
  [20936] = 19416,
  [20937] = 19412,
  [20938] = 19407,
  [20939] = 19323,
  [20940] = 19322,
  [20941] = 19339,
  [20942] = 19340,
  [20943] = 19341,
  [20944] = 19634,
  [20945] = 19482,
  [20946] = 19335,
  [20947] = 19348,
  [20948] = 19643,
  [20949] = 19303,
  [20950] = 19355,
  [20951] = 19339,
  [20952] = 19340,
  [20953] = 19341,
  [20954] = 19389,
  [20955] = 19332,
  [20956] = 19353,
  [20957] = 19321,
  [20958] = 19305,
  [20959] = 19333,
  [20960] = 19318,
  [20961] = 19339,
  [20962] = 19340,
  [20963] = 19341,
  [20964] = 19387,
  [20965] = 19389,
  [20966] = 19387,
  [20967] = 19345,
  [20968] = 19316,
  [20969] = 19348,
  [20970] = 19367,
  [20971] = 19339,
  [20972] = 19340,
  [20973] = 19341,
  [20974] = 19353,
  [20975] = 19335,
  [20976] = 19332,
  [20977] = 19491,
  [20978] = 19353,
  [20979] = 19301,
  [20980] = 19307,
  [20981] = 19339,
  [20982] = 19340,
  [20983] = 19341,
  [20984] = 19357,
  [20985] = 19482,
  [20986] = 19387,
  [20987] = 19304,
  [20988] = 19484,
  [20989] = 19813,
  [20990] = 19389,
  [20991] = 19339,
  [20992] = 19340,
  [20993] = 19341,
  [20994] = 19408,
  [20995] = 19335,
  [20996] = 19365,
  [20997] = 19634,
  [20998] = 19493,
  [20999] = 19488,
  [21000] = 19337,
  [21001] = 19339,
  [21002] = 19340,
  [21003] = 19341,
  [21004] = 19330,
  [21005] = 20178,
  [21006] = 19320,
  [21007] = 19357,
  [21008] = 19804,
  [21009] = 19408,
  [21010] = 19365,
  [21011] = 19339,
  [21012] = 19340,
  [21013] = 19341,
  [21014] = 19412,
  [21015] = 19416,
  [21016] = 19320,
  [21017] = 19418,
  [21018] = 19425,
  [21019] = 19412,
  [21020] = 20858,
  [21021] = 19416,
  [21022] = 19418,
  [21023] = 19424,
  [21024] = 19336,
  [21025] = 19425,
  [21026] = 19451,
  [21027] = 19348,
  [21028] = 19451,
  [21029] = 19337,
  [21030] = 19493,
  [21031] = 19336,
  [21032] = 19491,
  [21033] = 19484,
  [21034] = 6200,
  [21035] = 19425,
  [21036] = 19345,
  [21037] = 19425,
  [21038] = 19407,
  [21039] = 19425,
  [21040] = 19422,
  [21041] = 19390,
  [21042] = 19302,
  [21043] = 19420,
  [21044] = 19377,
  [21045] = 19367,
  [21046] = 19418,
  [21047] = 19309,
  [21048] = 19416,
  [21049] = 19412,
  [21050] = 19355,
  [21051] = 19333,
  [21052] = 19320,
  [21053] = 19302,
  [21054] = 19305,
  [21055] = 19365,
  [21056] = 19322,
  [21057] = 19322,
  [21058] = 19408,
  [21059] = 19303,
  [21060] = 19305,
  [21061] = 19418,
  [21062] = 19333,
  [21063] = 19558,
  [21064] = 19416,
  [21065] = 19564,
  [21066] = 19348,
  [21067] = 19565,
  [21068] = 19355,
  [21069] = 19309,
  [21070] = 19341,
  [21071] = 19340,
  [21072] = 19367,
  [21073] = 19339,
  [21074] = 19377,
  [21075] = 19335,
  [21076] = 19412,
  [21077] = 19302,
  [21078] = 19332,
  [21079] = 19338,
  [21080] = 19353,
  [21081] = 19387,
  [21082] = 19408,
  [21083] = 19348,
  [21084] = 19389,
  [21085] = 19390,
  [21086] = 19355,
  [21087] = 20022,
  [21088] = 19407,
  [21089] = 19357,
  [21090] = 19408,
  [21091] = 19336,
  [21092] = 19365,
  [21093] = 19303,
  [21094] = 19408,
  [21095] = 19686,
  [21096] = 19320,
  [21097] = 19412,
  [21098] = 19606,
  [21099] = 21099,
  [21100] = 19416,
  [21101] = 19418,
  [21102] = 19425,
  [21103] = 19357,
  [21104] = 19484,
  [21105] = 19407,
  [21106] = 19424,
  [21107] = 19491,
  [21108] = 19493,
  [21109] = 19337,
  [21110] = 20116,
  [21111] = 19336,
  [21112] = 19389,
  [21113] = 19336,
  [21114] = 19323,
  [21115] = 19392,
  [21116] = 19390,
  [21117] = 20076,
  [21118] = 19337,
  [21119] = 19302,
  [21120] = 19377,
  [21121] = 19493,
  [21122] = 19304,
  [21123] = 19367,
  [21124] = 19491,
  [21125] = 19484,
  [21126] = 19309,
  [21127] = 19407,
  [21128] = 19643,
  [21129] = 19624,
  [21130] = 19390,
  [21131] = 19624,
  [21132] = 19387,
  [21133] = 19387,
  [21134] = 19377,
  [21135] = 19425,
  [21136] = 19355,
  [21137] = 19367,
  [21138] = 19425,
  [21139] = 21139,
  [21140] = 19309,
  [21141] = 19321,
  [21142] = 19355,
  [21143] = 19425,
  [21144] = 19418,
  [21145] = 19589,
  [21146] = 19416,
  [21147] = 19322,
  [21148] = 19353,
  [21149] = 19412,
  [21150] = 19306,
  [21151] = 19320,
  [21152] = 19303,
  [21153] = 19305,
  [21154] = 19318,
  [21155] = 19333,
  [21156] = 19332,
  [21157] = 19316,
  [21158] = 20490,
  [21159] = 19365,
  [21160] = 19408,
  [21161] = 20396,
  [21162] = 19926,
  [21163] = 19335,
  [21164] = 19348,
  [21165] = 19330,
  [21166] = 19799,
  [21167] = 19357,
  [21168] = 19335,
  [21169] = 19973,
  [21170] = 19969,
  [21171] = 19968,
  [21172] = 19322,
  [21173] = 19337,
  [21174] = 19332,
  [21175] = 19614,
  [21176] = 19353,
  [21177] = 20022,
  [21178] = 19305,
  [21179] = 19389,
  [21180] = 19389,
  [21181] = 19387,
  [21182] = 19353,
  [21183] = 19357,
  [21184] = 19303,
  [21185] = 19652,
  [21186] = 19493,
  [21187] = 19305,
  [21188] = 19333,
  [21189] = 19332,
  [21190] = 19408,
  [21191] = 19491,
  [21192] = 19345,
  [21193] = 19813,
  [21194] = 19301,
  [21195] = 19307,
  [21196] = 19335,
  [21197] = 19348,
  [21198] = 19365,
  [21199] = 19320,
  [21200] = 21200,
  [21201] = 19412,
  [21202] = 19416,
  [21203] = 19669,
  [21204] = 19362,
  [21205] = 19418,
  [21206] = 19425,
  [21207] = 19377,
  [21208] = 19362,
  [21209] = 19813,
  [21210] = 19482,
  [21211] = 19336,
  [21212] = 19304,
  [21213] = 19348,
  [21214] = 19348,
  [21215] = 19799,
  [21216] = 19337,
  [21217] = 19493,
  [21218] = 19491,
  [21219] = 19484,
  [21220] = 19482,
  [21221] = 19307,
  [21222] = 19335,
  [21223] = 19330,
  [21224] = 19332,
  [21225] = 19353,
  [21226] = 19387,
  [21227] = 19407,
  [21228] = 19389,
  [21229] = 19345,
  [21230] = 19390,
  [21231] = 19301,
  [21232] = 19407,
  [21233] = 19302,
  [21234] = 19390,
  [21235] = 19333,
  [21236] = 19305,
  [21237] = 19303,
  [21238] = 19377,
  [21239] = 19302,
  [21240] = 19357,
  [21241] = 19367,
  [21242] = 19322,
  [21243] = 19309,
  [21244] = 19408,
  [21245] = 19365,
  [21246] = 19320,
  [21247] = 19412,
  [21248] = 19345,
  [21249] = 19416,
  [21250] = 19418,
  [21251] = 19420,
  [21252] = 19303,
  [21253] = 19926,
  [21254] = 21099,
  [21255] = 19355,
  [21256] = 19322,
  [21257] = 19422,
  [21258] = 19316,
  [21259] = 19321,
  [21260] = 19425,
  [21261] = 19336,
  [21262] = 19367,
  [21263] = 19303,
  [21264] = 19305,
  [21265] = 20858,
  [21266] = 19333,
  [21267] = 19945,
  [21268] = 19303,
  [21269] = 19306,
  [21270] = 19322,
  [21271] = 21139,
  [21272] = 21139,
  [21273] = 19348,
  [21274] = 19318,
  [21275] = 19335,
  [21276] = 19355,
  [21277] = 19355,
  [21278] = 19351,
  [21279] = 19789,
  [21280] = 19332,
  [21281] = 19336,
  [21282] = 19309,
  [21283] = 19450,
  [21284] = 20396,
  [21285] = 19309,
  [21286] = 19804,
  [21287] = 19973,
  [21288] = 19969,
  [21289] = 19968,
  [21290] = 19451,
  [21291] = 19353,
  [21292] = 19387,
  [21293] = 19389,
  [21294] = 19367,
  [21295] = 19377,
  [21296] = 19458,
  [21297] = 19355,
  [21298] = 19424,
  [21299] = 19652,
  [21300] = 19302,
  [21301] = 19461,
  [21302] = 19825,
  [21303] = 19309,
  [21304] = 19367,
  [21305] = 19424,
  [21306] = 19377,
  [21307] = 19302,
  [21308] = 19357,
  [21309] = 19408,
  [21310] = 19872,
  [21311] = 19321,
  [21312] = 19365,
  [21313] = 19390,
  [21314] = 19320,
  [21315] = 19390,
  [21316] = 19412,
  [21317] = 19416,
  [21318] = 19418,
  [21319] = 19425,
  [21320] = 19337,
  [21321] = 19392,
  [21322] = 19485,
  [21323] = 19407,
  [21324] = 19488,
  [21325] = 19493,
  [21326] = 19491,
  [21327] = 19306,
  [21328] = 19451,
  [21329] = 21099,
  [21330] = 19407,
  [21331] = 19989,
  [21332] = 20049,
  [21333] = 19986,
  [21334] = 19484,
  [21335] = 19333,
  [21336] = 19482,
  [21337] = 19643,
  [21338] = 19337,
  [21339] = 19634,
  [21340] = 19482,
  [21341] = 19493,
  [21342] = 19491,
  [21343] = 19414,
  [21344] = 19303,
  [21345] = 19484,
  [21346] = 21139,
  [21347] = 19484,
  [21348] = 19491,
  [21349] = 19482,
  [21350] = 19484,
  [21351] = 19407,
  [21352] = 19493,
  [21353] = 19390,
  [21354] = 19302,
  [21355] = 19686,
  [21356] = 19377,
  [21357] = 19367,
  [21358] = 20396,
  [21359] = 19488,
  [21360] = 19309,
  [21361] = 19973,
  [21362] = 19969,
  [21363] = 19968,
  [21364] = 19491,
  [21365] = 19407,
  [21366] = 19493,
  [21367] = 19337,
  [21368] = 19355,
  [21369] = 19337,
  [21370] = 19323,
  [21371] = 19322,
  [21372] = 19392,
  [21373] = 19652,
  [21374] = 19322,
  [21375] = 19390,
  [21376] = 20076,
  [21377] = 19634,
  [21378] = 19302,
  [21379] = 19377,
  [21380] = 19367,
  [21381] = 19309,
  [21382] = 19336,
  [21383] = 20178,
  [21384] = 19624,
  [21385] = 19355,
  [21386] = 19303,
  [21387] = 19305,
  [21388] = 19558,
  [21389] = 20116,
  [21390] = 19418,
  [21391] = 19305,
  [21392] = 21392,
  [21393] = 19348,
  [21394] = 19333,
  [21395] = 19333,
  [21396] = 19564,
  [21397] = 19565,
  [21398] = 21099,
  [21399] = 19335,
  [21400] = 19341,
  [21401] = 19340,
  [21402] = 19589,
  [21403] = 19332,
  [21404] = 19353,
  [21405] = 19425,
  [21406] = 19339,
  [21407] = 19387,
  [21408] = 19318,
  [21409] = 21139,
  [21410] = 19389,
  [21411] = 19306,
  [21412] = 19418,
  [21413] = 19416,
  [21414] = 20396,
  [21415] = 19333,
  [21416] = 19973,
  [21417] = 19969,
  [21418] = 19968,
  [21419] = 19412,
  [21420] = 19320,
  [21421] = 19652,
  [21422] = 19338,
  [21423] = 20490,
  [21424] = 19365,
  [21425] = 19357,
  [21426] = 19408,
  [21427] = 19408,
  [21428] = 19365,
  [21429] = 19357,
  [21430] = 19322,
  [21431] = 19320,
  [21432] = 19412,
  [21433] = 19345,
  [21434] = 19416,
  [21435] = 21435,
  [21436] = 21099,
  [21437] = 19418,
  [21438] = 19614,
  [21439] = 19945,
  [21440] = 19425,
  [21441] = 19606,
  [21442] = 20022,
  [21443] = 19345,
  [21444] = 19389,
  [21445] = 19387,
  [21446] = 19353,
  [21447] = 21139,
  [21448] = 19332,
  [21449] = 19348,
  [21450] = 19336,
  [21451] = 19303,
  [21452] = 20396,
  [21453] = 19305,
  [21454] = 19973,
  [21455] = 19969,
  [21456] = 19968,
  [21457] = 19335,
  [21458] = 19333,
  [21459] = 19338,
  [21460] = 19606,
  [21461] = 19316,
  [21462] = 21462,
  [21463] = 21463,
  [21464] = 19424,
  [21465] = 19339,
  [21466] = 19337,
  [21467] = 19340,
  [21468] = 21099,
  [21469] = 19341,
  [21470] = 19345,
  [21471] = 19493,
  [21472] = 20116,
  [21473] = 19491,
  [21474] = 19565,
  [21475] = 19348,
  [21476] = 19484,
  [21477] = 19348,
  [21478] = 21139,
  [21479] = 19482,
  [21480] = 19407,
  [21481] = 19564,
  [21482] = 19390,
  [21483] = 20396,
  [21484] = 19302,
  [21485] = 19973,
  [21486] = 19969,
  [21487] = 19968,
  [21488] = 19377,
  [21489] = 19669,
  [21490] = 19451,
  [21491] = 19362,
  [21492] = 19367,
  [21493] = 19309,
  [21494] = 19348,
  [21495] = 19355,
  [21496] = 19348,
  [21497] = 19345,
  [21498] = 19323,
  [21499] = 21099,
  [21500] = 19558,
  [21501] = 19322,
  [21502] = 19303,
  [21503] = 19305,
  [21504] = 19333,
  [21505] = 19669,
  [21506] = 21139,
  [21507] = 19389,
  [21508] = 19345,
  [21509] = 20396,
  [21510] = 19973,
  [21511] = 19969,
  [21512] = 19968,
  [21513] = 19305,
  [21514] = 19643,
  [21515] = 19303,
  [21516] = 19336,
  [21517] = 19335,
  [21518] = 19321,
  [21519] = 19345,
  [21520] = 19322,
  [21521] = 19332,
  [21522] = 19353,
  [21523] = 19318,
  [21524] = 21099,
  [21525] = 19355,
  [21526] = 19335,
  [21527] = 19387,
  [21528] = 19332,
  [21529] = 19316,
  [21530] = 19353,
  [21531] = 21139,
  [21532] = 19309,
  [21533] = 20396,
  [21534] = 19973,
  [21535] = 19969,
  [21536] = 19968,
  [21537] = 19387,
  [21538] = 19389,
  [21539] = 19335,
  [21540] = 19367,
  [21541] = 19926,
  [21542] = 19377,
  [21543] = 19412,
  [21544] = 21099,
  [21545] = 19332,
  [21546] = 19926,
  [21547] = 19353,
  [21548] = 19302,
  [21549] = 19387,
  [21550] = 19390,
  [21551] = 21139,
  [21552] = 19357,
  [21553] = 20396,
  [21554] = 19973,
  [21555] = 19969,
  [21556] = 19968,
  [21557] = 19389,
  [21558] = 19333,
  [21559] = 19408,
  [21560] = 19407,
  [21561] = 19365,
  [21562] = 19320,
  [21563] = 19357,
  [21564] = 21099,
  [21565] = 19412,
  [21566] = 19425,
  [21567] = 19408,
  [21568] = 19416,
  [21569] = 19365,
  [21570] = 21139,
  [21571] = 19418,
  [21572] = 20396,
  [21573] = 19973,
  [21574] = 19969,
  [21575] = 19968,
  [21576] = 19362,
  [21577] = 19425,
  [21578] = 19422,
  [21579] = 19482,
  [21580] = 19420,
  [21581] = 19484,
  [21582] = 19418,
  [21583] = 21099,
  [21584] = 19357,
  [21585] = 19320,
  [21586] = 19491,
  [21587] = 19336,
  [21588] = 19412,
  [21589] = 21139,
  [21590] = 19493,
  [21591] = 20396,
  [21592] = 19973,
  [21593] = 19969,
  [21594] = 19968,
  [21595] = 19416,
  [21596] = 19408,
  [21597] = 19365,
  [21598] = 19337,
  [21599] = 19320,
  [21600] = 19337,
  [21601] = 21601,
  [21602] = 19493,
  [21603] = 19412,
  [21604] = 19491,
  [21605] = 19416,
  [21606] = 21139,
  [21607] = 19484,
  [21608] = 20396,
  [21609] = 19973,
  [21610] = 19969,
  [21611] = 19968,
  [21612] = 19482,
  [21613] = 19418,
  [21614] = 19420,
  [21615] = 19301,
  [21616] = 19336,
  [21617] = 19407,
  [21618] = 19422,
  [21619] = 19307,
  [21620] = 19390,
  [21621] = 19302,
  [21622] = 19377,
  [21623] = 21139,
  [21624] = 19367,
  [21625] = 20396,
  [21626] = 19973,
  [21627] = 19969,
  [21628] = 19968,
  [21629] = 19309,
  [21630] = 21630,
  [21631] = 19348,
  [21632] = 19355,
  [21633] = 19322,
  [21634] = 19303,
  [21635] = 19425,
  [21636] = 19320,
  [21637] = 21637,
  [21638] = 19305,
  [21639] = 19333,
  [21640] = 21139,
  [21641] = 19304,
  [21642] = 20396,
  [21643] = 19973,
  [21644] = 19969,
  [21645] = 19968,
  [21646] = 19425,
  [21647] = 19365,
  [21648] = 21648,
  [21649] = 19813,
  [21650] = 19348,
  [21651] = 19348,
  [21652] = 19416,
  [21653] = 19418,
  [21654] = 19416,
  [21655] = 19335,
  [21656] = 19412,
  [21657] = 21139,
  [21658] = 19425,
  [21659] = 20396,
  [21660] = 19973,
  [21661] = 19969,
  [21662] = 19968,
  [21663] = 19332,
  [21664] = 19353,
  [21665] = 19387,
  [21666] = 19389,
  [21667] = 19408,
  [21668] = 19320,
  [21669] = 19365,
  [21670] = 19408,
  [21671] = 19357,
  [21672] = 19357,
  [21673] = 19408,
  [21674] = 21139,
  [21675] = 19336,
  [21676] = 20396,
  [21677] = 19973,
  [21678] = 19969,
  [21679] = 19968,
  [21680] = 19365,
  [21681] = 19351,
  [21682] = 19799,
  [21683] = 19320,
  [21684] = 19789,
  [21685] = 19412,
  [21686] = 19416,
  [21687] = 19418,
  [21688] = 19451,
  [21689] = 19425,
  [21690] = 19330,
  [21691] = 21139,
  [21692] = 19389,
  [21693] = 20396,
  [21694] = 19973,
  [21695] = 19969,
  [21696] = 19968,
  [21697] = 19387,
  [21698] = 19336,
  [21699] = 19353,
  [21700] = 19357,
  [21701] = 19332,
  [21702] = 19450,
  [21703] = 19424,
  [21704] = 19804,
  [21705] = 19335,
  [21706] = 19389,
  [21707] = 21139,
  [21708] = 19408,
  [21709] = 20396,
  [21710] = 19973,
  [21711] = 19969,
  [21712] = 19968,
  [21713] = 19451,
  [21714] = 19336,
  [21715] = 19387,
  [21716] = 19337,
  [21717] = 19493,
  [21718] = 19491,
  [21719] = 19484,
  [21720] = 21720,
  [21721] = 19482,
  [21722] = 19348,
  [21723] = 21139,
  [21724] = 19407,
  [21725] = 20396,
  [21726] = 19973,
  [21727] = 19969,
  [21728] = 19968,
  [21729] = 21729,
  [21730] = 19353,
  [21731] = 19390,
  [21732] = 19302,
  [21733] = 19377,
  [21734] = 19332,
  [21735] = 19335,
  [21736] = 19337,
  [21737] = 19367,
  [21738] = 21738,
  [21739] = 21139,
  [21740] = 19309,
  [21741] = 20396,
  [21742] = 19973,
  [21743] = 19969,
  [21744] = 19968,
  [21745] = 19493,
  [21746] = 19345,
  [21747] = 19491,
  [21748] = 19355,
  [21749] = 19333,
  [21750] = 19322,
  [21751] = 19484,
  [21752] = 19362,
  [21753] = 19303,
  [21754] = 19458,
  [21755] = 21139,
  [21756] = 19303,
  [21757] = 20396,
  [21758] = 19973,
  [21759] = 19969,
  [21760] = 19968,
  [21761] = 19305,
  [21762] = 19482,
  [21763] = 19305,
  [21764] = 19461,
  [21765] = 19333,
  [21766] = 19825,
  [21767] = 19345,
  [21768] = 19322,
  [21769] = 19345,
  [21770] = 19407,
  [21771] = 21139,
  [21772] = 19390,
  [21773] = 19973,
  [21774] = 19969,
  [21775] = 19968,
  [21776] = 19333,
  [21777] = 19305,
  [21778] = 19355,
  [21779] = 21779,
  [21780] = 19335,
  [21781] = 19303,
  [21782] = 19390,
  [21783] = 19322,
  [21784] = 19332,
  [21785] = 19424,
  [21786] = 21139,
  [21787] = 19353,
  [21788] = 19973,
  [21789] = 19969,
  [21790] = 19968,
  [21791] = 19387,
  [21792] = 19389,
  [21793] = 19309,
  [21794] = 19367,
  [21795] = 19377,
  [21796] = 19302,
  [21797] = 19357,
  [21798] = 19302,
  [21799] = 19408,
  [21800] = 19305,
  [21801] = 21139,
  [21802] = 19367,
  [21803] = 19973,
  [21804] = 19969,
  [21805] = 19968,
  [21806] = 19407,
  [21807] = 19365,
  [21808] = 19320,
  [21809] = 19309,
  [21810] = 19412,
  [21811] = 19416,
  [21812] = 20858,
  [21813] = 19418,
  [21814] = 19425,
  [21815] = 19355,
  [21816] = 21139,
  [21817] = 19482,
  [21818] = 19973,
  [21819] = 19969,
  [21820] = 19968,
  [21821] = 21821,
  [21822] = 19484,
  [21823] = 19491,
  [21824] = 19493,
  [21825] = 19337,
  [21826] = 19336,
  [21827] = 19306,
  [21828] = 19306,
  [21829] = 19377,
  [21830] = 19336,
  [21831] = 21139,
  [21832] = 19337,
  [21833] = 19973,
  [21834] = 19969,
  [21835] = 19968,
  [21836] = 19493,
  [21837] = 21837,
  [21838] = 19491,
  [21839] = 21839,
  [21840] = 19484,
  [21841] = 19418,
  [21842] = 19355,
  [21843] = 19482,
  [21844] = 19305,
  [21845] = 19407,
  [21846] = 21139,
  [21847] = 19309,
  [21848] = 19973,
  [21849] = 19969,
  [21850] = 19968,
  [21851] = 19390,
  [21852] = 19322,
  [21853] = 19302,
  [21854] = 19377,
  [21855] = 19367,
  [21856] = 19337,
  [21857] = 19309,
  [21858] = 19355,
  [21859] = 19322,
  [21860] = 19377,
  [21861] = 21139,
  [21862] = 19302,
  [21863] = 19973,
  [21864] = 19969,
  [21865] = 19968,
  [21866] = 19813,
  [21867] = 19335,
  [21868] = 19303,
  [21869] = 19485,
  [21870] = 19303,
  [21871] = 19390,
  [21872] = 19488,
  [21873] = 19493,
  [21874] = 19305,
  [21875] = 19491,
  [21876] = 21139,
  [21877] = 19333,
  [21878] = 19973,
  [21879] = 19969,
  [21880] = 19968,
  [21881] = 19484,
  [21882] = 19332,
  [21883] = 19392,
  [21884] = 19482,
  [21885] = 19425,
  [21886] = 19353,
  [21887] = 14228,
  [21888] = 21888,
  [21889] = 19345,
  [21890] = 19418,
  [21891] = 21139,
  [21892] = 19493,
  [21893] = 19973,
  [21894] = 19969,
  [21895] = 19968,
  [21896] = 19348,
  [21897] = 19387,
  [21898] = 19367,
  [21899] = 19416,
  [21900] = 19407,
  [21901] = 19412,
  [21902] = 19333,
  [21903] = 19389,
  [21904] = 19320,
  [21905] = 19301,
  [21906] = 21139,
  [21907] = 19335,
  [21908] = 19973,
  [21909] = 19969,
  [21910] = 19968,
  [21911] = 19365,
  [21912] = 19330,
  [21913] = 19332,
  [21914] = 19799,
  [21915] = 19353,
  [21916] = 19307,
  [21917] = 19345,
  [21918] = 19387,
  [21919] = 19389,
  [21920] = 19408,
  [21921] = 21139,
  [21922] = 19558,
  [21923] = 19973,
  [21924] = 19969,
  [21925] = 19968,
  [21926] = 19414,
  [21927] = 19357,
  [21928] = 19357,
  [21929] = 19813,
  [21930] = 19348,
  [21931] = 19304,
  [21932] = 21932,
  [21933] = 19408,
  [21934] = 19365,
  [21935] = 19558,
  [21936] = 21139,
  [21937] = 19389,
  [21938] = 19973,
  [21939] = 19969,
  [21940] = 19968,
  [21941] = 19304,
  [21942] = 19320,
  [21943] = 19412,
  [21944] = 19416,
  [21945] = 19418,
  [21946] = 19425,
  [21947] = 19564,
  [21948] = 19387,
  [21949] = 19353,
  [21950] = 19332,
  [21951] = 21139,
  [21952] = 19565,
  [21953] = 19973,
  [21954] = 19969,
  [21955] = 19968,
  [21956] = 19335,
  [21957] = 19341,
  [21958] = 19389,
  [21959] = 19336,
  [21960] = 19340,
  [21961] = 19653,
  [21962] = 19686,
  [21963] = 19339,
  [21964] = 19348,
  [21965] = 19337,
  [21966] = 21139,
  [21967] = 19493,
  [21968] = 19973,
  [21969] = 19969,
  [21970] = 19968,
  [21971] = 19362,
  [21972] = 19491,
  [21973] = 19484,
  [21974] = 19482,
  [21975] = 19482,
  [21976] = 19407,
  [21977] = 19338,
  [21978] = 19307,
  [21979] = 19390,
  [21980] = 19302,
  [21981] = 21139,
  [21982] = 19377,
  [21983] = 19973,
  [21984] = 19969,
  [21985] = 19968,
  [21986] = 19367,
  [21987] = 19767,
  [21988] = 19309,
  [21989] = 19790,
  [21990] = 19345,
  [21991] = 19484,
  [21992] = 19798,
  [21993] = 19355,
  [21994] = 19333,
  [21995] = 19322,
  [21996] = 21139,
  [21997] = 19305,
  [21998] = 19973,
  [21999] = 19969,
  [22000] = 19968,
  [22001] = 19303,
  [22002] = 19305,
  [22003] = 19333,
  [22004] = 19301,
  [22005] = 19322,
  [22006] = 19345,
  [22007] = 19303,
  [22008] = 19491,
  [22009] = 19348,
  [22010] = 19407,
  [22011] = 19355,
  [22012] = 19973,
  [22013] = 19969,
  [22014] = 19968,
  [22015] = 20116,
  [22016] = 19488,
  [22017] = 19309,
  [22018] = 19335,
  [22019] = 19367,
  [22020] = 19606,
  [22021] = 19332,
  [22022] = 19353,
  [22023] = 19377,
  [22024] = 19337,
  [22025] = 19387,
  [22026] = 19973,
  [22027] = 19969,
  [22028] = 19968,
  [22029] = 19367,
  [22030] = 21099,
  [22031] = 19302,
  [22032] = 19335,
  [22033] = 19390,
  [22034] = 19332,
  [22035] = 22035,
  [22036] = 19357,
  [22037] = 19407,
  [22038] = 19357,
  [22039] = 19408,
  [22040] = 19973,
  [22041] = 19969,
  [22042] = 19968,
  [22043] = 19365,
  [22044] = 19392,
  [22045] = 19482,
  [22046] = 19390,
  [22047] = 19320,
  [22048] = 19412,
  [22049] = 19416,
  [22050] = 22050,
  [22051] = 19418,
  [22052] = 19353,
  [22053] = 19425,
  [22054] = 19973,
  [22055] = 19969,
  [22056] = 19968,
  [22057] = 20076,
  [22058] = 19424,
  [22059] = 19387,
  [22060] = 19484,
  [22061] = 19491,
  [22062] = 19493,
  [22063] = 19389,
  [22064] = 19302,
  [22065] = 19337,
  [22066] = 19377,
  [22067] = 19336,
  [22068] = 19973,
  [22069] = 19969,
  [22070] = 19968,
  [22071] = 19367,
  [22072] = 19323,
  [22073] = 19926,
  [22074] = 19336,
  [22075] = 19337,
  [22076] = 19309,
  [22077] = 19493,
  [22078] = 19634,
  [22079] = 19491,
  [22080] = 19484,
  [22081] = 19482,
  [22082] = 19973,
  [22083] = 19969,
  [22084] = 19968,
  [22085] = 19407,
  [22086] = 19643,
  [22087] = 19390,
  [22088] = 19408,
  [22089] = 19302,
  [22090] = 9432,
  [22091] = 22091,
  [22092] = 19365,
  [22093] = 19377,
  [22094] = 20178,
  [22095] = 19387,
  [22096] = 19973,
  [22097] = 19969,
  [22098] = 19968,
  [22099] = 19320,
  [22100] = 19309,
  [22101] = 19355,
  [22102] = 22102,
  [22103] = 19316,
  [22104] = 19799,
  [22105] = 19412,
  [22106] = 19416,
  [22107] = 19322,
  [22108] = 19418,
  [22109] = 19425,
  [22110] = 19973,
  [22111] = 19969,
  [22112] = 19968,
  [22113] = 19355,
  [22114] = 19420,
  [22115] = 19418,
  [22116] = 19303,
  [22117] = 19305,
  [22118] = 19422,
  [22119] = 19333,
  [22120] = 19357,
  [22121] = 19416,
  [22122] = 19345,
  [22123] = 19412,
  [22124] = 19973,
  [22125] = 19969,
  [22126] = 19968,
  [22127] = 22127,
  [22128] = 19320,
  [22129] = 19318,
  [22130] = 19425,
  [22131] = 19365,
  [22132] = 19330,
  [22133] = 19348,
  [22134] = 19408,
  [22135] = 19321,
  [22136] = 19825,
  [22137] = 19357,
  [22138] = 19973,
  [22139] = 19969,
  [22140] = 19968,
  [22141] = 19589,
  [22142] = 19335,
  [22143] = 19389,
  [22144] = 19425,
  [22145] = 19332,
  [22146] = 22146,
  [22147] = 22147,
  [22148] = 19318,
  [22149] = 19353,
  [22150] = 19316,
  [22151] = 19387,
  [22152] = 19973,
  [22153] = 19969,
  [22154] = 19968,
  [22155] = 19389,
  [22156] = 19345,
  [22157] = 19353,
  [22158] = 19306,
  [22159] = 19332,
  [22160] = 19926,
  [22161] = 19357,
  [22162] = 19335,
  [22163] = 19408,
  [22164] = 19321,
  [22165] = 19451,
  [22166] = 19973,
  [22167] = 19969,
  [22168] = 19968,
  [22169] = 19365,
  [22170] = 19320,
  [22171] = 19412,
  [22172] = 19416,
  [22173] = 19973,
  [22174] = 19969,
  [22175] = 19968,
  [22176] = 19418,
  [22177] = 19425,
  [22178] = 19336,
  [22179] = 19348,
  [22180] = 19973,
  [22181] = 19969,
  [22182] = 19968,
  [22183] = 19365,
  [22184] = 19345,
  [22185] = 19973,
  [22186] = 19969,
  [22187] = 19968,
  [22188] = 19336,
  [22189] = 19320,
  [22190] = 19973,
  [22191] = 19969,
  [22192] = 19968,
  [22193] = 19412,
  [22194] = 19337,
  [22195] = 19973,
  [22196] = 19969,
  [22197] = 19968,
  [22198] = 19493,
  [22199] = 19491,
  [22200] = 19973,
  [22201] = 19969,
  [22202] = 19968,
  [22203] = 19484,
  [22204] = 19482,
  [22205] = 19973,
  [22206] = 19969,
  [22207] = 19968,
  [22208] = 19333,
  [22209] = 19305,
  [22210] = 19973,
  [22211] = 19969,
  [22212] = 19968,
  [22213] = 19407,
  [22214] = 19416,
  [22215] = 19973,
  [22216] = 19969,
  [22217] = 19968,
  [22218] = 19390,
  [22219] = 19302,
  [22220] = 19973,
  [22221] = 19969,
  [22222] = 19968,
  [22223] = 19377,
  [22224] = 19367,
  [22225] = 19973,
  [22226] = 19969,
  [22227] = 19968,
  [22228] = 19309,
  [22229] = 19303,
  [22230] = 19973,
  [22231] = 19969,
  [22232] = 19968,
  [22233] = 19322,
  [22234] = 19355,
  [22235] = 19973,
  [22236] = 19969,
  [22237] = 19968,
  [22238] = 19322,
  [22239] = 19303,
  [22240] = 19973,
  [22241] = 19969,
  [22242] = 19968,
  [22243] = 19305,
  [22244] = 19333,
  [22245] = 19461,
  [22246] = 19355,
  [22247] = 19301,
  [22248] = 19307,
  [22249] = 19309,
  [22250] = 19348,
  [22251] = 19377,
  [22252] = 19418,
  [22253] = 19643,
  [22254] = 19302,
  [22255] = 19335,
  [22256] = 19390,
  [22257] = 19304,
  [22258] = 19332,
  [22259] = 19353,
  [22260] = 19813,
  [22261] = 19387,
  [22262] = 19389,
  [22263] = 19407,
  [22264] = 19482,
  [22265] = 19357,
  [22266] = 19484,
  [22267] = 19408,
  [22268] = 22102,
  [22269] = 22050,
  [22270] = 19634,
  [22271] = 19491,
  [22272] = 19493,
  [22273] = 19365,
  [22274] = 21738,
  [22275] = 19337,
  [22276] = 19320,
  [22277] = 19412,
  [22278] = 19408,
  [22279] = 19416,
  [22280] = 19418,
  [22281] = 19425,
  [22282] = 20490,
  [22283] = 20471,
  [22284] = 21648,
  [22285] = 19425,
  [22286] = 19387,
  [22287] = 19790,
  [22288] = 19367,
  [22289] = 19336,
  [22290] = 19686,
  [22291] = 20490,
  [22292] = 20539,
  [22293] = 19422,
  [22294] = 20858,
  [22295] = 19425,
  [22296] = 19418,
  [22297] = 19418,
  [22298] = 19336,
  [22299] = 19416,
  [22300] = 19799,
  [22301] = 19412,
  [22302] = 22102,
  [22303] = 22050,
  [22304] = 21738,
  [22305] = 19320,
  [22306] = 19322,
  [22307] = 20471,
  [22308] = 19337,
  [22309] = 19614,
  [22310] = 19493,
  [22311] = 19491,
  [22312] = 20022,
  [22313] = 19484,
  [22314] = 19482,
  [22315] = 19365,
  [22316] = 19408,
  [22317] = 19407,
  [22318] = 19624,
  [22319] = 19330,
  [22320] = 22102,
  [22321] = 22050,
  [22322] = 21738,
  [22323] = 19303,
  [22324] = 19305,
  [22325] = 20471,
  [22326] = 19390,
  [22327] = 19333,
  [22328] = 19302,
  [22329] = 19377,
  [22330] = 19367,
  [22331] = 19416,
  [22332] = 19345,
  [22333] = 19309,
  [22334] = 22102,
  [22335] = 19323,
  [22336] = 20471,
  [22337] = 19412,
  [22338] = 19355,
  [22339] = 19357,
  [22340] = 19348,
  [22341] = 19322,
  [22342] = 19303,
  [22343] = 19305,
  [22344] = 22102,
  [22345] = 19333,
  [22346] = 19669,
  [22347] = 22102,
  [22348] = 19320,
  [22349] = 19362,
  [22350] = 22102,
  [22351] = 19365,
  [22352] = 21637,
  [22353] = 22102,
  [22354] = 22102,
  [22355] = 22102,
  [22356] = 22102,
  [22357] = 22102,
  [22358] = 22102,
  [22359] = 22102,
  [22360] = 22102,
  [22361] = 22102,
  [22362] = 22102,
  [22363] = 22102,
  [22364] = 22102,
  [22365] = 22102,
  [22366] = 22102,
  [22367] = 22102,
  [22368] = 22102,
  [22369] = 22102,
  [22370] = 22102,
  [22371] = 22102,
  [22372] = 22102,
  [22373] = 22102,
  [22374] = 22102,
  [22375] = 22102,
  [22376] = 22102,
  [22377] = 22102,
  [22378] = 22102,
  [22379] = 22102,
  [22380] = 22102,
  [22381] = 22102,
  [22382] = 22102,
  [22383] = 22102,
  [22384] = 22102,
  [22385] = 22102,
  [22386] = 22102,
  [22387] = 22102,
  [22388] = 22102,
  [22389] = 22102,
  [22390] = 22102,
  [22391] = 22102,
  [22392] = 22102,
  [22393] = 22102,
  [22394] = 22102,
  [22395] = 22102,
  [22396] = 22102,
  [22397] = 22102,
  [22398] = 22102,
  [22399] = 22102,
  [22400] = 22102,
  [22401] = 22102,
  [22402] = 22102,
  [22403] = 22102,
  [22404] = 22102,
  [22405] = 22102,
  [22406] = 22102,
  [22407] = 22102,
  [22408] = 22102,
  [22409] = 19389,
  [22410] = 21932,
  [22411] = 19345,
  [22412] = 21462,
  [22413] = 20055,
  [22414] = 19564,
  [22415] = 19387,
  [22416] = 19357,
  [22417] = 19353,
  [22418] = 19348,
  [22419] = 19332,
  [22420] = 20116,
  [22421] = 19335,
  [22422] = 19389,
  [22423] = 19387,
  [22424] = 19353,
  [22425] = 19332,
  [22426] = 19335,
  [22427] = 19606,
  [22428] = 19335,
  [22429] = 21932,
  [22430] = 21462,
  [22431] = 19336,
  [22432] = 19332,
  [22433] = 19353,
  [22434] = 19451,
  [22435] = 19335,
  [22436] = 19362,
  [22437] = 21932,
  [22438] = 21462,
  [22439] = 19332,
  [22440] = 19353,
  [22441] = 19387,
  [22442] = 19389,
  [22443] = 19389,
  [22444] = 19348,
  [22445] = 19348,
  [22446] = 19345,
  [22447] = 19357,
  [22448] = 19338,
  [22449] = 19345,
  [22450] = 19408,
  [22451] = 19458,
  [22452] = 19339,
  [22453] = 19365,
  [22454] = 21099,
  [22455] = 19320,
  [22456] = 19412,
  [22457] = 19333,
  [22458] = 19416,
  [22459] = 19418,
  [22460] = 19357,
  [22461] = 19425,
  [22462] = 19305,
  [22463] = 19333,
  [22464] = 19303,
  [22465] = 19305,
  [22466] = 19408,
  [22467] = 19365,
  [22468] = 19303,
  [22469] = 19322,
  [22470] = 19355,
  [22471] = 19320,
  [22472] = 19336,
  [22473] = 19309,
  [22474] = 19412,
  [22475] = 19416,
  [22476] = 19418,
  [22477] = 19420,
  [22478] = 19322,
  [22479] = 19367,
  [22480] = 19377,
  [22481] = 19337,
  [22482] = 19422,
  [22483] = 19493,
  [22484] = 19491,
  [22485] = 19425,
  [22486] = 19340,
  [22487] = 19484,
  [22488] = 19424,
  [22489] = 19482,
  [22490] = 19565,
  [22491] = 19302,
  [22492] = 19306,
  [22493] = 19407,
  [22494] = 19482,
  [22495] = 19355,
  [22496] = 19390,
  [22497] = 19302,
  [22498] = 19484,
  [22499] = 19377,
  [22500] = 19367,
  [22501] = 19309,
  [22502] = 19390,
  [22503] = 19309,
  [22504] = 19407,
  [22505] = 19355,
  [22506] = 19367,
  [22507] = 19322,
  [22508] = 19482,
  [22509] = 19484,
  [22510] = 19377,
  [22511] = 19303,
  [22512] = 19305,
  [22513] = 19333,
  [22514] = 19302,
  [22515] = 19345,
  [22516] = 19491,
  [22517] = 19348,
  [22518] = 19390,
  [22519] = 19491,
  [22520] = 19493,
  [22521] = 19407,
  [22522] = 19493,
  [22523] = 19337,
  [22524] = 19335,
  [22525] = 19337,
  [22526] = 19341,
  [22527] = 19332,
  [22528] = 19353,
  [22529] = 19336,
  [22530] = 19387,
  [22531] = 19389,
  [22532] = 19357,
  [22533] = 19408,
  [22534] = 19365,
  [22535] = 19320,
  [22536] = 19412,
  [22537] = 19416,
  [22538] = 22538,
  [22539] = 22539,
};

static TSCharacterRange sym_conversion_specification_character_set_6[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'}, {'N', 'N'},
  {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_conversion_specification_character_set_7[] = {
  {'!', '!'}, {'%', '%'}, {',', ','}, {'0', '9'}, {'@', '@'}, {'B', 'C'}, {'E', 'H'}, {'L', 'L'},
  {'N', 'N'}, {'S', 'S'}, {'X', 'X'}, {'a', 'i'}, {'l', 'l'}, {'n', 'o'}, {'s', 'u'}, {'x', 'x'},
};

static TSCharacterRange sym_prefix_operator_character_set_1[] = {
  {'!', '!'}, {'#', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_pow_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '/'}, {':', ':'}, {'<', '@'}, {'^', '^'}, {'|', '|'},
  {'~', '~'},
};

static TSCharacterRange sym_indexing_operator_character_set_1[] = {
  {'!', '!'}, {'$', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {':', ':'}, {'=', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym_let_operator_character_set_1[] = {
  {'$', '$'}, {'&', '&'}, {'*', '+'}, {'-', '-'}, {'/', '/'}, {'<', '>'}, {'@', '@'}, {'^', '^'},
  {'|', '|'},
};

static TSCharacterRange sym__lowercase_identifier_character_set_2[] = {
  {'\'', '\''}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xb7, 0xb7},
  {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee},
  {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5},
  {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd}, {0x5bf, 0x5bf},
  {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669}, {0x66e, 0x6d3},
  {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5}, {0x7fa, 0x7fa},
  {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1}, {0x8e3, 0x963},
  {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2}, {0x9b6, 0x9b9},
  {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1}, {0x9fc, 0x9fc},
  {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36},
  {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9},
  {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff}, {0xb01, 0xb03},
  {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44}, {0xb47, 0xb48},
  {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83}, {0xb85, 0xb8a},
  {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9},
  {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c}, {0xc0e, 0xc10},
  {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a}, {0xc5d, 0xc5d},
  {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9},
  {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef}, {0xcf1, 0xcf3},
  {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63}, {0xd66, 0xd6f},
  {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xdca, 0xdca},
  {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e}, {0xe50, 0xe59},
  {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6},
  {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35}, {0xf37, 0xf37},
  {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6}, {0x1000, 0x1049},
  {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d}, {0x1250, 0x1256},
  {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be}, {0x12c0, 0x12c0},
  {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371}, {0x1380, 0x138f},
  {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1715},
  {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dd},
  {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1920, 0x192b},
  {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b}, {0x1a20, 0x1a5e},
  {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c}, {0x1b50, 0x1b59},
  {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf},
  {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040}, {0x2054, 0x2054},
  {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102}, {0x2107, 0x2107},
  {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139}, {0x213c, 0x213f},
  {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d},
  {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6},
  {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035}, {0x3038, 0x303c},
  {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf}, {0x31f0, 0x31ff},
  {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d}, {0xa67f, 0xa6f1},
  {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827}, {0xa82c, 0xa82c},
  {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953}, {0xa960, 0xa97c},
  {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76}, {0xaa7a, 0xaac2},
  {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e},
  {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb},
  {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e},
  {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9},
  {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a}, {0xff65, 0xffbe},
  {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d},
  {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x102e0, 0x102e0},
  {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d},
  {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592},
  {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767},
  {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c},
  {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7},
  {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a}, {0x10a3f, 0x10a3f},
  {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72}, {0x10b80, 0x10b91},
  {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac}, {0x10eb0, 0x10eb1},
  {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046}, {0x11066, 0x11075},
  {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147}, {0x11150, 0x11173},
  {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237}, {0x1123e, 0x11241},
  {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9}, {0x11300, 0x11303},
  {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344}, {0x11347, 0x11348},
  {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a}, {0x11450, 0x11459},
  {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd}, {0x11600, 0x11640},
  {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739}, {0x11740, 0x11746},
  {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935}, {0x11937, 0x11938},
  {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e}, {0x11a47, 0x11a47},
  {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59}, {0x11c72, 0x11c8f},
  {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d}, {0x11d3f, 0x11d47},
  {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9}, {0x11ee0, 0x11ef6},
  {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543},
  {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69}, {0x16a70, 0x16abe},
  {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f},
  {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1}, {0x17000, 0x187f7},
  {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152},
  {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1bc9d, 0x1bc9e},
  {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad}, {0x1d242, 0x1d244},
  {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb},
  {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544},
  {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734},
  {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff}, {0x1da00, 0x1da36},
  {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e000, 0x1e006},
  {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c}, {0x1e130, 0x1e13d},
  {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee},
  {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22},
  {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47},
  {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b},
  {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c},
  {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9}, {0x20000, 0x2a6df},
  {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
  {0xe0100, 0xe01ef},
};

static TSCharacterRange sym__lowercase_identifier_character_set_3[] = {
  {'_', '_'}, {'a', 'z'}, {0xb5, 0xb5}, {0xdf, 0xf6}, {0xf8, 0xff}, {0x101, 0x101}, {0x103, 0x103}, {0x105, 0x105},
  {0x107, 0x107}, {0x109, 0x109}, {0x10b, 0x10b}, {0x10d, 0x10d}, {0x10f, 0x10f}, {0x111, 0x111}, {0x113, 0x113}, {0x115, 0x115},
  {0x117, 0x117}, {0x119, 0x119}, {0x11b, 0x11b}, {0x11d, 0x11d}, {0x11f, 0x11f}, {0x121, 0x121}, {0x123, 0x123}, {0x125, 0x125},
  {0x127, 0x127}, {0x129, 0x129}, {0x12b, 0x12b}, {0x12d, 0x12d}, {0x12f, 0x12f}, {0x131, 0x131}, {0x133, 0x133}, {0x135, 0x135},
  {0x137, 0x138}, {0x13a, 0x13a}, {0x13c, 0x13c}, {0x13e, 0x13e}, {0x140, 0x140}, {0x142, 0x142}, {0x144, 0x144}, {0x146, 0x146},
  {0x148, 0x149}, {0x14b, 0x14b}, {0x14d, 0x14d}, {0x14f, 0x14f}, {0x151, 0x151}, {0x153, 0x153}, {0x155, 0x155}, {0x157, 0x157},
  {0x159, 0x159}, {0x15b, 0x15b}, {0x15d, 0x15d}, {0x15f, 0x15f}, {0x161, 0x161}, {0x163, 0x163}, {0x165, 0x165}, {0x167, 0x167},
  {0x169, 0x169}, {0x16b, 0x16b}, {0x16d, 0x16d}, {0x16f, 0x16f}, {0x171, 0x171}, {0x173, 0x173}, {0x175, 0x175}, {0x177, 0x177},
  {0x17a, 0x17a}, {0x17c, 0x17c}, {0x17e, 0x180}, {0x183, 0x183}, {0x185, 0x185}, {0x188, 0x188}, {0x18c, 0x18d}, {0x192, 0x192},
  {0x195, 0x195}, {0x199, 0x19b}, {0x19e, 0x19e}, {0x1a1, 0x1a1}, {0x1a3, 0x1a3}, {0x1a5, 0x1a5}, {0x1a8, 0x1a8}, {0x1aa, 0x1ab},
  {0x1ad, 0x1ad}, {0x1b0, 0x1b0}, {0x1b4, 0x1b4}, {0x1b6, 0x1b6}, {0x1b9, 0x1ba}, {0x1bd, 0x1bf}, {0x1c6, 0x1c6}, {0x1c9, 0x1c9},
  {0x1cc, 0x1cc}, {0x1ce, 0x1ce}, {0x1d0, 0x1d0}, {0x1d2, 0x1d2}, {0x1d4, 0x1d4}, {0x1d6, 0x1d6}, {0x1d8, 0x1d8}, {0x1da, 0x1da},
  {0x1dc, 0x1dd}, {0x1df, 0x1df}, {0x1e1, 0x1e1}, {0x1e3, 0x1e3}, {0x1e5, 0x1e5}, {0x1e7, 0x1e7}, {0x1e9, 0x1e9}, {0x1eb, 0x1eb},
  {0x1ed, 0x1ed}, {0x1ef, 0x1f0}, {0x1f3, 0x1f3}, {0x1f5, 0x1f5}, {0x1f9, 0x1f9}, {0x1fb, 0x1fb}, {0x1fd, 0x1fd}, {0x1ff, 0x1ff},
  {0x201, 0x201}, {0x203, 0x203}, {0x205, 0x205}, {0x207, 0x207}, {0x209, 0x209}, {0x20b, 0x20b}, {0x20d, 0x20d}, {0x20f, 0x20f},
  {0x211, 0x211}, {0x213, 0x213}, {0x215, 0x215}, {0x217, 0x217}, {0x219, 0x219}, {0x21b, 0x21b}, {0x21d, 0x21d}, {0x21f, 0x21f},
  {0x221, 0x221}, {0x223, 0x223}, {0x225, 0x225}, {0x227, 0x227}, {0x229, 0x229}, {0x22b, 0x22b}, {0x22d, 0x22d}, {0x22f, 0x22f},
  {0x231, 0x231}, {0x233, 0x239}, {0x23c, 0x23c}, {0x23f, 0x240}, {0x242, 0x242}, {0x247, 0x247}, {0x249, 0x249}, {0x24b, 0x24b},
  {0x24d, 0x24d}, {0x24f, 0x293}, {0x295, 0x2af}, {0x371, 0x371}, {0x373, 0x373}, {0x377, 0x377}, {0x37b, 0x37d}, {0x390, 0x390},
  {0x3ac, 0x3ce}, {0x3d0, 0x3d1}, {0x3d5, 0x3d7}, {0x3d9, 0x3d9}, {0x3db, 0x3db}, {0x3dd, 0x3dd}, {0x3df, 0x3df}, {0x3e1, 0x3e1},
  {0x3e3, 0x3e3}, {0x3e5, 0x3e5}, {0x3e7, 0x3e7}, {0x3e9, 0x3e9}, {0x3eb, 0x3eb}, {0x3ed, 0x3ed}, {0x3ef, 0x3f3}, {0x3f5, 0x3f5},
  {0x3f8, 0x3f8}, {0x3fb, 0x3fc}, {0x430, 0x45f}, {0x461, 0x461}, {0x463, 0x463}, {0x465, 0x465}, {0x467, 0x467}, {0x469, 0x469},
  {0x46b, 0x46b}, {0x46d, 0x46d}, {0x46f, 0x46f}, {0x471, 0x471}, {0x473, 0x473}, {0x475, 0x475}, {0x477, 0x477}, {0x479, 0x479},
  {0x47b, 0x47b}, {0x47d, 0x47d}, {0x47f, 0x47f}, {0x481, 0x481}, {0x48b, 0x48b}, {0x48d, 0x48d}, {0x48f, 0x48f}, {0x491, 0x491},
  {0x493, 0x493}, {0x495, 0x495}, {0x497, 0x497}, {0x499, 0x499}, {0x49b, 0x49b}, {0x49d, 0x49d}, {0x49f, 0x49f}, {0x4a1, 0x4a1},
  {0x4a3, 0x4a3}, {0x4a5, 0x4a5}, {0x4a7, 0x4a7}, {0x4a9, 0x4a9}, {0x4ab, 0x4ab}, {0x4ad, 0x4ad}, {0x4af, 0x4af}, {0x4b1, 0x4b1},
  {0x4b3, 0x4b3}, {0x4b5, 0x4b5}, {0x4b7, 0x4b7}, {0x4b9, 0x4b9}, {0x4bb, 0x4bb}, {0x4bd, 0x4bd}, {0x4bf, 0x4bf}, {0x4c2, 0x4c2},
  {0x4c4, 0x4c4}, {0x4c6, 0x4c6}, {0x4c8, 0x4c8}, {0x4ca, 0x4ca}, {0x4cc, 0x4cc}, {0x4ce, 0x4cf}, {0x4d1, 0x4d1}, {0x4d3, 0x4d3},
  {0x4d5, 0x4d5}, {0x4d7, 0x4d7}, {0x4d9, 0x4d9}, {0x4db, 0x4db}, {0x4dd, 0x4dd}, {0x4df, 0x4df}, {0x4e1, 0x4e1}, {0x4e3, 0x4e3},
  {0x4e5, 0x4e5}, {0x4e7, 0x4e7}, {0x4e9, 0x4e9}, {0x4eb, 0x4eb}, {0x4ed, 0x4ed}, {0x4ef, 0x4ef}, {0x4f1, 0x4f1}, {0x4f3, 0x4f3},
  {0x4f5, 0x4f5}, {0x4f7, 0x4f7}, {0x4f9, 0x4f9}, {0x4fb, 0x4fb}, {0x4fd, 0x4fd}, {0x4ff, 0x4ff}, {0x501, 0x501}, {0x503, 0x503},
  {0x505, 0x505}, {0x507, 0x507}, {0x509, 0x509}, {0x50b, 0x50b}, {0x50d, 0x50d}, {0x50f, 0x50f}, {0x511, 0x511}, {0x513, 0x513},
  {0x515, 0x515}, {0x517, 0x517}, {0x519, 0x519}, {0x51b, 0x51b}, {0x51d, 0x51d}, {0x51f, 0x51f}, {0x521, 0x521}, {0x523, 0x523},
  {0x525, 0x525}, {0x527, 0x527}, {0x529, 0x529}, {0x52b, 0x52b}, {0x52d, 0x52d}, {0x52f, 0x52f}, {0x560, 0x588}, {0x10d0, 0x10fa},
  {0x10fd, 0x10ff}, {0x13f8, 0x13fd}, {0x1c80, 0x1c88}, {0x1d00, 0x1d2b}, {0x1d6b, 0x1d77}, {0x1d79, 0x1d9a}, {0x1e01, 0x1e01}, {0x1e03, 0x1e03},
  {0x1e05, 0x1e05}, {0x1e07, 0x1e07}, {0x1e09, 0x1e09}, {0x1e0b, 0x1e0b}, {0x1e0d, 0x1e0d}, {0x1e0f, 0x1e0f}, {0x1e11, 0x1e11}, {0x1e13, 0x1e13},
  {0x1e15, 0x1e15}, {0x1e17, 0x1e17}, {0x1e19, 0x1e19}, {0x1e1b, 0x1e1b}, {0x1e1d, 0x1e1d}, {0x1e1f, 0x1e1f}, {0x1e21, 0x1e21}, {0x1e23, 0x1e23},
  {0x1e25, 0x1e25}, {0x1e27, 0x1e27}, {0x1e29, 0x1e29}, {0x1e2b, 0x1e2b}, {0x1e2d, 0x1e2d}, {0x1e2f, 0x1e2f}, {0x1e31, 0x1e31}, {0x1e33, 0x1e33},
  {0x1e35, 0x1e35}, {0x1e37, 0x1e37}, {0x1e39, 0x1e39}, {0x1e3b, 0x1e3b}, {0x1e3d, 0x1e3d}, {0x1e3f, 0x1e3f}, {0x1e41, 0x1e41}, {0x1e43, 0x1e43},
  {0x1e45, 0x1e45}, {0x1e47, 0x1e47}, {0x1e49, 0x1e49}, {0x1e4b, 0x1e4b}, {0x1e4d, 0x1e4d}, {0x1e4f, 0x1e4f}, {0x1e51, 0x1e51}, {0x1e53, 0x1e53},
  {0x1e55, 0x1e55}, {0x1e57, 0x1e57}, {0x1e59, 0x1e59}, {0x1e5b, 0x1e5b}, {0x1e5d, 0x1e5d}, {0x1e5f, 0x1e5f}, {0x1e61, 0x1e61}, {0x1e63, 0x1e63},
  {0x1e65, 0x1e65}, {0x1e67, 0x1e67}, {0x1e69, 0x1e69}, {0x1e6b, 0x1e6b}, {0x1e6d, 0x1e6d}, {0x1e6f, 0x1e6f}, {0x1e71, 0x1e71}, {0x1e73, 0x1e73},
  {0x1e75, 0x1e75}, {0x1e77, 0x1e77}, {0x1e79, 0x1e79}, {0x1e7b, 0x1e7b}, {0x1e7d, 0x1e7d}, {0x1e7f, 0x1e7f}, {0x1e81, 0x1e81}, {0x1e83, 0x1e83},
  {0x1e85, 0x1e85}, {0x1e87, 0x1e87}, {0x1e89, 0x1e89}, {0x1e8b, 0x1e8b}, {0x1e8d, 0x1e8d}, {0x1e8f, 0x1e8f}, {0x1e91, 0x1e91}, {0x1e93, 0x1e93},
  {0x1e95, 0x1e9d}, {0x1e9f, 0x1e9f}, {0x1ea1, 0x1ea1}, {0x1ea3, 0x1ea3}, {0x1ea5, 0x1ea5}, {0x1ea7, 0x1ea7}, {0x1ea9, 0x1ea9}, {0x1eab, 0x1eab},
  {0x1ead, 0x1ead}, {0x1eaf, 0x1eaf}, {0x1eb1, 0x1eb1}, {0x1eb3, 0x1eb3}, {0x1eb5, 0x1eb5}, {0x1eb7, 0x1eb7}, {0x1eb9, 0x1eb9}, {0x1ebb, 0x1ebb},
  {0x1ebd, 0x1ebd}, {0x1ebf, 0x1ebf}, {0x1ec1, 0x1ec1}, {0x1ec3, 0x1ec3}, {0x1ec5, 0x1ec5}, {0x1ec7, 0x1ec7}, {0x1ec9, 0x1ec9}, {0x1ecb, 0x1ecb},
  {0x1ecd, 0x1ecd}, {0x1ecf, 0x1ecf}, {0x1ed1, 0x1ed1}, {0x1ed3, 0x1ed3}, {0x1ed5, 0x1ed5}, {0x1ed7, 0x1ed7}, {0x1ed9, 0x1ed9}, {0x1edb, 0x1edb},
  {0x1edd, 0x1edd}, {0x1edf, 0x1edf}, {0x1ee1, 0x1ee1}, {0x1ee3, 0x1ee3}, {0x1ee5, 0x1ee5}, {0x1ee7, 0x1ee7}, {0x1ee9, 0x1ee9}, {0x1eeb, 0x1eeb},
  {0x1eed, 0x1eed}, {0x1eef, 0x1eef}, {0x1ef1, 0x1ef1}, {0x1ef3, 0x1ef3}, {0x1ef5, 0x1ef5}, {0x1ef7, 0x1ef7}, {0x1ef9, 0x1ef9}, {0x1efb, 0x1efb},
  {0x1efd, 0x1efd}, {0x1eff, 0x1f07}, {0x1f10, 0x1f15}, {0x1f20, 0x1f27}, {0x1f30, 0x1f37}, {0x1f40, 0x1f45}, {0x1f50, 0x1f57}, {0x1f60, 0x1f67},
  {0x1f70, 0x1f7d}, {0x1f80, 0x1f87}, {0x1f90, 0x1f97}, {0x1fa0, 0x1fa7}, {0x1fb0, 0x1fb4}, {0x1fb6, 0x1fb7}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fc7}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fd7}, {0x1fe0, 0x1fe7}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ff7}, {0x210a, 0x210a}, {0x210e, 0x210f},
  {0x2113, 0x2113}, {0x212f, 0x212f}, {0x2134, 0x2134}, {0x2139, 0x2139}, {0x213c, 0x213d}, {0x2146, 0x2149}, {0x214e, 0x214e}, {0x2184, 0x2184},
  {0x2c30, 0x2c5f}, {0x2c61, 0x2c61}, {0x2c65, 0x2c66}, {0x2c68, 0x2c68}, {0x2c6a, 0x2c6a}, {0x2c6c, 0x2c6c}, {0x2c71, 0x2c71}, {0x2c73, 0x2c74},
  {0x2c76, 0x2c7b}, {0x2c81, 0x2c81}, {0x2c83, 0x2c83}, {0x2c85, 0x2c85}, {0x2c87, 0x2c87}, {0x2c89, 0x2c89}, {0x2c8b, 0x2c8b}, {0x2c8d, 0x2c8d},
  {0x2c8f, 0x2c8f}, {0x2c91, 0x2c91}, {0x2c93, 0x2c93}, {0x2c95, 0x2c95}, {0x2c97, 0x2c97}, {0x2c99, 0x2c99}, {0x2c9b, 0x2c9b}, {0x2c9d, 0x2c9d},
  {0x2c9f, 0x2c9f}, {0x2ca1, 0x2ca1}, {0x2ca3, 0x2ca3}, {0x2ca5, 0x2ca5}, {0x2ca7, 0x2ca7}, {0x2ca9, 0x2ca9}, {0x2cab, 0x2cab}, {0x2cad, 0x2cad},
  {0x2caf, 0x2caf}, {0x2cb1, 0x2cb1}, {0x2cb3, 0x2cb3}, {0x2cb5, 0x2cb5}, {0x2cb7, 0x2cb7}, {0x2cb9, 0x2cb9}, {0x2cbb, 0x2cbb}, {0x2cbd, 0x2cbd},
  {0x2cbf, 0x2cbf}, {0x2cc1, 0x2cc1}, {0x2cc3, 0x2cc3}, {0x2cc5, 0x2cc5}, {0x2cc7, 0x2cc7}, {0x2cc9, 0x2cc9}, {0x2ccb, 0x2ccb}, {0x2ccd, 0x2ccd},
  {0x2ccf, 0x2ccf}, {0x2cd1, 0x2cd1}, {0x2cd3, 0x2cd3}, {0x2cd5, 0x2cd5}, {0x2cd7, 0x2cd7}, {0x2cd9, 0x2cd9}, {0x2cdb, 0x2cdb}, {0x2cdd, 0x2cdd},
  {0x2cdf, 0x2cdf}, {0x2ce1, 0x2ce1}, {0x2ce3, 0x2ce4}, {0x2cec, 0x2cec}, {0x2cee, 0x2cee}, {0x2cf3, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0xa641, 0xa641}, {0xa643, 0xa643}, {0xa645, 0xa645}, {0xa647, 0xa647}, {0xa649, 0xa649}, {0xa64b, 0xa64b}, {0xa64d, 0xa64d},
  {0xa64f, 0xa64f}, {0xa651, 0xa651}, {0xa653, 0xa653}, {0xa655, 0xa655}, {0xa657, 0xa657}, {0xa659, 0xa659}, {0xa65b, 0xa65b}, {0xa65d, 0xa65d},
  {0xa65f, 0xa65f}, {0xa661, 0xa661}, {0xa663, 0xa663}, {0xa665, 0xa665}, {0xa667, 0xa667}, {0xa669, 0xa669}, {0xa66b, 0xa66b}, {0xa66d, 0xa66d},
  {0xa681, 0xa681}, {0xa683, 0xa683}, {0xa685, 0xa685}, {0xa687, 0xa687}, {0xa689, 0xa689}, {0xa68b, 0xa68b}, {0xa68d, 0xa68d}, {0xa68f, 0xa68f},
  {0xa691, 0xa691}, {0xa693, 0xa693}, {0xa695, 0xa695}, {0xa697, 0xa697}, {0xa699, 0xa699}, {0xa69b, 0xa69b}, {0xa723, 0xa723}, {0xa725, 0xa725},
  {0xa727, 0xa727}, {0xa729, 0xa729}, {0xa72b, 0xa72b}, {0xa72d, 0xa72d}, {0xa72f, 0xa731}, {0xa733, 0xa733}, {0xa735, 0xa735}, {0xa737, 0xa737},
  {0xa739, 0xa739}, {0xa73b, 0xa73b}, {0xa73d, 0xa73d}, {0xa73f, 0xa73f}, {0xa741, 0xa741}, {0xa743, 0xa743}, {0xa745, 0xa745}, {0xa747, 0xa747},
  {0xa749, 0xa749}, {0xa74b, 0xa74b}, {0xa74d, 0xa74d}, {0xa74f, 0xa74f}, {0xa751, 0xa751}, {0xa753, 0xa753}, {0xa755, 0xa755}, {0xa757, 0xa757},
  {0xa759, 0xa759}, {0xa75b, 0xa75b}, {0xa75d, 0xa75d}, {0xa75f, 0xa75f}, {0xa761, 0xa761}, {0xa763, 0xa763}, {0xa765, 0xa765}, {0xa767, 0xa767},
  {0xa769, 0xa769}, {0xa76b, 0xa76b}, {0xa76d, 0xa76d}, {0xa76f, 0xa76f}, {0xa771, 0xa778}, {0xa77a, 0xa77a}, {0xa77c, 0xa77c}, {0xa77f, 0xa77f},
  {0xa781, 0xa781}, {0xa783, 0xa783}, {0xa785, 0xa785}, {0xa787, 0xa787}, {0xa78c, 0xa78c}, {0xa78e, 0xa78e}, {0xa791, 0xa791}, {0xa793, 0xa795},
  {0xa797, 0xa797}, {0xa799, 0xa799}, {0xa79b, 0xa79b}, {0xa79d, 0xa79d}, {0xa79f, 0xa79f}, {0xa7a1, 0xa7a1}, {0xa7a3, 0xa7a3}, {0xa7a5, 0xa7a5},
  {0xa7a7, 0xa7a7}, {0xa7a9, 0xa7a9}, {0xa7af, 0xa7af}, {0xa7b5, 0xa7b5}, {0xa7b7, 0xa7b7}, {0xa7b9, 0xa7b9}, {0xa7bb, 0xa7bb}, {0xa7bd, 0xa7bd},
  {0xa7bf, 0xa7bf}, {0xa7c1, 0xa7c1}, {0xa7c3, 0xa7c3}, {0xa7c8, 0xa7c8}, {0xa7ca, 0xa7ca}, {0xa7d1, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d5},
  {0xa7d7, 0xa7d7}, {0xa7d9, 0xa7d9}, {0xa7f6, 0xa7f6}, {0xa7fa, 0xa7fa}, {0xab30, 0xab5a}, {0xab60, 0xab68}, {0xab70, 0xabbf}, {0xfb00, 0xfb06},
  {0xfb13, 0xfb17}, {0xff41, 0xff5a}, {0x10428, 0x1044f}, {0x104d8, 0x104fb}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc},
};

static TSCharacterRange sym__uppercase_identifier_character_set_1[] = {
  {'A', 'Z'}, {0xc0, 0xd6}, {0xd8, 0xde}, {0x100, 0x100}, {0x102, 0x102}, {0x104, 0x104}, {0x106, 0x106}, {0x108, 0x108},
  {0x10a, 0x10a}, {0x10c, 0x10c}, {0x10e, 0x10e}, {0x110, 0x110}, {0x112, 0x112}, {0x114, 0x114}, {0x116, 0x116}, {0x118, 0x118},
  {0x11a, 0x11a}, {0x11c, 0x11c}, {0x11e, 0x11e}, {0x120, 0x120}, {0x122, 0x122}, {0x124, 0x124}, {0x126, 0x126}, {0x128, 0x128},
  {0x12a, 0x12a}, {0x12c, 0x12c}, {0x12e, 0x12e}, {0x130, 0x130}, {0x132, 0x132}, {0x134, 0x134}, {0x136, 0x136}, {0x139, 0x139},
  {0x13b, 0x13b}, {0x13d, 0x13d}, {0x13f, 0x13f}, {0x141, 0x141}, {0x143, 0x143}, {0x145, 0x145}, {0x147, 0x147}, {0x14a, 0x14a},
  {0x14c, 0x14c}, {0x14e, 0x14e}, {0x150, 0x150}, {0x152, 0x152}, {0x154, 0x154}, {0x156, 0x156}, {0x158, 0x158}, {0x15a, 0x15a},
  {0x15c, 0x15c}, {0x15e, 0x15e}, {0x160, 0x160}, {0x162, 0x162}, {0x164, 0x164}, {0x166, 0x166}, {0x168, 0x168}, {0x16a, 0x16a},
  {0x16c, 0x16c}, {0x16e, 0x16e}, {0x170, 0x170}, {0x172, 0x172}, {0x174, 0x174}, {0x176, 0x176}, {0x178, 0x179}, {0x17b, 0x17b},
  {0x17d, 0x17d}, {0x181, 0x182}, {0x184, 0x184}, {0x186, 0x187}, {0x189, 0x18b}, {0x18e, 0x191}, {0x193, 0x194}, {0x196, 0x198},
  {0x19c, 0x19d}, {0x19f, 0x1a0}, {0x1a2, 0x1a2}, {0x1a4, 0x1a4}, {0x1a6, 0x1a7}, {0x1a9, 0x1a9}, {0x1ac, 0x1ac}, {0x1ae, 0x1af},
  {0x1b1, 0x1b3}, {0x1b5, 0x1b5}, {0x1b7, 0x1b8}, {0x1bc, 0x1bc}, {0x1c4, 0x1c4}, {0x1c7, 0x1c7}, {0x1ca, 0x1ca}, {0x1cd, 0x1cd},
  {0x1cf, 0x1cf}, {0x1d1, 0x1d1}, {0x1d3, 0x1d3}, {0x1d5, 0x1d5}, {0x1d7, 0x1d7}, {0x1d9, 0x1d9}, {0x1db, 0x1db}, {0x1de, 0x1de},
  {0x1e0, 0x1e0}, {0x1e2, 0x1e2}, {0x1e4, 0x1e4}, {0x1e6, 0x1e6}, {0x1e8, 0x1e8}, {0x1ea, 0x1ea}, {0x1ec, 0x1ec}, {0x1ee, 0x1ee},
  {0x1f1, 0x1f1}, {0x1f4, 0x1f4}, {0x1f6, 0x1f8}, {0x1fa, 0x1fa}, {0x1fc, 0x1fc}, {0x1fe, 0x1fe}, {0x200, 0x200}, {0x202, 0x202},
  {0x204, 0x204}, {0x206, 0x206}, {0x208, 0x208}, {0x20a, 0x20a}, {0x20c, 0x20c}, {0x20e, 0x20e}, {0x210, 0x210}, {0x212, 0x212},
  {0x214, 0x214}, {0x216, 0x216}, {0x218, 0x218}, {0x21a, 0x21a}, {0x21c, 0x21c}, {0x21e, 0x21e}, {0x220, 0x220}, {0x222, 0x222},
  {0x224, 0x224}, {0x226, 0x226}, {0x228, 0x228}, {0x22a, 0x22a}, {0x22c, 0x22c}, {0x22e, 0x22e}, {0x230, 0x230}, {0x232, 0x232},
  {0x23a, 0x23b}, {0x23d, 0x23e}, {0x241, 0x241}, {0x243, 0x246}, {0x248, 0x248}, {0x24a, 0x24a}, {0x24c, 0x24c}, {0x24e, 0x24e},
  {0x370, 0x370}, {0x372, 0x372}, {0x376, 0x376}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x38f},
  {0x391, 0x3a1}, {0x3a3, 0x3ab}, {0x3cf, 0x3cf}, {0x3d2, 0x3d4}, {0x3d8, 0x3d8}, {0x3da, 0x3da}, {0x3dc, 0x3dc}, {0x3de, 0x3de},
  {0x3e0, 0x3e0}, {0x3e2, 0x3e2}, {0x3e4, 0x3e4}, {0x3e6, 0x3e6}, {0x3e8, 0x3e8}, {0x3ea, 0x3ea}, {0x3ec, 0x3ec}, {0x3ee, 0x3ee},
  {0x3f4, 0x3f4}, {0x3f7, 0x3f7}, {0x3f9, 0x3fa}, {0x3fd, 0x42f}, {0x460, 0x460}, {0x462, 0x462}, {0x464, 0x464}, {0x466, 0x466},
  {0x468, 0x468}, {0x46a, 0x46a}, {0x46c, 0x46c}, {0x46e, 0x46e}, {0x470, 0x470}, {0x472, 0x472}, {0x474, 0x474}, {0x476, 0x476},
  {0x478, 0x478}, {0x47a, 0x47a}, {0x47c, 0x47c}, {0x47e, 0x47e}, {0x480, 0x480}, {0x48a, 0x48a}, {0x48c, 0x48c}, {0x48e, 0x48e},
  {0x490, 0x490}, {0x492, 0x492}, {0x494, 0x494}, {0x496, 0x496}, {0x498, 0x498}, {0x49a, 0x49a}, {0x49c, 0x49c}, {0x49e, 0x49e},
  {0x4a0, 0x4a0}, {0x4a2, 0x4a2}, {0x4a4, 0x4a4}, {0x4a6, 0x4a6}, {0x4a8, 0x4a8}, {0x4aa, 0x4aa}, {0x4ac, 0x4ac}, {0x4ae, 0x4ae},
  {0x4b0, 0x4b0}, {0x4b2, 0x4b2}, {0x4b4, 0x4b4}, {0x4b6, 0x4b6}, {0x4b8, 0x4b8}, {0x4ba, 0x4ba}, {0x4bc, 0x4bc}, {0x4be, 0x4be},
  {0x4c0, 0x4c1}, {0x4c3, 0x4c3}, {0x4c5, 0x4c5}, {0x4c7, 0x4c7}, {0x4c9, 0x4c9}, {0x4cb, 0x4cb}, {0x4cd, 0x4cd}, {0x4d0, 0x4d0},
  {0x4d2, 0x4d2}, {0x4d4, 0x4d4}, {0x4d6, 0x4d6}, {0x4d8, 0x4d8}, {0x4da, 0x4da}, {0x4dc, 0x4dc}, {0x4de, 0x4de}, {0x4e0, 0x4e0},
  {0x4e2, 0x4e2}, {0x4e4, 0x4e4}, {0x4e6, 0x4e6}, {0x4e8, 0x4e8}, {0x4ea, 0x4ea}, {0x4ec, 0x4ec}, {0x4ee, 0x4ee}, {0x4f0, 0x4f0},
  {0x4f2, 0x4f2}, {0x4f4, 0x4f4}, {0x4f6, 0x4f6}, {0x4f8, 0x4f8}, {0x4fa, 0x4fa}, {0x4fc, 0x4fc}, {0x4fe, 0x4fe}, {0x500, 0x500},
  {0x502, 0x502}, {0x504, 0x504}, {0x506, 0x506}, {0x508, 0x508}, {0x50a, 0x50a}, {0x50c, 0x50c}, {0x50e, 0x50e}, {0x510, 0x510},
  {0x512, 0x512}, {0x514, 0x514}, {0x516, 0x516}, {0x518, 0x518}, {0x51a, 0x51a}, {0x51c, 0x51c}, {0x51e, 0x51e}, {0x520, 0x520},
  {0x522, 0x522}, {0x524, 0x524}, {0x526, 0x526}, {0x528, 0x528}, {0x52a, 0x52a}, {0x52c, 0x52c}, {0x52e, 0x52e}, {0x531, 0x556},
  {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x13a0, 0x13f5}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1e00, 0x1e00}, {0x1e02, 0x1e02},
  {0x1e04, 0x1e04}, {0x1e06, 0x1e06}, {0x1e08, 0x1e08}, {0x1e0a, 0x1e0a}, {0x1e0c, 0x1e0c}, {0x1e0e, 0x1e0e}, {0x1e10, 0x1e10}, {0x1e12, 0x1e12},
  {0x1e14, 0x1e14}, {0x1e16, 0x1e16}, {0x1e18, 0x1e18}, {0x1e1a, 0x1e1a}, {0x1e1c, 0x1e1c}, {0x1e1e, 0x1e1e}, {0x1e20, 0x1e20}, {0x1e22, 0x1e22},
  {0x1e24, 0x1e24}, {0x1e26, 0x1e26}, {0x1e28, 0x1e28}, {0x1e2a, 0x1e2a}, {0x1e2c, 0x1e2c}, {0x1e2e, 0x1e2e}, {0x1e30, 0x1e30}, {0x1e32, 0x1e32},
  {0x1e34, 0x1e34}, {0x1e36, 0x1e36}, {0x1e38, 0x1e38}, {0x1e3a, 0x1e3a}, {0x1e3c, 0x1e3c}, {0x1e3e, 0x1e3e}, {0x1e40, 0x1e40}, {0x1e42, 0x1e42},
  {0x1e44, 0x1e44}, {0x1e46, 0x1e46}, {0x1e48, 0x1e48}, {0x1e4a, 0x1e4a}, {0x1e4c, 0x1e4c}, {0x1e4e, 0x1e4e}, {0x1e50, 0x1e50}, {0x1e52, 0x1e52},
  {0x1e54, 0x1e54}, {0x1e56, 0x1e56}, {0x1e58, 0x1e58}, {0x1e5a, 0x1e5a}, {0x1e5c, 0x1e5c}, {0x1e5e, 0x1e5e}, {0x1e60, 0x1e60}, {0x1e62, 0x1e62},
  {0x1e64, 0x1e64}, {0x1e66, 0x1e66}, {0x1e68, 0x1e68}, {0x1e6a, 0x1e6a}, {0x1e6c, 0x1e6c}, {0x1e6e, 0x1e6e}, {0x1e70, 0x1e70}, {0x1e72, 0x1e72},
  {0x1e74, 0x1e74}, {0x1e76, 0x1e76}, {0x1e78, 0x1e78}, {0x1e7a, 0x1e7a}, {0x1e7c, 0x1e7c}, {0x1e7e, 0x1e7e}, {0x1e80, 0x1e80}, {0x1e82, 0x1e82},
  {0x1e84, 0x1e84}, {0x1e86, 0x1e86}, {0x1e88, 0x1e88}, {0x1e8a, 0x1e8a}, {0x1e8c, 0x1e8c}, {0x1e8e, 0x1e8e}, {0x1e90, 0x1e90}, {0x1e92, 0x1e92},
  {0x1e94, 0x1e94}, {0x1e9e, 0x1e9e}, {0x1ea0, 0x1ea0}, {0x1ea2, 0x1ea2}, {0x1ea4, 0x1ea4}, {0x1ea6, 0x1ea6}, {0x1ea8, 0x1ea8}, {0x1eaa, 0x1eaa},
  {0x1eac, 0x1eac}, {0x1eae, 0x1eae}, {0x1eb0, 0x1eb0}, {0x1eb2, 0x1eb2}, {0x1eb4, 0x1eb4}, {0x1eb6, 0x1eb6}, {0x1eb8, 0x1eb8}, {0x1eba, 0x1eba},
  {0x1ebc, 0x1ebc}, {0x1ebe, 0x1ebe}, {0x1ec0, 0x1ec0}, {0x1ec2, 0x1ec2}, {0x1ec4, 0x1ec4}, {0x1ec6, 0x1ec6}, {0x1ec8, 0x1ec8}, {0x1eca, 0x1eca},
  {0x1ecc, 0x1ecc}, {0x1ece, 0x1ece}, {0x1ed0, 0x1ed0}, {0x1ed2, 0x1ed2}, {0x1ed4, 0x1ed4}, {0x1ed6, 0x1ed6}, {0x1ed8, 0x1ed8}, {0x1eda, 0x1eda},
  {0x1edc, 0x1edc}, {0x1ede, 0x1ede}, {0x1ee0, 0x1ee0}, {0x1ee2, 0x1ee2}, {0x1ee4, 0x1ee4}, {0x1ee6, 0x1ee6}, {0x1ee8, 0x1ee8}, {0x1eea, 0x1eea},
  {0x1eec, 0x1eec}, {0x1eee, 0x1eee}, {0x1ef0, 0x1ef0}, {0x1ef2, 0x1ef2}, {0x1ef4, 0x1ef4}, {0x1ef6, 0x1ef6}, {0x1ef8, 0x1ef8}, {0x1efa, 0x1efa},
  {0x1efc, 0x1efc}, {0x1efe, 0x1efe}, {0x1f08, 0x1f0f}, {0x1f18, 0x1f1d}, {0x1f28, 0x1f2f}, {0x1f38, 0x1f3f}, {0x1f48, 0x1f4d}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f5f}, {0x1f68, 0x1f6f}, {0x1fb8, 0x1fbb}, {0x1fc8, 0x1fcb}, {0x1fd8, 0x1fdb}, {0x1fe8, 0x1fec},
  {0x1ff8, 0x1ffb}, {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210b, 0x210d}, {0x2110, 0x2112}, {0x2115, 0x2115}, {0x2119, 0x211d}, {0x2124, 0x2124},
  {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x212d}, {0x2130, 0x2133}, {0x213e, 0x213f}, {0x2145, 0x2145}, {0x2183, 0x2183}, {0x2c00, 0x2c2f},
  {0x2c60, 0x2c60}, {0x2c62, 0x2c64}, {0x2c67, 0x2c67}, {0x2c69, 0x2c69}, {0x2c6b, 0x2c6b}, {0x2c6d, 0x2c70}, {0x2c72, 0x2c72}, {0x2c75, 0x2c75},
  {0x2c7e, 0x2c80}, {0x2c82, 0x2c82}, {0x2c84, 0x2c84}, {0x2c86, 0x2c86}, {0x2c88, 0x2c88}, {0x2c8a, 0x2c8a}, {0x2c8c, 0x2c8c}, {0x2c8e, 0x2c8e},
  {0x2c90, 0x2c90}, {0x2c92, 0x2c92}, {0x2c94, 0x2c94}, {0x2c96, 0x2c96}, {0x2c98, 0x2c98}, {0x2c9a, 0x2c9a}, {0x2c9c, 0x2c9c}, {0x2c9e, 0x2c9e},
  {0x2ca0, 0x2ca0}, {0x2ca2, 0x2ca2}, {0x2ca4, 0x2ca4}, {0x2ca6, 0x2ca6}, {0x2ca8, 0x2ca8}, {0x2caa, 0x2caa}, {0x2cac, 0x2cac}, {0x2cae, 0x2cae},
  {0x2cb0, 0x2cb0}, {0x2cb2, 0x2cb2}, {0x2cb4, 0x2cb4}, {0x2cb6, 0x2cb6}, {0x2cb8, 0x2cb8}, {0x2cba, 0x2cba}, {0x2cbc, 0x2cbc}, {0x2cbe, 0x2cbe},
  {0x2cc0, 0x2cc0}, {0x2cc2, 0x2cc2}, {0x2cc4, 0x2cc4}, {0x2cc6, 0x2cc6}, {0x2cc8, 0x2cc8}, {0x2cca, 0x2cca}, {0x2ccc, 0x2ccc}, {0x2cce, 0x2cce},
  {0x2cd0, 0x2cd0}, {0x2cd2, 0x2cd2}, {0x2cd4, 0x2cd4}, {0x2cd6, 0x2cd6}, {0x2cd8, 0x2cd8}, {0x2cda, 0x2cda}, {0x2cdc, 0x2cdc}, {0x2cde, 0x2cde},
  {0x2ce0, 0x2ce0}, {0x2ce2, 0x2ce2}, {0x2ceb, 0x2ceb}, {0x2ced, 0x2ced}, {0x2cf2, 0x2cf2}, {0xa640, 0xa640}, {0xa642, 0xa642}, {0xa644, 0xa644},
  {0xa646, 0xa646}, {0xa648, 0xa648}, {0xa64a, 0xa64a}, {0xa64c, 0xa64c}, {0xa64e, 0xa64e}, {0xa650, 0xa650}, {0xa652, 0xa652}, {0xa654, 0xa654},
  {0xa656, 0xa656}, {0xa658, 0xa658}, {0xa65a, 0xa65a}, {0xa65c, 0xa65c}, {0xa65e, 0xa65e}, {0xa660, 0xa660}, {0xa662, 0xa662}, {0xa664, 0xa664},
  {0xa666, 0xa666}, {0xa668, 0xa668}, {0xa66a, 0xa66a}, {0xa66c, 0xa66c}, {0xa680, 0xa680}, {0xa682, 0xa682}, {0xa684, 0xa684}, {0xa686, 0xa686},
  {0xa688, 0xa688}, {0xa68a, 0xa68a}, {0xa68c, 0xa68c}, {0xa68e, 0xa68e}, {0xa690, 0xa690}, {0xa692, 0xa692}, {0xa694, 0xa694}, {0xa696, 0xa696},
  {0xa698, 0xa698}, {0xa69a, 0xa69a}, {0xa722, 0xa722}, {0xa724, 0xa724}, {0xa726, 0xa726}, {0xa728, 0xa728}, {0xa72a, 0xa72a}, {0xa72c, 0xa72c},
  {0xa72e, 0xa72e}, {0xa732, 0xa732}, {0xa734, 0xa734}, {0xa736, 0xa736}, {0xa738, 0xa738}, {0xa73a, 0xa73a}, {0xa73c, 0xa73c}, {0xa73e, 0xa73e},
  {0xa740, 0xa740}, {0xa742, 0xa742}, {0xa744, 0xa744}, {0xa746, 0xa746}, {0xa748, 0xa748}, {0xa74a, 0xa74a}, {0xa74c, 0xa74c}, {0xa74e, 0xa74e},
  {0xa750, 0xa750}, {0xa752, 0xa752}, {0xa754, 0xa754}, {0xa756, 0xa756}, {0xa758, 0xa758}, {0xa75a, 0xa75a}, {0xa75c, 0xa75c}, {0xa75e, 0xa75e},
  {0xa760, 0xa760}, {0xa762, 0xa762}, {0xa764, 0xa764}, {0xa766, 0xa766}, {0xa768, 0xa768}, {0xa76a, 0xa76a}, {0xa76c, 0xa76c}, {0xa76e, 0xa76e},
  {0xa779, 0xa779}, {0xa77b, 0xa77b}, {0xa77d, 0xa77e}, {0xa780, 0xa780}, {0xa782, 0xa782}, {0xa784, 0xa784}, {0xa786, 0xa786}, {0xa78b, 0xa78b},
  {0xa78d, 0xa78d}, {0xa790, 0xa790}, {0xa792, 0xa792}, {0xa796, 0xa796}, {0xa798, 0xa798}, {0xa79a, 0xa79a}, {0xa79c, 0xa79c}, {0xa79e, 0xa79e},
  {0xa7a0, 0xa7a0}, {0xa7a2, 0xa7a2}, {0xa7a4, 0xa7a4}, {0xa7a6, 0xa7a6}, {0xa7a8, 0xa7a8}, {0xa7aa, 0xa7ae}, {0xa7b0, 0xa7b4}, {0xa7b6, 0xa7b6},
  {0xa7b8, 0xa7b8}, {0xa7ba, 0xa7ba}, {0xa7bc, 0xa7bc}, {0xa7be, 0xa7be}, {0xa7c0, 0xa7c0}, {0xa7c2, 0xa7c2}, {0xa7c4, 0xa7c7}, {0xa7c9, 0xa7c9},
  {0xa7d0, 0xa7d0}, {0xa7d6, 0xa7d6}, {0xa7d8, 0xa7d8}, {0xa7f5, 0xa7f5}, {0xff21, 0xff3a}, {0x10400, 0x10427}, {0x104b0, 0x104d3}, {0x10570, 0x1057a},
  {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 470,
        '"', 611,
        '#', 550,
        '$', 365,
        '%', 585,
        '&', 546,
        '\'', 607,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 469,
        ',', 467,
        '-', 472,
        '.', 501,
        '0', 588,
        ':', 454,
        ';', 512,
        '<', 548,
        '=', 448,
        '>', 544,
        '?', 451,
        '@', 651,
        '[', 479,
        '\\', 2,
        ']', 490,
        '^', 653,
        '`', 818,
        'a', 742,
        'c', 736,
        'd', 762,
        'e', 730,
        'i', 743,
        'l', 701,
        'm', 674,
        'o', 774,
        't', 722,
        'v', 672,
        'w', 726,
        '{', 507,
        '|', 476,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(619);
      if (lookahead == '\r') ADVANCE(1);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        '\n', 619,
        '\r', 1,
        '#', 380,
        'o', 362,
        'u', 353,
        'x', 379,
        ' ', 625,
        '"', 625,
        '\'', 625,
        '\\', 625,
        'b', 625,
        'n', 625,
        'r', 625,
        't', 625,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        '\n', 619,
        '\r', 1,
        'o', 362,
        'u', 353,
        'x', 379,
        ' ', 625,
        '"', 625,
        '\'', 625,
        '\\', 625,
        'b', 625,
        'n', 625,
        'r', 625,
        't', 625,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(608);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(610);
      if (lookahead == '\\') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') ADVANCE(609);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(609);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(608);
      if (lookahead == '\r') ADVANCE(5);
      if (lookahead == '[') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\f') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 470,
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 819,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '>', 356,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 508,
        '|', 475,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 470,
        '#', 549,
        '&', 545,
        '\'', 817,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 218,
        ',', 467,
        '-', 223,
        '.', 210,
        ':', 493,
        ';', 511,
        '<', 547,
        '=', 448,
        '>', 544,
        '?', 451,
        '[', 484,
        '\\', 160,
        ']', 490,
        '`', 818,
        '{', 508,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 8:
      ADVANCE_MAP(
        '!', 470,
        '%', 585,
        '\'', 817,
        '(', 459,
        '+', 468,
        '-', 471,
        '.', 819,
        '[', 485,
        '\\', 160,
        '{', 198,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(8);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 9:
      if (lookahead == '!') ADVANCE(470);
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'l') ADVANCE(701);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '.', 500,
        '0', 588,
        ':', 219,
        ';', 217,
        '=', 448,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 11:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(11);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 12:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(12);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 13:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 14:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(14);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '%', 585,
        '&', 545,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 493,
        ';', 511,
        '=', 448,
        '>', 544,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        '{', 509,
        '|', 474,
        '}', 513,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        ')', 460,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 492,
        ';', 511,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 509,
        '|', 475,
        '~', 450,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 17:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 18:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 19:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 458,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 20:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ':', 224,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(20);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 21:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(21);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 22:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        '0', 588,
        ';', 217,
        '=', 448,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 507,
        '|', 474,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(22);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 23:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '.', 500,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(23);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 24:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        ')', 460,
        '+', 600,
        '-', 601,
        '.', 500,
        '0', 588,
        ':', 499,
        ';', 511,
        '=', 448,
        '>', 356,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'l', 701,
        'm', 680,
        '{', 509,
        '|', 230,
        '}', 513,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(24);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 25:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 701,
        'm', 676,
        'v', 672,
        '{', 507,
        '}', 513,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(25);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 26:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'd', 762,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(26);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 27:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'd', 764,
        'l', 701,
        'm', 680,
        't', 763,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(27);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 28:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'd', 773,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(28);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 29:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 751,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 30:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'l', 701,
        'm', 680,
        't', 723,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(30);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 31:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'l', 701,
        'm', 680,
        'w', 726,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(31);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 32:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 742,
        'i', 748,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(32);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 33:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '\'', 606,
        '(', 459,
        ')', 460,
        '.', 819,
        '0', 588,
        ':', 491,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 509,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 34:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '\'', 606,
        '(', 459,
        ')', 460,
        '.', 819,
        '0', 588,
        ':', 453,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 509,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(33);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 35:
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '$', 365,
        '\'', 606,
        '(', 459,
        '.', 819,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'l', 701,
        'm', 680,
        '{', 509,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(35);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 36:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(36);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 37:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(37);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 38:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(38);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 39:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(39);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 40:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(40);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 41:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(41);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 42:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 43:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 44:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 45:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 46:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 47:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 48:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(42);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 49:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(43);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 50:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(44);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 51:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(45);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 52:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(46);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 53:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(47);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 54:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(54);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 55:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(55);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 56:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(56);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 57:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 655,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(57);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 58:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(58);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 59:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(59);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 60:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(60);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 61:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(61);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 62:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 730,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(62);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 63:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(63);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 64:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 731,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 65:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 66:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 67:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 68:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 69:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 70:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 71:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 72:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 731,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 73:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 74:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 75:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 751,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 76:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 77:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 78:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'e', 733,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 79:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 80:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 731,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(64);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 81:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 686,
        'm', 710,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(65);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 82:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(66);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 83:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(67);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 84:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(68);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 85:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(69);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 86:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(70);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 87:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(71);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 88:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 731,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(72);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 89:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(73);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 90:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(74);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 91:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 751,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(75);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 92:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 93:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 94:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'e', 733,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 95:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 455,
        ';', 511,
        '<', 655,
        '?', 452,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'i', 748,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 96:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'e', 806,
        'l', 685,
        'm', 678,
        'o', 778,
        't', 807,
        '{', 508,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(96);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 97:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'e', 806,
        'l', 685,
        'm', 678,
        'o', 778,
        '{', 508,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(97);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 98:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'l', 685,
        'm', 678,
        'o', 778,
        '{', 508,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(98);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 99:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 375,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 757,
        'l', 684,
        'm', 678,
        'o', 778,
        '{', 509,
        '|', 231,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(99);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 100:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 731,
        'i', 747,
        'l', 684,
        'm', 675,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '}', 513,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(100);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 101:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '/', 647,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(101);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 102:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '/', 647,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(102);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 103:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 787,
        'c', 766,
        'e', 751,
        'i', 747,
        'l', 684,
        'm', 675,
        'o', 778,
        'v', 672,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(103);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 104:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(104);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 105:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 762,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(105);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 106:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(106);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 107:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 764,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 763,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(107);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 108:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(108);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 109:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'd', 773,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(109);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 110:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 731,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 111:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(111);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 112:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(112);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 113:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 477,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(113);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 114:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'e', 751,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(114);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 115:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        't', 723,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(115);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 116:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        'w', 726,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(116);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 117:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 486,
        '\\', 160,
        '`', 818,
        'a', 787,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 477,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(117);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 118:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'e', 733,
        'i', 748,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(118);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 119:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 741,
        'i', 748,
        'l', 684,
        'm', 679,
        'o', 778,
        '{', 509,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(119);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 120:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 121:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 122:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 123:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 456,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 124:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(124);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 125:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'e', 733,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(125);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 126:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 478,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(126);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 127:
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '0', 588,
        ':', 495,
        ';', 511,
        '<', 656,
        '=', 659,
        '>', 657,
        '?', 452,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'l', 686,
        'm', 771,
        'o', 778,
        '{', 509,
        '|', 477,
        '}', 513,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(127);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 128:
      ADVANCE_MAP(
        '!', 634,
        '#', 375,
        '&', 662,
        ')', 460,
        '*', 644,
        '+', 602,
        '-', 603,
        '.', 500,
        ':', 221,
        '<', 656,
        '[', 226,
        'a', 306,
        'l', 235,
        'm', 240,
        'o', 326,
        '|', 354,
        '%', 647,
        '/', 647,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(128);
      END_STATE();
    case 129:
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        ':', 495,
        ';', 511,
        '<', 656,
        '>', 657,
        '[', 200,
        ']', 490,
        '`', 818,
        'a', 333,
        'c', 317,
        'd', 311,
        'e', 282,
        'i', 297,
        'l', 236,
        'm', 261,
        'o', 326,
        't', 273,
        'v', 232,
        'w', 276,
        '{', 201,
        '|', 477,
        '}', 513,
        '$', 659,
        '=', 659,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(129);
      END_STATE();
    case 130:
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        '.', 500,
        ':', 495,
        ';', 511,
        '<', 656,
        '>', 657,
        '[', 200,
        ']', 490,
        'a', 333,
        'c', 317,
        'd', 311,
        'e', 282,
        'i', 297,
        'l', 236,
        'm', 261,
        'o', 326,
        't', 273,
        'v', 232,
        'w', 276,
        '{', 201,
        '|', 478,
        '}', 513,
        '$', 659,
        '=', 659,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(130);
      END_STATE();
    case 131:
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 215,
        ';', 511,
        '<', 656,
        '[', 227,
        'a', 292,
        'd', 312,
        'e', 281,
        'i', 299,
        'l', 236,
        'm', 319,
        'o', 326,
        't', 313,
        '|', 478,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(131);
      END_STATE();
    case 132:
      ADVANCE_MAP(
        '!', 222,
        '&', 662,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 604,
        ':', 495,
        ';', 511,
        '<', 656,
        '>', 657,
        '[', 197,
        ']', 490,
        'a', 292,
        'd', 311,
        'e', 282,
        'i', 299,
        'l', 236,
        'm', 319,
        'o', 326,
        't', 273,
        'w', 276,
        '{', 198,
        '|', 477,
        '}', 513,
        '$', 659,
        '=', 659,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(132);
      END_STATE();
    case 133:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        ')', 460,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        'e', 806,
        '{', 508,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(133);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 134:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 806,
        'm', 767,
        'o', 775,
        '{', 508,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(134);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 135:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'o', 775,
        '{', 508,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(135);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 136:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 506,
        '|', 474,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(136);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 137:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ')', 460,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 486,
        '\\', 160,
        ']', 490,
        '`', 818,
        '{', 508,
        '|', 474,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(137);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 138:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(138);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 139:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(139);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 140:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(140);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 141:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 508,
        '|', 475,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 142:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '+', 599,
        ',', 467,
        '-', 605,
        '.', 210,
        '0', 588,
        ':', 457,
        ';', 511,
        '=', 448,
        '?', 451,
        '[', 486,
        '\\', 160,
        '`', 818,
        '{', 508,
        '|', 475,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(141);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 143:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(143);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 144:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(144);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 145:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        '=', 448,
        '?', 451,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 742,
        'i', 748,
        '{', 508,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(145);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 146:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 214,
        ';', 511,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 806,
        '{', 508,
        '|', 475,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(146);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 147:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(147);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 148:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(148);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 149:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        '=', 448,
        '?', 451,
        '[', 487,
        '\\', 160,
        '`', 818,
        'a', 742,
        'i', 748,
        '{', 508,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(149);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 150:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '.', 819,
        '0', 588,
        '[', 486,
        '\\', 160,
        '`', 818,
        'e', 806,
        '{', 508,
        '|', 474,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(150);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 151:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 152:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 153:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 154:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 155:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(151);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 156:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(152);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 157:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(153);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 158:
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        '`', 818,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(154);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 159:
      if (lookahead == '"') ADVANCE(611);
      if (lookahead == '%') ADVANCE(614);
      if (lookahead == '@') ADVANCE(615);
      if (lookahead == '[') ADVANCE(616);
      if (lookahead == '\\') ADVANCE(3);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(612);
      if (lookahead != 0) ADVANCE(617);
      END_STATE();
    case 160:
      if (lookahead == '#') ADVANCE(380);
      END_STATE();
    case 161:
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        '*', 504,
        '-', 223,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(161);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 162:
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(162);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 163:
      ADVANCE_MAP(
        '#', 815,
        '*', 504,
        '-', 223,
        ':', 219,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(163);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 164:
      ADVANCE_MAP(
        '#', 551,
        '(', 459,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 493,
        ';', 511,
        '=', 448,
        '[', 197,
        '\\', 160,
        ']', 490,
        'a', 758,
        'i', 748,
        'w', 726,
        '{', 198,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(164);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 165:
      ADVANCE_MAP(
        '#', 551,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 497,
        ';', 511,
        '=', 448,
        '[', 197,
        'a', 304,
        'c', 317,
        'i', 299,
        'w', 276,
        '{', 198,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(165);
      END_STATE();
    case 166:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 501,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 226,
        '\\', 160,
        ']', 490,
        'w', 726,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(166);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 167:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        'w', 726,
        '{', 201,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(167);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 168:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 227,
        '\\', 160,
        ']', 490,
        'i', 748,
        'w', 726,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(168);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 169:
      ADVANCE_MAP(
        '#', 551,
        ')', 460,
        ',', 467,
        '.', 500,
        ':', 492,
        ';', 511,
        '[', 226,
        '\\', 160,
        ']', 490,
        'w', 726,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(169);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 170:
      ADVANCE_MAP(
        '#', 549,
        '%', 585,
        '\'', 817,
        '(', 459,
        ')', 460,
        '-', 223,
        '.', 819,
        ':', 214,
        '<', 547,
        '?', 451,
        '[', 484,
        '\\', 160,
        'm', 767,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(170);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 171:
      ADVANCE_MAP(
        '#', 549,
        '%', 585,
        '\'', 817,
        '(', 459,
        '<', 547,
        '?', 451,
        '[', 484,
        '\\', 160,
        't', 807,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(171);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 172:
      ADVANCE_MAP(
        '#', 549,
        '&', 545,
        '\'', 817,
        ')', 460,
        '*', 504,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 224,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 226,
        '\\', 160,
        ']', 490,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(172);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 173:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '<', 547,
        '=', 448,
        '?', 451,
        '[', 481,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 193,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(173);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 174:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(174);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 175:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(175);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 176:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(176);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 177:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 488,
        '\\', 160,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(177);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 178:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '(', 459,
        '<', 547,
        '?', 451,
        '[', 484,
        '\\', 160,
        'l', 716,
        '{', 198,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(178);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 179:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 511,
        '=', 448,
        '[', 227,
        '\\', 160,
        'i', 748,
        '|', 475,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(179);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 180:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(180);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 181:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'c', 737,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(181);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 182:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        '[', 200,
        '\\', 160,
        'c', 766,
        'e', 751,
        'i', 754,
        'm', 711,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(182);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 183:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 224,
        '=', 448,
        '[', 200,
        '\\', 160,
        'c', 766,
        'e', 751,
        'i', 747,
        'm', 711,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(183);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 184:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(184);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 185:
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(185);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 186:
      ADVANCE_MAP(
        '#', 549,
        ')', 460,
        '*', 504,
        '-', 223,
        ':', 499,
        '[', 226,
        '\\', 160,
        'a', 758,
        'c', 766,
        'w', 726,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(186);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 187:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(187);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 188:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(188);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 189:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(189);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 190:
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 227,
        '\\', 160,
        'a', 758,
        'c', 766,
        'i', 748,
        'w', 726,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(190);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 191:
      if (lookahead == '%') ADVANCE(585);
      if (lookahead == '[') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 't') ADVANCE(807);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(191);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 192:
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 193:
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 194:
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 195:
      if (lookahead == '%') ADVANCE(584);
      END_STATE();
    case 196:
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 197:
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 198:
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 199:
      if (lookahead == '%') ADVANCE(621);
      if (lookahead == '@') ADVANCE(622);
      if (lookahead == '[') ADVANCE(623);
      if (lookahead == '|') ADVANCE(620);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(612);
      if (lookahead != 0) ADVANCE(624);
      END_STATE();
    case 200:
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 201:
      if (lookahead == '%') ADVANCE(195);
      END_STATE();
    case 202:
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == ')') ADVANCE(460);
      if (lookahead == '[') ADVANCE(196);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'v') ADVANCE(672);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(202);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 203:
      ADVANCE_MAP(
        '(', 459,
        '.', 819,
        ':', 224,
        ';', 511,
        '=', 448,
        '>', 544,
        '[', 200,
        'c', 317,
        'e', 300,
        'i', 297,
        'm', 259,
        'v', 232,
        '{', 201,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(203);
      END_STATE();
    case 204:
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == '.') ADVANCE(210);
      if (lookahead == '[') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '{') ADVANCE(505);
      if (lookahead == '|') ADVANCE(474);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(204);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 205:
      if (lookahead == '(') ADVANCE(459);
      if (lookahead == '[') ADVANCE(489);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == '{') ADVANCE(505);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(205);
      if (set_contains(sym_indexing_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 206:
      if (lookahead == '*') ADVANCE(213);
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(629);
      END_STATE();
    case 207:
      if (lookahead == '*') ADVANCE(361);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(360);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 208:
      ADVANCE_MAP(
        ',', 467,
        '.', 500,
        ':', 214,
        ';', 511,
        '[', 227,
        '\\', 160,
        ']', 490,
        'i', 748,
        '|', 474,
        '}', 513,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(208);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 209:
      if (lookahead == '-') ADVANCE(555);
      END_STATE();
    case 210:
      if (lookahead == '.') ADVANCE(465);
      END_STATE();
    case 211:
      if (lookahead == '.') ADVANCE(819);
      if (lookahead == '[') ADVANCE(226);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(582);
      END_STATE();
    case 212:
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 213:
      if (lookahead == '.') ADVANCE(207);
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(629);
      END_STATE();
    case 214:
      if (lookahead == ':') ADVANCE(552);
      END_STATE();
    case 215:
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 216:
      ADVANCE_MAP(
        ':', 499,
        ';', 511,
        '=', 448,
        '>', 356,
        '[', 200,
        'c', 317,
        'e', 300,
        'i', 297,
        'm', 259,
        'v', 232,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(216);
      END_STATE();
    case 217:
      if (lookahead == ';') ADVANCE(439);
      END_STATE();
    case 218:
      if (lookahead == '=') ADVANCE(466);
      END_STATE();
    case 219:
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 220:
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 221:
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 222:
      if (lookahead == '=') ADVANCE(654);
      END_STATE();
    case 223:
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 224:
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 225:
      if (lookahead == '>') ADVANCE(631);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      END_STATE();
    case 226:
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 227:
      if (lookahead == '@') ADVANCE(574);
      END_STATE();
    case 228:
      if (lookahead == '[') ADVANCE(226);
      if (lookahead == '\\') ADVANCE(310);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(228);
      END_STATE();
    case 229:
      if (lookahead == '[') ADVANCE(485);
      if (lookahead == '\\') ADVANCE(160);
      if (lookahead == 'l') ADVANCE(716);
      if (lookahead == '{') ADVANCE(198);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(229);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 230:
      if (lookahead == ']') ADVANCE(554);
      END_STATE();
    case 231:
      if (lookahead == ']') ADVANCE(554);
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(284);
      END_STATE();
    case 233:
      if (lookahead == 'a') ADVANCE(336);
      END_STATE();
    case 234:
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(338);
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 's') ADVANCE(358);
      if (lookahead == 'x') ADVANCE(316);
      END_STATE();
    case 235:
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead == 'e') ADVANCE(345);
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 's') ADVANCE(358);
      if (lookahead == 'x') ADVANCE(316);
      END_STATE();
    case 236:
      if (lookahead == 'a') ADVANCE(303);
      if (lookahead == 'o') ADVANCE(328);
      if (lookahead == 's') ADVANCE(358);
      if (lookahead == 'x') ADVANCE(316);
      END_STATE();
    case 237:
      if (lookahead == 'a') ADVANCE(279);
      END_STATE();
    case 238:
      if (lookahead == 'a') ADVANCE(289);
      END_STATE();
    case 239:
      if (lookahead == 'a') ADVANCE(286);
      END_STATE();
    case 240:
      if (lookahead == 'a') ADVANCE(342);
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 241:
      if (lookahead == 'c') ADVANCE(285);
      if (lookahead == 'h') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(343);
      END_STATE();
    case 242:
      if (lookahead == 'c') ADVANCE(263);
      if (lookahead == 't') ADVANCE(264);
      END_STATE();
    case 243:
      if (lookahead == 'c') ADVANCE(271);
      END_STATE();
    case 244:
      if (lookahead == 'd') ADVANCE(444);
      END_STATE();
    case 245:
      if (lookahead == 'd') ADVANCE(528);
      END_STATE();
    case 246:
      if (lookahead == 'd') ADVANCE(643);
      END_STATE();
    case 247:
      if (lookahead == 'd') ADVANCE(646);
      END_STATE();
    case 248:
      if (lookahead == 'd') ADVANCE(534);
      END_STATE();
    case 249:
      if (lookahead == 'd') ADVANCE(443);
      END_STATE();
    case 250:
      if (lookahead == 'd') ADVANCE(370);
      END_STATE();
    case 251:
      if (lookahead == 'd') ADVANCE(349);
      END_STATE();
    case 252:
      if (lookahead == 'd') ADVANCE(257);
      END_STATE();
    case 253:
      if (lookahead == 'e') ADVANCE(338);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(559);
      END_STATE();
    case 255:
      if (lookahead == 'e') ADVANCE(463);
      END_STATE();
    case 256:
      if (lookahead == 'e') ADVANCE(518);
      END_STATE();
    case 257:
      if (lookahead == 'e') ADVANCE(522);
      END_STATE();
    case 258:
      if (lookahead == 'e') ADVANCE(563);
      END_STATE();
    case 259:
      if (lookahead == 'e') ADVANCE(339);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 261:
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 262:
      if (lookahead == 'e') ADVANCE(339);
      if (lookahead == 'o') ADVANCE(251);
      END_STATE();
    case 263:
      if (lookahead == 'e') ADVANCE(324);
      END_STATE();
    case 264:
      if (lookahead == 'e') ADVANCE(331);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(332);
      END_STATE();
    case 266:
      if (lookahead == 'e') ADVANCE(294);
      END_STATE();
    case 267:
      if (lookahead == 'e') ADVANCE(295);
      END_STATE();
    case 268:
      if (lookahead == 'e') ADVANCE(329);
      END_STATE();
    case 269:
      if (lookahead == 'h') ADVANCE(530);
      END_STATE();
    case 270:
      if (lookahead == 'h') ADVANCE(320);
      END_STATE();
    case 271:
      if (lookahead == 'h') ADVANCE(372);
      END_STATE();
    case 272:
      if (lookahead == 'h') ADVANCE(265);
      if (lookahead == 'i') ADVANCE(343);
      END_STATE();
    case 273:
      if (lookahead == 'h') ADVANCE(267);
      END_STATE();
    case 274:
      if (lookahead == 'h') ADVANCE(267);
      if (lookahead == 'y') ADVANCE(325);
      END_STATE();
    case 275:
      if (lookahead == 'i') ADVANCE(352);
      END_STATE();
    case 276:
      if (lookahead == 'i') ADVANCE(344);
      END_STATE();
    case 277:
      if (lookahead == 'i') ADVANCE(321);
      END_STATE();
    case 278:
      if (lookahead == 'i') ADVANCE(340);
      END_STATE();
    case 279:
      if (lookahead == 'i') ADVANCE(305);
      END_STATE();
    case 280:
      if (lookahead == 'i') ADVANCE(238);
      END_STATE();
    case 281:
      if (lookahead == 'l') ADVANCE(335);
      END_STATE();
    case 282:
      if (lookahead == 'l') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 283:
      if (lookahead == 'l') ADVANCE(335);
      if (lookahead == 'n') ADVANCE(245);
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 284:
      if (lookahead == 'l') ADVANCE(526);
      END_STATE();
    case 285:
      if (lookahead == 'l') ADVANCE(350);
      END_STATE();
    case 286:
      if (lookahead == 'l') ADVANCE(461);
      END_STATE();
    case 287:
      if (lookahead == 'l') ADVANCE(233);
      END_STATE();
    case 288:
      if (lookahead == 'l') ADVANCE(233);
      if (lookahead == 'o') ADVANCE(302);
      END_STATE();
    case 289:
      if (lookahead == 'l') ADVANCE(275);
      END_STATE();
    case 290:
      if (lookahead == 'l') ADVANCE(256);
      END_STATE();
    case 291:
      if (lookahead == 'n') ADVANCE(631);
      END_STATE();
    case 292:
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 293:
      if (lookahead == 'n') ADVANCE(241);
      END_STATE();
    case 294:
      if (lookahead == 'n') ADVANCE(520);
      END_STATE();
    case 295:
      if (lookahead == 'n') ADVANCE(557);
      END_STATE();
    case 296:
      if (lookahead == 'n') ADVANCE(516);
      END_STATE();
    case 297:
      if (lookahead == 'n') ADVANCE(272);
      END_STATE();
    case 298:
      if (lookahead == 'n') ADVANCE(538);
      END_STATE();
    case 299:
      if (lookahead == 'n') ADVANCE(536);
      END_STATE();
    case 300:
      if (lookahead == 'n') ADVANCE(245);
      END_STATE();
    case 301:
      if (lookahead == 'n') ADVANCE(245);
      if (lookahead == 'x') ADVANCE(242);
      END_STATE();
    case 302:
      if (lookahead == 'n') ADVANCE(337);
      END_STATE();
    case 303:
      if (lookahead == 'n') ADVANCE(246);
      END_STATE();
    case 304:
      if (lookahead == 'n') ADVANCE(249);
      END_STATE();
    case 305:
      if (lookahead == 'n') ADVANCE(341);
      END_STATE();
    case 306:
      if (lookahead == 'n') ADVANCE(250);
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 307:
      if (lookahead == 'n') ADVANCE(348);
      END_STATE();
    case 308:
      if (lookahead == 'n') ADVANCE(258);
      if (lookahead == 'w') ADVANCE(307);
      END_STATE();
    case 309:
      if (lookahead == 'n') ADVANCE(239);
      END_STATE();
    case 310:
      ADVANCE_MAP(
        'o', 362,
        'x', 379,
        ' ', 625,
        '"', 625,
        '\'', 625,
        '\\', 625,
        'b', 625,
        'n', 625,
        'r', 625,
        't', 625,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(369);
      END_STATE();
    case 311:
      if (lookahead == 'o') ADVANCE(561);
      END_STATE();
    case 312:
      if (lookahead == 'o') ADVANCE(308);
      END_STATE();
    case 313:
      if (lookahead == 'o') ADVANCE(565);
      END_STATE();
    case 314:
      if (lookahead == 'o') ADVANCE(565);
      if (lookahead == 'y') ADVANCE(325);
      END_STATE();
    case 315:
      if (lookahead == 'o') ADVANCE(567);
      END_STATE();
    case 316:
      if (lookahead == 'o') ADVANCE(328);
      END_STATE();
    case 317:
      if (lookahead == 'o') ADVANCE(302);
      END_STATE();
    case 318:
      if (lookahead == 'o') ADVANCE(247);
      END_STATE();
    case 319:
      if (lookahead == 'o') ADVANCE(246);
      END_STATE();
    case 320:
      if (lookahead == 'o') ADVANCE(248);
      END_STATE();
    case 321:
      if (lookahead == 'o') ADVANCE(296);
      END_STATE();
    case 322:
      if (lookahead == 'p') ADVANCE(266);
      END_STATE();
    case 323:
      if (lookahead == 'p') ADVANCE(266);
      if (lookahead == 'r') ADVANCE(664);
      END_STATE();
    case 324:
      if (lookahead == 'p') ADVANCE(346);
      END_STATE();
    case 325:
      if (lookahead == 'p') ADVANCE(255);
      END_STATE();
    case 326:
      if (lookahead == 'r') ADVANCE(664);
      END_STATE();
    case 327:
      if (lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 328:
      if (lookahead == 'r') ADVANCE(643);
      END_STATE();
    case 329:
      if (lookahead == 'r') ADVANCE(540);
      END_STATE();
    case 330:
      if (lookahead == 'r') ADVANCE(237);
      END_STATE();
    case 331:
      if (lookahead == 'r') ADVANCE(309);
      END_STATE();
    case 332:
      if (lookahead == 'r') ADVANCE(278);
      END_STATE();
    case 333:
      if (lookahead == 's') ADVANCE(327);
      END_STATE();
    case 334:
      if (lookahead == 's') ADVANCE(524);
      END_STATE();
    case 335:
      if (lookahead == 's') ADVANCE(254);
      END_STATE();
    case 336:
      if (lookahead == 's') ADVANCE(334);
      END_STATE();
    case 337:
      if (lookahead == 's') ADVANCE(347);
      END_STATE();
    case 338:
      if (lookahead == 't') ADVANCE(440);
      END_STATE();
    case 339:
      if (lookahead == 't') ADVANCE(270);
      END_STATE();
    case 340:
      if (lookahead == 't') ADVANCE(532);
      END_STATE();
    case 341:
      if (lookahead == 't') ADVANCE(514);
      END_STATE();
    case 342:
      if (lookahead == 't') ADVANCE(243);
      END_STATE();
    case 343:
      if (lookahead == 't') ADVANCE(280);
      END_STATE();
    case 344:
      if (lookahead == 't') ADVANCE(269);
      END_STATE();
    case 345:
      if (lookahead == 't') ADVANCE(371);
      END_STATE();
    case 346:
      if (lookahead == 't') ADVANCE(277);
      END_STATE();
    case 347:
      if (lookahead == 't') ADVANCE(330);
      END_STATE();
    case 348:
      if (lookahead == 't') ADVANCE(315);
      END_STATE();
    case 349:
      if (lookahead == 'u') ADVANCE(290);
      END_STATE();
    case 350:
      if (lookahead == 'u') ADVANCE(252);
      END_STATE();
    case 351:
      if (lookahead == 'y') ADVANCE(325);
      END_STATE();
    case 352:
      if (lookahead == 'z') ADVANCE(268);
      END_STATE();
    case 353:
      if (lookahead == '{') ADVANCE(377);
      END_STATE();
    case 354:
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 355:
      if (lookahead == '}') ADVANCE(618);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(355);
      END_STATE();
    case 356:
      if (lookahead == '}') ADVANCE(570);
      END_STATE();
    case 357:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      END_STATE();
    case 358:
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(640);
      END_STATE();
    case 359:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(594);
      END_STATE();
    case 360:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(360);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 361:
      if (lookahead == 'L' ||
          lookahead == 'l' ||
          lookahead == 'n') ADVANCE(630);
      if (set_contains(sym_conversion_specification_character_set_6, 15, lookahead)) ADVANCE(629);
      END_STATE();
    case 362:
      if (('0' <= lookahead && lookahead <= '3')) ADVANCE(364);
      END_STATE();
    case 363:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(628);
      END_STATE();
    case 364:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(363);
      END_STATE();
    case 365:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(571);
      END_STATE();
    case 366:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      END_STATE();
    case 367:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      END_STATE();
    case 368:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(626);
      END_STATE();
    case 369:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(368);
      END_STATE();
    case 370:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 371:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 372:
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 373:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 374:
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 375:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 376:
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 377:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(355);
      END_STATE();
    case 378:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(627);
      END_STATE();
    case 379:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(378);
      END_STATE();
    case 380:
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 381:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 470,
        '"', 611,
        '#', 550,
        '$', 365,
        '%', 585,
        '&', 546,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 469,
        ',', 467,
        '-', 472,
        '.', 501,
        '0', 588,
        ':', 493,
        ';', 512,
        '<', 548,
        '=', 448,
        '>', 544,
        '?', 451,
        '@', 651,
        '[', 480,
        '\\', 2,
        ']', 490,
        '^', 653,
        '`', 818,
        'a', 742,
        'c', 736,
        'd', 762,
        'e', 730,
        'i', 743,
        'l', 701,
        'm', 674,
        'o', 774,
        't', 722,
        'v', 672,
        'w', 726,
        '{', 507,
        '|', 476,
        '}', 513,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(381);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 382:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 816,
        '$', 365,
        '%', 585,
        '&', 545,
        '\'', 606,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 600,
        ',', 467,
        '-', 601,
        '.', 819,
        '0', 588,
        ':', 493,
        ';', 217,
        '<', 209,
        '=', 448,
        '>', 544,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '|', 474,
        '}', 513,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(382);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 383:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(383);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 384:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '%', 585,
        '\'', 606,
        '(', 459,
        '0', 588,
        ';', 217,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 677,
        'o', 775,
        't', 807,
        '{', 507,
        '+', 600,
        '-', 600,
        '?', 376,
        '~', 376,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(384);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 385:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '+', 218,
        '0', 588,
        ':', 453,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 386:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 815,
        '$', 365,
        '\'', 606,
        '(', 459,
        '+', 218,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(386);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 387:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 633,
        '"', 611,
        '#', 551,
        '$', 365,
        '\'', 606,
        '(', 459,
        '.', 500,
        '0', 588,
        ';', 217,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 507,
        '~', 450,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(387);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 388:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 210,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(388);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 389:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(389);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 390:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(390);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 391:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(391);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 392:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(392);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 393:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '%', 586,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '/', 647,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 678,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '?', 376,
        '~', 376,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(393);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 394:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 395:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 396:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 397:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 398:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 399:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(399);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 400:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(394);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 401:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(395);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 402:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(396);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 403:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(397);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 404:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(398);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 405:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 815,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '0', 588,
        ':', 455,
        ';', 512,
        '<', 656,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(399);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 406:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(406);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 407:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(407);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 408:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 743,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(408);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 409:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 741,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(409);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 410:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(410);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 411:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 634,
        '"', 611,
        '#', 551,
        '$', 658,
        '&', 662,
        '\'', 606,
        '(', 459,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        '0', 588,
        ':', 215,
        ';', 512,
        '<', 655,
        '?', 452,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 787,
        'c', 737,
        'e', 732,
        'i', 752,
        'l', 684,
        'm', 770,
        'o', 774,
        't', 807,
        '{', 507,
        '|', 478,
        '~', 450,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(411);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 412:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '"', 611,
        '#', 815,
        '&', 662,
        '\'', 607,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 495,
        ';', 512,
        '<', 656,
        '[', 482,
        ']', 490,
        'a', 292,
        'c', 288,
        'd', 311,
        'e', 283,
        'i', 293,
        'l', 234,
        'm', 260,
        'o', 323,
        't', 274,
        'v', 232,
        'w', 276,
        '{', 506,
        '|', 478,
        '}', 513,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      END_STATE();
    case 413:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '"', 611,
        '#', 815,
        '&', 662,
        '(', 459,
        ')', 460,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 495,
        ';', 512,
        '<', 656,
        '[', 482,
        ']', 490,
        'a', 292,
        'c', 288,
        'd', 311,
        'e', 283,
        'i', 293,
        'l', 234,
        'm', 260,
        'o', 323,
        't', 274,
        'v', 232,
        'w', 276,
        '{', 506,
        '|', 478,
        '}', 513,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(413);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      END_STATE();
    case 414:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '#', 815,
        '&', 662,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        ':', 215,
        ';', 512,
        '<', 656,
        '[', 200,
        ']', 490,
        'a', 292,
        'c', 287,
        'd', 312,
        'e', 283,
        'i', 298,
        'l', 234,
        'm', 318,
        'o', 323,
        't', 314,
        'v', 232,
        '{', 201,
        '|', 478,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(414);
      END_STATE();
    case 415:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '!', 222,
        '#', 551,
        '&', 662,
        '*', 644,
        '+', 602,
        ',', 467,
        '-', 603,
        '.', 500,
        ':', 494,
        ';', 512,
        '<', 656,
        '[', 200,
        ']', 490,
        'a', 292,
        'c', 287,
        'd', 312,
        'e', 283,
        'i', 298,
        'l', 234,
        'm', 318,
        'o', 323,
        't', 314,
        'v', 232,
        '{', 201,
        '|', 478,
        '%', 647,
        '/', 647,
        '@', 653,
        '^', 653,
        '$', 659,
        '=', 659,
        '>', 659,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(415);
      END_STATE();
    case 416:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 815,
        '\'', 606,
        '(', 459,
        ')', 460,
        ',', 467,
        '0', 588,
        ':', 492,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 510,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(416);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 417:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 815,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 510,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(417);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 418:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '*', 504,
        '+', 599,
        '-', 605,
        '.', 500,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(418);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 419:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(419);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 420:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 500,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(420);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 421:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 743,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(421);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 422:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        ',', 467,
        '.', 210,
        '0', 588,
        ':', 496,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 742,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '|', 474,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(422);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 423:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 491,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 424:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '"', 611,
        '#', 549,
        '\'', 606,
        '(', 459,
        '0', 588,
        ':', 453,
        ';', 217,
        '=', 448,
        '?', 451,
        '[', 483,
        '\\', 160,
        ']', 490,
        '`', 818,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 506,
        '~', 449,
        '+', 599,
        '-', 599,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(423);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(589);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 425:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '%', 585,
        '(', 459,
        ')', 460,
        '*', 504,
        '+', 218,
        '-', 223,
        '.', 500,
        ':', 498,
        ';', 217,
        '=', 448,
        '[', 192,
        ']', 490,
        'a', 304,
        'c', 288,
        'e', 301,
        'i', 293,
        'l', 253,
        'm', 262,
        'o', 322,
        't', 351,
        'v', 232,
        'w', 276,
        '{', 193,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(425);
      END_STATE();
    case 426:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '&', 545,
        ')', 460,
        '*', 504,
        ',', 467,
        '-', 223,
        ':', 220,
        ';', 217,
        '=', 448,
        '>', 544,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 749,
        'l', 701,
        'm', 709,
        'o', 775,
        't', 807,
        'v', 672,
        'w', 726,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(426);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 427:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        ')', 460,
        ',', 467,
        '-', 223,
        '.', 500,
        ':', 492,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(427);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 428:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        '*', 504,
        '-', 223,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(428);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 429:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '(', 459,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 488,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(429);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 430:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        ')', 460,
        ':', 491,
        ';', 217,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 750,
        'i', 749,
        'l', 701,
        'm', 709,
        'o', 775,
        't', 807,
        'v', 672,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(430);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 431:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 815,
        '*', 504,
        '-', 223,
        ':', 219,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(431);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 432:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ':', 491,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(432);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 433:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
        '|', 474,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(433);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 434:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '\'', 817,
        '*', 504,
        '-', 223,
        '.', 500,
        ';', 217,
        '[', 200,
        '\\', 160,
        ']', 490,
        'c', 737,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(434);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 435:
      if (eof) ADVANCE(436);
      ADVANCE_MAP(
        '#', 549,
        '*', 504,
        '-', 223,
        ':', 497,
        ';', 217,
        '=', 448,
        '[', 200,
        '\\', 160,
        ']', 490,
        'a', 758,
        'c', 736,
        'e', 805,
        'i', 752,
        'l', 701,
        'm', 767,
        'o', 775,
        't', 807,
        'w', 726,
        '{', 201,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(435);
      if (set_contains(sym__uppercase_identifier_character_set_1, 611, lookahead)) ADVANCE(814);
      if (set_contains(sym__lowercase_identifier_character_set_3, 624, lookahead)) ADVANCE(813);
      END_STATE();
    case 436:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 437:
      ACCEPT_TOKEN(sym_shebang);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(437);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(438);
      END_STATE();
    case 438:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(438);
      END_STATE();
    case 439:
      ACCEPT_TOKEN(anon_sym_SEMI_SEMI);
      END_STATE();
    case 440:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 441:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 442:
      ACCEPT_TOKEN(anon_sym_let);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 443:
      ACCEPT_TOKEN(anon_sym_and);
      END_STATE();
    case 444:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 445:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 446:
      ACCEPT_TOKEN(anon_sym_and);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 447:
      ACCEPT_TOKEN(anon_sym_COLON_GT);
      END_STATE();
    case 448:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 449:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 450:
      ACCEPT_TOKEN(anon_sym_TILDE);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 451:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 452:
      ACCEPT_TOKEN(anon_sym_QMARK);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 453:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 454:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 455:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 456:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 457:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 458:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 459:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 460:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 461:
      ACCEPT_TOKEN(anon_sym_external);
      END_STATE();
    case 462:
      ACCEPT_TOKEN(anon_sym_external);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 463:
      ACCEPT_TOKEN(anon_sym_type);
      END_STATE();
    case 464:
      ACCEPT_TOKEN(anon_sym_type);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 465:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 466:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 467:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 468:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 469:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '=') ADVANCE(466);
      END_STATE();
    case 470:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 471:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 472:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 473:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 474:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 475:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(554);
      END_STATE();
    case 476:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(554);
      if (lookahead == '|') ADVANCE(664);
      END_STATE();
    case 477:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(554);
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 478:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(665);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 479:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 480:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 481:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 482:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 483:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(579);
      if (lookahead == '@') ADVANCE(573);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 484:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '<') ADVANCE(543);
      if (lookahead == '>') ADVANCE(542);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 485:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 486:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(572);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 487:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(578);
      if (lookahead == '@') ADVANCE(574);
      if (lookahead == '|') ADVANCE(553);
      END_STATE();
    case 488:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '%') ADVANCE(194);
      if (lookahead == '@') ADVANCE(573);
      END_STATE();
    case 489:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 490:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 491:
      ACCEPT_TOKEN(anon_sym_COLON2);
      END_STATE();
    case 492:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      END_STATE();
    case 493:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 494:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      END_STATE();
    case 495:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '=') ADVANCE(667);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 496:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == ':') ADVANCE(552);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 497:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(473);
      END_STATE();
    case 498:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '=') ADVANCE(473);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 499:
      ACCEPT_TOKEN(anon_sym_COLON2);
      if (lookahead == '>') ADVANCE(447);
      END_STATE();
    case 500:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 501:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(465);
      END_STATE();
    case 502:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 503:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 504:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 505:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 506:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(581);
      END_STATE();
    case 507:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(581);
      if (lookahead == '<') ADVANCE(569);
      END_STATE();
    case 508:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(580);
      END_STATE();
    case 509:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(580);
      if (lookahead == '<') ADVANCE(569);
      END_STATE();
    case 510:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      if (lookahead == '%') ADVANCE(195);
      END_STATE();
    case 511:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 512:
      ACCEPT_TOKEN(anon_sym_SEMI);
      if (lookahead == ';') ADVANCE(439);
      END_STATE();
    case 513:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 514:
      ACCEPT_TOKEN(anon_sym_constraint);
      END_STATE();
    case 515:
      ACCEPT_TOKEN(anon_sym_constraint);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 516:
      ACCEPT_TOKEN(anon_sym_exception);
      END_STATE();
    case 517:
      ACCEPT_TOKEN(anon_sym_exception);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 518:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 519:
      ACCEPT_TOKEN(anon_sym_module);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 520:
      ACCEPT_TOKEN(anon_sym_open);
      END_STATE();
    case 521:
      ACCEPT_TOKEN(anon_sym_open);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 522:
      ACCEPT_TOKEN(anon_sym_include);
      END_STATE();
    case 523:
      ACCEPT_TOKEN(anon_sym_include);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 524:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 525:
      ACCEPT_TOKEN(anon_sym_class);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 526:
      ACCEPT_TOKEN(anon_sym_val);
      END_STATE();
    case 527:
      ACCEPT_TOKEN(anon_sym_val);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 528:
      ACCEPT_TOKEN(anon_sym_end);
      END_STATE();
    case 529:
      ACCEPT_TOKEN(anon_sym_end);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 530:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 531:
      ACCEPT_TOKEN(anon_sym_with);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 532:
      ACCEPT_TOKEN(anon_sym_inherit);
      END_STATE();
    case 533:
      ACCEPT_TOKEN(anon_sym_inherit);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 534:
      ACCEPT_TOKEN(anon_sym_method);
      END_STATE();
    case 535:
      ACCEPT_TOKEN(anon_sym_method);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 536:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 537:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 538:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 'c') ADVANCE(285);
      END_STATE();
    case 539:
      ACCEPT_TOKEN(anon_sym_in);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 540:
      ACCEPT_TOKEN(anon_sym_initializer);
      END_STATE();
    case 541:
      ACCEPT_TOKEN(anon_sym_initializer);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 542:
      ACCEPT_TOKEN(anon_sym_LBRACK_GT);
      END_STATE();
    case 543:
      ACCEPT_TOKEN(anon_sym_LBRACK_LT);
      END_STATE();
    case 544:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 545:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 546:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(661);
      END_STATE();
    case 547:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 548:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(555);
      END_STATE();
    case 549:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 550:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (lookahead == '!') ADVANCE(437);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 551:
      ACCEPT_TOKEN(anon_sym_POUND);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 552:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 553:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 554:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    case 555:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 556:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 557:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 558:
      ACCEPT_TOKEN(anon_sym_then);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 559:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 560:
      ACCEPT_TOKEN(anon_sym_else);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 561:
      ACCEPT_TOKEN(anon_sym_do);
      END_STATE();
    case 562:
      ACCEPT_TOKEN(anon_sym_do);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 563:
      ACCEPT_TOKEN(anon_sym_done);
      END_STATE();
    case 564:
      ACCEPT_TOKEN(anon_sym_done);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 565:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 566:
      ACCEPT_TOKEN(anon_sym_to);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 567:
      ACCEPT_TOKEN(anon_sym_downto);
      END_STATE();
    case 568:
      ACCEPT_TOKEN(anon_sym_downto);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 569:
      ACCEPT_TOKEN(anon_sym_LBRACE_LT);
      END_STATE();
    case 570:
      ACCEPT_TOKEN(anon_sym_GT_RBRACE);
      END_STATE();
    case 571:
      ACCEPT_TOKEN(sym_ocamlyacc_value);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(571);
      END_STATE();
    case 572:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      END_STATE();
    case 573:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(576);
      END_STATE();
    case 574:
      ACCEPT_TOKEN(aux_sym_attribute_token1);
      if (lookahead == '@') ADVANCE(575);
      END_STATE();
    case 575:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      END_STATE();
    case 576:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT);
      if (lookahead == '@') ADVANCE(577);
      END_STATE();
    case 577:
      ACCEPT_TOKEN(anon_sym_LBRACK_AT_AT_AT);
      END_STATE();
    case 578:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      END_STATE();
    case 579:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT);
      if (lookahead == '%') ADVANCE(583);
      END_STATE();
    case 580:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      END_STATE();
    case 581:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT);
      if (lookahead == '%') ADVANCE(584);
      END_STATE();
    case 582:
      ACCEPT_TOKEN(aux_sym_quoted_extension_token1);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(582);
      END_STATE();
    case 583:
      ACCEPT_TOKEN(anon_sym_LBRACK_PERCENT_PERCENT);
      END_STATE();
    case 584:
      ACCEPT_TOKEN(anon_sym_LBRACE_PERCENT_PERCENT);
      END_STATE();
    case 585:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 586:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 587:
      ACCEPT_TOKEN(aux_sym_number_token1);
      END_STATE();
    case 588:
      ACCEPT_TOKEN(aux_sym_number_token1);
      ADVANCE_MAP(
        '.', 592,
        'B', 359,
        'b', 359,
        'E', 357,
        'e', 357,
        'O', 595,
        'o', 595,
        'X', 598,
        'x', 598,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(589);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 589:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(592);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(589);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 590:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '.') ADVANCE(593);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(590);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 591:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(366);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(597);
      END_STATE();
    case 592:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(357);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(592);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 593:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(591);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(593);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 594:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (lookahead == '0' ||
          lookahead == '1' ||
          lookahead == '_') ADVANCE(594);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 595:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(596);
      END_STATE();
    case 596:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '7') ||
          lookahead == '_') ADVANCE(596);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 597:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '_') ADVANCE(597);
      if (('G' <= lookahead && lookahead <= 'Z') ||
          ('g' <= lookahead && lookahead <= 'z')) ADVANCE(587);
      END_STATE();
    case 598:
      ACCEPT_TOKEN(aux_sym_number_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(590);
      END_STATE();
    case 599:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      END_STATE();
    case 600:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      END_STATE();
    case 601:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(636);
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 602:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(638);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 603:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(637);
      if (lookahead == '>') ADVANCE(374);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 604:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '.') ADVANCE(637);
      if (lookahead == '>') ADVANCE(503);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 605:
      ACCEPT_TOKEN(aux_sym_signed_number_token1);
      if (lookahead == '>') ADVANCE(502);
      END_STATE();
    case 606:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 607:
      ACCEPT_TOKEN(anon_sym_SQUOTE2);
      END_STATE();
    case 608:
      ACCEPT_TOKEN(aux_sym_character_content_token1);
      END_STATE();
    case 609:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      END_STATE();
    case 610:
      ACCEPT_TOKEN(aux_sym_character_content_token2);
      if (lookahead == '@') ADVANCE(572);
      END_STATE();
    case 611:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 612:
      ACCEPT_TOKEN(aux_sym_string_content_token1);
      END_STATE();
    case 613:
      ACCEPT_TOKEN(aux_sym_string_content_token2);
      END_STATE();
    case 614:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '*', 213,
        '.', 207,
        'L', 630,
        'l', 630,
        'n', 630,
        ' ', 206,
        '#', 206,
        '+', 206,
        '-', 206,
        '0', 206,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 615:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      ADVANCE_MAP(
        '<', 367,
        '\\', 291,
        ' ', 631,
        ',', 631,
        '.', 631,
        ';', 631,
        '?', 631,
        '[', 631,
        ']', 631,
        '{', 631,
        '}', 631,
      );
      END_STATE();
    case 616:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(617);
      END_STATE();
    case 617:
      ACCEPT_TOKEN(aux_sym_string_content_token3);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '\\') ADVANCE(617);
      END_STATE();
    case 618:
      ACCEPT_TOKEN(aux_sym_string_content_token4);
      END_STATE();
    case 619:
      ACCEPT_TOKEN(aux_sym_string_content_token5);
      if (lookahead == '\t' ||
          lookahead == ' ') ADVANCE(619);
      END_STATE();
    case 620:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      END_STATE();
    case 621:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '*', 213,
        '.', 207,
        'L', 630,
        'l', 630,
        'n', 630,
        ' ', 206,
        '#', 206,
        '+', 206,
        '-', 206,
        '0', 206,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(212);
      if (set_contains(sym_conversion_specification_character_set_7, 16, lookahead)) ADVANCE(629);
      END_STATE();
    case 622:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      ADVANCE_MAP(
        '<', 367,
        '\\', 291,
        ' ', 631,
        ',', 631,
        '.', 631,
        ';', 631,
        '?', 631,
        '[', 631,
        ']', 631,
        '{', 631,
        '}', 631,
      );
      END_STATE();
    case 623:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead == '@') ADVANCE(613);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '|') ADVANCE(624);
      END_STATE();
    case 624:
      ACCEPT_TOKEN(aux_sym_quoted_string_content_token1);
      if (lookahead != 0 &&
          lookahead != '%' &&
          lookahead != '@' &&
          lookahead != '|') ADVANCE(624);
      END_STATE();
    case 625:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token1);
      END_STATE();
    case 626:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token2);
      END_STATE();
    case 627:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token3);
      END_STATE();
    case 628:
      ACCEPT_TOKEN(aux_sym_escape_sequence_token4);
      END_STATE();
    case 629:
      ACCEPT_TOKEN(sym_conversion_specification);
      END_STATE();
    case 630:
      ACCEPT_TOKEN(sym_conversion_specification);
      if (lookahead == 'X' ||
          lookahead == 'd' ||
          lookahead == 'i' ||
          lookahead == 'o' ||
          lookahead == 'u' ||
          lookahead == 'x') ADVANCE(629);
      END_STATE();
    case 631:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      END_STATE();
    case 632:
      ACCEPT_TOKEN(sym_pretty_printing_indication);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 633:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(376);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 634:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (lookahead == '=') ADVANCE(660);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 635:
      ACCEPT_TOKEN(sym_prefix_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 636:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      END_STATE();
    case 637:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (lookahead == '>') ADVANCE(650);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 638:
      ACCEPT_TOKEN(aux_sym_sign_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 639:
      ACCEPT_TOKEN(sym_hash_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(639);
      END_STATE();
    case 640:
      ACCEPT_TOKEN(sym_pow_operator);
      END_STATE();
    case 641:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(641);
      END_STATE();
    case 642:
      ACCEPT_TOKEN(sym_pow_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 643:
      ACCEPT_TOKEN(sym_mult_operator);
      END_STATE();
    case 644:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == '*') ADVANCE(641);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 645:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(740);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 646:
      ACCEPT_TOKEN(sym_mult_operator);
      if (lookahead == 'u') ADVANCE(290);
      END_STATE();
    case 647:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(647);
      END_STATE();
    case 648:
      ACCEPT_TOKEN(sym_mult_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 649:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (lookahead == '>') ADVANCE(650);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(649);
      END_STATE();
    case 650:
      ACCEPT_TOKEN(aux_sym_add_operator_token1);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(650);
      END_STATE();
    case 651:
      ACCEPT_TOKEN(sym_concat_operator);
      ADVANCE_MAP(
        '<', 652,
        '\\', 291,
        '.', 632,
        '?', 632,
        ' ', 631,
        ',', 631,
        ';', 631,
        '[', 631,
        ']', 631,
        '{', 631,
        '}', 631,
      );
      if (lookahead == '!' ||
          ('$' <= lookahead && lookahead <= '&') ||
          ('*' <= lookahead && lookahead <= '/') ||
          (':' <= lookahead && lookahead <= '@') ||
          lookahead == '^' ||
          ('|' <= lookahead && lookahead <= '~')) ADVANCE(653);
      END_STATE();
    case 652:
      ACCEPT_TOKEN(sym_concat_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(225);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 653:
      ACCEPT_TOKEN(sym_concat_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(653);
      END_STATE();
    case 654:
      ACCEPT_TOKEN(sym_rel_operator);
      END_STATE();
    case 655:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(556);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 656:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '-') ADVANCE(373);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 657:
      ACCEPT_TOKEN(sym_rel_operator);
      if (lookahead == '}') ADVANCE(570);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 658:
      ACCEPT_TOKEN(sym_rel_operator);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(571);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 659:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 660:
      ACCEPT_TOKEN(sym_rel_operator);
      if (set_contains(sym_prefix_operator_character_set_1, 9, lookahead)) ADVANCE(635);
      END_STATE();
    case 661:
      ACCEPT_TOKEN(sym_and_operator);
      END_STATE();
    case 662:
      ACCEPT_TOKEN(sym_and_operator);
      if (lookahead == '&') ADVANCE(663);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 663:
      ACCEPT_TOKEN(sym_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 664:
      ACCEPT_TOKEN(sym_or_operator);
      END_STATE();
    case 665:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(659);
      END_STATE();
    case 666:
      ACCEPT_TOKEN(sym_or_operator);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 667:
      ACCEPT_TOKEN(sym_assign_operator);
      END_STATE();
    case 668:
      ACCEPT_TOKEN(sym_indexing_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(668);
      END_STATE();
    case 669:
      ACCEPT_TOKEN(sym_let_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      END_STATE();
    case 670:
      ACCEPT_TOKEN(sym_let_and_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      END_STATE();
    case 671:
      ACCEPT_TOKEN(sym_match_operator);
      if (set_contains(sym_pow_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      END_STATE();
    case 672:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(734);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 673:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(788);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 674:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 675:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 676:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'e') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 677:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 678:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 679:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 680:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(791);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 681:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(727);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 682:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(735);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 683:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(739);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 684:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'e') ADVANCE(790);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 685:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'e') ADVANCE(799);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 686:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'a') ADVANCE(755);
      if (lookahead == 'o') ADVANCE(780);
      if (lookahead == 's') ADVANCE(809);
      if (lookahead == 'x') ADVANCE(768);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 687:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(738);
      if (lookahead == 'h') ADVANCE(714);
      if (lookahead == 'i') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 688:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(738);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 689:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(718);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 690:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(708);
      if (lookahead == 't') ADVANCE(703);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 691:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'c') ADVANCE(708);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 692:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(445);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 693:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(529);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 694:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(802);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 695:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(535);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 696:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(648);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 697:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(645);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 698:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(446);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 699:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(810);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 700:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'd') ADVANCE(706);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 701:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(790);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 702:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(560);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 703:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(783);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 704:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(464);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 705:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(519);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 706:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(523);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 707:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(564);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 708:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(777);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 709:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 710:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 711:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(792);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 712:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(744);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 713:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(745);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 714:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(784);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 715:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(781);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 716:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'e') ADVANCE(795);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 717:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(531);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 718:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(812);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 719:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(769);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 720:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(714);
      if (lookahead == 'i') ADVANCE(800);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 721:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(714);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 722:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (lookahead == 'o') ADVANCE(566);
      if (lookahead == 'y') ADVANCE(776);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 723:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'h') ADVANCE(713);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 724:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(808);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 725:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(772);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 726:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(797);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 727:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(756);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 728:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(794);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 729:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'i') ADVANCE(683);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 730:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(693);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 731:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'n') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 732:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 733:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(786);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 734:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(527);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 735:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(462);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 736:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(673);
      if (lookahead == 'o') ADVANCE(753);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 737:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(673);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 738:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(803);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 739:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(724);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 740:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l') ADVANCE(705);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 741:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (lookahead == 's') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 742:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(692);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 743:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(537);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 744:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(521);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 745:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(558);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 746:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(517);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 747:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(720);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 748:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(539);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 749:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(687);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 750:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(693);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 751:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(693);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 752:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(688);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 753:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(789);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 754:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(721);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 755:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 756:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(793);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 757:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(699);
      if (lookahead == 's') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 758:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(698);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 759:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(801);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 760:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(707);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 761:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'n') ADVANCE(682);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 762:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(562);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 763:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(566);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 764:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(804);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 765:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(568);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 766:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(753);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 767:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(694);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 768:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(780);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 769:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(695);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 770:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(697);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 771:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(696);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 772:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(746);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 773:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'o') ADVANCE(760);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 774:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(712);
      if (lookahead == 'r') ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 775:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(712);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 776:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(704);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 777:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'p') ADVANCE(796);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 778:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(666);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 779:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(642);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 780:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(648);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 781:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(541);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 782:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(681);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 783:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(761);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 784:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'r') ADVANCE(728);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 785:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(525);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 786:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(702);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 787:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(779);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 788:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(785);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 789:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 's') ADVANCE(798);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 790:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(441);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 791:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(689);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 792:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(719);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 793:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(515);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 794:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(533);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 795:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(442);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 796:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(725);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 797:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(717);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 798:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(782);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 799:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(811);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 800:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(729);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 801:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 't') ADVANCE(765);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 802:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(740);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 803:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'u') ADVANCE(700);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 804:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'w') ADVANCE(759);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 805:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(690);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 806:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'x') ADVANCE(691);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 807:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'y') ADVANCE(776);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 808:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'z') ADVANCE(715);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 809:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (lookahead == 'l' ||
          lookahead == 'r') ADVANCE(642);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 810:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(670);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 811:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(669);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 812:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym_let_operator_character_set_1, 9, lookahead)) ADVANCE(671);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 813:
      ACCEPT_TOKEN(sym__lowercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(813);
      END_STATE();
    case 814:
      ACCEPT_TOKEN(sym__uppercase_identifier);
      if (set_contains(sym__lowercase_identifier_character_set_2, 777, lookahead)) ADVANCE(814);
      END_STATE();
    case 815:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      END_STATE();
    case 816:
      ACCEPT_TOKEN(aux_sym_directive_token1);
      if (lookahead == '!') ADVANCE(438);
      END_STATE();
    case 817:
      ACCEPT_TOKEN(aux_sym_type_variable_token1);
      END_STATE();
    case 818:
      ACCEPT_TOKEN(aux_sym_tag_token1);
      END_STATE();
    case 819:
      ACCEPT_TOKEN(aux_sym_attribute_id_token1);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'e', 4,
        'f', 5,
        'i', 6,
        'l', 7,
        'm', 8,
        'n', 9,
        'o', 10,
        'p', 11,
        'r', 12,
        's', 13,
        't', 14,
        'v', 15,
        'w', 16,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(anon_sym__);
      END_STATE();
    case 2:
      if (lookahead == 's') ADVANCE(17);
      END_STATE();
    case 3:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(19);
      END_STATE();
    case 5:
      if (lookahead == 'a') ADVANCE(20);
      if (lookahead == 'o') ADVANCE(21);
      if (lookahead == 'u') ADVANCE(22);
      END_STATE();
    case 6:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(24);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(25);
      if (lookahead == 'u') ADVANCE(26);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(27);
      if (lookahead == 'o') ADVANCE(28);
      END_STATE();
    case 10:
      if (lookahead == 'b') ADVANCE(29);
      if (lookahead == 'f') ADVANCE(30);
      END_STATE();
    case 11:
      if (lookahead == 'r') ADVANCE(31);
      END_STATE();
    case 12:
      if (lookahead == 'e') ADVANCE(32);
      END_STATE();
    case 13:
      if (lookahead == 'i') ADVANCE(33);
      if (lookahead == 't') ADVANCE(34);
      END_STATE();
    case 14:
      if (lookahead == 'r') ADVANCE(35);
      END_STATE();
    case 15:
      if (lookahead == 'i') ADVANCE(36);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(37);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(38);
      END_STATE();
    case 18:
      if (lookahead == 'g') ADVANCE(39);
      END_STATE();
    case 19:
      if (lookahead == 'f') ADVANCE(40);
      END_STATE();
    case 20:
      if (lookahead == 'l') ADVANCE(41);
      END_STATE();
    case 21:
      if (lookahead == 'r') ADVANCE(42);
      END_STATE();
    case 22:
      if (lookahead == 'n') ADVANCE(43);
      END_STATE();
    case 23:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 24:
      if (lookahead == 'z') ADVANCE(44);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 26:
      if (lookahead == 't') ADVANCE(46);
      END_STATE();
    case 27:
      if (lookahead == 'w') ADVANCE(47);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 29:
      if (lookahead == 'j') ADVANCE(49);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_of);
      END_STATE();
    case 31:
      if (lookahead == 'i') ADVANCE(50);
      END_STATE();
    case 32:
      if (lookahead == 'c') ADVANCE(51);
      END_STATE();
    case 33:
      if (lookahead == 'g') ADVANCE(52);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(53);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(54);
      if (lookahead == 'y') ADVANCE(55);
      END_STATE();
    case 36:
      if (lookahead == 'r') ADVANCE(56);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(57);
      if (lookahead == 'i') ADVANCE(58);
      END_STATE();
    case 38:
      if (lookahead == 'e') ADVANCE(59);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(60);
      END_STATE();
    case 40:
      if (lookahead == 'e') ADVANCE(61);
      END_STATE();
    case 41:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_fun);
      if (lookahead == 'c') ADVANCE(63);
      END_STATE();
    case 44:
      if (lookahead == 'y') ADVANCE(64);
      END_STATE();
    case 45:
      if (lookahead == 'c') ADVANCE(65);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(66);
      END_STATE();
    case 47:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 48:
      if (lookahead == 'r') ADVANCE(67);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 50:
      if (lookahead == 'v') ADVANCE(69);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_rec);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_sig);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(70);
      END_STATE();
    case 54:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 56:
      if (lookahead == 't') ADVANCE(72);
      END_STATE();
    case 57:
      if (lookahead == 'n') ADVANCE(73);
      END_STATE();
    case 58:
      if (lookahead == 'l') ADVANCE(74);
      END_STATE();
    case 59:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 60:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 61:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(78);
      END_STATE();
    case 63:
      if (lookahead == 't') ADVANCE(79);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(anon_sym_lazy);
      END_STATE();
    case 65:
      if (lookahead == 'h') ADVANCE(80);
      END_STATE();
    case 66:
      if (lookahead == 'b') ADVANCE(81);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(82);
      END_STATE();
    case 68:
      if (lookahead == 'c') ADVANCE(83);
      END_STATE();
    case 69:
      if (lookahead == 'a') ADVANCE(84);
      END_STATE();
    case 70:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 72:
      if (lookahead == 'u') ADVANCE(86);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 74:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 75:
      if (lookahead == 't') ADVANCE(88);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(anon_sym_begin);
      END_STATE();
    case 77:
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 79:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'o') ADVANCE(91);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_match);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(92);
      END_STATE();
    case 82:
      if (lookahead == 'c') ADVANCE(93);
      END_STATE();
    case 83:
      if (lookahead == 't') ADVANCE(94);
      END_STATE();
    case 84:
      if (lookahead == 't') ADVANCE(95);
      END_STATE();
    case 85:
      if (lookahead == 't') ADVANCE(96);
      END_STATE();
    case 86:
      if (lookahead == 'a') ADVANCE(97);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_effect);
      END_STATE();
    case 90:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 91:
      if (lookahead == 'r') ADVANCE(99);
      END_STATE();
    case 92:
      if (lookahead == 'e') ADVANCE(100);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_nonrec);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_object);
      END_STATE();
    case 95:
      if (lookahead == 'e') ADVANCE(101);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 97:
      if (lookahead == 'l') ADVANCE(102);
      END_STATE();
    case 98:
      if (lookahead == 'n') ADVANCE(103);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_functor);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_mutable);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_virtual);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_function);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 382, .external_lex_state = 2},
  [2] = {.lex_state = 382, .external_lex_state = 2},
  [3] = {.lex_state = 382, .external_lex_state = 2},
  [4] = {.lex_state = 382, .external_lex_state = 2},
  [5] = {.lex_state = 382, .external_lex_state = 2},
  [6] = {.lex_state = 382, .external_lex_state = 2},
  [7] = {.lex_state = 382, .external_lex_state = 2},
  [8] = {.lex_state = 382, .external_lex_state = 2},
  [9] = {.lex_state = 382, .external_lex_state = 2},
  [10] = {.lex_state = 382, .external_lex_state = 2},
  [11] = {.lex_state = 382, .external_lex_state = 2},
  [12] = {.lex_state = 382, .external_lex_state = 2},
  [13] = {.lex_state = 382, .external_lex_state = 2},
  [14] = {.lex_state = 382, .external_lex_state = 2},
  [15] = {.lex_state = 382, .external_lex_state = 2},
  [16] = {.lex_state = 382, .external_lex_state = 2},
  [17] = {.lex_state = 382, .external_lex_state = 2},
  [18] = {.lex_state = 382, .external_lex_state = 2},
  [19] = {.lex_state = 382, .external_lex_state = 2},
  [20] = {.lex_state = 382, .external_lex_state = 2},
  [21] = {.lex_state = 382, .external_lex_state = 2},
  [22] = {.lex_state = 382, .external_lex_state = 2},
  [23] = {.lex_state = 382, .external_lex_state = 2},
  [24] = {.lex_state = 382, .external_lex_state = 2},
  [25] = {.lex_state = 382, .external_lex_state = 2},
  [26] = {.lex_state = 382, .external_lex_state = 2},
  [27] = {.lex_state = 382, .external_lex_state = 2},
  [28] = {.lex_state = 382, .external_lex_state = 2},
  [29] = {.lex_state = 382, .external_lex_state = 2},
  [30] = {.lex_state = 382, .external_lex_state = 2},
  [31] = {.lex_state = 382, .external_lex_state = 2},
  [32] = {.lex_state = 382, .external_lex_state = 2},
  [33] = {.lex_state = 382, .external_lex_state = 2},
  [34] = {.lex_state = 382, .external_lex_state = 2},
  [35] = {.lex_state = 382, .external_lex_state = 2},
  [36] = {.lex_state = 382, .external_lex_state = 2},
  [37] = {.lex_state = 382, .external_lex_state = 2},
  [38] = {.lex_state = 382, .external_lex_state = 2},
  [39] = {.lex_state = 382, .external_lex_state = 2},
  [40] = {.lex_state = 382, .external_lex_state = 2},
  [41] = {.lex_state = 382, .external_lex_state = 2},
  [42] = {.lex_state = 382, .external_lex_state = 2},
  [43] = {.lex_state = 382, .external_lex_state = 2},
  [44] = {.lex_state = 382, .external_lex_state = 2},
  [45] = {.lex_state = 382, .external_lex_state = 2},
  [46] = {.lex_state = 382, .external_lex_state = 2},
  [47] = {.lex_state = 382, .external_lex_state = 2},
  [48] = {.lex_state = 382, .external_lex_state = 2},
  [49] = {.lex_state = 382, .external_lex_state = 2},
  [50] = {.lex_state = 382, .external_lex_state = 2},
  [51] = {.lex_state = 382, .external_lex_state = 2},
  [52] = {.lex_state = 382, .external_lex_state = 2},
  [53] = {.lex_state = 382, .external_lex_state = 2},
  [54] = {.lex_state = 382, .external_lex_state = 2},
  [55] = {.lex_state = 382, .external_lex_state = 2},
  [56] = {.lex_state = 382, .external_lex_state = 2},
  [57] = {.lex_state = 382, .external_lex_state = 2},
  [58] = {.lex_state = 382, .external_lex_state = 2},
  [59] = {.lex_state = 382, .external_lex_state = 2},
  [60] = {.lex_state = 382, .external_lex_state = 2},
  [61] = {.lex_state = 382, .external_lex_state = 2},
  [62] = {.lex_state = 382, .external_lex_state = 2},
  [63] = {.lex_state = 382, .external_lex_state = 2},
  [64] = {.lex_state = 382, .external_lex_state = 2},
  [65] = {.lex_state = 382, .external_lex_state = 2},
  [66] = {.lex_state = 382, .external_lex_state = 2},
  [67] = {.lex_state = 382, .external_lex_state = 2},
  [68] = {.lex_state = 382, .external_lex_state = 2},
  [69] = {.lex_state = 382, .external_lex_state = 2},
  [70] = {.lex_state = 382, .external_lex_state = 2},
  [71] = {.lex_state = 382, .external_lex_state = 2},
  [72] = {.lex_state = 382, .external_lex_state = 2},
  [73] = {.lex_state = 382, .external_lex_state = 2},
  [74] = {.lex_state = 382, .external_lex_state = 2},
  [75] = {.lex_state = 382, .external_lex_state = 2},
  [76] = {.lex_state = 382, .external_lex_state = 2},
  [77] = {.lex_state = 382, .external_lex_state = 2},
  [78] = {.lex_state = 382, .external_lex_state = 2},
  [79] = {.lex_state = 382, .external_lex_state = 2},
  [80] = {.lex_state = 382, .external_lex_state = 2},
  [81] = {.lex_state = 382, .external_lex_state = 2},
  [82] = {.lex_state = 382, .external_lex_state = 2},
  [83] = {.lex_state = 382, .external_lex_state = 2},
  [84] = {.lex_state = 382, .external_lex_state = 2},
  [85] = {.lex_state = 382, .external_lex_state = 2},
  [86] = {.lex_state = 382, .external_lex_state = 2},
  [87] = {.lex_state = 382, .external_lex_state = 2},
  [88] = {.lex_state = 382, .external_lex_state = 2},
  [89] = {.lex_state = 382, .external_lex_state = 2},
  [90] = {.lex_state = 382, .external_lex_state = 2},
  [91] = {.lex_state = 382, .external_lex_state = 2},
  [92] = {.lex_state = 382, .external_lex_state = 2},
  [93] = {.lex_state = 382, .external_lex_state = 2},
  [94] = {.lex_state = 382, .external_lex_state = 2},
  [95] = {.lex_state = 382, .external_lex_state = 2},
  [96] = {.lex_state = 382, .external_lex_state = 2},
  [97] = {.lex_state = 36, .external_lex_state = 2},
  [98] = {.lex_state = 388, .external_lex_state = 2},
  [99] = {.lex_state = 388, .external_lex_state = 2},
  [100] = {.lex_state = 389, .external_lex_state = 2},
  [101] = {.lex_state = 10, .external_lex_state = 2},
  [102] = {.lex_state = 389, .external_lex_state = 2},
  [103] = {.lex_state = 10, .external_lex_state = 2},
  [104] = {.lex_state = 38, .external_lex_state = 2},
  [105] = {.lex_state = 382, .external_lex_state = 2},
  [106] = {.lex_state = 37, .external_lex_state = 2},
  [107] = {.lex_state = 391, .external_lex_state = 2},
  [108] = {.lex_state = 391, .external_lex_state = 2},
  [109] = {.lex_state = 382, .external_lex_state = 2},
  [110] = {.lex_state = 390, .external_lex_state = 2},
  [111] = {.lex_state = 382, .external_lex_state = 2},
  [112] = {.lex_state = 382, .external_lex_state = 2},
  [113] = {.lex_state = 382, .external_lex_state = 2},
  [114] = {.lex_state = 382, .external_lex_state = 2},
  [115] = {.lex_state = 382, .external_lex_state = 2},
  [116] = {.lex_state = 10, .external_lex_state = 2},
  [117] = {.lex_state = 10, .external_lex_state = 2},
  [118] = {.lex_state = 382, .external_lex_state = 2},
  [119] = {.lex_state = 10, .external_lex_state = 2},
  [120] = {.lex_state = 10, .external_lex_state = 2},
  [121] = {.lex_state = 39, .external_lex_state = 2},
  [122] = {.lex_state = 390, .external_lex_state = 2},
  [123] = {.lex_state = 382, .external_lex_state = 2},
  [124] = {.lex_state = 393, .external_lex_state = 2},
  [125] = {.lex_state = 382, .external_lex_state = 2},
  [126] = {.lex_state = 393, .external_lex_state = 2},
  [127] = {.lex_state = 40, .external_lex_state = 2},
  [128] = {.lex_state = 382, .external_lex_state = 2},
  [129] = {.lex_state = 382, .external_lex_state = 2},
  [130] = {.lex_state = 392, .external_lex_state = 2},
  [131] = {.lex_state = 41, .external_lex_state = 2},
  [132] = {.lex_state = 392, .external_lex_state = 2},
  [133] = {.lex_state = 100, .external_lex_state = 2},
  [134] = {.lex_state = 103, .external_lex_state = 2},
  [135] = {.lex_state = 100, .external_lex_state = 2},
  [136] = {.lex_state = 103, .external_lex_state = 2},
  [137] = {.lex_state = 101, .external_lex_state = 2},
  [138] = {.lex_state = 101, .external_lex_state = 2},
  [139] = {.lex_state = 102, .external_lex_state = 2},
  [140] = {.lex_state = 102, .external_lex_state = 2},
  [141] = {.lex_state = 383, .external_lex_state = 2},
  [142] = {.lex_state = 118, .external_lex_state = 2},
  [143] = {.lex_state = 383, .external_lex_state = 2},
  [144] = {.lex_state = 11, .external_lex_state = 2},
  [145] = {.lex_state = 384, .external_lex_state = 2},
  [146] = {.lex_state = 118, .external_lex_state = 2},
  [147] = {.lex_state = 119, .external_lex_state = 2},
  [148] = {.lex_state = 12, .external_lex_state = 2},
  [149] = {.lex_state = 384, .external_lex_state = 2},
  [150] = {.lex_state = 106, .external_lex_state = 2},
  [151] = {.lex_state = 119, .external_lex_state = 2},
  [152] = {.lex_state = 99, .external_lex_state = 2},
  [153] = {.lex_state = 99, .external_lex_state = 2},
  [154] = {.lex_state = 99, .external_lex_state = 2},
  [155] = {.lex_state = 99, .external_lex_state = 2},
  [156] = {.lex_state = 99, .external_lex_state = 2},
  [157] = {.lex_state = 99, .external_lex_state = 2},
  [158] = {.lex_state = 99, .external_lex_state = 2},
  [159] = {.lex_state = 112, .external_lex_state = 2},
  [160] = {.lex_state = 110, .external_lex_state = 2},
  [161] = {.lex_state = 99, .external_lex_state = 2},
  [162] = {.lex_state = 99, .external_lex_state = 2},
  [163] = {.lex_state = 99, .external_lex_state = 2},
  [164] = {.lex_state = 99, .external_lex_state = 2},
  [165] = {.lex_state = 99, .external_lex_state = 2},
  [166] = {.lex_state = 99, .external_lex_state = 2},
  [167] = {.lex_state = 99, .external_lex_state = 2},
  [168] = {.lex_state = 99, .external_lex_state = 2},
  [169] = {.lex_state = 99, .external_lex_state = 2},
  [170] = {.lex_state = 99, .external_lex_state = 2},
  [171] = {.lex_state = 99, .external_lex_state = 2},
  [172] = {.lex_state = 99, .external_lex_state = 2},
  [173] = {.lex_state = 99, .external_lex_state = 2},
  [174] = {.lex_state = 99, .external_lex_state = 2},
  [175] = {.lex_state = 99, .external_lex_state = 2},
  [176] = {.lex_state = 99, .external_lex_state = 2},
  [177] = {.lex_state = 99, .external_lex_state = 2},
  [178] = {.lex_state = 99, .external_lex_state = 2},
  [179] = {.lex_state = 99, .external_lex_state = 2},
  [180] = {.lex_state = 99, .external_lex_state = 2},
  [181] = {.lex_state = 99, .external_lex_state = 2},
  [182] = {.lex_state = 99, .external_lex_state = 2},
  [183] = {.lex_state = 99, .external_lex_state = 2},
  [184] = {.lex_state = 99, .external_lex_state = 2},
  [185] = {.lex_state = 99, .external_lex_state = 2},
  [186] = {.lex_state = 99, .external_lex_state = 2},
  [187] = {.lex_state = 99, .external_lex_state = 2},
  [188] = {.lex_state = 99, .external_lex_state = 2},
  [189] = {.lex_state = 99, .external_lex_state = 2},
  [190] = {.lex_state = 99, .external_lex_state = 2},
  [191] = {.lex_state = 99, .external_lex_state = 2},
  [192] = {.lex_state = 99, .external_lex_state = 2},
  [193] = {.lex_state = 99, .external_lex_state = 2},
  [194] = {.lex_state = 99, .external_lex_state = 2},
  [195] = {.lex_state = 99, .external_lex_state = 2},
  [196] = {.lex_state = 99, .external_lex_state = 2},
  [197] = {.lex_state = 99, .external_lex_state = 2},
  [198] = {.lex_state = 99, .external_lex_state = 2},
  [199] = {.lex_state = 10, .external_lex_state = 2},
  [200] = {.lex_state = 99, .external_lex_state = 2},
  [201] = {.lex_state = 99, .external_lex_state = 2},
  [202] = {.lex_state = 104, .external_lex_state = 2},
  [203] = {.lex_state = 99, .external_lex_state = 2},
  [204] = {.lex_state = 99, .external_lex_state = 2},
  [205] = {.lex_state = 99, .external_lex_state = 2},
  [206] = {.lex_state = 99, .external_lex_state = 2},
  [207] = {.lex_state = 99, .external_lex_state = 2},
  [208] = {.lex_state = 382, .external_lex_state = 2},
  [209] = {.lex_state = 99, .external_lex_state = 2},
  [210] = {.lex_state = 99, .external_lex_state = 2},
  [211] = {.lex_state = 99, .external_lex_state = 2},
  [212] = {.lex_state = 99, .external_lex_state = 2},
  [213] = {.lex_state = 99, .external_lex_state = 2},
  [214] = {.lex_state = 99, .external_lex_state = 2},
  [215] = {.lex_state = 99, .external_lex_state = 2},
  [216] = {.lex_state = 99, .external_lex_state = 2},
  [217] = {.lex_state = 99, .external_lex_state = 2},
  [218] = {.lex_state = 99, .external_lex_state = 2},
  [219] = {.lex_state = 99, .external_lex_state = 2},
  [220] = {.lex_state = 99, .external_lex_state = 2},
  [221] = {.lex_state = 99, .external_lex_state = 2},
  [222] = {.lex_state = 99, .external_lex_state = 2},
  [223] = {.lex_state = 99, .external_lex_state = 2},
  [224] = {.lex_state = 108, .external_lex_state = 2},
  [225] = {.lex_state = 99, .external_lex_state = 2},
  [226] = {.lex_state = 99, .external_lex_state = 2},
  [227] = {.lex_state = 107, .external_lex_state = 2},
  [228] = {.lex_state = 99, .external_lex_state = 2},
  [229] = {.lex_state = 99, .external_lex_state = 2},
  [230] = {.lex_state = 99, .external_lex_state = 2},
  [231] = {.lex_state = 99, .external_lex_state = 2},
  [232] = {.lex_state = 99, .external_lex_state = 2},
  [233] = {.lex_state = 111, .external_lex_state = 2},
  [234] = {.lex_state = 99, .external_lex_state = 2},
  [235] = {.lex_state = 99, .external_lex_state = 2},
  [236] = {.lex_state = 99, .external_lex_state = 2},
  [237] = {.lex_state = 99, .external_lex_state = 2},
  [238] = {.lex_state = 99, .external_lex_state = 2},
  [239] = {.lex_state = 99, .external_lex_state = 2},
  [240] = {.lex_state = 99, .external_lex_state = 2},
  [241] = {.lex_state = 99, .external_lex_state = 2},
  [242] = {.lex_state = 99, .external_lex_state = 2},
  [243] = {.lex_state = 99, .external_lex_state = 2},
  [244] = {.lex_state = 99, .external_lex_state = 2},
  [245] = {.lex_state = 99, .external_lex_state = 2},
  [246] = {.lex_state = 99, .external_lex_state = 2},
  [247] = {.lex_state = 99, .external_lex_state = 2},
  [248] = {.lex_state = 99, .external_lex_state = 2},
  [249] = {.lex_state = 99, .external_lex_state = 2},
  [250] = {.lex_state = 99, .external_lex_state = 2},
  [251] = {.lex_state = 99, .external_lex_state = 2},
  [252] = {.lex_state = 99, .external_lex_state = 2},
  [253] = {.lex_state = 99, .external_lex_state = 2},
  [254] = {.lex_state = 99, .external_lex_state = 2},
  [255] = {.lex_state = 113, .external_lex_state = 2},
  [256] = {.lex_state = 99, .external_lex_state = 2},
  [257] = {.lex_state = 99, .external_lex_state = 2},
  [258] = {.lex_state = 99, .external_lex_state = 2},
  [259] = {.lex_state = 99, .external_lex_state = 2},
  [260] = {.lex_state = 382, .external_lex_state = 2},
  [261] = {.lex_state = 99, .external_lex_state = 2},
  [262] = {.lex_state = 99, .external_lex_state = 2},
  [263] = {.lex_state = 99, .external_lex_state = 2},
  [264] = {.lex_state = 114, .external_lex_state = 2},
  [265] = {.lex_state = 117, .external_lex_state = 2},
  [266] = {.lex_state = 110, .external_lex_state = 2},
  [267] = {.lex_state = 112, .external_lex_state = 2},
  [268] = {.lex_state = 109, .external_lex_state = 2},
  [269] = {.lex_state = 115, .external_lex_state = 2},
  [270] = {.lex_state = 105, .external_lex_state = 2},
  [271] = {.lex_state = 111, .external_lex_state = 2},
  [272] = {.lex_state = 116, .external_lex_state = 2},
  [273] = {.lex_state = 104, .external_lex_state = 2},
  [274] = {.lex_state = 115, .external_lex_state = 2},
  [275] = {.lex_state = 116, .external_lex_state = 2},
  [276] = {.lex_state = 114, .external_lex_state = 2},
  [277] = {.lex_state = 105, .external_lex_state = 2},
  [278] = {.lex_state = 25, .external_lex_state = 2},
  [279] = {.lex_state = 24, .external_lex_state = 2},
  [280] = {.lex_state = 32, .external_lex_state = 2},
  [281] = {.lex_state = 27, .external_lex_state = 2},
  [282] = {.lex_state = 29, .external_lex_state = 2},
  [283] = {.lex_state = 29, .external_lex_state = 2},
  [284] = {.lex_state = 29, .external_lex_state = 2},
  [285] = {.lex_state = 29, .external_lex_state = 2},
  [286] = {.lex_state = 29, .external_lex_state = 2},
  [287] = {.lex_state = 29, .external_lex_state = 2},
  [288] = {.lex_state = 29, .external_lex_state = 2},
  [289] = {.lex_state = 29, .external_lex_state = 2},
  [290] = {.lex_state = 29, .external_lex_state = 2},
  [291] = {.lex_state = 29, .external_lex_state = 2},
  [292] = {.lex_state = 29, .external_lex_state = 2},
  [293] = {.lex_state = 29, .external_lex_state = 2},
  [294] = {.lex_state = 29, .external_lex_state = 2},
  [295] = {.lex_state = 29, .external_lex_state = 2},
  [296] = {.lex_state = 29, .external_lex_state = 2},
  [297] = {.lex_state = 29, .external_lex_state = 2},
  [298] = {.lex_state = 29, .external_lex_state = 2},
  [299] = {.lex_state = 29, .external_lex_state = 2},
  [300] = {.lex_state = 29, .external_lex_state = 2},
  [301] = {.lex_state = 31, .external_lex_state = 2},
  [302] = {.lex_state = 29, .external_lex_state = 2},
  [303] = {.lex_state = 29, .external_lex_state = 2},
  [304] = {.lex_state = 29, .external_lex_state = 2},
  [305] = {.lex_state = 29, .external_lex_state = 2},
  [306] = {.lex_state = 24, .external_lex_state = 2},
  [307] = {.lex_state = 29, .external_lex_state = 2},
  [308] = {.lex_state = 29, .external_lex_state = 2},
  [309] = {.lex_state = 29, .external_lex_state = 2},
  [310] = {.lex_state = 30, .external_lex_state = 2},
  [311] = {.lex_state = 29, .external_lex_state = 2},
  [312] = {.lex_state = 29, .external_lex_state = 2},
  [313] = {.lex_state = 26, .external_lex_state = 2},
  [314] = {.lex_state = 29, .external_lex_state = 2},
  [315] = {.lex_state = 29, .external_lex_state = 2},
  [316] = {.lex_state = 29, .external_lex_state = 2},
  [317] = {.lex_state = 29, .external_lex_state = 2},
  [318] = {.lex_state = 29, .external_lex_state = 2},
  [319] = {.lex_state = 29, .external_lex_state = 2},
  [320] = {.lex_state = 29, .external_lex_state = 2},
  [321] = {.lex_state = 29, .external_lex_state = 2},
  [322] = {.lex_state = 29, .external_lex_state = 2},
  [323] = {.lex_state = 29, .external_lex_state = 2},
  [324] = {.lex_state = 28, .external_lex_state = 2},
  [325] = {.lex_state = 29, .external_lex_state = 2},
  [326] = {.lex_state = 29, .external_lex_state = 2},
  [327] = {.lex_state = 29, .external_lex_state = 2},
  [328] = {.lex_state = 29, .external_lex_state = 2},
  [329] = {.lex_state = 29, .external_lex_state = 2},
  [330] = {.lex_state = 29, .external_lex_state = 2},
  [331] = {.lex_state = 29, .external_lex_state = 2},
  [332] = {.lex_state = 29, .external_lex_state = 2},
  [333] = {.lex_state = 29, .external_lex_state = 2},
  [334] = {.lex_state = 29, .external_lex_state = 2},
  [335] = {.lex_state = 29, .external_lex_state = 2},
  [336] = {.lex_state = 29, .external_lex_state = 2},
  [337] = {.lex_state = 29, .external_lex_state = 2},
  [338] = {.lex_state = 29, .external_lex_state = 2},
  [339] = {.lex_state = 24, .external_lex_state = 2},
  [340] = {.lex_state = 24, .external_lex_state = 2},
  [341] = {.lex_state = 24, .external_lex_state = 2},
  [342] = {.lex_state = 24, .external_lex_state = 2},
  [343] = {.lex_state = 24, .external_lex_state = 2},
  [344] = {.lex_state = 24, .external_lex_state = 2},
  [345] = {.lex_state = 24, .external_lex_state = 2},
  [346] = {.lex_state = 24, .external_lex_state = 2},
  [347] = {.lex_state = 24, .external_lex_state = 2},
  [348] = {.lex_state = 24, .external_lex_state = 2},
  [349] = {.lex_state = 24, .external_lex_state = 2},
  [350] = {.lex_state = 24, .external_lex_state = 2},
  [351] = {.lex_state = 24, .external_lex_state = 2},
  [352] = {.lex_state = 24, .external_lex_state = 2},
  [353] = {.lex_state = 24, .external_lex_state = 2},
  [354] = {.lex_state = 24, .external_lex_state = 2},
  [355] = {.lex_state = 24, .external_lex_state = 2},
  [356] = {.lex_state = 24, .external_lex_state = 2},
  [357] = {.lex_state = 24, .external_lex_state = 2},
  [358] = {.lex_state = 24, .external_lex_state = 2},
  [359] = {.lex_state = 24, .external_lex_state = 2},
  [360] = {.lex_state = 24, .external_lex_state = 2},
  [361] = {.lex_state = 24, .external_lex_state = 2},
  [362] = {.lex_state = 24, .external_lex_state = 2},
  [363] = {.lex_state = 24, .external_lex_state = 2},
  [364] = {.lex_state = 24, .external_lex_state = 2},
  [365] = {.lex_state = 24, .external_lex_state = 2},
  [366] = {.lex_state = 24, .external_lex_state = 2},
  [367] = {.lex_state = 24, .external_lex_state = 2},
  [368] = {.lex_state = 24, .external_lex_state = 2},
  [369] = {.lex_state = 24, .external_lex_state = 2},
  [370] = {.lex_state = 24, .external_lex_state = 2},
  [371] = {.lex_state = 24, .external_lex_state = 2},
  [372] = {.lex_state = 24, .external_lex_state = 2},
  [373] = {.lex_state = 24, .external_lex_state = 2},
  [374] = {.lex_state = 24, .external_lex_state = 2},
  [375] = {.lex_state = 24, .external_lex_state = 2},
  [376] = {.lex_state = 24, .external_lex_state = 2},
  [377] = {.lex_state = 24, .external_lex_state = 2},
  [378] = {.lex_state = 24, .external_lex_state = 2},
  [379] = {.lex_state = 24, .external_lex_state = 2},
  [380] = {.lex_state = 24, .external_lex_state = 2},
  [381] = {.lex_state = 24, .external_lex_state = 2},
  [382] = {.lex_state = 24, .external_lex_state = 2},
  [383] = {.lex_state = 24, .external_lex_state = 2},
  [384] = {.lex_state = 24, .external_lex_state = 2},
  [385] = {.lex_state = 24, .external_lex_state = 2},
  [386] = {.lex_state = 24, .external_lex_state = 2},
  [387] = {.lex_state = 24, .external_lex_state = 2},
  [388] = {.lex_state = 24, .external_lex_state = 2},
  [389] = {.lex_state = 24, .external_lex_state = 2},
  [390] = {.lex_state = 24, .external_lex_state = 2},
  [391] = {.lex_state = 24, .external_lex_state = 2},
  [392] = {.lex_state = 24, .external_lex_state = 2},
  [393] = {.lex_state = 24, .external_lex_state = 2},
  [394] = {.lex_state = 24, .external_lex_state = 2},
  [395] = {.lex_state = 24, .external_lex_state = 2},
  [396] = {.lex_state = 24, .external_lex_state = 2},
  [397] = {.lex_state = 24, .external_lex_state = 2},
  [398] = {.lex_state = 24, .external_lex_state = 2},
  [399] = {.lex_state = 24, .external_lex_state = 2},
  [400] = {.lex_state = 24, .external_lex_state = 2},
  [401] = {.lex_state = 24, .external_lex_state = 2},
  [402] = {.lex_state = 24, .external_lex_state = 2},
  [403] = {.lex_state = 24, .external_lex_state = 2},
  [404] = {.lex_state = 24, .external_lex_state = 2},
  [405] = {.lex_state = 24, .external_lex_state = 2},
  [406] = {.lex_state = 24, .external_lex_state = 2},
  [407] = {.lex_state = 24, .external_lex_state = 2},
  [408] = {.lex_state = 24, .external_lex_state = 2},
  [409] = {.lex_state = 24, .external_lex_state = 2},
  [410] = {.lex_state = 24, .external_lex_state = 2},
  [411] = {.lex_state = 24, .external_lex_state = 2},
  [412] = {.lex_state = 24, .external_lex_state = 2},
  [413] = {.lex_state = 24, .external_lex_state = 2},
  [414] = {.lex_state = 24, .external_lex_state = 2},
  [415] = {.lex_state = 24, .external_lex_state = 2},
  [416] = {.lex_state = 24, .external_lex_state = 2},
  [417] = {.lex_state = 24, .external_lex_state = 2},
  [418] = {.lex_state = 24, .external_lex_state = 2},
  [419] = {.lex_state = 24, .external_lex_state = 2},
  [420] = {.lex_state = 24, .external_lex_state = 2},
  [421] = {.lex_state = 24, .external_lex_state = 2},
  [422] = {.lex_state = 24, .external_lex_state = 2},
  [423] = {.lex_state = 24, .external_lex_state = 2},
  [424] = {.lex_state = 24, .external_lex_state = 2},
  [425] = {.lex_state = 24, .external_lex_state = 2},
  [426] = {.lex_state = 24, .external_lex_state = 2},
  [427] = {.lex_state = 24, .external_lex_state = 2},
  [428] = {.lex_state = 24, .external_lex_state = 2},
  [429] = {.lex_state = 24, .external_lex_state = 2},
  [430] = {.lex_state = 24, .external_lex_state = 2},
  [431] = {.lex_state = 24, .external_lex_state = 2},
  [432] = {.lex_state = 24, .external_lex_state = 2},
  [433] = {.lex_state = 24, .external_lex_state = 2},
  [434] = {.lex_state = 24, .external_lex_state = 2},
  [435] = {.lex_state = 24, .external_lex_state = 2},
  [436] = {.lex_state = 24, .external_lex_state = 2},
  [437] = {.lex_state = 24, .external_lex_state = 2},
  [438] = {.lex_state = 24, .external_lex_state = 2},
  [439] = {.lex_state = 24, .external_lex_state = 2},
  [440] = {.lex_state = 24, .external_lex_state = 2},
  [441] = {.lex_state = 24, .external_lex_state = 2},
  [442] = {.lex_state = 24, .external_lex_state = 2},
  [443] = {.lex_state = 24, .external_lex_state = 2},
  [444] = {.lex_state = 24, .external_lex_state = 2},
  [445] = {.lex_state = 24, .external_lex_state = 2},
  [446] = {.lex_state = 24, .external_lex_state = 2},
  [447] = {.lex_state = 24, .external_lex_state = 2},
  [448] = {.lex_state = 24, .external_lex_state = 2},
  [449] = {.lex_state = 24, .external_lex_state = 2},
  [450] = {.lex_state = 24, .external_lex_state = 2},
  [451] = {.lex_state = 24, .external_lex_state = 2},
  [452] = {.lex_state = 24, .external_lex_state = 2},
  [453] = {.lex_state = 24, .external_lex_state = 2},
  [454] = {.lex_state = 24, .external_lex_state = 2},
  [455] = {.lex_state = 24, .external_lex_state = 2},
  [456] = {.lex_state = 24, .external_lex_state = 2},
  [457] = {.lex_state = 24, .external_lex_state = 2},
  [458] = {.lex_state = 24, .external_lex_state = 2},
  [459] = {.lex_state = 24, .external_lex_state = 2},
  [460] = {.lex_state = 24, .external_lex_state = 2},
  [461] = {.lex_state = 24, .external_lex_state = 2},
  [462] = {.lex_state = 24, .external_lex_state = 2},
  [463] = {.lex_state = 24, .external_lex_state = 2},
  [464] = {.lex_state = 24, .external_lex_state = 2},
  [465] = {.lex_state = 24, .external_lex_state = 2},
  [466] = {.lex_state = 24, .external_lex_state = 2},
  [467] = {.lex_state = 24, .external_lex_state = 2},
  [468] = {.lex_state = 24, .external_lex_state = 2},
  [469] = {.lex_state = 24, .external_lex_state = 2},
  [470] = {.lex_state = 24, .external_lex_state = 2},
  [471] = {.lex_state = 24, .external_lex_state = 2},
  [472] = {.lex_state = 24, .external_lex_state = 2},
  [473] = {.lex_state = 24, .external_lex_state = 2},
  [474] = {.lex_state = 24, .external_lex_state = 2},
  [475] = {.lex_state = 24, .external_lex_state = 2},
  [476] = {.lex_state = 24, .external_lex_state = 2},
  [477] = {.lex_state = 24, .external_lex_state = 2},
  [478] = {.lex_state = 24, .external_lex_state = 2},
  [479] = {.lex_state = 24, .external_lex_state = 2},
  [480] = {.lex_state = 24, .external_lex_state = 2},
  [481] = {.lex_state = 24, .external_lex_state = 2},
  [482] = {.lex_state = 24, .external_lex_state = 2},
  [483] = {.lex_state = 24, .external_lex_state = 2},
  [484] = {.lex_state = 24, .external_lex_state = 2},
  [485] = {.lex_state = 24, .external_lex_state = 2},
  [486] = {.lex_state = 24, .external_lex_state = 2},
  [487] = {.lex_state = 24, .external_lex_state = 2},
  [488] = {.lex_state = 24, .external_lex_state = 2},
  [489] = {.lex_state = 24, .external_lex_state = 2},
  [490] = {.lex_state = 24, .external_lex_state = 2},
  [491] = {.lex_state = 24, .external_lex_state = 2},
  [492] = {.lex_state = 24, .external_lex_state = 2},
  [493] = {.lex_state = 24, .external_lex_state = 2},
  [494] = {.lex_state = 24, .external_lex_state = 2},
  [495] = {.lex_state = 24, .external_lex_state = 2},
  [496] = {.lex_state = 24, .external_lex_state = 2},
  [497] = {.lex_state = 24, .external_lex_state = 2},
  [498] = {.lex_state = 24, .external_lex_state = 2},
  [499] = {.lex_state = 24, .external_lex_state = 2},
  [500] = {.lex_state = 24, .external_lex_state = 2},
  [501] = {.lex_state = 408, .external_lex_state = 2},
  [502] = {.lex_state = 24, .external_lex_state = 2},
  [503] = {.lex_state = 24, .external_lex_state = 2},
  [504] = {.lex_state = 24, .external_lex_state = 2},
  [505] = {.lex_state = 24, .external_lex_state = 2},
  [506] = {.lex_state = 24, .external_lex_state = 2},
  [507] = {.lex_state = 24, .external_lex_state = 2},
  [508] = {.lex_state = 24, .external_lex_state = 2},
  [509] = {.lex_state = 24, .external_lex_state = 2},
  [510] = {.lex_state = 24, .external_lex_state = 2},
  [511] = {.lex_state = 24, .external_lex_state = 2},
  [512] = {.lex_state = 24, .external_lex_state = 2},
  [513] = {.lex_state = 24, .external_lex_state = 2},
  [514] = {.lex_state = 24, .external_lex_state = 2},
  [515] = {.lex_state = 24, .external_lex_state = 2},
  [516] = {.lex_state = 24, .external_lex_state = 2},
  [517] = {.lex_state = 24, .external_lex_state = 2},
  [518] = {.lex_state = 24, .external_lex_state = 2},
  [519] = {.lex_state = 24, .external_lex_state = 2},
  [520] = {.lex_state = 24, .external_lex_state = 2},
  [521] = {.lex_state = 24, .external_lex_state = 2},
  [522] = {.lex_state = 24, .external_lex_state = 2},
  [523] = {.lex_state = 24, .external_lex_state = 2},
  [524] = {.lex_state = 24, .external_lex_state = 2},
  [525] = {.lex_state = 24, .external_lex_state = 2},
  [526] = {.lex_state = 24, .external_lex_state = 2},
  [527] = {.lex_state = 24, .external_lex_state = 2},
  [528] = {.lex_state = 24, .external_lex_state = 2},
  [529] = {.lex_state = 24, .external_lex_state = 2},
  [530] = {.lex_state = 24, .external_lex_state = 2},
  [531] = {.lex_state = 24, .external_lex_state = 2},
  [532] = {.lex_state = 24, .external_lex_state = 2},
  [533] = {.lex_state = 24, .external_lex_state = 2},
  [534] = {.lex_state = 24, .external_lex_state = 2},
  [535] = {.lex_state = 24, .external_lex_state = 2},
  [536] = {.lex_state = 24, .external_lex_state = 2},
  [537] = {.lex_state = 24, .external_lex_state = 2},
  [538] = {.lex_state = 24, .external_lex_state = 2},
  [539] = {.lex_state = 24, .external_lex_state = 2},
  [540] = {.lex_state = 24, .external_lex_state = 2},
  [541] = {.lex_state = 24, .external_lex_state = 2},
  [542] = {.lex_state = 24, .external_lex_state = 2},
  [543] = {.lex_state = 24, .external_lex_state = 2},
  [544] = {.lex_state = 24, .external_lex_state = 2},
  [545] = {.lex_state = 24, .external_lex_state = 2},
  [546] = {.lex_state = 24, .external_lex_state = 2},
  [547] = {.lex_state = 24, .external_lex_state = 2},
  [548] = {.lex_state = 24, .external_lex_state = 2},
  [549] = {.lex_state = 24, .external_lex_state = 2},
  [550] = {.lex_state = 24, .external_lex_state = 2},
  [551] = {.lex_state = 24, .external_lex_state = 2},
  [552] = {.lex_state = 24, .external_lex_state = 2},
  [553] = {.lex_state = 24, .external_lex_state = 2},
  [554] = {.lex_state = 24, .external_lex_state = 2},
  [555] = {.lex_state = 24, .external_lex_state = 2},
  [556] = {.lex_state = 24, .external_lex_state = 2},
  [557] = {.lex_state = 24, .external_lex_state = 2},
  [558] = {.lex_state = 24, .external_lex_state = 2},
  [559] = {.lex_state = 24, .external_lex_state = 2},
  [560] = {.lex_state = 24, .external_lex_state = 2},
  [561] = {.lex_state = 24, .external_lex_state = 2},
  [562] = {.lex_state = 24, .external_lex_state = 2},
  [563] = {.lex_state = 24, .external_lex_state = 2},
  [564] = {.lex_state = 24, .external_lex_state = 2},
  [565] = {.lex_state = 24, .external_lex_state = 2},
  [566] = {.lex_state = 24, .external_lex_state = 2},
  [567] = {.lex_state = 24, .external_lex_state = 2},
  [568] = {.lex_state = 24, .external_lex_state = 2},
  [569] = {.lex_state = 24, .external_lex_state = 2},
  [570] = {.lex_state = 408, .external_lex_state = 2},
  [571] = {.lex_state = 24, .external_lex_state = 2},
  [572] = {.lex_state = 24, .external_lex_state = 2},
  [573] = {.lex_state = 58, .external_lex_state = 2},
  [574] = {.lex_state = 24, .external_lex_state = 2},
  [575] = {.lex_state = 24, .external_lex_state = 2},
  [576] = {.lex_state = 24, .external_lex_state = 2},
  [577] = {.lex_state = 24, .external_lex_state = 2},
  [578] = {.lex_state = 24, .external_lex_state = 2},
  [579] = {.lex_state = 24, .external_lex_state = 2},
  [580] = {.lex_state = 24, .external_lex_state = 2},
  [581] = {.lex_state = 24, .external_lex_state = 2},
  [582] = {.lex_state = 24, .external_lex_state = 2},
  [583] = {.lex_state = 409, .external_lex_state = 2},
  [584] = {.lex_state = 24, .external_lex_state = 2},
  [585] = {.lex_state = 24, .external_lex_state = 2},
  [586] = {.lex_state = 24, .external_lex_state = 2},
  [587] = {.lex_state = 24, .external_lex_state = 2},
  [588] = {.lex_state = 24, .external_lex_state = 2},
  [589] = {.lex_state = 24, .external_lex_state = 2},
  [590] = {.lex_state = 59, .external_lex_state = 2},
  [591] = {.lex_state = 24, .external_lex_state = 2},
  [592] = {.lex_state = 24, .external_lex_state = 2},
  [593] = {.lex_state = 24, .external_lex_state = 2},
  [594] = {.lex_state = 24, .external_lex_state = 2},
  [595] = {.lex_state = 24, .external_lex_state = 2},
  [596] = {.lex_state = 24, .external_lex_state = 2},
  [597] = {.lex_state = 24, .external_lex_state = 2},
  [598] = {.lex_state = 24, .external_lex_state = 2},
  [599] = {.lex_state = 28, .external_lex_state = 2},
  [600] = {.lex_state = 28, .external_lex_state = 2},
  [601] = {.lex_state = 24, .external_lex_state = 2},
  [602] = {.lex_state = 24, .external_lex_state = 2},
  [603] = {.lex_state = 24, .external_lex_state = 2},
  [604] = {.lex_state = 24, .external_lex_state = 2},
  [605] = {.lex_state = 24, .external_lex_state = 2},
  [606] = {.lex_state = 24, .external_lex_state = 2},
  [607] = {.lex_state = 60, .external_lex_state = 2},
  [608] = {.lex_state = 406, .external_lex_state = 2},
  [609] = {.lex_state = 24, .external_lex_state = 2},
  [610] = {.lex_state = 24, .external_lex_state = 2},
  [611] = {.lex_state = 24, .external_lex_state = 2},
  [612] = {.lex_state = 24, .external_lex_state = 2},
  [613] = {.lex_state = 24, .external_lex_state = 2},
  [614] = {.lex_state = 28, .external_lex_state = 2},
  [615] = {.lex_state = 24, .external_lex_state = 2},
  [616] = {.lex_state = 24, .external_lex_state = 2},
  [617] = {.lex_state = 24, .external_lex_state = 2},
  [618] = {.lex_state = 24, .external_lex_state = 2},
  [619] = {.lex_state = 24, .external_lex_state = 2},
  [620] = {.lex_state = 24, .external_lex_state = 2},
  [621] = {.lex_state = 24, .external_lex_state = 2},
  [622] = {.lex_state = 24, .external_lex_state = 2},
  [623] = {.lex_state = 24, .external_lex_state = 2},
  [624] = {.lex_state = 409, .external_lex_state = 2},
  [625] = {.lex_state = 24, .external_lex_state = 2},
  [626] = {.lex_state = 28, .external_lex_state = 2},
  [627] = {.lex_state = 24, .external_lex_state = 2},
  [628] = {.lex_state = 24, .external_lex_state = 2},
  [629] = {.lex_state = 24, .external_lex_state = 2},
  [630] = {.lex_state = 24, .external_lex_state = 2},
  [631] = {.lex_state = 24, .external_lex_state = 2},
  [632] = {.lex_state = 24, .external_lex_state = 2},
  [633] = {.lex_state = 406, .external_lex_state = 2},
  [634] = {.lex_state = 24, .external_lex_state = 2},
  [635] = {.lex_state = 24, .external_lex_state = 2},
  [636] = {.lex_state = 24, .external_lex_state = 2},
  [637] = {.lex_state = 24, .external_lex_state = 2},
  [638] = {.lex_state = 24, .external_lex_state = 2},
  [639] = {.lex_state = 24, .external_lex_state = 2},
  [640] = {.lex_state = 24, .external_lex_state = 2},
  [641] = {.lex_state = 24, .external_lex_state = 2},
  [642] = {.lex_state = 24, .external_lex_state = 2},
  [643] = {.lex_state = 24, .external_lex_state = 2},
  [644] = {.lex_state = 24, .external_lex_state = 2},
  [645] = {.lex_state = 24, .external_lex_state = 2},
  [646] = {.lex_state = 24, .external_lex_state = 2},
  [647] = {.lex_state = 24, .external_lex_state = 2},
  [648] = {.lex_state = 24, .external_lex_state = 2},
  [649] = {.lex_state = 24, .external_lex_state = 2},
  [650] = {.lex_state = 24, .external_lex_state = 2},
  [651] = {.lex_state = 24, .external_lex_state = 2},
  [652] = {.lex_state = 24, .external_lex_state = 2},
  [653] = {.lex_state = 24, .external_lex_state = 2},
  [654] = {.lex_state = 24, .external_lex_state = 2},
  [655] = {.lex_state = 24, .external_lex_state = 2},
  [656] = {.lex_state = 24, .external_lex_state = 2},
  [657] = {.lex_state = 24, .external_lex_state = 2},
  [658] = {.lex_state = 24, .external_lex_state = 2},
  [659] = {.lex_state = 24, .external_lex_state = 2},
  [660] = {.lex_state = 24, .external_lex_state = 2},
  [661] = {.lex_state = 24, .external_lex_state = 2},
  [662] = {.lex_state = 24, .external_lex_state = 2},
  [663] = {.lex_state = 24, .external_lex_state = 2},
  [664] = {.lex_state = 24, .external_lex_state = 2},
  [665] = {.lex_state = 24, .external_lex_state = 2},
  [666] = {.lex_state = 24, .external_lex_state = 2},
  [667] = {.lex_state = 24, .external_lex_state = 2},
  [668] = {.lex_state = 24, .external_lex_state = 2},
  [669] = {.lex_state = 24, .external_lex_state = 2},
  [670] = {.lex_state = 24, .external_lex_state = 2},
  [671] = {.lex_state = 24, .external_lex_state = 2},
  [672] = {.lex_state = 24, .external_lex_state = 2},
  [673] = {.lex_state = 24, .external_lex_state = 2},
  [674] = {.lex_state = 24, .external_lex_state = 2},
  [675] = {.lex_state = 24, .external_lex_state = 2},
  [676] = {.lex_state = 24, .external_lex_state = 2},
  [677] = {.lex_state = 24, .external_lex_state = 2},
  [678] = {.lex_state = 24, .external_lex_state = 2},
  [679] = {.lex_state = 24, .external_lex_state = 2},
  [680] = {.lex_state = 24, .external_lex_state = 2},
  [681] = {.lex_state = 24, .external_lex_state = 2},
  [682] = {.lex_state = 24, .external_lex_state = 2},
  [683] = {.lex_state = 24, .external_lex_state = 2},
  [684] = {.lex_state = 24, .external_lex_state = 2},
  [685] = {.lex_state = 24, .external_lex_state = 2},
  [686] = {.lex_state = 24, .external_lex_state = 2},
  [687] = {.lex_state = 24, .external_lex_state = 2},
  [688] = {.lex_state = 24, .external_lex_state = 2},
  [689] = {.lex_state = 24, .external_lex_state = 2},
  [690] = {.lex_state = 24, .external_lex_state = 2},
  [691] = {.lex_state = 24, .external_lex_state = 2},
  [692] = {.lex_state = 24, .external_lex_state = 2},
  [693] = {.lex_state = 24, .external_lex_state = 2},
  [694] = {.lex_state = 24, .external_lex_state = 2},
  [695] = {.lex_state = 24, .external_lex_state = 2},
  [696] = {.lex_state = 24, .external_lex_state = 2},
  [697] = {.lex_state = 24, .external_lex_state = 2},
  [698] = {.lex_state = 24, .external_lex_state = 2},
  [699] = {.lex_state = 24, .external_lex_state = 2},
  [700] = {.lex_state = 24, .external_lex_state = 2},
  [701] = {.lex_state = 24, .external_lex_state = 2},
  [702] = {.lex_state = 24, .external_lex_state = 2},
  [703] = {.lex_state = 24, .external_lex_state = 2},
  [704] = {.lex_state = 24, .external_lex_state = 2},
  [705] = {.lex_state = 24, .external_lex_state = 2},
  [706] = {.lex_state = 24, .external_lex_state = 2},
  [707] = {.lex_state = 24, .external_lex_state = 2},
  [708] = {.lex_state = 24, .external_lex_state = 2},
  [709] = {.lex_state = 24, .external_lex_state = 2},
  [710] = {.lex_state = 24, .external_lex_state = 2},
  [711] = {.lex_state = 24, .external_lex_state = 2},
  [712] = {.lex_state = 24, .external_lex_state = 2},
  [713] = {.lex_state = 24, .external_lex_state = 2},
  [714] = {.lex_state = 24, .external_lex_state = 2},
  [715] = {.lex_state = 24, .external_lex_state = 2},
  [716] = {.lex_state = 24, .external_lex_state = 2},
  [717] = {.lex_state = 24, .external_lex_state = 2},
  [718] = {.lex_state = 24, .external_lex_state = 2},
  [719] = {.lex_state = 24, .external_lex_state = 2},
  [720] = {.lex_state = 24, .external_lex_state = 2},
  [721] = {.lex_state = 24, .external_lex_state = 2},
  [722] = {.lex_state = 24, .external_lex_state = 2},
  [723] = {.lex_state = 24, .external_lex_state = 2},
  [724] = {.lex_state = 24, .external_lex_state = 2},
  [725] = {.lex_state = 24, .external_lex_state = 2},
  [726] = {.lex_state = 24, .external_lex_state = 2},
  [727] = {.lex_state = 24, .external_lex_state = 2},
  [728] = {.lex_state = 24, .external_lex_state = 2},
  [729] = {.lex_state = 24, .external_lex_state = 2},
  [730] = {.lex_state = 24, .external_lex_state = 2},
  [731] = {.lex_state = 24, .external_lex_state = 2},
  [732] = {.lex_state = 24, .external_lex_state = 2},
  [733] = {.lex_state = 24, .external_lex_state = 2},
  [734] = {.lex_state = 24, .external_lex_state = 2},
  [735] = {.lex_state = 24, .external_lex_state = 2},
  [736] = {.lex_state = 24, .external_lex_state = 2},
  [737] = {.lex_state = 24, .external_lex_state = 2},
  [738] = {.lex_state = 24, .external_lex_state = 2},
  [739] = {.lex_state = 24, .external_lex_state = 2},
  [740] = {.lex_state = 24, .external_lex_state = 2},
  [741] = {.lex_state = 24, .external_lex_state = 2},
  [742] = {.lex_state = 24, .external_lex_state = 2},
  [743] = {.lex_state = 24, .external_lex_state = 2},
  [744] = {.lex_state = 24, .external_lex_state = 2},
  [745] = {.lex_state = 24, .external_lex_state = 2},
  [746] = {.lex_state = 24, .external_lex_state = 2},
  [747] = {.lex_state = 24, .external_lex_state = 2},
  [748] = {.lex_state = 24, .external_lex_state = 2},
  [749] = {.lex_state = 24, .external_lex_state = 2},
  [750] = {.lex_state = 24, .external_lex_state = 2},
  [751] = {.lex_state = 24, .external_lex_state = 2},
  [752] = {.lex_state = 24, .external_lex_state = 2},
  [753] = {.lex_state = 24, .external_lex_state = 2},
  [754] = {.lex_state = 24, .external_lex_state = 2},
  [755] = {.lex_state = 24, .external_lex_state = 2},
  [756] = {.lex_state = 24, .external_lex_state = 2},
  [757] = {.lex_state = 24, .external_lex_state = 2},
  [758] = {.lex_state = 24, .external_lex_state = 2},
  [759] = {.lex_state = 24, .external_lex_state = 2},
  [760] = {.lex_state = 24, .external_lex_state = 2},
  [761] = {.lex_state = 24, .external_lex_state = 2},
  [762] = {.lex_state = 24, .external_lex_state = 2},
  [763] = {.lex_state = 24, .external_lex_state = 2},
  [764] = {.lex_state = 24, .external_lex_state = 2},
  [765] = {.lex_state = 24, .external_lex_state = 2},
  [766] = {.lex_state = 24, .external_lex_state = 2},
  [767] = {.lex_state = 24, .external_lex_state = 2},
  [768] = {.lex_state = 24, .external_lex_state = 2},
  [769] = {.lex_state = 24, .external_lex_state = 2},
  [770] = {.lex_state = 24, .external_lex_state = 2},
  [771] = {.lex_state = 24, .external_lex_state = 2},
  [772] = {.lex_state = 24, .external_lex_state = 2},
  [773] = {.lex_state = 24, .external_lex_state = 2},
  [774] = {.lex_state = 24, .external_lex_state = 2},
  [775] = {.lex_state = 24, .external_lex_state = 2},
  [776] = {.lex_state = 24, .external_lex_state = 2},
  [777] = {.lex_state = 24, .external_lex_state = 2},
  [778] = {.lex_state = 24, .external_lex_state = 2},
  [779] = {.lex_state = 24, .external_lex_state = 2},
  [780] = {.lex_state = 24, .external_lex_state = 2},
  [781] = {.lex_state = 24, .external_lex_state = 2},
  [782] = {.lex_state = 24, .external_lex_state = 2},
  [783] = {.lex_state = 24, .external_lex_state = 2},
  [784] = {.lex_state = 24, .external_lex_state = 2},
  [785] = {.lex_state = 24, .external_lex_state = 2},
  [786] = {.lex_state = 24, .external_lex_state = 2},
  [787] = {.lex_state = 24, .external_lex_state = 2},
  [788] = {.lex_state = 24, .external_lex_state = 2},
  [789] = {.lex_state = 24, .external_lex_state = 2},
  [790] = {.lex_state = 24, .external_lex_state = 2},
  [791] = {.lex_state = 24, .external_lex_state = 2},
  [792] = {.lex_state = 24, .external_lex_state = 2},
  [793] = {.lex_state = 24, .external_lex_state = 2},
  [794] = {.lex_state = 24, .external_lex_state = 2},
  [795] = {.lex_state = 24, .external_lex_state = 2},
  [796] = {.lex_state = 24, .external_lex_state = 2},
  [797] = {.lex_state = 24, .external_lex_state = 2},
  [798] = {.lex_state = 24, .external_lex_state = 2},
  [799] = {.lex_state = 24, .external_lex_state = 2},
  [800] = {.lex_state = 24, .external_lex_state = 2},
  [801] = {.lex_state = 24, .external_lex_state = 2},
  [802] = {.lex_state = 24, .external_lex_state = 2},
  [803] = {.lex_state = 24, .external_lex_state = 2},
  [804] = {.lex_state = 24, .external_lex_state = 2},
  [805] = {.lex_state = 24, .external_lex_state = 2},
  [806] = {.lex_state = 24, .external_lex_state = 2},
  [807] = {.lex_state = 24, .external_lex_state = 2},
  [808] = {.lex_state = 24, .external_lex_state = 2},
  [809] = {.lex_state = 24, .external_lex_state = 2},
  [810] = {.lex_state = 24, .external_lex_state = 2},
  [811] = {.lex_state = 24, .external_lex_state = 2},
  [812] = {.lex_state = 24, .external_lex_state = 2},
  [813] = {.lex_state = 24, .external_lex_state = 2},
  [814] = {.lex_state = 24, .external_lex_state = 2},
  [815] = {.lex_state = 24, .external_lex_state = 2},
  [816] = {.lex_state = 24, .external_lex_state = 2},
  [817] = {.lex_state = 24, .external_lex_state = 2},
  [818] = {.lex_state = 24, .external_lex_state = 2},
  [819] = {.lex_state = 24, .external_lex_state = 2},
  [820] = {.lex_state = 24, .external_lex_state = 2},
  [821] = {.lex_state = 24, .external_lex_state = 2},
  [822] = {.lex_state = 24, .external_lex_state = 2},
  [823] = {.lex_state = 24, .external_lex_state = 2},
  [824] = {.lex_state = 24, .external_lex_state = 2},
  [825] = {.lex_state = 24, .external_lex_state = 2},
  [826] = {.lex_state = 24, .external_lex_state = 2},
  [827] = {.lex_state = 24, .external_lex_state = 2},
  [828] = {.lex_state = 24, .external_lex_state = 2},
  [829] = {.lex_state = 24, .external_lex_state = 2},
  [830] = {.lex_state = 24, .external_lex_state = 2},
  [831] = {.lex_state = 24, .external_lex_state = 2},
  [832] = {.lex_state = 24, .external_lex_state = 2},
  [833] = {.lex_state = 24, .external_lex_state = 2},
  [834] = {.lex_state = 24, .external_lex_state = 2},
  [835] = {.lex_state = 24, .external_lex_state = 2},
  [836] = {.lex_state = 24, .external_lex_state = 2},
  [837] = {.lex_state = 24, .external_lex_state = 2},
  [838] = {.lex_state = 24, .external_lex_state = 2},
  [839] = {.lex_state = 24, .external_lex_state = 2},
  [840] = {.lex_state = 24, .external_lex_state = 2},
  [841] = {.lex_state = 24, .external_lex_state = 2},
  [842] = {.lex_state = 24, .external_lex_state = 2},
  [843] = {.lex_state = 24, .external_lex_state = 2},
  [844] = {.lex_state = 24, .external_lex_state = 2},
  [845] = {.lex_state = 24, .external_lex_state = 2},
  [846] = {.lex_state = 24, .external_lex_state = 2},
  [847] = {.lex_state = 24, .external_lex_state = 2},
  [848] = {.lex_state = 24, .external_lex_state = 2},
  [849] = {.lex_state = 24, .external_lex_state = 2},
  [850] = {.lex_state = 24, .external_lex_state = 2},
  [851] = {.lex_state = 24, .external_lex_state = 2},
  [852] = {.lex_state = 24, .external_lex_state = 2},
  [853] = {.lex_state = 24, .external_lex_state = 2},
  [854] = {.lex_state = 24, .external_lex_state = 2},
  [855] = {.lex_state = 24, .external_lex_state = 2},
  [856] = {.lex_state = 24, .external_lex_state = 2},
  [857] = {.lex_state = 24, .external_lex_state = 2},
  [858] = {.lex_state = 24, .external_lex_state = 2},
  [859] = {.lex_state = 24, .external_lex_state = 2},
  [860] = {.lex_state = 24, .external_lex_state = 2},
  [861] = {.lex_state = 24, .external_lex_state = 2},
  [862] = {.lex_state = 24, .external_lex_state = 2},
  [863] = {.lex_state = 24, .external_lex_state = 2},
  [864] = {.lex_state = 24, .external_lex_state = 2},
  [865] = {.lex_state = 24, .external_lex_state = 2},
  [866] = {.lex_state = 24, .external_lex_state = 2},
  [867] = {.lex_state = 24, .external_lex_state = 2},
  [868] = {.lex_state = 24, .external_lex_state = 2},
  [869] = {.lex_state = 24, .external_lex_state = 2},
  [870] = {.lex_state = 24, .external_lex_state = 2},
  [871] = {.lex_state = 24, .external_lex_state = 2},
  [872] = {.lex_state = 24, .external_lex_state = 2},
  [873] = {.lex_state = 24, .external_lex_state = 2},
  [874] = {.lex_state = 24, .external_lex_state = 2},
  [875] = {.lex_state = 24, .external_lex_state = 2},
  [876] = {.lex_state = 24, .external_lex_state = 2},
  [877] = {.lex_state = 24, .external_lex_state = 2},
  [878] = {.lex_state = 24, .external_lex_state = 2},
  [879] = {.lex_state = 24, .external_lex_state = 2},
  [880] = {.lex_state = 24, .external_lex_state = 2},
  [881] = {.lex_state = 24, .external_lex_state = 2},
  [882] = {.lex_state = 24, .external_lex_state = 2},
  [883] = {.lex_state = 24, .external_lex_state = 2},
  [884] = {.lex_state = 24, .external_lex_state = 2},
  [885] = {.lex_state = 24, .external_lex_state = 2},
  [886] = {.lex_state = 24, .external_lex_state = 2},
  [887] = {.lex_state = 24, .external_lex_state = 2},
  [888] = {.lex_state = 24, .external_lex_state = 2},
  [889] = {.lex_state = 24, .external_lex_state = 2},
  [890] = {.lex_state = 24, .external_lex_state = 2},
  [891] = {.lex_state = 24, .external_lex_state = 2},
  [892] = {.lex_state = 24, .external_lex_state = 2},
  [893] = {.lex_state = 24, .external_lex_state = 2},
  [894] = {.lex_state = 24, .external_lex_state = 2},
  [895] = {.lex_state = 24, .external_lex_state = 2},
  [896] = {.lex_state = 24, .external_lex_state = 2},
  [897] = {.lex_state = 24, .external_lex_state = 2},
  [898] = {.lex_state = 24, .external_lex_state = 2},
  [899] = {.lex_state = 24, .external_lex_state = 2},
  [900] = {.lex_state = 24, .external_lex_state = 2},
  [901] = {.lex_state = 24, .external_lex_state = 2},
  [902] = {.lex_state = 24, .external_lex_state = 2},
  [903] = {.lex_state = 24, .external_lex_state = 2},
  [904] = {.lex_state = 24, .external_lex_state = 2},
  [905] = {.lex_state = 24, .external_lex_state = 2},
  [906] = {.lex_state = 24, .external_lex_state = 2},
  [907] = {.lex_state = 24, .external_lex_state = 2},
  [908] = {.lex_state = 24, .external_lex_state = 2},
  [909] = {.lex_state = 24, .external_lex_state = 2},
  [910] = {.lex_state = 24, .external_lex_state = 2},
  [911] = {.lex_state = 24, .external_lex_state = 2},
  [912] = {.lex_state = 24, .external_lex_state = 2},
  [913] = {.lex_state = 24, .external_lex_state = 2},
  [914] = {.lex_state = 24, .external_lex_state = 2},
  [915] = {.lex_state = 24, .external_lex_state = 2},
  [916] = {.lex_state = 24, .external_lex_state = 2},
  [917] = {.lex_state = 24, .external_lex_state = 2},
  [918] = {.lex_state = 24, .external_lex_state = 2},
  [919] = {.lex_state = 24, .external_lex_state = 2},
  [920] = {.lex_state = 24, .external_lex_state = 2},
  [921] = {.lex_state = 24, .external_lex_state = 2},
  [922] = {.lex_state = 24, .external_lex_state = 2},
  [923] = {.lex_state = 24, .external_lex_state = 2},
  [924] = {.lex_state = 24, .external_lex_state = 2},
  [925] = {.lex_state = 24, .external_lex_state = 2},
  [926] = {.lex_state = 24, .external_lex_state = 2},
  [927] = {.lex_state = 24, .external_lex_state = 2},
  [928] = {.lex_state = 24, .external_lex_state = 2},
  [929] = {.lex_state = 24, .external_lex_state = 2},
  [930] = {.lex_state = 24, .external_lex_state = 2},
  [931] = {.lex_state = 24, .external_lex_state = 2},
  [932] = {.lex_state = 24, .external_lex_state = 2},
  [933] = {.lex_state = 24, .external_lex_state = 2},
  [934] = {.lex_state = 24, .external_lex_state = 2},
  [935] = {.lex_state = 24, .external_lex_state = 2},
  [936] = {.lex_state = 24, .external_lex_state = 2},
  [937] = {.lex_state = 24, .external_lex_state = 2},
  [938] = {.lex_state = 24, .external_lex_state = 2},
  [939] = {.lex_state = 24, .external_lex_state = 2},
  [940] = {.lex_state = 24, .external_lex_state = 2},
  [941] = {.lex_state = 24, .external_lex_state = 2},
  [942] = {.lex_state = 24, .external_lex_state = 2},
  [943] = {.lex_state = 24, .external_lex_state = 2},
  [944] = {.lex_state = 24, .external_lex_state = 2},
  [945] = {.lex_state = 24, .external_lex_state = 2},
  [946] = {.lex_state = 24, .external_lex_state = 2},
  [947] = {.lex_state = 24, .external_lex_state = 2},
  [948] = {.lex_state = 24, .external_lex_state = 2},
  [949] = {.lex_state = 24, .external_lex_state = 2},
  [950] = {.lex_state = 24, .external_lex_state = 2},
  [951] = {.lex_state = 24, .external_lex_state = 2},
  [952] = {.lex_state = 24, .external_lex_state = 2},
  [953] = {.lex_state = 24, .external_lex_state = 2},
  [954] = {.lex_state = 24, .external_lex_state = 2},
  [955] = {.lex_state = 24, .external_lex_state = 2},
  [956] = {.lex_state = 24, .external_lex_state = 2},
  [957] = {.lex_state = 24, .external_lex_state = 2},
  [958] = {.lex_state = 24, .external_lex_state = 2},
  [959] = {.lex_state = 24, .external_lex_state = 2},
  [960] = {.lex_state = 24, .external_lex_state = 2},
  [961] = {.lex_state = 24, .external_lex_state = 2},
  [962] = {.lex_state = 24, .external_lex_state = 2},
  [963] = {.lex_state = 24, .external_lex_state = 2},
  [964] = {.lex_state = 24, .external_lex_state = 2},
  [965] = {.lex_state = 24, .external_lex_state = 2},
  [966] = {.lex_state = 24, .external_lex_state = 2},
  [967] = {.lex_state = 24, .external_lex_state = 2},
  [968] = {.lex_state = 24, .external_lex_state = 2},
  [969] = {.lex_state = 24, .external_lex_state = 2},
  [970] = {.lex_state = 24, .external_lex_state = 2},
  [971] = {.lex_state = 24, .external_lex_state = 2},
  [972] = {.lex_state = 24, .external_lex_state = 2},
  [973] = {.lex_state = 24, .external_lex_state = 2},
  [974] = {.lex_state = 24, .external_lex_state = 2},
  [975] = {.lex_state = 24, .external_lex_state = 2},
  [976] = {.lex_state = 24, .external_lex_state = 2},
  [977] = {.lex_state = 24, .external_lex_state = 2},
  [978] = {.lex_state = 24, .external_lex_state = 2},
  [979] = {.lex_state = 24, .external_lex_state = 2},
  [980] = {.lex_state = 24, .external_lex_state = 2},
  [981] = {.lex_state = 24, .external_lex_state = 2},
  [982] = {.lex_state = 24, .external_lex_state = 2},
  [983] = {.lex_state = 24, .external_lex_state = 2},
  [984] = {.lex_state = 24, .external_lex_state = 2},
  [985] = {.lex_state = 24, .external_lex_state = 2},
  [986] = {.lex_state = 24, .external_lex_state = 2},
  [987] = {.lex_state = 24, .external_lex_state = 2},
  [988] = {.lex_state = 24, .external_lex_state = 2},
  [989] = {.lex_state = 24, .external_lex_state = 2},
  [990] = {.lex_state = 24, .external_lex_state = 2},
  [991] = {.lex_state = 24, .external_lex_state = 2},
  [992] = {.lex_state = 24, .external_lex_state = 2},
  [993] = {.lex_state = 24, .external_lex_state = 2},
  [994] = {.lex_state = 24, .external_lex_state = 2},
  [995] = {.lex_state = 24, .external_lex_state = 2},
  [996] = {.lex_state = 24, .external_lex_state = 2},
  [997] = {.lex_state = 24, .external_lex_state = 2},
  [998] = {.lex_state = 24, .external_lex_state = 2},
  [999] = {.lex_state = 24, .external_lex_state = 2},
  [1000] = {.lex_state = 24, .external_lex_state = 2},
  [1001] = {.lex_state = 24, .external_lex_state = 2},
  [1002] = {.lex_state = 24, .external_lex_state = 2},
  [1003] = {.lex_state = 24, .external_lex_state = 2},
  [1004] = {.lex_state = 24, .external_lex_state = 2},
  [1005] = {.lex_state = 24, .external_lex_state = 2},
  [1006] = {.lex_state = 24, .external_lex_state = 2},
  [1007] = {.lex_state = 24, .external_lex_state = 2},
  [1008] = {.lex_state = 24, .external_lex_state = 2},
  [1009] = {.lex_state = 24, .external_lex_state = 2},
  [1010] = {.lex_state = 24, .external_lex_state = 2},
  [1011] = {.lex_state = 24, .external_lex_state = 2},
  [1012] = {.lex_state = 24, .external_lex_state = 2},
  [1013] = {.lex_state = 24, .external_lex_state = 2},
  [1014] = {.lex_state = 24, .external_lex_state = 2},
  [1015] = {.lex_state = 24, .external_lex_state = 2},
  [1016] = {.lex_state = 24, .external_lex_state = 2},
  [1017] = {.lex_state = 24, .external_lex_state = 2},
  [1018] = {.lex_state = 24, .external_lex_state = 2},
  [1019] = {.lex_state = 24, .external_lex_state = 2},
  [1020] = {.lex_state = 24, .external_lex_state = 2},
  [1021] = {.lex_state = 24, .external_lex_state = 2},
  [1022] = {.lex_state = 24, .external_lex_state = 2},
  [1023] = {.lex_state = 24, .external_lex_state = 2},
  [1024] = {.lex_state = 24, .external_lex_state = 2},
  [1025] = {.lex_state = 24, .external_lex_state = 2},
  [1026] = {.lex_state = 24, .external_lex_state = 2},
  [1027] = {.lex_state = 24, .external_lex_state = 2},
  [1028] = {.lex_state = 24, .external_lex_state = 2},
  [1029] = {.lex_state = 24, .external_lex_state = 2},
  [1030] = {.lex_state = 24, .external_lex_state = 2},
  [1031] = {.lex_state = 24, .external_lex_state = 2},
  [1032] = {.lex_state = 24, .external_lex_state = 2},
  [1033] = {.lex_state = 24, .external_lex_state = 2},
  [1034] = {.lex_state = 24, .external_lex_state = 2},
  [1035] = {.lex_state = 24, .external_lex_state = 2},
  [1036] = {.lex_state = 24, .external_lex_state = 2},
  [1037] = {.lex_state = 24, .external_lex_state = 2},
  [1038] = {.lex_state = 24, .external_lex_state = 2},
  [1039] = {.lex_state = 24, .external_lex_state = 2},
  [1040] = {.lex_state = 24, .external_lex_state = 2},
  [1041] = {.lex_state = 24, .external_lex_state = 2},
  [1042] = {.lex_state = 24, .external_lex_state = 2},
  [1043] = {.lex_state = 24, .external_lex_state = 2},
  [1044] = {.lex_state = 24, .external_lex_state = 2},
  [1045] = {.lex_state = 24, .external_lex_state = 2},
  [1046] = {.lex_state = 24, .external_lex_state = 2},
  [1047] = {.lex_state = 24, .external_lex_state = 2},
  [1048] = {.lex_state = 24, .external_lex_state = 2},
  [1049] = {.lex_state = 24, .external_lex_state = 2},
  [1050] = {.lex_state = 24, .external_lex_state = 2},
  [1051] = {.lex_state = 24, .external_lex_state = 2},
  [1052] = {.lex_state = 24, .external_lex_state = 2},
  [1053] = {.lex_state = 24, .external_lex_state = 2},
  [1054] = {.lex_state = 24, .external_lex_state = 2},
  [1055] = {.lex_state = 24, .external_lex_state = 2},
  [1056] = {.lex_state = 24, .external_lex_state = 2},
  [1057] = {.lex_state = 24, .external_lex_state = 2},
  [1058] = {.lex_state = 24, .external_lex_state = 2},
  [1059] = {.lex_state = 24, .external_lex_state = 2},
  [1060] = {.lex_state = 24, .external_lex_state = 2},
  [1061] = {.lex_state = 24, .external_lex_state = 2},
  [1062] = {.lex_state = 24, .external_lex_state = 2},
  [1063] = {.lex_state = 24, .external_lex_state = 2},
  [1064] = {.lex_state = 24, .external_lex_state = 2},
  [1065] = {.lex_state = 24, .external_lex_state = 2},
  [1066] = {.lex_state = 24, .external_lex_state = 2},
  [1067] = {.lex_state = 24, .external_lex_state = 2},
  [1068] = {.lex_state = 24, .external_lex_state = 2},
  [1069] = {.lex_state = 24, .external_lex_state = 2},
  [1070] = {.lex_state = 24, .external_lex_state = 2},
  [1071] = {.lex_state = 24, .external_lex_state = 2},
  [1072] = {.lex_state = 24, .external_lex_state = 2},
  [1073] = {.lex_state = 24, .external_lex_state = 2},
  [1074] = {.lex_state = 24, .external_lex_state = 2},
  [1075] = {.lex_state = 24, .external_lex_state = 2},
  [1076] = {.lex_state = 24, .external_lex_state = 2},
  [1077] = {.lex_state = 24, .external_lex_state = 2},
  [1078] = {.lex_state = 24, .external_lex_state = 2},
  [1079] = {.lex_state = 24, .external_lex_state = 2},
  [1080] = {.lex_state = 24, .external_lex_state = 2},
  [1081] = {.lex_state = 24, .external_lex_state = 2},
  [1082] = {.lex_state = 24, .external_lex_state = 2},
  [1083] = {.lex_state = 24, .external_lex_state = 2},
  [1084] = {.lex_state = 24, .external_lex_state = 2},
  [1085] = {.lex_state = 24, .external_lex_state = 2},
  [1086] = {.lex_state = 24, .external_lex_state = 2},
  [1087] = {.lex_state = 24, .external_lex_state = 2},
  [1088] = {.lex_state = 24, .external_lex_state = 2},
  [1089] = {.lex_state = 24, .external_lex_state = 2},
  [1090] = {.lex_state = 24, .external_lex_state = 2},
  [1091] = {.lex_state = 24, .external_lex_state = 2},
  [1092] = {.lex_state = 24, .external_lex_state = 2},
  [1093] = {.lex_state = 24, .external_lex_state = 2},
  [1094] = {.lex_state = 24, .external_lex_state = 2},
  [1095] = {.lex_state = 24, .external_lex_state = 2},
  [1096] = {.lex_state = 24, .external_lex_state = 2},
  [1097] = {.lex_state = 24, .external_lex_state = 2},
  [1098] = {.lex_state = 24, .external_lex_state = 2},
  [1099] = {.lex_state = 24, .external_lex_state = 2},
  [1100] = {.lex_state = 24, .external_lex_state = 2},
  [1101] = {.lex_state = 24, .external_lex_state = 2},
  [1102] = {.lex_state = 24, .external_lex_state = 2},
  [1103] = {.lex_state = 24, .external_lex_state = 2},
  [1104] = {.lex_state = 24, .external_lex_state = 2},
  [1105] = {.lex_state = 24, .external_lex_state = 2},
  [1106] = {.lex_state = 24, .external_lex_state = 2},
  [1107] = {.lex_state = 24, .external_lex_state = 2},
  [1108] = {.lex_state = 24, .external_lex_state = 2},
  [1109] = {.lex_state = 24, .external_lex_state = 2},
  [1110] = {.lex_state = 24, .external_lex_state = 2},
  [1111] = {.lex_state = 24, .external_lex_state = 2},
  [1112] = {.lex_state = 24, .external_lex_state = 2},
  [1113] = {.lex_state = 24, .external_lex_state = 2},
  [1114] = {.lex_state = 24, .external_lex_state = 2},
  [1115] = {.lex_state = 24, .external_lex_state = 2},
  [1116] = {.lex_state = 24, .external_lex_state = 2},
  [1117] = {.lex_state = 24, .external_lex_state = 2},
  [1118] = {.lex_state = 24, .external_lex_state = 2},
  [1119] = {.lex_state = 24, .external_lex_state = 2},
  [1120] = {.lex_state = 24, .external_lex_state = 2},
  [1121] = {.lex_state = 24, .external_lex_state = 2},
  [1122] = {.lex_state = 24, .external_lex_state = 2},
  [1123] = {.lex_state = 24, .external_lex_state = 2},
  [1124] = {.lex_state = 24, .external_lex_state = 2},
  [1125] = {.lex_state = 24, .external_lex_state = 2},
  [1126] = {.lex_state = 24, .external_lex_state = 2},
  [1127] = {.lex_state = 24, .external_lex_state = 2},
  [1128] = {.lex_state = 24, .external_lex_state = 2},
  [1129] = {.lex_state = 24, .external_lex_state = 2},
  [1130] = {.lex_state = 24, .external_lex_state = 2},
  [1131] = {.lex_state = 24, .external_lex_state = 2},
  [1132] = {.lex_state = 24, .external_lex_state = 2},
  [1133] = {.lex_state = 24, .external_lex_state = 2},
  [1134] = {.lex_state = 24, .external_lex_state = 2},
  [1135] = {.lex_state = 24, .external_lex_state = 2},
  [1136] = {.lex_state = 24, .external_lex_state = 2},
  [1137] = {.lex_state = 24, .external_lex_state = 2},
  [1138] = {.lex_state = 24, .external_lex_state = 2},
  [1139] = {.lex_state = 24, .external_lex_state = 2},
  [1140] = {.lex_state = 24, .external_lex_state = 2},
  [1141] = {.lex_state = 24, .external_lex_state = 2},
  [1142] = {.lex_state = 24, .external_lex_state = 2},
  [1143] = {.lex_state = 24, .external_lex_state = 2},
  [1144] = {.lex_state = 24, .external_lex_state = 2},
  [1145] = {.lex_state = 24, .external_lex_state = 2},
  [1146] = {.lex_state = 24, .external_lex_state = 2},
  [1147] = {.lex_state = 24, .external_lex_state = 2},
  [1148] = {.lex_state = 24, .external_lex_state = 2},
  [1149] = {.lex_state = 24, .external_lex_state = 2},
  [1150] = {.lex_state = 24, .external_lex_state = 2},
  [1151] = {.lex_state = 24, .external_lex_state = 2},
  [1152] = {.lex_state = 24, .external_lex_state = 2},
  [1153] = {.lex_state = 24, .external_lex_state = 2},
  [1154] = {.lex_state = 24, .external_lex_state = 2},
  [1155] = {.lex_state = 24, .external_lex_state = 2},
  [1156] = {.lex_state = 24, .external_lex_state = 2},
  [1157] = {.lex_state = 24, .external_lex_state = 2},
  [1158] = {.lex_state = 24, .external_lex_state = 2},
  [1159] = {.lex_state = 24, .external_lex_state = 2},
  [1160] = {.lex_state = 24, .external_lex_state = 2},
  [1161] = {.lex_state = 24, .external_lex_state = 2},
  [1162] = {.lex_state = 24, .external_lex_state = 2},
  [1163] = {.lex_state = 24, .external_lex_state = 2},
  [1164] = {.lex_state = 24, .external_lex_state = 2},
  [1165] = {.lex_state = 24, .external_lex_state = 2},
  [1166] = {.lex_state = 24, .external_lex_state = 2},
  [1167] = {.lex_state = 24, .external_lex_state = 2},
  [1168] = {.lex_state = 24, .external_lex_state = 2},
  [1169] = {.lex_state = 24, .external_lex_state = 2},
  [1170] = {.lex_state = 24, .external_lex_state = 2},
  [1171] = {.lex_state = 24, .external_lex_state = 2},
  [1172] = {.lex_state = 24, .external_lex_state = 2},
  [1173] = {.lex_state = 24, .external_lex_state = 2},
  [1174] = {.lex_state = 24, .external_lex_state = 2},
  [1175] = {.lex_state = 24, .external_lex_state = 2},
  [1176] = {.lex_state = 24, .external_lex_state = 2},
  [1177] = {.lex_state = 24, .external_lex_state = 2},
  [1178] = {.lex_state = 24, .external_lex_state = 2},
  [1179] = {.lex_state = 24, .external_lex_state = 2},
  [1180] = {.lex_state = 24, .external_lex_state = 2},
  [1181] = {.lex_state = 24, .external_lex_state = 2},
  [1182] = {.lex_state = 24, .external_lex_state = 2},
  [1183] = {.lex_state = 24, .external_lex_state = 2},
  [1184] = {.lex_state = 24, .external_lex_state = 2},
  [1185] = {.lex_state = 24, .external_lex_state = 2},
  [1186] = {.lex_state = 24, .external_lex_state = 2},
  [1187] = {.lex_state = 24, .external_lex_state = 2},
  [1188] = {.lex_state = 24, .external_lex_state = 2},
  [1189] = {.lex_state = 24, .external_lex_state = 2},
  [1190] = {.lex_state = 24, .external_lex_state = 2},
  [1191] = {.lex_state = 24, .external_lex_state = 2},
  [1192] = {.lex_state = 24, .external_lex_state = 2},
  [1193] = {.lex_state = 24, .external_lex_state = 2},
  [1194] = {.lex_state = 24, .external_lex_state = 2},
  [1195] = {.lex_state = 24, .external_lex_state = 2},
  [1196] = {.lex_state = 24, .external_lex_state = 2},
  [1197] = {.lex_state = 24, .external_lex_state = 2},
  [1198] = {.lex_state = 24, .external_lex_state = 2},
  [1199] = {.lex_state = 24, .external_lex_state = 2},
  [1200] = {.lex_state = 24, .external_lex_state = 2},
  [1201] = {.lex_state = 24, .external_lex_state = 2},
  [1202] = {.lex_state = 24, .external_lex_state = 2},
  [1203] = {.lex_state = 24, .external_lex_state = 2},
  [1204] = {.lex_state = 24, .external_lex_state = 2},
  [1205] = {.lex_state = 24, .external_lex_state = 2},
  [1206] = {.lex_state = 24, .external_lex_state = 2},
  [1207] = {.lex_state = 24, .external_lex_state = 2},
  [1208] = {.lex_state = 24, .external_lex_state = 2},
  [1209] = {.lex_state = 24, .external_lex_state = 2},
  [1210] = {.lex_state = 24, .external_lex_state = 2},
  [1211] = {.lex_state = 24, .external_lex_state = 2},
  [1212] = {.lex_state = 24, .external_lex_state = 2},
  [1213] = {.lex_state = 24, .external_lex_state = 2},
  [1214] = {.lex_state = 24, .external_lex_state = 2},
  [1215] = {.lex_state = 24, .external_lex_state = 2},
  [1216] = {.lex_state = 24, .external_lex_state = 2},
  [1217] = {.lex_state = 24, .external_lex_state = 2},
  [1218] = {.lex_state = 24, .external_lex_state = 2},
  [1219] = {.lex_state = 24, .external_lex_state = 2},
  [1220] = {.lex_state = 24, .external_lex_state = 2},
  [1221] = {.lex_state = 24, .external_lex_state = 2},
  [1222] = {.lex_state = 24, .external_lex_state = 2},
  [1223] = {.lex_state = 24, .external_lex_state = 2},
  [1224] = {.lex_state = 24, .external_lex_state = 2},
  [1225] = {.lex_state = 24, .external_lex_state = 2},
  [1226] = {.lex_state = 24, .external_lex_state = 2},
  [1227] = {.lex_state = 24, .external_lex_state = 2},
  [1228] = {.lex_state = 24, .external_lex_state = 2},
  [1229] = {.lex_state = 24, .external_lex_state = 2},
  [1230] = {.lex_state = 24, .external_lex_state = 2},
  [1231] = {.lex_state = 24, .external_lex_state = 2},
  [1232] = {.lex_state = 24, .external_lex_state = 2},
  [1233] = {.lex_state = 24, .external_lex_state = 2},
  [1234] = {.lex_state = 24, .external_lex_state = 2},
  [1235] = {.lex_state = 24, .external_lex_state = 2},
  [1236] = {.lex_state = 24, .external_lex_state = 2},
  [1237] = {.lex_state = 24, .external_lex_state = 2},
  [1238] = {.lex_state = 24, .external_lex_state = 2},
  [1239] = {.lex_state = 24, .external_lex_state = 2},
  [1240] = {.lex_state = 24, .external_lex_state = 2},
  [1241] = {.lex_state = 24, .external_lex_state = 2},
  [1242] = {.lex_state = 24, .external_lex_state = 2},
  [1243] = {.lex_state = 24, .external_lex_state = 2},
  [1244] = {.lex_state = 24, .external_lex_state = 2},
  [1245] = {.lex_state = 24, .external_lex_state = 2},
  [1246] = {.lex_state = 24, .external_lex_state = 2},
  [1247] = {.lex_state = 24, .external_lex_state = 2},
  [1248] = {.lex_state = 24, .external_lex_state = 2},
  [1249] = {.lex_state = 24, .external_lex_state = 2},
  [1250] = {.lex_state = 24, .external_lex_state = 2},
  [1251] = {.lex_state = 24, .external_lex_state = 2},
  [1252] = {.lex_state = 24, .external_lex_state = 2},
  [1253] = {.lex_state = 24, .external_lex_state = 2},
  [1254] = {.lex_state = 24, .external_lex_state = 2},
  [1255] = {.lex_state = 24, .external_lex_state = 2},
  [1256] = {.lex_state = 24, .external_lex_state = 2},
  [1257] = {.lex_state = 24, .external_lex_state = 2},
  [1258] = {.lex_state = 24, .external_lex_state = 2},
  [1259] = {.lex_state = 24, .external_lex_state = 2},
  [1260] = {.lex_state = 24, .external_lex_state = 2},
  [1261] = {.lex_state = 24, .external_lex_state = 2},
  [1262] = {.lex_state = 24, .external_lex_state = 2},
  [1263] = {.lex_state = 24, .external_lex_state = 2},
  [1264] = {.lex_state = 24, .external_lex_state = 2},
  [1265] = {.lex_state = 24, .external_lex_state = 2},
  [1266] = {.lex_state = 24, .external_lex_state = 2},
  [1267] = {.lex_state = 24, .external_lex_state = 2},
  [1268] = {.lex_state = 24, .external_lex_state = 2},
  [1269] = {.lex_state = 24, .external_lex_state = 2},
  [1270] = {.lex_state = 24, .external_lex_state = 2},
  [1271] = {.lex_state = 24, .external_lex_state = 2},
  [1272] = {.lex_state = 24, .external_lex_state = 2},
  [1273] = {.lex_state = 24, .external_lex_state = 2},
  [1274] = {.lex_state = 24, .external_lex_state = 2},
  [1275] = {.lex_state = 24, .external_lex_state = 2},
  [1276] = {.lex_state = 24, .external_lex_state = 2},
  [1277] = {.lex_state = 24, .external_lex_state = 2},
  [1278] = {.lex_state = 24, .external_lex_state = 2},
  [1279] = {.lex_state = 24, .external_lex_state = 2},
  [1280] = {.lex_state = 24, .external_lex_state = 2},
  [1281] = {.lex_state = 24, .external_lex_state = 2},
  [1282] = {.lex_state = 24, .external_lex_state = 2},
  [1283] = {.lex_state = 24, .external_lex_state = 2},
  [1284] = {.lex_state = 24, .external_lex_state = 2},
  [1285] = {.lex_state = 24, .external_lex_state = 2},
  [1286] = {.lex_state = 24, .external_lex_state = 2},
  [1287] = {.lex_state = 24, .external_lex_state = 2},
  [1288] = {.lex_state = 24, .external_lex_state = 2},
  [1289] = {.lex_state = 24, .external_lex_state = 2},
  [1290] = {.lex_state = 24, .external_lex_state = 2},
  [1291] = {.lex_state = 24, .external_lex_state = 2},
  [1292] = {.lex_state = 24, .external_lex_state = 2},
  [1293] = {.lex_state = 24, .external_lex_state = 2},
  [1294] = {.lex_state = 24, .external_lex_state = 2},
  [1295] = {.lex_state = 24, .external_lex_state = 2},
  [1296] = {.lex_state = 24, .external_lex_state = 2},
  [1297] = {.lex_state = 24, .external_lex_state = 2},
  [1298] = {.lex_state = 24, .external_lex_state = 2},
  [1299] = {.lex_state = 24, .external_lex_state = 2},
  [1300] = {.lex_state = 24, .external_lex_state = 2},
  [1301] = {.lex_state = 24, .external_lex_state = 2},
  [1302] = {.lex_state = 24, .external_lex_state = 2},
  [1303] = {.lex_state = 24, .external_lex_state = 2},
  [1304] = {.lex_state = 24, .external_lex_state = 2},
  [1305] = {.lex_state = 24, .external_lex_state = 2},
  [1306] = {.lex_state = 24, .external_lex_state = 2},
  [1307] = {.lex_state = 24, .external_lex_state = 2},
  [1308] = {.lex_state = 24, .external_lex_state = 2},
  [1309] = {.lex_state = 24, .external_lex_state = 2},
  [1310] = {.lex_state = 24, .external_lex_state = 2},
  [1311] = {.lex_state = 24, .external_lex_state = 2},
  [1312] = {.lex_state = 24, .external_lex_state = 2},
  [1313] = {.lex_state = 24, .external_lex_state = 2},
  [1314] = {.lex_state = 24, .external_lex_state = 2},
  [1315] = {.lex_state = 24, .external_lex_state = 2},
  [1316] = {.lex_state = 24, .external_lex_state = 2},
  [1317] = {.lex_state = 24, .external_lex_state = 2},
  [1318] = {.lex_state = 24, .external_lex_state = 2},
  [1319] = {.lex_state = 24, .external_lex_state = 2},
  [1320] = {.lex_state = 24, .external_lex_state = 2},
  [1321] = {.lex_state = 24, .external_lex_state = 2},
  [1322] = {.lex_state = 24, .external_lex_state = 2},
  [1323] = {.lex_state = 24, .external_lex_state = 2},
  [1324] = {.lex_state = 24, .external_lex_state = 2},
  [1325] = {.lex_state = 24, .external_lex_state = 2},
  [1326] = {.lex_state = 24, .external_lex_state = 2},
  [1327] = {.lex_state = 24, .external_lex_state = 2},
  [1328] = {.lex_state = 24, .external_lex_state = 2},
  [1329] = {.lex_state = 24, .external_lex_state = 2},
  [1330] = {.lex_state = 24, .external_lex_state = 2},
  [1331] = {.lex_state = 24, .external_lex_state = 2},
  [1332] = {.lex_state = 24, .external_lex_state = 2},
  [1333] = {.lex_state = 24, .external_lex_state = 2},
  [1334] = {.lex_state = 24, .external_lex_state = 2},
  [1335] = {.lex_state = 24, .external_lex_state = 2},
  [1336] = {.lex_state = 24, .external_lex_state = 2},
  [1337] = {.lex_state = 24, .external_lex_state = 2},
  [1338] = {.lex_state = 24, .external_lex_state = 2},
  [1339] = {.lex_state = 24, .external_lex_state = 2},
  [1340] = {.lex_state = 24, .external_lex_state = 2},
  [1341] = {.lex_state = 24, .external_lex_state = 2},
  [1342] = {.lex_state = 24, .external_lex_state = 2},
  [1343] = {.lex_state = 24, .external_lex_state = 2},
  [1344] = {.lex_state = 24, .external_lex_state = 2},
  [1345] = {.lex_state = 24, .external_lex_state = 2},
  [1346] = {.lex_state = 24, .external_lex_state = 2},
  [1347] = {.lex_state = 24, .external_lex_state = 2},
  [1348] = {.lex_state = 24, .external_lex_state = 2},
  [1349] = {.lex_state = 24, .external_lex_state = 2},
  [1350] = {.lex_state = 24, .external_lex_state = 2},
  [1351] = {.lex_state = 24, .external_lex_state = 2},
  [1352] = {.lex_state = 24, .external_lex_state = 2},
  [1353] = {.lex_state = 24, .external_lex_state = 2},
  [1354] = {.lex_state = 24, .external_lex_state = 2},
  [1355] = {.lex_state = 24, .external_lex_state = 2},
  [1356] = {.lex_state = 24, .external_lex_state = 2},
  [1357] = {.lex_state = 24, .external_lex_state = 2},
  [1358] = {.lex_state = 24, .external_lex_state = 2},
  [1359] = {.lex_state = 24, .external_lex_state = 2},
  [1360] = {.lex_state = 24, .external_lex_state = 2},
  [1361] = {.lex_state = 24, .external_lex_state = 2},
  [1362] = {.lex_state = 24, .external_lex_state = 2},
  [1363] = {.lex_state = 24, .external_lex_state = 2},
  [1364] = {.lex_state = 24, .external_lex_state = 2},
  [1365] = {.lex_state = 24, .external_lex_state = 2},
  [1366] = {.lex_state = 24, .external_lex_state = 2},
  [1367] = {.lex_state = 24, .external_lex_state = 2},
  [1368] = {.lex_state = 24, .external_lex_state = 2},
  [1369] = {.lex_state = 24, .external_lex_state = 2},
  [1370] = {.lex_state = 24, .external_lex_state = 2},
  [1371] = {.lex_state = 24, .external_lex_state = 2},
  [1372] = {.lex_state = 24, .external_lex_state = 2},
  [1373] = {.lex_state = 24, .external_lex_state = 2},
  [1374] = {.lex_state = 24, .external_lex_state = 2},
  [1375] = {.lex_state = 24, .external_lex_state = 2},
  [1376] = {.lex_state = 24, .external_lex_state = 2},
  [1377] = {.lex_state = 24, .external_lex_state = 2},
  [1378] = {.lex_state = 24, .external_lex_state = 2},
  [1379] = {.lex_state = 24, .external_lex_state = 2},
  [1380] = {.lex_state = 24, .external_lex_state = 2},
  [1381] = {.lex_state = 24, .external_lex_state = 2},
  [1382] = {.lex_state = 24, .external_lex_state = 2},
  [1383] = {.lex_state = 24, .external_lex_state = 2},
  [1384] = {.lex_state = 24, .external_lex_state = 2},
  [1385] = {.lex_state = 24, .external_lex_state = 2},
  [1386] = {.lex_state = 24, .external_lex_state = 2},
  [1387] = {.lex_state = 24, .external_lex_state = 2},
  [1388] = {.lex_state = 24, .external_lex_state = 2},
  [1389] = {.lex_state = 24, .external_lex_state = 2},
  [1390] = {.lex_state = 24, .external_lex_state = 2},
  [1391] = {.lex_state = 24, .external_lex_state = 2},
  [1392] = {.lex_state = 24, .external_lex_state = 2},
  [1393] = {.lex_state = 24, .external_lex_state = 2},
  [1394] = {.lex_state = 24, .external_lex_state = 2},
  [1395] = {.lex_state = 24, .external_lex_state = 2},
  [1396] = {.lex_state = 24, .external_lex_state = 2},
  [1397] = {.lex_state = 24, .external_lex_state = 2},
  [1398] = {.lex_state = 24, .external_lex_state = 2},
  [1399] = {.lex_state = 24, .external_lex_state = 2},
  [1400] = {.lex_state = 24, .external_lex_state = 2},
  [1401] = {.lex_state = 24, .external_lex_state = 2},
  [1402] = {.lex_state = 24, .external_lex_state = 2},
  [1403] = {.lex_state = 24, .external_lex_state = 2},
  [1404] = {.lex_state = 24, .external_lex_state = 2},
  [1405] = {.lex_state = 24, .external_lex_state = 2},
  [1406] = {.lex_state = 24, .external_lex_state = 2},
  [1407] = {.lex_state = 24, .external_lex_state = 2},
  [1408] = {.lex_state = 24, .external_lex_state = 2},
  [1409] = {.lex_state = 24, .external_lex_state = 2},
  [1410] = {.lex_state = 24, .external_lex_state = 2},
  [1411] = {.lex_state = 24, .external_lex_state = 2},
  [1412] = {.lex_state = 24, .external_lex_state = 2},
  [1413] = {.lex_state = 24, .external_lex_state = 2},
  [1414] = {.lex_state = 24, .external_lex_state = 2},
  [1415] = {.lex_state = 24, .external_lex_state = 2},
  [1416] = {.lex_state = 24, .external_lex_state = 2},
  [1417] = {.lex_state = 24, .external_lex_state = 2},
  [1418] = {.lex_state = 24, .external_lex_state = 2},
  [1419] = {.lex_state = 24, .external_lex_state = 2},
  [1420] = {.lex_state = 24, .external_lex_state = 2},
  [1421] = {.lex_state = 24, .external_lex_state = 2},
  [1422] = {.lex_state = 24, .external_lex_state = 2},
  [1423] = {.lex_state = 24, .external_lex_state = 2},
  [1424] = {.lex_state = 24, .external_lex_state = 2},
  [1425] = {.lex_state = 24, .external_lex_state = 2},
  [1426] = {.lex_state = 24, .external_lex_state = 2},
  [1427] = {.lex_state = 24, .external_lex_state = 2},
  [1428] = {.lex_state = 24, .external_lex_state = 2},
  [1429] = {.lex_state = 24, .external_lex_state = 2},
  [1430] = {.lex_state = 24, .external_lex_state = 2},
  [1431] = {.lex_state = 24, .external_lex_state = 2},
  [1432] = {.lex_state = 24, .external_lex_state = 2},
  [1433] = {.lex_state = 24, .external_lex_state = 2},
  [1434] = {.lex_state = 24, .external_lex_state = 2},
  [1435] = {.lex_state = 24, .external_lex_state = 2},
  [1436] = {.lex_state = 24, .external_lex_state = 2},
  [1437] = {.lex_state = 24, .external_lex_state = 2},
  [1438] = {.lex_state = 24, .external_lex_state = 2},
  [1439] = {.lex_state = 24, .external_lex_state = 2},
  [1440] = {.lex_state = 24, .external_lex_state = 2},
  [1441] = {.lex_state = 24, .external_lex_state = 2},
  [1442] = {.lex_state = 24, .external_lex_state = 2},
  [1443] = {.lex_state = 24, .external_lex_state = 2},
  [1444] = {.lex_state = 24, .external_lex_state = 2},
  [1445] = {.lex_state = 24, .external_lex_state = 2},
  [1446] = {.lex_state = 24, .external_lex_state = 2},
  [1447] = {.lex_state = 24, .external_lex_state = 2},
  [1448] = {.lex_state = 24, .external_lex_state = 2},
  [1449] = {.lex_state = 24, .external_lex_state = 2},
  [1450] = {.lex_state = 24, .external_lex_state = 2},
  [1451] = {.lex_state = 24, .external_lex_state = 2},
  [1452] = {.lex_state = 24, .external_lex_state = 2},
  [1453] = {.lex_state = 24, .external_lex_state = 2},
  [1454] = {.lex_state = 24, .external_lex_state = 2},
  [1455] = {.lex_state = 24, .external_lex_state = 2},
  [1456] = {.lex_state = 24, .external_lex_state = 2},
  [1457] = {.lex_state = 24, .external_lex_state = 2},
  [1458] = {.lex_state = 24, .external_lex_state = 2},
  [1459] = {.lex_state = 24, .external_lex_state = 2},
  [1460] = {.lex_state = 24, .external_lex_state = 2},
  [1461] = {.lex_state = 24, .external_lex_state = 2},
  [1462] = {.lex_state = 24, .external_lex_state = 2},
  [1463] = {.lex_state = 24, .external_lex_state = 2},
  [1464] = {.lex_state = 24, .external_lex_state = 2},
  [1465] = {.lex_state = 24, .external_lex_state = 2},
  [1466] = {.lex_state = 24, .external_lex_state = 2},
  [1467] = {.lex_state = 24, .external_lex_state = 2},
  [1468] = {.lex_state = 24, .external_lex_state = 2},
  [1469] = {.lex_state = 24, .external_lex_state = 2},
  [1470] = {.lex_state = 24, .external_lex_state = 2},
  [1471] = {.lex_state = 24, .external_lex_state = 2},
  [1472] = {.lex_state = 24, .external_lex_state = 2},
  [1473] = {.lex_state = 24, .external_lex_state = 2},
  [1474] = {.lex_state = 24, .external_lex_state = 2},
  [1475] = {.lex_state = 24, .external_lex_state = 2},
  [1476] = {.lex_state = 24, .external_lex_state = 2},
  [1477] = {.lex_state = 24, .external_lex_state = 2},
  [1478] = {.lex_state = 24, .external_lex_state = 2},
  [1479] = {.lex_state = 24, .external_lex_state = 2},
  [1480] = {.lex_state = 24, .external_lex_state = 2},
  [1481] = {.lex_state = 24, .external_lex_state = 2},
  [1482] = {.lex_state = 24, .external_lex_state = 2},
  [1483] = {.lex_state = 24, .external_lex_state = 2},
  [1484] = {.lex_state = 24, .external_lex_state = 2},
  [1485] = {.lex_state = 24, .external_lex_state = 2},
  [1486] = {.lex_state = 24, .external_lex_state = 2},
  [1487] = {.lex_state = 24, .external_lex_state = 2},
  [1488] = {.lex_state = 24, .external_lex_state = 2},
  [1489] = {.lex_state = 24, .external_lex_state = 2},
  [1490] = {.lex_state = 24, .external_lex_state = 2},
  [1491] = {.lex_state = 24, .external_lex_state = 2},
  [1492] = {.lex_state = 24, .external_lex_state = 2},
  [1493] = {.lex_state = 24, .external_lex_state = 2},
  [1494] = {.lex_state = 24, .external_lex_state = 2},
  [1495] = {.lex_state = 24, .external_lex_state = 2},
  [1496] = {.lex_state = 24, .external_lex_state = 2},
  [1497] = {.lex_state = 24, .external_lex_state = 2},
  [1498] = {.lex_state = 24, .external_lex_state = 2},
  [1499] = {.lex_state = 24, .external_lex_state = 2},
  [1500] = {.lex_state = 24, .external_lex_state = 2},
  [1501] = {.lex_state = 24, .external_lex_state = 2},
  [1502] = {.lex_state = 24, .external_lex_state = 2},
  [1503] = {.lex_state = 24, .external_lex_state = 2},
  [1504] = {.lex_state = 24, .external_lex_state = 2},
  [1505] = {.lex_state = 24, .external_lex_state = 2},
  [1506] = {.lex_state = 24, .external_lex_state = 2},
  [1507] = {.lex_state = 24, .external_lex_state = 2},
  [1508] = {.lex_state = 24, .external_lex_state = 2},
  [1509] = {.lex_state = 24, .external_lex_state = 2},
  [1510] = {.lex_state = 24, .external_lex_state = 2},
  [1511] = {.lex_state = 24, .external_lex_state = 2},
  [1512] = {.lex_state = 24, .external_lex_state = 2},
  [1513] = {.lex_state = 24, .external_lex_state = 2},
  [1514] = {.lex_state = 24, .external_lex_state = 2},
  [1515] = {.lex_state = 24, .external_lex_state = 2},
  [1516] = {.lex_state = 24, .external_lex_state = 2},
  [1517] = {.lex_state = 24, .external_lex_state = 2},
  [1518] = {.lex_state = 24, .external_lex_state = 2},
  [1519] = {.lex_state = 24, .external_lex_state = 2},
  [1520] = {.lex_state = 24, .external_lex_state = 2},
  [1521] = {.lex_state = 24, .external_lex_state = 2},
  [1522] = {.lex_state = 24, .external_lex_state = 2},
  [1523] = {.lex_state = 24, .external_lex_state = 2},
  [1524] = {.lex_state = 24, .external_lex_state = 2},
  [1525] = {.lex_state = 24, .external_lex_state = 2},
  [1526] = {.lex_state = 24, .external_lex_state = 2},
  [1527] = {.lex_state = 24, .external_lex_state = 2},
  [1528] = {.lex_state = 24, .external_lex_state = 2},
  [1529] = {.lex_state = 24, .external_lex_state = 2},
  [1530] = {.lex_state = 24, .external_lex_state = 2},
  [1531] = {.lex_state = 24, .external_lex_state = 2},
  [1532] = {.lex_state = 24, .external_lex_state = 2},
  [1533] = {.lex_state = 24, .external_lex_state = 2},
  [1534] = {.lex_state = 24, .external_lex_state = 2},
  [1535] = {.lex_state = 24, .external_lex_state = 2},
  [1536] = {.lex_state = 24, .external_lex_state = 2},
  [1537] = {.lex_state = 24, .external_lex_state = 2},
  [1538] = {.lex_state = 24, .external_lex_state = 2},
  [1539] = {.lex_state = 24, .external_lex_state = 2},
  [1540] = {.lex_state = 24, .external_lex_state = 2},
  [1541] = {.lex_state = 24, .external_lex_state = 2},
  [1542] = {.lex_state = 24, .external_lex_state = 2},
  [1543] = {.lex_state = 24, .external_lex_state = 2},
  [1544] = {.lex_state = 24, .external_lex_state = 2},
  [1545] = {.lex_state = 24, .external_lex_state = 2},
  [1546] = {.lex_state = 24, .external_lex_state = 2},
  [1547] = {.lex_state = 24, .external_lex_state = 2},
  [1548] = {.lex_state = 24, .external_lex_state = 2},
  [1549] = {.lex_state = 24, .external_lex_state = 2},
  [1550] = {.lex_state = 24, .external_lex_state = 2},
  [1551] = {.lex_state = 24, .external_lex_state = 2},
  [1552] = {.lex_state = 24, .external_lex_state = 2},
  [1553] = {.lex_state = 24, .external_lex_state = 2},
  [1554] = {.lex_state = 24, .external_lex_state = 2},
  [1555] = {.lex_state = 24, .external_lex_state = 2},
  [1556] = {.lex_state = 24, .external_lex_state = 2},
  [1557] = {.lex_state = 24, .external_lex_state = 2},
  [1558] = {.lex_state = 24, .external_lex_state = 2},
  [1559] = {.lex_state = 24, .external_lex_state = 2},
  [1560] = {.lex_state = 24, .external_lex_state = 2},
  [1561] = {.lex_state = 24, .external_lex_state = 2},
  [1562] = {.lex_state = 24, .external_lex_state = 2},
  [1563] = {.lex_state = 24, .external_lex_state = 2},
  [1564] = {.lex_state = 24, .external_lex_state = 2},
  [1565] = {.lex_state = 24, .external_lex_state = 2},
  [1566] = {.lex_state = 24, .external_lex_state = 2},
  [1567] = {.lex_state = 24, .external_lex_state = 2},
  [1568] = {.lex_state = 24, .external_lex_state = 2},
  [1569] = {.lex_state = 24, .external_lex_state = 2},
  [1570] = {.lex_state = 24, .external_lex_state = 2},
  [1571] = {.lex_state = 24, .external_lex_state = 2},
  [1572] = {.lex_state = 24, .external_lex_state = 2},
  [1573] = {.lex_state = 24, .external_lex_state = 2},
  [1574] = {.lex_state = 24, .external_lex_state = 2},
  [1575] = {.lex_state = 24, .external_lex_state = 2},
  [1576] = {.lex_state = 24, .external_lex_state = 2},
  [1577] = {.lex_state = 24, .external_lex_state = 2},
  [1578] = {.lex_state = 24, .external_lex_state = 2},
  [1579] = {.lex_state = 24, .external_lex_state = 2},
  [1580] = {.lex_state = 24, .external_lex_state = 2},
  [1581] = {.lex_state = 24, .external_lex_state = 2},
  [1582] = {.lex_state = 24, .external_lex_state = 2},
  [1583] = {.lex_state = 24, .external_lex_state = 2},
  [1584] = {.lex_state = 24, .external_lex_state = 2},
  [1585] = {.lex_state = 24, .external_lex_state = 2},
  [1586] = {.lex_state = 24, .external_lex_state = 2},
  [1587] = {.lex_state = 24, .external_lex_state = 2},
  [1588] = {.lex_state = 24, .external_lex_state = 2},
  [1589] = {.lex_state = 24, .external_lex_state = 2},
  [1590] = {.lex_state = 24, .external_lex_state = 2},
  [1591] = {.lex_state = 24, .external_lex_state = 2},
  [1592] = {.lex_state = 24, .external_lex_state = 2},
  [1593] = {.lex_state = 24, .external_lex_state = 2},
  [1594] = {.lex_state = 24, .external_lex_state = 2},
  [1595] = {.lex_state = 24, .external_lex_state = 2},
  [1596] = {.lex_state = 24, .external_lex_state = 2},
  [1597] = {.lex_state = 24, .external_lex_state = 2},
  [1598] = {.lex_state = 24, .external_lex_state = 2},
  [1599] = {.lex_state = 24, .external_lex_state = 2},
  [1600] = {.lex_state = 24, .external_lex_state = 2},
  [1601] = {.lex_state = 24, .external_lex_state = 2},
  [1602] = {.lex_state = 24, .external_lex_state = 2},
  [1603] = {.lex_state = 24, .external_lex_state = 2},
  [1604] = {.lex_state = 24, .external_lex_state = 2},
  [1605] = {.lex_state = 24, .external_lex_state = 2},
  [1606] = {.lex_state = 24, .external_lex_state = 2},
  [1607] = {.lex_state = 24, .external_lex_state = 2},
  [1608] = {.lex_state = 24, .external_lex_state = 2},
  [1609] = {.lex_state = 24, .external_lex_state = 2},
  [1610] = {.lex_state = 24, .external_lex_state = 2},
  [1611] = {.lex_state = 24, .external_lex_state = 2},
  [1612] = {.lex_state = 407, .external_lex_state = 2},
  [1613] = {.lex_state = 24, .external_lex_state = 2},
  [1614] = {.lex_state = 24, .external_lex_state = 2},
  [1615] = {.lex_state = 24, .external_lex_state = 2},
  [1616] = {.lex_state = 24, .external_lex_state = 2},
  [1617] = {.lex_state = 24, .external_lex_state = 2},
  [1618] = {.lex_state = 24, .external_lex_state = 2},
  [1619] = {.lex_state = 24, .external_lex_state = 2},
  [1620] = {.lex_state = 24, .external_lex_state = 2},
  [1621] = {.lex_state = 24, .external_lex_state = 2},
  [1622] = {.lex_state = 24, .external_lex_state = 2},
  [1623] = {.lex_state = 24, .external_lex_state = 2},
  [1624] = {.lex_state = 24, .external_lex_state = 2},
  [1625] = {.lex_state = 24, .external_lex_state = 2},
  [1626] = {.lex_state = 24, .external_lex_state = 2},
  [1627] = {.lex_state = 24, .external_lex_state = 2},
  [1628] = {.lex_state = 24, .external_lex_state = 2},
  [1629] = {.lex_state = 24, .external_lex_state = 2},
  [1630] = {.lex_state = 24, .external_lex_state = 2},
  [1631] = {.lex_state = 24, .external_lex_state = 2},
  [1632] = {.lex_state = 24, .external_lex_state = 2},
  [1633] = {.lex_state = 24, .external_lex_state = 2},
  [1634] = {.lex_state = 24, .external_lex_state = 2},
  [1635] = {.lex_state = 24, .external_lex_state = 2},
  [1636] = {.lex_state = 24, .external_lex_state = 2},
  [1637] = {.lex_state = 24, .external_lex_state = 2},
  [1638] = {.lex_state = 24, .external_lex_state = 2},
  [1639] = {.lex_state = 24, .external_lex_state = 2},
  [1640] = {.lex_state = 24, .external_lex_state = 2},
  [1641] = {.lex_state = 24, .external_lex_state = 2},
  [1642] = {.lex_state = 24, .external_lex_state = 2},
  [1643] = {.lex_state = 24, .external_lex_state = 2},
  [1644] = {.lex_state = 24, .external_lex_state = 2},
  [1645] = {.lex_state = 24, .external_lex_state = 2},
  [1646] = {.lex_state = 24, .external_lex_state = 2},
  [1647] = {.lex_state = 24, .external_lex_state = 2},
  [1648] = {.lex_state = 24, .external_lex_state = 2},
  [1649] = {.lex_state = 24, .external_lex_state = 2},
  [1650] = {.lex_state = 24, .external_lex_state = 2},
  [1651] = {.lex_state = 24, .external_lex_state = 2},
  [1652] = {.lex_state = 24, .external_lex_state = 2},
  [1653] = {.lex_state = 24, .external_lex_state = 2},
  [1654] = {.lex_state = 24, .external_lex_state = 2},
  [1655] = {.lex_state = 24, .external_lex_state = 2},
  [1656] = {.lex_state = 24, .external_lex_state = 2},
  [1657] = {.lex_state = 24, .external_lex_state = 2},
  [1658] = {.lex_state = 24, .external_lex_state = 2},
  [1659] = {.lex_state = 24, .external_lex_state = 2},
  [1660] = {.lex_state = 24, .external_lex_state = 2},
  [1661] = {.lex_state = 24, .external_lex_state = 2},
  [1662] = {.lex_state = 24, .external_lex_state = 2},
  [1663] = {.lex_state = 24, .external_lex_state = 2},
  [1664] = {.lex_state = 24, .external_lex_state = 2},
  [1665] = {.lex_state = 24, .external_lex_state = 2},
  [1666] = {.lex_state = 24, .external_lex_state = 2},
  [1667] = {.lex_state = 24, .external_lex_state = 2},
  [1668] = {.lex_state = 24, .external_lex_state = 2},
  [1669] = {.lex_state = 24, .external_lex_state = 2},
  [1670] = {.lex_state = 24, .external_lex_state = 2},
  [1671] = {.lex_state = 407, .external_lex_state = 2},
  [1672] = {.lex_state = 24, .external_lex_state = 2},
  [1673] = {.lex_state = 24, .external_lex_state = 2},
  [1674] = {.lex_state = 24, .external_lex_state = 2},
  [1675] = {.lex_state = 24, .external_lex_state = 2},
  [1676] = {.lex_state = 24, .external_lex_state = 2},
  [1677] = {.lex_state = 24, .external_lex_state = 2},
  [1678] = {.lex_state = 24, .external_lex_state = 2},
  [1679] = {.lex_state = 24, .external_lex_state = 2},
  [1680] = {.lex_state = 24, .external_lex_state = 2},
  [1681] = {.lex_state = 24, .external_lex_state = 2},
  [1682] = {.lex_state = 24, .external_lex_state = 2},
  [1683] = {.lex_state = 24, .external_lex_state = 2},
  [1684] = {.lex_state = 24, .external_lex_state = 2},
  [1685] = {.lex_state = 24, .external_lex_state = 2},
  [1686] = {.lex_state = 24, .external_lex_state = 2},
  [1687] = {.lex_state = 24, .external_lex_state = 2},
  [1688] = {.lex_state = 61, .external_lex_state = 2},
  [1689] = {.lex_state = 24, .external_lex_state = 2},
  [1690] = {.lex_state = 24, .external_lex_state = 2},
  [1691] = {.lex_state = 24, .external_lex_state = 2},
  [1692] = {.lex_state = 24, .external_lex_state = 2},
  [1693] = {.lex_state = 24, .external_lex_state = 2},
  [1694] = {.lex_state = 24, .external_lex_state = 2},
  [1695] = {.lex_state = 24, .external_lex_state = 2},
  [1696] = {.lex_state = 24, .external_lex_state = 2},
  [1697] = {.lex_state = 24, .external_lex_state = 2},
  [1698] = {.lex_state = 24, .external_lex_state = 2},
  [1699] = {.lex_state = 24, .external_lex_state = 2},
  [1700] = {.lex_state = 24, .external_lex_state = 2},
  [1701] = {.lex_state = 24, .external_lex_state = 2},
  [1702] = {.lex_state = 24, .external_lex_state = 2},
  [1703] = {.lex_state = 24, .external_lex_state = 2},
  [1704] = {.lex_state = 24, .external_lex_state = 2},
  [1705] = {.lex_state = 24, .external_lex_state = 2},
  [1706] = {.lex_state = 24, .external_lex_state = 2},
  [1707] = {.lex_state = 24, .external_lex_state = 2},
  [1708] = {.lex_state = 24, .external_lex_state = 2},
  [1709] = {.lex_state = 24, .external_lex_state = 2},
  [1710] = {.lex_state = 24, .external_lex_state = 2},
  [1711] = {.lex_state = 24, .external_lex_state = 2},
  [1712] = {.lex_state = 24, .external_lex_state = 2},
  [1713] = {.lex_state = 24, .external_lex_state = 2},
  [1714] = {.lex_state = 24, .external_lex_state = 2},
  [1715] = {.lex_state = 24, .external_lex_state = 2},
  [1716] = {.lex_state = 24, .external_lex_state = 2},
  [1717] = {.lex_state = 24, .external_lex_state = 2},
  [1718] = {.lex_state = 24, .external_lex_state = 2},
  [1719] = {.lex_state = 24, .external_lex_state = 2},
  [1720] = {.lex_state = 24, .external_lex_state = 2},
  [1721] = {.lex_state = 24, .external_lex_state = 2},
  [1722] = {.lex_state = 24, .external_lex_state = 2},
  [1723] = {.lex_state = 24, .external_lex_state = 2},
  [1724] = {.lex_state = 24, .external_lex_state = 2},
  [1725] = {.lex_state = 24, .external_lex_state = 2},
  [1726] = {.lex_state = 24, .external_lex_state = 2},
  [1727] = {.lex_state = 24, .external_lex_state = 2},
  [1728] = {.lex_state = 24, .external_lex_state = 2},
  [1729] = {.lex_state = 24, .external_lex_state = 2},
  [1730] = {.lex_state = 24, .external_lex_state = 2},
  [1731] = {.lex_state = 24, .external_lex_state = 2},
  [1732] = {.lex_state = 24, .external_lex_state = 2},
  [1733] = {.lex_state = 24, .external_lex_state = 2},
  [1734] = {.lex_state = 402, .external_lex_state = 2},
  [1735] = {.lex_state = 48, .external_lex_state = 2},
  [1736] = {.lex_state = 24, .external_lex_state = 2},
  [1737] = {.lex_state = 24, .external_lex_state = 2},
  [1738] = {.lex_state = 24, .external_lex_state = 2},
  [1739] = {.lex_state = 24, .external_lex_state = 2},
  [1740] = {.lex_state = 24, .external_lex_state = 2},
  [1741] = {.lex_state = 402, .external_lex_state = 2},
  [1742] = {.lex_state = 62, .external_lex_state = 2},
  [1743] = {.lex_state = 24, .external_lex_state = 2},
  [1744] = {.lex_state = 24, .external_lex_state = 2},
  [1745] = {.lex_state = 24, .external_lex_state = 2},
  [1746] = {.lex_state = 24, .external_lex_state = 2},
  [1747] = {.lex_state = 24, .external_lex_state = 2},
  [1748] = {.lex_state = 24, .external_lex_state = 2},
  [1749] = {.lex_state = 24, .external_lex_state = 2},
  [1750] = {.lex_state = 24, .external_lex_state = 2},
  [1751] = {.lex_state = 24, .external_lex_state = 2},
  [1752] = {.lex_state = 24, .external_lex_state = 2},
  [1753] = {.lex_state = 24, .external_lex_state = 2},
  [1754] = {.lex_state = 24, .external_lex_state = 2},
  [1755] = {.lex_state = 24, .external_lex_state = 2},
  [1756] = {.lex_state = 24, .external_lex_state = 2},
  [1757] = {.lex_state = 48, .external_lex_state = 2},
  [1758] = {.lex_state = 24, .external_lex_state = 2},
  [1759] = {.lex_state = 24, .external_lex_state = 2},
  [1760] = {.lex_state = 411, .external_lex_state = 2},
  [1761] = {.lex_state = 24, .external_lex_state = 2},
  [1762] = {.lex_state = 24, .external_lex_state = 2},
  [1763] = {.lex_state = 24, .external_lex_state = 2},
  [1764] = {.lex_state = 24, .external_lex_state = 2},
  [1765] = {.lex_state = 24, .external_lex_state = 2},
  [1766] = {.lex_state = 24, .external_lex_state = 2},
  [1767] = {.lex_state = 24, .external_lex_state = 2},
  [1768] = {.lex_state = 24, .external_lex_state = 2},
  [1769] = {.lex_state = 24, .external_lex_state = 2},
  [1770] = {.lex_state = 24, .external_lex_state = 2},
  [1771] = {.lex_state = 24, .external_lex_state = 2},
  [1772] = {.lex_state = 24, .external_lex_state = 2},
  [1773] = {.lex_state = 24, .external_lex_state = 2},
  [1774] = {.lex_state = 24, .external_lex_state = 2},
  [1775] = {.lex_state = 24, .external_lex_state = 2},
  [1776] = {.lex_state = 24, .external_lex_state = 2},
  [1777] = {.lex_state = 24, .external_lex_state = 2},
  [1778] = {.lex_state = 24, .external_lex_state = 2},
  [1779] = {.lex_state = 24, .external_lex_state = 2},
  [1780] = {.lex_state = 24, .external_lex_state = 2},
  [1781] = {.lex_state = 24, .external_lex_state = 2},
  [1782] = {.lex_state = 24, .external_lex_state = 2},
  [1783] = {.lex_state = 24, .external_lex_state = 2},
  [1784] = {.lex_state = 24, .external_lex_state = 2},
  [1785] = {.lex_state = 24, .external_lex_state = 2},
  [1786] = {.lex_state = 24, .external_lex_state = 2},
  [1787] = {.lex_state = 24, .external_lex_state = 2},
  [1788] = {.lex_state = 24, .external_lex_state = 2},
  [1789] = {.lex_state = 24, .external_lex_state = 2},
  [1790] = {.lex_state = 24, .external_lex_state = 2},
  [1791] = {.lex_state = 24, .external_lex_state = 2},
  [1792] = {.lex_state = 24, .external_lex_state = 2},
  [1793] = {.lex_state = 24, .external_lex_state = 2},
  [1794] = {.lex_state = 24, .external_lex_state = 2},
  [1795] = {.lex_state = 24, .external_lex_state = 2},
  [1796] = {.lex_state = 24, .external_lex_state = 2},
  [1797] = {.lex_state = 24, .external_lex_state = 2},
  [1798] = {.lex_state = 24, .external_lex_state = 2},
  [1799] = {.lex_state = 24, .external_lex_state = 2},
  [1800] = {.lex_state = 24, .external_lex_state = 2},
  [1801] = {.lex_state = 24, .external_lex_state = 2},
  [1802] = {.lex_state = 24, .external_lex_state = 2},
  [1803] = {.lex_state = 24, .external_lex_state = 2},
  [1804] = {.lex_state = 24, .external_lex_state = 2},
  [1805] = {.lex_state = 24, .external_lex_state = 2},
  [1806] = {.lex_state = 24, .external_lex_state = 2},
  [1807] = {.lex_state = 24, .external_lex_state = 2},
  [1808] = {.lex_state = 24, .external_lex_state = 2},
  [1809] = {.lex_state = 24, .external_lex_state = 2},
  [1810] = {.lex_state = 24, .external_lex_state = 2},
  [1811] = {.lex_state = 24, .external_lex_state = 2},
  [1812] = {.lex_state = 24, .external_lex_state = 2},
  [1813] = {.lex_state = 24, .external_lex_state = 2},
  [1814] = {.lex_state = 24, .external_lex_state = 2},
  [1815] = {.lex_state = 24, .external_lex_state = 2},
  [1816] = {.lex_state = 24, .external_lex_state = 2},
  [1817] = {.lex_state = 24, .external_lex_state = 2},
  [1818] = {.lex_state = 24, .external_lex_state = 2},
  [1819] = {.lex_state = 24, .external_lex_state = 2},
  [1820] = {.lex_state = 24, .external_lex_state = 2},
  [1821] = {.lex_state = 24, .external_lex_state = 2},
  [1822] = {.lex_state = 24, .external_lex_state = 2},
  [1823] = {.lex_state = 24, .external_lex_state = 2},
  [1824] = {.lex_state = 24, .external_lex_state = 2},
  [1825] = {.lex_state = 24, .external_lex_state = 2},
  [1826] = {.lex_state = 24, .external_lex_state = 2},
  [1827] = {.lex_state = 24, .external_lex_state = 2},
  [1828] = {.lex_state = 24, .external_lex_state = 2},
  [1829] = {.lex_state = 24, .external_lex_state = 2},
  [1830] = {.lex_state = 24, .external_lex_state = 2},
  [1831] = {.lex_state = 24, .external_lex_state = 2},
  [1832] = {.lex_state = 24, .external_lex_state = 2},
  [1833] = {.lex_state = 24, .external_lex_state = 2},
  [1834] = {.lex_state = 24, .external_lex_state = 2},
  [1835] = {.lex_state = 24, .external_lex_state = 2},
  [1836] = {.lex_state = 24, .external_lex_state = 2},
  [1837] = {.lex_state = 24, .external_lex_state = 2},
  [1838] = {.lex_state = 24, .external_lex_state = 2},
  [1839] = {.lex_state = 24, .external_lex_state = 2},
  [1840] = {.lex_state = 24, .external_lex_state = 2},
  [1841] = {.lex_state = 24, .external_lex_state = 2},
  [1842] = {.lex_state = 24, .external_lex_state = 2},
  [1843] = {.lex_state = 24, .external_lex_state = 2},
  [1844] = {.lex_state = 24, .external_lex_state = 2},
  [1845] = {.lex_state = 24, .external_lex_state = 2},
  [1846] = {.lex_state = 24, .external_lex_state = 2},
  [1847] = {.lex_state = 24, .external_lex_state = 2},
  [1848] = {.lex_state = 24, .external_lex_state = 2},
  [1849] = {.lex_state = 24, .external_lex_state = 2},
  [1850] = {.lex_state = 24, .external_lex_state = 2},
  [1851] = {.lex_state = 24, .external_lex_state = 2},
  [1852] = {.lex_state = 24, .external_lex_state = 2},
  [1853] = {.lex_state = 24, .external_lex_state = 2},
  [1854] = {.lex_state = 24, .external_lex_state = 2},
  [1855] = {.lex_state = 24, .external_lex_state = 2},
  [1856] = {.lex_state = 24, .external_lex_state = 2},
  [1857] = {.lex_state = 24, .external_lex_state = 2},
  [1858] = {.lex_state = 24, .external_lex_state = 2},
  [1859] = {.lex_state = 24, .external_lex_state = 2},
  [1860] = {.lex_state = 24, .external_lex_state = 2},
  [1861] = {.lex_state = 24, .external_lex_state = 2},
  [1862] = {.lex_state = 24, .external_lex_state = 2},
  [1863] = {.lex_state = 24, .external_lex_state = 2},
  [1864] = {.lex_state = 24, .external_lex_state = 2},
  [1865] = {.lex_state = 24, .external_lex_state = 2},
  [1866] = {.lex_state = 24, .external_lex_state = 2},
  [1867] = {.lex_state = 24, .external_lex_state = 2},
  [1868] = {.lex_state = 24, .external_lex_state = 2},
  [1869] = {.lex_state = 24, .external_lex_state = 2},
  [1870] = {.lex_state = 24, .external_lex_state = 2},
  [1871] = {.lex_state = 24, .external_lex_state = 2},
  [1872] = {.lex_state = 24, .external_lex_state = 2},
  [1873] = {.lex_state = 24, .external_lex_state = 2},
  [1874] = {.lex_state = 24, .external_lex_state = 2},
  [1875] = {.lex_state = 24, .external_lex_state = 2},
  [1876] = {.lex_state = 24, .external_lex_state = 2},
  [1877] = {.lex_state = 24, .external_lex_state = 2},
  [1878] = {.lex_state = 24, .external_lex_state = 2},
  [1879] = {.lex_state = 24, .external_lex_state = 2},
  [1880] = {.lex_state = 24, .external_lex_state = 2},
  [1881] = {.lex_state = 24, .external_lex_state = 2},
  [1882] = {.lex_state = 24, .external_lex_state = 2},
  [1883] = {.lex_state = 24, .external_lex_state = 2},
  [1884] = {.lex_state = 24, .external_lex_state = 2},
  [1885] = {.lex_state = 24, .external_lex_state = 2},
  [1886] = {.lex_state = 24, .external_lex_state = 2},
  [1887] = {.lex_state = 24, .external_lex_state = 2},
  [1888] = {.lex_state = 24, .external_lex_state = 2},
  [1889] = {.lex_state = 24, .external_lex_state = 2},
  [1890] = {.lex_state = 24, .external_lex_state = 2},
  [1891] = {.lex_state = 24, .external_lex_state = 2},
  [1892] = {.lex_state = 24, .external_lex_state = 2},
  [1893] = {.lex_state = 24, .external_lex_state = 2},
  [1894] = {.lex_state = 24, .external_lex_state = 2},
  [1895] = {.lex_state = 24, .external_lex_state = 2},
  [1896] = {.lex_state = 24, .external_lex_state = 2},
  [1897] = {.lex_state = 24, .external_lex_state = 2},
  [1898] = {.lex_state = 24, .external_lex_state = 2},
  [1899] = {.lex_state = 24, .external_lex_state = 2},
  [1900] = {.lex_state = 24, .external_lex_state = 2},
  [1901] = {.lex_state = 24, .external_lex_state = 2},
  [1902] = {.lex_state = 24, .external_lex_state = 2},
  [1903] = {.lex_state = 24, .external_lex_state = 2},
  [1904] = {.lex_state = 24, .external_lex_state = 2},
  [1905] = {.lex_state = 24, .external_lex_state = 2},
  [1906] = {.lex_state = 24, .external_lex_state = 2},
  [1907] = {.lex_state = 24, .external_lex_state = 2},
  [1908] = {.lex_state = 24, .external_lex_state = 2},
  [1909] = {.lex_state = 24, .external_lex_state = 2},
  [1910] = {.lex_state = 24, .external_lex_state = 2},
  [1911] = {.lex_state = 24, .external_lex_state = 2},
  [1912] = {.lex_state = 24, .external_lex_state = 2},
  [1913] = {.lex_state = 24, .external_lex_state = 2},
  [1914] = {.lex_state = 24, .external_lex_state = 2},
  [1915] = {.lex_state = 24, .external_lex_state = 2},
  [1916] = {.lex_state = 24, .external_lex_state = 2},
  [1917] = {.lex_state = 24, .external_lex_state = 2},
  [1918] = {.lex_state = 24, .external_lex_state = 2},
  [1919] = {.lex_state = 24, .external_lex_state = 2},
  [1920] = {.lex_state = 24, .external_lex_state = 2},
  [1921] = {.lex_state = 24, .external_lex_state = 2},
  [1922] = {.lex_state = 24, .external_lex_state = 2},
  [1923] = {.lex_state = 24, .external_lex_state = 2},
  [1924] = {.lex_state = 24, .external_lex_state = 2},
  [1925] = {.lex_state = 24, .external_lex_state = 2},
  [1926] = {.lex_state = 24, .external_lex_state = 2},
  [1927] = {.lex_state = 24, .external_lex_state = 2},
  [1928] = {.lex_state = 24, .external_lex_state = 2},
  [1929] = {.lex_state = 24, .external_lex_state = 2},
  [1930] = {.lex_state = 24, .external_lex_state = 2},
  [1931] = {.lex_state = 24, .external_lex_state = 2},
  [1932] = {.lex_state = 24, .external_lex_state = 2},
  [1933] = {.lex_state = 24, .external_lex_state = 2},
  [1934] = {.lex_state = 24, .external_lex_state = 2},
  [1935] = {.lex_state = 24, .external_lex_state = 2},
  [1936] = {.lex_state = 24, .external_lex_state = 2},
  [1937] = {.lex_state = 24, .external_lex_state = 2},
  [1938] = {.lex_state = 24, .external_lex_state = 2},
  [1939] = {.lex_state = 24, .external_lex_state = 2},
  [1940] = {.lex_state = 24, .external_lex_state = 2},
  [1941] = {.lex_state = 24, .external_lex_state = 2},
  [1942] = {.lex_state = 24, .external_lex_state = 2},
  [1943] = {.lex_state = 24, .external_lex_state = 2},
  [1944] = {.lex_state = 24, .external_lex_state = 2},
  [1945] = {.lex_state = 24, .external_lex_state = 2},
  [1946] = {.lex_state = 24, .external_lex_state = 2},
  [1947] = {.lex_state = 24, .external_lex_state = 2},
  [1948] = {.lex_state = 24, .external_lex_state = 2},
  [1949] = {.lex_state = 402, .external_lex_state = 2},
  [1950] = {.lex_state = 24, .external_lex_state = 2},
  [1951] = {.lex_state = 24, .external_lex_state = 2},
  [1952] = {.lex_state = 24, .external_lex_state = 2},
  [1953] = {.lex_state = 402, .external_lex_state = 2},
  [1954] = {.lex_state = 24, .external_lex_state = 2},
  [1955] = {.lex_state = 24, .external_lex_state = 2},
  [1956] = {.lex_state = 24, .external_lex_state = 2},
  [1957] = {.lex_state = 24, .external_lex_state = 2},
  [1958] = {.lex_state = 24, .external_lex_state = 2},
  [1959] = {.lex_state = 24, .external_lex_state = 2},
  [1960] = {.lex_state = 24, .external_lex_state = 2},
  [1961] = {.lex_state = 24, .external_lex_state = 2},
  [1962] = {.lex_state = 24, .external_lex_state = 2},
  [1963] = {.lex_state = 24, .external_lex_state = 2},
  [1964] = {.lex_state = 24, .external_lex_state = 2},
  [1965] = {.lex_state = 24, .external_lex_state = 2},
  [1966] = {.lex_state = 24, .external_lex_state = 2},
  [1967] = {.lex_state = 24, .external_lex_state = 2},
  [1968] = {.lex_state = 24, .external_lex_state = 2},
  [1969] = {.lex_state = 24, .external_lex_state = 2},
  [1970] = {.lex_state = 24, .external_lex_state = 2},
  [1971] = {.lex_state = 24, .external_lex_state = 2},
  [1972] = {.lex_state = 24, .external_lex_state = 2},
  [1973] = {.lex_state = 24, .external_lex_state = 2},
  [1974] = {.lex_state = 24, .external_lex_state = 2},
  [1975] = {.lex_state = 24, .external_lex_state = 2},
  [1976] = {.lex_state = 24, .external_lex_state = 2},
  [1977] = {.lex_state = 24, .external_lex_state = 2},
  [1978] = {.lex_state = 24, .external_lex_state = 2},
  [1979] = {.lex_state = 24, .external_lex_state = 2},
  [1980] = {.lex_state = 24, .external_lex_state = 2},
  [1981] = {.lex_state = 24, .external_lex_state = 2},
  [1982] = {.lex_state = 24, .external_lex_state = 2},
  [1983] = {.lex_state = 24, .external_lex_state = 2},
  [1984] = {.lex_state = 24, .external_lex_state = 2},
  [1985] = {.lex_state = 24, .external_lex_state = 2},
  [1986] = {.lex_state = 411, .external_lex_state = 2},
  [1987] = {.lex_state = 24, .external_lex_state = 2},
  [1988] = {.lex_state = 24, .external_lex_state = 2},
  [1989] = {.lex_state = 24, .external_lex_state = 2},
  [1990] = {.lex_state = 24, .external_lex_state = 2},
  [1991] = {.lex_state = 24, .external_lex_state = 2},
  [1992] = {.lex_state = 24, .external_lex_state = 2},
  [1993] = {.lex_state = 24, .external_lex_state = 2},
  [1994] = {.lex_state = 24, .external_lex_state = 2},
  [1995] = {.lex_state = 24, .external_lex_state = 2},
  [1996] = {.lex_state = 24, .external_lex_state = 2},
  [1997] = {.lex_state = 24, .external_lex_state = 2},
  [1998] = {.lex_state = 24, .external_lex_state = 2},
  [1999] = {.lex_state = 24, .external_lex_state = 2},
  [2000] = {.lex_state = 24, .external_lex_state = 2},
  [2001] = {.lex_state = 24, .external_lex_state = 2},
  [2002] = {.lex_state = 24, .external_lex_state = 2},
  [2003] = {.lex_state = 24, .external_lex_state = 2},
  [2004] = {.lex_state = 24, .external_lex_state = 2},
  [2005] = {.lex_state = 24, .external_lex_state = 2},
  [2006] = {.lex_state = 24, .external_lex_state = 2},
  [2007] = {.lex_state = 24, .external_lex_state = 2},
  [2008] = {.lex_state = 24, .external_lex_state = 2},
  [2009] = {.lex_state = 24, .external_lex_state = 2},
  [2010] = {.lex_state = 24, .external_lex_state = 2},
  [2011] = {.lex_state = 24, .external_lex_state = 2},
  [2012] = {.lex_state = 24, .external_lex_state = 2},
  [2013] = {.lex_state = 24, .external_lex_state = 2},
  [2014] = {.lex_state = 24, .external_lex_state = 2},
  [2015] = {.lex_state = 24, .external_lex_state = 2},
  [2016] = {.lex_state = 24, .external_lex_state = 2},
  [2017] = {.lex_state = 24, .external_lex_state = 2},
  [2018] = {.lex_state = 24, .external_lex_state = 2},
  [2019] = {.lex_state = 24, .external_lex_state = 2},
  [2020] = {.lex_state = 24, .external_lex_state = 2},
  [2021] = {.lex_state = 24, .external_lex_state = 2},
  [2022] = {.lex_state = 24, .external_lex_state = 2},
  [2023] = {.lex_state = 24, .external_lex_state = 2},
  [2024] = {.lex_state = 24, .external_lex_state = 2},
  [2025] = {.lex_state = 24, .external_lex_state = 2},
  [2026] = {.lex_state = 24, .external_lex_state = 2},
  [2027] = {.lex_state = 24, .external_lex_state = 2},
  [2028] = {.lex_state = 24, .external_lex_state = 2},
  [2029] = {.lex_state = 24, .external_lex_state = 2},
  [2030] = {.lex_state = 24, .external_lex_state = 2},
  [2031] = {.lex_state = 24, .external_lex_state = 2},
  [2032] = {.lex_state = 24, .external_lex_state = 2},
  [2033] = {.lex_state = 24, .external_lex_state = 2},
  [2034] = {.lex_state = 24, .external_lex_state = 2},
  [2035] = {.lex_state = 24, .external_lex_state = 2},
  [2036] = {.lex_state = 24, .external_lex_state = 2},
  [2037] = {.lex_state = 24, .external_lex_state = 2},
  [2038] = {.lex_state = 24, .external_lex_state = 2},
  [2039] = {.lex_state = 24, .external_lex_state = 2},
  [2040] = {.lex_state = 24, .external_lex_state = 2},
  [2041] = {.lex_state = 24, .external_lex_state = 2},
  [2042] = {.lex_state = 24, .external_lex_state = 2},
  [2043] = {.lex_state = 24, .external_lex_state = 2},
  [2044] = {.lex_state = 24, .external_lex_state = 2},
  [2045] = {.lex_state = 24, .external_lex_state = 2},
  [2046] = {.lex_state = 24, .external_lex_state = 2},
  [2047] = {.lex_state = 24, .external_lex_state = 2},
  [2048] = {.lex_state = 24, .external_lex_state = 2},
  [2049] = {.lex_state = 24, .external_lex_state = 2},
  [2050] = {.lex_state = 400, .external_lex_state = 2},
  [2051] = {.lex_state = 24, .external_lex_state = 2},
  [2052] = {.lex_state = 24, .external_lex_state = 2},
  [2053] = {.lex_state = 24, .external_lex_state = 2},
  [2054] = {.lex_state = 24, .external_lex_state = 2},
  [2055] = {.lex_state = 24, .external_lex_state = 2},
  [2056] = {.lex_state = 24, .external_lex_state = 2},
  [2057] = {.lex_state = 24, .external_lex_state = 2},
  [2058] = {.lex_state = 24, .external_lex_state = 2},
  [2059] = {.lex_state = 24, .external_lex_state = 2},
  [2060] = {.lex_state = 24, .external_lex_state = 2},
  [2061] = {.lex_state = 24, .external_lex_state = 2},
  [2062] = {.lex_state = 24, .external_lex_state = 2},
  [2063] = {.lex_state = 24, .external_lex_state = 2},
  [2064] = {.lex_state = 24, .external_lex_state = 2},
  [2065] = {.lex_state = 24, .external_lex_state = 2},
  [2066] = {.lex_state = 24, .external_lex_state = 2},
  [2067] = {.lex_state = 24, .external_lex_state = 2},
  [2068] = {.lex_state = 24, .external_lex_state = 2},
  [2069] = {.lex_state = 24, .external_lex_state = 2},
  [2070] = {.lex_state = 24, .external_lex_state = 2},
  [2071] = {.lex_state = 24, .external_lex_state = 2},
  [2072] = {.lex_state = 24, .external_lex_state = 2},
  [2073] = {.lex_state = 24, .external_lex_state = 2},
  [2074] = {.lex_state = 24, .external_lex_state = 2},
  [2075] = {.lex_state = 24, .external_lex_state = 2},
  [2076] = {.lex_state = 24, .external_lex_state = 2},
  [2077] = {.lex_state = 24, .external_lex_state = 2},
  [2078] = {.lex_state = 24, .external_lex_state = 2},
  [2079] = {.lex_state = 24, .external_lex_state = 2},
  [2080] = {.lex_state = 24, .external_lex_state = 2},
  [2081] = {.lex_state = 24, .external_lex_state = 2},
  [2082] = {.lex_state = 24, .external_lex_state = 2},
  [2083] = {.lex_state = 24, .external_lex_state = 2},
  [2084] = {.lex_state = 24, .external_lex_state = 2},
  [2085] = {.lex_state = 24, .external_lex_state = 2},
  [2086] = {.lex_state = 24, .external_lex_state = 2},
  [2087] = {.lex_state = 24, .external_lex_state = 2},
  [2088] = {.lex_state = 49, .external_lex_state = 2},
  [2089] = {.lex_state = 24, .external_lex_state = 2},
  [2090] = {.lex_state = 24, .external_lex_state = 2},
  [2091] = {.lex_state = 24, .external_lex_state = 2},
  [2092] = {.lex_state = 24, .external_lex_state = 2},
  [2093] = {.lex_state = 24, .external_lex_state = 2},
  [2094] = {.lex_state = 24, .external_lex_state = 2},
  [2095] = {.lex_state = 24, .external_lex_state = 2},
  [2096] = {.lex_state = 24, .external_lex_state = 2},
  [2097] = {.lex_state = 24, .external_lex_state = 2},
  [2098] = {.lex_state = 24, .external_lex_state = 2},
  [2099] = {.lex_state = 24, .external_lex_state = 2},
  [2100] = {.lex_state = 24, .external_lex_state = 2},
  [2101] = {.lex_state = 24, .external_lex_state = 2},
  [2102] = {.lex_state = 24, .external_lex_state = 2},
  [2103] = {.lex_state = 24, .external_lex_state = 2},
  [2104] = {.lex_state = 24, .external_lex_state = 2},
  [2105] = {.lex_state = 24, .external_lex_state = 2},
  [2106] = {.lex_state = 24, .external_lex_state = 2},
  [2107] = {.lex_state = 24, .external_lex_state = 2},
  [2108] = {.lex_state = 24, .external_lex_state = 2},
  [2109] = {.lex_state = 24, .external_lex_state = 2},
  [2110] = {.lex_state = 24, .external_lex_state = 2},
  [2111] = {.lex_state = 24, .external_lex_state = 2},
  [2112] = {.lex_state = 24, .external_lex_state = 2},
  [2113] = {.lex_state = 24, .external_lex_state = 2},
  [2114] = {.lex_state = 24, .external_lex_state = 2},
  [2115] = {.lex_state = 24, .external_lex_state = 2},
  [2116] = {.lex_state = 24, .external_lex_state = 2},
  [2117] = {.lex_state = 24, .external_lex_state = 2},
  [2118] = {.lex_state = 24, .external_lex_state = 2},
  [2119] = {.lex_state = 24, .external_lex_state = 2},
  [2120] = {.lex_state = 24, .external_lex_state = 2},
  [2121] = {.lex_state = 24, .external_lex_state = 2},
  [2122] = {.lex_state = 24, .external_lex_state = 2},
  [2123] = {.lex_state = 24, .external_lex_state = 2},
  [2124] = {.lex_state = 24, .external_lex_state = 2},
  [2125] = {.lex_state = 24, .external_lex_state = 2},
  [2126] = {.lex_state = 24, .external_lex_state = 2},
  [2127] = {.lex_state = 24, .external_lex_state = 2},
  [2128] = {.lex_state = 24, .external_lex_state = 2},
  [2129] = {.lex_state = 24, .external_lex_state = 2},
  [2130] = {.lex_state = 24, .external_lex_state = 2},
  [2131] = {.lex_state = 24, .external_lex_state = 2},
  [2132] = {.lex_state = 24, .external_lex_state = 2},
  [2133] = {.lex_state = 24, .external_lex_state = 2},
  [2134] = {.lex_state = 24, .external_lex_state = 2},
  [2135] = {.lex_state = 24, .external_lex_state = 2},
  [2136] = {.lex_state = 24, .external_lex_state = 2},
  [2137] = {.lex_state = 24, .external_lex_state = 2},
  [2138] = {.lex_state = 24, .external_lex_state = 2},
  [2139] = {.lex_state = 24, .external_lex_state = 2},
  [2140] = {.lex_state = 24, .external_lex_state = 2},
  [2141] = {.lex_state = 410, .external_lex_state = 2},
  [2142] = {.lex_state = 24, .external_lex_state = 2},
  [2143] = {.lex_state = 24, .external_lex_state = 2},
  [2144] = {.lex_state = 24, .external_lex_state = 2},
  [2145] = {.lex_state = 24, .external_lex_state = 2},
  [2146] = {.lex_state = 24, .external_lex_state = 2},
  [2147] = {.lex_state = 24, .external_lex_state = 2},
  [2148] = {.lex_state = 24, .external_lex_state = 2},
  [2149] = {.lex_state = 24, .external_lex_state = 2},
  [2150] = {.lex_state = 24, .external_lex_state = 2},
  [2151] = {.lex_state = 24, .external_lex_state = 2},
  [2152] = {.lex_state = 24, .external_lex_state = 2},
  [2153] = {.lex_state = 24, .external_lex_state = 2},
  [2154] = {.lex_state = 24, .external_lex_state = 2},
  [2155] = {.lex_state = 403, .external_lex_state = 2},
  [2156] = {.lex_state = 24, .external_lex_state = 2},
  [2157] = {.lex_state = 24, .external_lex_state = 2},
  [2158] = {.lex_state = 24, .external_lex_state = 2},
  [2159] = {.lex_state = 24, .external_lex_state = 2},
  [2160] = {.lex_state = 24, .external_lex_state = 2},
  [2161] = {.lex_state = 24, .external_lex_state = 2},
  [2162] = {.lex_state = 24, .external_lex_state = 2},
  [2163] = {.lex_state = 24, .external_lex_state = 2},
  [2164] = {.lex_state = 24, .external_lex_state = 2},
  [2165] = {.lex_state = 24, .external_lex_state = 2},
  [2166] = {.lex_state = 24, .external_lex_state = 2},
  [2167] = {.lex_state = 24, .external_lex_state = 2},
  [2168] = {.lex_state = 24, .external_lex_state = 2},
  [2169] = {.lex_state = 24, .external_lex_state = 2},
  [2170] = {.lex_state = 24, .external_lex_state = 2},
  [2171] = {.lex_state = 24, .external_lex_state = 2},
  [2172] = {.lex_state = 24, .external_lex_state = 2},
  [2173] = {.lex_state = 400, .external_lex_state = 2},
  [2174] = {.lex_state = 24, .external_lex_state = 2},
  [2175] = {.lex_state = 24, .external_lex_state = 2},
  [2176] = {.lex_state = 24, .external_lex_state = 2},
  [2177] = {.lex_state = 24, .external_lex_state = 2},
  [2178] = {.lex_state = 24, .external_lex_state = 2},
  [2179] = {.lex_state = 24, .external_lex_state = 2},
  [2180] = {.lex_state = 24, .external_lex_state = 2},
  [2181] = {.lex_state = 24, .external_lex_state = 2},
  [2182] = {.lex_state = 24, .external_lex_state = 2},
  [2183] = {.lex_state = 24, .external_lex_state = 2},
  [2184] = {.lex_state = 24, .external_lex_state = 2},
  [2185] = {.lex_state = 24, .external_lex_state = 2},
  [2186] = {.lex_state = 24, .external_lex_state = 2},
  [2187] = {.lex_state = 24, .external_lex_state = 2},
  [2188] = {.lex_state = 24, .external_lex_state = 2},
  [2189] = {.lex_state = 24, .external_lex_state = 2},
  [2190] = {.lex_state = 24, .external_lex_state = 2},
  [2191] = {.lex_state = 24, .external_lex_state = 2},
  [2192] = {.lex_state = 24, .external_lex_state = 2},
  [2193] = {.lex_state = 24, .external_lex_state = 2},
  [2194] = {.lex_state = 24, .external_lex_state = 2},
  [2195] = {.lex_state = 24, .external_lex_state = 2},
  [2196] = {.lex_state = 24, .external_lex_state = 2},
  [2197] = {.lex_state = 24, .external_lex_state = 2},
  [2198] = {.lex_state = 24, .external_lex_state = 2},
  [2199] = {.lex_state = 24, .external_lex_state = 2},
  [2200] = {.lex_state = 24, .external_lex_state = 2},
  [2201] = {.lex_state = 24, .external_lex_state = 2},
  [2202] = {.lex_state = 24, .external_lex_state = 2},
  [2203] = {.lex_state = 24, .external_lex_state = 2},
  [2204] = {.lex_state = 24, .external_lex_state = 2},
  [2205] = {.lex_state = 403, .external_lex_state = 2},
  [2206] = {.lex_state = 24, .external_lex_state = 2},
  [2207] = {.lex_state = 410, .external_lex_state = 2},
  [2208] = {.lex_state = 24, .external_lex_state = 2},
  [2209] = {.lex_state = 24, .external_lex_state = 2},
  [2210] = {.lex_state = 24, .external_lex_state = 2},
  [2211] = {.lex_state = 403, .external_lex_state = 2},
  [2212] = {.lex_state = 24, .external_lex_state = 2},
  [2213] = {.lex_state = 24, .external_lex_state = 2},
  [2214] = {.lex_state = 24, .external_lex_state = 2},
  [2215] = {.lex_state = 24, .external_lex_state = 2},
  [2216] = {.lex_state = 24, .external_lex_state = 2},
  [2217] = {.lex_state = 24, .external_lex_state = 2},
  [2218] = {.lex_state = 24, .external_lex_state = 2},
  [2219] = {.lex_state = 24, .external_lex_state = 2},
  [2220] = {.lex_state = 24, .external_lex_state = 2},
  [2221] = {.lex_state = 24, .external_lex_state = 2},
  [2222] = {.lex_state = 24, .external_lex_state = 2},
  [2223] = {.lex_state = 24, .external_lex_state = 2},
  [2224] = {.lex_state = 24, .external_lex_state = 2},
  [2225] = {.lex_state = 24, .external_lex_state = 2},
  [2226] = {.lex_state = 24, .external_lex_state = 2},
  [2227] = {.lex_state = 24, .external_lex_state = 2},
  [2228] = {.lex_state = 24, .external_lex_state = 2},
  [2229] = {.lex_state = 24, .external_lex_state = 2},
  [2230] = {.lex_state = 24, .external_lex_state = 2},
  [2231] = {.lex_state = 24, .external_lex_state = 2},
  [2232] = {.lex_state = 24, .external_lex_state = 2},
  [2233] = {.lex_state = 24, .external_lex_state = 2},
  [2234] = {.lex_state = 24, .external_lex_state = 2},
  [2235] = {.lex_state = 24, .external_lex_state = 2},
  [2236] = {.lex_state = 24, .external_lex_state = 2},
  [2237] = {.lex_state = 24, .external_lex_state = 2},
  [2238] = {.lex_state = 24, .external_lex_state = 2},
  [2239] = {.lex_state = 24, .external_lex_state = 2},
  [2240] = {.lex_state = 24, .external_lex_state = 2},
  [2241] = {.lex_state = 24, .external_lex_state = 2},
  [2242] = {.lex_state = 24, .external_lex_state = 2},
  [2243] = {.lex_state = 24, .external_lex_state = 2},
  [2244] = {.lex_state = 24, .external_lex_state = 2},
  [2245] = {.lex_state = 24, .external_lex_state = 2},
  [2246] = {.lex_state = 24, .external_lex_state = 2},
  [2247] = {.lex_state = 24, .external_lex_state = 2},
  [2248] = {.lex_state = 24, .external_lex_state = 2},
  [2249] = {.lex_state = 24, .external_lex_state = 2},
  [2250] = {.lex_state = 24, .external_lex_state = 2},
  [2251] = {.lex_state = 24, .external_lex_state = 2},
  [2252] = {.lex_state = 24, .external_lex_state = 2},
  [2253] = {.lex_state = 24, .external_lex_state = 2},
  [2254] = {.lex_state = 24, .external_lex_state = 2},
  [2255] = {.lex_state = 24, .external_lex_state = 2},
  [2256] = {.lex_state = 24, .external_lex_state = 2},
  [2257] = {.lex_state = 24, .external_lex_state = 2},
  [2258] = {.lex_state = 24, .external_lex_state = 2},
  [2259] = {.lex_state = 24, .external_lex_state = 2},
  [2260] = {.lex_state = 24, .external_lex_state = 2},
  [2261] = {.lex_state = 24, .external_lex_state = 2},
  [2262] = {.lex_state = 24, .external_lex_state = 2},
  [2263] = {.lex_state = 24, .external_lex_state = 2},
  [2264] = {.lex_state = 24, .external_lex_state = 2},
  [2265] = {.lex_state = 24, .external_lex_state = 2},
  [2266] = {.lex_state = 24, .external_lex_state = 2},
  [2267] = {.lex_state = 24, .external_lex_state = 2},
  [2268] = {.lex_state = 24, .external_lex_state = 2},
  [2269] = {.lex_state = 24, .external_lex_state = 2},
  [2270] = {.lex_state = 24, .external_lex_state = 2},
  [2271] = {.lex_state = 24, .external_lex_state = 2},
  [2272] = {.lex_state = 24, .external_lex_state = 2},
  [2273] = {.lex_state = 24, .external_lex_state = 2},
  [2274] = {.lex_state = 24, .external_lex_state = 2},
  [2275] = {.lex_state = 24, .external_lex_state = 2},
  [2276] = {.lex_state = 24, .external_lex_state = 2},
  [2277] = {.lex_state = 24, .external_lex_state = 2},
  [2278] = {.lex_state = 24, .external_lex_state = 2},
  [2279] = {.lex_state = 24, .external_lex_state = 2},
  [2280] = {.lex_state = 24, .external_lex_state = 2},
  [2281] = {.lex_state = 24, .external_lex_state = 2},
  [2282] = {.lex_state = 24, .external_lex_state = 2},
  [2283] = {.lex_state = 24, .external_lex_state = 2},
  [2284] = {.lex_state = 24, .external_lex_state = 2},
  [2285] = {.lex_state = 24, .external_lex_state = 2},
  [2286] = {.lex_state = 24, .external_lex_state = 2},
  [2287] = {.lex_state = 24, .external_lex_state = 2},
  [2288] = {.lex_state = 24, .external_lex_state = 2},
  [2289] = {.lex_state = 24, .external_lex_state = 2},
  [2290] = {.lex_state = 24, .external_lex_state = 2},
  [2291] = {.lex_state = 24, .external_lex_state = 2},
  [2292] = {.lex_state = 24, .external_lex_state = 2},
  [2293] = {.lex_state = 24, .external_lex_state = 2},
  [2294] = {.lex_state = 24, .external_lex_state = 2},
  [2295] = {.lex_state = 24, .external_lex_state = 2},
  [2296] = {.lex_state = 24, .external_lex_state = 2},
  [2297] = {.lex_state = 24, .external_lex_state = 2},
  [2298] = {.lex_state = 24, .external_lex_state = 2},
  [2299] = {.lex_state = 24, .external_lex_state = 2},
  [2300] = {.lex_state = 24, .external_lex_state = 2},
  [2301] = {.lex_state = 24, .external_lex_state = 2},
  [2302] = {.lex_state = 24, .external_lex_state = 2},
  [2303] = {.lex_state = 24, .external_lex_state = 2},
  [2304] = {.lex_state = 24, .external_lex_state = 2},
  [2305] = {.lex_state = 24, .external_lex_state = 2},
  [2306] = {.lex_state = 24, .external_lex_state = 2},
  [2307] = {.lex_state = 24, .external_lex_state = 2},
  [2308] = {.lex_state = 24, .external_lex_state = 2},
  [2309] = {.lex_state = 24, .external_lex_state = 2},
  [2310] = {.lex_state = 24, .external_lex_state = 2},
  [2311] = {.lex_state = 400, .external_lex_state = 2},
  [2312] = {.lex_state = 24, .external_lex_state = 2},
  [2313] = {.lex_state = 400, .external_lex_state = 2},
  [2314] = {.lex_state = 24, .external_lex_state = 2},
  [2315] = {.lex_state = 24, .external_lex_state = 2},
  [2316] = {.lex_state = 24, .external_lex_state = 2},
  [2317] = {.lex_state = 24, .external_lex_state = 2},
  [2318] = {.lex_state = 24, .external_lex_state = 2},
  [2319] = {.lex_state = 24, .external_lex_state = 2},
  [2320] = {.lex_state = 24, .external_lex_state = 2},
  [2321] = {.lex_state = 24, .external_lex_state = 2},
  [2322] = {.lex_state = 24, .external_lex_state = 2},
  [2323] = {.lex_state = 24, .external_lex_state = 2},
  [2324] = {.lex_state = 24, .external_lex_state = 2},
  [2325] = {.lex_state = 24, .external_lex_state = 2},
  [2326] = {.lex_state = 24, .external_lex_state = 2},
  [2327] = {.lex_state = 24, .external_lex_state = 2},
  [2328] = {.lex_state = 24, .external_lex_state = 2},
  [2329] = {.lex_state = 24, .external_lex_state = 2},
  [2330] = {.lex_state = 24, .external_lex_state = 2},
  [2331] = {.lex_state = 24, .external_lex_state = 2},
  [2332] = {.lex_state = 24, .external_lex_state = 2},
  [2333] = {.lex_state = 24, .external_lex_state = 2},
  [2334] = {.lex_state = 24, .external_lex_state = 2},
  [2335] = {.lex_state = 24, .external_lex_state = 2},
  [2336] = {.lex_state = 24, .external_lex_state = 2},
  [2337] = {.lex_state = 24, .external_lex_state = 2},
  [2338] = {.lex_state = 24, .external_lex_state = 2},
  [2339] = {.lex_state = 24, .external_lex_state = 2},
  [2340] = {.lex_state = 24, .external_lex_state = 2},
  [2341] = {.lex_state = 24, .external_lex_state = 2},
  [2342] = {.lex_state = 24, .external_lex_state = 2},
  [2343] = {.lex_state = 24, .external_lex_state = 2},
  [2344] = {.lex_state = 24, .external_lex_state = 2},
  [2345] = {.lex_state = 24, .external_lex_state = 2},
  [2346] = {.lex_state = 24, .external_lex_state = 2},
  [2347] = {.lex_state = 24, .external_lex_state = 2},
  [2348] = {.lex_state = 24, .external_lex_state = 2},
  [2349] = {.lex_state = 24, .external_lex_state = 2},
  [2350] = {.lex_state = 24, .external_lex_state = 2},
  [2351] = {.lex_state = 24, .external_lex_state = 2},
  [2352] = {.lex_state = 63, .external_lex_state = 2},
  [2353] = {.lex_state = 24, .external_lex_state = 2},
  [2354] = {.lex_state = 24, .external_lex_state = 2},
  [2355] = {.lex_state = 24, .external_lex_state = 2},
  [2356] = {.lex_state = 24, .external_lex_state = 2},
  [2357] = {.lex_state = 24, .external_lex_state = 2},
  [2358] = {.lex_state = 24, .external_lex_state = 2},
  [2359] = {.lex_state = 24, .external_lex_state = 2},
  [2360] = {.lex_state = 24, .external_lex_state = 2},
  [2361] = {.lex_state = 24, .external_lex_state = 2},
  [2362] = {.lex_state = 24, .external_lex_state = 2},
  [2363] = {.lex_state = 24, .external_lex_state = 2},
  [2364] = {.lex_state = 24, .external_lex_state = 2},
  [2365] = {.lex_state = 24, .external_lex_state = 2},
  [2366] = {.lex_state = 24, .external_lex_state = 2},
  [2367] = {.lex_state = 24, .external_lex_state = 2},
  [2368] = {.lex_state = 24, .external_lex_state = 2},
  [2369] = {.lex_state = 24, .external_lex_state = 2},
  [2370] = {.lex_state = 24, .external_lex_state = 2},
  [2371] = {.lex_state = 24, .external_lex_state = 2},
  [2372] = {.lex_state = 24, .external_lex_state = 2},
  [2373] = {.lex_state = 24, .external_lex_state = 2},
  [2374] = {.lex_state = 24, .external_lex_state = 2},
  [2375] = {.lex_state = 24, .external_lex_state = 2},
  [2376] = {.lex_state = 24, .external_lex_state = 2},
  [2377] = {.lex_state = 24, .external_lex_state = 2},
  [2378] = {.lex_state = 24, .external_lex_state = 2},
  [2379] = {.lex_state = 24, .external_lex_state = 2},
  [2380] = {.lex_state = 24, .external_lex_state = 2},
  [2381] = {.lex_state = 24, .external_lex_state = 2},
  [2382] = {.lex_state = 24, .external_lex_state = 2},
  [2383] = {.lex_state = 24, .external_lex_state = 2},
  [2384] = {.lex_state = 24, .external_lex_state = 2},
  [2385] = {.lex_state = 24, .external_lex_state = 2},
  [2386] = {.lex_state = 24, .external_lex_state = 2},
  [2387] = {.lex_state = 24, .external_lex_state = 2},
  [2388] = {.lex_state = 24, .external_lex_state = 2},
  [2389] = {.lex_state = 24, .external_lex_state = 2},
  [2390] = {.lex_state = 24, .external_lex_state = 2},
  [2391] = {.lex_state = 24, .external_lex_state = 2},
  [2392] = {.lex_state = 24, .external_lex_state = 2},
  [2393] = {.lex_state = 24, .external_lex_state = 2},
  [2394] = {.lex_state = 24, .external_lex_state = 2},
  [2395] = {.lex_state = 24, .external_lex_state = 2},
  [2396] = {.lex_state = 24, .external_lex_state = 2},
  [2397] = {.lex_state = 24, .external_lex_state = 2},
  [2398] = {.lex_state = 24, .external_lex_state = 2},
  [2399] = {.lex_state = 24, .external_lex_state = 2},
  [2400] = {.lex_state = 24, .external_lex_state = 2},
  [2401] = {.lex_state = 24, .external_lex_state = 2},
  [2402] = {.lex_state = 24, .external_lex_state = 2},
  [2403] = {.lex_state = 24, .external_lex_state = 2},
  [2404] = {.lex_state = 24, .external_lex_state = 2},
  [2405] = {.lex_state = 24, .external_lex_state = 2},
  [2406] = {.lex_state = 24, .external_lex_state = 2},
  [2407] = {.lex_state = 24, .external_lex_state = 2},
  [2408] = {.lex_state = 24, .external_lex_state = 2},
  [2409] = {.lex_state = 24, .external_lex_state = 2},
  [2410] = {.lex_state = 24, .external_lex_state = 2},
  [2411] = {.lex_state = 24, .external_lex_state = 2},
  [2412] = {.lex_state = 24, .external_lex_state = 2},
  [2413] = {.lex_state = 24, .external_lex_state = 2},
  [2414] = {.lex_state = 24, .external_lex_state = 2},
  [2415] = {.lex_state = 24, .external_lex_state = 2},
  [2416] = {.lex_state = 24, .external_lex_state = 2},
  [2417] = {.lex_state = 24, .external_lex_state = 2},
  [2418] = {.lex_state = 24, .external_lex_state = 2},
  [2419] = {.lex_state = 24, .external_lex_state = 2},
  [2420] = {.lex_state = 24, .external_lex_state = 2},
  [2421] = {.lex_state = 24, .external_lex_state = 2},
  [2422] = {.lex_state = 24, .external_lex_state = 2},
  [2423] = {.lex_state = 24, .external_lex_state = 2},
  [2424] = {.lex_state = 24, .external_lex_state = 2},
  [2425] = {.lex_state = 24, .external_lex_state = 2},
  [2426] = {.lex_state = 24, .external_lex_state = 2},
  [2427] = {.lex_state = 24, .external_lex_state = 2},
  [2428] = {.lex_state = 24, .external_lex_state = 2},
  [2429] = {.lex_state = 24, .external_lex_state = 2},
  [2430] = {.lex_state = 24, .external_lex_state = 2},
  [2431] = {.lex_state = 24, .external_lex_state = 2},
  [2432] = {.lex_state = 24, .external_lex_state = 2},
  [2433] = {.lex_state = 24, .external_lex_state = 2},
  [2434] = {.lex_state = 24, .external_lex_state = 2},
  [2435] = {.lex_state = 24, .external_lex_state = 2},
  [2436] = {.lex_state = 24, .external_lex_state = 2},
  [2437] = {.lex_state = 24, .external_lex_state = 2},
  [2438] = {.lex_state = 24, .external_lex_state = 2},
  [2439] = {.lex_state = 24, .external_lex_state = 2},
  [2440] = {.lex_state = 24, .external_lex_state = 2},
  [2441] = {.lex_state = 24, .external_lex_state = 2},
  [2442] = {.lex_state = 24, .external_lex_state = 2},
  [2443] = {.lex_state = 24, .external_lex_state = 2},
  [2444] = {.lex_state = 24, .external_lex_state = 2},
  [2445] = {.lex_state = 24, .external_lex_state = 2},
  [2446] = {.lex_state = 24, .external_lex_state = 2},
  [2447] = {.lex_state = 24, .external_lex_state = 2},
  [2448] = {.lex_state = 24, .external_lex_state = 2},
  [2449] = {.lex_state = 24, .external_lex_state = 2},
  [2450] = {.lex_state = 24, .external_lex_state = 2},
  [2451] = {.lex_state = 24, .external_lex_state = 2},
  [2452] = {.lex_state = 24, .external_lex_state = 2},
  [2453] = {.lex_state = 24, .external_lex_state = 2},
  [2454] = {.lex_state = 24, .external_lex_state = 2},
  [2455] = {.lex_state = 24, .external_lex_state = 2},
  [2456] = {.lex_state = 24, .external_lex_state = 2},
  [2457] = {.lex_state = 24, .external_lex_state = 2},
  [2458] = {.lex_state = 24, .external_lex_state = 2},
  [2459] = {.lex_state = 24, .external_lex_state = 2},
  [2460] = {.lex_state = 24, .external_lex_state = 2},
  [2461] = {.lex_state = 24, .external_lex_state = 2},
  [2462] = {.lex_state = 24, .external_lex_state = 2},
  [2463] = {.lex_state = 24, .external_lex_state = 2},
  [2464] = {.lex_state = 24, .external_lex_state = 2},
  [2465] = {.lex_state = 24, .external_lex_state = 2},
  [2466] = {.lex_state = 24, .external_lex_state = 2},
  [2467] = {.lex_state = 24, .external_lex_state = 2},
  [2468] = {.lex_state = 24, .external_lex_state = 2},
  [2469] = {.lex_state = 24, .external_lex_state = 2},
  [2470] = {.lex_state = 24, .external_lex_state = 2},
  [2471] = {.lex_state = 24, .external_lex_state = 2},
  [2472] = {.lex_state = 24, .external_lex_state = 2},
  [2473] = {.lex_state = 24, .external_lex_state = 2},
  [2474] = {.lex_state = 24, .external_lex_state = 2},
  [2475] = {.lex_state = 24, .external_lex_state = 2},
  [2476] = {.lex_state = 24, .external_lex_state = 2},
  [2477] = {.lex_state = 24, .external_lex_state = 2},
  [2478] = {.lex_state = 24, .external_lex_state = 2},
  [2479] = {.lex_state = 24, .external_lex_state = 2},
  [2480] = {.lex_state = 24, .external_lex_state = 2},
  [2481] = {.lex_state = 24, .external_lex_state = 2},
  [2482] = {.lex_state = 24, .external_lex_state = 2},
  [2483] = {.lex_state = 24, .external_lex_state = 2},
  [2484] = {.lex_state = 24, .external_lex_state = 2},
  [2485] = {.lex_state = 24, .external_lex_state = 2},
  [2486] = {.lex_state = 24, .external_lex_state = 2},
  [2487] = {.lex_state = 24, .external_lex_state = 2},
  [2488] = {.lex_state = 24, .external_lex_state = 2},
  [2489] = {.lex_state = 24, .external_lex_state = 2},
  [2490] = {.lex_state = 24, .external_lex_state = 2},
  [2491] = {.lex_state = 24, .external_lex_state = 2},
  [2492] = {.lex_state = 24, .external_lex_state = 2},
  [2493] = {.lex_state = 24, .external_lex_state = 2},
  [2494] = {.lex_state = 24, .external_lex_state = 2},
  [2495] = {.lex_state = 24, .external_lex_state = 2},
  [2496] = {.lex_state = 50, .external_lex_state = 2},
  [2497] = {.lex_state = 24, .external_lex_state = 2},
  [2498] = {.lex_state = 24, .external_lex_state = 2},
  [2499] = {.lex_state = 24, .external_lex_state = 2},
  [2500] = {.lex_state = 24, .external_lex_state = 2},
  [2501] = {.lex_state = 24, .external_lex_state = 2},
  [2502] = {.lex_state = 24, .external_lex_state = 2},
  [2503] = {.lex_state = 24, .external_lex_state = 2},
  [2504] = {.lex_state = 24, .external_lex_state = 2},
  [2505] = {.lex_state = 24, .external_lex_state = 2},
  [2506] = {.lex_state = 24, .external_lex_state = 2},
  [2507] = {.lex_state = 24, .external_lex_state = 2},
  [2508] = {.lex_state = 24, .external_lex_state = 2},
  [2509] = {.lex_state = 24, .external_lex_state = 2},
  [2510] = {.lex_state = 24, .external_lex_state = 2},
  [2511] = {.lex_state = 24, .external_lex_state = 2},
  [2512] = {.lex_state = 24, .external_lex_state = 2},
  [2513] = {.lex_state = 24, .external_lex_state = 2},
  [2514] = {.lex_state = 24, .external_lex_state = 2},
  [2515] = {.lex_state = 24, .external_lex_state = 2},
  [2516] = {.lex_state = 24, .external_lex_state = 2},
  [2517] = {.lex_state = 24, .external_lex_state = 2},
  [2518] = {.lex_state = 24, .external_lex_state = 2},
  [2519] = {.lex_state = 24, .external_lex_state = 2},
  [2520] = {.lex_state = 24, .external_lex_state = 2},
  [2521] = {.lex_state = 24, .external_lex_state = 2},
  [2522] = {.lex_state = 24, .external_lex_state = 2},
  [2523] = {.lex_state = 24, .external_lex_state = 2},
  [2524] = {.lex_state = 24, .external_lex_state = 2},
  [2525] = {.lex_state = 24, .external_lex_state = 2},
  [2526] = {.lex_state = 24, .external_lex_state = 2},
  [2527] = {.lex_state = 24, .external_lex_state = 2},
  [2528] = {.lex_state = 24, .external_lex_state = 2},
  [2529] = {.lex_state = 24, .external_lex_state = 2},
  [2530] = {.lex_state = 24, .external_lex_state = 2},
  [2531] = {.lex_state = 24, .external_lex_state = 2},
  [2532] = {.lex_state = 24, .external_lex_state = 2},
  [2533] = {.lex_state = 24, .external_lex_state = 2},
  [2534] = {.lex_state = 24, .external_lex_state = 2},
  [2535] = {.lex_state = 24, .external_lex_state = 2},
  [2536] = {.lex_state = 24, .external_lex_state = 2},
  [2537] = {.lex_state = 24, .external_lex_state = 2},
  [2538] = {.lex_state = 24, .external_lex_state = 2},
  [2539] = {.lex_state = 24, .external_lex_state = 2},
  [2540] = {.lex_state = 24, .external_lex_state = 2},
  [2541] = {.lex_state = 24, .external_lex_state = 2},
  [2542] = {.lex_state = 24, .external_lex_state = 2},
  [2543] = {.lex_state = 24, .external_lex_state = 2},
  [2544] = {.lex_state = 24, .external_lex_state = 2},
  [2545] = {.lex_state = 24, .external_lex_state = 2},
  [2546] = {.lex_state = 24, .external_lex_state = 2},
  [2547] = {.lex_state = 24, .external_lex_state = 2},
  [2548] = {.lex_state = 24, .external_lex_state = 2},
  [2549] = {.lex_state = 24, .external_lex_state = 2},
  [2550] = {.lex_state = 24, .external_lex_state = 2},
  [2551] = {.lex_state = 24, .external_lex_state = 2},
  [2552] = {.lex_state = 24, .external_lex_state = 2},
  [2553] = {.lex_state = 24, .external_lex_state = 2},
  [2554] = {.lex_state = 24, .external_lex_state = 2},
  [2555] = {.lex_state = 24, .external_lex_state = 2},
  [2556] = {.lex_state = 24, .external_lex_state = 2},
  [2557] = {.lex_state = 24, .external_lex_state = 2},
  [2558] = {.lex_state = 24, .external_lex_state = 2},
  [2559] = {.lex_state = 24, .external_lex_state = 2},
  [2560] = {.lex_state = 24, .external_lex_state = 2},
  [2561] = {.lex_state = 24, .external_lex_state = 2},
  [2562] = {.lex_state = 24, .external_lex_state = 2},
  [2563] = {.lex_state = 24, .external_lex_state = 2},
  [2564] = {.lex_state = 24, .external_lex_state = 2},
  [2565] = {.lex_state = 24, .external_lex_state = 2},
  [2566] = {.lex_state = 24, .external_lex_state = 2},
  [2567] = {.lex_state = 24, .external_lex_state = 2},
  [2568] = {.lex_state = 24, .external_lex_state = 2},
  [2569] = {.lex_state = 24, .external_lex_state = 2},
  [2570] = {.lex_state = 24, .external_lex_state = 2},
  [2571] = {.lex_state = 24, .external_lex_state = 2},
  [2572] = {.lex_state = 24, .external_lex_state = 2},
  [2573] = {.lex_state = 24, .external_lex_state = 2},
  [2574] = {.lex_state = 24, .external_lex_state = 2},
  [2575] = {.lex_state = 24, .external_lex_state = 2},
  [2576] = {.lex_state = 24, .external_lex_state = 2},
  [2577] = {.lex_state = 24, .external_lex_state = 2},
  [2578] = {.lex_state = 24, .external_lex_state = 2},
  [2579] = {.lex_state = 24, .external_lex_state = 2},
  [2580] = {.lex_state = 24, .external_lex_state = 2},
  [2581] = {.lex_state = 24, .external_lex_state = 2},
  [2582] = {.lex_state = 24, .external_lex_state = 2},
  [2583] = {.lex_state = 24, .external_lex_state = 2},
  [2584] = {.lex_state = 24, .external_lex_state = 2},
  [2585] = {.lex_state = 24, .external_lex_state = 2},
  [2586] = {.lex_state = 24, .external_lex_state = 2},
  [2587] = {.lex_state = 24, .external_lex_state = 2},
  [2588] = {.lex_state = 24, .external_lex_state = 2},
  [2589] = {.lex_state = 24, .external_lex_state = 2},
  [2590] = {.lex_state = 24, .external_lex_state = 2},
  [2591] = {.lex_state = 24, .external_lex_state = 2},
  [2592] = {.lex_state = 24, .external_lex_state = 2},
  [2593] = {.lex_state = 24, .external_lex_state = 2},
  [2594] = {.lex_state = 24, .external_lex_state = 2},
  [2595] = {.lex_state = 24, .external_lex_state = 2},
  [2596] = {.lex_state = 24, .external_lex_state = 2},
  [2597] = {.lex_state = 24, .external_lex_state = 2},
  [2598] = {.lex_state = 24, .external_lex_state = 2},
  [2599] = {.lex_state = 24, .external_lex_state = 2},
  [2600] = {.lex_state = 24, .external_lex_state = 2},
  [2601] = {.lex_state = 24, .external_lex_state = 2},
  [2602] = {.lex_state = 24, .external_lex_state = 2},
  [2603] = {.lex_state = 24, .external_lex_state = 2},
  [2604] = {.lex_state = 24, .external_lex_state = 2},
  [2605] = {.lex_state = 24, .external_lex_state = 2},
  [2606] = {.lex_state = 24, .external_lex_state = 2},
  [2607] = {.lex_state = 24, .external_lex_state = 2},
  [2608] = {.lex_state = 24, .external_lex_state = 2},
  [2609] = {.lex_state = 24, .external_lex_state = 2},
  [2610] = {.lex_state = 24, .external_lex_state = 2},
  [2611] = {.lex_state = 24, .external_lex_state = 2},
  [2612] = {.lex_state = 24, .external_lex_state = 2},
  [2613] = {.lex_state = 24, .external_lex_state = 2},
  [2614] = {.lex_state = 24, .external_lex_state = 2},
  [2615] = {.lex_state = 24, .external_lex_state = 2},
  [2616] = {.lex_state = 24, .external_lex_state = 2},
  [2617] = {.lex_state = 24, .external_lex_state = 2},
  [2618] = {.lex_state = 24, .external_lex_state = 2},
  [2619] = {.lex_state = 24, .external_lex_state = 2},
  [2620] = {.lex_state = 24, .external_lex_state = 2},
  [2621] = {.lex_state = 24, .external_lex_state = 2},
  [2622] = {.lex_state = 24, .external_lex_state = 2},
  [2623] = {.lex_state = 24, .external_lex_state = 2},
  [2624] = {.lex_state = 24, .external_lex_state = 2},
  [2625] = {.lex_state = 24, .external_lex_state = 2},
  [2626] = {.lex_state = 24, .external_lex_state = 2},
  [2627] = {.lex_state = 403, .external_lex_state = 2},
  [2628] = {.lex_state = 24, .external_lex_state = 2},
  [2629] = {.lex_state = 24, .external_lex_state = 2},
  [2630] = {.lex_state = 24, .external_lex_state = 2},
  [2631] = {.lex_state = 24, .external_lex_state = 2},
  [2632] = {.lex_state = 24, .external_lex_state = 2},
  [2633] = {.lex_state = 24, .external_lex_state = 2},
  [2634] = {.lex_state = 24, .external_lex_state = 2},
  [2635] = {.lex_state = 24, .external_lex_state = 2},
  [2636] = {.lex_state = 24, .external_lex_state = 2},
  [2637] = {.lex_state = 24, .external_lex_state = 2},
  [2638] = {.lex_state = 24, .external_lex_state = 2},
  [2639] = {.lex_state = 24, .external_lex_state = 2},
  [2640] = {.lex_state = 24, .external_lex_state = 2},
  [2641] = {.lex_state = 24, .external_lex_state = 2},
  [2642] = {.lex_state = 24, .external_lex_state = 2},
  [2643] = {.lex_state = 24, .external_lex_state = 2},
  [2644] = {.lex_state = 24, .external_lex_state = 2},
  [2645] = {.lex_state = 24, .external_lex_state = 2},
  [2646] = {.lex_state = 24, .external_lex_state = 2},
  [2647] = {.lex_state = 24, .external_lex_state = 2},
  [2648] = {.lex_state = 24, .external_lex_state = 2},
  [2649] = {.lex_state = 24, .external_lex_state = 2},
  [2650] = {.lex_state = 24, .external_lex_state = 2},
  [2651] = {.lex_state = 24, .external_lex_state = 2},
  [2652] = {.lex_state = 24, .external_lex_state = 2},
  [2653] = {.lex_state = 24, .external_lex_state = 2},
  [2654] = {.lex_state = 24, .external_lex_state = 2},
  [2655] = {.lex_state = 24, .external_lex_state = 2},
  [2656] = {.lex_state = 24, .external_lex_state = 2},
  [2657] = {.lex_state = 24, .external_lex_state = 2},
  [2658] = {.lex_state = 24, .external_lex_state = 2},
  [2659] = {.lex_state = 24, .external_lex_state = 2},
  [2660] = {.lex_state = 24, .external_lex_state = 2},
  [2661] = {.lex_state = 24, .external_lex_state = 2},
  [2662] = {.lex_state = 24, .external_lex_state = 2},
  [2663] = {.lex_state = 24, .external_lex_state = 2},
  [2664] = {.lex_state = 24, .external_lex_state = 2},
  [2665] = {.lex_state = 24, .external_lex_state = 2},
  [2666] = {.lex_state = 24, .external_lex_state = 2},
  [2667] = {.lex_state = 24, .external_lex_state = 2},
  [2668] = {.lex_state = 24, .external_lex_state = 2},
  [2669] = {.lex_state = 24, .external_lex_state = 2},
  [2670] = {.lex_state = 24, .external_lex_state = 2},
  [2671] = {.lex_state = 24, .external_lex_state = 2},
  [2672] = {.lex_state = 24, .external_lex_state = 2},
  [2673] = {.lex_state = 24, .external_lex_state = 2},
  [2674] = {.lex_state = 24, .external_lex_state = 2},
  [2675] = {.lex_state = 24, .external_lex_state = 2},
  [2676] = {.lex_state = 24, .external_lex_state = 2},
  [2677] = {.lex_state = 24, .external_lex_state = 2},
  [2678] = {.lex_state = 24, .external_lex_state = 2},
  [2679] = {.lex_state = 24, .external_lex_state = 2},
  [2680] = {.lex_state = 24, .external_lex_state = 2},
  [2681] = {.lex_state = 24, .external_lex_state = 2},
  [2682] = {.lex_state = 24, .external_lex_state = 2},
  [2683] = {.lex_state = 24, .external_lex_state = 2},
  [2684] = {.lex_state = 24, .external_lex_state = 2},
  [2685] = {.lex_state = 24, .external_lex_state = 2},
  [2686] = {.lex_state = 24, .external_lex_state = 2},
  [2687] = {.lex_state = 24, .external_lex_state = 2},
  [2688] = {.lex_state = 24, .external_lex_state = 2},
  [2689] = {.lex_state = 24, .external_lex_state = 2},
  [2690] = {.lex_state = 24, .external_lex_state = 2},
  [2691] = {.lex_state = 24, .external_lex_state = 2},
  [2692] = {.lex_state = 24, .external_lex_state = 2},
  [2693] = {.lex_state = 24, .external_lex_state = 2},
  [2694] = {.lex_state = 24, .external_lex_state = 2},
  [2695] = {.lex_state = 24, .external_lex_state = 2},
  [2696] = {.lex_state = 24, .external_lex_state = 2},
  [2697] = {.lex_state = 49, .external_lex_state = 2},
  [2698] = {.lex_state = 24, .external_lex_state = 2},
  [2699] = {.lex_state = 24, .external_lex_state = 2},
  [2700] = {.lex_state = 24, .external_lex_state = 2},
  [2701] = {.lex_state = 24, .external_lex_state = 2},
  [2702] = {.lex_state = 24, .external_lex_state = 2},
  [2703] = {.lex_state = 24, .external_lex_state = 2},
  [2704] = {.lex_state = 24, .external_lex_state = 2},
  [2705] = {.lex_state = 24, .external_lex_state = 2},
  [2706] = {.lex_state = 24, .external_lex_state = 2},
  [2707] = {.lex_state = 24, .external_lex_state = 2},
  [2708] = {.lex_state = 24, .external_lex_state = 2},
  [2709] = {.lex_state = 24, .external_lex_state = 2},
  [2710] = {.lex_state = 50, .external_lex_state = 2},
  [2711] = {.lex_state = 24, .external_lex_state = 2},
  [2712] = {.lex_state = 24, .external_lex_state = 2},
  [2713] = {.lex_state = 24, .external_lex_state = 2},
  [2714] = {.lex_state = 24, .external_lex_state = 2},
  [2715] = {.lex_state = 24, .external_lex_state = 2},
  [2716] = {.lex_state = 24, .external_lex_state = 2},
  [2717] = {.lex_state = 24, .external_lex_state = 2},
  [2718] = {.lex_state = 24, .external_lex_state = 2},
  [2719] = {.lex_state = 24, .external_lex_state = 2},
  [2720] = {.lex_state = 24, .external_lex_state = 2},
  [2721] = {.lex_state = 24, .external_lex_state = 2},
  [2722] = {.lex_state = 24, .external_lex_state = 2},
  [2723] = {.lex_state = 24, .external_lex_state = 2},
  [2724] = {.lex_state = 24, .external_lex_state = 2},
  [2725] = {.lex_state = 24, .external_lex_state = 2},
  [2726] = {.lex_state = 24, .external_lex_state = 2},
  [2727] = {.lex_state = 24, .external_lex_state = 2},
  [2728] = {.lex_state = 24, .external_lex_state = 2},
  [2729] = {.lex_state = 24, .external_lex_state = 2},
  [2730] = {.lex_state = 24, .external_lex_state = 2},
  [2731] = {.lex_state = 24, .external_lex_state = 2},
  [2732] = {.lex_state = 24, .external_lex_state = 2},
  [2733] = {.lex_state = 24, .external_lex_state = 2},
  [2734] = {.lex_state = 24, .external_lex_state = 2},
  [2735] = {.lex_state = 24, .external_lex_state = 2},
  [2736] = {.lex_state = 24, .external_lex_state = 2},
  [2737] = {.lex_state = 24, .external_lex_state = 2},
  [2738] = {.lex_state = 24, .external_lex_state = 2},
  [2739] = {.lex_state = 24, .external_lex_state = 2},
  [2740] = {.lex_state = 24, .external_lex_state = 2},
  [2741] = {.lex_state = 24, .external_lex_state = 2},
  [2742] = {.lex_state = 24, .external_lex_state = 2},
  [2743] = {.lex_state = 24, .external_lex_state = 2},
  [2744] = {.lex_state = 24, .external_lex_state = 2},
  [2745] = {.lex_state = 24, .external_lex_state = 2},
  [2746] = {.lex_state = 24, .external_lex_state = 2},
  [2747] = {.lex_state = 24, .external_lex_state = 2},
  [2748] = {.lex_state = 24, .external_lex_state = 2},
  [2749] = {.lex_state = 24, .external_lex_state = 2},
  [2750] = {.lex_state = 24, .external_lex_state = 2},
  [2751] = {.lex_state = 24, .external_lex_state = 2},
  [2752] = {.lex_state = 24, .external_lex_state = 2},
  [2753] = {.lex_state = 24, .external_lex_state = 2},
  [2754] = {.lex_state = 24, .external_lex_state = 2},
  [2755] = {.lex_state = 24, .external_lex_state = 2},
  [2756] = {.lex_state = 24, .external_lex_state = 2},
  [2757] = {.lex_state = 24, .external_lex_state = 2},
  [2758] = {.lex_state = 24, .external_lex_state = 2},
  [2759] = {.lex_state = 24, .external_lex_state = 2},
  [2760] = {.lex_state = 24, .external_lex_state = 2},
  [2761] = {.lex_state = 401, .external_lex_state = 2},
  [2762] = {.lex_state = 401, .external_lex_state = 2},
  [2763] = {.lex_state = 51, .external_lex_state = 2},
  [2764] = {.lex_state = 401, .external_lex_state = 2},
  [2765] = {.lex_state = 401, .external_lex_state = 2},
  [2766] = {.lex_state = 51, .external_lex_state = 2},
  [2767] = {.lex_state = 52, .external_lex_state = 2},
  [2768] = {.lex_state = 405, .external_lex_state = 2},
  [2769] = {.lex_state = 52, .external_lex_state = 2},
  [2770] = {.lex_state = 405, .external_lex_state = 2},
  [2771] = {.lex_state = 405, .external_lex_state = 2},
  [2772] = {.lex_state = 405, .external_lex_state = 2},
  [2773] = {.lex_state = 53, .external_lex_state = 2},
  [2774] = {.lex_state = 404, .external_lex_state = 2},
  [2775] = {.lex_state = 404, .external_lex_state = 2},
  [2776] = {.lex_state = 53, .external_lex_state = 2},
  [2777] = {.lex_state = 404, .external_lex_state = 2},
  [2778] = {.lex_state = 404, .external_lex_state = 2},
  [2779] = {.lex_state = 80, .external_lex_state = 2},
  [2780] = {.lex_state = 81, .external_lex_state = 2},
  [2781] = {.lex_state = 55, .external_lex_state = 2},
  [2782] = {.lex_state = 54, .external_lex_state = 2},
  [2783] = {.lex_state = 57, .external_lex_state = 2},
  [2784] = {.lex_state = 80, .external_lex_state = 2},
  [2785] = {.lex_state = 80, .external_lex_state = 2},
  [2786] = {.lex_state = 81, .external_lex_state = 2},
  [2787] = {.lex_state = 56, .external_lex_state = 2},
  [2788] = {.lex_state = 81, .external_lex_state = 2},
  [2789] = {.lex_state = 55, .external_lex_state = 2},
  [2790] = {.lex_state = 55, .external_lex_state = 2},
  [2791] = {.lex_state = 54, .external_lex_state = 2},
  [2792] = {.lex_state = 419, .external_lex_state = 2},
  [2793] = {.lex_state = 419, .external_lex_state = 2},
  [2794] = {.lex_state = 54, .external_lex_state = 2},
  [2795] = {.lex_state = 94, .external_lex_state = 2},
  [2796] = {.lex_state = 57, .external_lex_state = 2},
  [2797] = {.lex_state = 57, .external_lex_state = 2},
  [2798] = {.lex_state = 96, .external_lex_state = 2},
  [2799] = {.lex_state = 96, .external_lex_state = 2},
  [2800] = {.lex_state = 95, .external_lex_state = 2},
  [2801] = {.lex_state = 96, .external_lex_state = 2},
  [2802] = {.lex_state = 420, .external_lex_state = 2},
  [2803] = {.lex_state = 96, .external_lex_state = 2},
  [2804] = {.lex_state = 96, .external_lex_state = 2},
  [2805] = {.lex_state = 420, .external_lex_state = 2},
  [2806] = {.lex_state = 96, .external_lex_state = 2},
  [2807] = {.lex_state = 96, .external_lex_state = 2},
  [2808] = {.lex_state = 96, .external_lex_state = 2},
  [2809] = {.lex_state = 143, .external_lex_state = 2},
  [2810] = {.lex_state = 143, .external_lex_state = 2},
  [2811] = {.lex_state = 56, .external_lex_state = 2},
  [2812] = {.lex_state = 56, .external_lex_state = 2},
  [2813] = {.lex_state = 84, .external_lex_state = 2},
  [2814] = {.lex_state = 144, .external_lex_state = 2},
  [2815] = {.lex_state = 144, .external_lex_state = 2},
  [2816] = {.lex_state = 89, .external_lex_state = 2},
  [2817] = {.lex_state = 86, .external_lex_state = 2},
  [2818] = {.lex_state = 97, .external_lex_state = 2},
  [2819] = {.lex_state = 82, .external_lex_state = 2},
  [2820] = {.lex_state = 94, .external_lex_state = 2},
  [2821] = {.lex_state = 90, .external_lex_state = 2},
  [2822] = {.lex_state = 97, .external_lex_state = 2},
  [2823] = {.lex_state = 97, .external_lex_state = 2},
  [2824] = {.lex_state = 97, .external_lex_state = 2},
  [2825] = {.lex_state = 88, .external_lex_state = 2},
  [2826] = {.lex_state = 85, .external_lex_state = 2},
  [2827] = {.lex_state = 97, .external_lex_state = 2},
  [2828] = {.lex_state = 97, .external_lex_state = 2},
  [2829] = {.lex_state = 94, .external_lex_state = 2},
  [2830] = {.lex_state = 97, .external_lex_state = 2},
  [2831] = {.lex_state = 97, .external_lex_state = 2},
  [2832] = {.lex_state = 97, .external_lex_state = 2},
  [2833] = {.lex_state = 97, .external_lex_state = 2},
  [2834] = {.lex_state = 91, .external_lex_state = 2},
  [2835] = {.lex_state = 95, .external_lex_state = 2},
  [2836] = {.lex_state = 419, .external_lex_state = 2},
  [2837] = {.lex_state = 95, .external_lex_state = 2},
  [2838] = {.lex_state = 92, .external_lex_state = 2},
  [2839] = {.lex_state = 143, .external_lex_state = 2},
  [2840] = {.lex_state = 83, .external_lex_state = 2},
  [2841] = {.lex_state = 419, .external_lex_state = 2},
  [2842] = {.lex_state = 93, .external_lex_state = 2},
  [2843] = {.lex_state = 87, .external_lex_state = 2},
  [2844] = {.lex_state = 385, .external_lex_state = 2},
  [2845] = {.lex_state = 385, .external_lex_state = 2},
  [2846] = {.lex_state = 13, .external_lex_state = 2},
  [2847] = {.lex_state = 84, .external_lex_state = 2},
  [2848] = {.lex_state = 385, .external_lex_state = 2},
  [2849] = {.lex_state = 420, .external_lex_state = 2},
  [2850] = {.lex_state = 420, .external_lex_state = 2},
  [2851] = {.lex_state = 385, .external_lex_state = 2},
  [2852] = {.lex_state = 385, .external_lex_state = 2},
  [2853] = {.lex_state = 13, .external_lex_state = 2},
  [2854] = {.lex_state = 385, .external_lex_state = 2},
  [2855] = {.lex_state = 84, .external_lex_state = 2},
  [2856] = {.lex_state = 13, .external_lex_state = 2},
  [2857] = {.lex_state = 144, .external_lex_state = 2},
  [2858] = {.lex_state = 82, .external_lex_state = 2},
  [2859] = {.lex_state = 85, .external_lex_state = 2},
  [2860] = {.lex_state = 88, .external_lex_state = 2},
  [2861] = {.lex_state = 85, .external_lex_state = 2},
  [2862] = {.lex_state = 86, .external_lex_state = 2},
  [2863] = {.lex_state = 82, .external_lex_state = 2},
  [2864] = {.lex_state = 90, .external_lex_state = 2},
  [2865] = {.lex_state = 88, .external_lex_state = 2},
  [2866] = {.lex_state = 89, .external_lex_state = 2},
  [2867] = {.lex_state = 86, .external_lex_state = 2},
  [2868] = {.lex_state = 90, .external_lex_state = 2},
  [2869] = {.lex_state = 89, .external_lex_state = 2},
  [2870] = {.lex_state = 93, .external_lex_state = 2},
  [2871] = {.lex_state = 17, .external_lex_state = 2},
  [2872] = {.lex_state = 92, .external_lex_state = 2},
  [2873] = {.lex_state = 87, .external_lex_state = 2},
  [2874] = {.lex_state = 18, .external_lex_state = 2},
  [2875] = {.lex_state = 92, .external_lex_state = 2},
  [2876] = {.lex_state = 17, .external_lex_state = 2},
  [2877] = {.lex_state = 87, .external_lex_state = 2},
  [2878] = {.lex_state = 83, .external_lex_state = 2},
  [2879] = {.lex_state = 18, .external_lex_state = 2},
  [2880] = {.lex_state = 17, .external_lex_state = 2},
  [2881] = {.lex_state = 18, .external_lex_state = 2},
  [2882] = {.lex_state = 91, .external_lex_state = 2},
  [2883] = {.lex_state = 91, .external_lex_state = 2},
  [2884] = {.lex_state = 93, .external_lex_state = 2},
  [2885] = {.lex_state = 83, .external_lex_state = 2},
  [2886] = {.lex_state = 98, .external_lex_state = 2},
  [2887] = {.lex_state = 98, .external_lex_state = 2},
  [2888] = {.lex_state = 98, .external_lex_state = 2},
  [2889] = {.lex_state = 98, .external_lex_state = 2},
  [2890] = {.lex_state = 98, .external_lex_state = 2},
  [2891] = {.lex_state = 98, .external_lex_state = 2},
  [2892] = {.lex_state = 98, .external_lex_state = 2},
  [2893] = {.lex_state = 418, .external_lex_state = 2},
  [2894] = {.lex_state = 418, .external_lex_state = 2},
  [2895] = {.lex_state = 139, .external_lex_state = 2},
  [2896] = {.lex_state = 418, .external_lex_state = 2},
  [2897] = {.lex_state = 418, .external_lex_state = 2},
  [2898] = {.lex_state = 139, .external_lex_state = 2},
  [2899] = {.lex_state = 139, .external_lex_state = 2},
  [2900] = {.lex_state = 418, .external_lex_state = 2},
  [2901] = {.lex_state = 418, .external_lex_state = 2},
  [2902] = {.lex_state = 418, .external_lex_state = 2},
  [2903] = {.lex_state = 418, .external_lex_state = 2},
  [2904] = {.lex_state = 418, .external_lex_state = 2},
  [2905] = {.lex_state = 418, .external_lex_state = 2},
  [2906] = {.lex_state = 418, .external_lex_state = 2},
  [2907] = {.lex_state = 418, .external_lex_state = 2},
  [2908] = {.lex_state = 19, .external_lex_state = 2},
  [2909] = {.lex_state = 19, .external_lex_state = 2},
  [2910] = {.lex_state = 418, .external_lex_state = 2},
  [2911] = {.lex_state = 418, .external_lex_state = 2},
  [2912] = {.lex_state = 418, .external_lex_state = 2},
  [2913] = {.lex_state = 418, .external_lex_state = 2},
  [2914] = {.lex_state = 418, .external_lex_state = 2},
  [2915] = {.lex_state = 418, .external_lex_state = 2},
  [2916] = {.lex_state = 139, .external_lex_state = 2},
  [2917] = {.lex_state = 139, .external_lex_state = 2},
  [2918] = {.lex_state = 139, .external_lex_state = 2},
  [2919] = {.lex_state = 139, .external_lex_state = 2},
  [2920] = {.lex_state = 139, .external_lex_state = 2},
  [2921] = {.lex_state = 139, .external_lex_state = 2},
  [2922] = {.lex_state = 19, .external_lex_state = 2},
  [2923] = {.lex_state = 418, .external_lex_state = 2},
  [2924] = {.lex_state = 418, .external_lex_state = 2},
  [2925] = {.lex_state = 139, .external_lex_state = 2},
  [2926] = {.lex_state = 133, .external_lex_state = 2},
  [2927] = {.lex_state = 140, .external_lex_state = 2},
  [2928] = {.lex_state = 138, .external_lex_state = 2},
  [2929] = {.lex_state = 138, .external_lex_state = 2},
  [2930] = {.lex_state = 133, .external_lex_state = 2},
  [2931] = {.lex_state = 140, .external_lex_state = 2},
  [2932] = {.lex_state = 138, .external_lex_state = 2},
  [2933] = {.lex_state = 140, .external_lex_state = 2},
  [2934] = {.lex_state = 418, .external_lex_state = 2},
  [2935] = {.lex_state = 138, .external_lex_state = 2},
  [2936] = {.lex_state = 140, .external_lex_state = 2},
  [2937] = {.lex_state = 138, .external_lex_state = 2},
  [2938] = {.lex_state = 140, .external_lex_state = 2},
  [2939] = {.lex_state = 140, .external_lex_state = 2},
  [2940] = {.lex_state = 140, .external_lex_state = 2},
  [2941] = {.lex_state = 140, .external_lex_state = 2},
  [2942] = {.lex_state = 138, .external_lex_state = 2},
  [2943] = {.lex_state = 140, .external_lex_state = 2},
  [2944] = {.lex_state = 138, .external_lex_state = 2},
  [2945] = {.lex_state = 138, .external_lex_state = 2},
  [2946] = {.lex_state = 138, .external_lex_state = 2},
  [2947] = {.lex_state = 138, .external_lex_state = 2},
  [2948] = {.lex_state = 140, .external_lex_state = 2},
  [2949] = {.lex_state = 139, .external_lex_state = 2},
  [2950] = {.lex_state = 133, .external_lex_state = 2},
  [2951] = {.lex_state = 140, .external_lex_state = 2},
  [2952] = {.lex_state = 145, .external_lex_state = 2},
  [2953] = {.lex_state = 138, .external_lex_state = 2},
  [2954] = {.lex_state = 145, .external_lex_state = 2},
  [2955] = {.lex_state = 133, .external_lex_state = 2},
  [2956] = {.lex_state = 146, .external_lex_state = 2},
  [2957] = {.lex_state = 146, .external_lex_state = 2},
  [2958] = {.lex_state = 133, .external_lex_state = 2},
  [2959] = {.lex_state = 136, .external_lex_state = 2},
  [2960] = {.lex_state = 133, .external_lex_state = 2},
  [2961] = {.lex_state = 133, .external_lex_state = 2},
  [2962] = {.lex_state = 133, .external_lex_state = 2},
  [2963] = {.lex_state = 133, .external_lex_state = 2},
  [2964] = {.lex_state = 136, .external_lex_state = 2},
  [2965] = {.lex_state = 133, .external_lex_state = 2},
  [2966] = {.lex_state = 133, .external_lex_state = 2},
  [2967] = {.lex_state = 133, .external_lex_state = 2},
  [2968] = {.lex_state = 133, .external_lex_state = 2},
  [2969] = {.lex_state = 133, .external_lex_state = 2},
  [2970] = {.lex_state = 133, .external_lex_state = 2},
  [2971] = {.lex_state = 133, .external_lex_state = 2},
  [2972] = {.lex_state = 133, .external_lex_state = 2},
  [2973] = {.lex_state = 136, .external_lex_state = 2},
  [2974] = {.lex_state = 136, .external_lex_state = 2},
  [2975] = {.lex_state = 133, .external_lex_state = 2},
  [2976] = {.lex_state = 133, .external_lex_state = 2},
  [2977] = {.lex_state = 133, .external_lex_state = 2},
  [2978] = {.lex_state = 133, .external_lex_state = 2},
  [2979] = {.lex_state = 133, .external_lex_state = 2},
  [2980] = {.lex_state = 133, .external_lex_state = 2},
  [2981] = {.lex_state = 133, .external_lex_state = 2},
  [2982] = {.lex_state = 133, .external_lex_state = 2},
  [2983] = {.lex_state = 133, .external_lex_state = 2},
  [2984] = {.lex_state = 133, .external_lex_state = 2},
  [2985] = {.lex_state = 133, .external_lex_state = 2},
  [2986] = {.lex_state = 133, .external_lex_state = 2},
  [2987] = {.lex_state = 133, .external_lex_state = 2},
  [2988] = {.lex_state = 133, .external_lex_state = 2},
  [2989] = {.lex_state = 133, .external_lex_state = 2},
  [2990] = {.lex_state = 133, .external_lex_state = 2},
  [2991] = {.lex_state = 133, .external_lex_state = 2},
  [2992] = {.lex_state = 133, .external_lex_state = 2},
  [2993] = {.lex_state = 133, .external_lex_state = 2},
  [2994] = {.lex_state = 136, .external_lex_state = 2},
  [2995] = {.lex_state = 133, .external_lex_state = 2},
  [2996] = {.lex_state = 133, .external_lex_state = 2},
  [2997] = {.lex_state = 133, .external_lex_state = 2},
  [2998] = {.lex_state = 133, .external_lex_state = 2},
  [2999] = {.lex_state = 133, .external_lex_state = 2},
  [3000] = {.lex_state = 133, .external_lex_state = 2},
  [3001] = {.lex_state = 133, .external_lex_state = 2},
  [3002] = {.lex_state = 133, .external_lex_state = 2},
  [3003] = {.lex_state = 133, .external_lex_state = 2},
  [3004] = {.lex_state = 133, .external_lex_state = 2},
  [3005] = {.lex_state = 133, .external_lex_state = 2},
  [3006] = {.lex_state = 133, .external_lex_state = 2},
  [3007] = {.lex_state = 136, .external_lex_state = 2},
  [3008] = {.lex_state = 133, .external_lex_state = 2},
  [3009] = {.lex_state = 133, .external_lex_state = 2},
  [3010] = {.lex_state = 133, .external_lex_state = 2},
  [3011] = {.lex_state = 133, .external_lex_state = 2},
  [3012] = {.lex_state = 133, .external_lex_state = 2},
  [3013] = {.lex_state = 133, .external_lex_state = 2},
  [3014] = {.lex_state = 134, .external_lex_state = 2},
  [3015] = {.lex_state = 134, .external_lex_state = 2},
  [3016] = {.lex_state = 134, .external_lex_state = 2},
  [3017] = {.lex_state = 134, .external_lex_state = 2},
  [3018] = {.lex_state = 134, .external_lex_state = 2},
  [3019] = {.lex_state = 134, .external_lex_state = 2},
  [3020] = {.lex_state = 134, .external_lex_state = 2},
  [3021] = {.lex_state = 134, .external_lex_state = 2},
  [3022] = {.lex_state = 134, .external_lex_state = 2},
  [3023] = {.lex_state = 134, .external_lex_state = 2},
  [3024] = {.lex_state = 134, .external_lex_state = 2},
  [3025] = {.lex_state = 134, .external_lex_state = 2},
  [3026] = {.lex_state = 134, .external_lex_state = 2},
  [3027] = {.lex_state = 134, .external_lex_state = 2},
  [3028] = {.lex_state = 134, .external_lex_state = 2},
  [3029] = {.lex_state = 134, .external_lex_state = 2},
  [3030] = {.lex_state = 134, .external_lex_state = 2},
  [3031] = {.lex_state = 134, .external_lex_state = 2},
  [3032] = {.lex_state = 134, .external_lex_state = 2},
  [3033] = {.lex_state = 134, .external_lex_state = 2},
  [3034] = {.lex_state = 134, .external_lex_state = 2},
  [3035] = {.lex_state = 134, .external_lex_state = 2},
  [3036] = {.lex_state = 134, .external_lex_state = 2},
  [3037] = {.lex_state = 134, .external_lex_state = 2},
  [3038] = {.lex_state = 134, .external_lex_state = 2},
  [3039] = {.lex_state = 134, .external_lex_state = 2},
  [3040] = {.lex_state = 134, .external_lex_state = 2},
  [3041] = {.lex_state = 134, .external_lex_state = 2},
  [3042] = {.lex_state = 134, .external_lex_state = 2},
  [3043] = {.lex_state = 134, .external_lex_state = 2},
  [3044] = {.lex_state = 134, .external_lex_state = 2},
  [3045] = {.lex_state = 134, .external_lex_state = 2},
  [3046] = {.lex_state = 134, .external_lex_state = 2},
  [3047] = {.lex_state = 134, .external_lex_state = 2},
  [3048] = {.lex_state = 134, .external_lex_state = 2},
  [3049] = {.lex_state = 134, .external_lex_state = 2},
  [3050] = {.lex_state = 134, .external_lex_state = 2},
  [3051] = {.lex_state = 134, .external_lex_state = 2},
  [3052] = {.lex_state = 134, .external_lex_state = 2},
  [3053] = {.lex_state = 134, .external_lex_state = 2},
  [3054] = {.lex_state = 134, .external_lex_state = 2},
  [3055] = {.lex_state = 134, .external_lex_state = 2},
  [3056] = {.lex_state = 134, .external_lex_state = 2},
  [3057] = {.lex_state = 134, .external_lex_state = 2},
  [3058] = {.lex_state = 134, .external_lex_state = 2},
  [3059] = {.lex_state = 134, .external_lex_state = 2},
  [3060] = {.lex_state = 134, .external_lex_state = 2},
  [3061] = {.lex_state = 134, .external_lex_state = 2},
  [3062] = {.lex_state = 134, .external_lex_state = 2},
  [3063] = {.lex_state = 134, .external_lex_state = 2},
  [3064] = {.lex_state = 134, .external_lex_state = 2},
  [3065] = {.lex_state = 134, .external_lex_state = 2},
  [3066] = {.lex_state = 134, .external_lex_state = 2},
  [3067] = {.lex_state = 134, .external_lex_state = 2},
  [3068] = {.lex_state = 134, .external_lex_state = 2},
  [3069] = {.lex_state = 145, .external_lex_state = 2},
  [3070] = {.lex_state = 133, .external_lex_state = 2},
  [3071] = {.lex_state = 133, .external_lex_state = 2},
  [3072] = {.lex_state = 133, .external_lex_state = 2},
  [3073] = {.lex_state = 133, .external_lex_state = 2},
  [3074] = {.lex_state = 133, .external_lex_state = 2},
  [3075] = {.lex_state = 133, .external_lex_state = 2},
  [3076] = {.lex_state = 133, .external_lex_state = 2},
  [3077] = {.lex_state = 133, .external_lex_state = 2},
  [3078] = {.lex_state = 133, .external_lex_state = 2},
  [3079] = {.lex_state = 133, .external_lex_state = 2},
  [3080] = {.lex_state = 133, .external_lex_state = 2},
  [3081] = {.lex_state = 133, .external_lex_state = 2},
  [3082] = {.lex_state = 133, .external_lex_state = 2},
  [3083] = {.lex_state = 133, .external_lex_state = 2},
  [3084] = {.lex_state = 133, .external_lex_state = 2},
  [3085] = {.lex_state = 133, .external_lex_state = 2},
  [3086] = {.lex_state = 133, .external_lex_state = 2},
  [3087] = {.lex_state = 133, .external_lex_state = 2},
  [3088] = {.lex_state = 133, .external_lex_state = 2},
  [3089] = {.lex_state = 133, .external_lex_state = 2},
  [3090] = {.lex_state = 133, .external_lex_state = 2},
  [3091] = {.lex_state = 133, .external_lex_state = 2},
  [3092] = {.lex_state = 133, .external_lex_state = 2},
  [3093] = {.lex_state = 133, .external_lex_state = 2},
  [3094] = {.lex_state = 133, .external_lex_state = 2},
  [3095] = {.lex_state = 133, .external_lex_state = 2},
  [3096] = {.lex_state = 133, .external_lex_state = 2},
  [3097] = {.lex_state = 133, .external_lex_state = 2},
  [3098] = {.lex_state = 133, .external_lex_state = 2},
  [3099] = {.lex_state = 133, .external_lex_state = 2},
  [3100] = {.lex_state = 133, .external_lex_state = 2},
  [3101] = {.lex_state = 133, .external_lex_state = 2},
  [3102] = {.lex_state = 133, .external_lex_state = 2},
  [3103] = {.lex_state = 133, .external_lex_state = 2},
  [3104] = {.lex_state = 133, .external_lex_state = 2},
  [3105] = {.lex_state = 133, .external_lex_state = 2},
  [3106] = {.lex_state = 133, .external_lex_state = 2},
  [3107] = {.lex_state = 133, .external_lex_state = 2},
  [3108] = {.lex_state = 133, .external_lex_state = 2},
  [3109] = {.lex_state = 133, .external_lex_state = 2},
  [3110] = {.lex_state = 133, .external_lex_state = 2},
  [3111] = {.lex_state = 133, .external_lex_state = 2},
  [3112] = {.lex_state = 133, .external_lex_state = 2},
  [3113] = {.lex_state = 133, .external_lex_state = 2},
  [3114] = {.lex_state = 133, .external_lex_state = 2},
  [3115] = {.lex_state = 133, .external_lex_state = 2},
  [3116] = {.lex_state = 133, .external_lex_state = 2},
  [3117] = {.lex_state = 133, .external_lex_state = 2},
  [3118] = {.lex_state = 133, .external_lex_state = 2},
  [3119] = {.lex_state = 133, .external_lex_state = 2},
  [3120] = {.lex_state = 133, .external_lex_state = 2},
  [3121] = {.lex_state = 133, .external_lex_state = 2},
  [3122] = {.lex_state = 173, .external_lex_state = 3},
  [3123] = {.lex_state = 133, .external_lex_state = 2},
  [3124] = {.lex_state = 133, .external_lex_state = 2},
  [3125] = {.lex_state = 133, .external_lex_state = 2},
  [3126] = {.lex_state = 133, .external_lex_state = 2},
  [3127] = {.lex_state = 133, .external_lex_state = 2},
  [3128] = {.lex_state = 133, .external_lex_state = 2},
  [3129] = {.lex_state = 133, .external_lex_state = 2},
  [3130] = {.lex_state = 133, .external_lex_state = 2},
  [3131] = {.lex_state = 133, .external_lex_state = 2},
  [3132] = {.lex_state = 133, .external_lex_state = 2},
  [3133] = {.lex_state = 133, .external_lex_state = 2},
  [3134] = {.lex_state = 133, .external_lex_state = 2},
  [3135] = {.lex_state = 133, .external_lex_state = 2},
  [3136] = {.lex_state = 133, .external_lex_state = 2},
  [3137] = {.lex_state = 133, .external_lex_state = 2},
  [3138] = {.lex_state = 133, .external_lex_state = 2},
  [3139] = {.lex_state = 133, .external_lex_state = 2},
  [3140] = {.lex_state = 133, .external_lex_state = 2},
  [3141] = {.lex_state = 133, .external_lex_state = 2},
  [3142] = {.lex_state = 133, .external_lex_state = 2},
  [3143] = {.lex_state = 133, .external_lex_state = 2},
  [3144] = {.lex_state = 133, .external_lex_state = 2},
  [3145] = {.lex_state = 133, .external_lex_state = 2},
  [3146] = {.lex_state = 133, .external_lex_state = 2},
  [3147] = {.lex_state = 133, .external_lex_state = 2},
  [3148] = {.lex_state = 133, .external_lex_state = 2},
  [3149] = {.lex_state = 133, .external_lex_state = 2},
  [3150] = {.lex_state = 133, .external_lex_state = 2},
  [3151] = {.lex_state = 133, .external_lex_state = 2},
  [3152] = {.lex_state = 133, .external_lex_state = 2},
  [3153] = {.lex_state = 133, .external_lex_state = 2},
  [3154] = {.lex_state = 133, .external_lex_state = 2},
  [3155] = {.lex_state = 133, .external_lex_state = 2},
  [3156] = {.lex_state = 133, .external_lex_state = 2},
  [3157] = {.lex_state = 133, .external_lex_state = 2},
  [3158] = {.lex_state = 133, .external_lex_state = 2},
  [3159] = {.lex_state = 133, .external_lex_state = 2},
  [3160] = {.lex_state = 133, .external_lex_state = 2},
  [3161] = {.lex_state = 133, .external_lex_state = 2},
  [3162] = {.lex_state = 133, .external_lex_state = 2},
  [3163] = {.lex_state = 133, .external_lex_state = 2},
  [3164] = {.lex_state = 133, .external_lex_state = 2},
  [3165] = {.lex_state = 133, .external_lex_state = 2},
  [3166] = {.lex_state = 133, .external_lex_state = 2},
  [3167] = {.lex_state = 133, .external_lex_state = 2},
  [3168] = {.lex_state = 133, .external_lex_state = 2},
  [3169] = {.lex_state = 133, .external_lex_state = 2},
  [3170] = {.lex_state = 133, .external_lex_state = 2},
  [3171] = {.lex_state = 133, .external_lex_state = 2},
  [3172] = {.lex_state = 133, .external_lex_state = 2},
  [3173] = {.lex_state = 133, .external_lex_state = 2},
  [3174] = {.lex_state = 133, .external_lex_state = 2},
  [3175] = {.lex_state = 133, .external_lex_state = 2},
  [3176] = {.lex_state = 133, .external_lex_state = 2},
  [3177] = {.lex_state = 133, .external_lex_state = 2},
  [3178] = {.lex_state = 133, .external_lex_state = 2},
  [3179] = {.lex_state = 133, .external_lex_state = 2},
  [3180] = {.lex_state = 133, .external_lex_state = 2},
  [3181] = {.lex_state = 133, .external_lex_state = 2},
  [3182] = {.lex_state = 133, .external_lex_state = 2},
  [3183] = {.lex_state = 133, .external_lex_state = 2},
  [3184] = {.lex_state = 133, .external_lex_state = 2},
  [3185] = {.lex_state = 133, .external_lex_state = 2},
  [3186] = {.lex_state = 133, .external_lex_state = 2},
  [3187] = {.lex_state = 133, .external_lex_state = 2},
  [3188] = {.lex_state = 133, .external_lex_state = 2},
  [3189] = {.lex_state = 133, .external_lex_state = 2},
  [3190] = {.lex_state = 133, .external_lex_state = 2},
  [3191] = {.lex_state = 133, .external_lex_state = 2},
  [3192] = {.lex_state = 133, .external_lex_state = 2},
  [3193] = {.lex_state = 133, .external_lex_state = 2},
  [3194] = {.lex_state = 133, .external_lex_state = 2},
  [3195] = {.lex_state = 133, .external_lex_state = 2},
  [3196] = {.lex_state = 133, .external_lex_state = 2},
  [3197] = {.lex_state = 133, .external_lex_state = 2},
  [3198] = {.lex_state = 133, .external_lex_state = 2},
  [3199] = {.lex_state = 133, .external_lex_state = 2},
  [3200] = {.lex_state = 133, .external_lex_state = 2},
  [3201] = {.lex_state = 133, .external_lex_state = 2},
  [3202] = {.lex_state = 133, .external_lex_state = 2},
  [3203] = {.lex_state = 133, .external_lex_state = 2},
  [3204] = {.lex_state = 133, .external_lex_state = 2},
  [3205] = {.lex_state = 133, .external_lex_state = 2},
  [3206] = {.lex_state = 133, .external_lex_state = 2},
  [3207] = {.lex_state = 133, .external_lex_state = 2},
  [3208] = {.lex_state = 133, .external_lex_state = 2},
  [3209] = {.lex_state = 133, .external_lex_state = 2},
  [3210] = {.lex_state = 133, .external_lex_state = 2},
  [3211] = {.lex_state = 133, .external_lex_state = 2},
  [3212] = {.lex_state = 133, .external_lex_state = 2},
  [3213] = {.lex_state = 133, .external_lex_state = 2},
  [3214] = {.lex_state = 133, .external_lex_state = 2},
  [3215] = {.lex_state = 133, .external_lex_state = 2},
  [3216] = {.lex_state = 133, .external_lex_state = 2},
  [3217] = {.lex_state = 133, .external_lex_state = 2},
  [3218] = {.lex_state = 133, .external_lex_state = 2},
  [3219] = {.lex_state = 133, .external_lex_state = 2},
  [3220] = {.lex_state = 133, .external_lex_state = 2},
  [3221] = {.lex_state = 133, .external_lex_state = 2},
  [3222] = {.lex_state = 133, .external_lex_state = 2},
  [3223] = {.lex_state = 133, .external_lex_state = 2},
  [3224] = {.lex_state = 133, .external_lex_state = 2},
  [3225] = {.lex_state = 133, .external_lex_state = 2},
  [3226] = {.lex_state = 133, .external_lex_state = 2},
  [3227] = {.lex_state = 133, .external_lex_state = 2},
  [3228] = {.lex_state = 15, .external_lex_state = 2},
  [3229] = {.lex_state = 133, .external_lex_state = 2},
  [3230] = {.lex_state = 133, .external_lex_state = 2},
  [3231] = {.lex_state = 133, .external_lex_state = 2},
  [3232] = {.lex_state = 133, .external_lex_state = 2},
  [3233] = {.lex_state = 133, .external_lex_state = 2},
  [3234] = {.lex_state = 133, .external_lex_state = 2},
  [3235] = {.lex_state = 133, .external_lex_state = 2},
  [3236] = {.lex_state = 133, .external_lex_state = 2},
  [3237] = {.lex_state = 133, .external_lex_state = 2},
  [3238] = {.lex_state = 133, .external_lex_state = 2},
  [3239] = {.lex_state = 133, .external_lex_state = 2},
  [3240] = {.lex_state = 133, .external_lex_state = 2},
  [3241] = {.lex_state = 133, .external_lex_state = 2},
  [3242] = {.lex_state = 133, .external_lex_state = 2},
  [3243] = {.lex_state = 133, .external_lex_state = 2},
  [3244] = {.lex_state = 133, .external_lex_state = 2},
  [3245] = {.lex_state = 133, .external_lex_state = 2},
  [3246] = {.lex_state = 133, .external_lex_state = 2},
  [3247] = {.lex_state = 133, .external_lex_state = 2},
  [3248] = {.lex_state = 133, .external_lex_state = 2},
  [3249] = {.lex_state = 133, .external_lex_state = 2},
  [3250] = {.lex_state = 133, .external_lex_state = 2},
  [3251] = {.lex_state = 133, .external_lex_state = 2},
  [3252] = {.lex_state = 133, .external_lex_state = 2},
  [3253] = {.lex_state = 133, .external_lex_state = 2},
  [3254] = {.lex_state = 133, .external_lex_state = 2},
  [3255] = {.lex_state = 133, .external_lex_state = 2},
  [3256] = {.lex_state = 133, .external_lex_state = 2},
  [3257] = {.lex_state = 15, .external_lex_state = 2},
  [3258] = {.lex_state = 133, .external_lex_state = 2},
  [3259] = {.lex_state = 133, .external_lex_state = 2},
  [3260] = {.lex_state = 133, .external_lex_state = 2},
  [3261] = {.lex_state = 133, .external_lex_state = 2},
  [3262] = {.lex_state = 133, .external_lex_state = 2},
  [3263] = {.lex_state = 133, .external_lex_state = 2},
  [3264] = {.lex_state = 133, .external_lex_state = 2},
  [3265] = {.lex_state = 133, .external_lex_state = 2},
  [3266] = {.lex_state = 133, .external_lex_state = 2},
  [3267] = {.lex_state = 133, .external_lex_state = 2},
  [3268] = {.lex_state = 133, .external_lex_state = 2},
  [3269] = {.lex_state = 133, .external_lex_state = 2},
  [3270] = {.lex_state = 133, .external_lex_state = 2},
  [3271] = {.lex_state = 133, .external_lex_state = 2},
  [3272] = {.lex_state = 133, .external_lex_state = 2},
  [3273] = {.lex_state = 133, .external_lex_state = 2},
  [3274] = {.lex_state = 133, .external_lex_state = 2},
  [3275] = {.lex_state = 133, .external_lex_state = 2},
  [3276] = {.lex_state = 133, .external_lex_state = 2},
  [3277] = {.lex_state = 133, .external_lex_state = 2},
  [3278] = {.lex_state = 133, .external_lex_state = 2},
  [3279] = {.lex_state = 133, .external_lex_state = 2},
  [3280] = {.lex_state = 133, .external_lex_state = 2},
  [3281] = {.lex_state = 133, .external_lex_state = 2},
  [3282] = {.lex_state = 133, .external_lex_state = 2},
  [3283] = {.lex_state = 133, .external_lex_state = 2},
  [3284] = {.lex_state = 133, .external_lex_state = 2},
  [3285] = {.lex_state = 133, .external_lex_state = 2},
  [3286] = {.lex_state = 133, .external_lex_state = 2},
  [3287] = {.lex_state = 133, .external_lex_state = 2},
  [3288] = {.lex_state = 133, .external_lex_state = 2},
  [3289] = {.lex_state = 133, .external_lex_state = 2},
  [3290] = {.lex_state = 133, .external_lex_state = 2},
  [3291] = {.lex_state = 133, .external_lex_state = 2},
  [3292] = {.lex_state = 133, .external_lex_state = 2},
  [3293] = {.lex_state = 133, .external_lex_state = 2},
  [3294] = {.lex_state = 133, .external_lex_state = 2},
  [3295] = {.lex_state = 133, .external_lex_state = 2},
  [3296] = {.lex_state = 133, .external_lex_state = 2},
  [3297] = {.lex_state = 133, .external_lex_state = 2},
  [3298] = {.lex_state = 133, .external_lex_state = 2},
  [3299] = {.lex_state = 133, .external_lex_state = 2},
  [3300] = {.lex_state = 133, .external_lex_state = 2},
  [3301] = {.lex_state = 133, .external_lex_state = 2},
  [3302] = {.lex_state = 133, .external_lex_state = 2},
  [3303] = {.lex_state = 15, .external_lex_state = 2},
  [3304] = {.lex_state = 133, .external_lex_state = 2},
  [3305] = {.lex_state = 133, .external_lex_state = 2},
  [3306] = {.lex_state = 133, .external_lex_state = 2},
  [3307] = {.lex_state = 133, .external_lex_state = 2},
  [3308] = {.lex_state = 133, .external_lex_state = 2},
  [3309] = {.lex_state = 133, .external_lex_state = 2},
  [3310] = {.lex_state = 133, .external_lex_state = 2},
  [3311] = {.lex_state = 133, .external_lex_state = 2},
  [3312] = {.lex_state = 133, .external_lex_state = 2},
  [3313] = {.lex_state = 133, .external_lex_state = 2},
  [3314] = {.lex_state = 133, .external_lex_state = 2},
  [3315] = {.lex_state = 133, .external_lex_state = 2},
  [3316] = {.lex_state = 133, .external_lex_state = 2},
  [3317] = {.lex_state = 133, .external_lex_state = 2},
  [3318] = {.lex_state = 133, .external_lex_state = 2},
  [3319] = {.lex_state = 133, .external_lex_state = 2},
  [3320] = {.lex_state = 133, .external_lex_state = 2},
  [3321] = {.lex_state = 133, .external_lex_state = 2},
  [3322] = {.lex_state = 133, .external_lex_state = 2},
  [3323] = {.lex_state = 133, .external_lex_state = 2},
  [3324] = {.lex_state = 408, .external_lex_state = 2},
  [3325] = {.lex_state = 408, .external_lex_state = 2},
  [3326] = {.lex_state = 408, .external_lex_state = 2},
  [3327] = {.lex_state = 408, .external_lex_state = 2},
  [3328] = {.lex_state = 136, .external_lex_state = 2},
  [3329] = {.lex_state = 408, .external_lex_state = 2},
  [3330] = {.lex_state = 408, .external_lex_state = 2},
  [3331] = {.lex_state = 133, .external_lex_state = 2},
  [3332] = {.lex_state = 408, .external_lex_state = 2},
  [3333] = {.lex_state = 408, .external_lex_state = 2},
  [3334] = {.lex_state = 58, .external_lex_state = 2},
  [3335] = {.lex_state = 133, .external_lex_state = 2},
  [3336] = {.lex_state = 408, .external_lex_state = 2},
  [3337] = {.lex_state = 408, .external_lex_state = 2},
  [3338] = {.lex_state = 58, .external_lex_state = 2},
  [3339] = {.lex_state = 58, .external_lex_state = 2},
  [3340] = {.lex_state = 58, .external_lex_state = 2},
  [3341] = {.lex_state = 58, .external_lex_state = 2},
  [3342] = {.lex_state = 408, .external_lex_state = 2},
  [3343] = {.lex_state = 133, .external_lex_state = 2},
  [3344] = {.lex_state = 58, .external_lex_state = 2},
  [3345] = {.lex_state = 133, .external_lex_state = 2},
  [3346] = {.lex_state = 408, .external_lex_state = 2},
  [3347] = {.lex_state = 133, .external_lex_state = 2},
  [3348] = {.lex_state = 133, .external_lex_state = 2},
  [3349] = {.lex_state = 58, .external_lex_state = 2},
  [3350] = {.lex_state = 408, .external_lex_state = 2},
  [3351] = {.lex_state = 408, .external_lex_state = 2},
  [3352] = {.lex_state = 408, .external_lex_state = 2},
  [3353] = {.lex_state = 133, .external_lex_state = 2},
  [3354] = {.lex_state = 408, .external_lex_state = 2},
  [3355] = {.lex_state = 408, .external_lex_state = 2},
  [3356] = {.lex_state = 133, .external_lex_state = 2},
  [3357] = {.lex_state = 408, .external_lex_state = 2},
  [3358] = {.lex_state = 133, .external_lex_state = 2},
  [3359] = {.lex_state = 133, .external_lex_state = 2},
  [3360] = {.lex_state = 133, .external_lex_state = 2},
  [3361] = {.lex_state = 408, .external_lex_state = 2},
  [3362] = {.lex_state = 133, .external_lex_state = 2},
  [3363] = {.lex_state = 133, .external_lex_state = 2},
  [3364] = {.lex_state = 58, .external_lex_state = 2},
  [3365] = {.lex_state = 133, .external_lex_state = 2},
  [3366] = {.lex_state = 133, .external_lex_state = 2},
  [3367] = {.lex_state = 408, .external_lex_state = 2},
  [3368] = {.lex_state = 58, .external_lex_state = 2},
  [3369] = {.lex_state = 408, .external_lex_state = 2},
  [3370] = {.lex_state = 408, .external_lex_state = 2},
  [3371] = {.lex_state = 133, .external_lex_state = 2},
  [3372] = {.lex_state = 133, .external_lex_state = 2},
  [3373] = {.lex_state = 133, .external_lex_state = 2},
  [3374] = {.lex_state = 58, .external_lex_state = 2},
  [3375] = {.lex_state = 58, .external_lex_state = 2},
  [3376] = {.lex_state = 408, .external_lex_state = 2},
  [3377] = {.lex_state = 15, .external_lex_state = 4},
  [3378] = {.lex_state = 133, .external_lex_state = 2},
  [3379] = {.lex_state = 15, .external_lex_state = 4},
  [3380] = {.lex_state = 146, .external_lex_state = 2},
  [3381] = {.lex_state = 133, .external_lex_state = 2},
  [3382] = {.lex_state = 133, .external_lex_state = 2},
  [3383] = {.lex_state = 133, .external_lex_state = 2},
  [3384] = {.lex_state = 408, .external_lex_state = 2},
  [3385] = {.lex_state = 133, .external_lex_state = 2},
  [3386] = {.lex_state = 133, .external_lex_state = 2},
  [3387] = {.lex_state = 408, .external_lex_state = 2},
  [3388] = {.lex_state = 133, .external_lex_state = 2},
  [3389] = {.lex_state = 406, .external_lex_state = 2},
  [3390] = {.lex_state = 133, .external_lex_state = 2},
  [3391] = {.lex_state = 133, .external_lex_state = 2},
  [3392] = {.lex_state = 133, .external_lex_state = 2},
  [3393] = {.lex_state = 58, .external_lex_state = 2},
  [3394] = {.lex_state = 408, .external_lex_state = 2},
  [3395] = {.lex_state = 58, .external_lex_state = 2},
  [3396] = {.lex_state = 58, .external_lex_state = 2},
  [3397] = {.lex_state = 408, .external_lex_state = 2},
  [3398] = {.lex_state = 133, .external_lex_state = 2},
  [3399] = {.lex_state = 58, .external_lex_state = 2},
  [3400] = {.lex_state = 15, .external_lex_state = 4},
  [3401] = {.lex_state = 409, .external_lex_state = 2},
  [3402] = {.lex_state = 408, .external_lex_state = 2},
  [3403] = {.lex_state = 133, .external_lex_state = 2},
  [3404] = {.lex_state = 133, .external_lex_state = 2},
  [3405] = {.lex_state = 408, .external_lex_state = 2},
  [3406] = {.lex_state = 408, .external_lex_state = 2},
  [3407] = {.lex_state = 408, .external_lex_state = 2},
  [3408] = {.lex_state = 408, .external_lex_state = 2},
  [3409] = {.lex_state = 408, .external_lex_state = 2},
  [3410] = {.lex_state = 133, .external_lex_state = 2},
  [3411] = {.lex_state = 133, .external_lex_state = 2},
  [3412] = {.lex_state = 133, .external_lex_state = 2},
  [3413] = {.lex_state = 133, .external_lex_state = 2},
  [3414] = {.lex_state = 408, .external_lex_state = 2},
  [3415] = {.lex_state = 133, .external_lex_state = 2},
  [3416] = {.lex_state = 133, .external_lex_state = 2},
  [3417] = {.lex_state = 146, .external_lex_state = 2},
  [3418] = {.lex_state = 60, .external_lex_state = 2},
  [3419] = {.lex_state = 408, .external_lex_state = 2},
  [3420] = {.lex_state = 60, .external_lex_state = 2},
  [3421] = {.lex_state = 133, .external_lex_state = 2},
  [3422] = {.lex_state = 146, .external_lex_state = 2},
  [3423] = {.lex_state = 15, .external_lex_state = 4},
  [3424] = {.lex_state = 133, .external_lex_state = 2},
  [3425] = {.lex_state = 133, .external_lex_state = 2},
  [3426] = {.lex_state = 133, .external_lex_state = 2},
  [3427] = {.lex_state = 409, .external_lex_state = 2},
  [3428] = {.lex_state = 409, .external_lex_state = 2},
  [3429] = {.lex_state = 409, .external_lex_state = 2},
  [3430] = {.lex_state = 408, .external_lex_state = 2},
  [3431] = {.lex_state = 133, .external_lex_state = 2},
  [3432] = {.lex_state = 406, .external_lex_state = 2},
  [3433] = {.lex_state = 146, .external_lex_state = 2},
  [3434] = {.lex_state = 408, .external_lex_state = 2},
  [3435] = {.lex_state = 409, .external_lex_state = 2},
  [3436] = {.lex_state = 408, .external_lex_state = 2},
  [3437] = {.lex_state = 409, .external_lex_state = 2},
  [3438] = {.lex_state = 409, .external_lex_state = 2},
  [3439] = {.lex_state = 408, .external_lex_state = 2},
  [3440] = {.lex_state = 408, .external_lex_state = 2},
  [3441] = {.lex_state = 15, .external_lex_state = 4},
  [3442] = {.lex_state = 408, .external_lex_state = 2},
  [3443] = {.lex_state = 133, .external_lex_state = 2},
  [3444] = {.lex_state = 408, .external_lex_state = 2},
  [3445] = {.lex_state = 408, .external_lex_state = 2},
  [3446] = {.lex_state = 133, .external_lex_state = 2},
  [3447] = {.lex_state = 133, .external_lex_state = 2},
  [3448] = {.lex_state = 408, .external_lex_state = 2},
  [3449] = {.lex_state = 60, .external_lex_state = 2},
  [3450] = {.lex_state = 133, .external_lex_state = 2},
  [3451] = {.lex_state = 408, .external_lex_state = 2},
  [3452] = {.lex_state = 408, .external_lex_state = 2},
  [3453] = {.lex_state = 133, .external_lex_state = 2},
  [3454] = {.lex_state = 408, .external_lex_state = 2},
  [3455] = {.lex_state = 133, .external_lex_state = 2},
  [3456] = {.lex_state = 408, .external_lex_state = 2},
  [3457] = {.lex_state = 408, .external_lex_state = 2},
  [3458] = {.lex_state = 15, .external_lex_state = 4},
  [3459] = {.lex_state = 408, .external_lex_state = 2},
  [3460] = {.lex_state = 408, .external_lex_state = 2},
  [3461] = {.lex_state = 408, .external_lex_state = 2},
  [3462] = {.lex_state = 408, .external_lex_state = 2},
  [3463] = {.lex_state = 408, .external_lex_state = 2},
  [3464] = {.lex_state = 408, .external_lex_state = 2},
  [3465] = {.lex_state = 408, .external_lex_state = 2},
  [3466] = {.lex_state = 133, .external_lex_state = 2},
  [3467] = {.lex_state = 408, .external_lex_state = 2},
  [3468] = {.lex_state = 408, .external_lex_state = 2},
  [3469] = {.lex_state = 408, .external_lex_state = 2},
  [3470] = {.lex_state = 408, .external_lex_state = 2},
  [3471] = {.lex_state = 408, .external_lex_state = 2},
  [3472] = {.lex_state = 408, .external_lex_state = 2},
  [3473] = {.lex_state = 408, .external_lex_state = 2},
  [3474] = {.lex_state = 408, .external_lex_state = 2},
  [3475] = {.lex_state = 408, .external_lex_state = 2},
  [3476] = {.lex_state = 408, .external_lex_state = 2},
  [3477] = {.lex_state = 408, .external_lex_state = 2},
  [3478] = {.lex_state = 408, .external_lex_state = 2},
  [3479] = {.lex_state = 133, .external_lex_state = 2},
  [3480] = {.lex_state = 408, .external_lex_state = 2},
  [3481] = {.lex_state = 408, .external_lex_state = 2},
  [3482] = {.lex_state = 133, .external_lex_state = 2},
  [3483] = {.lex_state = 133, .external_lex_state = 2},
  [3484] = {.lex_state = 133, .external_lex_state = 2},
  [3485] = {.lex_state = 408, .external_lex_state = 2},
  [3486] = {.lex_state = 408, .external_lex_state = 2},
  [3487] = {.lex_state = 408, .external_lex_state = 2},
  [3488] = {.lex_state = 408, .external_lex_state = 2},
  [3489] = {.lex_state = 408, .external_lex_state = 2},
  [3490] = {.lex_state = 408, .external_lex_state = 2},
  [3491] = {.lex_state = 408, .external_lex_state = 2},
  [3492] = {.lex_state = 408, .external_lex_state = 2},
  [3493] = {.lex_state = 408, .external_lex_state = 2},
  [3494] = {.lex_state = 408, .external_lex_state = 2},
  [3495] = {.lex_state = 408, .external_lex_state = 2},
  [3496] = {.lex_state = 408, .external_lex_state = 2},
  [3497] = {.lex_state = 408, .external_lex_state = 2},
  [3498] = {.lex_state = 408, .external_lex_state = 2},
  [3499] = {.lex_state = 408, .external_lex_state = 2},
  [3500] = {.lex_state = 408, .external_lex_state = 2},
  [3501] = {.lex_state = 408, .external_lex_state = 2},
  [3502] = {.lex_state = 408, .external_lex_state = 2},
  [3503] = {.lex_state = 408, .external_lex_state = 2},
  [3504] = {.lex_state = 133, .external_lex_state = 2},
  [3505] = {.lex_state = 408, .external_lex_state = 2},
  [3506] = {.lex_state = 408, .external_lex_state = 2},
  [3507] = {.lex_state = 15, .external_lex_state = 4},
  [3508] = {.lex_state = 133, .external_lex_state = 2},
  [3509] = {.lex_state = 59, .external_lex_state = 2},
  [3510] = {.lex_state = 408, .external_lex_state = 2},
  [3511] = {.lex_state = 408, .external_lex_state = 2},
  [3512] = {.lex_state = 133, .external_lex_state = 2},
  [3513] = {.lex_state = 59, .external_lex_state = 2},
  [3514] = {.lex_state = 146, .external_lex_state = 2},
  [3515] = {.lex_state = 408, .external_lex_state = 2},
  [3516] = {.lex_state = 133, .external_lex_state = 2},
  [3517] = {.lex_state = 408, .external_lex_state = 2},
  [3518] = {.lex_state = 408, .external_lex_state = 2},
  [3519] = {.lex_state = 58, .external_lex_state = 2},
  [3520] = {.lex_state = 15, .external_lex_state = 4},
  [3521] = {.lex_state = 409, .external_lex_state = 2},
  [3522] = {.lex_state = 408, .external_lex_state = 2},
  [3523] = {.lex_state = 408, .external_lex_state = 2},
  [3524] = {.lex_state = 409, .external_lex_state = 2},
  [3525] = {.lex_state = 58, .external_lex_state = 2},
  [3526] = {.lex_state = 408, .external_lex_state = 2},
  [3527] = {.lex_state = 408, .external_lex_state = 2},
  [3528] = {.lex_state = 133, .external_lex_state = 2},
  [3529] = {.lex_state = 408, .external_lex_state = 2},
  [3530] = {.lex_state = 408, .external_lex_state = 2},
  [3531] = {.lex_state = 58, .external_lex_state = 2},
  [3532] = {.lex_state = 146, .external_lex_state = 2},
  [3533] = {.lex_state = 408, .external_lex_state = 2},
  [3534] = {.lex_state = 58, .external_lex_state = 2},
  [3535] = {.lex_state = 133, .external_lex_state = 2},
  [3536] = {.lex_state = 133, .external_lex_state = 2},
  [3537] = {.lex_state = 58, .external_lex_state = 2},
  [3538] = {.lex_state = 15, .external_lex_state = 4},
  [3539] = {.lex_state = 408, .external_lex_state = 2},
  [3540] = {.lex_state = 408, .external_lex_state = 2},
  [3541] = {.lex_state = 58, .external_lex_state = 2},
  [3542] = {.lex_state = 133, .external_lex_state = 2},
  [3543] = {.lex_state = 58, .external_lex_state = 2},
  [3544] = {.lex_state = 15, .external_lex_state = 4},
  [3545] = {.lex_state = 15, .external_lex_state = 2},
  [3546] = {.lex_state = 58, .external_lex_state = 2},
  [3547] = {.lex_state = 58, .external_lex_state = 2},
  [3548] = {.lex_state = 58, .external_lex_state = 2},
  [3549] = {.lex_state = 408, .external_lex_state = 2},
  [3550] = {.lex_state = 58, .external_lex_state = 2},
  [3551] = {.lex_state = 58, .external_lex_state = 2},
  [3552] = {.lex_state = 15, .external_lex_state = 2},
  [3553] = {.lex_state = 133, .external_lex_state = 2},
  [3554] = {.lex_state = 133, .external_lex_state = 2},
  [3555] = {.lex_state = 58, .external_lex_state = 2},
  [3556] = {.lex_state = 58, .external_lex_state = 2},
  [3557] = {.lex_state = 58, .external_lex_state = 2},
  [3558] = {.lex_state = 408, .external_lex_state = 2},
  [3559] = {.lex_state = 58, .external_lex_state = 2},
  [3560] = {.lex_state = 406, .external_lex_state = 2},
  [3561] = {.lex_state = 58, .external_lex_state = 2},
  [3562] = {.lex_state = 58, .external_lex_state = 2},
  [3563] = {.lex_state = 408, .external_lex_state = 2},
  [3564] = {.lex_state = 58, .external_lex_state = 2},
  [3565] = {.lex_state = 58, .external_lex_state = 2},
  [3566] = {.lex_state = 133, .external_lex_state = 2},
  [3567] = {.lex_state = 58, .external_lex_state = 2},
  [3568] = {.lex_state = 133, .external_lex_state = 2},
  [3569] = {.lex_state = 58, .external_lex_state = 2},
  [3570] = {.lex_state = 58, .external_lex_state = 2},
  [3571] = {.lex_state = 15, .external_lex_state = 4},
  [3572] = {.lex_state = 408, .external_lex_state = 2},
  [3573] = {.lex_state = 58, .external_lex_state = 2},
  [3574] = {.lex_state = 58, .external_lex_state = 2},
  [3575] = {.lex_state = 15, .external_lex_state = 4},
  [3576] = {.lex_state = 133, .external_lex_state = 2},
  [3577] = {.lex_state = 133, .external_lex_state = 2},
  [3578] = {.lex_state = 58, .external_lex_state = 2},
  [3579] = {.lex_state = 406, .external_lex_state = 2},
  [3580] = {.lex_state = 406, .external_lex_state = 2},
  [3581] = {.lex_state = 406, .external_lex_state = 2},
  [3582] = {.lex_state = 58, .external_lex_state = 2},
  [3583] = {.lex_state = 58, .external_lex_state = 2},
  [3584] = {.lex_state = 58, .external_lex_state = 2},
  [3585] = {.lex_state = 408, .external_lex_state = 2},
  [3586] = {.lex_state = 133, .external_lex_state = 2},
  [3587] = {.lex_state = 58, .external_lex_state = 2},
  [3588] = {.lex_state = 406, .external_lex_state = 2},
  [3589] = {.lex_state = 15, .external_lex_state = 4},
  [3590] = {.lex_state = 58, .external_lex_state = 2},
  [3591] = {.lex_state = 15, .external_lex_state = 4},
  [3592] = {.lex_state = 408, .external_lex_state = 2},
  [3593] = {.lex_state = 58, .external_lex_state = 2},
  [3594] = {.lex_state = 58, .external_lex_state = 2},
  [3595] = {.lex_state = 58, .external_lex_state = 2},
  [3596] = {.lex_state = 58, .external_lex_state = 2},
  [3597] = {.lex_state = 58, .external_lex_state = 2},
  [3598] = {.lex_state = 58, .external_lex_state = 2},
  [3599] = {.lex_state = 58, .external_lex_state = 2},
  [3600] = {.lex_state = 58, .external_lex_state = 2},
  [3601] = {.lex_state = 406, .external_lex_state = 2},
  [3602] = {.lex_state = 15, .external_lex_state = 4},
  [3603] = {.lex_state = 133, .external_lex_state = 2},
  [3604] = {.lex_state = 15, .external_lex_state = 4},
  [3605] = {.lex_state = 133, .external_lex_state = 2},
  [3606] = {.lex_state = 58, .external_lex_state = 2},
  [3607] = {.lex_state = 58, .external_lex_state = 2},
  [3608] = {.lex_state = 58, .external_lex_state = 2},
  [3609] = {.lex_state = 58, .external_lex_state = 2},
  [3610] = {.lex_state = 133, .external_lex_state = 2},
  [3611] = {.lex_state = 408, .external_lex_state = 2},
  [3612] = {.lex_state = 146, .external_lex_state = 2},
  [3613] = {.lex_state = 133, .external_lex_state = 2},
  [3614] = {.lex_state = 15, .external_lex_state = 4},
  [3615] = {.lex_state = 60, .external_lex_state = 2},
  [3616] = {.lex_state = 15, .external_lex_state = 4},
  [3617] = {.lex_state = 15, .external_lex_state = 4},
  [3618] = {.lex_state = 146, .external_lex_state = 2},
  [3619] = {.lex_state = 133, .external_lex_state = 2},
  [3620] = {.lex_state = 133, .external_lex_state = 2},
  [3621] = {.lex_state = 15, .external_lex_state = 4},
  [3622] = {.lex_state = 58, .external_lex_state = 2},
  [3623] = {.lex_state = 146, .external_lex_state = 2},
  [3624] = {.lex_state = 133, .external_lex_state = 2},
  [3625] = {.lex_state = 15, .external_lex_state = 4},
  [3626] = {.lex_state = 406, .external_lex_state = 2},
  [3627] = {.lex_state = 133, .external_lex_state = 2},
  [3628] = {.lex_state = 406, .external_lex_state = 2},
  [3629] = {.lex_state = 408, .external_lex_state = 2},
  [3630] = {.lex_state = 15, .external_lex_state = 4},
  [3631] = {.lex_state = 408, .external_lex_state = 2},
  [3632] = {.lex_state = 133, .external_lex_state = 2},
  [3633] = {.lex_state = 406, .external_lex_state = 2},
  [3634] = {.lex_state = 15, .external_lex_state = 4},
  [3635] = {.lex_state = 408, .external_lex_state = 2},
  [3636] = {.lex_state = 146, .external_lex_state = 2},
  [3637] = {.lex_state = 408, .external_lex_state = 2},
  [3638] = {.lex_state = 133, .external_lex_state = 2},
  [3639] = {.lex_state = 58, .external_lex_state = 2},
  [3640] = {.lex_state = 133, .external_lex_state = 2},
  [3641] = {.lex_state = 408, .external_lex_state = 2},
  [3642] = {.lex_state = 15, .external_lex_state = 4},
  [3643] = {.lex_state = 408, .external_lex_state = 2},
  [3644] = {.lex_state = 133, .external_lex_state = 2},
  [3645] = {.lex_state = 15, .external_lex_state = 4},
  [3646] = {.lex_state = 408, .external_lex_state = 2},
  [3647] = {.lex_state = 408, .external_lex_state = 2},
  [3648] = {.lex_state = 15, .external_lex_state = 4},
  [3649] = {.lex_state = 406, .external_lex_state = 2},
  [3650] = {.lex_state = 406, .external_lex_state = 2},
  [3651] = {.lex_state = 408, .external_lex_state = 2},
  [3652] = {.lex_state = 15, .external_lex_state = 4},
  [3653] = {.lex_state = 408, .external_lex_state = 2},
  [3654] = {.lex_state = 406, .external_lex_state = 2},
  [3655] = {.lex_state = 133, .external_lex_state = 2},
  [3656] = {.lex_state = 58, .external_lex_state = 2},
  [3657] = {.lex_state = 133, .external_lex_state = 2},
  [3658] = {.lex_state = 58, .external_lex_state = 2},
  [3659] = {.lex_state = 15, .external_lex_state = 4},
  [3660] = {.lex_state = 408, .external_lex_state = 2},
  [3661] = {.lex_state = 15, .external_lex_state = 4},
  [3662] = {.lex_state = 408, .external_lex_state = 2},
  [3663] = {.lex_state = 408, .external_lex_state = 2},
  [3664] = {.lex_state = 15, .external_lex_state = 4},
  [3665] = {.lex_state = 58, .external_lex_state = 2},
  [3666] = {.lex_state = 408, .external_lex_state = 2},
  [3667] = {.lex_state = 408, .external_lex_state = 2},
  [3668] = {.lex_state = 408, .external_lex_state = 2},
  [3669] = {.lex_state = 133, .external_lex_state = 2},
  [3670] = {.lex_state = 15, .external_lex_state = 4},
  [3671] = {.lex_state = 409, .external_lex_state = 2},
  [3672] = {.lex_state = 15, .external_lex_state = 4},
  [3673] = {.lex_state = 146, .external_lex_state = 2},
  [3674] = {.lex_state = 58, .external_lex_state = 2},
  [3675] = {.lex_state = 408, .external_lex_state = 2},
  [3676] = {.lex_state = 58, .external_lex_state = 2},
  [3677] = {.lex_state = 58, .external_lex_state = 2},
  [3678] = {.lex_state = 58, .external_lex_state = 2},
  [3679] = {.lex_state = 15, .external_lex_state = 4},
  [3680] = {.lex_state = 408, .external_lex_state = 2},
  [3681] = {.lex_state = 133, .external_lex_state = 2},
  [3682] = {.lex_state = 133, .external_lex_state = 2},
  [3683] = {.lex_state = 133, .external_lex_state = 2},
  [3684] = {.lex_state = 408, .external_lex_state = 2},
  [3685] = {.lex_state = 133, .external_lex_state = 2},
  [3686] = {.lex_state = 408, .external_lex_state = 2},
  [3687] = {.lex_state = 408, .external_lex_state = 2},
  [3688] = {.lex_state = 15, .external_lex_state = 4},
  [3689] = {.lex_state = 408, .external_lex_state = 2},
  [3690] = {.lex_state = 133, .external_lex_state = 2},
  [3691] = {.lex_state = 133, .external_lex_state = 2},
  [3692] = {.lex_state = 146, .external_lex_state = 2},
  [3693] = {.lex_state = 408, .external_lex_state = 2},
  [3694] = {.lex_state = 15, .external_lex_state = 4},
  [3695] = {.lex_state = 58, .external_lex_state = 2},
  [3696] = {.lex_state = 58, .external_lex_state = 2},
  [3697] = {.lex_state = 408, .external_lex_state = 2},
  [3698] = {.lex_state = 58, .external_lex_state = 2},
  [3699] = {.lex_state = 146, .external_lex_state = 2},
  [3700] = {.lex_state = 133, .external_lex_state = 2},
  [3701] = {.lex_state = 58, .external_lex_state = 2},
  [3702] = {.lex_state = 408, .external_lex_state = 2},
  [3703] = {.lex_state = 408, .external_lex_state = 2},
  [3704] = {.lex_state = 409, .external_lex_state = 2},
  [3705] = {.lex_state = 408, .external_lex_state = 2},
  [3706] = {.lex_state = 409, .external_lex_state = 2},
  [3707] = {.lex_state = 409, .external_lex_state = 2},
  [3708] = {.lex_state = 409, .external_lex_state = 2},
  [3709] = {.lex_state = 58, .external_lex_state = 2},
  [3710] = {.lex_state = 15, .external_lex_state = 4},
  [3711] = {.lex_state = 146, .external_lex_state = 2},
  [3712] = {.lex_state = 133, .external_lex_state = 2},
  [3713] = {.lex_state = 133, .external_lex_state = 2},
  [3714] = {.lex_state = 133, .external_lex_state = 2},
  [3715] = {.lex_state = 146, .external_lex_state = 2},
  [3716] = {.lex_state = 408, .external_lex_state = 2},
  [3717] = {.lex_state = 133, .external_lex_state = 2},
  [3718] = {.lex_state = 133, .external_lex_state = 2},
  [3719] = {.lex_state = 408, .external_lex_state = 2},
  [3720] = {.lex_state = 15, .external_lex_state = 4},
  [3721] = {.lex_state = 146, .external_lex_state = 2},
  [3722] = {.lex_state = 133, .external_lex_state = 2},
  [3723] = {.lex_state = 408, .external_lex_state = 2},
  [3724] = {.lex_state = 409, .external_lex_state = 2},
  [3725] = {.lex_state = 406, .external_lex_state = 2},
  [3726] = {.lex_state = 409, .external_lex_state = 2},
  [3727] = {.lex_state = 409, .external_lex_state = 2},
  [3728] = {.lex_state = 409, .external_lex_state = 2},
  [3729] = {.lex_state = 408, .external_lex_state = 2},
  [3730] = {.lex_state = 408, .external_lex_state = 2},
  [3731] = {.lex_state = 408, .external_lex_state = 2},
  [3732] = {.lex_state = 15, .external_lex_state = 4},
  [3733] = {.lex_state = 133, .external_lex_state = 2},
  [3734] = {.lex_state = 406, .external_lex_state = 2},
  [3735] = {.lex_state = 60, .external_lex_state = 2},
  [3736] = {.lex_state = 406, .external_lex_state = 2},
  [3737] = {.lex_state = 408, .external_lex_state = 2},
  [3738] = {.lex_state = 406, .external_lex_state = 2},
  [3739] = {.lex_state = 408, .external_lex_state = 2},
  [3740] = {.lex_state = 133, .external_lex_state = 2},
  [3741] = {.lex_state = 15, .external_lex_state = 4},
  [3742] = {.lex_state = 146, .external_lex_state = 2},
  [3743] = {.lex_state = 146, .external_lex_state = 2},
  [3744] = {.lex_state = 133, .external_lex_state = 2},
  [3745] = {.lex_state = 15, .external_lex_state = 4},
  [3746] = {.lex_state = 58, .external_lex_state = 2},
  [3747] = {.lex_state = 133, .external_lex_state = 2},
  [3748] = {.lex_state = 58, .external_lex_state = 2},
  [3749] = {.lex_state = 133, .external_lex_state = 2},
  [3750] = {.lex_state = 409, .external_lex_state = 2},
  [3751] = {.lex_state = 408, .external_lex_state = 2},
  [3752] = {.lex_state = 15, .external_lex_state = 4},
  [3753] = {.lex_state = 406, .external_lex_state = 2},
  [3754] = {.lex_state = 15, .external_lex_state = 4},
  [3755] = {.lex_state = 406, .external_lex_state = 2},
  [3756] = {.lex_state = 406, .external_lex_state = 2},
  [3757] = {.lex_state = 15, .external_lex_state = 4},
  [3758] = {.lex_state = 408, .external_lex_state = 2},
  [3759] = {.lex_state = 133, .external_lex_state = 2},
  [3760] = {.lex_state = 406, .external_lex_state = 2},
  [3761] = {.lex_state = 408, .external_lex_state = 2},
  [3762] = {.lex_state = 408, .external_lex_state = 2},
  [3763] = {.lex_state = 408, .external_lex_state = 2},
  [3764] = {.lex_state = 58, .external_lex_state = 2},
  [3765] = {.lex_state = 15, .external_lex_state = 4},
  [3766] = {.lex_state = 133, .external_lex_state = 2},
  [3767] = {.lex_state = 133, .external_lex_state = 2},
  [3768] = {.lex_state = 408, .external_lex_state = 2},
  [3769] = {.lex_state = 59, .external_lex_state = 2},
  [3770] = {.lex_state = 408, .external_lex_state = 2},
  [3771] = {.lex_state = 408, .external_lex_state = 2},
  [3772] = {.lex_state = 133, .external_lex_state = 2},
  [3773] = {.lex_state = 146, .external_lex_state = 2},
  [3774] = {.lex_state = 146, .external_lex_state = 2},
  [3775] = {.lex_state = 133, .external_lex_state = 2},
  [3776] = {.lex_state = 133, .external_lex_state = 2},
  [3777] = {.lex_state = 133, .external_lex_state = 2},
  [3778] = {.lex_state = 146, .external_lex_state = 2},
  [3779] = {.lex_state = 59, .external_lex_state = 2},
  [3780] = {.lex_state = 133, .external_lex_state = 2},
  [3781] = {.lex_state = 58, .external_lex_state = 2},
  [3782] = {.lex_state = 15, .external_lex_state = 4},
  [3783] = {.lex_state = 60, .external_lex_state = 2},
  [3784] = {.lex_state = 58, .external_lex_state = 2},
  [3785] = {.lex_state = 409, .external_lex_state = 2},
  [3786] = {.lex_state = 59, .external_lex_state = 2},
  [3787] = {.lex_state = 60, .external_lex_state = 2},
  [3788] = {.lex_state = 60, .external_lex_state = 2},
  [3789] = {.lex_state = 15, .external_lex_state = 4},
  [3790] = {.lex_state = 58, .external_lex_state = 2},
  [3791] = {.lex_state = 58, .external_lex_state = 2},
  [3792] = {.lex_state = 15, .external_lex_state = 4},
  [3793] = {.lex_state = 409, .external_lex_state = 2},
  [3794] = {.lex_state = 58, .external_lex_state = 2},
  [3795] = {.lex_state = 133, .external_lex_state = 2},
  [3796] = {.lex_state = 408, .external_lex_state = 2},
  [3797] = {.lex_state = 146, .external_lex_state = 2},
  [3798] = {.lex_state = 133, .external_lex_state = 2},
  [3799] = {.lex_state = 408, .external_lex_state = 2},
  [3800] = {.lex_state = 60, .external_lex_state = 2},
  [3801] = {.lex_state = 59, .external_lex_state = 2},
  [3802] = {.lex_state = 59, .external_lex_state = 2},
  [3803] = {.lex_state = 59, .external_lex_state = 2},
  [3804] = {.lex_state = 60, .external_lex_state = 2},
  [3805] = {.lex_state = 60, .external_lex_state = 2},
  [3806] = {.lex_state = 408, .external_lex_state = 2},
  [3807] = {.lex_state = 133, .external_lex_state = 2},
  [3808] = {.lex_state = 133, .external_lex_state = 2},
  [3809] = {.lex_state = 15, .external_lex_state = 4},
  [3810] = {.lex_state = 146, .external_lex_state = 2},
  [3811] = {.lex_state = 133, .external_lex_state = 2},
  [3812] = {.lex_state = 15, .external_lex_state = 4},
  [3813] = {.lex_state = 408, .external_lex_state = 2},
  [3814] = {.lex_state = 58, .external_lex_state = 2},
  [3815] = {.lex_state = 59, .external_lex_state = 2},
  [3816] = {.lex_state = 59, .external_lex_state = 2},
  [3817] = {.lex_state = 59, .external_lex_state = 2},
  [3818] = {.lex_state = 15, .external_lex_state = 4},
  [3819] = {.lex_state = 15, .external_lex_state = 4},
  [3820] = {.lex_state = 133, .external_lex_state = 2},
  [3821] = {.lex_state = 408, .external_lex_state = 2},
  [3822] = {.lex_state = 133, .external_lex_state = 2},
  [3823] = {.lex_state = 58, .external_lex_state = 2},
  [3824] = {.lex_state = 58, .external_lex_state = 2},
  [3825] = {.lex_state = 408, .external_lex_state = 2},
  [3826] = {.lex_state = 408, .external_lex_state = 2},
  [3827] = {.lex_state = 409, .external_lex_state = 2},
  [3828] = {.lex_state = 408, .external_lex_state = 2},
  [3829] = {.lex_state = 408, .external_lex_state = 2},
  [3830] = {.lex_state = 146, .external_lex_state = 2},
  [3831] = {.lex_state = 408, .external_lex_state = 2},
  [3832] = {.lex_state = 133, .external_lex_state = 2},
  [3833] = {.lex_state = 133, .external_lex_state = 2},
  [3834] = {.lex_state = 133, .external_lex_state = 2},
  [3835] = {.lex_state = 408, .external_lex_state = 2},
  [3836] = {.lex_state = 406, .external_lex_state = 2},
  [3837] = {.lex_state = 406, .external_lex_state = 2},
  [3838] = {.lex_state = 59, .external_lex_state = 2},
  [3839] = {.lex_state = 59, .external_lex_state = 2},
  [3840] = {.lex_state = 59, .external_lex_state = 2},
  [3841] = {.lex_state = 59, .external_lex_state = 2},
  [3842] = {.lex_state = 59, .external_lex_state = 2},
  [3843] = {.lex_state = 133, .external_lex_state = 2},
  [3844] = {.lex_state = 59, .external_lex_state = 2},
  [3845] = {.lex_state = 59, .external_lex_state = 2},
  [3846] = {.lex_state = 133, .external_lex_state = 2},
  [3847] = {.lex_state = 406, .external_lex_state = 2},
  [3848] = {.lex_state = 409, .external_lex_state = 2},
  [3849] = {.lex_state = 409, .external_lex_state = 2},
  [3850] = {.lex_state = 406, .external_lex_state = 2},
  [3851] = {.lex_state = 406, .external_lex_state = 2},
  [3852] = {.lex_state = 409, .external_lex_state = 2},
  [3853] = {.lex_state = 15, .external_lex_state = 2},
  [3854] = {.lex_state = 15, .external_lex_state = 2},
  [3855] = {.lex_state = 60, .external_lex_state = 2},
  [3856] = {.lex_state = 59, .external_lex_state = 2},
  [3857] = {.lex_state = 59, .external_lex_state = 2},
  [3858] = {.lex_state = 409, .external_lex_state = 2},
  [3859] = {.lex_state = 409, .external_lex_state = 2},
  [3860] = {.lex_state = 59, .external_lex_state = 2},
  [3861] = {.lex_state = 60, .external_lex_state = 2},
  [3862] = {.lex_state = 60, .external_lex_state = 2},
  [3863] = {.lex_state = 406, .external_lex_state = 2},
  [3864] = {.lex_state = 409, .external_lex_state = 2},
  [3865] = {.lex_state = 60, .external_lex_state = 2},
  [3866] = {.lex_state = 409, .external_lex_state = 2},
  [3867] = {.lex_state = 59, .external_lex_state = 2},
  [3868] = {.lex_state = 409, .external_lex_state = 2},
  [3869] = {.lex_state = 409, .external_lex_state = 2},
  [3870] = {.lex_state = 406, .external_lex_state = 2},
  [3871] = {.lex_state = 406, .external_lex_state = 2},
  [3872] = {.lex_state = 406, .external_lex_state = 2},
  [3873] = {.lex_state = 59, .external_lex_state = 2},
  [3874] = {.lex_state = 59, .external_lex_state = 2},
  [3875] = {.lex_state = 59, .external_lex_state = 2},
  [3876] = {.lex_state = 59, .external_lex_state = 2},
  [3877] = {.lex_state = 133, .external_lex_state = 2},
  [3878] = {.lex_state = 59, .external_lex_state = 2},
  [3879] = {.lex_state = 133, .external_lex_state = 2},
  [3880] = {.lex_state = 406, .external_lex_state = 2},
  [3881] = {.lex_state = 59, .external_lex_state = 2},
  [3882] = {.lex_state = 406, .external_lex_state = 2},
  [3883] = {.lex_state = 59, .external_lex_state = 2},
  [3884] = {.lex_state = 406, .external_lex_state = 2},
  [3885] = {.lex_state = 59, .external_lex_state = 2},
  [3886] = {.lex_state = 406, .external_lex_state = 2},
  [3887] = {.lex_state = 406, .external_lex_state = 2},
  [3888] = {.lex_state = 59, .external_lex_state = 2},
  [3889] = {.lex_state = 59, .external_lex_state = 2},
  [3890] = {.lex_state = 59, .external_lex_state = 2},
  [3891] = {.lex_state = 59, .external_lex_state = 2},
  [3892] = {.lex_state = 59, .external_lex_state = 2},
  [3893] = {.lex_state = 59, .external_lex_state = 2},
  [3894] = {.lex_state = 59, .external_lex_state = 2},
  [3895] = {.lex_state = 59, .external_lex_state = 2},
  [3896] = {.lex_state = 59, .external_lex_state = 2},
  [3897] = {.lex_state = 59, .external_lex_state = 2},
  [3898] = {.lex_state = 409, .external_lex_state = 2},
  [3899] = {.lex_state = 409, .external_lex_state = 2},
  [3900] = {.lex_state = 59, .external_lex_state = 2},
  [3901] = {.lex_state = 59, .external_lex_state = 2},
  [3902] = {.lex_state = 133, .external_lex_state = 2},
  [3903] = {.lex_state = 59, .external_lex_state = 2},
  [3904] = {.lex_state = 133, .external_lex_state = 2},
  [3905] = {.lex_state = 133, .external_lex_state = 2},
  [3906] = {.lex_state = 133, .external_lex_state = 2},
  [3907] = {.lex_state = 133, .external_lex_state = 2},
  [3908] = {.lex_state = 133, .external_lex_state = 2},
  [3909] = {.lex_state = 133, .external_lex_state = 2},
  [3910] = {.lex_state = 133, .external_lex_state = 2},
  [3911] = {.lex_state = 133, .external_lex_state = 2},
  [3912] = {.lex_state = 133, .external_lex_state = 2},
  [3913] = {.lex_state = 59, .external_lex_state = 2},
  [3914] = {.lex_state = 133, .external_lex_state = 2},
  [3915] = {.lex_state = 406, .external_lex_state = 2},
  [3916] = {.lex_state = 406, .external_lex_state = 2},
  [3917] = {.lex_state = 406, .external_lex_state = 2},
  [3918] = {.lex_state = 133, .external_lex_state = 2},
  [3919] = {.lex_state = 409, .external_lex_state = 2},
  [3920] = {.lex_state = 409, .external_lex_state = 2},
  [3921] = {.lex_state = 409, .external_lex_state = 2},
  [3922] = {.lex_state = 409, .external_lex_state = 2},
  [3923] = {.lex_state = 409, .external_lex_state = 2},
  [3924] = {.lex_state = 409, .external_lex_state = 2},
  [3925] = {.lex_state = 406, .external_lex_state = 2},
  [3926] = {.lex_state = 59, .external_lex_state = 2},
  [3927] = {.lex_state = 133, .external_lex_state = 2},
  [3928] = {.lex_state = 409, .external_lex_state = 2},
  [3929] = {.lex_state = 59, .external_lex_state = 2},
  [3930] = {.lex_state = 59, .external_lex_state = 2},
  [3931] = {.lex_state = 59, .external_lex_state = 2},
  [3932] = {.lex_state = 59, .external_lex_state = 2},
  [3933] = {.lex_state = 59, .external_lex_state = 2},
  [3934] = {.lex_state = 59, .external_lex_state = 2},
  [3935] = {.lex_state = 59, .external_lex_state = 2},
  [3936] = {.lex_state = 59, .external_lex_state = 2},
  [3937] = {.lex_state = 59, .external_lex_state = 2},
  [3938] = {.lex_state = 59, .external_lex_state = 2},
  [3939] = {.lex_state = 59, .external_lex_state = 2},
  [3940] = {.lex_state = 59, .external_lex_state = 2},
  [3941] = {.lex_state = 409, .external_lex_state = 2},
  [3942] = {.lex_state = 409, .external_lex_state = 2},
  [3943] = {.lex_state = 409, .external_lex_state = 2},
  [3944] = {.lex_state = 409, .external_lex_state = 2},
  [3945] = {.lex_state = 409, .external_lex_state = 2},
  [3946] = {.lex_state = 409, .external_lex_state = 2},
  [3947] = {.lex_state = 409, .external_lex_state = 2},
  [3948] = {.lex_state = 409, .external_lex_state = 2},
  [3949] = {.lex_state = 59, .external_lex_state = 2},
  [3950] = {.lex_state = 409, .external_lex_state = 2},
  [3951] = {.lex_state = 407, .external_lex_state = 2},
  [3952] = {.lex_state = 409, .external_lex_state = 2},
  [3953] = {.lex_state = 407, .external_lex_state = 2},
  [3954] = {.lex_state = 409, .external_lex_state = 2},
  [3955] = {.lex_state = 409, .external_lex_state = 2},
  [3956] = {.lex_state = 409, .external_lex_state = 2},
  [3957] = {.lex_state = 409, .external_lex_state = 2},
  [3958] = {.lex_state = 409, .external_lex_state = 2},
  [3959] = {.lex_state = 59, .external_lex_state = 2},
  [3960] = {.lex_state = 409, .external_lex_state = 2},
  [3961] = {.lex_state = 409, .external_lex_state = 2},
  [3962] = {.lex_state = 409, .external_lex_state = 2},
  [3963] = {.lex_state = 409, .external_lex_state = 2},
  [3964] = {.lex_state = 133, .external_lex_state = 2},
  [3965] = {.lex_state = 409, .external_lex_state = 2},
  [3966] = {.lex_state = 406, .external_lex_state = 2},
  [3967] = {.lex_state = 133, .external_lex_state = 2},
  [3968] = {.lex_state = 409, .external_lex_state = 2},
  [3969] = {.lex_state = 409, .external_lex_state = 2},
  [3970] = {.lex_state = 409, .external_lex_state = 2},
  [3971] = {.lex_state = 409, .external_lex_state = 2},
  [3972] = {.lex_state = 409, .external_lex_state = 2},
  [3973] = {.lex_state = 409, .external_lex_state = 2},
  [3974] = {.lex_state = 409, .external_lex_state = 2},
  [3975] = {.lex_state = 406, .external_lex_state = 2},
  [3976] = {.lex_state = 409, .external_lex_state = 2},
  [3977] = {.lex_state = 133, .external_lex_state = 2},
  [3978] = {.lex_state = 133, .external_lex_state = 2},
  [3979] = {.lex_state = 409, .external_lex_state = 2},
  [3980] = {.lex_state = 133, .external_lex_state = 2},
  [3981] = {.lex_state = 409, .external_lex_state = 2},
  [3982] = {.lex_state = 406, .external_lex_state = 2},
  [3983] = {.lex_state = 133, .external_lex_state = 2},
  [3984] = {.lex_state = 133, .external_lex_state = 2},
  [3985] = {.lex_state = 409, .external_lex_state = 2},
  [3986] = {.lex_state = 409, .external_lex_state = 2},
  [3987] = {.lex_state = 133, .external_lex_state = 2},
  [3988] = {.lex_state = 409, .external_lex_state = 2},
  [3989] = {.lex_state = 409, .external_lex_state = 2},
  [3990] = {.lex_state = 409, .external_lex_state = 2},
  [3991] = {.lex_state = 409, .external_lex_state = 2},
  [3992] = {.lex_state = 409, .external_lex_state = 2},
  [3993] = {.lex_state = 409, .external_lex_state = 2},
  [3994] = {.lex_state = 406, .external_lex_state = 2},
  [3995] = {.lex_state = 409, .external_lex_state = 2},
  [3996] = {.lex_state = 409, .external_lex_state = 2},
  [3997] = {.lex_state = 133, .external_lex_state = 2},
  [3998] = {.lex_state = 409, .external_lex_state = 2},
  [3999] = {.lex_state = 133, .external_lex_state = 2},
  [4000] = {.lex_state = 409, .external_lex_state = 2},
  [4001] = {.lex_state = 133, .external_lex_state = 2},
  [4002] = {.lex_state = 409, .external_lex_state = 2},
  [4003] = {.lex_state = 409, .external_lex_state = 2},
  [4004] = {.lex_state = 409, .external_lex_state = 2},
  [4005] = {.lex_state = 133, .external_lex_state = 2},
  [4006] = {.lex_state = 409, .external_lex_state = 2},
  [4007] = {.lex_state = 409, .external_lex_state = 2},
  [4008] = {.lex_state = 409, .external_lex_state = 2},
  [4009] = {.lex_state = 59, .external_lex_state = 2},
  [4010] = {.lex_state = 409, .external_lex_state = 2},
  [4011] = {.lex_state = 133, .external_lex_state = 2},
  [4012] = {.lex_state = 59, .external_lex_state = 2},
  [4013] = {.lex_state = 409, .external_lex_state = 2},
  [4014] = {.lex_state = 406, .external_lex_state = 2},
  [4015] = {.lex_state = 406, .external_lex_state = 2},
  [4016] = {.lex_state = 59, .external_lex_state = 2},
  [4017] = {.lex_state = 59, .external_lex_state = 2},
  [4018] = {.lex_state = 59, .external_lex_state = 2},
  [4019] = {.lex_state = 409, .external_lex_state = 2},
  [4020] = {.lex_state = 409, .external_lex_state = 2},
  [4021] = {.lex_state = 59, .external_lex_state = 2},
  [4022] = {.lex_state = 409, .external_lex_state = 2},
  [4023] = {.lex_state = 409, .external_lex_state = 2},
  [4024] = {.lex_state = 409, .external_lex_state = 2},
  [4025] = {.lex_state = 409, .external_lex_state = 2},
  [4026] = {.lex_state = 409, .external_lex_state = 2},
  [4027] = {.lex_state = 409, .external_lex_state = 2},
  [4028] = {.lex_state = 406, .external_lex_state = 2},
  [4029] = {.lex_state = 409, .external_lex_state = 2},
  [4030] = {.lex_state = 409, .external_lex_state = 2},
  [4031] = {.lex_state = 409, .external_lex_state = 2},
  [4032] = {.lex_state = 409, .external_lex_state = 2},
  [4033] = {.lex_state = 409, .external_lex_state = 2},
  [4034] = {.lex_state = 409, .external_lex_state = 2},
  [4035] = {.lex_state = 133, .external_lex_state = 2},
  [4036] = {.lex_state = 409, .external_lex_state = 2},
  [4037] = {.lex_state = 409, .external_lex_state = 2},
  [4038] = {.lex_state = 406, .external_lex_state = 2},
  [4039] = {.lex_state = 59, .external_lex_state = 2},
  [4040] = {.lex_state = 409, .external_lex_state = 2},
  [4041] = {.lex_state = 406, .external_lex_state = 2},
  [4042] = {.lex_state = 59, .external_lex_state = 2},
  [4043] = {.lex_state = 406, .external_lex_state = 2},
  [4044] = {.lex_state = 59, .external_lex_state = 2},
  [4045] = {.lex_state = 409, .external_lex_state = 2},
  [4046] = {.lex_state = 133, .external_lex_state = 2},
  [4047] = {.lex_state = 409, .external_lex_state = 2},
  [4048] = {.lex_state = 406, .external_lex_state = 2},
  [4049] = {.lex_state = 59, .external_lex_state = 2},
  [4050] = {.lex_state = 409, .external_lex_state = 2},
  [4051] = {.lex_state = 409, .external_lex_state = 2},
  [4052] = {.lex_state = 133, .external_lex_state = 2},
  [4053] = {.lex_state = 59, .external_lex_state = 2},
  [4054] = {.lex_state = 59, .external_lex_state = 2},
  [4055] = {.lex_state = 409, .external_lex_state = 2},
  [4056] = {.lex_state = 60, .external_lex_state = 2},
  [4057] = {.lex_state = 133, .external_lex_state = 2},
  [4058] = {.lex_state = 409, .external_lex_state = 2},
  [4059] = {.lex_state = 409, .external_lex_state = 2},
  [4060] = {.lex_state = 59, .external_lex_state = 2},
  [4061] = {.lex_state = 59, .external_lex_state = 2},
  [4062] = {.lex_state = 406, .external_lex_state = 2},
  [4063] = {.lex_state = 409, .external_lex_state = 2},
  [4064] = {.lex_state = 133, .external_lex_state = 2},
  [4065] = {.lex_state = 133, .external_lex_state = 2},
  [4066] = {.lex_state = 409, .external_lex_state = 2},
  [4067] = {.lex_state = 59, .external_lex_state = 2},
  [4068] = {.lex_state = 409, .external_lex_state = 2},
  [4069] = {.lex_state = 409, .external_lex_state = 2},
  [4070] = {.lex_state = 409, .external_lex_state = 2},
  [4071] = {.lex_state = 409, .external_lex_state = 2},
  [4072] = {.lex_state = 133, .external_lex_state = 2},
  [4073] = {.lex_state = 59, .external_lex_state = 2},
  [4074] = {.lex_state = 133, .external_lex_state = 2},
  [4075] = {.lex_state = 59, .external_lex_state = 2},
  [4076] = {.lex_state = 60, .external_lex_state = 2},
  [4077] = {.lex_state = 133, .external_lex_state = 2},
  [4078] = {.lex_state = 59, .external_lex_state = 2},
  [4079] = {.lex_state = 409, .external_lex_state = 2},
  [4080] = {.lex_state = 133, .external_lex_state = 2},
  [4081] = {.lex_state = 6, .external_lex_state = 2},
  [4082] = {.lex_state = 133, .external_lex_state = 2},
  [4083] = {.lex_state = 59, .external_lex_state = 2},
  [4084] = {.lex_state = 59, .external_lex_state = 2},
  [4085] = {.lex_state = 133, .external_lex_state = 2},
  [4086] = {.lex_state = 60, .external_lex_state = 2},
  [4087] = {.lex_state = 133, .external_lex_state = 2},
  [4088] = {.lex_state = 133, .external_lex_state = 2},
  [4089] = {.lex_state = 60, .external_lex_state = 2},
  [4090] = {.lex_state = 409, .external_lex_state = 2},
  [4091] = {.lex_state = 60, .external_lex_state = 2},
  [4092] = {.lex_state = 409, .external_lex_state = 2},
  [4093] = {.lex_state = 409, .external_lex_state = 2},
  [4094] = {.lex_state = 133, .external_lex_state = 2},
  [4095] = {.lex_state = 133, .external_lex_state = 2},
  [4096] = {.lex_state = 409, .external_lex_state = 2},
  [4097] = {.lex_state = 133, .external_lex_state = 2},
  [4098] = {.lex_state = 409, .external_lex_state = 2},
  [4099] = {.lex_state = 133, .external_lex_state = 2},
  [4100] = {.lex_state = 133, .external_lex_state = 2},
  [4101] = {.lex_state = 133, .external_lex_state = 2},
  [4102] = {.lex_state = 133, .external_lex_state = 2},
  [4103] = {.lex_state = 133, .external_lex_state = 2},
  [4104] = {.lex_state = 133, .external_lex_state = 2},
  [4105] = {.lex_state = 133, .external_lex_state = 2},
  [4106] = {.lex_state = 409, .external_lex_state = 2},
  [4107] = {.lex_state = 409, .external_lex_state = 2},
  [4108] = {.lex_state = 133, .external_lex_state = 2},
  [4109] = {.lex_state = 133, .external_lex_state = 2},
  [4110] = {.lex_state = 133, .external_lex_state = 2},
  [4111] = {.lex_state = 133, .external_lex_state = 2},
  [4112] = {.lex_state = 409, .external_lex_state = 2},
  [4113] = {.lex_state = 133, .external_lex_state = 2},
  [4114] = {.lex_state = 133, .external_lex_state = 2},
  [4115] = {.lex_state = 409, .external_lex_state = 2},
  [4116] = {.lex_state = 409, .external_lex_state = 2},
  [4117] = {.lex_state = 409, .external_lex_state = 2},
  [4118] = {.lex_state = 409, .external_lex_state = 2},
  [4119] = {.lex_state = 133, .external_lex_state = 2},
  [4120] = {.lex_state = 409, .external_lex_state = 2},
  [4121] = {.lex_state = 409, .external_lex_state = 2},
  [4122] = {.lex_state = 409, .external_lex_state = 2},
  [4123] = {.lex_state = 409, .external_lex_state = 2},
  [4124] = {.lex_state = 409, .external_lex_state = 2},
  [4125] = {.lex_state = 409, .external_lex_state = 2},
  [4126] = {.lex_state = 406, .external_lex_state = 2},
  [4127] = {.lex_state = 409, .external_lex_state = 2},
  [4128] = {.lex_state = 409, .external_lex_state = 2},
  [4129] = {.lex_state = 409, .external_lex_state = 2},
  [4130] = {.lex_state = 409, .external_lex_state = 2},
  [4131] = {.lex_state = 409, .external_lex_state = 2},
  [4132] = {.lex_state = 409, .external_lex_state = 2},
  [4133] = {.lex_state = 409, .external_lex_state = 2},
  [4134] = {.lex_state = 133, .external_lex_state = 2},
  [4135] = {.lex_state = 409, .external_lex_state = 2},
  [4136] = {.lex_state = 133, .external_lex_state = 2},
  [4137] = {.lex_state = 409, .external_lex_state = 2},
  [4138] = {.lex_state = 409, .external_lex_state = 2},
  [4139] = {.lex_state = 60, .external_lex_state = 2},
  [4140] = {.lex_state = 135, .external_lex_state = 2},
  [4141] = {.lex_state = 409, .external_lex_state = 2},
  [4142] = {.lex_state = 409, .external_lex_state = 2},
  [4143] = {.lex_state = 409, .external_lex_state = 2},
  [4144] = {.lex_state = 409, .external_lex_state = 2},
  [4145] = {.lex_state = 409, .external_lex_state = 2},
  [4146] = {.lex_state = 409, .external_lex_state = 2},
  [4147] = {.lex_state = 409, .external_lex_state = 2},
  [4148] = {.lex_state = 409, .external_lex_state = 2},
  [4149] = {.lex_state = 409, .external_lex_state = 2},
  [4150] = {.lex_state = 59, .external_lex_state = 2},
  [4151] = {.lex_state = 59, .external_lex_state = 2},
  [4152] = {.lex_state = 409, .external_lex_state = 2},
  [4153] = {.lex_state = 133, .external_lex_state = 2},
  [4154] = {.lex_state = 59, .external_lex_state = 2},
  [4155] = {.lex_state = 59, .external_lex_state = 2},
  [4156] = {.lex_state = 409, .external_lex_state = 2},
  [4157] = {.lex_state = 60, .external_lex_state = 2},
  [4158] = {.lex_state = 133, .external_lex_state = 2},
  [4159] = {.lex_state = 133, .external_lex_state = 2},
  [4160] = {.lex_state = 409, .external_lex_state = 2},
  [4161] = {.lex_state = 60, .external_lex_state = 2},
  [4162] = {.lex_state = 133, .external_lex_state = 2},
  [4163] = {.lex_state = 409, .external_lex_state = 2},
  [4164] = {.lex_state = 133, .external_lex_state = 2},
  [4165] = {.lex_state = 409, .external_lex_state = 2},
  [4166] = {.lex_state = 133, .external_lex_state = 2},
  [4167] = {.lex_state = 133, .external_lex_state = 2},
  [4168] = {.lex_state = 133, .external_lex_state = 2},
  [4169] = {.lex_state = 133, .external_lex_state = 2},
  [4170] = {.lex_state = 409, .external_lex_state = 2},
  [4171] = {.lex_state = 409, .external_lex_state = 2},
  [4172] = {.lex_state = 409, .external_lex_state = 2},
  [4173] = {.lex_state = 133, .external_lex_state = 2},
  [4174] = {.lex_state = 133, .external_lex_state = 2},
  [4175] = {.lex_state = 133, .external_lex_state = 2},
  [4176] = {.lex_state = 133, .external_lex_state = 2},
  [4177] = {.lex_state = 60, .external_lex_state = 2},
  [4178] = {.lex_state = 60, .external_lex_state = 2},
  [4179] = {.lex_state = 133, .external_lex_state = 2},
  [4180] = {.lex_state = 135, .external_lex_state = 2},
  [4181] = {.lex_state = 60, .external_lex_state = 2},
  [4182] = {.lex_state = 133, .external_lex_state = 2},
  [4183] = {.lex_state = 406, .external_lex_state = 2},
  [4184] = {.lex_state = 133, .external_lex_state = 2},
  [4185] = {.lex_state = 6, .external_lex_state = 2},
  [4186] = {.lex_state = 133, .external_lex_state = 2},
  [4187] = {.lex_state = 133, .external_lex_state = 2},
  [4188] = {.lex_state = 60, .external_lex_state = 2},
  [4189] = {.lex_state = 60, .external_lex_state = 2},
  [4190] = {.lex_state = 60, .external_lex_state = 2},
  [4191] = {.lex_state = 406, .external_lex_state = 2},
  [4192] = {.lex_state = 135, .external_lex_state = 2},
  [4193] = {.lex_state = 406, .external_lex_state = 2},
  [4194] = {.lex_state = 133, .external_lex_state = 2},
  [4195] = {.lex_state = 133, .external_lex_state = 2},
  [4196] = {.lex_state = 406, .external_lex_state = 2},
  [4197] = {.lex_state = 133, .external_lex_state = 2},
  [4198] = {.lex_state = 133, .external_lex_state = 2},
  [4199] = {.lex_state = 406, .external_lex_state = 2},
  [4200] = {.lex_state = 133, .external_lex_state = 2},
  [4201] = {.lex_state = 133, .external_lex_state = 2},
  [4202] = {.lex_state = 133, .external_lex_state = 2},
  [4203] = {.lex_state = 133, .external_lex_state = 2},
  [4204] = {.lex_state = 133, .external_lex_state = 2},
  [4205] = {.lex_state = 406, .external_lex_state = 2},
  [4206] = {.lex_state = 133, .external_lex_state = 2},
  [4207] = {.lex_state = 60, .external_lex_state = 2},
  [4208] = {.lex_state = 133, .external_lex_state = 2},
  [4209] = {.lex_state = 60, .external_lex_state = 2},
  [4210] = {.lex_state = 133, .external_lex_state = 2},
  [4211] = {.lex_state = 60, .external_lex_state = 2},
  [4212] = {.lex_state = 60, .external_lex_state = 2},
  [4213] = {.lex_state = 61, .external_lex_state = 2},
  [4214] = {.lex_state = 406, .external_lex_state = 2},
  [4215] = {.lex_state = 60, .external_lex_state = 2},
  [4216] = {.lex_state = 61, .external_lex_state = 2},
  [4217] = {.lex_state = 133, .external_lex_state = 2},
  [4218] = {.lex_state = 406, .external_lex_state = 2},
  [4219] = {.lex_state = 135, .external_lex_state = 2},
  [4220] = {.lex_state = 133, .external_lex_state = 2},
  [4221] = {.lex_state = 133, .external_lex_state = 2},
  [4222] = {.lex_state = 406, .external_lex_state = 2},
  [4223] = {.lex_state = 406, .external_lex_state = 2},
  [4224] = {.lex_state = 133, .external_lex_state = 2},
  [4225] = {.lex_state = 133, .external_lex_state = 2},
  [4226] = {.lex_state = 406, .external_lex_state = 2},
  [4227] = {.lex_state = 133, .external_lex_state = 2},
  [4228] = {.lex_state = 135, .external_lex_state = 2},
  [4229] = {.lex_state = 406, .external_lex_state = 2},
  [4230] = {.lex_state = 406, .external_lex_state = 2},
  [4231] = {.lex_state = 406, .external_lex_state = 2},
  [4232] = {.lex_state = 406, .external_lex_state = 2},
  [4233] = {.lex_state = 133, .external_lex_state = 2},
  [4234] = {.lex_state = 406, .external_lex_state = 2},
  [4235] = {.lex_state = 133, .external_lex_state = 2},
  [4236] = {.lex_state = 133, .external_lex_state = 2},
  [4237] = {.lex_state = 133, .external_lex_state = 2},
  [4238] = {.lex_state = 406, .external_lex_state = 2},
  [4239] = {.lex_state = 406, .external_lex_state = 2},
  [4240] = {.lex_state = 406, .external_lex_state = 2},
  [4241] = {.lex_state = 407, .external_lex_state = 2},
  [4242] = {.lex_state = 61, .external_lex_state = 2},
  [4243] = {.lex_state = 135, .external_lex_state = 2},
  [4244] = {.lex_state = 61, .external_lex_state = 2},
  [4245] = {.lex_state = 61, .external_lex_state = 2},
  [4246] = {.lex_state = 133, .external_lex_state = 2},
  [4247] = {.lex_state = 406, .external_lex_state = 2},
  [4248] = {.lex_state = 407, .external_lex_state = 2},
  [4249] = {.lex_state = 406, .external_lex_state = 2},
  [4250] = {.lex_state = 406, .external_lex_state = 2},
  [4251] = {.lex_state = 407, .external_lex_state = 2},
  [4252] = {.lex_state = 407, .external_lex_state = 2},
  [4253] = {.lex_state = 61, .external_lex_state = 2},
  [4254] = {.lex_state = 61, .external_lex_state = 2},
  [4255] = {.lex_state = 407, .external_lex_state = 2},
  [4256] = {.lex_state = 407, .external_lex_state = 2},
  [4257] = {.lex_state = 407, .external_lex_state = 2},
  [4258] = {.lex_state = 133, .external_lex_state = 2},
  [4259] = {.lex_state = 61, .external_lex_state = 2},
  [4260] = {.lex_state = 406, .external_lex_state = 2},
  [4261] = {.lex_state = 133, .external_lex_state = 2},
  [4262] = {.lex_state = 133, .external_lex_state = 2},
  [4263] = {.lex_state = 407, .external_lex_state = 2},
  [4264] = {.lex_state = 407, .external_lex_state = 2},
  [4265] = {.lex_state = 133, .external_lex_state = 2},
  [4266] = {.lex_state = 406, .external_lex_state = 2},
  [4267] = {.lex_state = 133, .external_lex_state = 2},
  [4268] = {.lex_state = 133, .external_lex_state = 2},
  [4269] = {.lex_state = 406, .external_lex_state = 2},
  [4270] = {.lex_state = 133, .external_lex_state = 2},
  [4271] = {.lex_state = 133, .external_lex_state = 2},
  [4272] = {.lex_state = 406, .external_lex_state = 2},
  [4273] = {.lex_state = 135, .external_lex_state = 2},
  [4274] = {.lex_state = 406, .external_lex_state = 2},
  [4275] = {.lex_state = 133, .external_lex_state = 2},
  [4276] = {.lex_state = 406, .external_lex_state = 2},
  [4277] = {.lex_state = 406, .external_lex_state = 2},
  [4278] = {.lex_state = 406, .external_lex_state = 2},
  [4279] = {.lex_state = 406, .external_lex_state = 2},
  [4280] = {.lex_state = 133, .external_lex_state = 2},
  [4281] = {.lex_state = 406, .external_lex_state = 2},
  [4282] = {.lex_state = 406, .external_lex_state = 2},
  [4283] = {.lex_state = 406, .external_lex_state = 2},
  [4284] = {.lex_state = 406, .external_lex_state = 2},
  [4285] = {.lex_state = 406, .external_lex_state = 2},
  [4286] = {.lex_state = 406, .external_lex_state = 2},
  [4287] = {.lex_state = 406, .external_lex_state = 2},
  [4288] = {.lex_state = 406, .external_lex_state = 2},
  [4289] = {.lex_state = 406, .external_lex_state = 2},
  [4290] = {.lex_state = 406, .external_lex_state = 2},
  [4291] = {.lex_state = 406, .external_lex_state = 2},
  [4292] = {.lex_state = 406, .external_lex_state = 2},
  [4293] = {.lex_state = 406, .external_lex_state = 2},
  [4294] = {.lex_state = 406, .external_lex_state = 2},
  [4295] = {.lex_state = 406, .external_lex_state = 2},
  [4296] = {.lex_state = 406, .external_lex_state = 2},
  [4297] = {.lex_state = 406, .external_lex_state = 2},
  [4298] = {.lex_state = 406, .external_lex_state = 2},
  [4299] = {.lex_state = 406, .external_lex_state = 2},
  [4300] = {.lex_state = 406, .external_lex_state = 2},
  [4301] = {.lex_state = 406, .external_lex_state = 2},
  [4302] = {.lex_state = 406, .external_lex_state = 2},
  [4303] = {.lex_state = 406, .external_lex_state = 2},
  [4304] = {.lex_state = 406, .external_lex_state = 2},
  [4305] = {.lex_state = 406, .external_lex_state = 2},
  [4306] = {.lex_state = 406, .external_lex_state = 2},
  [4307] = {.lex_state = 406, .external_lex_state = 2},
  [4308] = {.lex_state = 406, .external_lex_state = 2},
  [4309] = {.lex_state = 406, .external_lex_state = 2},
  [4310] = {.lex_state = 133, .external_lex_state = 2},
  [4311] = {.lex_state = 133, .external_lex_state = 2},
  [4312] = {.lex_state = 61, .external_lex_state = 2},
  [4313] = {.lex_state = 406, .external_lex_state = 2},
  [4314] = {.lex_state = 407, .external_lex_state = 2},
  [4315] = {.lex_state = 406, .external_lex_state = 2},
  [4316] = {.lex_state = 406, .external_lex_state = 2},
  [4317] = {.lex_state = 406, .external_lex_state = 2},
  [4318] = {.lex_state = 407, .external_lex_state = 2},
  [4319] = {.lex_state = 406, .external_lex_state = 2},
  [4320] = {.lex_state = 406, .external_lex_state = 2},
  [4321] = {.lex_state = 406, .external_lex_state = 2},
  [4322] = {.lex_state = 406, .external_lex_state = 2},
  [4323] = {.lex_state = 406, .external_lex_state = 2},
  [4324] = {.lex_state = 406, .external_lex_state = 2},
  [4325] = {.lex_state = 60, .external_lex_state = 2},
  [4326] = {.lex_state = 61, .external_lex_state = 2},
  [4327] = {.lex_state = 133, .external_lex_state = 2},
  [4328] = {.lex_state = 61, .external_lex_state = 2},
  [4329] = {.lex_state = 60, .external_lex_state = 2},
  [4330] = {.lex_state = 60, .external_lex_state = 2},
  [4331] = {.lex_state = 406, .external_lex_state = 2},
  [4332] = {.lex_state = 133, .external_lex_state = 2},
  [4333] = {.lex_state = 60, .external_lex_state = 2},
  [4334] = {.lex_state = 133, .external_lex_state = 2},
  [4335] = {.lex_state = 60, .external_lex_state = 2},
  [4336] = {.lex_state = 60, .external_lex_state = 2},
  [4337] = {.lex_state = 60, .external_lex_state = 2},
  [4338] = {.lex_state = 60, .external_lex_state = 2},
  [4339] = {.lex_state = 60, .external_lex_state = 2},
  [4340] = {.lex_state = 60, .external_lex_state = 2},
  [4341] = {.lex_state = 60, .external_lex_state = 2},
  [4342] = {.lex_state = 406, .external_lex_state = 2},
  [4343] = {.lex_state = 133, .external_lex_state = 2},
  [4344] = {.lex_state = 60, .external_lex_state = 2},
  [4345] = {.lex_state = 60, .external_lex_state = 2},
  [4346] = {.lex_state = 133, .external_lex_state = 2},
  [4347] = {.lex_state = 60, .external_lex_state = 2},
  [4348] = {.lex_state = 60, .external_lex_state = 2},
  [4349] = {.lex_state = 133, .external_lex_state = 2},
  [4350] = {.lex_state = 60, .external_lex_state = 2},
  [4351] = {.lex_state = 60, .external_lex_state = 2},
  [4352] = {.lex_state = 60, .external_lex_state = 2},
  [4353] = {.lex_state = 406, .external_lex_state = 2},
  [4354] = {.lex_state = 406, .external_lex_state = 2},
  [4355] = {.lex_state = 406, .external_lex_state = 2},
  [4356] = {.lex_state = 406, .external_lex_state = 2},
  [4357] = {.lex_state = 406, .external_lex_state = 2},
  [4358] = {.lex_state = 60, .external_lex_state = 2},
  [4359] = {.lex_state = 60, .external_lex_state = 2},
  [4360] = {.lex_state = 60, .external_lex_state = 2},
  [4361] = {.lex_state = 406, .external_lex_state = 2},
  [4362] = {.lex_state = 406, .external_lex_state = 2},
  [4363] = {.lex_state = 60, .external_lex_state = 2},
  [4364] = {.lex_state = 60, .external_lex_state = 2},
  [4365] = {.lex_state = 406, .external_lex_state = 2},
  [4366] = {.lex_state = 60, .external_lex_state = 2},
  [4367] = {.lex_state = 60, .external_lex_state = 2},
  [4368] = {.lex_state = 60, .external_lex_state = 2},
  [4369] = {.lex_state = 60, .external_lex_state = 2},
  [4370] = {.lex_state = 406, .external_lex_state = 2},
  [4371] = {.lex_state = 60, .external_lex_state = 2},
  [4372] = {.lex_state = 60, .external_lex_state = 2},
  [4373] = {.lex_state = 60, .external_lex_state = 2},
  [4374] = {.lex_state = 406, .external_lex_state = 2},
  [4375] = {.lex_state = 406, .external_lex_state = 2},
  [4376] = {.lex_state = 406, .external_lex_state = 2},
  [4377] = {.lex_state = 406, .external_lex_state = 2},
  [4378] = {.lex_state = 406, .external_lex_state = 2},
  [4379] = {.lex_state = 406, .external_lex_state = 2},
  [4380] = {.lex_state = 406, .external_lex_state = 2},
  [4381] = {.lex_state = 60, .external_lex_state = 2},
  [4382] = {.lex_state = 60, .external_lex_state = 2},
  [4383] = {.lex_state = 406, .external_lex_state = 2},
  [4384] = {.lex_state = 133, .external_lex_state = 2},
  [4385] = {.lex_state = 406, .external_lex_state = 2},
  [4386] = {.lex_state = 60, .external_lex_state = 2},
  [4387] = {.lex_state = 406, .external_lex_state = 2},
  [4388] = {.lex_state = 60, .external_lex_state = 2},
  [4389] = {.lex_state = 406, .external_lex_state = 2},
  [4390] = {.lex_state = 60, .external_lex_state = 2},
  [4391] = {.lex_state = 60, .external_lex_state = 2},
  [4392] = {.lex_state = 406, .external_lex_state = 2},
  [4393] = {.lex_state = 406, .external_lex_state = 2},
  [4394] = {.lex_state = 406, .external_lex_state = 2},
  [4395] = {.lex_state = 406, .external_lex_state = 2},
  [4396] = {.lex_state = 406, .external_lex_state = 2},
  [4397] = {.lex_state = 60, .external_lex_state = 2},
  [4398] = {.lex_state = 407, .external_lex_state = 2},
  [4399] = {.lex_state = 60, .external_lex_state = 2},
  [4400] = {.lex_state = 60, .external_lex_state = 2},
  [4401] = {.lex_state = 406, .external_lex_state = 2},
  [4402] = {.lex_state = 407, .external_lex_state = 2},
  [4403] = {.lex_state = 60, .external_lex_state = 2},
  [4404] = {.lex_state = 133, .external_lex_state = 2},
  [4405] = {.lex_state = 60, .external_lex_state = 2},
  [4406] = {.lex_state = 406, .external_lex_state = 2},
  [4407] = {.lex_state = 60, .external_lex_state = 2},
  [4408] = {.lex_state = 60, .external_lex_state = 2},
  [4409] = {.lex_state = 60, .external_lex_state = 2},
  [4410] = {.lex_state = 406, .external_lex_state = 2},
  [4411] = {.lex_state = 406, .external_lex_state = 2},
  [4412] = {.lex_state = 60, .external_lex_state = 2},
  [4413] = {.lex_state = 60, .external_lex_state = 2},
  [4414] = {.lex_state = 133, .external_lex_state = 2},
  [4415] = {.lex_state = 406, .external_lex_state = 2},
  [4416] = {.lex_state = 406, .external_lex_state = 2},
  [4417] = {.lex_state = 406, .external_lex_state = 2},
  [4418] = {.lex_state = 406, .external_lex_state = 2},
  [4419] = {.lex_state = 406, .external_lex_state = 2},
  [4420] = {.lex_state = 133, .external_lex_state = 2},
  [4421] = {.lex_state = 406, .external_lex_state = 2},
  [4422] = {.lex_state = 133, .external_lex_state = 2},
  [4423] = {.lex_state = 406, .external_lex_state = 2},
  [4424] = {.lex_state = 406, .external_lex_state = 2},
  [4425] = {.lex_state = 406, .external_lex_state = 2},
  [4426] = {.lex_state = 406, .external_lex_state = 2},
  [4427] = {.lex_state = 60, .external_lex_state = 2},
  [4428] = {.lex_state = 133, .external_lex_state = 2},
  [4429] = {.lex_state = 60, .external_lex_state = 2},
  [4430] = {.lex_state = 133, .external_lex_state = 2},
  [4431] = {.lex_state = 407, .external_lex_state = 2},
  [4432] = {.lex_state = 407, .external_lex_state = 2},
  [4433] = {.lex_state = 407, .external_lex_state = 2},
  [4434] = {.lex_state = 407, .external_lex_state = 2},
  [4435] = {.lex_state = 407, .external_lex_state = 2},
  [4436] = {.lex_state = 407, .external_lex_state = 2},
  [4437] = {.lex_state = 60, .external_lex_state = 2},
  [4438] = {.lex_state = 407, .external_lex_state = 2},
  [4439] = {.lex_state = 406, .external_lex_state = 2},
  [4440] = {.lex_state = 406, .external_lex_state = 2},
  [4441] = {.lex_state = 411, .external_lex_state = 2},
  [4442] = {.lex_state = 15, .external_lex_state = 2},
  [4443] = {.lex_state = 407, .external_lex_state = 2},
  [4444] = {.lex_state = 407, .external_lex_state = 2},
  [4445] = {.lex_state = 407, .external_lex_state = 2},
  [4446] = {.lex_state = 15, .external_lex_state = 2},
  [4447] = {.lex_state = 407, .external_lex_state = 2},
  [4448] = {.lex_state = 407, .external_lex_state = 2},
  [4449] = {.lex_state = 407, .external_lex_state = 2},
  [4450] = {.lex_state = 15, .external_lex_state = 2},
  [4451] = {.lex_state = 407, .external_lex_state = 2},
  [4452] = {.lex_state = 407, .external_lex_state = 2},
  [4453] = {.lex_state = 411, .external_lex_state = 2},
  [4454] = {.lex_state = 15, .external_lex_state = 2},
  [4455] = {.lex_state = 407, .external_lex_state = 2},
  [4456] = {.lex_state = 15, .external_lex_state = 2},
  [4457] = {.lex_state = 411, .external_lex_state = 2},
  [4458] = {.lex_state = 407, .external_lex_state = 2},
  [4459] = {.lex_state = 407, .external_lex_state = 2},
  [4460] = {.lex_state = 407, .external_lex_state = 2},
  [4461] = {.lex_state = 407, .external_lex_state = 2},
  [4462] = {.lex_state = 402, .external_lex_state = 2},
  [4463] = {.lex_state = 407, .external_lex_state = 2},
  [4464] = {.lex_state = 407, .external_lex_state = 2},
  [4465] = {.lex_state = 407, .external_lex_state = 2},
  [4466] = {.lex_state = 407, .external_lex_state = 2},
  [4467] = {.lex_state = 407, .external_lex_state = 2},
  [4468] = {.lex_state = 407, .external_lex_state = 2},
  [4469] = {.lex_state = 61, .external_lex_state = 2},
  [4470] = {.lex_state = 407, .external_lex_state = 2},
  [4471] = {.lex_state = 407, .external_lex_state = 2},
  [4472] = {.lex_state = 61, .external_lex_state = 2},
  [4473] = {.lex_state = 407, .external_lex_state = 2},
  [4474] = {.lex_state = 62, .external_lex_state = 2},
  [4475] = {.lex_state = 407, .external_lex_state = 2},
  [4476] = {.lex_state = 407, .external_lex_state = 2},
  [4477] = {.lex_state = 407, .external_lex_state = 2},
  [4478] = {.lex_state = 407, .external_lex_state = 2},
  [4479] = {.lex_state = 407, .external_lex_state = 2},
  [4480] = {.lex_state = 61, .external_lex_state = 2},
  [4481] = {.lex_state = 407, .external_lex_state = 2},
  [4482] = {.lex_state = 407, .external_lex_state = 2},
  [4483] = {.lex_state = 407, .external_lex_state = 2},
  [4484] = {.lex_state = 407, .external_lex_state = 2},
  [4485] = {.lex_state = 407, .external_lex_state = 2},
  [4486] = {.lex_state = 407, .external_lex_state = 2},
  [4487] = {.lex_state = 61, .external_lex_state = 2},
  [4488] = {.lex_state = 407, .external_lex_state = 2},
  [4489] = {.lex_state = 61, .external_lex_state = 2},
  [4490] = {.lex_state = 61, .external_lex_state = 2},
  [4491] = {.lex_state = 62, .external_lex_state = 2},
  [4492] = {.lex_state = 407, .external_lex_state = 2},
  [4493] = {.lex_state = 15, .external_lex_state = 2},
  [4494] = {.lex_state = 15, .external_lex_state = 2},
  [4495] = {.lex_state = 15, .external_lex_state = 2},
  [4496] = {.lex_state = 61, .external_lex_state = 2},
  [4497] = {.lex_state = 407, .external_lex_state = 2},
  [4498] = {.lex_state = 61, .external_lex_state = 2},
  [4499] = {.lex_state = 15, .external_lex_state = 2},
  [4500] = {.lex_state = 15, .external_lex_state = 2},
  [4501] = {.lex_state = 407, .external_lex_state = 2},
  [4502] = {.lex_state = 61, .external_lex_state = 2},
  [4503] = {.lex_state = 61, .external_lex_state = 2},
  [4504] = {.lex_state = 61, .external_lex_state = 2},
  [4505] = {.lex_state = 61, .external_lex_state = 2},
  [4506] = {.lex_state = 61, .external_lex_state = 2},
  [4507] = {.lex_state = 15, .external_lex_state = 2},
  [4508] = {.lex_state = 407, .external_lex_state = 2},
  [4509] = {.lex_state = 407, .external_lex_state = 2},
  [4510] = {.lex_state = 61, .external_lex_state = 2},
  [4511] = {.lex_state = 407, .external_lex_state = 2},
  [4512] = {.lex_state = 407, .external_lex_state = 2},
  [4513] = {.lex_state = 407, .external_lex_state = 2},
  [4514] = {.lex_state = 15, .external_lex_state = 2},
  [4515] = {.lex_state = 407, .external_lex_state = 2},
  [4516] = {.lex_state = 62, .external_lex_state = 2},
  [4517] = {.lex_state = 62, .external_lex_state = 2},
  [4518] = {.lex_state = 62, .external_lex_state = 2},
  [4519] = {.lex_state = 15, .external_lex_state = 2},
  [4520] = {.lex_state = 61, .external_lex_state = 2},
  [4521] = {.lex_state = 61, .external_lex_state = 2},
  [4522] = {.lex_state = 61, .external_lex_state = 2},
  [4523] = {.lex_state = 15, .external_lex_state = 2},
  [4524] = {.lex_state = 62, .external_lex_state = 2},
  [4525] = {.lex_state = 62, .external_lex_state = 2},
  [4526] = {.lex_state = 62, .external_lex_state = 2},
  [4527] = {.lex_state = 15, .external_lex_state = 2},
  [4528] = {.lex_state = 407, .external_lex_state = 2},
  [4529] = {.lex_state = 407, .external_lex_state = 2},
  [4530] = {.lex_state = 61, .external_lex_state = 2},
  [4531] = {.lex_state = 15, .external_lex_state = 2},
  [4532] = {.lex_state = 15, .external_lex_state = 2},
  [4533] = {.lex_state = 407, .external_lex_state = 2},
  [4534] = {.lex_state = 407, .external_lex_state = 2},
  [4535] = {.lex_state = 61, .external_lex_state = 2},
  [4536] = {.lex_state = 411, .external_lex_state = 2},
  [4537] = {.lex_state = 407, .external_lex_state = 2},
  [4538] = {.lex_state = 407, .external_lex_state = 2},
  [4539] = {.lex_state = 15, .external_lex_state = 2},
  [4540] = {.lex_state = 407, .external_lex_state = 2},
  [4541] = {.lex_state = 407, .external_lex_state = 2},
  [4542] = {.lex_state = 61, .external_lex_state = 2},
  [4543] = {.lex_state = 407, .external_lex_state = 2},
  [4544] = {.lex_state = 61, .external_lex_state = 2},
  [4545] = {.lex_state = 61, .external_lex_state = 2},
  [4546] = {.lex_state = 61, .external_lex_state = 2},
  [4547] = {.lex_state = 15, .external_lex_state = 2},
  [4548] = {.lex_state = 15, .external_lex_state = 2},
  [4549] = {.lex_state = 15, .external_lex_state = 2},
  [4550] = {.lex_state = 62, .external_lex_state = 2},
  [4551] = {.lex_state = 15, .external_lex_state = 2},
  [4552] = {.lex_state = 407, .external_lex_state = 2},
  [4553] = {.lex_state = 407, .external_lex_state = 2},
  [4554] = {.lex_state = 15, .external_lex_state = 2},
  [4555] = {.lex_state = 407, .external_lex_state = 2},
  [4556] = {.lex_state = 15, .external_lex_state = 2},
  [4557] = {.lex_state = 15, .external_lex_state = 2},
  [4558] = {.lex_state = 15, .external_lex_state = 2},
  [4559] = {.lex_state = 411, .external_lex_state = 2},
  [4560] = {.lex_state = 15, .external_lex_state = 2},
  [4561] = {.lex_state = 15, .external_lex_state = 2},
  [4562] = {.lex_state = 407, .external_lex_state = 2},
  [4563] = {.lex_state = 407, .external_lex_state = 2},
  [4564] = {.lex_state = 15, .external_lex_state = 2},
  [4565] = {.lex_state = 15, .external_lex_state = 2},
  [4566] = {.lex_state = 15, .external_lex_state = 2},
  [4567] = {.lex_state = 15, .external_lex_state = 2},
  [4568] = {.lex_state = 407, .external_lex_state = 2},
  [4569] = {.lex_state = 407, .external_lex_state = 2},
  [4570] = {.lex_state = 407, .external_lex_state = 2},
  [4571] = {.lex_state = 407, .external_lex_state = 2},
  [4572] = {.lex_state = 407, .external_lex_state = 2},
  [4573] = {.lex_state = 407, .external_lex_state = 2},
  [4574] = {.lex_state = 15, .external_lex_state = 2},
  [4575] = {.lex_state = 407, .external_lex_state = 2},
  [4576] = {.lex_state = 407, .external_lex_state = 2},
  [4577] = {.lex_state = 407, .external_lex_state = 2},
  [4578] = {.lex_state = 61, .external_lex_state = 2},
  [4579] = {.lex_state = 407, .external_lex_state = 2},
  [4580] = {.lex_state = 407, .external_lex_state = 2},
  [4581] = {.lex_state = 402, .external_lex_state = 2},
  [4582] = {.lex_state = 407, .external_lex_state = 2},
  [4583] = {.lex_state = 407, .external_lex_state = 2},
  [4584] = {.lex_state = 15, .external_lex_state = 2},
  [4585] = {.lex_state = 15, .external_lex_state = 2},
  [4586] = {.lex_state = 407, .external_lex_state = 2},
  [4587] = {.lex_state = 407, .external_lex_state = 2},
  [4588] = {.lex_state = 15, .external_lex_state = 2},
  [4589] = {.lex_state = 15, .external_lex_state = 2},
  [4590] = {.lex_state = 407, .external_lex_state = 2},
  [4591] = {.lex_state = 411, .external_lex_state = 2},
  [4592] = {.lex_state = 15, .external_lex_state = 2},
  [4593] = {.lex_state = 411, .external_lex_state = 2},
  [4594] = {.lex_state = 15, .external_lex_state = 2},
  [4595] = {.lex_state = 402, .external_lex_state = 2},
  [4596] = {.lex_state = 407, .external_lex_state = 2},
  [4597] = {.lex_state = 15, .external_lex_state = 2},
  [4598] = {.lex_state = 411, .external_lex_state = 2},
  [4599] = {.lex_state = 411, .external_lex_state = 2},
  [4600] = {.lex_state = 407, .external_lex_state = 2},
  [4601] = {.lex_state = 15, .external_lex_state = 2},
  [4602] = {.lex_state = 402, .external_lex_state = 2},
  [4603] = {.lex_state = 15, .external_lex_state = 2},
  [4604] = {.lex_state = 15, .external_lex_state = 2},
  [4605] = {.lex_state = 411, .external_lex_state = 2},
  [4606] = {.lex_state = 407, .external_lex_state = 2},
  [4607] = {.lex_state = 411, .external_lex_state = 2},
  [4608] = {.lex_state = 411, .external_lex_state = 2},
  [4609] = {.lex_state = 61, .external_lex_state = 2},
  [4610] = {.lex_state = 407, .external_lex_state = 2},
  [4611] = {.lex_state = 15, .external_lex_state = 2},
  [4612] = {.lex_state = 15, .external_lex_state = 2},
  [4613] = {.lex_state = 61, .external_lex_state = 2},
  [4614] = {.lex_state = 407, .external_lex_state = 2},
  [4615] = {.lex_state = 15, .external_lex_state = 2},
  [4616] = {.lex_state = 61, .external_lex_state = 2},
  [4617] = {.lex_state = 411, .external_lex_state = 2},
  [4618] = {.lex_state = 411, .external_lex_state = 2},
  [4619] = {.lex_state = 15, .external_lex_state = 2},
  [4620] = {.lex_state = 411, .external_lex_state = 2},
  [4621] = {.lex_state = 61, .external_lex_state = 2},
  [4622] = {.lex_state = 61, .external_lex_state = 2},
  [4623] = {.lex_state = 61, .external_lex_state = 2},
  [4624] = {.lex_state = 61, .external_lex_state = 2},
  [4625] = {.lex_state = 61, .external_lex_state = 2},
  [4626] = {.lex_state = 61, .external_lex_state = 2},
  [4627] = {.lex_state = 411, .external_lex_state = 2},
  [4628] = {.lex_state = 411, .external_lex_state = 2},
  [4629] = {.lex_state = 411, .external_lex_state = 2},
  [4630] = {.lex_state = 15, .external_lex_state = 2},
  [4631] = {.lex_state = 61, .external_lex_state = 2},
  [4632] = {.lex_state = 61, .external_lex_state = 2},
  [4633] = {.lex_state = 61, .external_lex_state = 2},
  [4634] = {.lex_state = 15, .external_lex_state = 2},
  [4635] = {.lex_state = 61, .external_lex_state = 2},
  [4636] = {.lex_state = 61, .external_lex_state = 2},
  [4637] = {.lex_state = 411, .external_lex_state = 2},
  [4638] = {.lex_state = 61, .external_lex_state = 2},
  [4639] = {.lex_state = 62, .external_lex_state = 2},
  [4640] = {.lex_state = 62, .external_lex_state = 2},
  [4641] = {.lex_state = 61, .external_lex_state = 2},
  [4642] = {.lex_state = 15, .external_lex_state = 2},
  [4643] = {.lex_state = 407, .external_lex_state = 2},
  [4644] = {.lex_state = 15, .external_lex_state = 2},
  [4645] = {.lex_state = 61, .external_lex_state = 2},
  [4646] = {.lex_state = 407, .external_lex_state = 2},
  [4647] = {.lex_state = 407, .external_lex_state = 2},
  [4648] = {.lex_state = 407, .external_lex_state = 2},
  [4649] = {.lex_state = 407, .external_lex_state = 2},
  [4650] = {.lex_state = 407, .external_lex_state = 2},
  [4651] = {.lex_state = 15, .external_lex_state = 2},
  [4652] = {.lex_state = 411, .external_lex_state = 2},
  [4653] = {.lex_state = 61, .external_lex_state = 2},
  [4654] = {.lex_state = 61, .external_lex_state = 2},
  [4655] = {.lex_state = 61, .external_lex_state = 2},
  [4656] = {.lex_state = 407, .external_lex_state = 2},
  [4657] = {.lex_state = 407, .external_lex_state = 2},
  [4658] = {.lex_state = 407, .external_lex_state = 2},
  [4659] = {.lex_state = 15, .external_lex_state = 2},
  [4660] = {.lex_state = 407, .external_lex_state = 2},
  [4661] = {.lex_state = 407, .external_lex_state = 2},
  [4662] = {.lex_state = 61, .external_lex_state = 2},
  [4663] = {.lex_state = 411, .external_lex_state = 2},
  [4664] = {.lex_state = 61, .external_lex_state = 2},
  [4665] = {.lex_state = 61, .external_lex_state = 2},
  [4666] = {.lex_state = 407, .external_lex_state = 2},
  [4667] = {.lex_state = 61, .external_lex_state = 2},
  [4668] = {.lex_state = 407, .external_lex_state = 2},
  [4669] = {.lex_state = 411, .external_lex_state = 2},
  [4670] = {.lex_state = 407, .external_lex_state = 2},
  [4671] = {.lex_state = 407, .external_lex_state = 2},
  [4672] = {.lex_state = 407, .external_lex_state = 2},
  [4673] = {.lex_state = 407, .external_lex_state = 2},
  [4674] = {.lex_state = 407, .external_lex_state = 2},
  [4675] = {.lex_state = 407, .external_lex_state = 2},
  [4676] = {.lex_state = 48, .external_lex_state = 2},
  [4677] = {.lex_state = 61, .external_lex_state = 2},
  [4678] = {.lex_state = 61, .external_lex_state = 2},
  [4679] = {.lex_state = 407, .external_lex_state = 2},
  [4680] = {.lex_state = 407, .external_lex_state = 2},
  [4681] = {.lex_state = 407, .external_lex_state = 2},
  [4682] = {.lex_state = 407, .external_lex_state = 2},
  [4683] = {.lex_state = 15, .external_lex_state = 2},
  [4684] = {.lex_state = 61, .external_lex_state = 2},
  [4685] = {.lex_state = 15, .external_lex_state = 2},
  [4686] = {.lex_state = 61, .external_lex_state = 2},
  [4687] = {.lex_state = 61, .external_lex_state = 2},
  [4688] = {.lex_state = 407, .external_lex_state = 2},
  [4689] = {.lex_state = 407, .external_lex_state = 2},
  [4690] = {.lex_state = 15, .external_lex_state = 2},
  [4691] = {.lex_state = 61, .external_lex_state = 2},
  [4692] = {.lex_state = 61, .external_lex_state = 2},
  [4693] = {.lex_state = 61, .external_lex_state = 2},
  [4694] = {.lex_state = 407, .external_lex_state = 2},
  [4695] = {.lex_state = 407, .external_lex_state = 2},
  [4696] = {.lex_state = 407, .external_lex_state = 2},
  [4697] = {.lex_state = 407, .external_lex_state = 2},
  [4698] = {.lex_state = 61, .external_lex_state = 2},
  [4699] = {.lex_state = 407, .external_lex_state = 2},
  [4700] = {.lex_state = 407, .external_lex_state = 2},
  [4701] = {.lex_state = 61, .external_lex_state = 2},
  [4702] = {.lex_state = 15, .external_lex_state = 2},
  [4703] = {.lex_state = 61, .external_lex_state = 2},
  [4704] = {.lex_state = 15, .external_lex_state = 2},
  [4705] = {.lex_state = 407, .external_lex_state = 2},
  [4706] = {.lex_state = 61, .external_lex_state = 2},
  [4707] = {.lex_state = 61, .external_lex_state = 2},
  [4708] = {.lex_state = 407, .external_lex_state = 2},
  [4709] = {.lex_state = 61, .external_lex_state = 2},
  [4710] = {.lex_state = 61, .external_lex_state = 2},
  [4711] = {.lex_state = 61, .external_lex_state = 2},
  [4712] = {.lex_state = 407, .external_lex_state = 2},
  [4713] = {.lex_state = 407, .external_lex_state = 2},
  [4714] = {.lex_state = 61, .external_lex_state = 2},
  [4715] = {.lex_state = 61, .external_lex_state = 2},
  [4716] = {.lex_state = 61, .external_lex_state = 2},
  [4717] = {.lex_state = 407, .external_lex_state = 2},
  [4718] = {.lex_state = 15, .external_lex_state = 2},
  [4719] = {.lex_state = 407, .external_lex_state = 2},
  [4720] = {.lex_state = 407, .external_lex_state = 2},
  [4721] = {.lex_state = 407, .external_lex_state = 2},
  [4722] = {.lex_state = 407, .external_lex_state = 2},
  [4723] = {.lex_state = 61, .external_lex_state = 2},
  [4724] = {.lex_state = 407, .external_lex_state = 2},
  [4725] = {.lex_state = 407, .external_lex_state = 2},
  [4726] = {.lex_state = 61, .external_lex_state = 2},
  [4727] = {.lex_state = 407, .external_lex_state = 2},
  [4728] = {.lex_state = 407, .external_lex_state = 2},
  [4729] = {.lex_state = 407, .external_lex_state = 2},
  [4730] = {.lex_state = 407, .external_lex_state = 2},
  [4731] = {.lex_state = 61, .external_lex_state = 2},
  [4732] = {.lex_state = 407, .external_lex_state = 2},
  [4733] = {.lex_state = 61, .external_lex_state = 2},
  [4734] = {.lex_state = 407, .external_lex_state = 2},
  [4735] = {.lex_state = 407, .external_lex_state = 2},
  [4736] = {.lex_state = 407, .external_lex_state = 2},
  [4737] = {.lex_state = 407, .external_lex_state = 2},
  [4738] = {.lex_state = 407, .external_lex_state = 2},
  [4739] = {.lex_state = 407, .external_lex_state = 2},
  [4740] = {.lex_state = 407, .external_lex_state = 2},
  [4741] = {.lex_state = 407, .external_lex_state = 2},
  [4742] = {.lex_state = 61, .external_lex_state = 2},
  [4743] = {.lex_state = 407, .external_lex_state = 2},
  [4744] = {.lex_state = 407, .external_lex_state = 2},
  [4745] = {.lex_state = 407, .external_lex_state = 2},
  [4746] = {.lex_state = 407, .external_lex_state = 2},
  [4747] = {.lex_state = 15, .external_lex_state = 2},
  [4748] = {.lex_state = 407, .external_lex_state = 2},
  [4749] = {.lex_state = 407, .external_lex_state = 2},
  [4750] = {.lex_state = 407, .external_lex_state = 2},
  [4751] = {.lex_state = 407, .external_lex_state = 2},
  [4752] = {.lex_state = 407, .external_lex_state = 2},
  [4753] = {.lex_state = 407, .external_lex_state = 2},
  [4754] = {.lex_state = 407, .external_lex_state = 2},
  [4755] = {.lex_state = 411, .external_lex_state = 2},
  [4756] = {.lex_state = 411, .external_lex_state = 2},
  [4757] = {.lex_state = 48, .external_lex_state = 2},
  [4758] = {.lex_state = 15, .external_lex_state = 2},
  [4759] = {.lex_state = 63, .external_lex_state = 2},
  [4760] = {.lex_state = 15, .external_lex_state = 2},
  [4761] = {.lex_state = 410, .external_lex_state = 2},
  [4762] = {.lex_state = 15, .external_lex_state = 2},
  [4763] = {.lex_state = 411, .external_lex_state = 2},
  [4764] = {.lex_state = 15, .external_lex_state = 2},
  [4765] = {.lex_state = 15, .external_lex_state = 2},
  [4766] = {.lex_state = 15, .external_lex_state = 2},
  [4767] = {.lex_state = 15, .external_lex_state = 2},
  [4768] = {.lex_state = 411, .external_lex_state = 2},
  [4769] = {.lex_state = 411, .external_lex_state = 2},
  [4770] = {.lex_state = 411, .external_lex_state = 2},
  [4771] = {.lex_state = 411, .external_lex_state = 2},
  [4772] = {.lex_state = 411, .external_lex_state = 2},
  [4773] = {.lex_state = 411, .external_lex_state = 2},
  [4774] = {.lex_state = 411, .external_lex_state = 2},
  [4775] = {.lex_state = 411, .external_lex_state = 2},
  [4776] = {.lex_state = 411, .external_lex_state = 2},
  [4777] = {.lex_state = 49, .external_lex_state = 2},
  [4778] = {.lex_state = 15, .external_lex_state = 2},
  [4779] = {.lex_state = 411, .external_lex_state = 2},
  [4780] = {.lex_state = 411, .external_lex_state = 2},
  [4781] = {.lex_state = 411, .external_lex_state = 2},
  [4782] = {.lex_state = 411, .external_lex_state = 2},
  [4783] = {.lex_state = 411, .external_lex_state = 2},
  [4784] = {.lex_state = 411, .external_lex_state = 2},
  [4785] = {.lex_state = 411, .external_lex_state = 2},
  [4786] = {.lex_state = 411, .external_lex_state = 2},
  [4787] = {.lex_state = 411, .external_lex_state = 2},
  [4788] = {.lex_state = 411, .external_lex_state = 2},
  [4789] = {.lex_state = 411, .external_lex_state = 2},
  [4790] = {.lex_state = 411, .external_lex_state = 2},
  [4791] = {.lex_state = 411, .external_lex_state = 2},
  [4792] = {.lex_state = 411, .external_lex_state = 2},
  [4793] = {.lex_state = 411, .external_lex_state = 2},
  [4794] = {.lex_state = 411, .external_lex_state = 2},
  [4795] = {.lex_state = 411, .external_lex_state = 2},
  [4796] = {.lex_state = 15, .external_lex_state = 2},
  [4797] = {.lex_state = 411, .external_lex_state = 2},
  [4798] = {.lex_state = 411, .external_lex_state = 2},
  [4799] = {.lex_state = 411, .external_lex_state = 2},
  [4800] = {.lex_state = 411, .external_lex_state = 2},
  [4801] = {.lex_state = 411, .external_lex_state = 2},
  [4802] = {.lex_state = 411, .external_lex_state = 2},
  [4803] = {.lex_state = 411, .external_lex_state = 2},
  [4804] = {.lex_state = 15, .external_lex_state = 2},
  [4805] = {.lex_state = 15, .external_lex_state = 2},
  [4806] = {.lex_state = 411, .external_lex_state = 2},
  [4807] = {.lex_state = 63, .external_lex_state = 2},
  [4808] = {.lex_state = 411, .external_lex_state = 2},
  [4809] = {.lex_state = 63, .external_lex_state = 2},
  [4810] = {.lex_state = 400, .external_lex_state = 2},
  [4811] = {.lex_state = 411, .external_lex_state = 2},
  [4812] = {.lex_state = 411, .external_lex_state = 2},
  [4813] = {.lex_state = 63, .external_lex_state = 2},
  [4814] = {.lex_state = 411, .external_lex_state = 2},
  [4815] = {.lex_state = 411, .external_lex_state = 2},
  [4816] = {.lex_state = 411, .external_lex_state = 2},
  [4817] = {.lex_state = 411, .external_lex_state = 2},
  [4818] = {.lex_state = 62, .external_lex_state = 2},
  [4819] = {.lex_state = 411, .external_lex_state = 2},
  [4820] = {.lex_state = 411, .external_lex_state = 2},
  [4821] = {.lex_state = 411, .external_lex_state = 2},
  [4822] = {.lex_state = 411, .external_lex_state = 2},
  [4823] = {.lex_state = 411, .external_lex_state = 2},
  [4824] = {.lex_state = 411, .external_lex_state = 2},
  [4825] = {.lex_state = 411, .external_lex_state = 2},
  [4826] = {.lex_state = 411, .external_lex_state = 2},
  [4827] = {.lex_state = 411, .external_lex_state = 2},
  [4828] = {.lex_state = 48, .external_lex_state = 2},
  [4829] = {.lex_state = 411, .external_lex_state = 2},
  [4830] = {.lex_state = 411, .external_lex_state = 2},
  [4831] = {.lex_state = 411, .external_lex_state = 2},
  [4832] = {.lex_state = 411, .external_lex_state = 2},
  [4833] = {.lex_state = 411, .external_lex_state = 2},
  [4834] = {.lex_state = 411, .external_lex_state = 2},
  [4835] = {.lex_state = 62, .external_lex_state = 2},
  [4836] = {.lex_state = 411, .external_lex_state = 2},
  [4837] = {.lex_state = 62, .external_lex_state = 2},
  [4838] = {.lex_state = 15, .external_lex_state = 2},
  [4839] = {.lex_state = 411, .external_lex_state = 2},
  [4840] = {.lex_state = 62, .external_lex_state = 2},
  [4841] = {.lex_state = 411, .external_lex_state = 2},
  [4842] = {.lex_state = 62, .external_lex_state = 2},
  [4843] = {.lex_state = 411, .external_lex_state = 2},
  [4844] = {.lex_state = 63, .external_lex_state = 2},
  [4845] = {.lex_state = 63, .external_lex_state = 2},
  [4846] = {.lex_state = 411, .external_lex_state = 2},
  [4847] = {.lex_state = 411, .external_lex_state = 2},
  [4848] = {.lex_state = 63, .external_lex_state = 2},
  [4849] = {.lex_state = 411, .external_lex_state = 2},
  [4850] = {.lex_state = 411, .external_lex_state = 2},
  [4851] = {.lex_state = 411, .external_lex_state = 2},
  [4852] = {.lex_state = 411, .external_lex_state = 2},
  [4853] = {.lex_state = 411, .external_lex_state = 2},
  [4854] = {.lex_state = 411, .external_lex_state = 2},
  [4855] = {.lex_state = 411, .external_lex_state = 2},
  [4856] = {.lex_state = 411, .external_lex_state = 2},
  [4857] = {.lex_state = 50, .external_lex_state = 2},
  [4858] = {.lex_state = 15, .external_lex_state = 2},
  [4859] = {.lex_state = 411, .external_lex_state = 2},
  [4860] = {.lex_state = 411, .external_lex_state = 2},
  [4861] = {.lex_state = 62, .external_lex_state = 2},
  [4862] = {.lex_state = 62, .external_lex_state = 2},
  [4863] = {.lex_state = 411, .external_lex_state = 2},
  [4864] = {.lex_state = 411, .external_lex_state = 2},
  [4865] = {.lex_state = 62, .external_lex_state = 2},
  [4866] = {.lex_state = 15, .external_lex_state = 2},
  [4867] = {.lex_state = 411, .external_lex_state = 2},
  [4868] = {.lex_state = 411, .external_lex_state = 2},
  [4869] = {.lex_state = 411, .external_lex_state = 2},
  [4870] = {.lex_state = 411, .external_lex_state = 2},
  [4871] = {.lex_state = 62, .external_lex_state = 2},
  [4872] = {.lex_state = 411, .external_lex_state = 2},
  [4873] = {.lex_state = 15, .external_lex_state = 2},
  [4874] = {.lex_state = 411, .external_lex_state = 2},
  [4875] = {.lex_state = 411, .external_lex_state = 2},
  [4876] = {.lex_state = 411, .external_lex_state = 2},
  [4877] = {.lex_state = 411, .external_lex_state = 2},
  [4878] = {.lex_state = 411, .external_lex_state = 2},
  [4879] = {.lex_state = 410, .external_lex_state = 2},
  [4880] = {.lex_state = 411, .external_lex_state = 2},
  [4881] = {.lex_state = 62, .external_lex_state = 2},
  [4882] = {.lex_state = 62, .external_lex_state = 2},
  [4883] = {.lex_state = 15, .external_lex_state = 2},
  [4884] = {.lex_state = 15, .external_lex_state = 2},
  [4885] = {.lex_state = 411, .external_lex_state = 2},
  [4886] = {.lex_state = 411, .external_lex_state = 2},
  [4887] = {.lex_state = 411, .external_lex_state = 2},
  [4888] = {.lex_state = 15, .external_lex_state = 2},
  [4889] = {.lex_state = 411, .external_lex_state = 2},
  [4890] = {.lex_state = 411, .external_lex_state = 2},
  [4891] = {.lex_state = 411, .external_lex_state = 2},
  [4892] = {.lex_state = 411, .external_lex_state = 2},
  [4893] = {.lex_state = 411, .external_lex_state = 2},
  [4894] = {.lex_state = 410, .external_lex_state = 2},
  [4895] = {.lex_state = 411, .external_lex_state = 2},
  [4896] = {.lex_state = 410, .external_lex_state = 2},
  [4897] = {.lex_state = 411, .external_lex_state = 2},
  [4898] = {.lex_state = 411, .external_lex_state = 2},
  [4899] = {.lex_state = 411, .external_lex_state = 2},
  [4900] = {.lex_state = 410, .external_lex_state = 2},
  [4901] = {.lex_state = 62, .external_lex_state = 2},
  [4902] = {.lex_state = 15, .external_lex_state = 2},
  [4903] = {.lex_state = 410, .external_lex_state = 2},
  [4904] = {.lex_state = 411, .external_lex_state = 2},
  [4905] = {.lex_state = 411, .external_lex_state = 2},
  [4906] = {.lex_state = 62, .external_lex_state = 2},
  [4907] = {.lex_state = 62, .external_lex_state = 2},
  [4908] = {.lex_state = 410, .external_lex_state = 2},
  [4909] = {.lex_state = 411, .external_lex_state = 2},
  [4910] = {.lex_state = 411, .external_lex_state = 2},
  [4911] = {.lex_state = 15, .external_lex_state = 2},
  [4912] = {.lex_state = 63, .external_lex_state = 2},
  [4913] = {.lex_state = 410, .external_lex_state = 2},
  [4914] = {.lex_state = 411, .external_lex_state = 2},
  [4915] = {.lex_state = 15, .external_lex_state = 2},
  [4916] = {.lex_state = 62, .external_lex_state = 2},
  [4917] = {.lex_state = 411, .external_lex_state = 2},
  [4918] = {.lex_state = 411, .external_lex_state = 2},
  [4919] = {.lex_state = 411, .external_lex_state = 2},
  [4920] = {.lex_state = 411, .external_lex_state = 2},
  [4921] = {.lex_state = 15, .external_lex_state = 2},
  [4922] = {.lex_state = 411, .external_lex_state = 2},
  [4923] = {.lex_state = 411, .external_lex_state = 2},
  [4924] = {.lex_state = 15, .external_lex_state = 2},
  [4925] = {.lex_state = 15, .external_lex_state = 2},
  [4926] = {.lex_state = 15, .external_lex_state = 2},
  [4927] = {.lex_state = 15, .external_lex_state = 2},
  [4928] = {.lex_state = 411, .external_lex_state = 2},
  [4929] = {.lex_state = 411, .external_lex_state = 2},
  [4930] = {.lex_state = 411, .external_lex_state = 2},
  [4931] = {.lex_state = 411, .external_lex_state = 2},
  [4932] = {.lex_state = 62, .external_lex_state = 2},
  [4933] = {.lex_state = 62, .external_lex_state = 2},
  [4934] = {.lex_state = 62, .external_lex_state = 2},
  [4935] = {.lex_state = 411, .external_lex_state = 2},
  [4936] = {.lex_state = 411, .external_lex_state = 2},
  [4937] = {.lex_state = 62, .external_lex_state = 2},
  [4938] = {.lex_state = 62, .external_lex_state = 2},
  [4939] = {.lex_state = 15, .external_lex_state = 2},
  [4940] = {.lex_state = 411, .external_lex_state = 2},
  [4941] = {.lex_state = 411, .external_lex_state = 2},
  [4942] = {.lex_state = 15, .external_lex_state = 2},
  [4943] = {.lex_state = 62, .external_lex_state = 2},
  [4944] = {.lex_state = 403, .external_lex_state = 2},
  [4945] = {.lex_state = 15, .external_lex_state = 2},
  [4946] = {.lex_state = 62, .external_lex_state = 2},
  [4947] = {.lex_state = 62, .external_lex_state = 2},
  [4948] = {.lex_state = 15, .external_lex_state = 2},
  [4949] = {.lex_state = 403, .external_lex_state = 2},
  [4950] = {.lex_state = 62, .external_lex_state = 2},
  [4951] = {.lex_state = 62, .external_lex_state = 2},
  [4952] = {.lex_state = 15, .external_lex_state = 2},
  [4953] = {.lex_state = 410, .external_lex_state = 2},
  [4954] = {.lex_state = 62, .external_lex_state = 2},
  [4955] = {.lex_state = 15, .external_lex_state = 2},
  [4956] = {.lex_state = 411, .external_lex_state = 2},
  [4957] = {.lex_state = 411, .external_lex_state = 2},
  [4958] = {.lex_state = 63, .external_lex_state = 2},
  [4959] = {.lex_state = 400, .external_lex_state = 2},
  [4960] = {.lex_state = 15, .external_lex_state = 2},
  [4961] = {.lex_state = 411, .external_lex_state = 2},
  [4962] = {.lex_state = 15, .external_lex_state = 2},
  [4963] = {.lex_state = 411, .external_lex_state = 2},
  [4964] = {.lex_state = 410, .external_lex_state = 2},
  [4965] = {.lex_state = 403, .external_lex_state = 2},
  [4966] = {.lex_state = 15, .external_lex_state = 2},
  [4967] = {.lex_state = 15, .external_lex_state = 2},
  [4968] = {.lex_state = 62, .external_lex_state = 2},
  [4969] = {.lex_state = 63, .external_lex_state = 2},
  [4970] = {.lex_state = 63, .external_lex_state = 2},
  [4971] = {.lex_state = 62, .external_lex_state = 2},
  [4972] = {.lex_state = 62, .external_lex_state = 2},
  [4973] = {.lex_state = 15, .external_lex_state = 2},
  [4974] = {.lex_state = 62, .external_lex_state = 2},
  [4975] = {.lex_state = 15, .external_lex_state = 2},
  [4976] = {.lex_state = 62, .external_lex_state = 2},
  [4977] = {.lex_state = 411, .external_lex_state = 2},
  [4978] = {.lex_state = 15, .external_lex_state = 2},
  [4979] = {.lex_state = 411, .external_lex_state = 2},
  [4980] = {.lex_state = 62, .external_lex_state = 2},
  [4981] = {.lex_state = 62, .external_lex_state = 2},
  [4982] = {.lex_state = 62, .external_lex_state = 2},
  [4983] = {.lex_state = 15, .external_lex_state = 2},
  [4984] = {.lex_state = 62, .external_lex_state = 2},
  [4985] = {.lex_state = 62, .external_lex_state = 2},
  [4986] = {.lex_state = 62, .external_lex_state = 2},
  [4987] = {.lex_state = 62, .external_lex_state = 2},
  [4988] = {.lex_state = 62, .external_lex_state = 2},
  [4989] = {.lex_state = 62, .external_lex_state = 2},
  [4990] = {.lex_state = 15, .external_lex_state = 2},
  [4991] = {.lex_state = 62, .external_lex_state = 2},
  [4992] = {.lex_state = 62, .external_lex_state = 2},
  [4993] = {.lex_state = 62, .external_lex_state = 2},
  [4994] = {.lex_state = 15, .external_lex_state = 2},
  [4995] = {.lex_state = 411, .external_lex_state = 2},
  [4996] = {.lex_state = 62, .external_lex_state = 2},
  [4997] = {.lex_state = 62, .external_lex_state = 2},
  [4998] = {.lex_state = 410, .external_lex_state = 2},
  [4999] = {.lex_state = 62, .external_lex_state = 2},
  [5000] = {.lex_state = 62, .external_lex_state = 2},
  [5001] = {.lex_state = 411, .external_lex_state = 2},
  [5002] = {.lex_state = 411, .external_lex_state = 2},
  [5003] = {.lex_state = 411, .external_lex_state = 2},
  [5004] = {.lex_state = 15, .external_lex_state = 2},
  [5005] = {.lex_state = 15, .external_lex_state = 2},
  [5006] = {.lex_state = 62, .external_lex_state = 2},
  [5007] = {.lex_state = 411, .external_lex_state = 2},
  [5008] = {.lex_state = 62, .external_lex_state = 2},
  [5009] = {.lex_state = 62, .external_lex_state = 2},
  [5010] = {.lex_state = 15, .external_lex_state = 2},
  [5011] = {.lex_state = 62, .external_lex_state = 2},
  [5012] = {.lex_state = 62, .external_lex_state = 2},
  [5013] = {.lex_state = 15, .external_lex_state = 2},
  [5014] = {.lex_state = 62, .external_lex_state = 2},
  [5015] = {.lex_state = 62, .external_lex_state = 2},
  [5016] = {.lex_state = 62, .external_lex_state = 2},
  [5017] = {.lex_state = 15, .external_lex_state = 2},
  [5018] = {.lex_state = 400, .external_lex_state = 2},
  [5019] = {.lex_state = 15, .external_lex_state = 2},
  [5020] = {.lex_state = 15, .external_lex_state = 2},
  [5021] = {.lex_state = 411, .external_lex_state = 2},
  [5022] = {.lex_state = 62, .external_lex_state = 2},
  [5023] = {.lex_state = 15, .external_lex_state = 2},
  [5024] = {.lex_state = 62, .external_lex_state = 2},
  [5025] = {.lex_state = 411, .external_lex_state = 2},
  [5026] = {.lex_state = 15, .external_lex_state = 2},
  [5027] = {.lex_state = 410, .external_lex_state = 2},
  [5028] = {.lex_state = 62, .external_lex_state = 2},
  [5029] = {.lex_state = 411, .external_lex_state = 2},
  [5030] = {.lex_state = 62, .external_lex_state = 2},
  [5031] = {.lex_state = 15, .external_lex_state = 2},
  [5032] = {.lex_state = 62, .external_lex_state = 2},
  [5033] = {.lex_state = 62, .external_lex_state = 2},
  [5034] = {.lex_state = 62, .external_lex_state = 2},
  [5035] = {.lex_state = 62, .external_lex_state = 2},
  [5036] = {.lex_state = 15, .external_lex_state = 2},
  [5037] = {.lex_state = 411, .external_lex_state = 2},
  [5038] = {.lex_state = 411, .external_lex_state = 2},
  [5039] = {.lex_state = 411, .external_lex_state = 2},
  [5040] = {.lex_state = 62, .external_lex_state = 2},
  [5041] = {.lex_state = 410, .external_lex_state = 2},
  [5042] = {.lex_state = 411, .external_lex_state = 2},
  [5043] = {.lex_state = 410, .external_lex_state = 2},
  [5044] = {.lex_state = 410, .external_lex_state = 2},
  [5045] = {.lex_state = 400, .external_lex_state = 2},
  [5046] = {.lex_state = 410, .external_lex_state = 2},
  [5047] = {.lex_state = 62, .external_lex_state = 2},
  [5048] = {.lex_state = 62, .external_lex_state = 2},
  [5049] = {.lex_state = 411, .external_lex_state = 2},
  [5050] = {.lex_state = 62, .external_lex_state = 2},
  [5051] = {.lex_state = 62, .external_lex_state = 2},
  [5052] = {.lex_state = 62, .external_lex_state = 2},
  [5053] = {.lex_state = 411, .external_lex_state = 2},
  [5054] = {.lex_state = 411, .external_lex_state = 2},
  [5055] = {.lex_state = 62, .external_lex_state = 2},
  [5056] = {.lex_state = 411, .external_lex_state = 2},
  [5057] = {.lex_state = 410, .external_lex_state = 2},
  [5058] = {.lex_state = 62, .external_lex_state = 2},
  [5059] = {.lex_state = 403, .external_lex_state = 2},
  [5060] = {.lex_state = 411, .external_lex_state = 2},
  [5061] = {.lex_state = 411, .external_lex_state = 2},
  [5062] = {.lex_state = 410, .external_lex_state = 2},
  [5063] = {.lex_state = 410, .external_lex_state = 2},
  [5064] = {.lex_state = 410, .external_lex_state = 2},
  [5065] = {.lex_state = 15, .external_lex_state = 2},
  [5066] = {.lex_state = 411, .external_lex_state = 2},
  [5067] = {.lex_state = 62, .external_lex_state = 2},
  [5068] = {.lex_state = 410, .external_lex_state = 2},
  [5069] = {.lex_state = 410, .external_lex_state = 2},
  [5070] = {.lex_state = 410, .external_lex_state = 2},
  [5071] = {.lex_state = 15, .external_lex_state = 2},
  [5072] = {.lex_state = 410, .external_lex_state = 2},
  [5073] = {.lex_state = 410, .external_lex_state = 2},
  [5074] = {.lex_state = 15, .external_lex_state = 2},
  [5075] = {.lex_state = 410, .external_lex_state = 2},
  [5076] = {.lex_state = 63, .external_lex_state = 2},
  [5077] = {.lex_state = 410, .external_lex_state = 2},
  [5078] = {.lex_state = 15, .external_lex_state = 2},
  [5079] = {.lex_state = 410, .external_lex_state = 2},
  [5080] = {.lex_state = 63, .external_lex_state = 2},
  [5081] = {.lex_state = 410, .external_lex_state = 2},
  [5082] = {.lex_state = 410, .external_lex_state = 2},
  [5083] = {.lex_state = 410, .external_lex_state = 2},
  [5084] = {.lex_state = 410, .external_lex_state = 2},
  [5085] = {.lex_state = 15, .external_lex_state = 2},
  [5086] = {.lex_state = 410, .external_lex_state = 2},
  [5087] = {.lex_state = 15, .external_lex_state = 2},
  [5088] = {.lex_state = 410, .external_lex_state = 2},
  [5089] = {.lex_state = 401, .external_lex_state = 2},
  [5090] = {.lex_state = 15, .external_lex_state = 2},
  [5091] = {.lex_state = 63, .external_lex_state = 2},
  [5092] = {.lex_state = 15, .external_lex_state = 2},
  [5093] = {.lex_state = 15, .external_lex_state = 2},
  [5094] = {.lex_state = 410, .external_lex_state = 2},
  [5095] = {.lex_state = 410, .external_lex_state = 2},
  [5096] = {.lex_state = 410, .external_lex_state = 2},
  [5097] = {.lex_state = 410, .external_lex_state = 2},
  [5098] = {.lex_state = 15, .external_lex_state = 2},
  [5099] = {.lex_state = 63, .external_lex_state = 2},
  [5100] = {.lex_state = 63, .external_lex_state = 2},
  [5101] = {.lex_state = 15, .external_lex_state = 2},
  [5102] = {.lex_state = 410, .external_lex_state = 2},
  [5103] = {.lex_state = 63, .external_lex_state = 2},
  [5104] = {.lex_state = 410, .external_lex_state = 2},
  [5105] = {.lex_state = 63, .external_lex_state = 2},
  [5106] = {.lex_state = 15, .external_lex_state = 2},
  [5107] = {.lex_state = 15, .external_lex_state = 2},
  [5108] = {.lex_state = 410, .external_lex_state = 2},
  [5109] = {.lex_state = 15, .external_lex_state = 2},
  [5110] = {.lex_state = 15, .external_lex_state = 2},
  [5111] = {.lex_state = 15, .external_lex_state = 2},
  [5112] = {.lex_state = 15, .external_lex_state = 2},
  [5113] = {.lex_state = 410, .external_lex_state = 2},
  [5114] = {.lex_state = 410, .external_lex_state = 2},
  [5115] = {.lex_state = 410, .external_lex_state = 2},
  [5116] = {.lex_state = 410, .external_lex_state = 2},
  [5117] = {.lex_state = 50, .external_lex_state = 2},
  [5118] = {.lex_state = 15, .external_lex_state = 2},
  [5119] = {.lex_state = 410, .external_lex_state = 2},
  [5120] = {.lex_state = 63, .external_lex_state = 2},
  [5121] = {.lex_state = 15, .external_lex_state = 2},
  [5122] = {.lex_state = 410, .external_lex_state = 2},
  [5123] = {.lex_state = 410, .external_lex_state = 2},
  [5124] = {.lex_state = 15, .external_lex_state = 2},
  [5125] = {.lex_state = 410, .external_lex_state = 2},
  [5126] = {.lex_state = 15, .external_lex_state = 2},
  [5127] = {.lex_state = 63, .external_lex_state = 2},
  [5128] = {.lex_state = 63, .external_lex_state = 2},
  [5129] = {.lex_state = 15, .external_lex_state = 2},
  [5130] = {.lex_state = 410, .external_lex_state = 2},
  [5131] = {.lex_state = 410, .external_lex_state = 2},
  [5132] = {.lex_state = 15, .external_lex_state = 2},
  [5133] = {.lex_state = 410, .external_lex_state = 2},
  [5134] = {.lex_state = 15, .external_lex_state = 2},
  [5135] = {.lex_state = 410, .external_lex_state = 2},
  [5136] = {.lex_state = 410, .external_lex_state = 2},
  [5137] = {.lex_state = 410, .external_lex_state = 2},
  [5138] = {.lex_state = 410, .external_lex_state = 2},
  [5139] = {.lex_state = 15, .external_lex_state = 2},
  [5140] = {.lex_state = 15, .external_lex_state = 2},
  [5141] = {.lex_state = 410, .external_lex_state = 2},
  [5142] = {.lex_state = 63, .external_lex_state = 2},
  [5143] = {.lex_state = 63, .external_lex_state = 2},
  [5144] = {.lex_state = 401, .external_lex_state = 2},
  [5145] = {.lex_state = 410, .external_lex_state = 2},
  [5146] = {.lex_state = 410, .external_lex_state = 2},
  [5147] = {.lex_state = 410, .external_lex_state = 2},
  [5148] = {.lex_state = 15, .external_lex_state = 2},
  [5149] = {.lex_state = 15, .external_lex_state = 2},
  [5150] = {.lex_state = 15, .external_lex_state = 2},
  [5151] = {.lex_state = 410, .external_lex_state = 2},
  [5152] = {.lex_state = 15, .external_lex_state = 2},
  [5153] = {.lex_state = 410, .external_lex_state = 2},
  [5154] = {.lex_state = 15, .external_lex_state = 2},
  [5155] = {.lex_state = 410, .external_lex_state = 2},
  [5156] = {.lex_state = 410, .external_lex_state = 2},
  [5157] = {.lex_state = 410, .external_lex_state = 2},
  [5158] = {.lex_state = 63, .external_lex_state = 2},
  [5159] = {.lex_state = 410, .external_lex_state = 2},
  [5160] = {.lex_state = 410, .external_lex_state = 2},
  [5161] = {.lex_state = 15, .external_lex_state = 2},
  [5162] = {.lex_state = 63, .external_lex_state = 2},
  [5163] = {.lex_state = 63, .external_lex_state = 2},
  [5164] = {.lex_state = 401, .external_lex_state = 2},
  [5165] = {.lex_state = 15, .external_lex_state = 2},
  [5166] = {.lex_state = 63, .external_lex_state = 2},
  [5167] = {.lex_state = 410, .external_lex_state = 2},
  [5168] = {.lex_state = 410, .external_lex_state = 2},
  [5169] = {.lex_state = 50, .external_lex_state = 2},
  [5170] = {.lex_state = 410, .external_lex_state = 2},
  [5171] = {.lex_state = 410, .external_lex_state = 2},
  [5172] = {.lex_state = 410, .external_lex_state = 2},
  [5173] = {.lex_state = 410, .external_lex_state = 2},
  [5174] = {.lex_state = 63, .external_lex_state = 2},
  [5175] = {.lex_state = 15, .external_lex_state = 2},
  [5176] = {.lex_state = 15, .external_lex_state = 2},
  [5177] = {.lex_state = 410, .external_lex_state = 2},
  [5178] = {.lex_state = 410, .external_lex_state = 2},
  [5179] = {.lex_state = 15, .external_lex_state = 2},
  [5180] = {.lex_state = 63, .external_lex_state = 2},
  [5181] = {.lex_state = 410, .external_lex_state = 2},
  [5182] = {.lex_state = 410, .external_lex_state = 2},
  [5183] = {.lex_state = 63, .external_lex_state = 2},
  [5184] = {.lex_state = 15, .external_lex_state = 2},
  [5185] = {.lex_state = 63, .external_lex_state = 2},
  [5186] = {.lex_state = 63, .external_lex_state = 2},
  [5187] = {.lex_state = 410, .external_lex_state = 2},
  [5188] = {.lex_state = 63, .external_lex_state = 2},
  [5189] = {.lex_state = 15, .external_lex_state = 2},
  [5190] = {.lex_state = 410, .external_lex_state = 2},
  [5191] = {.lex_state = 410, .external_lex_state = 2},
  [5192] = {.lex_state = 410, .external_lex_state = 2},
  [5193] = {.lex_state = 63, .external_lex_state = 2},
  [5194] = {.lex_state = 63, .external_lex_state = 2},
  [5195] = {.lex_state = 410, .external_lex_state = 2},
  [5196] = {.lex_state = 15, .external_lex_state = 2},
  [5197] = {.lex_state = 410, .external_lex_state = 2},
  [5198] = {.lex_state = 15, .external_lex_state = 2},
  [5199] = {.lex_state = 15, .external_lex_state = 2},
  [5200] = {.lex_state = 15, .external_lex_state = 2},
  [5201] = {.lex_state = 410, .external_lex_state = 2},
  [5202] = {.lex_state = 15, .external_lex_state = 2},
  [5203] = {.lex_state = 410, .external_lex_state = 2},
  [5204] = {.lex_state = 63, .external_lex_state = 2},
  [5205] = {.lex_state = 410, .external_lex_state = 2},
  [5206] = {.lex_state = 15, .external_lex_state = 2},
  [5207] = {.lex_state = 63, .external_lex_state = 2},
  [5208] = {.lex_state = 410, .external_lex_state = 2},
  [5209] = {.lex_state = 15, .external_lex_state = 2},
  [5210] = {.lex_state = 63, .external_lex_state = 2},
  [5211] = {.lex_state = 15, .external_lex_state = 2},
  [5212] = {.lex_state = 15, .external_lex_state = 2},
  [5213] = {.lex_state = 410, .external_lex_state = 2},
  [5214] = {.lex_state = 410, .external_lex_state = 2},
  [5215] = {.lex_state = 15, .external_lex_state = 2},
  [5216] = {.lex_state = 15, .external_lex_state = 2},
  [5217] = {.lex_state = 410, .external_lex_state = 2},
  [5218] = {.lex_state = 410, .external_lex_state = 2},
  [5219] = {.lex_state = 410, .external_lex_state = 2},
  [5220] = {.lex_state = 15, .external_lex_state = 2},
  [5221] = {.lex_state = 63, .external_lex_state = 2},
  [5222] = {.lex_state = 410, .external_lex_state = 2},
  [5223] = {.lex_state = 410, .external_lex_state = 2},
  [5224] = {.lex_state = 63, .external_lex_state = 2},
  [5225] = {.lex_state = 410, .external_lex_state = 2},
  [5226] = {.lex_state = 63, .external_lex_state = 2},
  [5227] = {.lex_state = 63, .external_lex_state = 2},
  [5228] = {.lex_state = 63, .external_lex_state = 2},
  [5229] = {.lex_state = 15, .external_lex_state = 2},
  [5230] = {.lex_state = 63, .external_lex_state = 2},
  [5231] = {.lex_state = 410, .external_lex_state = 2},
  [5232] = {.lex_state = 15, .external_lex_state = 2},
  [5233] = {.lex_state = 410, .external_lex_state = 2},
  [5234] = {.lex_state = 410, .external_lex_state = 2},
  [5235] = {.lex_state = 15, .external_lex_state = 2},
  [5236] = {.lex_state = 410, .external_lex_state = 2},
  [5237] = {.lex_state = 15, .external_lex_state = 2},
  [5238] = {.lex_state = 15, .external_lex_state = 2},
  [5239] = {.lex_state = 410, .external_lex_state = 2},
  [5240] = {.lex_state = 410, .external_lex_state = 2},
  [5241] = {.lex_state = 410, .external_lex_state = 2},
  [5242] = {.lex_state = 63, .external_lex_state = 2},
  [5243] = {.lex_state = 15, .external_lex_state = 2},
  [5244] = {.lex_state = 410, .external_lex_state = 2},
  [5245] = {.lex_state = 410, .external_lex_state = 2},
  [5246] = {.lex_state = 15, .external_lex_state = 2},
  [5247] = {.lex_state = 15, .external_lex_state = 2},
  [5248] = {.lex_state = 410, .external_lex_state = 2},
  [5249] = {.lex_state = 15, .external_lex_state = 2},
  [5250] = {.lex_state = 15, .external_lex_state = 2},
  [5251] = {.lex_state = 63, .external_lex_state = 2},
  [5252] = {.lex_state = 410, .external_lex_state = 2},
  [5253] = {.lex_state = 63, .external_lex_state = 2},
  [5254] = {.lex_state = 15, .external_lex_state = 2},
  [5255] = {.lex_state = 15, .external_lex_state = 2},
  [5256] = {.lex_state = 63, .external_lex_state = 2},
  [5257] = {.lex_state = 15, .external_lex_state = 2},
  [5258] = {.lex_state = 63, .external_lex_state = 2},
  [5259] = {.lex_state = 15, .external_lex_state = 2},
  [5260] = {.lex_state = 63, .external_lex_state = 2},
  [5261] = {.lex_state = 49, .external_lex_state = 2},
  [5262] = {.lex_state = 410, .external_lex_state = 2},
  [5263] = {.lex_state = 15, .external_lex_state = 2},
  [5264] = {.lex_state = 63, .external_lex_state = 2},
  [5265] = {.lex_state = 15, .external_lex_state = 2},
  [5266] = {.lex_state = 63, .external_lex_state = 2},
  [5267] = {.lex_state = 410, .external_lex_state = 2},
  [5268] = {.lex_state = 410, .external_lex_state = 2},
  [5269] = {.lex_state = 410, .external_lex_state = 2},
  [5270] = {.lex_state = 15, .external_lex_state = 2},
  [5271] = {.lex_state = 410, .external_lex_state = 2},
  [5272] = {.lex_state = 15, .external_lex_state = 2},
  [5273] = {.lex_state = 15, .external_lex_state = 2},
  [5274] = {.lex_state = 15, .external_lex_state = 2},
  [5275] = {.lex_state = 410, .external_lex_state = 2},
  [5276] = {.lex_state = 410, .external_lex_state = 2},
  [5277] = {.lex_state = 15, .external_lex_state = 2},
  [5278] = {.lex_state = 15, .external_lex_state = 2},
  [5279] = {.lex_state = 410, .external_lex_state = 2},
  [5280] = {.lex_state = 410, .external_lex_state = 2},
  [5281] = {.lex_state = 15, .external_lex_state = 2},
  [5282] = {.lex_state = 15, .external_lex_state = 2},
  [5283] = {.lex_state = 63, .external_lex_state = 2},
  [5284] = {.lex_state = 15, .external_lex_state = 2},
  [5285] = {.lex_state = 15, .external_lex_state = 2},
  [5286] = {.lex_state = 63, .external_lex_state = 2},
  [5287] = {.lex_state = 49, .external_lex_state = 2},
  [5288] = {.lex_state = 63, .external_lex_state = 2},
  [5289] = {.lex_state = 63, .external_lex_state = 2},
  [5290] = {.lex_state = 15, .external_lex_state = 2},
  [5291] = {.lex_state = 410, .external_lex_state = 2},
  [5292] = {.lex_state = 410, .external_lex_state = 2},
  [5293] = {.lex_state = 63, .external_lex_state = 2},
  [5294] = {.lex_state = 63, .external_lex_state = 2},
  [5295] = {.lex_state = 63, .external_lex_state = 2},
  [5296] = {.lex_state = 15, .external_lex_state = 2},
  [5297] = {.lex_state = 15, .external_lex_state = 2},
  [5298] = {.lex_state = 15, .external_lex_state = 2},
  [5299] = {.lex_state = 63, .external_lex_state = 2},
  [5300] = {.lex_state = 15, .external_lex_state = 2},
  [5301] = {.lex_state = 410, .external_lex_state = 2},
  [5302] = {.lex_state = 401, .external_lex_state = 2},
  [5303] = {.lex_state = 15, .external_lex_state = 2},
  [5304] = {.lex_state = 410, .external_lex_state = 2},
  [5305] = {.lex_state = 15, .external_lex_state = 2},
  [5306] = {.lex_state = 15, .external_lex_state = 2},
  [5307] = {.lex_state = 63, .external_lex_state = 2},
  [5308] = {.lex_state = 63, .external_lex_state = 2},
  [5309] = {.lex_state = 63, .external_lex_state = 2},
  [5310] = {.lex_state = 63, .external_lex_state = 2},
  [5311] = {.lex_state = 63, .external_lex_state = 2},
  [5312] = {.lex_state = 410, .external_lex_state = 2},
  [5313] = {.lex_state = 410, .external_lex_state = 2},
  [5314] = {.lex_state = 63, .external_lex_state = 2},
  [5315] = {.lex_state = 15, .external_lex_state = 2},
  [5316] = {.lex_state = 15, .external_lex_state = 2},
  [5317] = {.lex_state = 15, .external_lex_state = 2},
  [5318] = {.lex_state = 410, .external_lex_state = 2},
  [5319] = {.lex_state = 410, .external_lex_state = 2},
  [5320] = {.lex_state = 15, .external_lex_state = 2},
  [5321] = {.lex_state = 410, .external_lex_state = 2},
  [5322] = {.lex_state = 63, .external_lex_state = 2},
  [5323] = {.lex_state = 15, .external_lex_state = 2},
  [5324] = {.lex_state = 15, .external_lex_state = 2},
  [5325] = {.lex_state = 15, .external_lex_state = 2},
  [5326] = {.lex_state = 410, .external_lex_state = 2},
  [5327] = {.lex_state = 15, .external_lex_state = 2},
  [5328] = {.lex_state = 15, .external_lex_state = 2},
  [5329] = {.lex_state = 410, .external_lex_state = 2},
  [5330] = {.lex_state = 63, .external_lex_state = 2},
  [5331] = {.lex_state = 63, .external_lex_state = 2},
  [5332] = {.lex_state = 15, .external_lex_state = 2},
  [5333] = {.lex_state = 15, .external_lex_state = 2},
  [5334] = {.lex_state = 63, .external_lex_state = 2},
  [5335] = {.lex_state = 63, .external_lex_state = 2},
  [5336] = {.lex_state = 15, .external_lex_state = 2},
  [5337] = {.lex_state = 15, .external_lex_state = 2},
  [5338] = {.lex_state = 15, .external_lex_state = 2},
  [5339] = {.lex_state = 15, .external_lex_state = 2},
  [5340] = {.lex_state = 15, .external_lex_state = 2},
  [5341] = {.lex_state = 410, .external_lex_state = 2},
  [5342] = {.lex_state = 15, .external_lex_state = 2},
  [5343] = {.lex_state = 410, .external_lex_state = 2},
  [5344] = {.lex_state = 410, .external_lex_state = 2},
  [5345] = {.lex_state = 63, .external_lex_state = 2},
  [5346] = {.lex_state = 15, .external_lex_state = 2},
  [5347] = {.lex_state = 410, .external_lex_state = 2},
  [5348] = {.lex_state = 15, .external_lex_state = 2},
  [5349] = {.lex_state = 15, .external_lex_state = 2},
  [5350] = {.lex_state = 410, .external_lex_state = 2},
  [5351] = {.lex_state = 15, .external_lex_state = 2},
  [5352] = {.lex_state = 15, .external_lex_state = 2},
  [5353] = {.lex_state = 15, .external_lex_state = 2},
  [5354] = {.lex_state = 15, .external_lex_state = 2},
  [5355] = {.lex_state = 15, .external_lex_state = 2},
  [5356] = {.lex_state = 15, .external_lex_state = 2},
  [5357] = {.lex_state = 63, .external_lex_state = 2},
  [5358] = {.lex_state = 63, .external_lex_state = 2},
  [5359] = {.lex_state = 410, .external_lex_state = 2},
  [5360] = {.lex_state = 15, .external_lex_state = 2},
  [5361] = {.lex_state = 15, .external_lex_state = 2},
  [5362] = {.lex_state = 410, .external_lex_state = 2},
  [5363] = {.lex_state = 15, .external_lex_state = 2},
  [5364] = {.lex_state = 410, .external_lex_state = 2},
  [5365] = {.lex_state = 410, .external_lex_state = 2},
  [5366] = {.lex_state = 410, .external_lex_state = 2},
  [5367] = {.lex_state = 410, .external_lex_state = 2},
  [5368] = {.lex_state = 410, .external_lex_state = 2},
  [5369] = {.lex_state = 15, .external_lex_state = 2},
  [5370] = {.lex_state = 15, .external_lex_state = 2},
  [5371] = {.lex_state = 15, .external_lex_state = 2},
  [5372] = {.lex_state = 15, .external_lex_state = 2},
  [5373] = {.lex_state = 63, .external_lex_state = 2},
  [5374] = {.lex_state = 15, .external_lex_state = 2},
  [5375] = {.lex_state = 410, .external_lex_state = 2},
  [5376] = {.lex_state = 410, .external_lex_state = 2},
  [5377] = {.lex_state = 15, .external_lex_state = 2},
  [5378] = {.lex_state = 15, .external_lex_state = 2},
  [5379] = {.lex_state = 15, .external_lex_state = 2},
  [5380] = {.lex_state = 410, .external_lex_state = 2},
  [5381] = {.lex_state = 63, .external_lex_state = 2},
  [5382] = {.lex_state = 63, .external_lex_state = 2},
  [5383] = {.lex_state = 410, .external_lex_state = 2},
  [5384] = {.lex_state = 410, .external_lex_state = 2},
  [5385] = {.lex_state = 15, .external_lex_state = 2},
  [5386] = {.lex_state = 15, .external_lex_state = 2},
  [5387] = {.lex_state = 15, .external_lex_state = 2},
  [5388] = {.lex_state = 410, .external_lex_state = 2},
  [5389] = {.lex_state = 15, .external_lex_state = 2},
  [5390] = {.lex_state = 410, .external_lex_state = 2},
  [5391] = {.lex_state = 51, .external_lex_state = 2},
  [5392] = {.lex_state = 15, .external_lex_state = 2},
  [5393] = {.lex_state = 410, .external_lex_state = 2},
  [5394] = {.lex_state = 410, .external_lex_state = 2},
  [5395] = {.lex_state = 15, .external_lex_state = 2},
  [5396] = {.lex_state = 15, .external_lex_state = 2},
  [5397] = {.lex_state = 15, .external_lex_state = 2},
  [5398] = {.lex_state = 15, .external_lex_state = 2},
  [5399] = {.lex_state = 63, .external_lex_state = 2},
  [5400] = {.lex_state = 15, .external_lex_state = 2},
  [5401] = {.lex_state = 410, .external_lex_state = 2},
  [5402] = {.lex_state = 410, .external_lex_state = 2},
  [5403] = {.lex_state = 15, .external_lex_state = 2},
  [5404] = {.lex_state = 410, .external_lex_state = 2},
  [5405] = {.lex_state = 15, .external_lex_state = 2},
  [5406] = {.lex_state = 15, .external_lex_state = 2},
  [5407] = {.lex_state = 410, .external_lex_state = 2},
  [5408] = {.lex_state = 410, .external_lex_state = 2},
  [5409] = {.lex_state = 410, .external_lex_state = 2},
  [5410] = {.lex_state = 410, .external_lex_state = 2},
  [5411] = {.lex_state = 15, .external_lex_state = 2},
  [5412] = {.lex_state = 410, .external_lex_state = 2},
  [5413] = {.lex_state = 15, .external_lex_state = 2},
  [5414] = {.lex_state = 410, .external_lex_state = 2},
  [5415] = {.lex_state = 15, .external_lex_state = 2},
  [5416] = {.lex_state = 410, .external_lex_state = 2},
  [5417] = {.lex_state = 410, .external_lex_state = 2},
  [5418] = {.lex_state = 63, .external_lex_state = 2},
  [5419] = {.lex_state = 15, .external_lex_state = 2},
  [5420] = {.lex_state = 410, .external_lex_state = 2},
  [5421] = {.lex_state = 410, .external_lex_state = 2},
  [5422] = {.lex_state = 63, .external_lex_state = 2},
  [5423] = {.lex_state = 410, .external_lex_state = 2},
  [5424] = {.lex_state = 410, .external_lex_state = 2},
  [5425] = {.lex_state = 410, .external_lex_state = 2},
  [5426] = {.lex_state = 15, .external_lex_state = 2},
  [5427] = {.lex_state = 15, .external_lex_state = 2},
  [5428] = {.lex_state = 15, .external_lex_state = 2},
  [5429] = {.lex_state = 15, .external_lex_state = 2},
  [5430] = {.lex_state = 15, .external_lex_state = 2},
  [5431] = {.lex_state = 410, .external_lex_state = 2},
  [5432] = {.lex_state = 63, .external_lex_state = 2},
  [5433] = {.lex_state = 15, .external_lex_state = 2},
  [5434] = {.lex_state = 15, .external_lex_state = 2},
  [5435] = {.lex_state = 15, .external_lex_state = 2},
  [5436] = {.lex_state = 15, .external_lex_state = 2},
  [5437] = {.lex_state = 15, .external_lex_state = 2},
  [5438] = {.lex_state = 15, .external_lex_state = 2},
  [5439] = {.lex_state = 15, .external_lex_state = 2},
  [5440] = {.lex_state = 15, .external_lex_state = 2},
  [5441] = {.lex_state = 410, .external_lex_state = 2},
  [5442] = {.lex_state = 63, .external_lex_state = 2},
  [5443] = {.lex_state = 410, .external_lex_state = 2},
  [5444] = {.lex_state = 15, .external_lex_state = 2},
  [5445] = {.lex_state = 15, .external_lex_state = 2},
  [5446] = {.lex_state = 15, .external_lex_state = 2},
  [5447] = {.lex_state = 15, .external_lex_state = 2},
  [5448] = {.lex_state = 63, .external_lex_state = 2},
  [5449] = {.lex_state = 15, .external_lex_state = 2},
  [5450] = {.lex_state = 15, .external_lex_state = 2},
  [5451] = {.lex_state = 15, .external_lex_state = 2},
  [5452] = {.lex_state = 15, .external_lex_state = 2},
  [5453] = {.lex_state = 15, .external_lex_state = 2},
  [5454] = {.lex_state = 15, .external_lex_state = 2},
  [5455] = {.lex_state = 15, .external_lex_state = 2},
  [5456] = {.lex_state = 15, .external_lex_state = 2},
  [5457] = {.lex_state = 15, .external_lex_state = 2},
  [5458] = {.lex_state = 15, .external_lex_state = 2},
  [5459] = {.lex_state = 15, .external_lex_state = 2},
  [5460] = {.lex_state = 15, .external_lex_state = 2},
  [5461] = {.lex_state = 51, .external_lex_state = 2},
  [5462] = {.lex_state = 15, .external_lex_state = 2},
  [5463] = {.lex_state = 15, .external_lex_state = 2},
  [5464] = {.lex_state = 15, .external_lex_state = 2},
  [5465] = {.lex_state = 15, .external_lex_state = 2},
  [5466] = {.lex_state = 15, .external_lex_state = 2},
  [5467] = {.lex_state = 15, .external_lex_state = 2},
  [5468] = {.lex_state = 15, .external_lex_state = 2},
  [5469] = {.lex_state = 15, .external_lex_state = 2},
  [5470] = {.lex_state = 15, .external_lex_state = 2},
  [5471] = {.lex_state = 15, .external_lex_state = 2},
  [5472] = {.lex_state = 15, .external_lex_state = 2},
  [5473] = {.lex_state = 15, .external_lex_state = 2},
  [5474] = {.lex_state = 15, .external_lex_state = 2},
  [5475] = {.lex_state = 15, .external_lex_state = 2},
  [5476] = {.lex_state = 15, .external_lex_state = 2},
  [5477] = {.lex_state = 15, .external_lex_state = 2},
  [5478] = {.lex_state = 15, .external_lex_state = 2},
  [5479] = {.lex_state = 15, .external_lex_state = 2},
  [5480] = {.lex_state = 51, .external_lex_state = 2},
  [5481] = {.lex_state = 15, .external_lex_state = 2},
  [5482] = {.lex_state = 15, .external_lex_state = 2},
  [5483] = {.lex_state = 15, .external_lex_state = 2},
  [5484] = {.lex_state = 15, .external_lex_state = 2},
  [5485] = {.lex_state = 405, .external_lex_state = 2},
  [5486] = {.lex_state = 15, .external_lex_state = 2},
  [5487] = {.lex_state = 15, .external_lex_state = 2},
  [5488] = {.lex_state = 15, .external_lex_state = 2},
  [5489] = {.lex_state = 15, .external_lex_state = 2},
  [5490] = {.lex_state = 52, .external_lex_state = 2},
  [5491] = {.lex_state = 15, .external_lex_state = 2},
  [5492] = {.lex_state = 15, .external_lex_state = 2},
  [5493] = {.lex_state = 15, .external_lex_state = 2},
  [5494] = {.lex_state = 15, .external_lex_state = 2},
  [5495] = {.lex_state = 15, .external_lex_state = 2},
  [5496] = {.lex_state = 15, .external_lex_state = 2},
  [5497] = {.lex_state = 15, .external_lex_state = 2},
  [5498] = {.lex_state = 15, .external_lex_state = 2},
  [5499] = {.lex_state = 15, .external_lex_state = 2},
  [5500] = {.lex_state = 15, .external_lex_state = 2},
  [5501] = {.lex_state = 15, .external_lex_state = 2},
  [5502] = {.lex_state = 15, .external_lex_state = 2},
  [5503] = {.lex_state = 15, .external_lex_state = 2},
  [5504] = {.lex_state = 15, .external_lex_state = 2},
  [5505] = {.lex_state = 15, .external_lex_state = 2},
  [5506] = {.lex_state = 15, .external_lex_state = 2},
  [5507] = {.lex_state = 15, .external_lex_state = 2},
  [5508] = {.lex_state = 405, .external_lex_state = 2},
  [5509] = {.lex_state = 15, .external_lex_state = 2},
  [5510] = {.lex_state = 15, .external_lex_state = 2},
  [5511] = {.lex_state = 15, .external_lex_state = 2},
  [5512] = {.lex_state = 15, .external_lex_state = 2},
  [5513] = {.lex_state = 15, .external_lex_state = 2},
  [5514] = {.lex_state = 15, .external_lex_state = 2},
  [5515] = {.lex_state = 15, .external_lex_state = 2},
  [5516] = {.lex_state = 15, .external_lex_state = 2},
  [5517] = {.lex_state = 405, .external_lex_state = 2},
  [5518] = {.lex_state = 15, .external_lex_state = 2},
  [5519] = {.lex_state = 405, .external_lex_state = 2},
  [5520] = {.lex_state = 15, .external_lex_state = 2},
  [5521] = {.lex_state = 15, .external_lex_state = 2},
  [5522] = {.lex_state = 15, .external_lex_state = 2},
  [5523] = {.lex_state = 15, .external_lex_state = 2},
  [5524] = {.lex_state = 15, .external_lex_state = 2},
  [5525] = {.lex_state = 15, .external_lex_state = 2},
  [5526] = {.lex_state = 15, .external_lex_state = 2},
  [5527] = {.lex_state = 15, .external_lex_state = 2},
  [5528] = {.lex_state = 15, .external_lex_state = 2},
  [5529] = {.lex_state = 15, .external_lex_state = 2},
  [5530] = {.lex_state = 15, .external_lex_state = 2},
  [5531] = {.lex_state = 15, .external_lex_state = 2},
  [5532] = {.lex_state = 15, .external_lex_state = 2},
  [5533] = {.lex_state = 15, .external_lex_state = 2},
  [5534] = {.lex_state = 15, .external_lex_state = 2},
  [5535] = {.lex_state = 15, .external_lex_state = 2},
  [5536] = {.lex_state = 6, .external_lex_state = 2},
  [5537] = {.lex_state = 15, .external_lex_state = 2},
  [5538] = {.lex_state = 15, .external_lex_state = 2},
  [5539] = {.lex_state = 15, .external_lex_state = 2},
  [5540] = {.lex_state = 15, .external_lex_state = 2},
  [5541] = {.lex_state = 15, .external_lex_state = 2},
  [5542] = {.lex_state = 15, .external_lex_state = 2},
  [5543] = {.lex_state = 6, .external_lex_state = 2},
  [5544] = {.lex_state = 6, .external_lex_state = 2},
  [5545] = {.lex_state = 15, .external_lex_state = 2},
  [5546] = {.lex_state = 15, .external_lex_state = 2},
  [5547] = {.lex_state = 6, .external_lex_state = 2},
  [5548] = {.lex_state = 15, .external_lex_state = 2},
  [5549] = {.lex_state = 6, .external_lex_state = 2},
  [5550] = {.lex_state = 6, .external_lex_state = 2},
  [5551] = {.lex_state = 6, .external_lex_state = 2},
  [5552] = {.lex_state = 15, .external_lex_state = 2},
  [5553] = {.lex_state = 15, .external_lex_state = 2},
  [5554] = {.lex_state = 15, .external_lex_state = 2},
  [5555] = {.lex_state = 6, .external_lex_state = 2},
  [5556] = {.lex_state = 15, .external_lex_state = 2},
  [5557] = {.lex_state = 15, .external_lex_state = 2},
  [5558] = {.lex_state = 52, .external_lex_state = 2},
  [5559] = {.lex_state = 15, .external_lex_state = 2},
  [5560] = {.lex_state = 15, .external_lex_state = 2},
  [5561] = {.lex_state = 15, .external_lex_state = 2},
  [5562] = {.lex_state = 15, .external_lex_state = 2},
  [5563] = {.lex_state = 15, .external_lex_state = 2},
  [5564] = {.lex_state = 15, .external_lex_state = 2},
  [5565] = {.lex_state = 15, .external_lex_state = 2},
  [5566] = {.lex_state = 15, .external_lex_state = 2},
  [5567] = {.lex_state = 6, .external_lex_state = 2},
  [5568] = {.lex_state = 15, .external_lex_state = 2},
  [5569] = {.lex_state = 15, .external_lex_state = 2},
  [5570] = {.lex_state = 15, .external_lex_state = 2},
  [5571] = {.lex_state = 6, .external_lex_state = 2},
  [5572] = {.lex_state = 15, .external_lex_state = 2},
  [5573] = {.lex_state = 15, .external_lex_state = 2},
  [5574] = {.lex_state = 6, .external_lex_state = 2},
  [5575] = {.lex_state = 15, .external_lex_state = 2},
  [5576] = {.lex_state = 6, .external_lex_state = 2},
  [5577] = {.lex_state = 15, .external_lex_state = 2},
  [5578] = {.lex_state = 6, .external_lex_state = 2},
  [5579] = {.lex_state = 6, .external_lex_state = 2},
  [5580] = {.lex_state = 53, .external_lex_state = 2},
  [5581] = {.lex_state = 15, .external_lex_state = 2},
  [5582] = {.lex_state = 404, .external_lex_state = 2},
  [5583] = {.lex_state = 15, .external_lex_state = 2},
  [5584] = {.lex_state = 15, .external_lex_state = 2},
  [5585] = {.lex_state = 15, .external_lex_state = 2},
  [5586] = {.lex_state = 6, .external_lex_state = 2},
  [5587] = {.lex_state = 15, .external_lex_state = 2},
  [5588] = {.lex_state = 15, .external_lex_state = 2},
  [5589] = {.lex_state = 6, .external_lex_state = 2},
  [5590] = {.lex_state = 15, .external_lex_state = 2},
  [5591] = {.lex_state = 6, .external_lex_state = 2},
  [5592] = {.lex_state = 15, .external_lex_state = 2},
  [5593] = {.lex_state = 15, .external_lex_state = 2},
  [5594] = {.lex_state = 15, .external_lex_state = 2},
  [5595] = {.lex_state = 15, .external_lex_state = 2},
  [5596] = {.lex_state = 404, .external_lex_state = 2},
  [5597] = {.lex_state = 404, .external_lex_state = 2},
  [5598] = {.lex_state = 15, .external_lex_state = 2},
  [5599] = {.lex_state = 6, .external_lex_state = 2},
  [5600] = {.lex_state = 15, .external_lex_state = 2},
  [5601] = {.lex_state = 6, .external_lex_state = 2},
  [5602] = {.lex_state = 6, .external_lex_state = 2},
  [5603] = {.lex_state = 404, .external_lex_state = 2},
  [5604] = {.lex_state = 52, .external_lex_state = 2},
  [5605] = {.lex_state = 6, .external_lex_state = 2},
  [5606] = {.lex_state = 15, .external_lex_state = 2},
  [5607] = {.lex_state = 15, .external_lex_state = 2},
  [5608] = {.lex_state = 15, .external_lex_state = 2},
  [5609] = {.lex_state = 15, .external_lex_state = 2},
  [5610] = {.lex_state = 15, .external_lex_state = 2},
  [5611] = {.lex_state = 15, .external_lex_state = 2},
  [5612] = {.lex_state = 53, .external_lex_state = 2},
  [5613] = {.lex_state = 15, .external_lex_state = 2},
  [5614] = {.lex_state = 15, .external_lex_state = 2},
  [5615] = {.lex_state = 6, .external_lex_state = 2},
  [5616] = {.lex_state = 15, .external_lex_state = 2},
  [5617] = {.lex_state = 15, .external_lex_state = 2},
  [5618] = {.lex_state = 15, .external_lex_state = 2},
  [5619] = {.lex_state = 15, .external_lex_state = 2},
  [5620] = {.lex_state = 15, .external_lex_state = 2},
  [5621] = {.lex_state = 15, .external_lex_state = 2},
  [5622] = {.lex_state = 15, .external_lex_state = 2},
  [5623] = {.lex_state = 15, .external_lex_state = 2},
  [5624] = {.lex_state = 15, .external_lex_state = 2},
  [5625] = {.lex_state = 15, .external_lex_state = 2},
  [5626] = {.lex_state = 6, .external_lex_state = 2},
  [5627] = {.lex_state = 15, .external_lex_state = 2},
  [5628] = {.lex_state = 15, .external_lex_state = 2},
  [5629] = {.lex_state = 15, .external_lex_state = 2},
  [5630] = {.lex_state = 15, .external_lex_state = 2},
  [5631] = {.lex_state = 6, .external_lex_state = 2},
  [5632] = {.lex_state = 15, .external_lex_state = 2},
  [5633] = {.lex_state = 15, .external_lex_state = 2},
  [5634] = {.lex_state = 15, .external_lex_state = 2},
  [5635] = {.lex_state = 15, .external_lex_state = 2},
  [5636] = {.lex_state = 6, .external_lex_state = 2},
  [5637] = {.lex_state = 6, .external_lex_state = 2},
  [5638] = {.lex_state = 15, .external_lex_state = 2},
  [5639] = {.lex_state = 6, .external_lex_state = 2},
  [5640] = {.lex_state = 15, .external_lex_state = 2},
  [5641] = {.lex_state = 53, .external_lex_state = 2},
  [5642] = {.lex_state = 15, .external_lex_state = 2},
  [5643] = {.lex_state = 15, .external_lex_state = 2},
  [5644] = {.lex_state = 15, .external_lex_state = 2},
  [5645] = {.lex_state = 15, .external_lex_state = 2},
  [5646] = {.lex_state = 15, .external_lex_state = 2},
  [5647] = {.lex_state = 15, .external_lex_state = 2},
  [5648] = {.lex_state = 15, .external_lex_state = 2},
  [5649] = {.lex_state = 15, .external_lex_state = 2},
  [5650] = {.lex_state = 15, .external_lex_state = 2},
  [5651] = {.lex_state = 15, .external_lex_state = 2},
  [5652] = {.lex_state = 15, .external_lex_state = 2},
  [5653] = {.lex_state = 6, .external_lex_state = 2},
  [5654] = {.lex_state = 6, .external_lex_state = 2},
  [5655] = {.lex_state = 6, .external_lex_state = 2},
  [5656] = {.lex_state = 6, .external_lex_state = 2},
  [5657] = {.lex_state = 80, .external_lex_state = 2},
  [5658] = {.lex_state = 6, .external_lex_state = 2},
  [5659] = {.lex_state = 6, .external_lex_state = 2},
  [5660] = {.lex_state = 6, .external_lex_state = 2},
  [5661] = {.lex_state = 6, .external_lex_state = 2},
  [5662] = {.lex_state = 6, .external_lex_state = 2},
  [5663] = {.lex_state = 6, .external_lex_state = 2},
  [5664] = {.lex_state = 6, .external_lex_state = 2},
  [5665] = {.lex_state = 6, .external_lex_state = 2},
  [5666] = {.lex_state = 6, .external_lex_state = 2},
  [5667] = {.lex_state = 6, .external_lex_state = 2},
  [5668] = {.lex_state = 6, .external_lex_state = 2},
  [5669] = {.lex_state = 6, .external_lex_state = 2},
  [5670] = {.lex_state = 382, .external_lex_state = 2},
  [5671] = {.lex_state = 6, .external_lex_state = 2},
  [5672] = {.lex_state = 6, .external_lex_state = 2},
  [5673] = {.lex_state = 6, .external_lex_state = 2},
  [5674] = {.lex_state = 6, .external_lex_state = 2},
  [5675] = {.lex_state = 6, .external_lex_state = 2},
  [5676] = {.lex_state = 6, .external_lex_state = 2},
  [5677] = {.lex_state = 6, .external_lex_state = 2},
  [5678] = {.lex_state = 6, .external_lex_state = 2},
  [5679] = {.lex_state = 6, .external_lex_state = 2},
  [5680] = {.lex_state = 6, .external_lex_state = 2},
  [5681] = {.lex_state = 6, .external_lex_state = 2},
  [5682] = {.lex_state = 6, .external_lex_state = 2},
  [5683] = {.lex_state = 6, .external_lex_state = 2},
  [5684] = {.lex_state = 6, .external_lex_state = 2},
  [5685] = {.lex_state = 6, .external_lex_state = 2},
  [5686] = {.lex_state = 6, .external_lex_state = 2},
  [5687] = {.lex_state = 6, .external_lex_state = 2},
  [5688] = {.lex_state = 6, .external_lex_state = 2},
  [5689] = {.lex_state = 6, .external_lex_state = 2},
  [5690] = {.lex_state = 6, .external_lex_state = 2},
  [5691] = {.lex_state = 6, .external_lex_state = 2},
  [5692] = {.lex_state = 6, .external_lex_state = 2},
  [5693] = {.lex_state = 6, .external_lex_state = 2},
  [5694] = {.lex_state = 6, .external_lex_state = 2},
  [5695] = {.lex_state = 6, .external_lex_state = 2},
  [5696] = {.lex_state = 6, .external_lex_state = 2},
  [5697] = {.lex_state = 6, .external_lex_state = 2},
  [5698] = {.lex_state = 6, .external_lex_state = 2},
  [5699] = {.lex_state = 6, .external_lex_state = 2},
  [5700] = {.lex_state = 6, .external_lex_state = 2},
  [5701] = {.lex_state = 6, .external_lex_state = 2},
  [5702] = {.lex_state = 6, .external_lex_state = 2},
  [5703] = {.lex_state = 6, .external_lex_state = 2},
  [5704] = {.lex_state = 6, .external_lex_state = 2},
  [5705] = {.lex_state = 6, .external_lex_state = 2},
  [5706] = {.lex_state = 6, .external_lex_state = 2},
  [5707] = {.lex_state = 6, .external_lex_state = 2},
  [5708] = {.lex_state = 6, .external_lex_state = 2},
  [5709] = {.lex_state = 6, .external_lex_state = 2},
  [5710] = {.lex_state = 6, .external_lex_state = 2},
  [5711] = {.lex_state = 6, .external_lex_state = 2},
  [5712] = {.lex_state = 6, .external_lex_state = 2},
  [5713] = {.lex_state = 6, .external_lex_state = 2},
  [5714] = {.lex_state = 6, .external_lex_state = 2},
  [5715] = {.lex_state = 6, .external_lex_state = 2},
  [5716] = {.lex_state = 6, .external_lex_state = 2},
  [5717] = {.lex_state = 6, .external_lex_state = 2},
  [5718] = {.lex_state = 6, .external_lex_state = 2},
  [5719] = {.lex_state = 6, .external_lex_state = 2},
  [5720] = {.lex_state = 6, .external_lex_state = 2},
  [5721] = {.lex_state = 80, .external_lex_state = 2},
  [5722] = {.lex_state = 6, .external_lex_state = 2},
  [5723] = {.lex_state = 6, .external_lex_state = 2},
  [5724] = {.lex_state = 80, .external_lex_state = 2},
  [5725] = {.lex_state = 6, .external_lex_state = 2},
  [5726] = {.lex_state = 6, .external_lex_state = 2},
  [5727] = {.lex_state = 6, .external_lex_state = 2},
  [5728] = {.lex_state = 6, .external_lex_state = 2},
  [5729] = {.lex_state = 6, .external_lex_state = 2},
  [5730] = {.lex_state = 6, .external_lex_state = 2},
  [5731] = {.lex_state = 6, .external_lex_state = 2},
  [5732] = {.lex_state = 6, .external_lex_state = 2},
  [5733] = {.lex_state = 6, .external_lex_state = 2},
  [5734] = {.lex_state = 6, .external_lex_state = 2},
  [5735] = {.lex_state = 80, .external_lex_state = 2},
  [5736] = {.lex_state = 6, .external_lex_state = 2},
  [5737] = {.lex_state = 6, .external_lex_state = 2},
  [5738] = {.lex_state = 80, .external_lex_state = 2},
  [5739] = {.lex_state = 80, .external_lex_state = 2},
  [5740] = {.lex_state = 6, .external_lex_state = 2},
  [5741] = {.lex_state = 6, .external_lex_state = 2},
  [5742] = {.lex_state = 6, .external_lex_state = 2},
  [5743] = {.lex_state = 6, .external_lex_state = 2},
  [5744] = {.lex_state = 6, .external_lex_state = 2},
  [5745] = {.lex_state = 382, .external_lex_state = 2},
  [5746] = {.lex_state = 6, .external_lex_state = 2},
  [5747] = {.lex_state = 6, .external_lex_state = 2},
  [5748] = {.lex_state = 80, .external_lex_state = 2},
  [5749] = {.lex_state = 80, .external_lex_state = 2},
  [5750] = {.lex_state = 6, .external_lex_state = 2},
  [5751] = {.lex_state = 80, .external_lex_state = 2},
  [5752] = {.lex_state = 6, .external_lex_state = 2},
  [5753] = {.lex_state = 6, .external_lex_state = 2},
  [5754] = {.lex_state = 6, .external_lex_state = 2},
  [5755] = {.lex_state = 382, .external_lex_state = 2},
  [5756] = {.lex_state = 6, .external_lex_state = 2},
  [5757] = {.lex_state = 6, .external_lex_state = 2},
  [5758] = {.lex_state = 6, .external_lex_state = 2},
  [5759] = {.lex_state = 6, .external_lex_state = 2},
  [5760] = {.lex_state = 6, .external_lex_state = 2},
  [5761] = {.lex_state = 6, .external_lex_state = 2},
  [5762] = {.lex_state = 80, .external_lex_state = 2},
  [5763] = {.lex_state = 6, .external_lex_state = 2},
  [5764] = {.lex_state = 6, .external_lex_state = 2},
  [5765] = {.lex_state = 6, .external_lex_state = 2},
  [5766] = {.lex_state = 6, .external_lex_state = 2},
  [5767] = {.lex_state = 6, .external_lex_state = 2},
  [5768] = {.lex_state = 6, .external_lex_state = 2},
  [5769] = {.lex_state = 6, .external_lex_state = 2},
  [5770] = {.lex_state = 80, .external_lex_state = 2},
  [5771] = {.lex_state = 6, .external_lex_state = 2},
  [5772] = {.lex_state = 6, .external_lex_state = 2},
  [5773] = {.lex_state = 80, .external_lex_state = 2},
  [5774] = {.lex_state = 80, .external_lex_state = 2},
  [5775] = {.lex_state = 80, .external_lex_state = 2},
  [5776] = {.lex_state = 80, .external_lex_state = 2},
  [5777] = {.lex_state = 6, .external_lex_state = 2},
  [5778] = {.lex_state = 80, .external_lex_state = 2},
  [5779] = {.lex_state = 80, .external_lex_state = 2},
  [5780] = {.lex_state = 80, .external_lex_state = 2},
  [5781] = {.lex_state = 6, .external_lex_state = 2},
  [5782] = {.lex_state = 6, .external_lex_state = 2},
  [5783] = {.lex_state = 81, .external_lex_state = 2},
  [5784] = {.lex_state = 6, .external_lex_state = 2},
  [5785] = {.lex_state = 80, .external_lex_state = 2},
  [5786] = {.lex_state = 6, .external_lex_state = 2},
  [5787] = {.lex_state = 80, .external_lex_state = 2},
  [5788] = {.lex_state = 80, .external_lex_state = 2},
  [5789] = {.lex_state = 80, .external_lex_state = 2},
  [5790] = {.lex_state = 80, .external_lex_state = 2},
  [5791] = {.lex_state = 6, .external_lex_state = 2},
  [5792] = {.lex_state = 6, .external_lex_state = 2},
  [5793] = {.lex_state = 6, .external_lex_state = 2},
  [5794] = {.lex_state = 80, .external_lex_state = 2},
  [5795] = {.lex_state = 80, .external_lex_state = 2},
  [5796] = {.lex_state = 80, .external_lex_state = 2},
  [5797] = {.lex_state = 80, .external_lex_state = 2},
  [5798] = {.lex_state = 80, .external_lex_state = 2},
  [5799] = {.lex_state = 80, .external_lex_state = 2},
  [5800] = {.lex_state = 80, .external_lex_state = 2},
  [5801] = {.lex_state = 6, .external_lex_state = 2},
  [5802] = {.lex_state = 81, .external_lex_state = 2},
  [5803] = {.lex_state = 80, .external_lex_state = 2},
  [5804] = {.lex_state = 81, .external_lex_state = 2},
  [5805] = {.lex_state = 80, .external_lex_state = 2},
  [5806] = {.lex_state = 80, .external_lex_state = 2},
  [5807] = {.lex_state = 80, .external_lex_state = 2},
  [5808] = {.lex_state = 80, .external_lex_state = 2},
  [5809] = {.lex_state = 6, .external_lex_state = 2},
  [5810] = {.lex_state = 80, .external_lex_state = 2},
  [5811] = {.lex_state = 80, .external_lex_state = 2},
  [5812] = {.lex_state = 80, .external_lex_state = 2},
  [5813] = {.lex_state = 6, .external_lex_state = 2},
  [5814] = {.lex_state = 80, .external_lex_state = 2},
  [5815] = {.lex_state = 80, .external_lex_state = 2},
  [5816] = {.lex_state = 80, .external_lex_state = 2},
  [5817] = {.lex_state = 6, .external_lex_state = 2},
  [5818] = {.lex_state = 80, .external_lex_state = 2},
  [5819] = {.lex_state = 80, .external_lex_state = 2},
  [5820] = {.lex_state = 382, .external_lex_state = 2},
  [5821] = {.lex_state = 6, .external_lex_state = 2},
  [5822] = {.lex_state = 80, .external_lex_state = 2},
  [5823] = {.lex_state = 6, .external_lex_state = 2},
  [5824] = {.lex_state = 80, .external_lex_state = 2},
  [5825] = {.lex_state = 6, .external_lex_state = 2},
  [5826] = {.lex_state = 80, .external_lex_state = 2},
  [5827] = {.lex_state = 80, .external_lex_state = 2},
  [5828] = {.lex_state = 80, .external_lex_state = 2},
  [5829] = {.lex_state = 6, .external_lex_state = 2},
  [5830] = {.lex_state = 6, .external_lex_state = 2},
  [5831] = {.lex_state = 80, .external_lex_state = 2},
  [5832] = {.lex_state = 81, .external_lex_state = 2},
  [5833] = {.lex_state = 80, .external_lex_state = 2},
  [5834] = {.lex_state = 81, .external_lex_state = 2},
  [5835] = {.lex_state = 80, .external_lex_state = 2},
  [5836] = {.lex_state = 80, .external_lex_state = 2},
  [5837] = {.lex_state = 80, .external_lex_state = 2},
  [5838] = {.lex_state = 80, .external_lex_state = 2},
  [5839] = {.lex_state = 80, .external_lex_state = 2},
  [5840] = {.lex_state = 6, .external_lex_state = 2},
  [5841] = {.lex_state = 80, .external_lex_state = 2},
  [5842] = {.lex_state = 80, .external_lex_state = 2},
  [5843] = {.lex_state = 80, .external_lex_state = 2},
  [5844] = {.lex_state = 6, .external_lex_state = 2},
  [5845] = {.lex_state = 81, .external_lex_state = 2},
  [5846] = {.lex_state = 6, .external_lex_state = 2},
  [5847] = {.lex_state = 6, .external_lex_state = 2},
  [5848] = {.lex_state = 6, .external_lex_state = 2},
  [5849] = {.lex_state = 6, .external_lex_state = 2},
  [5850] = {.lex_state = 80, .external_lex_state = 2},
  [5851] = {.lex_state = 80, .external_lex_state = 2},
  [5852] = {.lex_state = 6, .external_lex_state = 2},
  [5853] = {.lex_state = 6, .external_lex_state = 2},
  [5854] = {.lex_state = 6, .external_lex_state = 2},
  [5855] = {.lex_state = 6, .external_lex_state = 2},
  [5856] = {.lex_state = 80, .external_lex_state = 2},
  [5857] = {.lex_state = 6, .external_lex_state = 2},
  [5858] = {.lex_state = 6, .external_lex_state = 2},
  [5859] = {.lex_state = 81, .external_lex_state = 2},
  [5860] = {.lex_state = 6, .external_lex_state = 2},
  [5861] = {.lex_state = 6, .external_lex_state = 2},
  [5862] = {.lex_state = 80, .external_lex_state = 2},
  [5863] = {.lex_state = 6, .external_lex_state = 2},
  [5864] = {.lex_state = 80, .external_lex_state = 2},
  [5865] = {.lex_state = 80, .external_lex_state = 2},
  [5866] = {.lex_state = 6, .external_lex_state = 2},
  [5867] = {.lex_state = 6, .external_lex_state = 2},
  [5868] = {.lex_state = 6, .external_lex_state = 2},
  [5869] = {.lex_state = 80, .external_lex_state = 2},
  [5870] = {.lex_state = 6, .external_lex_state = 2},
  [5871] = {.lex_state = 80, .external_lex_state = 2},
  [5872] = {.lex_state = 80, .external_lex_state = 2},
  [5873] = {.lex_state = 6, .external_lex_state = 2},
  [5874] = {.lex_state = 6, .external_lex_state = 2},
  [5875] = {.lex_state = 80, .external_lex_state = 2},
  [5876] = {.lex_state = 80, .external_lex_state = 2},
  [5877] = {.lex_state = 80, .external_lex_state = 2},
  [5878] = {.lex_state = 6, .external_lex_state = 2},
  [5879] = {.lex_state = 6, .external_lex_state = 2},
  [5880] = {.lex_state = 80, .external_lex_state = 2},
  [5881] = {.lex_state = 6, .external_lex_state = 2},
  [5882] = {.lex_state = 80, .external_lex_state = 2},
  [5883] = {.lex_state = 6, .external_lex_state = 2},
  [5884] = {.lex_state = 6, .external_lex_state = 2},
  [5885] = {.lex_state = 6, .external_lex_state = 2},
  [5886] = {.lex_state = 81, .external_lex_state = 2},
  [5887] = {.lex_state = 80, .external_lex_state = 2},
  [5888] = {.lex_state = 6, .external_lex_state = 2},
  [5889] = {.lex_state = 6, .external_lex_state = 2},
  [5890] = {.lex_state = 80, .external_lex_state = 2},
  [5891] = {.lex_state = 80, .external_lex_state = 2},
  [5892] = {.lex_state = 80, .external_lex_state = 2},
  [5893] = {.lex_state = 6, .external_lex_state = 2},
  [5894] = {.lex_state = 6, .external_lex_state = 2},
  [5895] = {.lex_state = 81, .external_lex_state = 2},
  [5896] = {.lex_state = 80, .external_lex_state = 2},
  [5897] = {.lex_state = 80, .external_lex_state = 2},
  [5898] = {.lex_state = 81, .external_lex_state = 2},
  [5899] = {.lex_state = 80, .external_lex_state = 2},
  [5900] = {.lex_state = 80, .external_lex_state = 2},
  [5901] = {.lex_state = 6, .external_lex_state = 2},
  [5902] = {.lex_state = 80, .external_lex_state = 2},
  [5903] = {.lex_state = 80, .external_lex_state = 2},
  [5904] = {.lex_state = 80, .external_lex_state = 2},
  [5905] = {.lex_state = 6, .external_lex_state = 2},
  [5906] = {.lex_state = 81, .external_lex_state = 2},
  [5907] = {.lex_state = 6, .external_lex_state = 2},
  [5908] = {.lex_state = 80, .external_lex_state = 2},
  [5909] = {.lex_state = 6, .external_lex_state = 2},
  [5910] = {.lex_state = 55, .external_lex_state = 2},
  [5911] = {.lex_state = 81, .external_lex_state = 2},
  [5912] = {.lex_state = 81, .external_lex_state = 2},
  [5913] = {.lex_state = 81, .external_lex_state = 2},
  [5914] = {.lex_state = 81, .external_lex_state = 2},
  [5915] = {.lex_state = 81, .external_lex_state = 2},
  [5916] = {.lex_state = 81, .external_lex_state = 2},
  [5917] = {.lex_state = 81, .external_lex_state = 2},
  [5918] = {.lex_state = 81, .external_lex_state = 2},
  [5919] = {.lex_state = 81, .external_lex_state = 2},
  [5920] = {.lex_state = 81, .external_lex_state = 2},
  [5921] = {.lex_state = 81, .external_lex_state = 2},
  [5922] = {.lex_state = 81, .external_lex_state = 2},
  [5923] = {.lex_state = 81, .external_lex_state = 2},
  [5924] = {.lex_state = 81, .external_lex_state = 2},
  [5925] = {.lex_state = 81, .external_lex_state = 2},
  [5926] = {.lex_state = 81, .external_lex_state = 2},
  [5927] = {.lex_state = 55, .external_lex_state = 2},
  [5928] = {.lex_state = 81, .external_lex_state = 2},
  [5929] = {.lex_state = 81, .external_lex_state = 2},
  [5930] = {.lex_state = 81, .external_lex_state = 2},
  [5931] = {.lex_state = 81, .external_lex_state = 2},
  [5932] = {.lex_state = 55, .external_lex_state = 2},
  [5933] = {.lex_state = 81, .external_lex_state = 2},
  [5934] = {.lex_state = 81, .external_lex_state = 2},
  [5935] = {.lex_state = 81, .external_lex_state = 2},
  [5936] = {.lex_state = 81, .external_lex_state = 2},
  [5937] = {.lex_state = 81, .external_lex_state = 2},
  [5938] = {.lex_state = 81, .external_lex_state = 2},
  [5939] = {.lex_state = 81, .external_lex_state = 2},
  [5940] = {.lex_state = 81, .external_lex_state = 2},
  [5941] = {.lex_state = 81, .external_lex_state = 2},
  [5942] = {.lex_state = 81, .external_lex_state = 2},
  [5943] = {.lex_state = 6, .external_lex_state = 2},
  [5944] = {.lex_state = 81, .external_lex_state = 2},
  [5945] = {.lex_state = 81, .external_lex_state = 2},
  [5946] = {.lex_state = 81, .external_lex_state = 2},
  [5947] = {.lex_state = 81, .external_lex_state = 2},
  [5948] = {.lex_state = 55, .external_lex_state = 2},
  [5949] = {.lex_state = 81, .external_lex_state = 2},
  [5950] = {.lex_state = 81, .external_lex_state = 2},
  [5951] = {.lex_state = 55, .external_lex_state = 2},
  [5952] = {.lex_state = 81, .external_lex_state = 2},
  [5953] = {.lex_state = 6, .external_lex_state = 2},
  [5954] = {.lex_state = 6, .external_lex_state = 2},
  [5955] = {.lex_state = 81, .external_lex_state = 2},
  [5956] = {.lex_state = 81, .external_lex_state = 2},
  [5957] = {.lex_state = 55, .external_lex_state = 2},
  [5958] = {.lex_state = 81, .external_lex_state = 2},
  [5959] = {.lex_state = 81, .external_lex_state = 2},
  [5960] = {.lex_state = 81, .external_lex_state = 2},
  [5961] = {.lex_state = 81, .external_lex_state = 2},
  [5962] = {.lex_state = 81, .external_lex_state = 2},
  [5963] = {.lex_state = 81, .external_lex_state = 2},
  [5964] = {.lex_state = 81, .external_lex_state = 2},
  [5965] = {.lex_state = 81, .external_lex_state = 2},
  [5966] = {.lex_state = 382, .external_lex_state = 2},
  [5967] = {.lex_state = 81, .external_lex_state = 2},
  [5968] = {.lex_state = 81, .external_lex_state = 2},
  [5969] = {.lex_state = 81, .external_lex_state = 2},
  [5970] = {.lex_state = 81, .external_lex_state = 2},
  [5971] = {.lex_state = 81, .external_lex_state = 2},
  [5972] = {.lex_state = 81, .external_lex_state = 2},
  [5973] = {.lex_state = 81, .external_lex_state = 2},
  [5974] = {.lex_state = 81, .external_lex_state = 2},
  [5975] = {.lex_state = 6, .external_lex_state = 2},
  [5976] = {.lex_state = 6, .external_lex_state = 2},
  [5977] = {.lex_state = 55, .external_lex_state = 2},
  [5978] = {.lex_state = 81, .external_lex_state = 2},
  [5979] = {.lex_state = 81, .external_lex_state = 2},
  [5980] = {.lex_state = 81, .external_lex_state = 2},
  [5981] = {.lex_state = 81, .external_lex_state = 2},
  [5982] = {.lex_state = 81, .external_lex_state = 2},
  [5983] = {.lex_state = 55, .external_lex_state = 2},
  [5984] = {.lex_state = 55, .external_lex_state = 2},
  [5985] = {.lex_state = 81, .external_lex_state = 2},
  [5986] = {.lex_state = 81, .external_lex_state = 2},
  [5987] = {.lex_state = 81, .external_lex_state = 2},
  [5988] = {.lex_state = 81, .external_lex_state = 2},
  [5989] = {.lex_state = 81, .external_lex_state = 2},
  [5990] = {.lex_state = 81, .external_lex_state = 2},
  [5991] = {.lex_state = 6, .external_lex_state = 2},
  [5992] = {.lex_state = 81, .external_lex_state = 2},
  [5993] = {.lex_state = 81, .external_lex_state = 2},
  [5994] = {.lex_state = 55, .external_lex_state = 2},
  [5995] = {.lex_state = 81, .external_lex_state = 2},
  [5996] = {.lex_state = 81, .external_lex_state = 2},
  [5997] = {.lex_state = 81, .external_lex_state = 2},
  [5998] = {.lex_state = 81, .external_lex_state = 2},
  [5999] = {.lex_state = 81, .external_lex_state = 2},
  [6000] = {.lex_state = 6, .external_lex_state = 2},
  [6001] = {.lex_state = 6, .external_lex_state = 2},
  [6002] = {.lex_state = 55, .external_lex_state = 2},
  [6003] = {.lex_state = 6, .external_lex_state = 2},
  [6004] = {.lex_state = 6, .external_lex_state = 2},
  [6005] = {.lex_state = 6, .external_lex_state = 2},
  [6006] = {.lex_state = 6, .external_lex_state = 2},
  [6007] = {.lex_state = 6, .external_lex_state = 2},
  [6008] = {.lex_state = 80, .external_lex_state = 2},
  [6009] = {.lex_state = 55, .external_lex_state = 2},
  [6010] = {.lex_state = 55, .external_lex_state = 2},
  [6011] = {.lex_state = 6, .external_lex_state = 2},
  [6012] = {.lex_state = 6, .external_lex_state = 2},
  [6013] = {.lex_state = 55, .external_lex_state = 2},
  [6014] = {.lex_state = 55, .external_lex_state = 2},
  [6015] = {.lex_state = 6, .external_lex_state = 2},
  [6016] = {.lex_state = 15, .external_lex_state = 2},
  [6017] = {.lex_state = 6, .external_lex_state = 2},
  [6018] = {.lex_state = 6, .external_lex_state = 2},
  [6019] = {.lex_state = 55, .external_lex_state = 2},
  [6020] = {.lex_state = 6, .external_lex_state = 2},
  [6021] = {.lex_state = 55, .external_lex_state = 2},
  [6022] = {.lex_state = 6, .external_lex_state = 2},
  [6023] = {.lex_state = 6, .external_lex_state = 2},
  [6024] = {.lex_state = 6, .external_lex_state = 2},
  [6025] = {.lex_state = 6, .external_lex_state = 2},
  [6026] = {.lex_state = 10, .external_lex_state = 2},
  [6027] = {.lex_state = 6, .external_lex_state = 2},
  [6028] = {.lex_state = 55, .external_lex_state = 2},
  [6029] = {.lex_state = 6, .external_lex_state = 2},
  [6030] = {.lex_state = 6, .external_lex_state = 2},
  [6031] = {.lex_state = 55, .external_lex_state = 2},
  [6032] = {.lex_state = 54, .external_lex_state = 2},
  [6033] = {.lex_state = 55, .external_lex_state = 2},
  [6034] = {.lex_state = 54, .external_lex_state = 2},
  [6035] = {.lex_state = 55, .external_lex_state = 2},
  [6036] = {.lex_state = 55, .external_lex_state = 2},
  [6037] = {.lex_state = 6, .external_lex_state = 2},
  [6038] = {.lex_state = 6, .external_lex_state = 2},
  [6039] = {.lex_state = 6, .external_lex_state = 2},
  [6040] = {.lex_state = 55, .external_lex_state = 2},
  [6041] = {.lex_state = 57, .external_lex_state = 2},
  [6042] = {.lex_state = 54, .external_lex_state = 2},
  [6043] = {.lex_state = 54, .external_lex_state = 2},
  [6044] = {.lex_state = 54, .external_lex_state = 2},
  [6045] = {.lex_state = 55, .external_lex_state = 2},
  [6046] = {.lex_state = 6, .external_lex_state = 2},
  [6047] = {.lex_state = 419, .external_lex_state = 2},
  [6048] = {.lex_state = 55, .external_lex_state = 2},
  [6049] = {.lex_state = 55, .external_lex_state = 2},
  [6050] = {.lex_state = 382, .external_lex_state = 2},
  [6051] = {.lex_state = 54, .external_lex_state = 2},
  [6052] = {.lex_state = 57, .external_lex_state = 2},
  [6053] = {.lex_state = 57, .external_lex_state = 2},
  [6054] = {.lex_state = 54, .external_lex_state = 2},
  [6055] = {.lex_state = 6, .external_lex_state = 2},
  [6056] = {.lex_state = 54, .external_lex_state = 2},
  [6057] = {.lex_state = 6, .external_lex_state = 2},
  [6058] = {.lex_state = 57, .external_lex_state = 2},
  [6059] = {.lex_state = 55, .external_lex_state = 2},
  [6060] = {.lex_state = 57, .external_lex_state = 2},
  [6061] = {.lex_state = 55, .external_lex_state = 2},
  [6062] = {.lex_state = 6, .external_lex_state = 2},
  [6063] = {.lex_state = 6, .external_lex_state = 2},
  [6064] = {.lex_state = 15, .external_lex_state = 2},
  [6065] = {.lex_state = 6, .external_lex_state = 2},
  [6066] = {.lex_state = 6, .external_lex_state = 2},
  [6067] = {.lex_state = 55, .external_lex_state = 2},
  [6068] = {.lex_state = 6, .external_lex_state = 2},
  [6069] = {.lex_state = 6, .external_lex_state = 2},
  [6070] = {.lex_state = 6, .external_lex_state = 2},
  [6071] = {.lex_state = 55, .external_lex_state = 2},
  [6072] = {.lex_state = 6, .external_lex_state = 2},
  [6073] = {.lex_state = 55, .external_lex_state = 2},
  [6074] = {.lex_state = 6, .external_lex_state = 2},
  [6075] = {.lex_state = 55, .external_lex_state = 2},
  [6076] = {.lex_state = 6, .external_lex_state = 2},
  [6077] = {.lex_state = 55, .external_lex_state = 2},
  [6078] = {.lex_state = 6, .external_lex_state = 2},
  [6079] = {.lex_state = 6, .external_lex_state = 2},
  [6080] = {.lex_state = 55, .external_lex_state = 2},
  [6081] = {.lex_state = 55, .external_lex_state = 2},
  [6082] = {.lex_state = 55, .external_lex_state = 2},
  [6083] = {.lex_state = 55, .external_lex_state = 2},
  [6084] = {.lex_state = 55, .external_lex_state = 2},
  [6085] = {.lex_state = 6, .external_lex_state = 2},
  [6086] = {.lex_state = 54, .external_lex_state = 2},
  [6087] = {.lex_state = 55, .external_lex_state = 2},
  [6088] = {.lex_state = 6, .external_lex_state = 2},
  [6089] = {.lex_state = 55, .external_lex_state = 2},
  [6090] = {.lex_state = 55, .external_lex_state = 2},
  [6091] = {.lex_state = 55, .external_lex_state = 2},
  [6092] = {.lex_state = 55, .external_lex_state = 2},
  [6093] = {.lex_state = 6, .external_lex_state = 2},
  [6094] = {.lex_state = 55, .external_lex_state = 2},
  [6095] = {.lex_state = 55, .external_lex_state = 2},
  [6096] = {.lex_state = 6, .external_lex_state = 2},
  [6097] = {.lex_state = 55, .external_lex_state = 2},
  [6098] = {.lex_state = 55, .external_lex_state = 2},
  [6099] = {.lex_state = 55, .external_lex_state = 2},
  [6100] = {.lex_state = 55, .external_lex_state = 2},
  [6101] = {.lex_state = 6, .external_lex_state = 2},
  [6102] = {.lex_state = 6, .external_lex_state = 2},
  [6103] = {.lex_state = 6, .external_lex_state = 2},
  [6104] = {.lex_state = 55, .external_lex_state = 2},
  [6105] = {.lex_state = 55, .external_lex_state = 2},
  [6106] = {.lex_state = 6, .external_lex_state = 2},
  [6107] = {.lex_state = 6, .external_lex_state = 2},
  [6108] = {.lex_state = 55, .external_lex_state = 2},
  [6109] = {.lex_state = 55, .external_lex_state = 2},
  [6110] = {.lex_state = 55, .external_lex_state = 2},
  [6111] = {.lex_state = 6, .external_lex_state = 2},
  [6112] = {.lex_state = 55, .external_lex_state = 2},
  [6113] = {.lex_state = 55, .external_lex_state = 2},
  [6114] = {.lex_state = 6, .external_lex_state = 2},
  [6115] = {.lex_state = 6, .external_lex_state = 2},
  [6116] = {.lex_state = 6, .external_lex_state = 2},
  [6117] = {.lex_state = 55, .external_lex_state = 2},
  [6118] = {.lex_state = 55, .external_lex_state = 2},
  [6119] = {.lex_state = 55, .external_lex_state = 2},
  [6120] = {.lex_state = 55, .external_lex_state = 2},
  [6121] = {.lex_state = 55, .external_lex_state = 2},
  [6122] = {.lex_state = 55, .external_lex_state = 2},
  [6123] = {.lex_state = 57, .external_lex_state = 2},
  [6124] = {.lex_state = 57, .external_lex_state = 2},
  [6125] = {.lex_state = 55, .external_lex_state = 2},
  [6126] = {.lex_state = 6, .external_lex_state = 2},
  [6127] = {.lex_state = 54, .external_lex_state = 2},
  [6128] = {.lex_state = 57, .external_lex_state = 2},
  [6129] = {.lex_state = 55, .external_lex_state = 2},
  [6130] = {.lex_state = 55, .external_lex_state = 2},
  [6131] = {.lex_state = 55, .external_lex_state = 2},
  [6132] = {.lex_state = 55, .external_lex_state = 2},
  [6133] = {.lex_state = 54, .external_lex_state = 2},
  [6134] = {.lex_state = 55, .external_lex_state = 2},
  [6135] = {.lex_state = 55, .external_lex_state = 2},
  [6136] = {.lex_state = 55, .external_lex_state = 2},
  [6137] = {.lex_state = 6, .external_lex_state = 2},
  [6138] = {.lex_state = 55, .external_lex_state = 2},
  [6139] = {.lex_state = 55, .external_lex_state = 2},
  [6140] = {.lex_state = 55, .external_lex_state = 2},
  [6141] = {.lex_state = 6, .external_lex_state = 2},
  [6142] = {.lex_state = 57, .external_lex_state = 2},
  [6143] = {.lex_state = 55, .external_lex_state = 2},
  [6144] = {.lex_state = 55, .external_lex_state = 2},
  [6145] = {.lex_state = 15, .external_lex_state = 2},
  [6146] = {.lex_state = 6, .external_lex_state = 2},
  [6147] = {.lex_state = 419, .external_lex_state = 2},
  [6148] = {.lex_state = 6, .external_lex_state = 2},
  [6149] = {.lex_state = 6, .external_lex_state = 2},
  [6150] = {.lex_state = 55, .external_lex_state = 2},
  [6151] = {.lex_state = 55, .external_lex_state = 2},
  [6152] = {.lex_state = 55, .external_lex_state = 2},
  [6153] = {.lex_state = 6, .external_lex_state = 2},
  [6154] = {.lex_state = 6, .external_lex_state = 2},
  [6155] = {.lex_state = 57, .external_lex_state = 2},
  [6156] = {.lex_state = 55, .external_lex_state = 2},
  [6157] = {.lex_state = 6, .external_lex_state = 2},
  [6158] = {.lex_state = 55, .external_lex_state = 2},
  [6159] = {.lex_state = 55, .external_lex_state = 2},
  [6160] = {.lex_state = 55, .external_lex_state = 2},
  [6161] = {.lex_state = 56, .external_lex_state = 2},
  [6162] = {.lex_state = 54, .external_lex_state = 2},
  [6163] = {.lex_state = 57, .external_lex_state = 2},
  [6164] = {.lex_state = 420, .external_lex_state = 2},
  [6165] = {.lex_state = 57, .external_lex_state = 2},
  [6166] = {.lex_state = 421, .external_lex_state = 2},
  [6167] = {.lex_state = 56, .external_lex_state = 2},
  [6168] = {.lex_state = 56, .external_lex_state = 2},
  [6169] = {.lex_state = 55, .external_lex_state = 2},
  [6170] = {.lex_state = 56, .external_lex_state = 2},
  [6171] = {.lex_state = 54, .external_lex_state = 2},
  [6172] = {.lex_state = 56, .external_lex_state = 2},
  [6173] = {.lex_state = 56, .external_lex_state = 2},
  [6174] = {.lex_state = 56, .external_lex_state = 2},
  [6175] = {.lex_state = 56, .external_lex_state = 2},
  [6176] = {.lex_state = 421, .external_lex_state = 2},
  [6177] = {.lex_state = 420, .external_lex_state = 2},
  [6178] = {.lex_state = 57, .external_lex_state = 2},
  [6179] = {.lex_state = 57, .external_lex_state = 2},
  [6180] = {.lex_state = 57, .external_lex_state = 2},
  [6181] = {.lex_state = 143, .external_lex_state = 2},
  [6182] = {.lex_state = 54, .external_lex_state = 2},
  [6183] = {.lex_state = 57, .external_lex_state = 2},
  [6184] = {.lex_state = 57, .external_lex_state = 2},
  [6185] = {.lex_state = 421, .external_lex_state = 2},
  [6186] = {.lex_state = 57, .external_lex_state = 2},
  [6187] = {.lex_state = 421, .external_lex_state = 2},
  [6188] = {.lex_state = 57, .external_lex_state = 2},
  [6189] = {.lex_state = 57, .external_lex_state = 2},
  [6190] = {.lex_state = 57, .external_lex_state = 2},
  [6191] = {.lex_state = 57, .external_lex_state = 2},
  [6192] = {.lex_state = 57, .external_lex_state = 2},
  [6193] = {.lex_state = 54, .external_lex_state = 2},
  [6194] = {.lex_state = 57, .external_lex_state = 2},
  [6195] = {.lex_state = 57, .external_lex_state = 2},
  [6196] = {.lex_state = 57, .external_lex_state = 2},
  [6197] = {.lex_state = 57, .external_lex_state = 2},
  [6198] = {.lex_state = 10, .external_lex_state = 2},
  [6199] = {.lex_state = 56, .external_lex_state = 2},
  [6200] = {.lex_state = 412, .external_lex_state = 3},
  [6201] = {.lex_state = 57, .external_lex_state = 2},
  [6202] = {.lex_state = 56, .external_lex_state = 2},
  [6203] = {.lex_state = 57, .external_lex_state = 2},
  [6204] = {.lex_state = 57, .external_lex_state = 2},
  [6205] = {.lex_state = 54, .external_lex_state = 2},
  [6206] = {.lex_state = 54, .external_lex_state = 2},
  [6207] = {.lex_state = 54, .external_lex_state = 2},
  [6208] = {.lex_state = 57, .external_lex_state = 2},
  [6209] = {.lex_state = 54, .external_lex_state = 2},
  [6210] = {.lex_state = 54, .external_lex_state = 2},
  [6211] = {.lex_state = 54, .external_lex_state = 2},
  [6212] = {.lex_state = 57, .external_lex_state = 2},
  [6213] = {.lex_state = 412, .external_lex_state = 3},
  [6214] = {.lex_state = 54, .external_lex_state = 2},
  [6215] = {.lex_state = 54, .external_lex_state = 2},
  [6216] = {.lex_state = 54, .external_lex_state = 2},
  [6217] = {.lex_state = 419, .external_lex_state = 2},
  [6218] = {.lex_state = 54, .external_lex_state = 2},
  [6219] = {.lex_state = 54, .external_lex_state = 2},
  [6220] = {.lex_state = 57, .external_lex_state = 2},
  [6221] = {.lex_state = 57, .external_lex_state = 2},
  [6222] = {.lex_state = 57, .external_lex_state = 2},
  [6223] = {.lex_state = 54, .external_lex_state = 2},
  [6224] = {.lex_state = 56, .external_lex_state = 2},
  [6225] = {.lex_state = 57, .external_lex_state = 2},
  [6226] = {.lex_state = 143, .external_lex_state = 2},
  [6227] = {.lex_state = 57, .external_lex_state = 2},
  [6228] = {.lex_state = 57, .external_lex_state = 2},
  [6229] = {.lex_state = 57, .external_lex_state = 2},
  [6230] = {.lex_state = 54, .external_lex_state = 2},
  [6231] = {.lex_state = 57, .external_lex_state = 2},
  [6232] = {.lex_state = 54, .external_lex_state = 2},
  [6233] = {.lex_state = 54, .external_lex_state = 2},
  [6234] = {.lex_state = 57, .external_lex_state = 2},
  [6235] = {.lex_state = 421, .external_lex_state = 2},
  [6236] = {.lex_state = 54, .external_lex_state = 2},
  [6237] = {.lex_state = 57, .external_lex_state = 2},
  [6238] = {.lex_state = 54, .external_lex_state = 2},
  [6239] = {.lex_state = 54, .external_lex_state = 2},
  [6240] = {.lex_state = 54, .external_lex_state = 2},
  [6241] = {.lex_state = 54, .external_lex_state = 2},
  [6242] = {.lex_state = 54, .external_lex_state = 2},
  [6243] = {.lex_state = 54, .external_lex_state = 2},
  [6244] = {.lex_state = 54, .external_lex_state = 2},
  [6245] = {.lex_state = 57, .external_lex_state = 2},
  [6246] = {.lex_state = 54, .external_lex_state = 2},
  [6247] = {.lex_state = 54, .external_lex_state = 2},
  [6248] = {.lex_state = 57, .external_lex_state = 2},
  [6249] = {.lex_state = 54, .external_lex_state = 2},
  [6250] = {.lex_state = 57, .external_lex_state = 2},
  [6251] = {.lex_state = 57, .external_lex_state = 2},
  [6252] = {.lex_state = 421, .external_lex_state = 2},
  [6253] = {.lex_state = 54, .external_lex_state = 2},
  [6254] = {.lex_state = 57, .external_lex_state = 2},
  [6255] = {.lex_state = 54, .external_lex_state = 2},
  [6256] = {.lex_state = 54, .external_lex_state = 2},
  [6257] = {.lex_state = 57, .external_lex_state = 2},
  [6258] = {.lex_state = 57, .external_lex_state = 2},
  [6259] = {.lex_state = 54, .external_lex_state = 2},
  [6260] = {.lex_state = 54, .external_lex_state = 2},
  [6261] = {.lex_state = 54, .external_lex_state = 2},
  [6262] = {.lex_state = 54, .external_lex_state = 2},
  [6263] = {.lex_state = 57, .external_lex_state = 2},
  [6264] = {.lex_state = 57, .external_lex_state = 2},
  [6265] = {.lex_state = 57, .external_lex_state = 2},
  [6266] = {.lex_state = 57, .external_lex_state = 2},
  [6267] = {.lex_state = 57, .external_lex_state = 2},
  [6268] = {.lex_state = 54, .external_lex_state = 2},
  [6269] = {.lex_state = 57, .external_lex_state = 2},
  [6270] = {.lex_state = 54, .external_lex_state = 2},
  [6271] = {.lex_state = 57, .external_lex_state = 2},
  [6272] = {.lex_state = 54, .external_lex_state = 2},
  [6273] = {.lex_state = 54, .external_lex_state = 2},
  [6274] = {.lex_state = 419, .external_lex_state = 2},
  [6275] = {.lex_state = 412, .external_lex_state = 3},
  [6276] = {.lex_state = 57, .external_lex_state = 2},
  [6277] = {.lex_state = 57, .external_lex_state = 2},
  [6278] = {.lex_state = 54, .external_lex_state = 2},
  [6279] = {.lex_state = 54, .external_lex_state = 2},
  [6280] = {.lex_state = 57, .external_lex_state = 2},
  [6281] = {.lex_state = 54, .external_lex_state = 2},
  [6282] = {.lex_state = 54, .external_lex_state = 2},
  [6283] = {.lex_state = 57, .external_lex_state = 2},
  [6284] = {.lex_state = 57, .external_lex_state = 2},
  [6285] = {.lex_state = 54, .external_lex_state = 2},
  [6286] = {.lex_state = 57, .external_lex_state = 2},
  [6287] = {.lex_state = 54, .external_lex_state = 2},
  [6288] = {.lex_state = 54, .external_lex_state = 2},
  [6289] = {.lex_state = 421, .external_lex_state = 2},
  [6290] = {.lex_state = 54, .external_lex_state = 2},
  [6291] = {.lex_state = 57, .external_lex_state = 2},
  [6292] = {.lex_state = 57, .external_lex_state = 2},
  [6293] = {.lex_state = 57, .external_lex_state = 2},
  [6294] = {.lex_state = 421, .external_lex_state = 2},
  [6295] = {.lex_state = 421, .external_lex_state = 2},
  [6296] = {.lex_state = 419, .external_lex_state = 2},
  [6297] = {.lex_state = 54, .external_lex_state = 2},
  [6298] = {.lex_state = 57, .external_lex_state = 2},
  [6299] = {.lex_state = 57, .external_lex_state = 2},
  [6300] = {.lex_state = 57, .external_lex_state = 2},
  [6301] = {.lex_state = 54, .external_lex_state = 2},
  [6302] = {.lex_state = 57, .external_lex_state = 2},
  [6303] = {.lex_state = 81, .external_lex_state = 2},
  [6304] = {.lex_state = 54, .external_lex_state = 2},
  [6305] = {.lex_state = 54, .external_lex_state = 2},
  [6306] = {.lex_state = 57, .external_lex_state = 2},
  [6307] = {.lex_state = 57, .external_lex_state = 2},
  [6308] = {.lex_state = 54, .external_lex_state = 2},
  [6309] = {.lex_state = 54, .external_lex_state = 2},
  [6310] = {.lex_state = 54, .external_lex_state = 2},
  [6311] = {.lex_state = 80, .external_lex_state = 2},
  [6312] = {.lex_state = 54, .external_lex_state = 2},
  [6313] = {.lex_state = 54, .external_lex_state = 2},
  [6314] = {.lex_state = 80, .external_lex_state = 2},
  [6315] = {.lex_state = 54, .external_lex_state = 2},
  [6316] = {.lex_state = 419, .external_lex_state = 2},
  [6317] = {.lex_state = 54, .external_lex_state = 2},
  [6318] = {.lex_state = 57, .external_lex_state = 2},
  [6319] = {.lex_state = 54, .external_lex_state = 2},
  [6320] = {.lex_state = 54, .external_lex_state = 2},
  [6321] = {.lex_state = 57, .external_lex_state = 2},
  [6322] = {.lex_state = 54, .external_lex_state = 2},
  [6323] = {.lex_state = 57, .external_lex_state = 2},
  [6324] = {.lex_state = 57, .external_lex_state = 2},
  [6325] = {.lex_state = 421, .external_lex_state = 2},
  [6326] = {.lex_state = 54, .external_lex_state = 2},
  [6327] = {.lex_state = 57, .external_lex_state = 2},
  [6328] = {.lex_state = 57, .external_lex_state = 2},
  [6329] = {.lex_state = 54, .external_lex_state = 2},
  [6330] = {.lex_state = 421, .external_lex_state = 2},
  [6331] = {.lex_state = 54, .external_lex_state = 2},
  [6332] = {.lex_state = 54, .external_lex_state = 2},
  [6333] = {.lex_state = 57, .external_lex_state = 2},
  [6334] = {.lex_state = 54, .external_lex_state = 2},
  [6335] = {.lex_state = 54, .external_lex_state = 2},
  [6336] = {.lex_state = 57, .external_lex_state = 2},
  [6337] = {.lex_state = 54, .external_lex_state = 2},
  [6338] = {.lex_state = 57, .external_lex_state = 2},
  [6339] = {.lex_state = 57, .external_lex_state = 2},
  [6340] = {.lex_state = 54, .external_lex_state = 2},
  [6341] = {.lex_state = 57, .external_lex_state = 2},
  [6342] = {.lex_state = 54, .external_lex_state = 2},
  [6343] = {.lex_state = 147, .external_lex_state = 2},
  [6344] = {.lex_state = 143, .external_lex_state = 2},
  [6345] = {.lex_state = 419, .external_lex_state = 2},
  [6346] = {.lex_state = 81, .external_lex_state = 2},
  [6347] = {.lex_state = 419, .external_lex_state = 2},
  [6348] = {.lex_state = 419, .external_lex_state = 2},
  [6349] = {.lex_state = 56, .external_lex_state = 2},
  [6350] = {.lex_state = 419, .external_lex_state = 2},
  [6351] = {.lex_state = 419, .external_lex_state = 2},
  [6352] = {.lex_state = 419, .external_lex_state = 2},
  [6353] = {.lex_state = 56, .external_lex_state = 2},
  [6354] = {.lex_state = 419, .external_lex_state = 2},
  [6355] = {.lex_state = 419, .external_lex_state = 2},
  [6356] = {.lex_state = 419, .external_lex_state = 2},
  [6357] = {.lex_state = 419, .external_lex_state = 2},
  [6358] = {.lex_state = 419, .external_lex_state = 2},
  [6359] = {.lex_state = 419, .external_lex_state = 2},
  [6360] = {.lex_state = 419, .external_lex_state = 2},
  [6361] = {.lex_state = 419, .external_lex_state = 2},
  [6362] = {.lex_state = 56, .external_lex_state = 2},
  [6363] = {.lex_state = 56, .external_lex_state = 2},
  [6364] = {.lex_state = 419, .external_lex_state = 2},
  [6365] = {.lex_state = 56, .external_lex_state = 2},
  [6366] = {.lex_state = 419, .external_lex_state = 2},
  [6367] = {.lex_state = 419, .external_lex_state = 2},
  [6368] = {.lex_state = 56, .external_lex_state = 2},
  [6369] = {.lex_state = 56, .external_lex_state = 2},
  [6370] = {.lex_state = 56, .external_lex_state = 2},
  [6371] = {.lex_state = 419, .external_lex_state = 2},
  [6372] = {.lex_state = 422, .external_lex_state = 2},
  [6373] = {.lex_state = 422, .external_lex_state = 2},
  [6374] = {.lex_state = 56, .external_lex_state = 2},
  [6375] = {.lex_state = 56, .external_lex_state = 2},
  [6376] = {.lex_state = 419, .external_lex_state = 2},
  [6377] = {.lex_state = 422, .external_lex_state = 2},
  [6378] = {.lex_state = 56, .external_lex_state = 2},
  [6379] = {.lex_state = 422, .external_lex_state = 2},
  [6380] = {.lex_state = 422, .external_lex_state = 2},
  [6381] = {.lex_state = 419, .external_lex_state = 2},
  [6382] = {.lex_state = 422, .external_lex_state = 2},
  [6383] = {.lex_state = 419, .external_lex_state = 2},
  [6384] = {.lex_state = 419, .external_lex_state = 2},
  [6385] = {.lex_state = 422, .external_lex_state = 2},
  [6386] = {.lex_state = 422, .external_lex_state = 2},
  [6387] = {.lex_state = 422, .external_lex_state = 2},
  [6388] = {.lex_state = 121, .external_lex_state = 2},
  [6389] = {.lex_state = 56, .external_lex_state = 2},
  [6390] = {.lex_state = 56, .external_lex_state = 2},
  [6391] = {.lex_state = 56, .external_lex_state = 2},
  [6392] = {.lex_state = 144, .external_lex_state = 2},
  [6393] = {.lex_state = 56, .external_lex_state = 2},
  [6394] = {.lex_state = 419, .external_lex_state = 2},
  [6395] = {.lex_state = 419, .external_lex_state = 2},
  [6396] = {.lex_state = 419, .external_lex_state = 2},
  [6397] = {.lex_state = 56, .external_lex_state = 2},
  [6398] = {.lex_state = 422, .external_lex_state = 2},
  [6399] = {.lex_state = 419, .external_lex_state = 2},
  [6400] = {.lex_state = 422, .external_lex_state = 2},
  [6401] = {.lex_state = 419, .external_lex_state = 2},
  [6402] = {.lex_state = 56, .external_lex_state = 2},
  [6403] = {.lex_state = 419, .external_lex_state = 2},
  [6404] = {.lex_state = 144, .external_lex_state = 2},
  [6405] = {.lex_state = 56, .external_lex_state = 2},
  [6406] = {.lex_state = 56, .external_lex_state = 2},
  [6407] = {.lex_state = 143, .external_lex_state = 2},
  [6408] = {.lex_state = 56, .external_lex_state = 2},
  [6409] = {.lex_state = 419, .external_lex_state = 2},
  [6410] = {.lex_state = 56, .external_lex_state = 2},
  [6411] = {.lex_state = 56, .external_lex_state = 2},
  [6412] = {.lex_state = 56, .external_lex_state = 2},
  [6413] = {.lex_state = 419, .external_lex_state = 2},
  [6414] = {.lex_state = 147, .external_lex_state = 2},
  [6415] = {.lex_state = 419, .external_lex_state = 2},
  [6416] = {.lex_state = 419, .external_lex_state = 2},
  [6417] = {.lex_state = 419, .external_lex_state = 2},
  [6418] = {.lex_state = 56, .external_lex_state = 2},
  [6419] = {.lex_state = 419, .external_lex_state = 2},
  [6420] = {.lex_state = 56, .external_lex_state = 2},
  [6421] = {.lex_state = 56, .external_lex_state = 2},
  [6422] = {.lex_state = 56, .external_lex_state = 2},
  [6423] = {.lex_state = 56, .external_lex_state = 2},
  [6424] = {.lex_state = 147, .external_lex_state = 2},
  [6425] = {.lex_state = 419, .external_lex_state = 2},
  [6426] = {.lex_state = 56, .external_lex_state = 2},
  [6427] = {.lex_state = 56, .external_lex_state = 2},
  [6428] = {.lex_state = 147, .external_lex_state = 2},
  [6429] = {.lex_state = 56, .external_lex_state = 2},
  [6430] = {.lex_state = 419, .external_lex_state = 2},
  [6431] = {.lex_state = 419, .external_lex_state = 2},
  [6432] = {.lex_state = 56, .external_lex_state = 2},
  [6433] = {.lex_state = 419, .external_lex_state = 2},
  [6434] = {.lex_state = 56, .external_lex_state = 2},
  [6435] = {.lex_state = 56, .external_lex_state = 2},
  [6436] = {.lex_state = 419, .external_lex_state = 2},
  [6437] = {.lex_state = 420, .external_lex_state = 2},
  [6438] = {.lex_state = 56, .external_lex_state = 2},
  [6439] = {.lex_state = 147, .external_lex_state = 2},
  [6440] = {.lex_state = 81, .external_lex_state = 2},
  [6441] = {.lex_state = 56, .external_lex_state = 2},
  [6442] = {.lex_state = 419, .external_lex_state = 2},
  [6443] = {.lex_state = 420, .external_lex_state = 2},
  [6444] = {.lex_state = 420, .external_lex_state = 2},
  [6445] = {.lex_state = 56, .external_lex_state = 2},
  [6446] = {.lex_state = 56, .external_lex_state = 2},
  [6447] = {.lex_state = 56, .external_lex_state = 2},
  [6448] = {.lex_state = 419, .external_lex_state = 2},
  [6449] = {.lex_state = 56, .external_lex_state = 2},
  [6450] = {.lex_state = 56, .external_lex_state = 2},
  [6451] = {.lex_state = 419, .external_lex_state = 2},
  [6452] = {.lex_state = 147, .external_lex_state = 2},
  [6453] = {.lex_state = 56, .external_lex_state = 2},
  [6454] = {.lex_state = 56, .external_lex_state = 2},
  [6455] = {.lex_state = 57, .external_lex_state = 2},
  [6456] = {.lex_state = 56, .external_lex_state = 2},
  [6457] = {.lex_state = 56, .external_lex_state = 2},
  [6458] = {.lex_state = 147, .external_lex_state = 2},
  [6459] = {.lex_state = 56, .external_lex_state = 2},
  [6460] = {.lex_state = 56, .external_lex_state = 2},
  [6461] = {.lex_state = 56, .external_lex_state = 2},
  [6462] = {.lex_state = 56, .external_lex_state = 2},
  [6463] = {.lex_state = 420, .external_lex_state = 2},
  [6464] = {.lex_state = 56, .external_lex_state = 2},
  [6465] = {.lex_state = 147, .external_lex_state = 2},
  [6466] = {.lex_state = 143, .external_lex_state = 2},
  [6467] = {.lex_state = 147, .external_lex_state = 2},
  [6468] = {.lex_state = 56, .external_lex_state = 2},
  [6469] = {.lex_state = 147, .external_lex_state = 2},
  [6470] = {.lex_state = 56, .external_lex_state = 2},
  [6471] = {.lex_state = 56, .external_lex_state = 2},
  [6472] = {.lex_state = 56, .external_lex_state = 2},
  [6473] = {.lex_state = 56, .external_lex_state = 2},
  [6474] = {.lex_state = 56, .external_lex_state = 2},
  [6475] = {.lex_state = 56, .external_lex_state = 2},
  [6476] = {.lex_state = 56, .external_lex_state = 2},
  [6477] = {.lex_state = 419, .external_lex_state = 2},
  [6478] = {.lex_state = 419, .external_lex_state = 2},
  [6479] = {.lex_state = 56, .external_lex_state = 2},
  [6480] = {.lex_state = 419, .external_lex_state = 2},
  [6481] = {.lex_state = 56, .external_lex_state = 2},
  [6482] = {.lex_state = 56, .external_lex_state = 2},
  [6483] = {.lex_state = 56, .external_lex_state = 2},
  [6484] = {.lex_state = 56, .external_lex_state = 2},
  [6485] = {.lex_state = 56, .external_lex_state = 2},
  [6486] = {.lex_state = 56, .external_lex_state = 2},
  [6487] = {.lex_state = 56, .external_lex_state = 2},
  [6488] = {.lex_state = 147, .external_lex_state = 2},
  [6489] = {.lex_state = 56, .external_lex_state = 2},
  [6490] = {.lex_state = 56, .external_lex_state = 2},
  [6491] = {.lex_state = 419, .external_lex_state = 2},
  [6492] = {.lex_state = 419, .external_lex_state = 2},
  [6493] = {.lex_state = 56, .external_lex_state = 2},
  [6494] = {.lex_state = 143, .external_lex_state = 2},
  [6495] = {.lex_state = 56, .external_lex_state = 2},
  [6496] = {.lex_state = 56, .external_lex_state = 2},
  [6497] = {.lex_state = 419, .external_lex_state = 2},
  [6498] = {.lex_state = 419, .external_lex_state = 2},
  [6499] = {.lex_state = 56, .external_lex_state = 2},
  [6500] = {.lex_state = 420, .external_lex_state = 2},
  [6501] = {.lex_state = 420, .external_lex_state = 2},
  [6502] = {.lex_state = 420, .external_lex_state = 2},
  [6503] = {.lex_state = 420, .external_lex_state = 2},
  [6504] = {.lex_state = 143, .external_lex_state = 2},
  [6505] = {.lex_state = 143, .external_lex_state = 2},
  [6506] = {.lex_state = 143, .external_lex_state = 2},
  [6507] = {.lex_state = 143, .external_lex_state = 2},
  [6508] = {.lex_state = 148, .external_lex_state = 2},
  [6509] = {.lex_state = 143, .external_lex_state = 2},
  [6510] = {.lex_state = 143, .external_lex_state = 2},
  [6511] = {.lex_state = 143, .external_lex_state = 2},
  [6512] = {.lex_state = 143, .external_lex_state = 2},
  [6513] = {.lex_state = 420, .external_lex_state = 2},
  [6514] = {.lex_state = 148, .external_lex_state = 2},
  [6515] = {.lex_state = 420, .external_lex_state = 2},
  [6516] = {.lex_state = 143, .external_lex_state = 2},
  [6517] = {.lex_state = 420, .external_lex_state = 2},
  [6518] = {.lex_state = 148, .external_lex_state = 2},
  [6519] = {.lex_state = 420, .external_lex_state = 2},
  [6520] = {.lex_state = 143, .external_lex_state = 2},
  [6521] = {.lex_state = 420, .external_lex_state = 2},
  [6522] = {.lex_state = 94, .external_lex_state = 2},
  [6523] = {.lex_state = 148, .external_lex_state = 2},
  [6524] = {.lex_state = 420, .external_lex_state = 2},
  [6525] = {.lex_state = 420, .external_lex_state = 2},
  [6526] = {.lex_state = 148, .external_lex_state = 2},
  [6527] = {.lex_state = 143, .external_lex_state = 2},
  [6528] = {.lex_state = 420, .external_lex_state = 2},
  [6529] = {.lex_state = 143, .external_lex_state = 2},
  [6530] = {.lex_state = 143, .external_lex_state = 2},
  [6531] = {.lex_state = 143, .external_lex_state = 2},
  [6532] = {.lex_state = 420, .external_lex_state = 2},
  [6533] = {.lex_state = 94, .external_lex_state = 2},
  [6534] = {.lex_state = 143, .external_lex_state = 2},
  [6535] = {.lex_state = 420, .external_lex_state = 2},
  [6536] = {.lex_state = 94, .external_lex_state = 2},
  [6537] = {.lex_state = 143, .external_lex_state = 2},
  [6538] = {.lex_state = 94, .external_lex_state = 2},
  [6539] = {.lex_state = 143, .external_lex_state = 2},
  [6540] = {.lex_state = 420, .external_lex_state = 2},
  [6541] = {.lex_state = 148, .external_lex_state = 2},
  [6542] = {.lex_state = 420, .external_lex_state = 2},
  [6543] = {.lex_state = 420, .external_lex_state = 2},
  [6544] = {.lex_state = 420, .external_lex_state = 2},
  [6545] = {.lex_state = 94, .external_lex_state = 2},
  [6546] = {.lex_state = 420, .external_lex_state = 2},
  [6547] = {.lex_state = 143, .external_lex_state = 2},
  [6548] = {.lex_state = 148, .external_lex_state = 2},
  [6549] = {.lex_state = 143, .external_lex_state = 2},
  [6550] = {.lex_state = 94, .external_lex_state = 2},
  [6551] = {.lex_state = 420, .external_lex_state = 2},
  [6552] = {.lex_state = 420, .external_lex_state = 2},
  [6553] = {.lex_state = 420, .external_lex_state = 2},
  [6554] = {.lex_state = 143, .external_lex_state = 2},
  [6555] = {.lex_state = 148, .external_lex_state = 2},
  [6556] = {.lex_state = 420, .external_lex_state = 2},
  [6557] = {.lex_state = 420, .external_lex_state = 2},
  [6558] = {.lex_state = 143, .external_lex_state = 2},
  [6559] = {.lex_state = 420, .external_lex_state = 2},
  [6560] = {.lex_state = 420, .external_lex_state = 2},
  [6561] = {.lex_state = 148, .external_lex_state = 2},
  [6562] = {.lex_state = 420, .external_lex_state = 2},
  [6563] = {.lex_state = 420, .external_lex_state = 2},
  [6564] = {.lex_state = 420, .external_lex_state = 2},
  [6565] = {.lex_state = 420, .external_lex_state = 2},
  [6566] = {.lex_state = 420, .external_lex_state = 2},
  [6567] = {.lex_state = 420, .external_lex_state = 2},
  [6568] = {.lex_state = 420, .external_lex_state = 2},
  [6569] = {.lex_state = 420, .external_lex_state = 2},
  [6570] = {.lex_state = 420, .external_lex_state = 2},
  [6571] = {.lex_state = 94, .external_lex_state = 2},
  [6572] = {.lex_state = 143, .external_lex_state = 2},
  [6573] = {.lex_state = 143, .external_lex_state = 2},
  [6574] = {.lex_state = 94, .external_lex_state = 2},
  [6575] = {.lex_state = 420, .external_lex_state = 2},
  [6576] = {.lex_state = 143, .external_lex_state = 2},
  [6577] = {.lex_state = 55, .external_lex_state = 2},
  [6578] = {.lex_state = 143, .external_lex_state = 2},
  [6579] = {.lex_state = 143, .external_lex_state = 2},
  [6580] = {.lex_state = 143, .external_lex_state = 2},
  [6581] = {.lex_state = 143, .external_lex_state = 2},
  [6582] = {.lex_state = 143, .external_lex_state = 2},
  [6583] = {.lex_state = 144, .external_lex_state = 2},
  [6584] = {.lex_state = 143, .external_lex_state = 2},
  [6585] = {.lex_state = 94, .external_lex_state = 2},
  [6586] = {.lex_state = 148, .external_lex_state = 2},
  [6587] = {.lex_state = 143, .external_lex_state = 2},
  [6588] = {.lex_state = 144, .external_lex_state = 2},
  [6589] = {.lex_state = 420, .external_lex_state = 2},
  [6590] = {.lex_state = 143, .external_lex_state = 2},
  [6591] = {.lex_state = 143, .external_lex_state = 2},
  [6592] = {.lex_state = 143, .external_lex_state = 2},
  [6593] = {.lex_state = 143, .external_lex_state = 2},
  [6594] = {.lex_state = 420, .external_lex_state = 2},
  [6595] = {.lex_state = 420, .external_lex_state = 2},
  [6596] = {.lex_state = 420, .external_lex_state = 2},
  [6597] = {.lex_state = 94, .external_lex_state = 2},
  [6598] = {.lex_state = 144, .external_lex_state = 2},
  [6599] = {.lex_state = 420, .external_lex_state = 2},
  [6600] = {.lex_state = 420, .external_lex_state = 2},
  [6601] = {.lex_state = 143, .external_lex_state = 2},
  [6602] = {.lex_state = 143, .external_lex_state = 2},
  [6603] = {.lex_state = 420, .external_lex_state = 2},
  [6604] = {.lex_state = 420, .external_lex_state = 2},
  [6605] = {.lex_state = 420, .external_lex_state = 2},
  [6606] = {.lex_state = 420, .external_lex_state = 2},
  [6607] = {.lex_state = 148, .external_lex_state = 2},
  [6608] = {.lex_state = 143, .external_lex_state = 2},
  [6609] = {.lex_state = 144, .external_lex_state = 2},
  [6610] = {.lex_state = 420, .external_lex_state = 2},
  [6611] = {.lex_state = 143, .external_lex_state = 2},
  [6612] = {.lex_state = 120, .external_lex_state = 2},
  [6613] = {.lex_state = 143, .external_lex_state = 2},
  [6614] = {.lex_state = 143, .external_lex_state = 2},
  [6615] = {.lex_state = 420, .external_lex_state = 2},
  [6616] = {.lex_state = 420, .external_lex_state = 2},
  [6617] = {.lex_state = 143, .external_lex_state = 2},
  [6618] = {.lex_state = 143, .external_lex_state = 2},
  [6619] = {.lex_state = 143, .external_lex_state = 2},
  [6620] = {.lex_state = 143, .external_lex_state = 2},
  [6621] = {.lex_state = 143, .external_lex_state = 2},
  [6622] = {.lex_state = 55, .external_lex_state = 2},
  [6623] = {.lex_state = 143, .external_lex_state = 2},
  [6624] = {.lex_state = 143, .external_lex_state = 2},
  [6625] = {.lex_state = 94, .external_lex_state = 2},
  [6626] = {.lex_state = 143, .external_lex_state = 2},
  [6627] = {.lex_state = 123, .external_lex_state = 2},
  [6628] = {.lex_state = 144, .external_lex_state = 2},
  [6629] = {.lex_state = 144, .external_lex_state = 2},
  [6630] = {.lex_state = 144, .external_lex_state = 2},
  [6631] = {.lex_state = 57, .external_lex_state = 2},
  [6632] = {.lex_state = 95, .external_lex_state = 2},
  [6633] = {.lex_state = 144, .external_lex_state = 2},
  [6634] = {.lex_state = 144, .external_lex_state = 2},
  [6635] = {.lex_state = 95, .external_lex_state = 2},
  [6636] = {.lex_state = 94, .external_lex_state = 2},
  [6637] = {.lex_state = 95, .external_lex_state = 2},
  [6638] = {.lex_state = 95, .external_lex_state = 2},
  [6639] = {.lex_state = 95, .external_lex_state = 2},
  [6640] = {.lex_state = 144, .external_lex_state = 2},
  [6641] = {.lex_state = 95, .external_lex_state = 2},
  [6642] = {.lex_state = 95, .external_lex_state = 2},
  [6643] = {.lex_state = 144, .external_lex_state = 2},
  [6644] = {.lex_state = 94, .external_lex_state = 2},
  [6645] = {.lex_state = 144, .external_lex_state = 2},
  [6646] = {.lex_state = 94, .external_lex_state = 2},
  [6647] = {.lex_state = 94, .external_lex_state = 2},
  [6648] = {.lex_state = 94, .external_lex_state = 2},
  [6649] = {.lex_state = 94, .external_lex_state = 2},
  [6650] = {.lex_state = 144, .external_lex_state = 2},
  [6651] = {.lex_state = 95, .external_lex_state = 2},
  [6652] = {.lex_state = 94, .external_lex_state = 2},
  [6653] = {.lex_state = 94, .external_lex_state = 2},
  [6654] = {.lex_state = 144, .external_lex_state = 2},
  [6655] = {.lex_state = 94, .external_lex_state = 2},
  [6656] = {.lex_state = 94, .external_lex_state = 2},
  [6657] = {.lex_state = 144, .external_lex_state = 2},
  [6658] = {.lex_state = 94, .external_lex_state = 2},
  [6659] = {.lex_state = 94, .external_lex_state = 2},
  [6660] = {.lex_state = 144, .external_lex_state = 2},
  [6661] = {.lex_state = 94, .external_lex_state = 2},
  [6662] = {.lex_state = 94, .external_lex_state = 2},
  [6663] = {.lex_state = 144, .external_lex_state = 2},
  [6664] = {.lex_state = 144, .external_lex_state = 2},
  [6665] = {.lex_state = 144, .external_lex_state = 2},
  [6666] = {.lex_state = 94, .external_lex_state = 2},
  [6667] = {.lex_state = 144, .external_lex_state = 2},
  [6668] = {.lex_state = 144, .external_lex_state = 2},
  [6669] = {.lex_state = 144, .external_lex_state = 2},
  [6670] = {.lex_state = 94, .external_lex_state = 2},
  [6671] = {.lex_state = 94, .external_lex_state = 2},
  [6672] = {.lex_state = 94, .external_lex_state = 2},
  [6673] = {.lex_state = 94, .external_lex_state = 2},
  [6674] = {.lex_state = 95, .external_lex_state = 2},
  [6675] = {.lex_state = 94, .external_lex_state = 2},
  [6676] = {.lex_state = 144, .external_lex_state = 2},
  [6677] = {.lex_state = 144, .external_lex_state = 2},
  [6678] = {.lex_state = 94, .external_lex_state = 2},
  [6679] = {.lex_state = 144, .external_lex_state = 2},
  [6680] = {.lex_state = 54, .external_lex_state = 2},
  [6681] = {.lex_state = 94, .external_lex_state = 2},
  [6682] = {.lex_state = 94, .external_lex_state = 2},
  [6683] = {.lex_state = 144, .external_lex_state = 2},
  [6684] = {.lex_state = 144, .external_lex_state = 2},
  [6685] = {.lex_state = 144, .external_lex_state = 2},
  [6686] = {.lex_state = 144, .external_lex_state = 2},
  [6687] = {.lex_state = 144, .external_lex_state = 2},
  [6688] = {.lex_state = 144, .external_lex_state = 2},
  [6689] = {.lex_state = 94, .external_lex_state = 2},
  [6690] = {.lex_state = 144, .external_lex_state = 2},
  [6691] = {.lex_state = 54, .external_lex_state = 2},
  [6692] = {.lex_state = 94, .external_lex_state = 2},
  [6693] = {.lex_state = 144, .external_lex_state = 2},
  [6694] = {.lex_state = 94, .external_lex_state = 2},
  [6695] = {.lex_state = 94, .external_lex_state = 2},
  [6696] = {.lex_state = 94, .external_lex_state = 2},
  [6697] = {.lex_state = 94, .external_lex_state = 2},
  [6698] = {.lex_state = 94, .external_lex_state = 2},
  [6699] = {.lex_state = 94, .external_lex_state = 2},
  [6700] = {.lex_state = 94, .external_lex_state = 2},
  [6701] = {.lex_state = 94, .external_lex_state = 2},
  [6702] = {.lex_state = 144, .external_lex_state = 2},
  [6703] = {.lex_state = 94, .external_lex_state = 2},
  [6704] = {.lex_state = 95, .external_lex_state = 2},
  [6705] = {.lex_state = 144, .external_lex_state = 2},
  [6706] = {.lex_state = 144, .external_lex_state = 2},
  [6707] = {.lex_state = 144, .external_lex_state = 2},
  [6708] = {.lex_state = 144, .external_lex_state = 2},
  [6709] = {.lex_state = 144, .external_lex_state = 2},
  [6710] = {.lex_state = 95, .external_lex_state = 2},
  [6711] = {.lex_state = 144, .external_lex_state = 2},
  [6712] = {.lex_state = 94, .external_lex_state = 2},
  [6713] = {.lex_state = 94, .external_lex_state = 2},
  [6714] = {.lex_state = 94, .external_lex_state = 2},
  [6715] = {.lex_state = 94, .external_lex_state = 2},
  [6716] = {.lex_state = 94, .external_lex_state = 2},
  [6717] = {.lex_state = 94, .external_lex_state = 2},
  [6718] = {.lex_state = 94, .external_lex_state = 2},
  [6719] = {.lex_state = 94, .external_lex_state = 2},
  [6720] = {.lex_state = 94, .external_lex_state = 2},
  [6721] = {.lex_state = 94, .external_lex_state = 2},
  [6722] = {.lex_state = 144, .external_lex_state = 2},
  [6723] = {.lex_state = 144, .external_lex_state = 2},
  [6724] = {.lex_state = 94, .external_lex_state = 2},
  [6725] = {.lex_state = 57, .external_lex_state = 2},
  [6726] = {.lex_state = 94, .external_lex_state = 2},
  [6727] = {.lex_state = 94, .external_lex_state = 2},
  [6728] = {.lex_state = 94, .external_lex_state = 2},
  [6729] = {.lex_state = 94, .external_lex_state = 2},
  [6730] = {.lex_state = 94, .external_lex_state = 2},
  [6731] = {.lex_state = 144, .external_lex_state = 2},
  [6732] = {.lex_state = 144, .external_lex_state = 2},
  [6733] = {.lex_state = 94, .external_lex_state = 2},
  [6734] = {.lex_state = 144, .external_lex_state = 2},
  [6735] = {.lex_state = 144, .external_lex_state = 2},
  [6736] = {.lex_state = 94, .external_lex_state = 2},
  [6737] = {.lex_state = 94, .external_lex_state = 2},
  [6738] = {.lex_state = 94, .external_lex_state = 2},
  [6739] = {.lex_state = 94, .external_lex_state = 2},
  [6740] = {.lex_state = 94, .external_lex_state = 2},
  [6741] = {.lex_state = 144, .external_lex_state = 2},
  [6742] = {.lex_state = 94, .external_lex_state = 2},
  [6743] = {.lex_state = 94, .external_lex_state = 2},
  [6744] = {.lex_state = 144, .external_lex_state = 2},
  [6745] = {.lex_state = 94, .external_lex_state = 2},
  [6746] = {.lex_state = 94, .external_lex_state = 2},
  [6747] = {.lex_state = 94, .external_lex_state = 2},
  [6748] = {.lex_state = 94, .external_lex_state = 2},
  [6749] = {.lex_state = 94, .external_lex_state = 2},
  [6750] = {.lex_state = 144, .external_lex_state = 2},
  [6751] = {.lex_state = 144, .external_lex_state = 2},
  [6752] = {.lex_state = 94, .external_lex_state = 2},
  [6753] = {.lex_state = 144, .external_lex_state = 2},
  [6754] = {.lex_state = 144, .external_lex_state = 2},
  [6755] = {.lex_state = 94, .external_lex_state = 2},
  [6756] = {.lex_state = 94, .external_lex_state = 2},
  [6757] = {.lex_state = 94, .external_lex_state = 2},
  [6758] = {.lex_state = 94, .external_lex_state = 2},
  [6759] = {.lex_state = 94, .external_lex_state = 2},
  [6760] = {.lex_state = 94, .external_lex_state = 2},
  [6761] = {.lex_state = 144, .external_lex_state = 2},
  [6762] = {.lex_state = 94, .external_lex_state = 2},
  [6763] = {.lex_state = 122, .external_lex_state = 2},
  [6764] = {.lex_state = 94, .external_lex_state = 2},
  [6765] = {.lex_state = 94, .external_lex_state = 2},
  [6766] = {.lex_state = 95, .external_lex_state = 2},
  [6767] = {.lex_state = 95, .external_lex_state = 2},
  [6768] = {.lex_state = 95, .external_lex_state = 2},
  [6769] = {.lex_state = 84, .external_lex_state = 2},
  [6770] = {.lex_state = 95, .external_lex_state = 2},
  [6771] = {.lex_state = 84, .external_lex_state = 2},
  [6772] = {.lex_state = 95, .external_lex_state = 2},
  [6773] = {.lex_state = 95, .external_lex_state = 2},
  [6774] = {.lex_state = 95, .external_lex_state = 2},
  [6775] = {.lex_state = 15, .external_lex_state = 2},
  [6776] = {.lex_state = 95, .external_lex_state = 2},
  [6777] = {.lex_state = 95, .external_lex_state = 2},
  [6778] = {.lex_state = 95, .external_lex_state = 2},
  [6779] = {.lex_state = 95, .external_lex_state = 2},
  [6780] = {.lex_state = 95, .external_lex_state = 2},
  [6781] = {.lex_state = 84, .external_lex_state = 2},
  [6782] = {.lex_state = 95, .external_lex_state = 2},
  [6783] = {.lex_state = 95, .external_lex_state = 2},
  [6784] = {.lex_state = 95, .external_lex_state = 2},
  [6785] = {.lex_state = 95, .external_lex_state = 2},
  [6786] = {.lex_state = 15, .external_lex_state = 2},
  [6787] = {.lex_state = 95, .external_lex_state = 2},
  [6788] = {.lex_state = 84, .external_lex_state = 2},
  [6789] = {.lex_state = 15, .external_lex_state = 2},
  [6790] = {.lex_state = 15, .external_lex_state = 2},
  [6791] = {.lex_state = 56, .external_lex_state = 2},
  [6792] = {.lex_state = 84, .external_lex_state = 2},
  [6793] = {.lex_state = 95, .external_lex_state = 2},
  [6794] = {.lex_state = 95, .external_lex_state = 2},
  [6795] = {.lex_state = 84, .external_lex_state = 2},
  [6796] = {.lex_state = 95, .external_lex_state = 2},
  [6797] = {.lex_state = 95, .external_lex_state = 2},
  [6798] = {.lex_state = 15, .external_lex_state = 2},
  [6799] = {.lex_state = 95, .external_lex_state = 2},
  [6800] = {.lex_state = 95, .external_lex_state = 2},
  [6801] = {.lex_state = 95, .external_lex_state = 2},
  [6802] = {.lex_state = 95, .external_lex_state = 2},
  [6803] = {.lex_state = 84, .external_lex_state = 2},
  [6804] = {.lex_state = 95, .external_lex_state = 2},
  [6805] = {.lex_state = 95, .external_lex_state = 2},
  [6806] = {.lex_state = 95, .external_lex_state = 2},
  [6807] = {.lex_state = 95, .external_lex_state = 2},
  [6808] = {.lex_state = 95, .external_lex_state = 2},
  [6809] = {.lex_state = 95, .external_lex_state = 2},
  [6810] = {.lex_state = 95, .external_lex_state = 2},
  [6811] = {.lex_state = 95, .external_lex_state = 2},
  [6812] = {.lex_state = 84, .external_lex_state = 2},
  [6813] = {.lex_state = 15, .external_lex_state = 2},
  [6814] = {.lex_state = 56, .external_lex_state = 2},
  [6815] = {.lex_state = 95, .external_lex_state = 2},
  [6816] = {.lex_state = 95, .external_lex_state = 2},
  [6817] = {.lex_state = 95, .external_lex_state = 2},
  [6818] = {.lex_state = 95, .external_lex_state = 2},
  [6819] = {.lex_state = 95, .external_lex_state = 2},
  [6820] = {.lex_state = 15, .external_lex_state = 2},
  [6821] = {.lex_state = 95, .external_lex_state = 2},
  [6822] = {.lex_state = 95, .external_lex_state = 2},
  [6823] = {.lex_state = 95, .external_lex_state = 2},
  [6824] = {.lex_state = 84, .external_lex_state = 2},
  [6825] = {.lex_state = 95, .external_lex_state = 2},
  [6826] = {.lex_state = 15, .external_lex_state = 2},
  [6827] = {.lex_state = 84, .external_lex_state = 2},
  [6828] = {.lex_state = 95, .external_lex_state = 2},
  [6829] = {.lex_state = 95, .external_lex_state = 2},
  [6830] = {.lex_state = 95, .external_lex_state = 2},
  [6831] = {.lex_state = 95, .external_lex_state = 2},
  [6832] = {.lex_state = 95, .external_lex_state = 2},
  [6833] = {.lex_state = 95, .external_lex_state = 2},
  [6834] = {.lex_state = 95, .external_lex_state = 2},
  [6835] = {.lex_state = 95, .external_lex_state = 2},
  [6836] = {.lex_state = 95, .external_lex_state = 2},
  [6837] = {.lex_state = 95, .external_lex_state = 2},
  [6838] = {.lex_state = 95, .external_lex_state = 2},
  [6839] = {.lex_state = 95, .external_lex_state = 2},
  [6840] = {.lex_state = 95, .external_lex_state = 2},
  [6841] = {.lex_state = 95, .external_lex_state = 2},
  [6842] = {.lex_state = 95, .external_lex_state = 2},
  [6843] = {.lex_state = 95, .external_lex_state = 2},
  [6844] = {.lex_state = 95, .external_lex_state = 2},
  [6845] = {.lex_state = 95, .external_lex_state = 2},
  [6846] = {.lex_state = 95, .external_lex_state = 2},
  [6847] = {.lex_state = 95, .external_lex_state = 2},
  [6848] = {.lex_state = 95, .external_lex_state = 2},
  [6849] = {.lex_state = 84, .external_lex_state = 2},
  [6850] = {.lex_state = 95, .external_lex_state = 2},
  [6851] = {.lex_state = 95, .external_lex_state = 2},
  [6852] = {.lex_state = 95, .external_lex_state = 2},
  [6853] = {.lex_state = 95, .external_lex_state = 2},
  [6854] = {.lex_state = 95, .external_lex_state = 2},
  [6855] = {.lex_state = 15, .external_lex_state = 2},
  [6856] = {.lex_state = 95, .external_lex_state = 2},
  [6857] = {.lex_state = 95, .external_lex_state = 2},
  [6858] = {.lex_state = 95, .external_lex_state = 2},
  [6859] = {.lex_state = 95, .external_lex_state = 2},
  [6860] = {.lex_state = 95, .external_lex_state = 2},
  [6861] = {.lex_state = 387, .external_lex_state = 2},
  [6862] = {.lex_state = 86, .external_lex_state = 2},
  [6863] = {.lex_state = 387, .external_lex_state = 2},
  [6864] = {.lex_state = 387, .external_lex_state = 2},
  [6865] = {.lex_state = 84, .external_lex_state = 2},
  [6866] = {.lex_state = 387, .external_lex_state = 2},
  [6867] = {.lex_state = 387, .external_lex_state = 2},
  [6868] = {.lex_state = 387, .external_lex_state = 2},
  [6869] = {.lex_state = 84, .external_lex_state = 2},
  [6870] = {.lex_state = 84, .external_lex_state = 2},
  [6871] = {.lex_state = 84, .external_lex_state = 2},
  [6872] = {.lex_state = 84, .external_lex_state = 2},
  [6873] = {.lex_state = 387, .external_lex_state = 2},
  [6874] = {.lex_state = 387, .external_lex_state = 2},
  [6875] = {.lex_state = 89, .external_lex_state = 2},
  [6876] = {.lex_state = 387, .external_lex_state = 2},
  [6877] = {.lex_state = 387, .external_lex_state = 2},
  [6878] = {.lex_state = 89, .external_lex_state = 2},
  [6879] = {.lex_state = 387, .external_lex_state = 2},
  [6880] = {.lex_state = 387, .external_lex_state = 2},
  [6881] = {.lex_state = 89, .external_lex_state = 2},
  [6882] = {.lex_state = 89, .external_lex_state = 2},
  [6883] = {.lex_state = 387, .external_lex_state = 2},
  [6884] = {.lex_state = 94, .external_lex_state = 2},
  [6885] = {.lex_state = 387, .external_lex_state = 2},
  [6886] = {.lex_state = 387, .external_lex_state = 2},
  [6887] = {.lex_state = 387, .external_lex_state = 2},
  [6888] = {.lex_state = 387, .external_lex_state = 2},
  [6889] = {.lex_state = 387, .external_lex_state = 2},
  [6890] = {.lex_state = 387, .external_lex_state = 2},
  [6891] = {.lex_state = 387, .external_lex_state = 2},
  [6892] = {.lex_state = 387, .external_lex_state = 2},
  [6893] = {.lex_state = 387, .external_lex_state = 2},
  [6894] = {.lex_state = 387, .external_lex_state = 2},
  [6895] = {.lex_state = 89, .external_lex_state = 2},
  [6896] = {.lex_state = 89, .external_lex_state = 2},
  [6897] = {.lex_state = 387, .external_lex_state = 2},
  [6898] = {.lex_state = 387, .external_lex_state = 2},
  [6899] = {.lex_state = 387, .external_lex_state = 2},
  [6900] = {.lex_state = 387, .external_lex_state = 2},
  [6901] = {.lex_state = 89, .external_lex_state = 2},
  [6902] = {.lex_state = 387, .external_lex_state = 2},
  [6903] = {.lex_state = 387, .external_lex_state = 2},
  [6904] = {.lex_state = 387, .external_lex_state = 2},
  [6905] = {.lex_state = 387, .external_lex_state = 2},
  [6906] = {.lex_state = 387, .external_lex_state = 2},
  [6907] = {.lex_state = 387, .external_lex_state = 2},
  [6908] = {.lex_state = 387, .external_lex_state = 2},
  [6909] = {.lex_state = 387, .external_lex_state = 2},
  [6910] = {.lex_state = 387, .external_lex_state = 2},
  [6911] = {.lex_state = 387, .external_lex_state = 2},
  [6912] = {.lex_state = 387, .external_lex_state = 2},
  [6913] = {.lex_state = 387, .external_lex_state = 2},
  [6914] = {.lex_state = 387, .external_lex_state = 2},
  [6915] = {.lex_state = 387, .external_lex_state = 2},
  [6916] = {.lex_state = 387, .external_lex_state = 2},
  [6917] = {.lex_state = 23, .external_lex_state = 2},
  [6918] = {.lex_state = 387, .external_lex_state = 2},
  [6919] = {.lex_state = 387, .external_lex_state = 2},
  [6920] = {.lex_state = 84, .external_lex_state = 2},
  [6921] = {.lex_state = 387, .external_lex_state = 2},
  [6922] = {.lex_state = 387, .external_lex_state = 2},
  [6923] = {.lex_state = 387, .external_lex_state = 2},
  [6924] = {.lex_state = 387, .external_lex_state = 2},
  [6925] = {.lex_state = 387, .external_lex_state = 2},
  [6926] = {.lex_state = 387, .external_lex_state = 2},
  [6927] = {.lex_state = 387, .external_lex_state = 2},
  [6928] = {.lex_state = 23, .external_lex_state = 2},
  [6929] = {.lex_state = 387, .external_lex_state = 2},
  [6930] = {.lex_state = 23, .external_lex_state = 2},
  [6931] = {.lex_state = 387, .external_lex_state = 2},
  [6932] = {.lex_state = 387, .external_lex_state = 2},
  [6933] = {.lex_state = 23, .external_lex_state = 2},
  [6934] = {.lex_state = 387, .external_lex_state = 2},
  [6935] = {.lex_state = 387, .external_lex_state = 2},
  [6936] = {.lex_state = 387, .external_lex_state = 2},
  [6937] = {.lex_state = 23, .external_lex_state = 2},
  [6938] = {.lex_state = 387, .external_lex_state = 2},
  [6939] = {.lex_state = 84, .external_lex_state = 2},
  [6940] = {.lex_state = 387, .external_lex_state = 2},
  [6941] = {.lex_state = 82, .external_lex_state = 2},
  [6942] = {.lex_state = 84, .external_lex_state = 2},
  [6943] = {.lex_state = 387, .external_lex_state = 2},
  [6944] = {.lex_state = 387, .external_lex_state = 2},
  [6945] = {.lex_state = 387, .external_lex_state = 2},
  [6946] = {.lex_state = 387, .external_lex_state = 2},
  [6947] = {.lex_state = 84, .external_lex_state = 2},
  [6948] = {.lex_state = 387, .external_lex_state = 2},
  [6949] = {.lex_state = 84, .external_lex_state = 2},
  [6950] = {.lex_state = 387, .external_lex_state = 2},
  [6951] = {.lex_state = 387, .external_lex_state = 2},
  [6952] = {.lex_state = 387, .external_lex_state = 2},
  [6953] = {.lex_state = 387, .external_lex_state = 2},
  [6954] = {.lex_state = 387, .external_lex_state = 2},
  [6955] = {.lex_state = 387, .external_lex_state = 2},
  [6956] = {.lex_state = 84, .external_lex_state = 2},
  [6957] = {.lex_state = 387, .external_lex_state = 2},
  [6958] = {.lex_state = 387, .external_lex_state = 2},
  [6959] = {.lex_state = 387, .external_lex_state = 2},
  [6960] = {.lex_state = 387, .external_lex_state = 2},
  [6961] = {.lex_state = 387, .external_lex_state = 2},
  [6962] = {.lex_state = 387, .external_lex_state = 2},
  [6963] = {.lex_state = 387, .external_lex_state = 2},
  [6964] = {.lex_state = 387, .external_lex_state = 2},
  [6965] = {.lex_state = 387, .external_lex_state = 2},
  [6966] = {.lex_state = 387, .external_lex_state = 2},
  [6967] = {.lex_state = 387, .external_lex_state = 2},
  [6968] = {.lex_state = 84, .external_lex_state = 2},
  [6969] = {.lex_state = 23, .external_lex_state = 2},
  [6970] = {.lex_state = 387, .external_lex_state = 2},
  [6971] = {.lex_state = 387, .external_lex_state = 2},
  [6972] = {.lex_state = 387, .external_lex_state = 2},
  [6973] = {.lex_state = 84, .external_lex_state = 2},
  [6974] = {.lex_state = 23, .external_lex_state = 2},
  [6975] = {.lex_state = 23, .external_lex_state = 2},
  [6976] = {.lex_state = 23, .external_lex_state = 2},
  [6977] = {.lex_state = 387, .external_lex_state = 2},
  [6978] = {.lex_state = 82, .external_lex_state = 2},
  [6979] = {.lex_state = 82, .external_lex_state = 2},
  [6980] = {.lex_state = 82, .external_lex_state = 2},
  [6981] = {.lex_state = 387, .external_lex_state = 2},
  [6982] = {.lex_state = 84, .external_lex_state = 2},
  [6983] = {.lex_state = 387, .external_lex_state = 2},
  [6984] = {.lex_state = 387, .external_lex_state = 2},
  [6985] = {.lex_state = 387, .external_lex_state = 2},
  [6986] = {.lex_state = 387, .external_lex_state = 2},
  [6987] = {.lex_state = 387, .external_lex_state = 2},
  [6988] = {.lex_state = 82, .external_lex_state = 2},
  [6989] = {.lex_state = 387, .external_lex_state = 2},
  [6990] = {.lex_state = 82, .external_lex_state = 2},
  [6991] = {.lex_state = 82, .external_lex_state = 2},
  [6992] = {.lex_state = 387, .external_lex_state = 2},
  [6993] = {.lex_state = 387, .external_lex_state = 2},
  [6994] = {.lex_state = 387, .external_lex_state = 2},
  [6995] = {.lex_state = 84, .external_lex_state = 2},
  [6996] = {.lex_state = 89, .external_lex_state = 2},
  [6997] = {.lex_state = 387, .external_lex_state = 2},
  [6998] = {.lex_state = 387, .external_lex_state = 2},
  [6999] = {.lex_state = 387, .external_lex_state = 2},
  [7000] = {.lex_state = 387, .external_lex_state = 2},
  [7001] = {.lex_state = 387, .external_lex_state = 2},
  [7002] = {.lex_state = 387, .external_lex_state = 2},
  [7003] = {.lex_state = 387, .external_lex_state = 2},
  [7004] = {.lex_state = 387, .external_lex_state = 2},
  [7005] = {.lex_state = 387, .external_lex_state = 2},
  [7006] = {.lex_state = 387, .external_lex_state = 2},
  [7007] = {.lex_state = 387, .external_lex_state = 2},
  [7008] = {.lex_state = 387, .external_lex_state = 2},
  [7009] = {.lex_state = 387, .external_lex_state = 2},
  [7010] = {.lex_state = 387, .external_lex_state = 2},
  [7011] = {.lex_state = 387, .external_lex_state = 2},
  [7012] = {.lex_state = 387, .external_lex_state = 2},
  [7013] = {.lex_state = 89, .external_lex_state = 2},
  [7014] = {.lex_state = 387, .external_lex_state = 2},
  [7015] = {.lex_state = 387, .external_lex_state = 2},
  [7016] = {.lex_state = 387, .external_lex_state = 2},
  [7017] = {.lex_state = 387, .external_lex_state = 2},
  [7018] = {.lex_state = 387, .external_lex_state = 2},
  [7019] = {.lex_state = 387, .external_lex_state = 2},
  [7020] = {.lex_state = 387, .external_lex_state = 2},
  [7021] = {.lex_state = 23, .external_lex_state = 2},
  [7022] = {.lex_state = 387, .external_lex_state = 2},
  [7023] = {.lex_state = 387, .external_lex_state = 2},
  [7024] = {.lex_state = 85, .external_lex_state = 2},
  [7025] = {.lex_state = 387, .external_lex_state = 2},
  [7026] = {.lex_state = 85, .external_lex_state = 2},
  [7027] = {.lex_state = 90, .external_lex_state = 2},
  [7028] = {.lex_state = 23, .external_lex_state = 2},
  [7029] = {.lex_state = 387, .external_lex_state = 2},
  [7030] = {.lex_state = 387, .external_lex_state = 2},
  [7031] = {.lex_state = 387, .external_lex_state = 2},
  [7032] = {.lex_state = 23, .external_lex_state = 2},
  [7033] = {.lex_state = 85, .external_lex_state = 2},
  [7034] = {.lex_state = 387, .external_lex_state = 2},
  [7035] = {.lex_state = 387, .external_lex_state = 2},
  [7036] = {.lex_state = 387, .external_lex_state = 2},
  [7037] = {.lex_state = 23, .external_lex_state = 2},
  [7038] = {.lex_state = 23, .external_lex_state = 2},
  [7039] = {.lex_state = 89, .external_lex_state = 2},
  [7040] = {.lex_state = 23, .external_lex_state = 2},
  [7041] = {.lex_state = 387, .external_lex_state = 2},
  [7042] = {.lex_state = 23, .external_lex_state = 2},
  [7043] = {.lex_state = 387, .external_lex_state = 2},
  [7044] = {.lex_state = 23, .external_lex_state = 2},
  [7045] = {.lex_state = 23, .external_lex_state = 2},
  [7046] = {.lex_state = 23, .external_lex_state = 2},
  [7047] = {.lex_state = 23, .external_lex_state = 2},
  [7048] = {.lex_state = 387, .external_lex_state = 2},
  [7049] = {.lex_state = 387, .external_lex_state = 2},
  [7050] = {.lex_state = 387, .external_lex_state = 2},
  [7051] = {.lex_state = 23, .external_lex_state = 2},
  [7052] = {.lex_state = 90, .external_lex_state = 2},
  [7053] = {.lex_state = 90, .external_lex_state = 2},
  [7054] = {.lex_state = 90, .external_lex_state = 2},
  [7055] = {.lex_state = 23, .external_lex_state = 2},
  [7056] = {.lex_state = 23, .external_lex_state = 2},
  [7057] = {.lex_state = 23, .external_lex_state = 2},
  [7058] = {.lex_state = 387, .external_lex_state = 2},
  [7059] = {.lex_state = 387, .external_lex_state = 2},
  [7060] = {.lex_state = 23, .external_lex_state = 2},
  [7061] = {.lex_state = 23, .external_lex_state = 2},
  [7062] = {.lex_state = 23, .external_lex_state = 2},
  [7063] = {.lex_state = 387, .external_lex_state = 2},
  [7064] = {.lex_state = 387, .external_lex_state = 2},
  [7065] = {.lex_state = 387, .external_lex_state = 2},
  [7066] = {.lex_state = 23, .external_lex_state = 2},
  [7067] = {.lex_state = 23, .external_lex_state = 2},
  [7068] = {.lex_state = 23, .external_lex_state = 2},
  [7069] = {.lex_state = 23, .external_lex_state = 2},
  [7070] = {.lex_state = 387, .external_lex_state = 2},
  [7071] = {.lex_state = 90, .external_lex_state = 2},
  [7072] = {.lex_state = 23, .external_lex_state = 2},
  [7073] = {.lex_state = 387, .external_lex_state = 2},
  [7074] = {.lex_state = 88, .external_lex_state = 2},
  [7075] = {.lex_state = 23, .external_lex_state = 2},
  [7076] = {.lex_state = 23, .external_lex_state = 2},
  [7077] = {.lex_state = 23, .external_lex_state = 2},
  [7078] = {.lex_state = 23, .external_lex_state = 2},
  [7079] = {.lex_state = 387, .external_lex_state = 2},
  [7080] = {.lex_state = 23, .external_lex_state = 2},
  [7081] = {.lex_state = 387, .external_lex_state = 2},
  [7082] = {.lex_state = 23, .external_lex_state = 2},
  [7083] = {.lex_state = 23, .external_lex_state = 2},
  [7084] = {.lex_state = 90, .external_lex_state = 2},
  [7085] = {.lex_state = 387, .external_lex_state = 2},
  [7086] = {.lex_state = 23, .external_lex_state = 2},
  [7087] = {.lex_state = 23, .external_lex_state = 2},
  [7088] = {.lex_state = 23, .external_lex_state = 2},
  [7089] = {.lex_state = 23, .external_lex_state = 2},
  [7090] = {.lex_state = 23, .external_lex_state = 2},
  [7091] = {.lex_state = 23, .external_lex_state = 2},
  [7092] = {.lex_state = 387, .external_lex_state = 2},
  [7093] = {.lex_state = 23, .external_lex_state = 2},
  [7094] = {.lex_state = 23, .external_lex_state = 2},
  [7095] = {.lex_state = 90, .external_lex_state = 2},
  [7096] = {.lex_state = 23, .external_lex_state = 2},
  [7097] = {.lex_state = 23, .external_lex_state = 2},
  [7098] = {.lex_state = 23, .external_lex_state = 2},
  [7099] = {.lex_state = 23, .external_lex_state = 2},
  [7100] = {.lex_state = 23, .external_lex_state = 2},
  [7101] = {.lex_state = 86, .external_lex_state = 2},
  [7102] = {.lex_state = 23, .external_lex_state = 2},
  [7103] = {.lex_state = 23, .external_lex_state = 2},
  [7104] = {.lex_state = 23, .external_lex_state = 2},
  [7105] = {.lex_state = 387, .external_lex_state = 2},
  [7106] = {.lex_state = 85, .external_lex_state = 2},
  [7107] = {.lex_state = 23, .external_lex_state = 2},
  [7108] = {.lex_state = 23, .external_lex_state = 2},
  [7109] = {.lex_state = 23, .external_lex_state = 2},
  [7110] = {.lex_state = 86, .external_lex_state = 2},
  [7111] = {.lex_state = 23, .external_lex_state = 2},
  [7112] = {.lex_state = 387, .external_lex_state = 2},
  [7113] = {.lex_state = 387, .external_lex_state = 2},
  [7114] = {.lex_state = 387, .external_lex_state = 2},
  [7115] = {.lex_state = 387, .external_lex_state = 2},
  [7116] = {.lex_state = 86, .external_lex_state = 2},
  [7117] = {.lex_state = 23, .external_lex_state = 2},
  [7118] = {.lex_state = 84, .external_lex_state = 2},
  [7119] = {.lex_state = 23, .external_lex_state = 2},
  [7120] = {.lex_state = 23, .external_lex_state = 2},
  [7121] = {.lex_state = 85, .external_lex_state = 2},
  [7122] = {.lex_state = 84, .external_lex_state = 2},
  [7123] = {.lex_state = 84, .external_lex_state = 2},
  [7124] = {.lex_state = 23, .external_lex_state = 2},
  [7125] = {.lex_state = 387, .external_lex_state = 2},
  [7126] = {.lex_state = 387, .external_lex_state = 2},
  [7127] = {.lex_state = 84, .external_lex_state = 2},
  [7128] = {.lex_state = 23, .external_lex_state = 2},
  [7129] = {.lex_state = 90, .external_lex_state = 2},
  [7130] = {.lex_state = 84, .external_lex_state = 2},
  [7131] = {.lex_state = 86, .external_lex_state = 2},
  [7132] = {.lex_state = 387, .external_lex_state = 2},
  [7133] = {.lex_state = 387, .external_lex_state = 2},
  [7134] = {.lex_state = 387, .external_lex_state = 2},
  [7135] = {.lex_state = 84, .external_lex_state = 2},
  [7136] = {.lex_state = 84, .external_lex_state = 2},
  [7137] = {.lex_state = 84, .external_lex_state = 2},
  [7138] = {.lex_state = 387, .external_lex_state = 2},
  [7139] = {.lex_state = 84, .external_lex_state = 2},
  [7140] = {.lex_state = 85, .external_lex_state = 2},
  [7141] = {.lex_state = 85, .external_lex_state = 2},
  [7142] = {.lex_state = 23, .external_lex_state = 2},
  [7143] = {.lex_state = 85, .external_lex_state = 2},
  [7144] = {.lex_state = 84, .external_lex_state = 2},
  [7145] = {.lex_state = 23, .external_lex_state = 2},
  [7146] = {.lex_state = 84, .external_lex_state = 2},
  [7147] = {.lex_state = 23, .external_lex_state = 2},
  [7148] = {.lex_state = 84, .external_lex_state = 2},
  [7149] = {.lex_state = 23, .external_lex_state = 2},
  [7150] = {.lex_state = 387, .external_lex_state = 2},
  [7151] = {.lex_state = 82, .external_lex_state = 2},
  [7152] = {.lex_state = 23, .external_lex_state = 2},
  [7153] = {.lex_state = 23, .external_lex_state = 2},
  [7154] = {.lex_state = 23, .external_lex_state = 2},
  [7155] = {.lex_state = 84, .external_lex_state = 2},
  [7156] = {.lex_state = 23, .external_lex_state = 2},
  [7157] = {.lex_state = 84, .external_lex_state = 2},
  [7158] = {.lex_state = 84, .external_lex_state = 2},
  [7159] = {.lex_state = 84, .external_lex_state = 2},
  [7160] = {.lex_state = 84, .external_lex_state = 2},
  [7161] = {.lex_state = 88, .external_lex_state = 2},
  [7162] = {.lex_state = 23, .external_lex_state = 2},
  [7163] = {.lex_state = 84, .external_lex_state = 2},
  [7164] = {.lex_state = 387, .external_lex_state = 2},
  [7165] = {.lex_state = 89, .external_lex_state = 2},
  [7166] = {.lex_state = 88, .external_lex_state = 2},
  [7167] = {.lex_state = 82, .external_lex_state = 2},
  [7168] = {.lex_state = 84, .external_lex_state = 2},
  [7169] = {.lex_state = 84, .external_lex_state = 2},
  [7170] = {.lex_state = 90, .external_lex_state = 2},
  [7171] = {.lex_state = 23, .external_lex_state = 2},
  [7172] = {.lex_state = 84, .external_lex_state = 2},
  [7173] = {.lex_state = 84, .external_lex_state = 2},
  [7174] = {.lex_state = 84, .external_lex_state = 2},
  [7175] = {.lex_state = 88, .external_lex_state = 2},
  [7176] = {.lex_state = 88, .external_lex_state = 2},
  [7177] = {.lex_state = 387, .external_lex_state = 2},
  [7178] = {.lex_state = 84, .external_lex_state = 2},
  [7179] = {.lex_state = 84, .external_lex_state = 2},
  [7180] = {.lex_state = 23, .external_lex_state = 2},
  [7181] = {.lex_state = 23, .external_lex_state = 2},
  [7182] = {.lex_state = 84, .external_lex_state = 2},
  [7183] = {.lex_state = 84, .external_lex_state = 2},
  [7184] = {.lex_state = 84, .external_lex_state = 2},
  [7185] = {.lex_state = 84, .external_lex_state = 2},
  [7186] = {.lex_state = 23, .external_lex_state = 2},
  [7187] = {.lex_state = 85, .external_lex_state = 2},
  [7188] = {.lex_state = 84, .external_lex_state = 2},
  [7189] = {.lex_state = 84, .external_lex_state = 2},
  [7190] = {.lex_state = 84, .external_lex_state = 2},
  [7191] = {.lex_state = 84, .external_lex_state = 2},
  [7192] = {.lex_state = 84, .external_lex_state = 2},
  [7193] = {.lex_state = 90, .external_lex_state = 2},
  [7194] = {.lex_state = 84, .external_lex_state = 2},
  [7195] = {.lex_state = 84, .external_lex_state = 2},
  [7196] = {.lex_state = 84, .external_lex_state = 2},
  [7197] = {.lex_state = 84, .external_lex_state = 2},
  [7198] = {.lex_state = 85, .external_lex_state = 2},
  [7199] = {.lex_state = 84, .external_lex_state = 2},
  [7200] = {.lex_state = 84, .external_lex_state = 2},
  [7201] = {.lex_state = 84, .external_lex_state = 2},
  [7202] = {.lex_state = 84, .external_lex_state = 2},
  [7203] = {.lex_state = 82, .external_lex_state = 2},
  [7204] = {.lex_state = 84, .external_lex_state = 2},
  [7205] = {.lex_state = 84, .external_lex_state = 2},
  [7206] = {.lex_state = 23, .external_lex_state = 2},
  [7207] = {.lex_state = 84, .external_lex_state = 2},
  [7208] = {.lex_state = 85, .external_lex_state = 2},
  [7209] = {.lex_state = 84, .external_lex_state = 2},
  [7210] = {.lex_state = 84, .external_lex_state = 2},
  [7211] = {.lex_state = 55, .external_lex_state = 2},
  [7212] = {.lex_state = 90, .external_lex_state = 2},
  [7213] = {.lex_state = 84, .external_lex_state = 2},
  [7214] = {.lex_state = 84, .external_lex_state = 2},
  [7215] = {.lex_state = 84, .external_lex_state = 2},
  [7216] = {.lex_state = 84, .external_lex_state = 2},
  [7217] = {.lex_state = 84, .external_lex_state = 2},
  [7218] = {.lex_state = 84, .external_lex_state = 2},
  [7219] = {.lex_state = 23, .external_lex_state = 2},
  [7220] = {.lex_state = 84, .external_lex_state = 2},
  [7221] = {.lex_state = 387, .external_lex_state = 2},
  [7222] = {.lex_state = 82, .external_lex_state = 2},
  [7223] = {.lex_state = 84, .external_lex_state = 2},
  [7224] = {.lex_state = 84, .external_lex_state = 2},
  [7225] = {.lex_state = 86, .external_lex_state = 2},
  [7226] = {.lex_state = 86, .external_lex_state = 2},
  [7227] = {.lex_state = 86, .external_lex_state = 2},
  [7228] = {.lex_state = 84, .external_lex_state = 2},
  [7229] = {.lex_state = 88, .external_lex_state = 2},
  [7230] = {.lex_state = 23, .external_lex_state = 2},
  [7231] = {.lex_state = 88, .external_lex_state = 2},
  [7232] = {.lex_state = 86, .external_lex_state = 2},
  [7233] = {.lex_state = 86, .external_lex_state = 2},
  [7234] = {.lex_state = 86, .external_lex_state = 2},
  [7235] = {.lex_state = 387, .external_lex_state = 2},
  [7236] = {.lex_state = 88, .external_lex_state = 2},
  [7237] = {.lex_state = 88, .external_lex_state = 2},
  [7238] = {.lex_state = 88, .external_lex_state = 2},
  [7239] = {.lex_state = 23, .external_lex_state = 2},
  [7240] = {.lex_state = 387, .external_lex_state = 2},
  [7241] = {.lex_state = 387, .external_lex_state = 2},
  [7242] = {.lex_state = 88, .external_lex_state = 2},
  [7243] = {.lex_state = 387, .external_lex_state = 2},
  [7244] = {.lex_state = 83, .external_lex_state = 2},
  [7245] = {.lex_state = 82, .external_lex_state = 2},
  [7246] = {.lex_state = 86, .external_lex_state = 2},
  [7247] = {.lex_state = 86, .external_lex_state = 2},
  [7248] = {.lex_state = 88, .external_lex_state = 2},
  [7249] = {.lex_state = 88, .external_lex_state = 2},
  [7250] = {.lex_state = 86, .external_lex_state = 2},
  [7251] = {.lex_state = 88, .external_lex_state = 2},
  [7252] = {.lex_state = 88, .external_lex_state = 2},
  [7253] = {.lex_state = 86, .external_lex_state = 2},
  [7254] = {.lex_state = 86, .external_lex_state = 2},
  [7255] = {.lex_state = 86, .external_lex_state = 2},
  [7256] = {.lex_state = 86, .external_lex_state = 2},
  [7257] = {.lex_state = 88, .external_lex_state = 2},
  [7258] = {.lex_state = 86, .external_lex_state = 2},
  [7259] = {.lex_state = 88, .external_lex_state = 2},
  [7260] = {.lex_state = 86, .external_lex_state = 2},
  [7261] = {.lex_state = 86, .external_lex_state = 2},
  [7262] = {.lex_state = 86, .external_lex_state = 2},
  [7263] = {.lex_state = 86, .external_lex_state = 2},
  [7264] = {.lex_state = 86, .external_lex_state = 2},
  [7265] = {.lex_state = 86, .external_lex_state = 2},
  [7266] = {.lex_state = 86, .external_lex_state = 2},
  [7267] = {.lex_state = 86, .external_lex_state = 2},
  [7268] = {.lex_state = 86, .external_lex_state = 2},
  [7269] = {.lex_state = 86, .external_lex_state = 2},
  [7270] = {.lex_state = 86, .external_lex_state = 2},
  [7271] = {.lex_state = 86, .external_lex_state = 2},
  [7272] = {.lex_state = 86, .external_lex_state = 2},
  [7273] = {.lex_state = 86, .external_lex_state = 2},
  [7274] = {.lex_state = 86, .external_lex_state = 2},
  [7275] = {.lex_state = 86, .external_lex_state = 2},
  [7276] = {.lex_state = 86, .external_lex_state = 2},
  [7277] = {.lex_state = 86, .external_lex_state = 2},
  [7278] = {.lex_state = 86, .external_lex_state = 2},
  [7279] = {.lex_state = 88, .external_lex_state = 2},
  [7280] = {.lex_state = 86, .external_lex_state = 2},
  [7281] = {.lex_state = 86, .external_lex_state = 2},
  [7282] = {.lex_state = 86, .external_lex_state = 2},
  [7283] = {.lex_state = 88, .external_lex_state = 2},
  [7284] = {.lex_state = 90, .external_lex_state = 2},
  [7285] = {.lex_state = 90, .external_lex_state = 2},
  [7286] = {.lex_state = 86, .external_lex_state = 2},
  [7287] = {.lex_state = 7, .external_lex_state = 3},
  [7288] = {.lex_state = 88, .external_lex_state = 2},
  [7289] = {.lex_state = 86, .external_lex_state = 2},
  [7290] = {.lex_state = 88, .external_lex_state = 2},
  [7291] = {.lex_state = 90, .external_lex_state = 2},
  [7292] = {.lex_state = 88, .external_lex_state = 2},
  [7293] = {.lex_state = 88, .external_lex_state = 2},
  [7294] = {.lex_state = 85, .external_lex_state = 2},
  [7295] = {.lex_state = 86, .external_lex_state = 2},
  [7296] = {.lex_state = 88, .external_lex_state = 2},
  [7297] = {.lex_state = 88, .external_lex_state = 2},
  [7298] = {.lex_state = 88, .external_lex_state = 2},
  [7299] = {.lex_state = 86, .external_lex_state = 2},
  [7300] = {.lex_state = 88, .external_lex_state = 2},
  [7301] = {.lex_state = 7, .external_lex_state = 3},
  [7302] = {.lex_state = 86, .external_lex_state = 2},
  [7303] = {.lex_state = 83, .external_lex_state = 2},
  [7304] = {.lex_state = 86, .external_lex_state = 2},
  [7305] = {.lex_state = 86, .external_lex_state = 2},
  [7306] = {.lex_state = 86, .external_lex_state = 2},
  [7307] = {.lex_state = 89, .external_lex_state = 2},
  [7308] = {.lex_state = 86, .external_lex_state = 2},
  [7309] = {.lex_state = 57, .external_lex_state = 2},
  [7310] = {.lex_state = 86, .external_lex_state = 2},
  [7311] = {.lex_state = 89, .external_lex_state = 2},
  [7312] = {.lex_state = 88, .external_lex_state = 2},
  [7313] = {.lex_state = 88, .external_lex_state = 2},
  [7314] = {.lex_state = 88, .external_lex_state = 2},
  [7315] = {.lex_state = 88, .external_lex_state = 2},
  [7316] = {.lex_state = 90, .external_lex_state = 2},
  [7317] = {.lex_state = 82, .external_lex_state = 2},
  [7318] = {.lex_state = 88, .external_lex_state = 2},
  [7319] = {.lex_state = 90, .external_lex_state = 2},
  [7320] = {.lex_state = 88, .external_lex_state = 2},
  [7321] = {.lex_state = 88, .external_lex_state = 2},
  [7322] = {.lex_state = 85, .external_lex_state = 2},
  [7323] = {.lex_state = 87, .external_lex_state = 2},
  [7324] = {.lex_state = 88, .external_lex_state = 2},
  [7325] = {.lex_state = 87, .external_lex_state = 2},
  [7326] = {.lex_state = 88, .external_lex_state = 2},
  [7327] = {.lex_state = 86, .external_lex_state = 2},
  [7328] = {.lex_state = 85, .external_lex_state = 2},
  [7329] = {.lex_state = 82, .external_lex_state = 2},
  [7330] = {.lex_state = 83, .external_lex_state = 2},
  [7331] = {.lex_state = 88, .external_lex_state = 2},
  [7332] = {.lex_state = 86, .external_lex_state = 2},
  [7333] = {.lex_state = 88, .external_lex_state = 2},
  [7334] = {.lex_state = 88, .external_lex_state = 2},
  [7335] = {.lex_state = 85, .external_lex_state = 2},
  [7336] = {.lex_state = 88, .external_lex_state = 2},
  [7337] = {.lex_state = 90, .external_lex_state = 2},
  [7338] = {.lex_state = 88, .external_lex_state = 2},
  [7339] = {.lex_state = 90, .external_lex_state = 2},
  [7340] = {.lex_state = 86, .external_lex_state = 2},
  [7341] = {.lex_state = 88, .external_lex_state = 2},
  [7342] = {.lex_state = 86, .external_lex_state = 2},
  [7343] = {.lex_state = 88, .external_lex_state = 2},
  [7344] = {.lex_state = 85, .external_lex_state = 2},
  [7345] = {.lex_state = 88, .external_lex_state = 2},
  [7346] = {.lex_state = 88, .external_lex_state = 2},
  [7347] = {.lex_state = 88, .external_lex_state = 2},
  [7348] = {.lex_state = 83, .external_lex_state = 2},
  [7349] = {.lex_state = 86, .external_lex_state = 2},
  [7350] = {.lex_state = 88, .external_lex_state = 2},
  [7351] = {.lex_state = 85, .external_lex_state = 2},
  [7352] = {.lex_state = 82, .external_lex_state = 2},
  [7353] = {.lex_state = 85, .external_lex_state = 2},
  [7354] = {.lex_state = 85, .external_lex_state = 2},
  [7355] = {.lex_state = 82, .external_lex_state = 2},
  [7356] = {.lex_state = 88, .external_lex_state = 2},
  [7357] = {.lex_state = 85, .external_lex_state = 2},
  [7358] = {.lex_state = 86, .external_lex_state = 2},
  [7359] = {.lex_state = 85, .external_lex_state = 2},
  [7360] = {.lex_state = 85, .external_lex_state = 2},
  [7361] = {.lex_state = 88, .external_lex_state = 2},
  [7362] = {.lex_state = 83, .external_lex_state = 2},
  [7363] = {.lex_state = 85, .external_lex_state = 2},
  [7364] = {.lex_state = 90, .external_lex_state = 2},
  [7365] = {.lex_state = 86, .external_lex_state = 2},
  [7366] = {.lex_state = 85, .external_lex_state = 2},
  [7367] = {.lex_state = 83, .external_lex_state = 2},
  [7368] = {.lex_state = 90, .external_lex_state = 2},
  [7369] = {.lex_state = 90, .external_lex_state = 2},
  [7370] = {.lex_state = 91, .external_lex_state = 2},
  [7371] = {.lex_state = 93, .external_lex_state = 2},
  [7372] = {.lex_state = 90, .external_lex_state = 2},
  [7373] = {.lex_state = 83, .external_lex_state = 2},
  [7374] = {.lex_state = 88, .external_lex_state = 2},
  [7375] = {.lex_state = 88, .external_lex_state = 2},
  [7376] = {.lex_state = 88, .external_lex_state = 2},
  [7377] = {.lex_state = 90, .external_lex_state = 2},
  [7378] = {.lex_state = 90, .external_lex_state = 2},
  [7379] = {.lex_state = 83, .external_lex_state = 2},
  [7380] = {.lex_state = 85, .external_lex_state = 2},
  [7381] = {.lex_state = 88, .external_lex_state = 2},
  [7382] = {.lex_state = 88, .external_lex_state = 2},
  [7383] = {.lex_state = 88, .external_lex_state = 2},
  [7384] = {.lex_state = 86, .external_lex_state = 2},
  [7385] = {.lex_state = 7, .external_lex_state = 3},
  [7386] = {.lex_state = 88, .external_lex_state = 2},
  [7387] = {.lex_state = 83, .external_lex_state = 2},
  [7388] = {.lex_state = 92, .external_lex_state = 2},
  [7389] = {.lex_state = 86, .external_lex_state = 2},
  [7390] = {.lex_state = 83, .external_lex_state = 2},
  [7391] = {.lex_state = 85, .external_lex_state = 2},
  [7392] = {.lex_state = 85, .external_lex_state = 2},
  [7393] = {.lex_state = 88, .external_lex_state = 2},
  [7394] = {.lex_state = 85, .external_lex_state = 2},
  [7395] = {.lex_state = 88, .external_lex_state = 2},
  [7396] = {.lex_state = 86, .external_lex_state = 2},
  [7397] = {.lex_state = 88, .external_lex_state = 2},
  [7398] = {.lex_state = 85, .external_lex_state = 2},
  [7399] = {.lex_state = 85, .external_lex_state = 2},
  [7400] = {.lex_state = 86, .external_lex_state = 2},
  [7401] = {.lex_state = 86, .external_lex_state = 2},
  [7402] = {.lex_state = 90, .external_lex_state = 2},
  [7403] = {.lex_state = 85, .external_lex_state = 2},
  [7404] = {.lex_state = 88, .external_lex_state = 2},
  [7405] = {.lex_state = 82, .external_lex_state = 2},
  [7406] = {.lex_state = 88, .external_lex_state = 2},
  [7407] = {.lex_state = 90, .external_lex_state = 2},
  [7408] = {.lex_state = 88, .external_lex_state = 2},
  [7409] = {.lex_state = 88, .external_lex_state = 2},
  [7410] = {.lex_state = 85, .external_lex_state = 2},
  [7411] = {.lex_state = 88, .external_lex_state = 2},
  [7412] = {.lex_state = 88, .external_lex_state = 2},
  [7413] = {.lex_state = 90, .external_lex_state = 2},
  [7414] = {.lex_state = 85, .external_lex_state = 2},
  [7415] = {.lex_state = 90, .external_lex_state = 2},
  [7416] = {.lex_state = 85, .external_lex_state = 2},
  [7417] = {.lex_state = 85, .external_lex_state = 2},
  [7418] = {.lex_state = 85, .external_lex_state = 2},
  [7419] = {.lex_state = 89, .external_lex_state = 2},
  [7420] = {.lex_state = 85, .external_lex_state = 2},
  [7421] = {.lex_state = 90, .external_lex_state = 2},
  [7422] = {.lex_state = 85, .external_lex_state = 2},
  [7423] = {.lex_state = 85, .external_lex_state = 2},
  [7424] = {.lex_state = 85, .external_lex_state = 2},
  [7425] = {.lex_state = 90, .external_lex_state = 2},
  [7426] = {.lex_state = 88, .external_lex_state = 2},
  [7427] = {.lex_state = 85, .external_lex_state = 2},
  [7428] = {.lex_state = 7, .external_lex_state = 3},
  [7429] = {.lex_state = 88, .external_lex_state = 2},
  [7430] = {.lex_state = 82, .external_lex_state = 2},
  [7431] = {.lex_state = 85, .external_lex_state = 2},
  [7432] = {.lex_state = 86, .external_lex_state = 2},
  [7433] = {.lex_state = 86, .external_lex_state = 2},
  [7434] = {.lex_state = 86, .external_lex_state = 2},
  [7435] = {.lex_state = 82, .external_lex_state = 2},
  [7436] = {.lex_state = 91, .external_lex_state = 2},
  [7437] = {.lex_state = 85, .external_lex_state = 2},
  [7438] = {.lex_state = 86, .external_lex_state = 2},
  [7439] = {.lex_state = 85, .external_lex_state = 2},
  [7440] = {.lex_state = 89, .external_lex_state = 2},
  [7441] = {.lex_state = 89, .external_lex_state = 2},
  [7442] = {.lex_state = 85, .external_lex_state = 2},
  [7443] = {.lex_state = 85, .external_lex_state = 2},
  [7444] = {.lex_state = 85, .external_lex_state = 2},
  [7445] = {.lex_state = 85, .external_lex_state = 2},
  [7446] = {.lex_state = 85, .external_lex_state = 2},
  [7447] = {.lex_state = 92, .external_lex_state = 2},
  [7448] = {.lex_state = 90, .external_lex_state = 2},
  [7449] = {.lex_state = 85, .external_lex_state = 2},
  [7450] = {.lex_state = 85, .external_lex_state = 2},
  [7451] = {.lex_state = 89, .external_lex_state = 2},
  [7452] = {.lex_state = 7, .external_lex_state = 3},
  [7453] = {.lex_state = 85, .external_lex_state = 2},
  [7454] = {.lex_state = 85, .external_lex_state = 2},
  [7455] = {.lex_state = 85, .external_lex_state = 2},
  [7456] = {.lex_state = 86, .external_lex_state = 2},
  [7457] = {.lex_state = 93, .external_lex_state = 2},
  [7458] = {.lex_state = 85, .external_lex_state = 2},
  [7459] = {.lex_state = 88, .external_lex_state = 2},
  [7460] = {.lex_state = 85, .external_lex_state = 2},
  [7461] = {.lex_state = 82, .external_lex_state = 2},
  [7462] = {.lex_state = 82, .external_lex_state = 2},
  [7463] = {.lex_state = 85, .external_lex_state = 2},
  [7464] = {.lex_state = 90, .external_lex_state = 2},
  [7465] = {.lex_state = 88, .external_lex_state = 2},
  [7466] = {.lex_state = 82, .external_lex_state = 2},
  [7467] = {.lex_state = 87, .external_lex_state = 2},
  [7468] = {.lex_state = 90, .external_lex_state = 2},
  [7469] = {.lex_state = 90, .external_lex_state = 2},
  [7470] = {.lex_state = 90, .external_lex_state = 2},
  [7471] = {.lex_state = 90, .external_lex_state = 2},
  [7472] = {.lex_state = 88, .external_lex_state = 2},
  [7473] = {.lex_state = 87, .external_lex_state = 2},
  [7474] = {.lex_state = 82, .external_lex_state = 2},
  [7475] = {.lex_state = 85, .external_lex_state = 2},
  [7476] = {.lex_state = 88, .external_lex_state = 2},
  [7477] = {.lex_state = 93, .external_lex_state = 2},
  [7478] = {.lex_state = 90, .external_lex_state = 2},
  [7479] = {.lex_state = 89, .external_lex_state = 2},
  [7480] = {.lex_state = 90, .external_lex_state = 2},
  [7481] = {.lex_state = 82, .external_lex_state = 2},
  [7482] = {.lex_state = 90, .external_lex_state = 2},
  [7483] = {.lex_state = 86, .external_lex_state = 2},
  [7484] = {.lex_state = 90, .external_lex_state = 2},
  [7485] = {.lex_state = 90, .external_lex_state = 2},
  [7486] = {.lex_state = 90, .external_lex_state = 2},
  [7487] = {.lex_state = 90, .external_lex_state = 2},
  [7488] = {.lex_state = 90, .external_lex_state = 2},
  [7489] = {.lex_state = 90, .external_lex_state = 2},
  [7490] = {.lex_state = 90, .external_lex_state = 2},
  [7491] = {.lex_state = 85, .external_lex_state = 2},
  [7492] = {.lex_state = 89, .external_lex_state = 2},
  [7493] = {.lex_state = 90, .external_lex_state = 2},
  [7494] = {.lex_state = 82, .external_lex_state = 2},
  [7495] = {.lex_state = 90, .external_lex_state = 2},
  [7496] = {.lex_state = 88, .external_lex_state = 2},
  [7497] = {.lex_state = 90, .external_lex_state = 2},
  [7498] = {.lex_state = 90, .external_lex_state = 2},
  [7499] = {.lex_state = 85, .external_lex_state = 2},
  [7500] = {.lex_state = 86, .external_lex_state = 2},
  [7501] = {.lex_state = 90, .external_lex_state = 2},
  [7502] = {.lex_state = 90, .external_lex_state = 2},
  [7503] = {.lex_state = 82, .external_lex_state = 2},
  [7504] = {.lex_state = 82, .external_lex_state = 2},
  [7505] = {.lex_state = 82, .external_lex_state = 2},
  [7506] = {.lex_state = 90, .external_lex_state = 2},
  [7507] = {.lex_state = 85, .external_lex_state = 2},
  [7508] = {.lex_state = 90, .external_lex_state = 2},
  [7509] = {.lex_state = 90, .external_lex_state = 2},
  [7510] = {.lex_state = 88, .external_lex_state = 2},
  [7511] = {.lex_state = 88, .external_lex_state = 2},
  [7512] = {.lex_state = 95, .external_lex_state = 2},
  [7513] = {.lex_state = 92, .external_lex_state = 2},
  [7514] = {.lex_state = 92, .external_lex_state = 2},
  [7515] = {.lex_state = 89, .external_lex_state = 2},
  [7516] = {.lex_state = 90, .external_lex_state = 2},
  [7517] = {.lex_state = 90, .external_lex_state = 2},
  [7518] = {.lex_state = 90, .external_lex_state = 2},
  [7519] = {.lex_state = 86, .external_lex_state = 2},
  [7520] = {.lex_state = 82, .external_lex_state = 2},
  [7521] = {.lex_state = 89, .external_lex_state = 2},
  [7522] = {.lex_state = 90, .external_lex_state = 2},
  [7523] = {.lex_state = 90, .external_lex_state = 2},
  [7524] = {.lex_state = 82, .external_lex_state = 2},
  [7525] = {.lex_state = 82, .external_lex_state = 2},
  [7526] = {.lex_state = 89, .external_lex_state = 2},
  [7527] = {.lex_state = 90, .external_lex_state = 2},
  [7528] = {.lex_state = 85, .external_lex_state = 2},
  [7529] = {.lex_state = 85, .external_lex_state = 2},
  [7530] = {.lex_state = 85, .external_lex_state = 2},
  [7531] = {.lex_state = 88, .external_lex_state = 2},
  [7532] = {.lex_state = 86, .external_lex_state = 2},
  [7533] = {.lex_state = 90, .external_lex_state = 2},
  [7534] = {.lex_state = 92, .external_lex_state = 2},
  [7535] = {.lex_state = 82, .external_lex_state = 2},
  [7536] = {.lex_state = 85, .external_lex_state = 2},
  [7537] = {.lex_state = 90, .external_lex_state = 2},
  [7538] = {.lex_state = 90, .external_lex_state = 2},
  [7539] = {.lex_state = 89, .external_lex_state = 2},
  [7540] = {.lex_state = 90, .external_lex_state = 2},
  [7541] = {.lex_state = 82, .external_lex_state = 2},
  [7542] = {.lex_state = 90, .external_lex_state = 2},
  [7543] = {.lex_state = 85, .external_lex_state = 2},
  [7544] = {.lex_state = 85, .external_lex_state = 2},
  [7545] = {.lex_state = 86, .external_lex_state = 2},
  [7546] = {.lex_state = 85, .external_lex_state = 2},
  [7547] = {.lex_state = 82, .external_lex_state = 2},
  [7548] = {.lex_state = 82, .external_lex_state = 2},
  [7549] = {.lex_state = 85, .external_lex_state = 2},
  [7550] = {.lex_state = 82, .external_lex_state = 2},
  [7551] = {.lex_state = 86, .external_lex_state = 2},
  [7552] = {.lex_state = 90, .external_lex_state = 2},
  [7553] = {.lex_state = 86, .external_lex_state = 2},
  [7554] = {.lex_state = 85, .external_lex_state = 2},
  [7555] = {.lex_state = 85, .external_lex_state = 2},
  [7556] = {.lex_state = 85, .external_lex_state = 2},
  [7557] = {.lex_state = 89, .external_lex_state = 2},
  [7558] = {.lex_state = 85, .external_lex_state = 2},
  [7559] = {.lex_state = 85, .external_lex_state = 2},
  [7560] = {.lex_state = 93, .external_lex_state = 2},
  [7561] = {.lex_state = 86, .external_lex_state = 2},
  [7562] = {.lex_state = 85, .external_lex_state = 2},
  [7563] = {.lex_state = 93, .external_lex_state = 2},
  [7564] = {.lex_state = 93, .external_lex_state = 2},
  [7565] = {.lex_state = 85, .external_lex_state = 2},
  [7566] = {.lex_state = 89, .external_lex_state = 2},
  [7567] = {.lex_state = 85, .external_lex_state = 2},
  [7568] = {.lex_state = 86, .external_lex_state = 2},
  [7569] = {.lex_state = 85, .external_lex_state = 2},
  [7570] = {.lex_state = 85, .external_lex_state = 2},
  [7571] = {.lex_state = 89, .external_lex_state = 2},
  [7572] = {.lex_state = 82, .external_lex_state = 2},
  [7573] = {.lex_state = 85, .external_lex_state = 2},
  [7574] = {.lex_state = 92, .external_lex_state = 2},
  [7575] = {.lex_state = 90, .external_lex_state = 2},
  [7576] = {.lex_state = 92, .external_lex_state = 2},
  [7577] = {.lex_state = 82, .external_lex_state = 2},
  [7578] = {.lex_state = 87, .external_lex_state = 2},
  [7579] = {.lex_state = 87, .external_lex_state = 2},
  [7580] = {.lex_state = 87, .external_lex_state = 2},
  [7581] = {.lex_state = 82, .external_lex_state = 2},
  [7582] = {.lex_state = 89, .external_lex_state = 2},
  [7583] = {.lex_state = 92, .external_lex_state = 2},
  [7584] = {.lex_state = 82, .external_lex_state = 2},
  [7585] = {.lex_state = 89, .external_lex_state = 2},
  [7586] = {.lex_state = 82, .external_lex_state = 2},
  [7587] = {.lex_state = 90, .external_lex_state = 2},
  [7588] = {.lex_state = 82, .external_lex_state = 2},
  [7589] = {.lex_state = 82, .external_lex_state = 2},
  [7590] = {.lex_state = 85, .external_lex_state = 2},
  [7591] = {.lex_state = 82, .external_lex_state = 2},
  [7592] = {.lex_state = 89, .external_lex_state = 2},
  [7593] = {.lex_state = 87, .external_lex_state = 2},
  [7594] = {.lex_state = 82, .external_lex_state = 2},
  [7595] = {.lex_state = 90, .external_lex_state = 2},
  [7596] = {.lex_state = 93, .external_lex_state = 2},
  [7597] = {.lex_state = 82, .external_lex_state = 2},
  [7598] = {.lex_state = 82, .external_lex_state = 2},
  [7599] = {.lex_state = 89, .external_lex_state = 2},
  [7600] = {.lex_state = 87, .external_lex_state = 2},
  [7601] = {.lex_state = 82, .external_lex_state = 2},
  [7602] = {.lex_state = 90, .external_lex_state = 2},
  [7603] = {.lex_state = 89, .external_lex_state = 2},
  [7604] = {.lex_state = 86, .external_lex_state = 2},
  [7605] = {.lex_state = 89, .external_lex_state = 2},
  [7606] = {.lex_state = 89, .external_lex_state = 2},
  [7607] = {.lex_state = 90, .external_lex_state = 2},
  [7608] = {.lex_state = 90, .external_lex_state = 2},
  [7609] = {.lex_state = 91, .external_lex_state = 2},
  [7610] = {.lex_state = 91, .external_lex_state = 2},
  [7611] = {.lex_state = 82, .external_lex_state = 2},
  [7612] = {.lex_state = 82, .external_lex_state = 2},
  [7613] = {.lex_state = 82, .external_lex_state = 2},
  [7614] = {.lex_state = 89, .external_lex_state = 2},
  [7615] = {.lex_state = 87, .external_lex_state = 2},
  [7616] = {.lex_state = 82, .external_lex_state = 2},
  [7617] = {.lex_state = 91, .external_lex_state = 2},
  [7618] = {.lex_state = 90, .external_lex_state = 2},
  [7619] = {.lex_state = 89, .external_lex_state = 2},
  [7620] = {.lex_state = 82, .external_lex_state = 2},
  [7621] = {.lex_state = 82, .external_lex_state = 2},
  [7622] = {.lex_state = 83, .external_lex_state = 2},
  [7623] = {.lex_state = 82, .external_lex_state = 2},
  [7624] = {.lex_state = 89, .external_lex_state = 2},
  [7625] = {.lex_state = 89, .external_lex_state = 2},
  [7626] = {.lex_state = 89, .external_lex_state = 2},
  [7627] = {.lex_state = 89, .external_lex_state = 2},
  [7628] = {.lex_state = 7, .external_lex_state = 3},
  [7629] = {.lex_state = 91, .external_lex_state = 2},
  [7630] = {.lex_state = 82, .external_lex_state = 2},
  [7631] = {.lex_state = 93, .external_lex_state = 2},
  [7632] = {.lex_state = 82, .external_lex_state = 2},
  [7633] = {.lex_state = 82, .external_lex_state = 2},
  [7634] = {.lex_state = 92, .external_lex_state = 2},
  [7635] = {.lex_state = 7, .external_lex_state = 3},
  [7636] = {.lex_state = 90, .external_lex_state = 2},
  [7637] = {.lex_state = 90, .external_lex_state = 2},
  [7638] = {.lex_state = 82, .external_lex_state = 2},
  [7639] = {.lex_state = 91, .external_lex_state = 2},
  [7640] = {.lex_state = 82, .external_lex_state = 2},
  [7641] = {.lex_state = 82, .external_lex_state = 2},
  [7642] = {.lex_state = 93, .external_lex_state = 2},
  [7643] = {.lex_state = 89, .external_lex_state = 2},
  [7644] = {.lex_state = 89, .external_lex_state = 2},
  [7645] = {.lex_state = 82, .external_lex_state = 2},
  [7646] = {.lex_state = 86, .external_lex_state = 2},
  [7647] = {.lex_state = 93, .external_lex_state = 2},
  [7648] = {.lex_state = 82, .external_lex_state = 2},
  [7649] = {.lex_state = 82, .external_lex_state = 2},
  [7650] = {.lex_state = 90, .external_lex_state = 2},
  [7651] = {.lex_state = 89, .external_lex_state = 2},
  [7652] = {.lex_state = 91, .external_lex_state = 2},
  [7653] = {.lex_state = 82, .external_lex_state = 2},
  [7654] = {.lex_state = 82, .external_lex_state = 2},
  [7655] = {.lex_state = 82, .external_lex_state = 2},
  [7656] = {.lex_state = 89, .external_lex_state = 2},
  [7657] = {.lex_state = 89, .external_lex_state = 2},
  [7658] = {.lex_state = 82, .external_lex_state = 2},
  [7659] = {.lex_state = 82, .external_lex_state = 2},
  [7660] = {.lex_state = 90, .external_lex_state = 2},
  [7661] = {.lex_state = 82, .external_lex_state = 2},
  [7662] = {.lex_state = 85, .external_lex_state = 2},
  [7663] = {.lex_state = 90, .external_lex_state = 2},
  [7664] = {.lex_state = 93, .external_lex_state = 2},
  [7665] = {.lex_state = 88, .external_lex_state = 2},
  [7666] = {.lex_state = 90, .external_lex_state = 2},
  [7667] = {.lex_state = 89, .external_lex_state = 2},
  [7668] = {.lex_state = 82, .external_lex_state = 2},
  [7669] = {.lex_state = 82, .external_lex_state = 2},
  [7670] = {.lex_state = 88, .external_lex_state = 2},
  [7671] = {.lex_state = 82, .external_lex_state = 2},
  [7672] = {.lex_state = 88, .external_lex_state = 2},
  [7673] = {.lex_state = 82, .external_lex_state = 2},
  [7674] = {.lex_state = 89, .external_lex_state = 2},
  [7675] = {.lex_state = 82, .external_lex_state = 2},
  [7676] = {.lex_state = 85, .external_lex_state = 2},
  [7677] = {.lex_state = 91, .external_lex_state = 2},
  [7678] = {.lex_state = 89, .external_lex_state = 2},
  [7679] = {.lex_state = 89, .external_lex_state = 2},
  [7680] = {.lex_state = 82, .external_lex_state = 2},
  [7681] = {.lex_state = 89, .external_lex_state = 2},
  [7682] = {.lex_state = 89, .external_lex_state = 2},
  [7683] = {.lex_state = 88, .external_lex_state = 2},
  [7684] = {.lex_state = 89, .external_lex_state = 2},
  [7685] = {.lex_state = 89, .external_lex_state = 2},
  [7686] = {.lex_state = 94, .external_lex_state = 2},
  [7687] = {.lex_state = 89, .external_lex_state = 2},
  [7688] = {.lex_state = 89, .external_lex_state = 2},
  [7689] = {.lex_state = 88, .external_lex_state = 2},
  [7690] = {.lex_state = 88, .external_lex_state = 2},
  [7691] = {.lex_state = 88, .external_lex_state = 2},
  [7692] = {.lex_state = 82, .external_lex_state = 2},
  [7693] = {.lex_state = 87, .external_lex_state = 2},
  [7694] = {.lex_state = 89, .external_lex_state = 2},
  [7695] = {.lex_state = 91, .external_lex_state = 2},
  [7696] = {.lex_state = 89, .external_lex_state = 2},
  [7697] = {.lex_state = 92, .external_lex_state = 2},
  [7698] = {.lex_state = 89, .external_lex_state = 2},
  [7699] = {.lex_state = 89, .external_lex_state = 2},
  [7700] = {.lex_state = 88, .external_lex_state = 2},
  [7701] = {.lex_state = 86, .external_lex_state = 2},
  [7702] = {.lex_state = 86, .external_lex_state = 2},
  [7703] = {.lex_state = 90, .external_lex_state = 2},
  [7704] = {.lex_state = 86, .external_lex_state = 2},
  [7705] = {.lex_state = 89, .external_lex_state = 2},
  [7706] = {.lex_state = 89, .external_lex_state = 2},
  [7707] = {.lex_state = 91, .external_lex_state = 2},
  [7708] = {.lex_state = 86, .external_lex_state = 2},
  [7709] = {.lex_state = 89, .external_lex_state = 2},
  [7710] = {.lex_state = 7, .external_lex_state = 3},
  [7711] = {.lex_state = 89, .external_lex_state = 2},
  [7712] = {.lex_state = 89, .external_lex_state = 2},
  [7713] = {.lex_state = 89, .external_lex_state = 2},
  [7714] = {.lex_state = 92, .external_lex_state = 2},
  [7715] = {.lex_state = 89, .external_lex_state = 2},
  [7716] = {.lex_state = 89, .external_lex_state = 2},
  [7717] = {.lex_state = 82, .external_lex_state = 2},
  [7718] = {.lex_state = 90, .external_lex_state = 2},
  [7719] = {.lex_state = 82, .external_lex_state = 2},
  [7720] = {.lex_state = 82, .external_lex_state = 2},
  [7721] = {.lex_state = 82, .external_lex_state = 2},
  [7722] = {.lex_state = 82, .external_lex_state = 2},
  [7723] = {.lex_state = 89, .external_lex_state = 2},
  [7724] = {.lex_state = 90, .external_lex_state = 2},
  [7725] = {.lex_state = 89, .external_lex_state = 2},
  [7726] = {.lex_state = 89, .external_lex_state = 2},
  [7727] = {.lex_state = 89, .external_lex_state = 2},
  [7728] = {.lex_state = 82, .external_lex_state = 2},
  [7729] = {.lex_state = 88, .external_lex_state = 2},
  [7730] = {.lex_state = 89, .external_lex_state = 2},
  [7731] = {.lex_state = 89, .external_lex_state = 2},
  [7732] = {.lex_state = 89, .external_lex_state = 2},
  [7733] = {.lex_state = 89, .external_lex_state = 2},
  [7734] = {.lex_state = 89, .external_lex_state = 2},
  [7735] = {.lex_state = 82, .external_lex_state = 2},
  [7736] = {.lex_state = 89, .external_lex_state = 2},
  [7737] = {.lex_state = 89, .external_lex_state = 2},
  [7738] = {.lex_state = 89, .external_lex_state = 2},
  [7739] = {.lex_state = 89, .external_lex_state = 2},
  [7740] = {.lex_state = 89, .external_lex_state = 2},
  [7741] = {.lex_state = 90, .external_lex_state = 2},
  [7742] = {.lex_state = 89, .external_lex_state = 2},
  [7743] = {.lex_state = 89, .external_lex_state = 2},
  [7744] = {.lex_state = 94, .external_lex_state = 2},
  [7745] = {.lex_state = 89, .external_lex_state = 2},
  [7746] = {.lex_state = 89, .external_lex_state = 2},
  [7747] = {.lex_state = 17, .external_lex_state = 2},
  [7748] = {.lex_state = 92, .external_lex_state = 2},
  [7749] = {.lex_state = 18, .external_lex_state = 2},
  [7750] = {.lex_state = 18, .external_lex_state = 2},
  [7751] = {.lex_state = 18, .external_lex_state = 2},
  [7752] = {.lex_state = 18, .external_lex_state = 2},
  [7753] = {.lex_state = 18, .external_lex_state = 2},
  [7754] = {.lex_state = 18, .external_lex_state = 2},
  [7755] = {.lex_state = 18, .external_lex_state = 2},
  [7756] = {.lex_state = 18, .external_lex_state = 2},
  [7757] = {.lex_state = 18, .external_lex_state = 2},
  [7758] = {.lex_state = 18, .external_lex_state = 2},
  [7759] = {.lex_state = 18, .external_lex_state = 2},
  [7760] = {.lex_state = 93, .external_lex_state = 2},
  [7761] = {.lex_state = 87, .external_lex_state = 2},
  [7762] = {.lex_state = 18, .external_lex_state = 2},
  [7763] = {.lex_state = 18, .external_lex_state = 2},
  [7764] = {.lex_state = 18, .external_lex_state = 2},
  [7765] = {.lex_state = 18, .external_lex_state = 2},
  [7766] = {.lex_state = 18, .external_lex_state = 2},
  [7767] = {.lex_state = 18, .external_lex_state = 2},
  [7768] = {.lex_state = 93, .external_lex_state = 2},
  [7769] = {.lex_state = 18, .external_lex_state = 2},
  [7770] = {.lex_state = 18, .external_lex_state = 2},
  [7771] = {.lex_state = 91, .external_lex_state = 2},
  [7772] = {.lex_state = 91, .external_lex_state = 2},
  [7773] = {.lex_state = 18, .external_lex_state = 2},
  [7774] = {.lex_state = 17, .external_lex_state = 2},
  [7775] = {.lex_state = 18, .external_lex_state = 2},
  [7776] = {.lex_state = 18, .external_lex_state = 2},
  [7777] = {.lex_state = 18, .external_lex_state = 2},
  [7778] = {.lex_state = 18, .external_lex_state = 2},
  [7779] = {.lex_state = 18, .external_lex_state = 2},
  [7780] = {.lex_state = 18, .external_lex_state = 2},
  [7781] = {.lex_state = 18, .external_lex_state = 2},
  [7782] = {.lex_state = 18, .external_lex_state = 2},
  [7783] = {.lex_state = 92, .external_lex_state = 2},
  [7784] = {.lex_state = 18, .external_lex_state = 2},
  [7785] = {.lex_state = 18, .external_lex_state = 2},
  [7786] = {.lex_state = 18, .external_lex_state = 2},
  [7787] = {.lex_state = 18, .external_lex_state = 2},
  [7788] = {.lex_state = 418, .external_lex_state = 2},
  [7789] = {.lex_state = 18, .external_lex_state = 2},
  [7790] = {.lex_state = 18, .external_lex_state = 2},
  [7791] = {.lex_state = 18, .external_lex_state = 2},
  [7792] = {.lex_state = 18, .external_lex_state = 2},
  [7793] = {.lex_state = 18, .external_lex_state = 2},
  [7794] = {.lex_state = 18, .external_lex_state = 2},
  [7795] = {.lex_state = 18, .external_lex_state = 2},
  [7796] = {.lex_state = 385, .external_lex_state = 2},
  [7797] = {.lex_state = 18, .external_lex_state = 2},
  [7798] = {.lex_state = 18, .external_lex_state = 2},
  [7799] = {.lex_state = 87, .external_lex_state = 2},
  [7800] = {.lex_state = 18, .external_lex_state = 2},
  [7801] = {.lex_state = 87, .external_lex_state = 2},
  [7802] = {.lex_state = 83, .external_lex_state = 2},
  [7803] = {.lex_state = 18, .external_lex_state = 2},
  [7804] = {.lex_state = 18, .external_lex_state = 2},
  [7805] = {.lex_state = 91, .external_lex_state = 2},
  [7806] = {.lex_state = 91, .external_lex_state = 2},
  [7807] = {.lex_state = 18, .external_lex_state = 2},
  [7808] = {.lex_state = 18, .external_lex_state = 2},
  [7809] = {.lex_state = 91, .external_lex_state = 2},
  [7810] = {.lex_state = 18, .external_lex_state = 2},
  [7811] = {.lex_state = 18, .external_lex_state = 2},
  [7812] = {.lex_state = 17, .external_lex_state = 2},
  [7813] = {.lex_state = 91, .external_lex_state = 2},
  [7814] = {.lex_state = 87, .external_lex_state = 2},
  [7815] = {.lex_state = 91, .external_lex_state = 2},
  [7816] = {.lex_state = 91, .external_lex_state = 2},
  [7817] = {.lex_state = 83, .external_lex_state = 2},
  [7818] = {.lex_state = 18, .external_lex_state = 2},
  [7819] = {.lex_state = 87, .external_lex_state = 2},
  [7820] = {.lex_state = 93, .external_lex_state = 2},
  [7821] = {.lex_state = 83, .external_lex_state = 2},
  [7822] = {.lex_state = 87, .external_lex_state = 2},
  [7823] = {.lex_state = 93, .external_lex_state = 2},
  [7824] = {.lex_state = 93, .external_lex_state = 2},
  [7825] = {.lex_state = 93, .external_lex_state = 2},
  [7826] = {.lex_state = 87, .external_lex_state = 2},
  [7827] = {.lex_state = 18, .external_lex_state = 2},
  [7828] = {.lex_state = 87, .external_lex_state = 2},
  [7829] = {.lex_state = 91, .external_lex_state = 2},
  [7830] = {.lex_state = 93, .external_lex_state = 2},
  [7831] = {.lex_state = 87, .external_lex_state = 2},
  [7832] = {.lex_state = 91, .external_lex_state = 2},
  [7833] = {.lex_state = 91, .external_lex_state = 2},
  [7834] = {.lex_state = 18, .external_lex_state = 2},
  [7835] = {.lex_state = 91, .external_lex_state = 2},
  [7836] = {.lex_state = 18, .external_lex_state = 2},
  [7837] = {.lex_state = 91, .external_lex_state = 2},
  [7838] = {.lex_state = 91, .external_lex_state = 2},
  [7839] = {.lex_state = 18, .external_lex_state = 2},
  [7840] = {.lex_state = 87, .external_lex_state = 2},
  [7841] = {.lex_state = 91, .external_lex_state = 2},
  [7842] = {.lex_state = 18, .external_lex_state = 2},
  [7843] = {.lex_state = 83, .external_lex_state = 2},
  [7844] = {.lex_state = 91, .external_lex_state = 2},
  [7845] = {.lex_state = 83, .external_lex_state = 2},
  [7846] = {.lex_state = 93, .external_lex_state = 2},
  [7847] = {.lex_state = 93, .external_lex_state = 2},
  [7848] = {.lex_state = 87, .external_lex_state = 2},
  [7849] = {.lex_state = 91, .external_lex_state = 2},
  [7850] = {.lex_state = 93, .external_lex_state = 2},
  [7851] = {.lex_state = 91, .external_lex_state = 2},
  [7852] = {.lex_state = 93, .external_lex_state = 2},
  [7853] = {.lex_state = 91, .external_lex_state = 2},
  [7854] = {.lex_state = 385, .external_lex_state = 2},
  [7855] = {.lex_state = 385, .external_lex_state = 2},
  [7856] = {.lex_state = 92, .external_lex_state = 2},
  [7857] = {.lex_state = 92, .external_lex_state = 2},
  [7858] = {.lex_state = 91, .external_lex_state = 2},
  [7859] = {.lex_state = 91, .external_lex_state = 2},
  [7860] = {.lex_state = 92, .external_lex_state = 2},
  [7861] = {.lex_state = 385, .external_lex_state = 2},
  [7862] = {.lex_state = 91, .external_lex_state = 2},
  [7863] = {.lex_state = 92, .external_lex_state = 2},
  [7864] = {.lex_state = 91, .external_lex_state = 2},
  [7865] = {.lex_state = 87, .external_lex_state = 2},
  [7866] = {.lex_state = 91, .external_lex_state = 2},
  [7867] = {.lex_state = 91, .external_lex_state = 2},
  [7868] = {.lex_state = 385, .external_lex_state = 2},
  [7869] = {.lex_state = 87, .external_lex_state = 2},
  [7870] = {.lex_state = 83, .external_lex_state = 2},
  [7871] = {.lex_state = 83, .external_lex_state = 2},
  [7872] = {.lex_state = 92, .external_lex_state = 2},
  [7873] = {.lex_state = 92, .external_lex_state = 2},
  [7874] = {.lex_state = 91, .external_lex_state = 2},
  [7875] = {.lex_state = 91, .external_lex_state = 2},
  [7876] = {.lex_state = 91, .external_lex_state = 2},
  [7877] = {.lex_state = 91, .external_lex_state = 2},
  [7878] = {.lex_state = 91, .external_lex_state = 2},
  [7879] = {.lex_state = 91, .external_lex_state = 2},
  [7880] = {.lex_state = 91, .external_lex_state = 2},
  [7881] = {.lex_state = 93, .external_lex_state = 2},
  [7882] = {.lex_state = 93, .external_lex_state = 2},
  [7883] = {.lex_state = 93, .external_lex_state = 2},
  [7884] = {.lex_state = 93, .external_lex_state = 2},
  [7885] = {.lex_state = 91, .external_lex_state = 2},
  [7886] = {.lex_state = 93, .external_lex_state = 2},
  [7887] = {.lex_state = 93, .external_lex_state = 2},
  [7888] = {.lex_state = 93, .external_lex_state = 2},
  [7889] = {.lex_state = 87, .external_lex_state = 2},
  [7890] = {.lex_state = 92, .external_lex_state = 2},
  [7891] = {.lex_state = 93, .external_lex_state = 2},
  [7892] = {.lex_state = 18, .external_lex_state = 2},
  [7893] = {.lex_state = 129, .external_lex_state = 3},
  [7894] = {.lex_state = 83, .external_lex_state = 2},
  [7895] = {.lex_state = 93, .external_lex_state = 2},
  [7896] = {.lex_state = 91, .external_lex_state = 2},
  [7897] = {.lex_state = 93, .external_lex_state = 2},
  [7898] = {.lex_state = 93, .external_lex_state = 2},
  [7899] = {.lex_state = 92, .external_lex_state = 2},
  [7900] = {.lex_state = 93, .external_lex_state = 2},
  [7901] = {.lex_state = 83, .external_lex_state = 2},
  [7902] = {.lex_state = 83, .external_lex_state = 2},
  [7903] = {.lex_state = 91, .external_lex_state = 2},
  [7904] = {.lex_state = 83, .external_lex_state = 2},
  [7905] = {.lex_state = 18, .external_lex_state = 2},
  [7906] = {.lex_state = 91, .external_lex_state = 2},
  [7907] = {.lex_state = 93, .external_lex_state = 2},
  [7908] = {.lex_state = 92, .external_lex_state = 2},
  [7909] = {.lex_state = 87, .external_lex_state = 2},
  [7910] = {.lex_state = 92, .external_lex_state = 2},
  [7911] = {.lex_state = 92, .external_lex_state = 2},
  [7912] = {.lex_state = 93, .external_lex_state = 2},
  [7913] = {.lex_state = 91, .external_lex_state = 2},
  [7914] = {.lex_state = 83, .external_lex_state = 2},
  [7915] = {.lex_state = 7, .external_lex_state = 3},
  [7916] = {.lex_state = 93, .external_lex_state = 2},
  [7917] = {.lex_state = 83, .external_lex_state = 2},
  [7918] = {.lex_state = 83, .external_lex_state = 2},
  [7919] = {.lex_state = 92, .external_lex_state = 2},
  [7920] = {.lex_state = 93, .external_lex_state = 2},
  [7921] = {.lex_state = 91, .external_lex_state = 2},
  [7922] = {.lex_state = 92, .external_lex_state = 2},
  [7923] = {.lex_state = 93, .external_lex_state = 2},
  [7924] = {.lex_state = 91, .external_lex_state = 2},
  [7925] = {.lex_state = 92, .external_lex_state = 2},
  [7926] = {.lex_state = 91, .external_lex_state = 2},
  [7927] = {.lex_state = 92, .external_lex_state = 2},
  [7928] = {.lex_state = 91, .external_lex_state = 2},
  [7929] = {.lex_state = 87, .external_lex_state = 2},
  [7930] = {.lex_state = 93, .external_lex_state = 2},
  [7931] = {.lex_state = 93, .external_lex_state = 2},
  [7932] = {.lex_state = 93, .external_lex_state = 2},
  [7933] = {.lex_state = 93, .external_lex_state = 2},
  [7934] = {.lex_state = 91, .external_lex_state = 2},
  [7935] = {.lex_state = 87, .external_lex_state = 2},
  [7936] = {.lex_state = 92, .external_lex_state = 2},
  [7937] = {.lex_state = 93, .external_lex_state = 2},
  [7938] = {.lex_state = 18, .external_lex_state = 2},
  [7939] = {.lex_state = 93, .external_lex_state = 2},
  [7940] = {.lex_state = 87, .external_lex_state = 2},
  [7941] = {.lex_state = 17, .external_lex_state = 2},
  [7942] = {.lex_state = 92, .external_lex_state = 2},
  [7943] = {.lex_state = 83, .external_lex_state = 2},
  [7944] = {.lex_state = 87, .external_lex_state = 2},
  [7945] = {.lex_state = 87, .external_lex_state = 2},
  [7946] = {.lex_state = 17, .external_lex_state = 2},
  [7947] = {.lex_state = 93, .external_lex_state = 2},
  [7948] = {.lex_state = 91, .external_lex_state = 2},
  [7949] = {.lex_state = 91, .external_lex_state = 2},
  [7950] = {.lex_state = 93, .external_lex_state = 2},
  [7951] = {.lex_state = 91, .external_lex_state = 2},
  [7952] = {.lex_state = 87, .external_lex_state = 2},
  [7953] = {.lex_state = 93, .external_lex_state = 2},
  [7954] = {.lex_state = 385, .external_lex_state = 2},
  [7955] = {.lex_state = 83, .external_lex_state = 2},
  [7956] = {.lex_state = 385, .external_lex_state = 2},
  [7957] = {.lex_state = 92, .external_lex_state = 2},
  [7958] = {.lex_state = 91, .external_lex_state = 2},
  [7959] = {.lex_state = 92, .external_lex_state = 2},
  [7960] = {.lex_state = 84, .external_lex_state = 2},
  [7961] = {.lex_state = 91, .external_lex_state = 2},
  [7962] = {.lex_state = 83, .external_lex_state = 2},
  [7963] = {.lex_state = 93, .external_lex_state = 2},
  [7964] = {.lex_state = 93, .external_lex_state = 2},
  [7965] = {.lex_state = 17, .external_lex_state = 2},
  [7966] = {.lex_state = 91, .external_lex_state = 2},
  [7967] = {.lex_state = 93, .external_lex_state = 2},
  [7968] = {.lex_state = 93, .external_lex_state = 2},
  [7969] = {.lex_state = 92, .external_lex_state = 2},
  [7970] = {.lex_state = 7, .external_lex_state = 3},
  [7971] = {.lex_state = 92, .external_lex_state = 2},
  [7972] = {.lex_state = 92, .external_lex_state = 2},
  [7973] = {.lex_state = 92, .external_lex_state = 2},
  [7974] = {.lex_state = 93, .external_lex_state = 2},
  [7975] = {.lex_state = 93, .external_lex_state = 2},
  [7976] = {.lex_state = 92, .external_lex_state = 2},
  [7977] = {.lex_state = 93, .external_lex_state = 2},
  [7978] = {.lex_state = 93, .external_lex_state = 2},
  [7979] = {.lex_state = 92, .external_lex_state = 2},
  [7980] = {.lex_state = 92, .external_lex_state = 2},
  [7981] = {.lex_state = 92, .external_lex_state = 2},
  [7982] = {.lex_state = 93, .external_lex_state = 2},
  [7983] = {.lex_state = 93, .external_lex_state = 2},
  [7984] = {.lex_state = 385, .external_lex_state = 2},
  [7985] = {.lex_state = 418, .external_lex_state = 2},
  [7986] = {.lex_state = 93, .external_lex_state = 2},
  [7987] = {.lex_state = 87, .external_lex_state = 2},
  [7988] = {.lex_state = 92, .external_lex_state = 2},
  [7989] = {.lex_state = 92, .external_lex_state = 2},
  [7990] = {.lex_state = 87, .external_lex_state = 2},
  [7991] = {.lex_state = 87, .external_lex_state = 2},
  [7992] = {.lex_state = 87, .external_lex_state = 2},
  [7993] = {.lex_state = 92, .external_lex_state = 2},
  [7994] = {.lex_state = 93, .external_lex_state = 2},
  [7995] = {.lex_state = 17, .external_lex_state = 2},
  [7996] = {.lex_state = 87, .external_lex_state = 2},
  [7997] = {.lex_state = 7, .external_lex_state = 3},
  [7998] = {.lex_state = 424, .external_lex_state = 2},
  [7999] = {.lex_state = 92, .external_lex_state = 2},
  [8000] = {.lex_state = 385, .external_lex_state = 2},
  [8001] = {.lex_state = 385, .external_lex_state = 2},
  [8002] = {.lex_state = 87, .external_lex_state = 2},
  [8003] = {.lex_state = 93, .external_lex_state = 2},
  [8004] = {.lex_state = 92, .external_lex_state = 2},
  [8005] = {.lex_state = 92, .external_lex_state = 2},
  [8006] = {.lex_state = 87, .external_lex_state = 2},
  [8007] = {.lex_state = 87, .external_lex_state = 2},
  [8008] = {.lex_state = 92, .external_lex_state = 2},
  [8009] = {.lex_state = 92, .external_lex_state = 2},
  [8010] = {.lex_state = 87, .external_lex_state = 2},
  [8011] = {.lex_state = 87, .external_lex_state = 2},
  [8012] = {.lex_state = 87, .external_lex_state = 2},
  [8013] = {.lex_state = 92, .external_lex_state = 2},
  [8014] = {.lex_state = 87, .external_lex_state = 2},
  [8015] = {.lex_state = 87, .external_lex_state = 2},
  [8016] = {.lex_state = 18, .external_lex_state = 2},
  [8017] = {.lex_state = 87, .external_lex_state = 2},
  [8018] = {.lex_state = 87, .external_lex_state = 2},
  [8019] = {.lex_state = 93, .external_lex_state = 2},
  [8020] = {.lex_state = 93, .external_lex_state = 2},
  [8021] = {.lex_state = 87, .external_lex_state = 2},
  [8022] = {.lex_state = 87, .external_lex_state = 2},
  [8023] = {.lex_state = 92, .external_lex_state = 2},
  [8024] = {.lex_state = 92, .external_lex_state = 2},
  [8025] = {.lex_state = 92, .external_lex_state = 2},
  [8026] = {.lex_state = 83, .external_lex_state = 2},
  [8027] = {.lex_state = 87, .external_lex_state = 2},
  [8028] = {.lex_state = 17, .external_lex_state = 2},
  [8029] = {.lex_state = 92, .external_lex_state = 2},
  [8030] = {.lex_state = 92, .external_lex_state = 2},
  [8031] = {.lex_state = 87, .external_lex_state = 2},
  [8032] = {.lex_state = 87, .external_lex_state = 2},
  [8033] = {.lex_state = 83, .external_lex_state = 2},
  [8034] = {.lex_state = 87, .external_lex_state = 2},
  [8035] = {.lex_state = 18, .external_lex_state = 2},
  [8036] = {.lex_state = 18, .external_lex_state = 2},
  [8037] = {.lex_state = 87, .external_lex_state = 2},
  [8038] = {.lex_state = 87, .external_lex_state = 2},
  [8039] = {.lex_state = 87, .external_lex_state = 2},
  [8040] = {.lex_state = 87, .external_lex_state = 2},
  [8041] = {.lex_state = 17, .external_lex_state = 2},
  [8042] = {.lex_state = 92, .external_lex_state = 2},
  [8043] = {.lex_state = 87, .external_lex_state = 2},
  [8044] = {.lex_state = 18, .external_lex_state = 2},
  [8045] = {.lex_state = 92, .external_lex_state = 2},
  [8046] = {.lex_state = 83, .external_lex_state = 2},
  [8047] = {.lex_state = 17, .external_lex_state = 2},
  [8048] = {.lex_state = 18, .external_lex_state = 2},
  [8049] = {.lex_state = 18, .external_lex_state = 2},
  [8050] = {.lex_state = 92, .external_lex_state = 2},
  [8051] = {.lex_state = 17, .external_lex_state = 2},
  [8052] = {.lex_state = 18, .external_lex_state = 2},
  [8053] = {.lex_state = 87, .external_lex_state = 2},
  [8054] = {.lex_state = 18, .external_lex_state = 2},
  [8055] = {.lex_state = 87, .external_lex_state = 2},
  [8056] = {.lex_state = 92, .external_lex_state = 2},
  [8057] = {.lex_state = 17, .external_lex_state = 2},
  [8058] = {.lex_state = 17, .external_lex_state = 2},
  [8059] = {.lex_state = 17, .external_lex_state = 2},
  [8060] = {.lex_state = 17, .external_lex_state = 2},
  [8061] = {.lex_state = 17, .external_lex_state = 2},
  [8062] = {.lex_state = 17, .external_lex_state = 2},
  [8063] = {.lex_state = 17, .external_lex_state = 2},
  [8064] = {.lex_state = 17, .external_lex_state = 2},
  [8065] = {.lex_state = 91, .external_lex_state = 2},
  [8066] = {.lex_state = 93, .external_lex_state = 2},
  [8067] = {.lex_state = 92, .external_lex_state = 2},
  [8068] = {.lex_state = 17, .external_lex_state = 2},
  [8069] = {.lex_state = 17, .external_lex_state = 2},
  [8070] = {.lex_state = 17, .external_lex_state = 2},
  [8071] = {.lex_state = 17, .external_lex_state = 2},
  [8072] = {.lex_state = 92, .external_lex_state = 2},
  [8073] = {.lex_state = 93, .external_lex_state = 2},
  [8074] = {.lex_state = 17, .external_lex_state = 2},
  [8075] = {.lex_state = 17, .external_lex_state = 2},
  [8076] = {.lex_state = 92, .external_lex_state = 2},
  [8077] = {.lex_state = 93, .external_lex_state = 2},
  [8078] = {.lex_state = 18, .external_lex_state = 2},
  [8079] = {.lex_state = 92, .external_lex_state = 2},
  [8080] = {.lex_state = 17, .external_lex_state = 2},
  [8081] = {.lex_state = 93, .external_lex_state = 2},
  [8082] = {.lex_state = 93, .external_lex_state = 2},
  [8083] = {.lex_state = 83, .external_lex_state = 2},
  [8084] = {.lex_state = 17, .external_lex_state = 2},
  [8085] = {.lex_state = 92, .external_lex_state = 2},
  [8086] = {.lex_state = 92, .external_lex_state = 2},
  [8087] = {.lex_state = 93, .external_lex_state = 2},
  [8088] = {.lex_state = 17, .external_lex_state = 2},
  [8089] = {.lex_state = 18, .external_lex_state = 2},
  [8090] = {.lex_state = 18, .external_lex_state = 2},
  [8091] = {.lex_state = 83, .external_lex_state = 2},
  [8092] = {.lex_state = 17, .external_lex_state = 2},
  [8093] = {.lex_state = 93, .external_lex_state = 2},
  [8094] = {.lex_state = 93, .external_lex_state = 2},
  [8095] = {.lex_state = 92, .external_lex_state = 2},
  [8096] = {.lex_state = 17, .external_lex_state = 2},
  [8097] = {.lex_state = 87, .external_lex_state = 2},
  [8098] = {.lex_state = 92, .external_lex_state = 2},
  [8099] = {.lex_state = 7, .external_lex_state = 3},
  [8100] = {.lex_state = 17, .external_lex_state = 2},
  [8101] = {.lex_state = 83, .external_lex_state = 2},
  [8102] = {.lex_state = 92, .external_lex_state = 2},
  [8103] = {.lex_state = 91, .external_lex_state = 2},
  [8104] = {.lex_state = 93, .external_lex_state = 2},
  [8105] = {.lex_state = 17, .external_lex_state = 2},
  [8106] = {.lex_state = 17, .external_lex_state = 2},
  [8107] = {.lex_state = 93, .external_lex_state = 2},
  [8108] = {.lex_state = 17, .external_lex_state = 2},
  [8109] = {.lex_state = 83, .external_lex_state = 2},
  [8110] = {.lex_state = 93, .external_lex_state = 2},
  [8111] = {.lex_state = 92, .external_lex_state = 2},
  [8112] = {.lex_state = 91, .external_lex_state = 2},
  [8113] = {.lex_state = 95, .external_lex_state = 2},
  [8114] = {.lex_state = 17, .external_lex_state = 2},
  [8115] = {.lex_state = 92, .external_lex_state = 2},
  [8116] = {.lex_state = 17, .external_lex_state = 2},
  [8117] = {.lex_state = 92, .external_lex_state = 2},
  [8118] = {.lex_state = 93, .external_lex_state = 2},
  [8119] = {.lex_state = 92, .external_lex_state = 2},
  [8120] = {.lex_state = 93, .external_lex_state = 2},
  [8121] = {.lex_state = 93, .external_lex_state = 2},
  [8122] = {.lex_state = 17, .external_lex_state = 2},
  [8123] = {.lex_state = 18, .external_lex_state = 2},
  [8124] = {.lex_state = 91, .external_lex_state = 2},
  [8125] = {.lex_state = 17, .external_lex_state = 2},
  [8126] = {.lex_state = 83, .external_lex_state = 2},
  [8127] = {.lex_state = 17, .external_lex_state = 2},
  [8128] = {.lex_state = 91, .external_lex_state = 2},
  [8129] = {.lex_state = 18, .external_lex_state = 2},
  [8130] = {.lex_state = 91, .external_lex_state = 2},
  [8131] = {.lex_state = 87, .external_lex_state = 2},
  [8132] = {.lex_state = 92, .external_lex_state = 2},
  [8133] = {.lex_state = 17, .external_lex_state = 2},
  [8134] = {.lex_state = 18, .external_lex_state = 2},
  [8135] = {.lex_state = 91, .external_lex_state = 2},
  [8136] = {.lex_state = 17, .external_lex_state = 2},
  [8137] = {.lex_state = 91, .external_lex_state = 2},
  [8138] = {.lex_state = 92, .external_lex_state = 2},
  [8139] = {.lex_state = 91, .external_lex_state = 2},
  [8140] = {.lex_state = 18, .external_lex_state = 2},
  [8141] = {.lex_state = 83, .external_lex_state = 2},
  [8142] = {.lex_state = 18, .external_lex_state = 2},
  [8143] = {.lex_state = 18, .external_lex_state = 2},
  [8144] = {.lex_state = 17, .external_lex_state = 2},
  [8145] = {.lex_state = 17, .external_lex_state = 2},
  [8146] = {.lex_state = 17, .external_lex_state = 2},
  [8147] = {.lex_state = 17, .external_lex_state = 2},
  [8148] = {.lex_state = 87, .external_lex_state = 2},
  [8149] = {.lex_state = 415, .external_lex_state = 3},
  [8150] = {.lex_state = 17, .external_lex_state = 2},
  [8151] = {.lex_state = 17, .external_lex_state = 2},
  [8152] = {.lex_state = 87, .external_lex_state = 2},
  [8153] = {.lex_state = 17, .external_lex_state = 2},
  [8154] = {.lex_state = 87, .external_lex_state = 2},
  [8155] = {.lex_state = 17, .external_lex_state = 2},
  [8156] = {.lex_state = 17, .external_lex_state = 2},
  [8157] = {.lex_state = 92, .external_lex_state = 2},
  [8158] = {.lex_state = 92, .external_lex_state = 2},
  [8159] = {.lex_state = 87, .external_lex_state = 2},
  [8160] = {.lex_state = 17, .external_lex_state = 2},
  [8161] = {.lex_state = 17, .external_lex_state = 2},
  [8162] = {.lex_state = 385, .external_lex_state = 2},
  [8163] = {.lex_state = 92, .external_lex_state = 2},
  [8164] = {.lex_state = 91, .external_lex_state = 2},
  [8165] = {.lex_state = 385, .external_lex_state = 2},
  [8166] = {.lex_state = 18, .external_lex_state = 2},
  [8167] = {.lex_state = 87, .external_lex_state = 2},
  [8168] = {.lex_state = 91, .external_lex_state = 2},
  [8169] = {.lex_state = 18, .external_lex_state = 2},
  [8170] = {.lex_state = 17, .external_lex_state = 2},
  [8171] = {.lex_state = 18, .external_lex_state = 2},
  [8172] = {.lex_state = 18, .external_lex_state = 2},
  [8173] = {.lex_state = 93, .external_lex_state = 2},
  [8174] = {.lex_state = 87, .external_lex_state = 2},
  [8175] = {.lex_state = 17, .external_lex_state = 2},
  [8176] = {.lex_state = 385, .external_lex_state = 2},
  [8177] = {.lex_state = 17, .external_lex_state = 2},
  [8178] = {.lex_state = 415, .external_lex_state = 3},
  [8179] = {.lex_state = 17, .external_lex_state = 2},
  [8180] = {.lex_state = 385, .external_lex_state = 2},
  [8181] = {.lex_state = 91, .external_lex_state = 2},
  [8182] = {.lex_state = 83, .external_lex_state = 2},
  [8183] = {.lex_state = 18, .external_lex_state = 2},
  [8184] = {.lex_state = 17, .external_lex_state = 2},
  [8185] = {.lex_state = 93, .external_lex_state = 2},
  [8186] = {.lex_state = 87, .external_lex_state = 2},
  [8187] = {.lex_state = 91, .external_lex_state = 2},
  [8188] = {.lex_state = 83, .external_lex_state = 2},
  [8189] = {.lex_state = 91, .external_lex_state = 2},
  [8190] = {.lex_state = 92, .external_lex_state = 2},
  [8191] = {.lex_state = 83, .external_lex_state = 2},
  [8192] = {.lex_state = 17, .external_lex_state = 2},
  [8193] = {.lex_state = 83, .external_lex_state = 2},
  [8194] = {.lex_state = 17, .external_lex_state = 2},
  [8195] = {.lex_state = 17, .external_lex_state = 2},
  [8196] = {.lex_state = 93, .external_lex_state = 2},
  [8197] = {.lex_state = 83, .external_lex_state = 2},
  [8198] = {.lex_state = 83, .external_lex_state = 2},
  [8199] = {.lex_state = 92, .external_lex_state = 2},
  [8200] = {.lex_state = 83, .external_lex_state = 2},
  [8201] = {.lex_state = 83, .external_lex_state = 2},
  [8202] = {.lex_state = 17, .external_lex_state = 2},
  [8203] = {.lex_state = 92, .external_lex_state = 2},
  [8204] = {.lex_state = 83, .external_lex_state = 2},
  [8205] = {.lex_state = 93, .external_lex_state = 2},
  [8206] = {.lex_state = 17, .external_lex_state = 2},
  [8207] = {.lex_state = 17, .external_lex_state = 2},
  [8208] = {.lex_state = 91, .external_lex_state = 2},
  [8209] = {.lex_state = 91, .external_lex_state = 2},
  [8210] = {.lex_state = 17, .external_lex_state = 2},
  [8211] = {.lex_state = 17, .external_lex_state = 2},
  [8212] = {.lex_state = 17, .external_lex_state = 2},
  [8213] = {.lex_state = 93, .external_lex_state = 2},
  [8214] = {.lex_state = 17, .external_lex_state = 2},
  [8215] = {.lex_state = 17, .external_lex_state = 2},
  [8216] = {.lex_state = 17, .external_lex_state = 2},
  [8217] = {.lex_state = 87, .external_lex_state = 2},
  [8218] = {.lex_state = 92, .external_lex_state = 2},
  [8219] = {.lex_state = 92, .external_lex_state = 2},
  [8220] = {.lex_state = 7, .external_lex_state = 3},
  [8221] = {.lex_state = 83, .external_lex_state = 2},
  [8222] = {.lex_state = 91, .external_lex_state = 2},
  [8223] = {.lex_state = 91, .external_lex_state = 2},
  [8224] = {.lex_state = 83, .external_lex_state = 2},
  [8225] = {.lex_state = 385, .external_lex_state = 2},
  [8226] = {.lex_state = 83, .external_lex_state = 2},
  [8227] = {.lex_state = 87, .external_lex_state = 2},
  [8228] = {.lex_state = 91, .external_lex_state = 2},
  [8229] = {.lex_state = 17, .external_lex_state = 2},
  [8230] = {.lex_state = 17, .external_lex_state = 2},
  [8231] = {.lex_state = 83, .external_lex_state = 2},
  [8232] = {.lex_state = 83, .external_lex_state = 2},
  [8233] = {.lex_state = 7, .external_lex_state = 3},
  [8234] = {.lex_state = 83, .external_lex_state = 2},
  [8235] = {.lex_state = 385, .external_lex_state = 2},
  [8236] = {.lex_state = 83, .external_lex_state = 2},
  [8237] = {.lex_state = 83, .external_lex_state = 2},
  [8238] = {.lex_state = 83, .external_lex_state = 2},
  [8239] = {.lex_state = 83, .external_lex_state = 2},
  [8240] = {.lex_state = 385, .external_lex_state = 2},
  [8241] = {.lex_state = 13, .external_lex_state = 2},
  [8242] = {.lex_state = 83, .external_lex_state = 2},
  [8243] = {.lex_state = 83, .external_lex_state = 2},
  [8244] = {.lex_state = 83, .external_lex_state = 2},
  [8245] = {.lex_state = 91, .external_lex_state = 2},
  [8246] = {.lex_state = 83, .external_lex_state = 2},
  [8247] = {.lex_state = 385, .external_lex_state = 2},
  [8248] = {.lex_state = 91, .external_lex_state = 2},
  [8249] = {.lex_state = 17, .external_lex_state = 2},
  [8250] = {.lex_state = 83, .external_lex_state = 2},
  [8251] = {.lex_state = 83, .external_lex_state = 2},
  [8252] = {.lex_state = 83, .external_lex_state = 2},
  [8253] = {.lex_state = 87, .external_lex_state = 2},
  [8254] = {.lex_state = 17, .external_lex_state = 2},
  [8255] = {.lex_state = 83, .external_lex_state = 2},
  [8256] = {.lex_state = 385, .external_lex_state = 2},
  [8257] = {.lex_state = 95, .external_lex_state = 2},
  [8258] = {.lex_state = 83, .external_lex_state = 2},
  [8259] = {.lex_state = 91, .external_lex_state = 2},
  [8260] = {.lex_state = 83, .external_lex_state = 2},
  [8261] = {.lex_state = 87, .external_lex_state = 2},
  [8262] = {.lex_state = 91, .external_lex_state = 2},
  [8263] = {.lex_state = 83, .external_lex_state = 2},
  [8264] = {.lex_state = 83, .external_lex_state = 2},
  [8265] = {.lex_state = 17, .external_lex_state = 2},
  [8266] = {.lex_state = 87, .external_lex_state = 2},
  [8267] = {.lex_state = 17, .external_lex_state = 2},
  [8268] = {.lex_state = 385, .external_lex_state = 2},
  [8269] = {.lex_state = 83, .external_lex_state = 2},
  [8270] = {.lex_state = 17, .external_lex_state = 2},
  [8271] = {.lex_state = 83, .external_lex_state = 2},
  [8272] = {.lex_state = 92, .external_lex_state = 2},
  [8273] = {.lex_state = 83, .external_lex_state = 2},
  [8274] = {.lex_state = 17, .external_lex_state = 2},
  [8275] = {.lex_state = 83, .external_lex_state = 2},
  [8276] = {.lex_state = 83, .external_lex_state = 2},
  [8277] = {.lex_state = 87, .external_lex_state = 2},
  [8278] = {.lex_state = 83, .external_lex_state = 2},
  [8279] = {.lex_state = 83, .external_lex_state = 2},
  [8280] = {.lex_state = 83, .external_lex_state = 2},
  [8281] = {.lex_state = 87, .external_lex_state = 2},
  [8282] = {.lex_state = 17, .external_lex_state = 2},
  [8283] = {.lex_state = 87, .external_lex_state = 2},
  [8284] = {.lex_state = 7, .external_lex_state = 3},
  [8285] = {.lex_state = 17, .external_lex_state = 2},
  [8286] = {.lex_state = 83, .external_lex_state = 2},
  [8287] = {.lex_state = 17, .external_lex_state = 2},
  [8288] = {.lex_state = 18, .external_lex_state = 2},
  [8289] = {.lex_state = 83, .external_lex_state = 2},
  [8290] = {.lex_state = 83, .external_lex_state = 2},
  [8291] = {.lex_state = 83, .external_lex_state = 2},
  [8292] = {.lex_state = 87, .external_lex_state = 2},
  [8293] = {.lex_state = 87, .external_lex_state = 2},
  [8294] = {.lex_state = 91, .external_lex_state = 2},
  [8295] = {.lex_state = 87, .external_lex_state = 2},
  [8296] = {.lex_state = 87, .external_lex_state = 2},
  [8297] = {.lex_state = 92, .external_lex_state = 2},
  [8298] = {.lex_state = 83, .external_lex_state = 2},
  [8299] = {.lex_state = 415, .external_lex_state = 3},
  [8300] = {.lex_state = 83, .external_lex_state = 2},
  [8301] = {.lex_state = 415, .external_lex_state = 3},
  [8302] = {.lex_state = 87, .external_lex_state = 2},
  [8303] = {.lex_state = 91, .external_lex_state = 2},
  [8304] = {.lex_state = 18, .external_lex_state = 2},
  [8305] = {.lex_state = 87, .external_lex_state = 2},
  [8306] = {.lex_state = 92, .external_lex_state = 2},
  [8307] = {.lex_state = 17, .external_lex_state = 2},
  [8308] = {.lex_state = 93, .external_lex_state = 2},
  [8309] = {.lex_state = 83, .external_lex_state = 2},
  [8310] = {.lex_state = 385, .external_lex_state = 2},
  [8311] = {.lex_state = 93, .external_lex_state = 2},
  [8312] = {.lex_state = 385, .external_lex_state = 2},
  [8313] = {.lex_state = 83, .external_lex_state = 2},
  [8314] = {.lex_state = 7, .external_lex_state = 3},
  [8315] = {.lex_state = 418, .external_lex_state = 2},
  [8316] = {.lex_state = 129, .external_lex_state = 3},
  [8317] = {.lex_state = 418, .external_lex_state = 2},
  [8318] = {.lex_state = 129, .external_lex_state = 3},
  [8319] = {.lex_state = 13, .external_lex_state = 2},
  [8320] = {.lex_state = 129, .external_lex_state = 3},
  [8321] = {.lex_state = 13, .external_lex_state = 2},
  [8322] = {.lex_state = 129, .external_lex_state = 3},
  [8323] = {.lex_state = 418, .external_lex_state = 2},
  [8324] = {.lex_state = 418, .external_lex_state = 2},
  [8325] = {.lex_state = 418, .external_lex_state = 2},
  [8326] = {.lex_state = 129, .external_lex_state = 3},
  [8327] = {.lex_state = 418, .external_lex_state = 2},
  [8328] = {.lex_state = 129, .external_lex_state = 3},
  [8329] = {.lex_state = 13, .external_lex_state = 2},
  [8330] = {.lex_state = 418, .external_lex_state = 2},
  [8331] = {.lex_state = 88, .external_lex_state = 2},
  [8332] = {.lex_state = 418, .external_lex_state = 2},
  [8333] = {.lex_state = 129, .external_lex_state = 3},
  [8334] = {.lex_state = 129, .external_lex_state = 3},
  [8335] = {.lex_state = 418, .external_lex_state = 2},
  [8336] = {.lex_state = 13, .external_lex_state = 2},
  [8337] = {.lex_state = 418, .external_lex_state = 2},
  [8338] = {.lex_state = 13, .external_lex_state = 2},
  [8339] = {.lex_state = 13, .external_lex_state = 2},
  [8340] = {.lex_state = 418, .external_lex_state = 2},
  [8341] = {.lex_state = 129, .external_lex_state = 3},
  [8342] = {.lex_state = 129, .external_lex_state = 3},
  [8343] = {.lex_state = 129, .external_lex_state = 3},
  [8344] = {.lex_state = 129, .external_lex_state = 3},
  [8345] = {.lex_state = 129, .external_lex_state = 3},
  [8346] = {.lex_state = 418, .external_lex_state = 2},
  [8347] = {.lex_state = 418, .external_lex_state = 2},
  [8348] = {.lex_state = 129, .external_lex_state = 3},
  [8349] = {.lex_state = 13, .external_lex_state = 2},
  [8350] = {.lex_state = 418, .external_lex_state = 2},
  [8351] = {.lex_state = 418, .external_lex_state = 2},
  [8352] = {.lex_state = 418, .external_lex_state = 2},
  [8353] = {.lex_state = 418, .external_lex_state = 2},
  [8354] = {.lex_state = 418, .external_lex_state = 2},
  [8355] = {.lex_state = 418, .external_lex_state = 2},
  [8356] = {.lex_state = 418, .external_lex_state = 2},
  [8357] = {.lex_state = 84, .external_lex_state = 2},
  [8358] = {.lex_state = 129, .external_lex_state = 3},
  [8359] = {.lex_state = 418, .external_lex_state = 2},
  [8360] = {.lex_state = 418, .external_lex_state = 2},
  [8361] = {.lex_state = 418, .external_lex_state = 2},
  [8362] = {.lex_state = 13, .external_lex_state = 2},
  [8363] = {.lex_state = 129, .external_lex_state = 3},
  [8364] = {.lex_state = 156, .external_lex_state = 2},
  [8365] = {.lex_state = 129, .external_lex_state = 3},
  [8366] = {.lex_state = 418, .external_lex_state = 2},
  [8367] = {.lex_state = 418, .external_lex_state = 2},
  [8368] = {.lex_state = 90, .external_lex_state = 2},
  [8369] = {.lex_state = 129, .external_lex_state = 3},
  [8370] = {.lex_state = 418, .external_lex_state = 2},
  [8371] = {.lex_state = 129, .external_lex_state = 3},
  [8372] = {.lex_state = 418, .external_lex_state = 2},
  [8373] = {.lex_state = 418, .external_lex_state = 2},
  [8374] = {.lex_state = 85, .external_lex_state = 2},
  [8375] = {.lex_state = 129, .external_lex_state = 3},
  [8376] = {.lex_state = 418, .external_lex_state = 2},
  [8377] = {.lex_state = 129, .external_lex_state = 3},
  [8378] = {.lex_state = 129, .external_lex_state = 3},
  [8379] = {.lex_state = 129, .external_lex_state = 3},
  [8380] = {.lex_state = 418, .external_lex_state = 2},
  [8381] = {.lex_state = 129, .external_lex_state = 3},
  [8382] = {.lex_state = 129, .external_lex_state = 3},
  [8383] = {.lex_state = 129, .external_lex_state = 3},
  [8384] = {.lex_state = 129, .external_lex_state = 3},
  [8385] = {.lex_state = 129, .external_lex_state = 3},
  [8386] = {.lex_state = 418, .external_lex_state = 2},
  [8387] = {.lex_state = 129, .external_lex_state = 3},
  [8388] = {.lex_state = 129, .external_lex_state = 3},
  [8389] = {.lex_state = 129, .external_lex_state = 3},
  [8390] = {.lex_state = 129, .external_lex_state = 3},
  [8391] = {.lex_state = 129, .external_lex_state = 3},
  [8392] = {.lex_state = 129, .external_lex_state = 3},
  [8393] = {.lex_state = 129, .external_lex_state = 3},
  [8394] = {.lex_state = 129, .external_lex_state = 3},
  [8395] = {.lex_state = 129, .external_lex_state = 3},
  [8396] = {.lex_state = 129, .external_lex_state = 3},
  [8397] = {.lex_state = 418, .external_lex_state = 2},
  [8398] = {.lex_state = 129, .external_lex_state = 3},
  [8399] = {.lex_state = 129, .external_lex_state = 3},
  [8400] = {.lex_state = 129, .external_lex_state = 3},
  [8401] = {.lex_state = 418, .external_lex_state = 2},
  [8402] = {.lex_state = 129, .external_lex_state = 3},
  [8403] = {.lex_state = 414, .external_lex_state = 3},
  [8404] = {.lex_state = 129, .external_lex_state = 3},
  [8405] = {.lex_state = 418, .external_lex_state = 2},
  [8406] = {.lex_state = 129, .external_lex_state = 3},
  [8407] = {.lex_state = 129, .external_lex_state = 3},
  [8408] = {.lex_state = 418, .external_lex_state = 2},
  [8409] = {.lex_state = 418, .external_lex_state = 2},
  [8410] = {.lex_state = 129, .external_lex_state = 3},
  [8411] = {.lex_state = 418, .external_lex_state = 2},
  [8412] = {.lex_state = 418, .external_lex_state = 2},
  [8413] = {.lex_state = 418, .external_lex_state = 2},
  [8414] = {.lex_state = 418, .external_lex_state = 2},
  [8415] = {.lex_state = 418, .external_lex_state = 2},
  [8416] = {.lex_state = 129, .external_lex_state = 3},
  [8417] = {.lex_state = 418, .external_lex_state = 2},
  [8418] = {.lex_state = 129, .external_lex_state = 3},
  [8419] = {.lex_state = 129, .external_lex_state = 3},
  [8420] = {.lex_state = 129, .external_lex_state = 3},
  [8421] = {.lex_state = 418, .external_lex_state = 2},
  [8422] = {.lex_state = 418, .external_lex_state = 2},
  [8423] = {.lex_state = 84, .external_lex_state = 2},
  [8424] = {.lex_state = 129, .external_lex_state = 3},
  [8425] = {.lex_state = 129, .external_lex_state = 3},
  [8426] = {.lex_state = 414, .external_lex_state = 3},
  [8427] = {.lex_state = 129, .external_lex_state = 3},
  [8428] = {.lex_state = 129, .external_lex_state = 3},
  [8429] = {.lex_state = 418, .external_lex_state = 2},
  [8430] = {.lex_state = 129, .external_lex_state = 3},
  [8431] = {.lex_state = 13, .external_lex_state = 2},
  [8432] = {.lex_state = 129, .external_lex_state = 3},
  [8433] = {.lex_state = 418, .external_lex_state = 2},
  [8434] = {.lex_state = 418, .external_lex_state = 2},
  [8435] = {.lex_state = 129, .external_lex_state = 3},
  [8436] = {.lex_state = 418, .external_lex_state = 2},
  [8437] = {.lex_state = 418, .external_lex_state = 2},
  [8438] = {.lex_state = 13, .external_lex_state = 2},
  [8439] = {.lex_state = 418, .external_lex_state = 2},
  [8440] = {.lex_state = 129, .external_lex_state = 3},
  [8441] = {.lex_state = 418, .external_lex_state = 2},
  [8442] = {.lex_state = 418, .external_lex_state = 2},
  [8443] = {.lex_state = 13, .external_lex_state = 2},
  [8444] = {.lex_state = 129, .external_lex_state = 3},
  [8445] = {.lex_state = 129, .external_lex_state = 3},
  [8446] = {.lex_state = 129, .external_lex_state = 3},
  [8447] = {.lex_state = 129, .external_lex_state = 3},
  [8448] = {.lex_state = 82, .external_lex_state = 2},
  [8449] = {.lex_state = 129, .external_lex_state = 3},
  [8450] = {.lex_state = 418, .external_lex_state = 2},
  [8451] = {.lex_state = 129, .external_lex_state = 3},
  [8452] = {.lex_state = 129, .external_lex_state = 3},
  [8453] = {.lex_state = 13, .external_lex_state = 2},
  [8454] = {.lex_state = 129, .external_lex_state = 3},
  [8455] = {.lex_state = 418, .external_lex_state = 2},
  [8456] = {.lex_state = 13, .external_lex_state = 2},
  [8457] = {.lex_state = 13, .external_lex_state = 2},
  [8458] = {.lex_state = 129, .external_lex_state = 3},
  [8459] = {.lex_state = 129, .external_lex_state = 3},
  [8460] = {.lex_state = 129, .external_lex_state = 3},
  [8461] = {.lex_state = 129, .external_lex_state = 3},
  [8462] = {.lex_state = 414, .external_lex_state = 3},
  [8463] = {.lex_state = 13, .external_lex_state = 2},
  [8464] = {.lex_state = 129, .external_lex_state = 3},
  [8465] = {.lex_state = 13, .external_lex_state = 2},
  [8466] = {.lex_state = 86, .external_lex_state = 2},
  [8467] = {.lex_state = 418, .external_lex_state = 2},
  [8468] = {.lex_state = 13, .external_lex_state = 2},
  [8469] = {.lex_state = 418, .external_lex_state = 2},
  [8470] = {.lex_state = 129, .external_lex_state = 3},
  [8471] = {.lex_state = 129, .external_lex_state = 3},
  [8472] = {.lex_state = 418, .external_lex_state = 2},
  [8473] = {.lex_state = 129, .external_lex_state = 3},
  [8474] = {.lex_state = 129, .external_lex_state = 3},
  [8475] = {.lex_state = 418, .external_lex_state = 2},
  [8476] = {.lex_state = 89, .external_lex_state = 2},
  [8477] = {.lex_state = 13, .external_lex_state = 2},
  [8478] = {.lex_state = 129, .external_lex_state = 3},
  [8479] = {.lex_state = 13, .external_lex_state = 2},
  [8480] = {.lex_state = 418, .external_lex_state = 2},
  [8481] = {.lex_state = 129, .external_lex_state = 3},
  [8482] = {.lex_state = 139, .external_lex_state = 2},
  [8483] = {.lex_state = 129, .external_lex_state = 3},
  [8484] = {.lex_state = 129, .external_lex_state = 3},
  [8485] = {.lex_state = 13, .external_lex_state = 2},
  [8486] = {.lex_state = 418, .external_lex_state = 2},
  [8487] = {.lex_state = 139, .external_lex_state = 2},
  [8488] = {.lex_state = 129, .external_lex_state = 3},
  [8489] = {.lex_state = 129, .external_lex_state = 3},
  [8490] = {.lex_state = 129, .external_lex_state = 3},
  [8491] = {.lex_state = 418, .external_lex_state = 2},
  [8492] = {.lex_state = 415, .external_lex_state = 3},
  [8493] = {.lex_state = 130, .external_lex_state = 3},
  [8494] = {.lex_state = 415, .external_lex_state = 3},
  [8495] = {.lex_state = 415, .external_lex_state = 3},
  [8496] = {.lex_state = 415, .external_lex_state = 3},
  [8497] = {.lex_state = 415, .external_lex_state = 3},
  [8498] = {.lex_state = 139, .external_lex_state = 2},
  [8499] = {.lex_state = 130, .external_lex_state = 3},
  [8500] = {.lex_state = 415, .external_lex_state = 3},
  [8501] = {.lex_state = 139, .external_lex_state = 2},
  [8502] = {.lex_state = 415, .external_lex_state = 3},
  [8503] = {.lex_state = 415, .external_lex_state = 3},
  [8504] = {.lex_state = 139, .external_lex_state = 2},
  [8505] = {.lex_state = 415, .external_lex_state = 3},
  [8506] = {.lex_state = 130, .external_lex_state = 3},
  [8507] = {.lex_state = 415, .external_lex_state = 3},
  [8508] = {.lex_state = 139, .external_lex_state = 2},
  [8509] = {.lex_state = 415, .external_lex_state = 3},
  [8510] = {.lex_state = 415, .external_lex_state = 3},
  [8511] = {.lex_state = 415, .external_lex_state = 3},
  [8512] = {.lex_state = 415, .external_lex_state = 3},
  [8513] = {.lex_state = 415, .external_lex_state = 3},
  [8514] = {.lex_state = 415, .external_lex_state = 3},
  [8515] = {.lex_state = 415, .external_lex_state = 3},
  [8516] = {.lex_state = 415, .external_lex_state = 3},
  [8517] = {.lex_state = 415, .external_lex_state = 3},
  [8518] = {.lex_state = 139, .external_lex_state = 2},
  [8519] = {.lex_state = 139, .external_lex_state = 2},
  [8520] = {.lex_state = 415, .external_lex_state = 3},
  [8521] = {.lex_state = 415, .external_lex_state = 3},
  [8522] = {.lex_state = 139, .external_lex_state = 2},
  [8523] = {.lex_state = 139, .external_lex_state = 2},
  [8524] = {.lex_state = 415, .external_lex_state = 3},
  [8525] = {.lex_state = 139, .external_lex_state = 2},
  [8526] = {.lex_state = 415, .external_lex_state = 3},
  [8527] = {.lex_state = 139, .external_lex_state = 2},
  [8528] = {.lex_state = 139, .external_lex_state = 2},
  [8529] = {.lex_state = 415, .external_lex_state = 3},
  [8530] = {.lex_state = 415, .external_lex_state = 3},
  [8531] = {.lex_state = 415, .external_lex_state = 3},
  [8532] = {.lex_state = 139, .external_lex_state = 2},
  [8533] = {.lex_state = 415, .external_lex_state = 3},
  [8534] = {.lex_state = 415, .external_lex_state = 3},
  [8535] = {.lex_state = 415, .external_lex_state = 3},
  [8536] = {.lex_state = 139, .external_lex_state = 2},
  [8537] = {.lex_state = 415, .external_lex_state = 3},
  [8538] = {.lex_state = 139, .external_lex_state = 2},
  [8539] = {.lex_state = 92, .external_lex_state = 2},
  [8540] = {.lex_state = 139, .external_lex_state = 2},
  [8541] = {.lex_state = 415, .external_lex_state = 3},
  [8542] = {.lex_state = 139, .external_lex_state = 2},
  [8543] = {.lex_state = 415, .external_lex_state = 3},
  [8544] = {.lex_state = 415, .external_lex_state = 3},
  [8545] = {.lex_state = 415, .external_lex_state = 3},
  [8546] = {.lex_state = 139, .external_lex_state = 2},
  [8547] = {.lex_state = 139, .external_lex_state = 2},
  [8548] = {.lex_state = 415, .external_lex_state = 3},
  [8549] = {.lex_state = 415, .external_lex_state = 3},
  [8550] = {.lex_state = 139, .external_lex_state = 2},
  [8551] = {.lex_state = 415, .external_lex_state = 3},
  [8552] = {.lex_state = 415, .external_lex_state = 3},
  [8553] = {.lex_state = 415, .external_lex_state = 3},
  [8554] = {.lex_state = 415, .external_lex_state = 3},
  [8555] = {.lex_state = 415, .external_lex_state = 3},
  [8556] = {.lex_state = 89, .external_lex_state = 2},
  [8557] = {.lex_state = 139, .external_lex_state = 2},
  [8558] = {.lex_state = 415, .external_lex_state = 3},
  [8559] = {.lex_state = 415, .external_lex_state = 3},
  [8560] = {.lex_state = 415, .external_lex_state = 3},
  [8561] = {.lex_state = 415, .external_lex_state = 3},
  [8562] = {.lex_state = 415, .external_lex_state = 3},
  [8563] = {.lex_state = 415, .external_lex_state = 3},
  [8564] = {.lex_state = 415, .external_lex_state = 3},
  [8565] = {.lex_state = 415, .external_lex_state = 3},
  [8566] = {.lex_state = 415, .external_lex_state = 3},
  [8567] = {.lex_state = 139, .external_lex_state = 2},
  [8568] = {.lex_state = 415, .external_lex_state = 3},
  [8569] = {.lex_state = 130, .external_lex_state = 3},
  [8570] = {.lex_state = 86, .external_lex_state = 2},
  [8571] = {.lex_state = 415, .external_lex_state = 3},
  [8572] = {.lex_state = 130, .external_lex_state = 3},
  [8573] = {.lex_state = 139, .external_lex_state = 2},
  [8574] = {.lex_state = 139, .external_lex_state = 2},
  [8575] = {.lex_state = 130, .external_lex_state = 3},
  [8576] = {.lex_state = 88, .external_lex_state = 2},
  [8577] = {.lex_state = 139, .external_lex_state = 2},
  [8578] = {.lex_state = 415, .external_lex_state = 3},
  [8579] = {.lex_state = 139, .external_lex_state = 2},
  [8580] = {.lex_state = 130, .external_lex_state = 3},
  [8581] = {.lex_state = 88, .external_lex_state = 2},
  [8582] = {.lex_state = 89, .external_lex_state = 2},
  [8583] = {.lex_state = 130, .external_lex_state = 3},
  [8584] = {.lex_state = 130, .external_lex_state = 3},
  [8585] = {.lex_state = 139, .external_lex_state = 2},
  [8586] = {.lex_state = 415, .external_lex_state = 3},
  [8587] = {.lex_state = 415, .external_lex_state = 3},
  [8588] = {.lex_state = 130, .external_lex_state = 3},
  [8589] = {.lex_state = 139, .external_lex_state = 2},
  [8590] = {.lex_state = 139, .external_lex_state = 2},
  [8591] = {.lex_state = 139, .external_lex_state = 2},
  [8592] = {.lex_state = 415, .external_lex_state = 3},
  [8593] = {.lex_state = 415, .external_lex_state = 3},
  [8594] = {.lex_state = 415, .external_lex_state = 3},
  [8595] = {.lex_state = 82, .external_lex_state = 2},
  [8596] = {.lex_state = 139, .external_lex_state = 2},
  [8597] = {.lex_state = 82, .external_lex_state = 2},
  [8598] = {.lex_state = 130, .external_lex_state = 3},
  [8599] = {.lex_state = 85, .external_lex_state = 2},
  [8600] = {.lex_state = 130, .external_lex_state = 3},
  [8601] = {.lex_state = 17, .external_lex_state = 2},
  [8602] = {.lex_state = 90, .external_lex_state = 2},
  [8603] = {.lex_state = 130, .external_lex_state = 3},
  [8604] = {.lex_state = 85, .external_lex_state = 2},
  [8605] = {.lex_state = 130, .external_lex_state = 3},
  [8606] = {.lex_state = 86, .external_lex_state = 2},
  [8607] = {.lex_state = 130, .external_lex_state = 3},
  [8608] = {.lex_state = 139, .external_lex_state = 2},
  [8609] = {.lex_state = 130, .external_lex_state = 3},
  [8610] = {.lex_state = 415, .external_lex_state = 3},
  [8611] = {.lex_state = 130, .external_lex_state = 3},
  [8612] = {.lex_state = 139, .external_lex_state = 2},
  [8613] = {.lex_state = 130, .external_lex_state = 3},
  [8614] = {.lex_state = 139, .external_lex_state = 2},
  [8615] = {.lex_state = 139, .external_lex_state = 2},
  [8616] = {.lex_state = 130, .external_lex_state = 3},
  [8617] = {.lex_state = 130, .external_lex_state = 3},
  [8618] = {.lex_state = 130, .external_lex_state = 3},
  [8619] = {.lex_state = 139, .external_lex_state = 2},
  [8620] = {.lex_state = 130, .external_lex_state = 3},
  [8621] = {.lex_state = 139, .external_lex_state = 2},
  [8622] = {.lex_state = 130, .external_lex_state = 3},
  [8623] = {.lex_state = 139, .external_lex_state = 2},
  [8624] = {.lex_state = 139, .external_lex_state = 2},
  [8625] = {.lex_state = 18, .external_lex_state = 2},
  [8626] = {.lex_state = 130, .external_lex_state = 3},
  [8627] = {.lex_state = 130, .external_lex_state = 3},
  [8628] = {.lex_state = 139, .external_lex_state = 2},
  [8629] = {.lex_state = 139, .external_lex_state = 2},
  [8630] = {.lex_state = 130, .external_lex_state = 3},
  [8631] = {.lex_state = 139, .external_lex_state = 2},
  [8632] = {.lex_state = 130, .external_lex_state = 3},
  [8633] = {.lex_state = 139, .external_lex_state = 2},
  [8634] = {.lex_state = 130, .external_lex_state = 3},
  [8635] = {.lex_state = 130, .external_lex_state = 3},
  [8636] = {.lex_state = 130, .external_lex_state = 3},
  [8637] = {.lex_state = 130, .external_lex_state = 3},
  [8638] = {.lex_state = 130, .external_lex_state = 3},
  [8639] = {.lex_state = 130, .external_lex_state = 3},
  [8640] = {.lex_state = 130, .external_lex_state = 3},
  [8641] = {.lex_state = 139, .external_lex_state = 2},
  [8642] = {.lex_state = 130, .external_lex_state = 3},
  [8643] = {.lex_state = 415, .external_lex_state = 3},
  [8644] = {.lex_state = 415, .external_lex_state = 3},
  [8645] = {.lex_state = 415, .external_lex_state = 3},
  [8646] = {.lex_state = 130, .external_lex_state = 3},
  [8647] = {.lex_state = 139, .external_lex_state = 2},
  [8648] = {.lex_state = 139, .external_lex_state = 2},
  [8649] = {.lex_state = 130, .external_lex_state = 3},
  [8650] = {.lex_state = 139, .external_lex_state = 2},
  [8651] = {.lex_state = 130, .external_lex_state = 3},
  [8652] = {.lex_state = 130, .external_lex_state = 3},
  [8653] = {.lex_state = 130, .external_lex_state = 3},
  [8654] = {.lex_state = 139, .external_lex_state = 2},
  [8655] = {.lex_state = 130, .external_lex_state = 3},
  [8656] = {.lex_state = 130, .external_lex_state = 3},
  [8657] = {.lex_state = 130, .external_lex_state = 3},
  [8658] = {.lex_state = 130, .external_lex_state = 3},
  [8659] = {.lex_state = 130, .external_lex_state = 3},
  [8660] = {.lex_state = 130, .external_lex_state = 3},
  [8661] = {.lex_state = 130, .external_lex_state = 3},
  [8662] = {.lex_state = 93, .external_lex_state = 2},
  [8663] = {.lex_state = 130, .external_lex_state = 3},
  [8664] = {.lex_state = 130, .external_lex_state = 3},
  [8665] = {.lex_state = 130, .external_lex_state = 3},
  [8666] = {.lex_state = 139, .external_lex_state = 2},
  [8667] = {.lex_state = 130, .external_lex_state = 3},
  [8668] = {.lex_state = 130, .external_lex_state = 3},
  [8669] = {.lex_state = 130, .external_lex_state = 3},
  [8670] = {.lex_state = 130, .external_lex_state = 3},
  [8671] = {.lex_state = 415, .external_lex_state = 3},
  [8672] = {.lex_state = 130, .external_lex_state = 3},
  [8673] = {.lex_state = 139, .external_lex_state = 2},
  [8674] = {.lex_state = 139, .external_lex_state = 2},
  [8675] = {.lex_state = 130, .external_lex_state = 3},
  [8676] = {.lex_state = 139, .external_lex_state = 2},
  [8677] = {.lex_state = 130, .external_lex_state = 3},
  [8678] = {.lex_state = 139, .external_lex_state = 2},
  [8679] = {.lex_state = 415, .external_lex_state = 3},
  [8680] = {.lex_state = 139, .external_lex_state = 2},
  [8681] = {.lex_state = 139, .external_lex_state = 2},
  [8682] = {.lex_state = 130, .external_lex_state = 3},
  [8683] = {.lex_state = 130, .external_lex_state = 3},
  [8684] = {.lex_state = 130, .external_lex_state = 3},
  [8685] = {.lex_state = 130, .external_lex_state = 3},
  [8686] = {.lex_state = 415, .external_lex_state = 3},
  [8687] = {.lex_state = 130, .external_lex_state = 3},
  [8688] = {.lex_state = 130, .external_lex_state = 3},
  [8689] = {.lex_state = 139, .external_lex_state = 2},
  [8690] = {.lex_state = 130, .external_lex_state = 3},
  [8691] = {.lex_state = 130, .external_lex_state = 3},
  [8692] = {.lex_state = 130, .external_lex_state = 3},
  [8693] = {.lex_state = 130, .external_lex_state = 3},
  [8694] = {.lex_state = 139, .external_lex_state = 2},
  [8695] = {.lex_state = 139, .external_lex_state = 2},
  [8696] = {.lex_state = 130, .external_lex_state = 3},
  [8697] = {.lex_state = 130, .external_lex_state = 3},
  [8698] = {.lex_state = 130, .external_lex_state = 3},
  [8699] = {.lex_state = 130, .external_lex_state = 3},
  [8700] = {.lex_state = 130, .external_lex_state = 3},
  [8701] = {.lex_state = 139, .external_lex_state = 2},
  [8702] = {.lex_state = 130, .external_lex_state = 3},
  [8703] = {.lex_state = 139, .external_lex_state = 2},
  [8704] = {.lex_state = 130, .external_lex_state = 3},
  [8705] = {.lex_state = 130, .external_lex_state = 3},
  [8706] = {.lex_state = 415, .external_lex_state = 3},
  [8707] = {.lex_state = 130, .external_lex_state = 3},
  [8708] = {.lex_state = 415, .external_lex_state = 3},
  [8709] = {.lex_state = 130, .external_lex_state = 3},
  [8710] = {.lex_state = 91, .external_lex_state = 2},
  [8711] = {.lex_state = 139, .external_lex_state = 2},
  [8712] = {.lex_state = 83, .external_lex_state = 2},
  [8713] = {.lex_state = 415, .external_lex_state = 3},
  [8714] = {.lex_state = 90, .external_lex_state = 2},
  [8715] = {.lex_state = 415, .external_lex_state = 3},
  [8716] = {.lex_state = 139, .external_lex_state = 2},
  [8717] = {.lex_state = 415, .external_lex_state = 3},
  [8718] = {.lex_state = 415, .external_lex_state = 3},
  [8719] = {.lex_state = 415, .external_lex_state = 3},
  [8720] = {.lex_state = 415, .external_lex_state = 3},
  [8721] = {.lex_state = 415, .external_lex_state = 3},
  [8722] = {.lex_state = 415, .external_lex_state = 3},
  [8723] = {.lex_state = 415, .external_lex_state = 3},
  [8724] = {.lex_state = 415, .external_lex_state = 3},
  [8725] = {.lex_state = 415, .external_lex_state = 3},
  [8726] = {.lex_state = 415, .external_lex_state = 3},
  [8727] = {.lex_state = 415, .external_lex_state = 3},
  [8728] = {.lex_state = 130, .external_lex_state = 3},
  [8729] = {.lex_state = 130, .external_lex_state = 3},
  [8730] = {.lex_state = 130, .external_lex_state = 3},
  [8731] = {.lex_state = 130, .external_lex_state = 3},
  [8732] = {.lex_state = 415, .external_lex_state = 3},
  [8733] = {.lex_state = 87, .external_lex_state = 2},
  [8734] = {.lex_state = 415, .external_lex_state = 3},
  [8735] = {.lex_state = 130, .external_lex_state = 3},
  [8736] = {.lex_state = 415, .external_lex_state = 3},
  [8737] = {.lex_state = 415, .external_lex_state = 3},
  [8738] = {.lex_state = 130, .external_lex_state = 3},
  [8739] = {.lex_state = 415, .external_lex_state = 3},
  [8740] = {.lex_state = 415, .external_lex_state = 3},
  [8741] = {.lex_state = 415, .external_lex_state = 3},
  [8742] = {.lex_state = 415, .external_lex_state = 3},
  [8743] = {.lex_state = 7, .external_lex_state = 3},
  [8744] = {.lex_state = 415, .external_lex_state = 3},
  [8745] = {.lex_state = 7, .external_lex_state = 3},
  [8746] = {.lex_state = 87, .external_lex_state = 2},
  [8747] = {.lex_state = 415, .external_lex_state = 3},
  [8748] = {.lex_state = 415, .external_lex_state = 3},
  [8749] = {.lex_state = 415, .external_lex_state = 3},
  [8750] = {.lex_state = 415, .external_lex_state = 3},
  [8751] = {.lex_state = 17, .external_lex_state = 2},
  [8752] = {.lex_state = 415, .external_lex_state = 3},
  [8753] = {.lex_state = 415, .external_lex_state = 3},
  [8754] = {.lex_state = 415, .external_lex_state = 3},
  [8755] = {.lex_state = 415, .external_lex_state = 3},
  [8756] = {.lex_state = 415, .external_lex_state = 3},
  [8757] = {.lex_state = 415, .external_lex_state = 3},
  [8758] = {.lex_state = 415, .external_lex_state = 3},
  [8759] = {.lex_state = 7, .external_lex_state = 3},
  [8760] = {.lex_state = 93, .external_lex_state = 2},
  [8761] = {.lex_state = 17, .external_lex_state = 2},
  [8762] = {.lex_state = 415, .external_lex_state = 3},
  [8763] = {.lex_state = 415, .external_lex_state = 3},
  [8764] = {.lex_state = 7, .external_lex_state = 3},
  [8765] = {.lex_state = 7, .external_lex_state = 3},
  [8766] = {.lex_state = 7, .external_lex_state = 3},
  [8767] = {.lex_state = 415, .external_lex_state = 3},
  [8768] = {.lex_state = 417, .external_lex_state = 2},
  [8769] = {.lex_state = 18, .external_lex_state = 2},
  [8770] = {.lex_state = 157, .external_lex_state = 2},
  [8771] = {.lex_state = 415, .external_lex_state = 3},
  [8772] = {.lex_state = 92, .external_lex_state = 2},
  [8773] = {.lex_state = 92, .external_lex_state = 2},
  [8774] = {.lex_state = 415, .external_lex_state = 3},
  [8775] = {.lex_state = 18, .external_lex_state = 2},
  [8776] = {.lex_state = 18, .external_lex_state = 2},
  [8777] = {.lex_state = 415, .external_lex_state = 3},
  [8778] = {.lex_state = 7, .external_lex_state = 3},
  [8779] = {.lex_state = 415, .external_lex_state = 3},
  [8780] = {.lex_state = 18, .external_lex_state = 2},
  [8781] = {.lex_state = 415, .external_lex_state = 3},
  [8782] = {.lex_state = 91, .external_lex_state = 2},
  [8783] = {.lex_state = 415, .external_lex_state = 3},
  [8784] = {.lex_state = 415, .external_lex_state = 3},
  [8785] = {.lex_state = 415, .external_lex_state = 3},
  [8786] = {.lex_state = 415, .external_lex_state = 3},
  [8787] = {.lex_state = 415, .external_lex_state = 3},
  [8788] = {.lex_state = 155, .external_lex_state = 2},
  [8789] = {.lex_state = 415, .external_lex_state = 3},
  [8790] = {.lex_state = 415, .external_lex_state = 3},
  [8791] = {.lex_state = 415, .external_lex_state = 3},
  [8792] = {.lex_state = 415, .external_lex_state = 3},
  [8793] = {.lex_state = 17, .external_lex_state = 2},
  [8794] = {.lex_state = 415, .external_lex_state = 3},
  [8795] = {.lex_state = 7, .external_lex_state = 3},
  [8796] = {.lex_state = 415, .external_lex_state = 3},
  [8797] = {.lex_state = 7, .external_lex_state = 3},
  [8798] = {.lex_state = 415, .external_lex_state = 3},
  [8799] = {.lex_state = 415, .external_lex_state = 3},
  [8800] = {.lex_state = 415, .external_lex_state = 3},
  [8801] = {.lex_state = 415, .external_lex_state = 3},
  [8802] = {.lex_state = 18, .external_lex_state = 2},
  [8803] = {.lex_state = 415, .external_lex_state = 3},
  [8804] = {.lex_state = 415, .external_lex_state = 3},
  [8805] = {.lex_state = 415, .external_lex_state = 3},
  [8806] = {.lex_state = 415, .external_lex_state = 3},
  [8807] = {.lex_state = 415, .external_lex_state = 3},
  [8808] = {.lex_state = 415, .external_lex_state = 3},
  [8809] = {.lex_state = 415, .external_lex_state = 3},
  [8810] = {.lex_state = 83, .external_lex_state = 2},
  [8811] = {.lex_state = 415, .external_lex_state = 3},
  [8812] = {.lex_state = 7, .external_lex_state = 3},
  [8813] = {.lex_state = 415, .external_lex_state = 3},
  [8814] = {.lex_state = 415, .external_lex_state = 3},
  [8815] = {.lex_state = 415, .external_lex_state = 3},
  [8816] = {.lex_state = 7, .external_lex_state = 3},
  [8817] = {.lex_state = 138, .external_lex_state = 2},
  [8818] = {.lex_state = 415, .external_lex_state = 3},
  [8819] = {.lex_state = 93, .external_lex_state = 2},
  [8820] = {.lex_state = 415, .external_lex_state = 3},
  [8821] = {.lex_state = 415, .external_lex_state = 3},
  [8822] = {.lex_state = 415, .external_lex_state = 3},
  [8823] = {.lex_state = 415, .external_lex_state = 3},
  [8824] = {.lex_state = 415, .external_lex_state = 3},
  [8825] = {.lex_state = 415, .external_lex_state = 3},
  [8826] = {.lex_state = 415, .external_lex_state = 3},
  [8827] = {.lex_state = 415, .external_lex_state = 3},
  [8828] = {.lex_state = 138, .external_lex_state = 2},
  [8829] = {.lex_state = 18, .external_lex_state = 2},
  [8830] = {.lex_state = 91, .external_lex_state = 2},
  [8831] = {.lex_state = 415, .external_lex_state = 3},
  [8832] = {.lex_state = 415, .external_lex_state = 3},
  [8833] = {.lex_state = 415, .external_lex_state = 3},
  [8834] = {.lex_state = 415, .external_lex_state = 3},
  [8835] = {.lex_state = 415, .external_lex_state = 3},
  [8836] = {.lex_state = 7, .external_lex_state = 3},
  [8837] = {.lex_state = 7, .external_lex_state = 3},
  [8838] = {.lex_state = 7, .external_lex_state = 3},
  [8839] = {.lex_state = 7, .external_lex_state = 3},
  [8840] = {.lex_state = 415, .external_lex_state = 3},
  [8841] = {.lex_state = 17, .external_lex_state = 2},
  [8842] = {.lex_state = 415, .external_lex_state = 3},
  [8843] = {.lex_state = 415, .external_lex_state = 3},
  [8844] = {.lex_state = 17, .external_lex_state = 2},
  [8845] = {.lex_state = 7, .external_lex_state = 3},
  [8846] = {.lex_state = 140, .external_lex_state = 2},
  [8847] = {.lex_state = 415, .external_lex_state = 3},
  [8848] = {.lex_state = 83, .external_lex_state = 2},
  [8849] = {.lex_state = 7, .external_lex_state = 3},
  [8850] = {.lex_state = 415, .external_lex_state = 3},
  [8851] = {.lex_state = 18, .external_lex_state = 2},
  [8852] = {.lex_state = 415, .external_lex_state = 3},
  [8853] = {.lex_state = 7, .external_lex_state = 3},
  [8854] = {.lex_state = 415, .external_lex_state = 3},
  [8855] = {.lex_state = 17, .external_lex_state = 2},
  [8856] = {.lex_state = 7, .external_lex_state = 3},
  [8857] = {.lex_state = 140, .external_lex_state = 2},
  [8858] = {.lex_state = 17, .external_lex_state = 2},
  [8859] = {.lex_state = 7, .external_lex_state = 3},
  [8860] = {.lex_state = 415, .external_lex_state = 3},
  [8861] = {.lex_state = 7, .external_lex_state = 3},
  [8862] = {.lex_state = 87, .external_lex_state = 2},
  [8863] = {.lex_state = 7, .external_lex_state = 3},
  [8864] = {.lex_state = 415, .external_lex_state = 3},
  [8865] = {.lex_state = 415, .external_lex_state = 3},
  [8866] = {.lex_state = 7, .external_lex_state = 3},
  [8867] = {.lex_state = 415, .external_lex_state = 3},
  [8868] = {.lex_state = 7, .external_lex_state = 3},
  [8869] = {.lex_state = 415, .external_lex_state = 3},
  [8870] = {.lex_state = 415, .external_lex_state = 3},
  [8871] = {.lex_state = 7, .external_lex_state = 3},
  [8872] = {.lex_state = 7, .external_lex_state = 3},
  [8873] = {.lex_state = 415, .external_lex_state = 3},
  [8874] = {.lex_state = 19, .external_lex_state = 2},
  [8875] = {.lex_state = 19, .external_lex_state = 2},
  [8876] = {.lex_state = 140, .external_lex_state = 2},
  [8877] = {.lex_state = 19, .external_lex_state = 2},
  [8878] = {.lex_state = 140, .external_lex_state = 2},
  [8879] = {.lex_state = 19, .external_lex_state = 2},
  [8880] = {.lex_state = 19, .external_lex_state = 2},
  [8881] = {.lex_state = 7, .external_lex_state = 3},
  [8882] = {.lex_state = 140, .external_lex_state = 2},
  [8883] = {.lex_state = 19, .external_lex_state = 2},
  [8884] = {.lex_state = 140, .external_lex_state = 2},
  [8885] = {.lex_state = 19, .external_lex_state = 2},
  [8886] = {.lex_state = 140, .external_lex_state = 2},
  [8887] = {.lex_state = 140, .external_lex_state = 2},
  [8888] = {.lex_state = 140, .external_lex_state = 2},
  [8889] = {.lex_state = 19, .external_lex_state = 2},
  [8890] = {.lex_state = 171, .external_lex_state = 3},
  [8891] = {.lex_state = 138, .external_lex_state = 2},
  [8892] = {.lex_state = 19, .external_lex_state = 2},
  [8893] = {.lex_state = 19, .external_lex_state = 2},
  [8894] = {.lex_state = 19, .external_lex_state = 2},
  [8895] = {.lex_state = 140, .external_lex_state = 2},
  [8896] = {.lex_state = 140, .external_lex_state = 2},
  [8897] = {.lex_state = 129, .external_lex_state = 3},
  [8898] = {.lex_state = 140, .external_lex_state = 2},
  [8899] = {.lex_state = 129, .external_lex_state = 3},
  [8900] = {.lex_state = 19, .external_lex_state = 2},
  [8901] = {.lex_state = 178, .external_lex_state = 3},
  [8902] = {.lex_state = 129, .external_lex_state = 3},
  [8903] = {.lex_state = 140, .external_lex_state = 2},
  [8904] = {.lex_state = 7, .external_lex_state = 3},
  [8905] = {.lex_state = 138, .external_lex_state = 2},
  [8906] = {.lex_state = 7, .external_lex_state = 3},
  [8907] = {.lex_state = 140, .external_lex_state = 2},
  [8908] = {.lex_state = 129, .external_lex_state = 3},
  [8909] = {.lex_state = 129, .external_lex_state = 3},
  [8910] = {.lex_state = 140, .external_lex_state = 2},
  [8911] = {.lex_state = 138, .external_lex_state = 2},
  [8912] = {.lex_state = 414, .external_lex_state = 3},
  [8913] = {.lex_state = 138, .external_lex_state = 2},
  [8914] = {.lex_state = 19, .external_lex_state = 2},
  [8915] = {.lex_state = 19, .external_lex_state = 2},
  [8916] = {.lex_state = 7, .external_lex_state = 3},
  [8917] = {.lex_state = 414, .external_lex_state = 3},
  [8918] = {.lex_state = 7, .external_lex_state = 3},
  [8919] = {.lex_state = 19, .external_lex_state = 2},
  [8920] = {.lex_state = 129, .external_lex_state = 3},
  [8921] = {.lex_state = 178, .external_lex_state = 3},
  [8922] = {.lex_state = 140, .external_lex_state = 2},
  [8923] = {.lex_state = 140, .external_lex_state = 2},
  [8924] = {.lex_state = 414, .external_lex_state = 3},
  [8925] = {.lex_state = 140, .external_lex_state = 2},
  [8926] = {.lex_state = 129, .external_lex_state = 3},
  [8927] = {.lex_state = 140, .external_lex_state = 2},
  [8928] = {.lex_state = 35, .external_lex_state = 2},
  [8929] = {.lex_state = 7, .external_lex_state = 3},
  [8930] = {.lex_state = 178, .external_lex_state = 3},
  [8931] = {.lex_state = 140, .external_lex_state = 2},
  [8932] = {.lex_state = 7, .external_lex_state = 3},
  [8933] = {.lex_state = 7, .external_lex_state = 3},
  [8934] = {.lex_state = 7, .external_lex_state = 3},
  [8935] = {.lex_state = 138, .external_lex_state = 2},
  [8936] = {.lex_state = 138, .external_lex_state = 2},
  [8937] = {.lex_state = 19, .external_lex_state = 2},
  [8938] = {.lex_state = 138, .external_lex_state = 2},
  [8939] = {.lex_state = 140, .external_lex_state = 2},
  [8940] = {.lex_state = 138, .external_lex_state = 2},
  [8941] = {.lex_state = 140, .external_lex_state = 2},
  [8942] = {.lex_state = 140, .external_lex_state = 2},
  [8943] = {.lex_state = 140, .external_lex_state = 2},
  [8944] = {.lex_state = 7, .external_lex_state = 3},
  [8945] = {.lex_state = 19, .external_lex_state = 2},
  [8946] = {.lex_state = 7, .external_lex_state = 3},
  [8947] = {.lex_state = 19, .external_lex_state = 2},
  [8948] = {.lex_state = 19, .external_lex_state = 2},
  [8949] = {.lex_state = 140, .external_lex_state = 2},
  [8950] = {.lex_state = 178, .external_lex_state = 3},
  [8951] = {.lex_state = 7, .external_lex_state = 3},
  [8952] = {.lex_state = 178, .external_lex_state = 3},
  [8953] = {.lex_state = 19, .external_lex_state = 2},
  [8954] = {.lex_state = 138, .external_lex_state = 2},
  [8955] = {.lex_state = 7, .external_lex_state = 3},
  [8956] = {.lex_state = 7, .external_lex_state = 3},
  [8957] = {.lex_state = 19, .external_lex_state = 2},
  [8958] = {.lex_state = 140, .external_lex_state = 2},
  [8959] = {.lex_state = 138, .external_lex_state = 2},
  [8960] = {.lex_state = 7, .external_lex_state = 3},
  [8961] = {.lex_state = 19, .external_lex_state = 2},
  [8962] = {.lex_state = 138, .external_lex_state = 2},
  [8963] = {.lex_state = 19, .external_lex_state = 2},
  [8964] = {.lex_state = 138, .external_lex_state = 2},
  [8965] = {.lex_state = 138, .external_lex_state = 2},
  [8966] = {.lex_state = 171, .external_lex_state = 3},
  [8967] = {.lex_state = 7, .external_lex_state = 3},
  [8968] = {.lex_state = 7, .external_lex_state = 3},
  [8969] = {.lex_state = 19, .external_lex_state = 2},
  [8970] = {.lex_state = 138, .external_lex_state = 2},
  [8971] = {.lex_state = 178, .external_lex_state = 3},
  [8972] = {.lex_state = 7, .external_lex_state = 3},
  [8973] = {.lex_state = 19, .external_lex_state = 2},
  [8974] = {.lex_state = 140, .external_lex_state = 2},
  [8975] = {.lex_state = 140, .external_lex_state = 2},
  [8976] = {.lex_state = 138, .external_lex_state = 2},
  [8977] = {.lex_state = 7, .external_lex_state = 3},
  [8978] = {.lex_state = 19, .external_lex_state = 2},
  [8979] = {.lex_state = 138, .external_lex_state = 2},
  [8980] = {.lex_state = 7, .external_lex_state = 3},
  [8981] = {.lex_state = 19, .external_lex_state = 2},
  [8982] = {.lex_state = 19, .external_lex_state = 2},
  [8983] = {.lex_state = 140, .external_lex_state = 2},
  [8984] = {.lex_state = 7, .external_lex_state = 3},
  [8985] = {.lex_state = 19, .external_lex_state = 2},
  [8986] = {.lex_state = 140, .external_lex_state = 2},
  [8987] = {.lex_state = 19, .external_lex_state = 2},
  [8988] = {.lex_state = 19, .external_lex_state = 2},
  [8989] = {.lex_state = 426, .external_lex_state = 3},
  [8990] = {.lex_state = 7, .external_lex_state = 3},
  [8991] = {.lex_state = 129, .external_lex_state = 3},
  [8992] = {.lex_state = 140, .external_lex_state = 2},
  [8993] = {.lex_state = 414, .external_lex_state = 3},
  [8994] = {.lex_state = 19, .external_lex_state = 2},
  [8995] = {.lex_state = 140, .external_lex_state = 2},
  [8996] = {.lex_state = 19, .external_lex_state = 2},
  [8997] = {.lex_state = 7, .external_lex_state = 3},
  [8998] = {.lex_state = 19, .external_lex_state = 2},
  [8999] = {.lex_state = 19, .external_lex_state = 2},
  [9000] = {.lex_state = 19, .external_lex_state = 2},
  [9001] = {.lex_state = 7, .external_lex_state = 3},
  [9002] = {.lex_state = 140, .external_lex_state = 2},
  [9003] = {.lex_state = 140, .external_lex_state = 2},
  [9004] = {.lex_state = 7, .external_lex_state = 3},
  [9005] = {.lex_state = 138, .external_lex_state = 2},
  [9006] = {.lex_state = 129, .external_lex_state = 3},
  [9007] = {.lex_state = 129, .external_lex_state = 3},
  [9008] = {.lex_state = 129, .external_lex_state = 3},
  [9009] = {.lex_state = 19, .external_lex_state = 2},
  [9010] = {.lex_state = 140, .external_lex_state = 2},
  [9011] = {.lex_state = 140, .external_lex_state = 2},
  [9012] = {.lex_state = 129, .external_lex_state = 3},
  [9013] = {.lex_state = 171, .external_lex_state = 3},
  [9014] = {.lex_state = 19, .external_lex_state = 2},
  [9015] = {.lex_state = 7, .external_lex_state = 3},
  [9016] = {.lex_state = 129, .external_lex_state = 3},
  [9017] = {.lex_state = 140, .external_lex_state = 2},
  [9018] = {.lex_state = 138, .external_lex_state = 2},
  [9019] = {.lex_state = 7, .external_lex_state = 3},
  [9020] = {.lex_state = 7, .external_lex_state = 3},
  [9021] = {.lex_state = 7, .external_lex_state = 3},
  [9022] = {.lex_state = 140, .external_lex_state = 2},
  [9023] = {.lex_state = 138, .external_lex_state = 2},
  [9024] = {.lex_state = 140, .external_lex_state = 2},
  [9025] = {.lex_state = 138, .external_lex_state = 2},
  [9026] = {.lex_state = 178, .external_lex_state = 3},
  [9027] = {.lex_state = 19, .external_lex_state = 2},
  [9028] = {.lex_state = 19, .external_lex_state = 2},
  [9029] = {.lex_state = 19, .external_lex_state = 2},
  [9030] = {.lex_state = 178, .external_lex_state = 3},
  [9031] = {.lex_state = 19, .external_lex_state = 2},
  [9032] = {.lex_state = 140, .external_lex_state = 2},
  [9033] = {.lex_state = 7, .external_lex_state = 3},
  [9034] = {.lex_state = 7, .external_lex_state = 3},
  [9035] = {.lex_state = 416, .external_lex_state = 2},
  [9036] = {.lex_state = 7, .external_lex_state = 3},
  [9037] = {.lex_state = 19, .external_lex_state = 2},
  [9038] = {.lex_state = 140, .external_lex_state = 2},
  [9039] = {.lex_state = 138, .external_lex_state = 2},
  [9040] = {.lex_state = 7, .external_lex_state = 3},
  [9041] = {.lex_state = 178, .external_lex_state = 3},
  [9042] = {.lex_state = 19, .external_lex_state = 2},
  [9043] = {.lex_state = 171, .external_lex_state = 3},
  [9044] = {.lex_state = 19, .external_lex_state = 2},
  [9045] = {.lex_state = 138, .external_lex_state = 2},
  [9046] = {.lex_state = 19, .external_lex_state = 2},
  [9047] = {.lex_state = 19, .external_lex_state = 2},
  [9048] = {.lex_state = 138, .external_lex_state = 2},
  [9049] = {.lex_state = 138, .external_lex_state = 2},
  [9050] = {.lex_state = 178, .external_lex_state = 3},
  [9051] = {.lex_state = 140, .external_lex_state = 2},
  [9052] = {.lex_state = 19, .external_lex_state = 2},
  [9053] = {.lex_state = 35, .external_lex_state = 2},
  [9054] = {.lex_state = 7, .external_lex_state = 3},
  [9055] = {.lex_state = 140, .external_lex_state = 2},
  [9056] = {.lex_state = 138, .external_lex_state = 2},
  [9057] = {.lex_state = 7, .external_lex_state = 3},
  [9058] = {.lex_state = 129, .external_lex_state = 3},
  [9059] = {.lex_state = 19, .external_lex_state = 2},
  [9060] = {.lex_state = 414, .external_lex_state = 3},
  [9061] = {.lex_state = 178, .external_lex_state = 3},
  [9062] = {.lex_state = 138, .external_lex_state = 2},
  [9063] = {.lex_state = 19, .external_lex_state = 2},
  [9064] = {.lex_state = 19, .external_lex_state = 2},
  [9065] = {.lex_state = 138, .external_lex_state = 2},
  [9066] = {.lex_state = 7, .external_lex_state = 3},
  [9067] = {.lex_state = 138, .external_lex_state = 2},
  [9068] = {.lex_state = 7, .external_lex_state = 3},
  [9069] = {.lex_state = 7, .external_lex_state = 3},
  [9070] = {.lex_state = 138, .external_lex_state = 2},
  [9071] = {.lex_state = 7, .external_lex_state = 3},
  [9072] = {.lex_state = 7, .external_lex_state = 3},
  [9073] = {.lex_state = 7, .external_lex_state = 3},
  [9074] = {.lex_state = 19, .external_lex_state = 2},
  [9075] = {.lex_state = 19, .external_lex_state = 2},
  [9076] = {.lex_state = 178, .external_lex_state = 3},
  [9077] = {.lex_state = 414, .external_lex_state = 3},
  [9078] = {.lex_state = 7, .external_lex_state = 3},
  [9079] = {.lex_state = 138, .external_lex_state = 2},
  [9080] = {.lex_state = 7, .external_lex_state = 3},
  [9081] = {.lex_state = 138, .external_lex_state = 2},
  [9082] = {.lex_state = 19, .external_lex_state = 2},
  [9083] = {.lex_state = 414, .external_lex_state = 3},
  [9084] = {.lex_state = 414, .external_lex_state = 3},
  [9085] = {.lex_state = 138, .external_lex_state = 2},
  [9086] = {.lex_state = 7, .external_lex_state = 3},
  [9087] = {.lex_state = 138, .external_lex_state = 2},
  [9088] = {.lex_state = 7, .external_lex_state = 3},
  [9089] = {.lex_state = 19, .external_lex_state = 2},
  [9090] = {.lex_state = 138, .external_lex_state = 2},
  [9091] = {.lex_state = 19, .external_lex_state = 2},
  [9092] = {.lex_state = 138, .external_lex_state = 2},
  [9093] = {.lex_state = 138, .external_lex_state = 2},
  [9094] = {.lex_state = 140, .external_lex_state = 2},
  [9095] = {.lex_state = 138, .external_lex_state = 2},
  [9096] = {.lex_state = 138, .external_lex_state = 2},
  [9097] = {.lex_state = 414, .external_lex_state = 3},
  [9098] = {.lex_state = 178, .external_lex_state = 3},
  [9099] = {.lex_state = 138, .external_lex_state = 2},
  [9100] = {.lex_state = 19, .external_lex_state = 2},
  [9101] = {.lex_state = 414, .external_lex_state = 3},
  [9102] = {.lex_state = 414, .external_lex_state = 3},
  [9103] = {.lex_state = 140, .external_lex_state = 2},
  [9104] = {.lex_state = 414, .external_lex_state = 3},
  [9105] = {.lex_state = 138, .external_lex_state = 2},
  [9106] = {.lex_state = 19, .external_lex_state = 2},
  [9107] = {.lex_state = 414, .external_lex_state = 3},
  [9108] = {.lex_state = 19, .external_lex_state = 2},
  [9109] = {.lex_state = 140, .external_lex_state = 2},
  [9110] = {.lex_state = 178, .external_lex_state = 3},
  [9111] = {.lex_state = 7, .external_lex_state = 3},
  [9112] = {.lex_state = 7, .external_lex_state = 3},
  [9113] = {.lex_state = 7, .external_lex_state = 3},
  [9114] = {.lex_state = 414, .external_lex_state = 3},
  [9115] = {.lex_state = 138, .external_lex_state = 2},
  [9116] = {.lex_state = 178, .external_lex_state = 3},
  [9117] = {.lex_state = 138, .external_lex_state = 2},
  [9118] = {.lex_state = 414, .external_lex_state = 3},
  [9119] = {.lex_state = 138, .external_lex_state = 2},
  [9120] = {.lex_state = 178, .external_lex_state = 3},
  [9121] = {.lex_state = 171, .external_lex_state = 3},
  [9122] = {.lex_state = 171, .external_lex_state = 3},
  [9123] = {.lex_state = 138, .external_lex_state = 2},
  [9124] = {.lex_state = 140, .external_lex_state = 2},
  [9125] = {.lex_state = 7, .external_lex_state = 3},
  [9126] = {.lex_state = 138, .external_lex_state = 2},
  [9127] = {.lex_state = 138, .external_lex_state = 2},
  [9128] = {.lex_state = 178, .external_lex_state = 3},
  [9129] = {.lex_state = 414, .external_lex_state = 3},
  [9130] = {.lex_state = 129, .external_lex_state = 3},
  [9131] = {.lex_state = 140, .external_lex_state = 2},
  [9132] = {.lex_state = 140, .external_lex_state = 2},
  [9133] = {.lex_state = 7, .external_lex_state = 3},
  [9134] = {.lex_state = 19, .external_lex_state = 2},
  [9135] = {.lex_state = 414, .external_lex_state = 3},
  [9136] = {.lex_state = 19, .external_lex_state = 2},
  [9137] = {.lex_state = 138, .external_lex_state = 2},
  [9138] = {.lex_state = 414, .external_lex_state = 3},
  [9139] = {.lex_state = 7, .external_lex_state = 3},
  [9140] = {.lex_state = 7, .external_lex_state = 3},
  [9141] = {.lex_state = 414, .external_lex_state = 3},
  [9142] = {.lex_state = 19, .external_lex_state = 2},
  [9143] = {.lex_state = 129, .external_lex_state = 3},
  [9144] = {.lex_state = 138, .external_lex_state = 2},
  [9145] = {.lex_state = 129, .external_lex_state = 3},
  [9146] = {.lex_state = 178, .external_lex_state = 3},
  [9147] = {.lex_state = 7, .external_lex_state = 3},
  [9148] = {.lex_state = 7, .external_lex_state = 3},
  [9149] = {.lex_state = 414, .external_lex_state = 3},
  [9150] = {.lex_state = 414, .external_lex_state = 3},
  [9151] = {.lex_state = 414, .external_lex_state = 3},
  [9152] = {.lex_state = 129, .external_lex_state = 3},
  [9153] = {.lex_state = 138, .external_lex_state = 2},
  [9154] = {.lex_state = 414, .external_lex_state = 3},
  [9155] = {.lex_state = 19, .external_lex_state = 2},
  [9156] = {.lex_state = 414, .external_lex_state = 3},
  [9157] = {.lex_state = 19, .external_lex_state = 2},
  [9158] = {.lex_state = 138, .external_lex_state = 2},
  [9159] = {.lex_state = 7, .external_lex_state = 3},
  [9160] = {.lex_state = 140, .external_lex_state = 2},
  [9161] = {.lex_state = 7, .external_lex_state = 3},
  [9162] = {.lex_state = 7, .external_lex_state = 3},
  [9163] = {.lex_state = 7, .external_lex_state = 3},
  [9164] = {.lex_state = 138, .external_lex_state = 2},
  [9165] = {.lex_state = 138, .external_lex_state = 2},
  [9166] = {.lex_state = 19, .external_lex_state = 2},
  [9167] = {.lex_state = 19, .external_lex_state = 2},
  [9168] = {.lex_state = 138, .external_lex_state = 2},
  [9169] = {.lex_state = 140, .external_lex_state = 2},
  [9170] = {.lex_state = 140, .external_lex_state = 2},
  [9171] = {.lex_state = 129, .external_lex_state = 3},
  [9172] = {.lex_state = 19, .external_lex_state = 2},
  [9173] = {.lex_state = 7, .external_lex_state = 3},
  [9174] = {.lex_state = 7, .external_lex_state = 3},
  [9175] = {.lex_state = 414, .external_lex_state = 3},
  [9176] = {.lex_state = 140, .external_lex_state = 2},
  [9177] = {.lex_state = 19, .external_lex_state = 2},
  [9178] = {.lex_state = 7, .external_lex_state = 3},
  [9179] = {.lex_state = 129, .external_lex_state = 3},
  [9180] = {.lex_state = 140, .external_lex_state = 2},
  [9181] = {.lex_state = 140, .external_lex_state = 2},
  [9182] = {.lex_state = 140, .external_lex_state = 2},
  [9183] = {.lex_state = 19, .external_lex_state = 2},
  [9184] = {.lex_state = 140, .external_lex_state = 2},
  [9185] = {.lex_state = 129, .external_lex_state = 3},
  [9186] = {.lex_state = 7, .external_lex_state = 3},
  [9187] = {.lex_state = 140, .external_lex_state = 2},
  [9188] = {.lex_state = 129, .external_lex_state = 3},
  [9189] = {.lex_state = 7, .external_lex_state = 3},
  [9190] = {.lex_state = 138, .external_lex_state = 2},
  [9191] = {.lex_state = 140, .external_lex_state = 2},
  [9192] = {.lex_state = 35, .external_lex_state = 2},
  [9193] = {.lex_state = 7, .external_lex_state = 3},
  [9194] = {.lex_state = 178, .external_lex_state = 3},
  [9195] = {.lex_state = 178, .external_lex_state = 3},
  [9196] = {.lex_state = 7, .external_lex_state = 3},
  [9197] = {.lex_state = 138, .external_lex_state = 2},
  [9198] = {.lex_state = 19, .external_lex_state = 2},
  [9199] = {.lex_state = 19, .external_lex_state = 2},
  [9200] = {.lex_state = 19, .external_lex_state = 2},
  [9201] = {.lex_state = 19, .external_lex_state = 2},
  [9202] = {.lex_state = 19, .external_lex_state = 2},
  [9203] = {.lex_state = 19, .external_lex_state = 2},
  [9204] = {.lex_state = 19, .external_lex_state = 2},
  [9205] = {.lex_state = 7, .external_lex_state = 3},
  [9206] = {.lex_state = 7, .external_lex_state = 3},
  [9207] = {.lex_state = 19, .external_lex_state = 2},
  [9208] = {.lex_state = 140, .external_lex_state = 2},
  [9209] = {.lex_state = 19, .external_lex_state = 2},
  [9210] = {.lex_state = 138, .external_lex_state = 2},
  [9211] = {.lex_state = 19, .external_lex_state = 2},
  [9212] = {.lex_state = 138, .external_lex_state = 2},
  [9213] = {.lex_state = 7, .external_lex_state = 3},
  [9214] = {.lex_state = 138, .external_lex_state = 2},
  [9215] = {.lex_state = 140, .external_lex_state = 2},
  [9216] = {.lex_state = 19, .external_lex_state = 2},
  [9217] = {.lex_state = 140, .external_lex_state = 2},
  [9218] = {.lex_state = 138, .external_lex_state = 2},
  [9219] = {.lex_state = 19, .external_lex_state = 2},
  [9220] = {.lex_state = 138, .external_lex_state = 2},
  [9221] = {.lex_state = 140, .external_lex_state = 2},
  [9222] = {.lex_state = 138, .external_lex_state = 2},
  [9223] = {.lex_state = 414, .external_lex_state = 3},
  [9224] = {.lex_state = 130, .external_lex_state = 3},
  [9225] = {.lex_state = 414, .external_lex_state = 3},
  [9226] = {.lex_state = 414, .external_lex_state = 3},
  [9227] = {.lex_state = 7, .external_lex_state = 3},
  [9228] = {.lex_state = 7, .external_lex_state = 3},
  [9229] = {.lex_state = 7, .external_lex_state = 3},
  [9230] = {.lex_state = 7, .external_lex_state = 3},
  [9231] = {.lex_state = 414, .external_lex_state = 3},
  [9232] = {.lex_state = 414, .external_lex_state = 3},
  [9233] = {.lex_state = 414, .external_lex_state = 3},
  [9234] = {.lex_state = 130, .external_lex_state = 3},
  [9235] = {.lex_state = 7, .external_lex_state = 3},
  [9236] = {.lex_state = 7, .external_lex_state = 3},
  [9237] = {.lex_state = 7, .external_lex_state = 3},
  [9238] = {.lex_state = 7, .external_lex_state = 3},
  [9239] = {.lex_state = 7, .external_lex_state = 3},
  [9240] = {.lex_state = 7, .external_lex_state = 3},
  [9241] = {.lex_state = 414, .external_lex_state = 3},
  [9242] = {.lex_state = 7, .external_lex_state = 3},
  [9243] = {.lex_state = 414, .external_lex_state = 3},
  [9244] = {.lex_state = 35, .external_lex_state = 2},
  [9245] = {.lex_state = 414, .external_lex_state = 3},
  [9246] = {.lex_state = 130, .external_lex_state = 3},
  [9247] = {.lex_state = 414, .external_lex_state = 3},
  [9248] = {.lex_state = 7, .external_lex_state = 3},
  [9249] = {.lex_state = 414, .external_lex_state = 3},
  [9250] = {.lex_state = 414, .external_lex_state = 3},
  [9251] = {.lex_state = 414, .external_lex_state = 3},
  [9252] = {.lex_state = 414, .external_lex_state = 3},
  [9253] = {.lex_state = 7, .external_lex_state = 3},
  [9254] = {.lex_state = 414, .external_lex_state = 3},
  [9255] = {.lex_state = 24, .external_lex_state = 2},
  [9256] = {.lex_state = 7, .external_lex_state = 3},
  [9257] = {.lex_state = 414, .external_lex_state = 3},
  [9258] = {.lex_state = 7, .external_lex_state = 3},
  [9259] = {.lex_state = 7, .external_lex_state = 3},
  [9260] = {.lex_state = 7, .external_lex_state = 3},
  [9261] = {.lex_state = 7, .external_lex_state = 3},
  [9262] = {.lex_state = 414, .external_lex_state = 3},
  [9263] = {.lex_state = 414, .external_lex_state = 3},
  [9264] = {.lex_state = 414, .external_lex_state = 3},
  [9265] = {.lex_state = 130, .external_lex_state = 3},
  [9266] = {.lex_state = 414, .external_lex_state = 3},
  [9267] = {.lex_state = 414, .external_lex_state = 3},
  [9268] = {.lex_state = 7, .external_lex_state = 3},
  [9269] = {.lex_state = 414, .external_lex_state = 3},
  [9270] = {.lex_state = 7, .external_lex_state = 3},
  [9271] = {.lex_state = 414, .external_lex_state = 3},
  [9272] = {.lex_state = 414, .external_lex_state = 3},
  [9273] = {.lex_state = 414, .external_lex_state = 3},
  [9274] = {.lex_state = 7, .external_lex_state = 3},
  [9275] = {.lex_state = 414, .external_lex_state = 3},
  [9276] = {.lex_state = 414, .external_lex_state = 3},
  [9277] = {.lex_state = 414, .external_lex_state = 3},
  [9278] = {.lex_state = 414, .external_lex_state = 3},
  [9279] = {.lex_state = 414, .external_lex_state = 3},
  [9280] = {.lex_state = 414, .external_lex_state = 3},
  [9281] = {.lex_state = 7, .external_lex_state = 3},
  [9282] = {.lex_state = 414, .external_lex_state = 3},
  [9283] = {.lex_state = 414, .external_lex_state = 3},
  [9284] = {.lex_state = 7, .external_lex_state = 3},
  [9285] = {.lex_state = 414, .external_lex_state = 3},
  [9286] = {.lex_state = 414, .external_lex_state = 3},
  [9287] = {.lex_state = 414, .external_lex_state = 3},
  [9288] = {.lex_state = 7, .external_lex_state = 3},
  [9289] = {.lex_state = 414, .external_lex_state = 3},
  [9290] = {.lex_state = 414, .external_lex_state = 3},
  [9291] = {.lex_state = 414, .external_lex_state = 3},
  [9292] = {.lex_state = 7, .external_lex_state = 3},
  [9293] = {.lex_state = 414, .external_lex_state = 3},
  [9294] = {.lex_state = 414, .external_lex_state = 3},
  [9295] = {.lex_state = 7, .external_lex_state = 3},
  [9296] = {.lex_state = 130, .external_lex_state = 3},
  [9297] = {.lex_state = 414, .external_lex_state = 3},
  [9298] = {.lex_state = 414, .external_lex_state = 3},
  [9299] = {.lex_state = 414, .external_lex_state = 3},
  [9300] = {.lex_state = 414, .external_lex_state = 3},
  [9301] = {.lex_state = 414, .external_lex_state = 3},
  [9302] = {.lex_state = 414, .external_lex_state = 3},
  [9303] = {.lex_state = 414, .external_lex_state = 3},
  [9304] = {.lex_state = 414, .external_lex_state = 3},
  [9305] = {.lex_state = 414, .external_lex_state = 3},
  [9306] = {.lex_state = 414, .external_lex_state = 3},
  [9307] = {.lex_state = 7, .external_lex_state = 3},
  [9308] = {.lex_state = 7, .external_lex_state = 3},
  [9309] = {.lex_state = 414, .external_lex_state = 3},
  [9310] = {.lex_state = 7, .external_lex_state = 3},
  [9311] = {.lex_state = 7, .external_lex_state = 3},
  [9312] = {.lex_state = 414, .external_lex_state = 3},
  [9313] = {.lex_state = 7, .external_lex_state = 3},
  [9314] = {.lex_state = 7, .external_lex_state = 3},
  [9315] = {.lex_state = 130, .external_lex_state = 3},
  [9316] = {.lex_state = 414, .external_lex_state = 3},
  [9317] = {.lex_state = 7, .external_lex_state = 3},
  [9318] = {.lex_state = 414, .external_lex_state = 3},
  [9319] = {.lex_state = 7, .external_lex_state = 3},
  [9320] = {.lex_state = 414, .external_lex_state = 3},
  [9321] = {.lex_state = 7, .external_lex_state = 3},
  [9322] = {.lex_state = 130, .external_lex_state = 3},
  [9323] = {.lex_state = 7, .external_lex_state = 3},
  [9324] = {.lex_state = 7, .external_lex_state = 3},
  [9325] = {.lex_state = 7, .external_lex_state = 3},
  [9326] = {.lex_state = 7, .external_lex_state = 3},
  [9327] = {.lex_state = 7, .external_lex_state = 3},
  [9328] = {.lex_state = 7, .external_lex_state = 3},
  [9329] = {.lex_state = 414, .external_lex_state = 3},
  [9330] = {.lex_state = 130, .external_lex_state = 3},
  [9331] = {.lex_state = 414, .external_lex_state = 3},
  [9332] = {.lex_state = 7, .external_lex_state = 3},
  [9333] = {.lex_state = 414, .external_lex_state = 3},
  [9334] = {.lex_state = 414, .external_lex_state = 3},
  [9335] = {.lex_state = 7, .external_lex_state = 3},
  [9336] = {.lex_state = 130, .external_lex_state = 3},
  [9337] = {.lex_state = 7, .external_lex_state = 3},
  [9338] = {.lex_state = 414, .external_lex_state = 3},
  [9339] = {.lex_state = 130, .external_lex_state = 3},
  [9340] = {.lex_state = 414, .external_lex_state = 3},
  [9341] = {.lex_state = 130, .external_lex_state = 3},
  [9342] = {.lex_state = 7, .external_lex_state = 3},
  [9343] = {.lex_state = 130, .external_lex_state = 3},
  [9344] = {.lex_state = 130, .external_lex_state = 3},
  [9345] = {.lex_state = 130, .external_lex_state = 3},
  [9346] = {.lex_state = 414, .external_lex_state = 3},
  [9347] = {.lex_state = 426, .external_lex_state = 3},
  [9348] = {.lex_state = 414, .external_lex_state = 3},
  [9349] = {.lex_state = 414, .external_lex_state = 3},
  [9350] = {.lex_state = 7, .external_lex_state = 3},
  [9351] = {.lex_state = 7, .external_lex_state = 3},
  [9352] = {.lex_state = 7, .external_lex_state = 3},
  [9353] = {.lex_state = 7, .external_lex_state = 3},
  [9354] = {.lex_state = 7, .external_lex_state = 3},
  [9355] = {.lex_state = 7, .external_lex_state = 3},
  [9356] = {.lex_state = 7, .external_lex_state = 3},
  [9357] = {.lex_state = 7, .external_lex_state = 3},
  [9358] = {.lex_state = 7, .external_lex_state = 3},
  [9359] = {.lex_state = 7, .external_lex_state = 3},
  [9360] = {.lex_state = 7, .external_lex_state = 3},
  [9361] = {.lex_state = 414, .external_lex_state = 3},
  [9362] = {.lex_state = 7, .external_lex_state = 3},
  [9363] = {.lex_state = 414, .external_lex_state = 3},
  [9364] = {.lex_state = 7, .external_lex_state = 3},
  [9365] = {.lex_state = 7, .external_lex_state = 3},
  [9366] = {.lex_state = 426, .external_lex_state = 3},
  [9367] = {.lex_state = 7, .external_lex_state = 3},
  [9368] = {.lex_state = 414, .external_lex_state = 3},
  [9369] = {.lex_state = 414, .external_lex_state = 3},
  [9370] = {.lex_state = 7, .external_lex_state = 3},
  [9371] = {.lex_state = 414, .external_lex_state = 3},
  [9372] = {.lex_state = 7, .external_lex_state = 3},
  [9373] = {.lex_state = 414, .external_lex_state = 3},
  [9374] = {.lex_state = 414, .external_lex_state = 3},
  [9375] = {.lex_state = 414, .external_lex_state = 3},
  [9376] = {.lex_state = 130, .external_lex_state = 3},
  [9377] = {.lex_state = 7, .external_lex_state = 3},
  [9378] = {.lex_state = 130, .external_lex_state = 3},
  [9379] = {.lex_state = 130, .external_lex_state = 3},
  [9380] = {.lex_state = 130, .external_lex_state = 3},
  [9381] = {.lex_state = 16, .external_lex_state = 2},
  [9382] = {.lex_state = 130, .external_lex_state = 3},
  [9383] = {.lex_state = 16, .external_lex_state = 2},
  [9384] = {.lex_state = 130, .external_lex_state = 3},
  [9385] = {.lex_state = 130, .external_lex_state = 3},
  [9386] = {.lex_state = 130, .external_lex_state = 3},
  [9387] = {.lex_state = 16, .external_lex_state = 2},
  [9388] = {.lex_state = 16, .external_lex_state = 2},
  [9389] = {.lex_state = 16, .external_lex_state = 2},
  [9390] = {.lex_state = 130, .external_lex_state = 3},
  [9391] = {.lex_state = 130, .external_lex_state = 3},
  [9392] = {.lex_state = 130, .external_lex_state = 3},
  [9393] = {.lex_state = 16, .external_lex_state = 2},
  [9394] = {.lex_state = 7, .external_lex_state = 3},
  [9395] = {.lex_state = 130, .external_lex_state = 3},
  [9396] = {.lex_state = 7, .external_lex_state = 3},
  [9397] = {.lex_state = 130, .external_lex_state = 3},
  [9398] = {.lex_state = 130, .external_lex_state = 3},
  [9399] = {.lex_state = 7, .external_lex_state = 3},
  [9400] = {.lex_state = 130, .external_lex_state = 3},
  [9401] = {.lex_state = 7, .external_lex_state = 3},
  [9402] = {.lex_state = 414, .external_lex_state = 3},
  [9403] = {.lex_state = 414, .external_lex_state = 3},
  [9404] = {.lex_state = 412, .external_lex_state = 3},
  [9405] = {.lex_state = 412, .external_lex_state = 3},
  [9406] = {.lex_state = 412, .external_lex_state = 3},
  [9407] = {.lex_state = 412, .external_lex_state = 3},
  [9408] = {.lex_state = 412, .external_lex_state = 3},
  [9409] = {.lex_state = 412, .external_lex_state = 3},
  [9410] = {.lex_state = 412, .external_lex_state = 3},
  [9411] = {.lex_state = 414, .external_lex_state = 3},
  [9412] = {.lex_state = 412, .external_lex_state = 3},
  [9413] = {.lex_state = 412, .external_lex_state = 3},
  [9414] = {.lex_state = 412, .external_lex_state = 3},
  [9415] = {.lex_state = 412, .external_lex_state = 3},
  [9416] = {.lex_state = 412, .external_lex_state = 3},
  [9417] = {.lex_state = 412, .external_lex_state = 3},
  [9418] = {.lex_state = 414, .external_lex_state = 3},
  [9419] = {.lex_state = 414, .external_lex_state = 3},
  [9420] = {.lex_state = 412, .external_lex_state = 3},
  [9421] = {.lex_state = 412, .external_lex_state = 3},
  [9422] = {.lex_state = 412, .external_lex_state = 3},
  [9423] = {.lex_state = 412, .external_lex_state = 3},
  [9424] = {.lex_state = 170, .external_lex_state = 3},
  [9425] = {.lex_state = 412, .external_lex_state = 3},
  [9426] = {.lex_state = 412, .external_lex_state = 3},
  [9427] = {.lex_state = 412, .external_lex_state = 3},
  [9428] = {.lex_state = 412, .external_lex_state = 3},
  [9429] = {.lex_state = 414, .external_lex_state = 3},
  [9430] = {.lex_state = 412, .external_lex_state = 3},
  [9431] = {.lex_state = 414, .external_lex_state = 3},
  [9432] = {.lex_state = 24, .external_lex_state = 2},
  [9433] = {.lex_state = 170, .external_lex_state = 3},
  [9434] = {.lex_state = 412, .external_lex_state = 3},
  [9435] = {.lex_state = 170, .external_lex_state = 3},
  [9436] = {.lex_state = 414, .external_lex_state = 3},
  [9437] = {.lex_state = 414, .external_lex_state = 3},
  [9438] = {.lex_state = 414, .external_lex_state = 3},
  [9439] = {.lex_state = 414, .external_lex_state = 3},
  [9440] = {.lex_state = 412, .external_lex_state = 3},
  [9441] = {.lex_state = 24, .external_lex_state = 2},
  [9442] = {.lex_state = 412, .external_lex_state = 3},
  [9443] = {.lex_state = 412, .external_lex_state = 3},
  [9444] = {.lex_state = 412, .external_lex_state = 3},
  [9445] = {.lex_state = 412, .external_lex_state = 3},
  [9446] = {.lex_state = 414, .external_lex_state = 3},
  [9447] = {.lex_state = 414, .external_lex_state = 3},
  [9448] = {.lex_state = 414, .external_lex_state = 3},
  [9449] = {.lex_state = 412, .external_lex_state = 3},
  [9450] = {.lex_state = 412, .external_lex_state = 3},
  [9451] = {.lex_state = 412, .external_lex_state = 3},
  [9452] = {.lex_state = 414, .external_lex_state = 3},
  [9453] = {.lex_state = 414, .external_lex_state = 3},
  [9454] = {.lex_state = 414, .external_lex_state = 3},
  [9455] = {.lex_state = 414, .external_lex_state = 3},
  [9456] = {.lex_state = 414, .external_lex_state = 3},
  [9457] = {.lex_state = 414, .external_lex_state = 3},
  [9458] = {.lex_state = 414, .external_lex_state = 3},
  [9459] = {.lex_state = 414, .external_lex_state = 3},
  [9460] = {.lex_state = 412, .external_lex_state = 3},
  [9461] = {.lex_state = 414, .external_lex_state = 3},
  [9462] = {.lex_state = 414, .external_lex_state = 3},
  [9463] = {.lex_state = 412, .external_lex_state = 3},
  [9464] = {.lex_state = 414, .external_lex_state = 3},
  [9465] = {.lex_state = 414, .external_lex_state = 3},
  [9466] = {.lex_state = 414, .external_lex_state = 3},
  [9467] = {.lex_state = 414, .external_lex_state = 3},
  [9468] = {.lex_state = 414, .external_lex_state = 3},
  [9469] = {.lex_state = 414, .external_lex_state = 3},
  [9470] = {.lex_state = 412, .external_lex_state = 3},
  [9471] = {.lex_state = 412, .external_lex_state = 3},
  [9472] = {.lex_state = 412, .external_lex_state = 3},
  [9473] = {.lex_state = 414, .external_lex_state = 3},
  [9474] = {.lex_state = 412, .external_lex_state = 3},
  [9475] = {.lex_state = 412, .external_lex_state = 3},
  [9476] = {.lex_state = 412, .external_lex_state = 3},
  [9477] = {.lex_state = 412, .external_lex_state = 3},
  [9478] = {.lex_state = 414, .external_lex_state = 3},
  [9479] = {.lex_state = 412, .external_lex_state = 3},
  [9480] = {.lex_state = 412, .external_lex_state = 3},
  [9481] = {.lex_state = 414, .external_lex_state = 3},
  [9482] = {.lex_state = 412, .external_lex_state = 3},
  [9483] = {.lex_state = 414, .external_lex_state = 3},
  [9484] = {.lex_state = 412, .external_lex_state = 3},
  [9485] = {.lex_state = 414, .external_lex_state = 3},
  [9486] = {.lex_state = 414, .external_lex_state = 3},
  [9487] = {.lex_state = 412, .external_lex_state = 3},
  [9488] = {.lex_state = 412, .external_lex_state = 3},
  [9489] = {.lex_state = 412, .external_lex_state = 3},
  [9490] = {.lex_state = 412, .external_lex_state = 3},
  [9491] = {.lex_state = 412, .external_lex_state = 3},
  [9492] = {.lex_state = 170, .external_lex_state = 3},
  [9493] = {.lex_state = 414, .external_lex_state = 3},
  [9494] = {.lex_state = 414, .external_lex_state = 3},
  [9495] = {.lex_state = 414, .external_lex_state = 3},
  [9496] = {.lex_state = 414, .external_lex_state = 3},
  [9497] = {.lex_state = 19, .external_lex_state = 2},
  [9498] = {.lex_state = 412, .external_lex_state = 3},
  [9499] = {.lex_state = 414, .external_lex_state = 3},
  [9500] = {.lex_state = 414, .external_lex_state = 3},
  [9501] = {.lex_state = 412, .external_lex_state = 3},
  [9502] = {.lex_state = 414, .external_lex_state = 3},
  [9503] = {.lex_state = 414, .external_lex_state = 3},
  [9504] = {.lex_state = 414, .external_lex_state = 3},
  [9505] = {.lex_state = 414, .external_lex_state = 3},
  [9506] = {.lex_state = 414, .external_lex_state = 3},
  [9507] = {.lex_state = 412, .external_lex_state = 3},
  [9508] = {.lex_state = 412, .external_lex_state = 3},
  [9509] = {.lex_state = 414, .external_lex_state = 3},
  [9510] = {.lex_state = 412, .external_lex_state = 3},
  [9511] = {.lex_state = 412, .external_lex_state = 3},
  [9512] = {.lex_state = 412, .external_lex_state = 3},
  [9513] = {.lex_state = 414, .external_lex_state = 3},
  [9514] = {.lex_state = 414, .external_lex_state = 3},
  [9515] = {.lex_state = 412, .external_lex_state = 3},
  [9516] = {.lex_state = 414, .external_lex_state = 3},
  [9517] = {.lex_state = 412, .external_lex_state = 3},
  [9518] = {.lex_state = 24, .external_lex_state = 2},
  [9519] = {.lex_state = 414, .external_lex_state = 3},
  [9520] = {.lex_state = 412, .external_lex_state = 3},
  [9521] = {.lex_state = 414, .external_lex_state = 3},
  [9522] = {.lex_state = 414, .external_lex_state = 3},
  [9523] = {.lex_state = 414, .external_lex_state = 3},
  [9524] = {.lex_state = 412, .external_lex_state = 3},
  [9525] = {.lex_state = 412, .external_lex_state = 3},
  [9526] = {.lex_state = 412, .external_lex_state = 3},
  [9527] = {.lex_state = 412, .external_lex_state = 3},
  [9528] = {.lex_state = 412, .external_lex_state = 3},
  [9529] = {.lex_state = 412, .external_lex_state = 3},
  [9530] = {.lex_state = 412, .external_lex_state = 3},
  [9531] = {.lex_state = 412, .external_lex_state = 3},
  [9532] = {.lex_state = 414, .external_lex_state = 3},
  [9533] = {.lex_state = 412, .external_lex_state = 3},
  [9534] = {.lex_state = 414, .external_lex_state = 3},
  [9535] = {.lex_state = 412, .external_lex_state = 3},
  [9536] = {.lex_state = 412, .external_lex_state = 3},
  [9537] = {.lex_state = 412, .external_lex_state = 3},
  [9538] = {.lex_state = 412, .external_lex_state = 3},
  [9539] = {.lex_state = 412, .external_lex_state = 3},
  [9540] = {.lex_state = 412, .external_lex_state = 3},
  [9541] = {.lex_state = 412, .external_lex_state = 3},
  [9542] = {.lex_state = 412, .external_lex_state = 3},
  [9543] = {.lex_state = 412, .external_lex_state = 3},
  [9544] = {.lex_state = 412, .external_lex_state = 3},
  [9545] = {.lex_state = 412, .external_lex_state = 3},
  [9546] = {.lex_state = 19, .external_lex_state = 2},
  [9547] = {.lex_state = 425, .external_lex_state = 3},
  [9548] = {.lex_state = 412, .external_lex_state = 3},
  [9549] = {.lex_state = 19, .external_lex_state = 2},
  [9550] = {.lex_state = 412, .external_lex_state = 3},
  [9551] = {.lex_state = 133, .external_lex_state = 2},
  [9552] = {.lex_state = 412, .external_lex_state = 3},
  [9553] = {.lex_state = 412, .external_lex_state = 3},
  [9554] = {.lex_state = 19, .external_lex_state = 2},
  [9555] = {.lex_state = 414, .external_lex_state = 3},
  [9556] = {.lex_state = 412, .external_lex_state = 3},
  [9557] = {.lex_state = 412, .external_lex_state = 3},
  [9558] = {.lex_state = 412, .external_lex_state = 3},
  [9559] = {.lex_state = 412, .external_lex_state = 3},
  [9560] = {.lex_state = 412, .external_lex_state = 3},
  [9561] = {.lex_state = 412, .external_lex_state = 3},
  [9562] = {.lex_state = 412, .external_lex_state = 3},
  [9563] = {.lex_state = 412, .external_lex_state = 3},
  [9564] = {.lex_state = 412, .external_lex_state = 3},
  [9565] = {.lex_state = 412, .external_lex_state = 3},
  [9566] = {.lex_state = 412, .external_lex_state = 3},
  [9567] = {.lex_state = 412, .external_lex_state = 3},
  [9568] = {.lex_state = 425, .external_lex_state = 3},
  [9569] = {.lex_state = 412, .external_lex_state = 3},
  [9570] = {.lex_state = 412, .external_lex_state = 3},
  [9571] = {.lex_state = 412, .external_lex_state = 3},
  [9572] = {.lex_state = 19, .external_lex_state = 2},
  [9573] = {.lex_state = 412, .external_lex_state = 3},
  [9574] = {.lex_state = 19, .external_lex_state = 2},
  [9575] = {.lex_state = 412, .external_lex_state = 3},
  [9576] = {.lex_state = 412, .external_lex_state = 3},
  [9577] = {.lex_state = 412, .external_lex_state = 3},
  [9578] = {.lex_state = 412, .external_lex_state = 3},
  [9579] = {.lex_state = 412, .external_lex_state = 3},
  [9580] = {.lex_state = 412, .external_lex_state = 3},
  [9581] = {.lex_state = 412, .external_lex_state = 3},
  [9582] = {.lex_state = 137, .external_lex_state = 2},
  [9583] = {.lex_state = 412, .external_lex_state = 3},
  [9584] = {.lex_state = 412, .external_lex_state = 3},
  [9585] = {.lex_state = 414, .external_lex_state = 3},
  [9586] = {.lex_state = 412, .external_lex_state = 3},
  [9587] = {.lex_state = 412, .external_lex_state = 3},
  [9588] = {.lex_state = 412, .external_lex_state = 3},
  [9589] = {.lex_state = 412, .external_lex_state = 3},
  [9590] = {.lex_state = 412, .external_lex_state = 3},
  [9591] = {.lex_state = 412, .external_lex_state = 3},
  [9592] = {.lex_state = 412, .external_lex_state = 3},
  [9593] = {.lex_state = 412, .external_lex_state = 3},
  [9594] = {.lex_state = 412, .external_lex_state = 3},
  [9595] = {.lex_state = 412, .external_lex_state = 3},
  [9596] = {.lex_state = 133, .external_lex_state = 2},
  [9597] = {.lex_state = 412, .external_lex_state = 3},
  [9598] = {.lex_state = 412, .external_lex_state = 3},
  [9599] = {.lex_state = 19, .external_lex_state = 2},
  [9600] = {.lex_state = 412, .external_lex_state = 3},
  [9601] = {.lex_state = 412, .external_lex_state = 3},
  [9602] = {.lex_state = 412, .external_lex_state = 3},
  [9603] = {.lex_state = 412, .external_lex_state = 3},
  [9604] = {.lex_state = 412, .external_lex_state = 3},
  [9605] = {.lex_state = 412, .external_lex_state = 3},
  [9606] = {.lex_state = 137, .external_lex_state = 2},
  [9607] = {.lex_state = 412, .external_lex_state = 3},
  [9608] = {.lex_state = 412, .external_lex_state = 3},
  [9609] = {.lex_state = 412, .external_lex_state = 3},
  [9610] = {.lex_state = 412, .external_lex_state = 3},
  [9611] = {.lex_state = 412, .external_lex_state = 3},
  [9612] = {.lex_state = 412, .external_lex_state = 3},
  [9613] = {.lex_state = 414, .external_lex_state = 3},
  [9614] = {.lex_state = 412, .external_lex_state = 3},
  [9615] = {.lex_state = 412, .external_lex_state = 3},
  [9616] = {.lex_state = 412, .external_lex_state = 3},
  [9617] = {.lex_state = 412, .external_lex_state = 3},
  [9618] = {.lex_state = 412, .external_lex_state = 3},
  [9619] = {.lex_state = 412, .external_lex_state = 3},
  [9620] = {.lex_state = 412, .external_lex_state = 3},
  [9621] = {.lex_state = 412, .external_lex_state = 3},
  [9622] = {.lex_state = 19, .external_lex_state = 2},
  [9623] = {.lex_state = 412, .external_lex_state = 3},
  [9624] = {.lex_state = 412, .external_lex_state = 3},
  [9625] = {.lex_state = 412, .external_lex_state = 3},
  [9626] = {.lex_state = 412, .external_lex_state = 3},
  [9627] = {.lex_state = 136, .external_lex_state = 2},
  [9628] = {.lex_state = 137, .external_lex_state = 2},
  [9629] = {.lex_state = 412, .external_lex_state = 3},
  [9630] = {.lex_state = 170, .external_lex_state = 3},
  [9631] = {.lex_state = 412, .external_lex_state = 3},
  [9632] = {.lex_state = 170, .external_lex_state = 3},
  [9633] = {.lex_state = 7, .external_lex_state = 3},
  [9634] = {.lex_state = 412, .external_lex_state = 3},
  [9635] = {.lex_state = 412, .external_lex_state = 3},
  [9636] = {.lex_state = 170, .external_lex_state = 3},
  [9637] = {.lex_state = 412, .external_lex_state = 3},
  [9638] = {.lex_state = 412, .external_lex_state = 3},
  [9639] = {.lex_state = 412, .external_lex_state = 3},
  [9640] = {.lex_state = 412, .external_lex_state = 3},
  [9641] = {.lex_state = 412, .external_lex_state = 3},
  [9642] = {.lex_state = 412, .external_lex_state = 3},
  [9643] = {.lex_state = 412, .external_lex_state = 3},
  [9644] = {.lex_state = 412, .external_lex_state = 3},
  [9645] = {.lex_state = 412, .external_lex_state = 3},
  [9646] = {.lex_state = 7, .external_lex_state = 3},
  [9647] = {.lex_state = 170, .external_lex_state = 3},
  [9648] = {.lex_state = 412, .external_lex_state = 3},
  [9649] = {.lex_state = 170, .external_lex_state = 3},
  [9650] = {.lex_state = 412, .external_lex_state = 3},
  [9651] = {.lex_state = 170, .external_lex_state = 3},
  [9652] = {.lex_state = 170, .external_lex_state = 3},
  [9653] = {.lex_state = 412, .external_lex_state = 3},
  [9654] = {.lex_state = 170, .external_lex_state = 3},
  [9655] = {.lex_state = 412, .external_lex_state = 3},
  [9656] = {.lex_state = 412, .external_lex_state = 3},
  [9657] = {.lex_state = 170, .external_lex_state = 3},
  [9658] = {.lex_state = 412, .external_lex_state = 3},
  [9659] = {.lex_state = 170, .external_lex_state = 3},
  [9660] = {.lex_state = 7, .external_lex_state = 3},
  [9661] = {.lex_state = 412, .external_lex_state = 3},
  [9662] = {.lex_state = 412, .external_lex_state = 3},
  [9663] = {.lex_state = 412, .external_lex_state = 3},
  [9664] = {.lex_state = 412, .external_lex_state = 3},
  [9665] = {.lex_state = 412, .external_lex_state = 3},
  [9666] = {.lex_state = 170, .external_lex_state = 3},
  [9667] = {.lex_state = 412, .external_lex_state = 3},
  [9668] = {.lex_state = 7, .external_lex_state = 3},
  [9669] = {.lex_state = 170, .external_lex_state = 3},
  [9670] = {.lex_state = 170, .external_lex_state = 3},
  [9671] = {.lex_state = 412, .external_lex_state = 3},
  [9672] = {.lex_state = 412, .external_lex_state = 3},
  [9673] = {.lex_state = 170, .external_lex_state = 3},
  [9674] = {.lex_state = 170, .external_lex_state = 3},
  [9675] = {.lex_state = 170, .external_lex_state = 3},
  [9676] = {.lex_state = 7, .external_lex_state = 3},
  [9677] = {.lex_state = 412, .external_lex_state = 3},
  [9678] = {.lex_state = 170, .external_lex_state = 3},
  [9679] = {.lex_state = 412, .external_lex_state = 3},
  [9680] = {.lex_state = 412, .external_lex_state = 3},
  [9681] = {.lex_state = 170, .external_lex_state = 3},
  [9682] = {.lex_state = 170, .external_lex_state = 3},
  [9683] = {.lex_state = 412, .external_lex_state = 3},
  [9684] = {.lex_state = 133, .external_lex_state = 2},
  [9685] = {.lex_state = 412, .external_lex_state = 3},
  [9686] = {.lex_state = 7, .external_lex_state = 3},
  [9687] = {.lex_state = 170, .external_lex_state = 3},
  [9688] = {.lex_state = 412, .external_lex_state = 3},
  [9689] = {.lex_state = 412, .external_lex_state = 3},
  [9690] = {.lex_state = 133, .external_lex_state = 2},
  [9691] = {.lex_state = 133, .external_lex_state = 2},
  [9692] = {.lex_state = 412, .external_lex_state = 3},
  [9693] = {.lex_state = 412, .external_lex_state = 3},
  [9694] = {.lex_state = 170, .external_lex_state = 3},
  [9695] = {.lex_state = 170, .external_lex_state = 3},
  [9696] = {.lex_state = 412, .external_lex_state = 3},
  [9697] = {.lex_state = 412, .external_lex_state = 3},
  [9698] = {.lex_state = 412, .external_lex_state = 3},
  [9699] = {.lex_state = 158, .external_lex_state = 2},
  [9700] = {.lex_state = 412, .external_lex_state = 3},
  [9701] = {.lex_state = 7, .external_lex_state = 3},
  [9702] = {.lex_state = 7, .external_lex_state = 3},
  [9703] = {.lex_state = 145, .external_lex_state = 2},
  [9704] = {.lex_state = 412, .external_lex_state = 3},
  [9705] = {.lex_state = 412, .external_lex_state = 3},
  [9706] = {.lex_state = 137, .external_lex_state = 2},
  [9707] = {.lex_state = 170, .external_lex_state = 3},
  [9708] = {.lex_state = 170, .external_lex_state = 3},
  [9709] = {.lex_state = 136, .external_lex_state = 2},
  [9710] = {.lex_state = 170, .external_lex_state = 3},
  [9711] = {.lex_state = 412, .external_lex_state = 3},
  [9712] = {.lex_state = 170, .external_lex_state = 3},
  [9713] = {.lex_state = 412, .external_lex_state = 3},
  [9714] = {.lex_state = 412, .external_lex_state = 3},
  [9715] = {.lex_state = 170, .external_lex_state = 3},
  [9716] = {.lex_state = 170, .external_lex_state = 3},
  [9717] = {.lex_state = 412, .external_lex_state = 3},
  [9718] = {.lex_state = 412, .external_lex_state = 3},
  [9719] = {.lex_state = 412, .external_lex_state = 3},
  [9720] = {.lex_state = 7, .external_lex_state = 3},
  [9721] = {.lex_state = 170, .external_lex_state = 3},
  [9722] = {.lex_state = 412, .external_lex_state = 3},
  [9723] = {.lex_state = 170, .external_lex_state = 3},
  [9724] = {.lex_state = 412, .external_lex_state = 3},
  [9725] = {.lex_state = 412, .external_lex_state = 3},
  [9726] = {.lex_state = 412, .external_lex_state = 3},
  [9727] = {.lex_state = 412, .external_lex_state = 3},
  [9728] = {.lex_state = 412, .external_lex_state = 3},
  [9729] = {.lex_state = 412, .external_lex_state = 3},
  [9730] = {.lex_state = 170, .external_lex_state = 3},
  [9731] = {.lex_state = 412, .external_lex_state = 3},
  [9732] = {.lex_state = 412, .external_lex_state = 3},
  [9733] = {.lex_state = 412, .external_lex_state = 3},
  [9734] = {.lex_state = 412, .external_lex_state = 3},
  [9735] = {.lex_state = 7, .external_lex_state = 3},
  [9736] = {.lex_state = 170, .external_lex_state = 3},
  [9737] = {.lex_state = 170, .external_lex_state = 3},
  [9738] = {.lex_state = 170, .external_lex_state = 3},
  [9739] = {.lex_state = 412, .external_lex_state = 3},
  [9740] = {.lex_state = 170, .external_lex_state = 3},
  [9741] = {.lex_state = 412, .external_lex_state = 3},
  [9742] = {.lex_state = 170, .external_lex_state = 3},
  [9743] = {.lex_state = 170, .external_lex_state = 3},
  [9744] = {.lex_state = 170, .external_lex_state = 3},
  [9745] = {.lex_state = 137, .external_lex_state = 2},
  [9746] = {.lex_state = 170, .external_lex_state = 3},
  [9747] = {.lex_state = 412, .external_lex_state = 3},
  [9748] = {.lex_state = 412, .external_lex_state = 3},
  [9749] = {.lex_state = 170, .external_lex_state = 3},
  [9750] = {.lex_state = 412, .external_lex_state = 3},
  [9751] = {.lex_state = 412, .external_lex_state = 3},
  [9752] = {.lex_state = 412, .external_lex_state = 3},
  [9753] = {.lex_state = 170, .external_lex_state = 3},
  [9754] = {.lex_state = 145, .external_lex_state = 2},
  [9755] = {.lex_state = 412, .external_lex_state = 3},
  [9756] = {.lex_state = 412, .external_lex_state = 3},
  [9757] = {.lex_state = 170, .external_lex_state = 3},
  [9758] = {.lex_state = 412, .external_lex_state = 3},
  [9759] = {.lex_state = 412, .external_lex_state = 3},
  [9760] = {.lex_state = 412, .external_lex_state = 3},
  [9761] = {.lex_state = 133, .external_lex_state = 2},
  [9762] = {.lex_state = 137, .external_lex_state = 2},
  [9763] = {.lex_state = 412, .external_lex_state = 3},
  [9764] = {.lex_state = 412, .external_lex_state = 3},
  [9765] = {.lex_state = 170, .external_lex_state = 3},
  [9766] = {.lex_state = 412, .external_lex_state = 3},
  [9767] = {.lex_state = 170, .external_lex_state = 3},
  [9768] = {.lex_state = 7, .external_lex_state = 3},
  [9769] = {.lex_state = 412, .external_lex_state = 3},
  [9770] = {.lex_state = 7, .external_lex_state = 3},
  [9771] = {.lex_state = 7, .external_lex_state = 3},
  [9772] = {.lex_state = 7, .external_lex_state = 3},
  [9773] = {.lex_state = 7, .external_lex_state = 3},
  [9774] = {.lex_state = 412, .external_lex_state = 3},
  [9775] = {.lex_state = 7, .external_lex_state = 3},
  [9776] = {.lex_state = 7, .external_lex_state = 3},
  [9777] = {.lex_state = 7, .external_lex_state = 3},
  [9778] = {.lex_state = 7, .external_lex_state = 3},
  [9779] = {.lex_state = 7, .external_lex_state = 3},
  [9780] = {.lex_state = 7, .external_lex_state = 3},
  [9781] = {.lex_state = 136, .external_lex_state = 2},
  [9782] = {.lex_state = 412, .external_lex_state = 3},
  [9783] = {.lex_state = 136, .external_lex_state = 2},
  [9784] = {.lex_state = 426, .external_lex_state = 3},
  [9785] = {.lex_state = 136, .external_lex_state = 2},
  [9786] = {.lex_state = 136, .external_lex_state = 2},
  [9787] = {.lex_state = 7, .external_lex_state = 3},
  [9788] = {.lex_state = 136, .external_lex_state = 2},
  [9789] = {.lex_state = 7, .external_lex_state = 3},
  [9790] = {.lex_state = 136, .external_lex_state = 2},
  [9791] = {.lex_state = 136, .external_lex_state = 2},
  [9792] = {.lex_state = 7, .external_lex_state = 3},
  [9793] = {.lex_state = 7, .external_lex_state = 3},
  [9794] = {.lex_state = 7, .external_lex_state = 3},
  [9795] = {.lex_state = 7, .external_lex_state = 3},
  [9796] = {.lex_state = 7, .external_lex_state = 3},
  [9797] = {.lex_state = 7, .external_lex_state = 3},
  [9798] = {.lex_state = 7, .external_lex_state = 3},
  [9799] = {.lex_state = 7, .external_lex_state = 3},
  [9800] = {.lex_state = 136, .external_lex_state = 2},
  [9801] = {.lex_state = 7, .external_lex_state = 3},
  [9802] = {.lex_state = 7, .external_lex_state = 3},
  [9803] = {.lex_state = 7, .external_lex_state = 3},
  [9804] = {.lex_state = 7, .external_lex_state = 3},
  [9805] = {.lex_state = 7, .external_lex_state = 3},
  [9806] = {.lex_state = 7, .external_lex_state = 3},
  [9807] = {.lex_state = 7, .external_lex_state = 3},
  [9808] = {.lex_state = 7, .external_lex_state = 3},
  [9809] = {.lex_state = 7, .external_lex_state = 3},
  [9810] = {.lex_state = 7, .external_lex_state = 3},
  [9811] = {.lex_state = 7, .external_lex_state = 3},
  [9812] = {.lex_state = 7, .external_lex_state = 3},
  [9813] = {.lex_state = 7, .external_lex_state = 3},
  [9814] = {.lex_state = 7, .external_lex_state = 3},
  [9815] = {.lex_state = 7, .external_lex_state = 3},
  [9816] = {.lex_state = 7, .external_lex_state = 3},
  [9817] = {.lex_state = 7, .external_lex_state = 3},
  [9818] = {.lex_state = 7, .external_lex_state = 3},
  [9819] = {.lex_state = 136, .external_lex_state = 2},
  [9820] = {.lex_state = 7, .external_lex_state = 3},
  [9821] = {.lex_state = 149, .external_lex_state = 2},
  [9822] = {.lex_state = 7, .external_lex_state = 3},
  [9823] = {.lex_state = 7, .external_lex_state = 3},
  [9824] = {.lex_state = 136, .external_lex_state = 2},
  [9825] = {.lex_state = 7, .external_lex_state = 3},
  [9826] = {.lex_state = 7, .external_lex_state = 3},
  [9827] = {.lex_state = 7, .external_lex_state = 3},
  [9828] = {.lex_state = 7, .external_lex_state = 3},
  [9829] = {.lex_state = 7, .external_lex_state = 3},
  [9830] = {.lex_state = 7, .external_lex_state = 3},
  [9831] = {.lex_state = 7, .external_lex_state = 3},
  [9832] = {.lex_state = 7, .external_lex_state = 3},
  [9833] = {.lex_state = 7, .external_lex_state = 3},
  [9834] = {.lex_state = 7, .external_lex_state = 3},
  [9835] = {.lex_state = 7, .external_lex_state = 3},
  [9836] = {.lex_state = 7, .external_lex_state = 3},
  [9837] = {.lex_state = 7, .external_lex_state = 3},
  [9838] = {.lex_state = 136, .external_lex_state = 2},
  [9839] = {.lex_state = 7, .external_lex_state = 3},
  [9840] = {.lex_state = 425, .external_lex_state = 3},
  [9841] = {.lex_state = 149, .external_lex_state = 2},
  [9842] = {.lex_state = 136, .external_lex_state = 2},
  [9843] = {.lex_state = 7, .external_lex_state = 3},
  [9844] = {.lex_state = 136, .external_lex_state = 2},
  [9845] = {.lex_state = 7, .external_lex_state = 3},
  [9846] = {.lex_state = 7, .external_lex_state = 3},
  [9847] = {.lex_state = 149, .external_lex_state = 2},
  [9848] = {.lex_state = 412, .external_lex_state = 3},
  [9849] = {.lex_state = 7, .external_lex_state = 3},
  [9850] = {.lex_state = 7, .external_lex_state = 3},
  [9851] = {.lex_state = 7, .external_lex_state = 3},
  [9852] = {.lex_state = 7, .external_lex_state = 3},
  [9853] = {.lex_state = 136, .external_lex_state = 2},
  [9854] = {.lex_state = 7, .external_lex_state = 3},
  [9855] = {.lex_state = 7, .external_lex_state = 3},
  [9856] = {.lex_state = 412, .external_lex_state = 3},
  [9857] = {.lex_state = 7, .external_lex_state = 3},
  [9858] = {.lex_state = 7, .external_lex_state = 3},
  [9859] = {.lex_state = 7, .external_lex_state = 3},
  [9860] = {.lex_state = 136, .external_lex_state = 2},
  [9861] = {.lex_state = 7, .external_lex_state = 3},
  [9862] = {.lex_state = 7, .external_lex_state = 3},
  [9863] = {.lex_state = 7, .external_lex_state = 3},
  [9864] = {.lex_state = 7, .external_lex_state = 3},
  [9865] = {.lex_state = 136, .external_lex_state = 2},
  [9866] = {.lex_state = 7, .external_lex_state = 3},
  [9867] = {.lex_state = 7, .external_lex_state = 3},
  [9868] = {.lex_state = 7, .external_lex_state = 3},
  [9869] = {.lex_state = 7, .external_lex_state = 3},
  [9870] = {.lex_state = 7, .external_lex_state = 3},
  [9871] = {.lex_state = 7, .external_lex_state = 3},
  [9872] = {.lex_state = 7, .external_lex_state = 3},
  [9873] = {.lex_state = 7, .external_lex_state = 3},
  [9874] = {.lex_state = 136, .external_lex_state = 2},
  [9875] = {.lex_state = 7, .external_lex_state = 3},
  [9876] = {.lex_state = 7, .external_lex_state = 3},
  [9877] = {.lex_state = 7, .external_lex_state = 3},
  [9878] = {.lex_state = 7, .external_lex_state = 3},
  [9879] = {.lex_state = 7, .external_lex_state = 3},
  [9880] = {.lex_state = 136, .external_lex_state = 2},
  [9881] = {.lex_state = 7, .external_lex_state = 3},
  [9882] = {.lex_state = 7, .external_lex_state = 3},
  [9883] = {.lex_state = 136, .external_lex_state = 2},
  [9884] = {.lex_state = 136, .external_lex_state = 2},
  [9885] = {.lex_state = 132, .external_lex_state = 3},
  [9886] = {.lex_state = 136, .external_lex_state = 2},
  [9887] = {.lex_state = 7, .external_lex_state = 3},
  [9888] = {.lex_state = 7, .external_lex_state = 3},
  [9889] = {.lex_state = 136, .external_lex_state = 2},
  [9890] = {.lex_state = 7, .external_lex_state = 3},
  [9891] = {.lex_state = 7, .external_lex_state = 3},
  [9892] = {.lex_state = 7, .external_lex_state = 3},
  [9893] = {.lex_state = 427, .external_lex_state = 3},
  [9894] = {.lex_state = 7, .external_lex_state = 3},
  [9895] = {.lex_state = 7, .external_lex_state = 3},
  [9896] = {.lex_state = 7, .external_lex_state = 3},
  [9897] = {.lex_state = 136, .external_lex_state = 2},
  [9898] = {.lex_state = 7, .external_lex_state = 3},
  [9899] = {.lex_state = 136, .external_lex_state = 2},
  [9900] = {.lex_state = 136, .external_lex_state = 2},
  [9901] = {.lex_state = 7, .external_lex_state = 3},
  [9902] = {.lex_state = 7, .external_lex_state = 3},
  [9903] = {.lex_state = 427, .external_lex_state = 3},
  [9904] = {.lex_state = 136, .external_lex_state = 2},
  [9905] = {.lex_state = 7, .external_lex_state = 3},
  [9906] = {.lex_state = 412, .external_lex_state = 3},
  [9907] = {.lex_state = 7, .external_lex_state = 3},
  [9908] = {.lex_state = 7, .external_lex_state = 3},
  [9909] = {.lex_state = 7, .external_lex_state = 3},
  [9910] = {.lex_state = 136, .external_lex_state = 2},
  [9911] = {.lex_state = 7, .external_lex_state = 3},
  [9912] = {.lex_state = 7, .external_lex_state = 3},
  [9913] = {.lex_state = 7, .external_lex_state = 3},
  [9914] = {.lex_state = 7, .external_lex_state = 3},
  [9915] = {.lex_state = 7, .external_lex_state = 3},
  [9916] = {.lex_state = 425, .external_lex_state = 3},
  [9917] = {.lex_state = 412, .external_lex_state = 3},
  [9918] = {.lex_state = 136, .external_lex_state = 2},
  [9919] = {.lex_state = 7, .external_lex_state = 3},
  [9920] = {.lex_state = 7, .external_lex_state = 3},
  [9921] = {.lex_state = 412, .external_lex_state = 3},
  [9922] = {.lex_state = 412, .external_lex_state = 3},
  [9923] = {.lex_state = 7, .external_lex_state = 3},
  [9924] = {.lex_state = 7, .external_lex_state = 3},
  [9925] = {.lex_state = 412, .external_lex_state = 3},
  [9926] = {.lex_state = 7, .external_lex_state = 3},
  [9927] = {.lex_state = 7, .external_lex_state = 3},
  [9928] = {.lex_state = 412, .external_lex_state = 3},
  [9929] = {.lex_state = 7, .external_lex_state = 3},
  [9930] = {.lex_state = 412, .external_lex_state = 3},
  [9931] = {.lex_state = 7, .external_lex_state = 3},
  [9932] = {.lex_state = 412, .external_lex_state = 3},
  [9933] = {.lex_state = 7, .external_lex_state = 3},
  [9934] = {.lex_state = 7, .external_lex_state = 3},
  [9935] = {.lex_state = 412, .external_lex_state = 3},
  [9936] = {.lex_state = 412, .external_lex_state = 3},
  [9937] = {.lex_state = 7, .external_lex_state = 3},
  [9938] = {.lex_state = 136, .external_lex_state = 2},
  [9939] = {.lex_state = 7, .external_lex_state = 3},
  [9940] = {.lex_state = 7, .external_lex_state = 3},
  [9941] = {.lex_state = 7, .external_lex_state = 3},
  [9942] = {.lex_state = 7, .external_lex_state = 3},
  [9943] = {.lex_state = 7, .external_lex_state = 3},
  [9944] = {.lex_state = 7, .external_lex_state = 3},
  [9945] = {.lex_state = 7, .external_lex_state = 3},
  [9946] = {.lex_state = 412, .external_lex_state = 3},
  [9947] = {.lex_state = 7, .external_lex_state = 3},
  [9948] = {.lex_state = 412, .external_lex_state = 3},
  [9949] = {.lex_state = 412, .external_lex_state = 3},
  [9950] = {.lex_state = 7, .external_lex_state = 3},
  [9951] = {.lex_state = 7, .external_lex_state = 3},
  [9952] = {.lex_state = 7, .external_lex_state = 3},
  [9953] = {.lex_state = 412, .external_lex_state = 3},
  [9954] = {.lex_state = 7, .external_lex_state = 3},
  [9955] = {.lex_state = 412, .external_lex_state = 3},
  [9956] = {.lex_state = 7, .external_lex_state = 3},
  [9957] = {.lex_state = 136, .external_lex_state = 2},
  [9958] = {.lex_state = 136, .external_lex_state = 2},
  [9959] = {.lex_state = 412, .external_lex_state = 3},
  [9960] = {.lex_state = 136, .external_lex_state = 2},
  [9961] = {.lex_state = 136, .external_lex_state = 2},
  [9962] = {.lex_state = 412, .external_lex_state = 3},
  [9963] = {.lex_state = 136, .external_lex_state = 2},
  [9964] = {.lex_state = 412, .external_lex_state = 3},
  [9965] = {.lex_state = 7, .external_lex_state = 3},
  [9966] = {.lex_state = 145, .external_lex_state = 2},
  [9967] = {.lex_state = 7, .external_lex_state = 3},
  [9968] = {.lex_state = 7, .external_lex_state = 3},
  [9969] = {.lex_state = 412, .external_lex_state = 3},
  [9970] = {.lex_state = 7, .external_lex_state = 3},
  [9971] = {.lex_state = 7, .external_lex_state = 3},
  [9972] = {.lex_state = 7, .external_lex_state = 3},
  [9973] = {.lex_state = 136, .external_lex_state = 2},
  [9974] = {.lex_state = 7, .external_lex_state = 3},
  [9975] = {.lex_state = 7, .external_lex_state = 3},
  [9976] = {.lex_state = 7, .external_lex_state = 3},
  [9977] = {.lex_state = 136, .external_lex_state = 2},
  [9978] = {.lex_state = 136, .external_lex_state = 2},
  [9979] = {.lex_state = 7, .external_lex_state = 3},
  [9980] = {.lex_state = 7, .external_lex_state = 3},
  [9981] = {.lex_state = 412, .external_lex_state = 3},
  [9982] = {.lex_state = 136, .external_lex_state = 2},
  [9983] = {.lex_state = 136, .external_lex_state = 2},
  [9984] = {.lex_state = 7, .external_lex_state = 3},
  [9985] = {.lex_state = 7, .external_lex_state = 3},
  [9986] = {.lex_state = 136, .external_lex_state = 2},
  [9987] = {.lex_state = 7, .external_lex_state = 3},
  [9988] = {.lex_state = 7, .external_lex_state = 3},
  [9989] = {.lex_state = 412, .external_lex_state = 3},
  [9990] = {.lex_state = 7, .external_lex_state = 3},
  [9991] = {.lex_state = 412, .external_lex_state = 3},
  [9992] = {.lex_state = 7, .external_lex_state = 3},
  [9993] = {.lex_state = 7, .external_lex_state = 3},
  [9994] = {.lex_state = 7, .external_lex_state = 3},
  [9995] = {.lex_state = 7, .external_lex_state = 3},
  [9996] = {.lex_state = 149, .external_lex_state = 2},
  [9997] = {.lex_state = 149, .external_lex_state = 2},
  [9998] = {.lex_state = 136, .external_lex_state = 2},
  [9999] = {.lex_state = 7, .external_lex_state = 3},
  [10000] = {.lex_state = 7, .external_lex_state = 3},
  [10001] = {.lex_state = 7, .external_lex_state = 3},
  [10002] = {.lex_state = 136, .external_lex_state = 2},
  [10003] = {.lex_state = 149, .external_lex_state = 2},
  [10004] = {.lex_state = 136, .external_lex_state = 2},
  [10005] = {.lex_state = 145, .external_lex_state = 2},
  [10006] = {.lex_state = 136, .external_lex_state = 2},
  [10007] = {.lex_state = 7, .external_lex_state = 3},
  [10008] = {.lex_state = 412, .external_lex_state = 3},
  [10009] = {.lex_state = 7, .external_lex_state = 3},
  [10010] = {.lex_state = 136, .external_lex_state = 2},
  [10011] = {.lex_state = 136, .external_lex_state = 2},
  [10012] = {.lex_state = 7, .external_lex_state = 3},
  [10013] = {.lex_state = 136, .external_lex_state = 2},
  [10014] = {.lex_state = 136, .external_lex_state = 2},
  [10015] = {.lex_state = 7, .external_lex_state = 3},
  [10016] = {.lex_state = 7, .external_lex_state = 3},
  [10017] = {.lex_state = 136, .external_lex_state = 2},
  [10018] = {.lex_state = 136, .external_lex_state = 2},
  [10019] = {.lex_state = 7, .external_lex_state = 3},
  [10020] = {.lex_state = 149, .external_lex_state = 2},
  [10021] = {.lex_state = 7, .external_lex_state = 3},
  [10022] = {.lex_state = 149, .external_lex_state = 2},
  [10023] = {.lex_state = 7, .external_lex_state = 3},
  [10024] = {.lex_state = 136, .external_lex_state = 2},
  [10025] = {.lex_state = 412, .external_lex_state = 3},
  [10026] = {.lex_state = 136, .external_lex_state = 2},
  [10027] = {.lex_state = 136, .external_lex_state = 2},
  [10028] = {.lex_state = 145, .external_lex_state = 2},
  [10029] = {.lex_state = 136, .external_lex_state = 2},
  [10030] = {.lex_state = 136, .external_lex_state = 2},
  [10031] = {.lex_state = 7, .external_lex_state = 3},
  [10032] = {.lex_state = 7, .external_lex_state = 3},
  [10033] = {.lex_state = 149, .external_lex_state = 2},
  [10034] = {.lex_state = 7, .external_lex_state = 3},
  [10035] = {.lex_state = 7, .external_lex_state = 3},
  [10036] = {.lex_state = 7, .external_lex_state = 3},
  [10037] = {.lex_state = 7, .external_lex_state = 3},
  [10038] = {.lex_state = 136, .external_lex_state = 2},
  [10039] = {.lex_state = 7, .external_lex_state = 3},
  [10040] = {.lex_state = 412, .external_lex_state = 3},
  [10041] = {.lex_state = 412, .external_lex_state = 3},
  [10042] = {.lex_state = 7, .external_lex_state = 3},
  [10043] = {.lex_state = 412, .external_lex_state = 3},
  [10044] = {.lex_state = 412, .external_lex_state = 3},
  [10045] = {.lex_state = 7, .external_lex_state = 3},
  [10046] = {.lex_state = 412, .external_lex_state = 3},
  [10047] = {.lex_state = 132, .external_lex_state = 3},
  [10048] = {.lex_state = 412, .external_lex_state = 3},
  [10049] = {.lex_state = 7, .external_lex_state = 3},
  [10050] = {.lex_state = 136, .external_lex_state = 2},
  [10051] = {.lex_state = 412, .external_lex_state = 3},
  [10052] = {.lex_state = 7, .external_lex_state = 3},
  [10053] = {.lex_state = 412, .external_lex_state = 3},
  [10054] = {.lex_state = 412, .external_lex_state = 3},
  [10055] = {.lex_state = 412, .external_lex_state = 3},
  [10056] = {.lex_state = 412, .external_lex_state = 3},
  [10057] = {.lex_state = 412, .external_lex_state = 3},
  [10058] = {.lex_state = 7, .external_lex_state = 3},
  [10059] = {.lex_state = 7, .external_lex_state = 3},
  [10060] = {.lex_state = 7, .external_lex_state = 3},
  [10061] = {.lex_state = 7, .external_lex_state = 3},
  [10062] = {.lex_state = 412, .external_lex_state = 3},
  [10063] = {.lex_state = 412, .external_lex_state = 3},
  [10064] = {.lex_state = 412, .external_lex_state = 3},
  [10065] = {.lex_state = 412, .external_lex_state = 3},
  [10066] = {.lex_state = 412, .external_lex_state = 3},
  [10067] = {.lex_state = 7, .external_lex_state = 3},
  [10068] = {.lex_state = 7, .external_lex_state = 3},
  [10069] = {.lex_state = 7, .external_lex_state = 3},
  [10070] = {.lex_state = 7, .external_lex_state = 3},
  [10071] = {.lex_state = 412, .external_lex_state = 3},
  [10072] = {.lex_state = 136, .external_lex_state = 2},
  [10073] = {.lex_state = 412, .external_lex_state = 3},
  [10074] = {.lex_state = 412, .external_lex_state = 3},
  [10075] = {.lex_state = 7, .external_lex_state = 3},
  [10076] = {.lex_state = 149, .external_lex_state = 2},
  [10077] = {.lex_state = 149, .external_lex_state = 2},
  [10078] = {.lex_state = 412, .external_lex_state = 3},
  [10079] = {.lex_state = 425, .external_lex_state = 3},
  [10080] = {.lex_state = 7, .external_lex_state = 3},
  [10081] = {.lex_state = 7, .external_lex_state = 3},
  [10082] = {.lex_state = 7, .external_lex_state = 3},
  [10083] = {.lex_state = 7, .external_lex_state = 3},
  [10084] = {.lex_state = 136, .external_lex_state = 2},
  [10085] = {.lex_state = 136, .external_lex_state = 2},
  [10086] = {.lex_state = 7, .external_lex_state = 3},
  [10087] = {.lex_state = 7, .external_lex_state = 3},
  [10088] = {.lex_state = 7, .external_lex_state = 3},
  [10089] = {.lex_state = 7, .external_lex_state = 3},
  [10090] = {.lex_state = 425, .external_lex_state = 3},
  [10091] = {.lex_state = 7, .external_lex_state = 3},
  [10092] = {.lex_state = 7, .external_lex_state = 3},
  [10093] = {.lex_state = 145, .external_lex_state = 2},
  [10094] = {.lex_state = 132, .external_lex_state = 3},
  [10095] = {.lex_state = 412, .external_lex_state = 3},
  [10096] = {.lex_state = 425, .external_lex_state = 3},
  [10097] = {.lex_state = 136, .external_lex_state = 2},
  [10098] = {.lex_state = 412, .external_lex_state = 3},
  [10099] = {.lex_state = 412, .external_lex_state = 3},
  [10100] = {.lex_state = 412, .external_lex_state = 3},
  [10101] = {.lex_state = 7, .external_lex_state = 3},
  [10102] = {.lex_state = 7, .external_lex_state = 3},
  [10103] = {.lex_state = 412, .external_lex_state = 3},
  [10104] = {.lex_state = 7, .external_lex_state = 3},
  [10105] = {.lex_state = 425, .external_lex_state = 3},
  [10106] = {.lex_state = 7, .external_lex_state = 3},
  [10107] = {.lex_state = 412, .external_lex_state = 3},
  [10108] = {.lex_state = 7, .external_lex_state = 3},
  [10109] = {.lex_state = 7, .external_lex_state = 3},
  [10110] = {.lex_state = 412, .external_lex_state = 3},
  [10111] = {.lex_state = 7, .external_lex_state = 3},
  [10112] = {.lex_state = 7, .external_lex_state = 3},
  [10113] = {.lex_state = 7, .external_lex_state = 3},
  [10114] = {.lex_state = 7, .external_lex_state = 3},
  [10115] = {.lex_state = 7, .external_lex_state = 3},
  [10116] = {.lex_state = 7, .external_lex_state = 3},
  [10117] = {.lex_state = 7, .external_lex_state = 3},
  [10118] = {.lex_state = 7, .external_lex_state = 3},
  [10119] = {.lex_state = 412, .external_lex_state = 3},
  [10120] = {.lex_state = 7, .external_lex_state = 3},
  [10121] = {.lex_state = 7, .external_lex_state = 3},
  [10122] = {.lex_state = 145, .external_lex_state = 2},
  [10123] = {.lex_state = 145, .external_lex_state = 2},
  [10124] = {.lex_state = 145, .external_lex_state = 2},
  [10125] = {.lex_state = 412, .external_lex_state = 3},
  [10126] = {.lex_state = 145, .external_lex_state = 2},
  [10127] = {.lex_state = 145, .external_lex_state = 2},
  [10128] = {.lex_state = 425, .external_lex_state = 3},
  [10129] = {.lex_state = 412, .external_lex_state = 3},
  [10130] = {.lex_state = 425, .external_lex_state = 3},
  [10131] = {.lex_state = 145, .external_lex_state = 2},
  [10132] = {.lex_state = 412, .external_lex_state = 3},
  [10133] = {.lex_state = 425, .external_lex_state = 3},
  [10134] = {.lex_state = 425, .external_lex_state = 3},
  [10135] = {.lex_state = 145, .external_lex_state = 2},
  [10136] = {.lex_state = 145, .external_lex_state = 2},
  [10137] = {.lex_state = 425, .external_lex_state = 3},
  [10138] = {.lex_state = 435, .external_lex_state = 3},
  [10139] = {.lex_state = 425, .external_lex_state = 3},
  [10140] = {.lex_state = 145, .external_lex_state = 2},
  [10141] = {.lex_state = 425, .external_lex_state = 3},
  [10142] = {.lex_state = 412, .external_lex_state = 3},
  [10143] = {.lex_state = 425, .external_lex_state = 3},
  [10144] = {.lex_state = 145, .external_lex_state = 2},
  [10145] = {.lex_state = 145, .external_lex_state = 2},
  [10146] = {.lex_state = 145, .external_lex_state = 2},
  [10147] = {.lex_state = 145, .external_lex_state = 2},
  [10148] = {.lex_state = 145, .external_lex_state = 2},
  [10149] = {.lex_state = 145, .external_lex_state = 2},
  [10150] = {.lex_state = 145, .external_lex_state = 2},
  [10151] = {.lex_state = 145, .external_lex_state = 2},
  [10152] = {.lex_state = 145, .external_lex_state = 2},
  [10153] = {.lex_state = 145, .external_lex_state = 2},
  [10154] = {.lex_state = 145, .external_lex_state = 2},
  [10155] = {.lex_state = 145, .external_lex_state = 2},
  [10156] = {.lex_state = 145, .external_lex_state = 2},
  [10157] = {.lex_state = 145, .external_lex_state = 2},
  [10158] = {.lex_state = 145, .external_lex_state = 2},
  [10159] = {.lex_state = 145, .external_lex_state = 2},
  [10160] = {.lex_state = 145, .external_lex_state = 2},
  [10161] = {.lex_state = 145, .external_lex_state = 2},
  [10162] = {.lex_state = 145, .external_lex_state = 2},
  [10163] = {.lex_state = 145, .external_lex_state = 2},
  [10164] = {.lex_state = 435, .external_lex_state = 3},
  [10165] = {.lex_state = 145, .external_lex_state = 2},
  [10166] = {.lex_state = 412, .external_lex_state = 3},
  [10167] = {.lex_state = 412, .external_lex_state = 3},
  [10168] = {.lex_state = 145, .external_lex_state = 2},
  [10169] = {.lex_state = 145, .external_lex_state = 2},
  [10170] = {.lex_state = 425, .external_lex_state = 3},
  [10171] = {.lex_state = 145, .external_lex_state = 2},
  [10172] = {.lex_state = 435, .external_lex_state = 3},
  [10173] = {.lex_state = 427, .external_lex_state = 3},
  [10174] = {.lex_state = 412, .external_lex_state = 3},
  [10175] = {.lex_state = 145, .external_lex_state = 2},
  [10176] = {.lex_state = 145, .external_lex_state = 2},
  [10177] = {.lex_state = 145, .external_lex_state = 2},
  [10178] = {.lex_state = 145, .external_lex_state = 2},
  [10179] = {.lex_state = 425, .external_lex_state = 3},
  [10180] = {.lex_state = 425, .external_lex_state = 3},
  [10181] = {.lex_state = 145, .external_lex_state = 2},
  [10182] = {.lex_state = 145, .external_lex_state = 2},
  [10183] = {.lex_state = 145, .external_lex_state = 2},
  [10184] = {.lex_state = 412, .external_lex_state = 3},
  [10185] = {.lex_state = 427, .external_lex_state = 3},
  [10186] = {.lex_state = 145, .external_lex_state = 2},
  [10187] = {.lex_state = 145, .external_lex_state = 2},
  [10188] = {.lex_state = 145, .external_lex_state = 2},
  [10189] = {.lex_state = 145, .external_lex_state = 2},
  [10190] = {.lex_state = 145, .external_lex_state = 2},
  [10191] = {.lex_state = 145, .external_lex_state = 2},
  [10192] = {.lex_state = 145, .external_lex_state = 2},
  [10193] = {.lex_state = 425, .external_lex_state = 3},
  [10194] = {.lex_state = 425, .external_lex_state = 3},
  [10195] = {.lex_state = 145, .external_lex_state = 2},
  [10196] = {.lex_state = 425, .external_lex_state = 3},
  [10197] = {.lex_state = 425, .external_lex_state = 3},
  [10198] = {.lex_state = 145, .external_lex_state = 2},
  [10199] = {.lex_state = 425, .external_lex_state = 3},
  [10200] = {.lex_state = 432, .external_lex_state = 3},
  [10201] = {.lex_state = 188, .external_lex_state = 3},
  [10202] = {.lex_state = 412, .external_lex_state = 3},
  [10203] = {.lex_state = 432, .external_lex_state = 3},
  [10204] = {.lex_state = 412, .external_lex_state = 3},
  [10205] = {.lex_state = 435, .external_lex_state = 3},
  [10206] = {.lex_state = 412, .external_lex_state = 3},
  [10207] = {.lex_state = 188, .external_lex_state = 3},
  [10208] = {.lex_state = 412, .external_lex_state = 3},
  [10209] = {.lex_state = 188, .external_lex_state = 3},
  [10210] = {.lex_state = 412, .external_lex_state = 3},
  [10211] = {.lex_state = 412, .external_lex_state = 3},
  [10212] = {.lex_state = 7, .external_lex_state = 3},
  [10213] = {.lex_state = 7, .external_lex_state = 3},
  [10214] = {.lex_state = 7, .external_lex_state = 3},
  [10215] = {.lex_state = 435, .external_lex_state = 3},
  [10216] = {.lex_state = 425, .external_lex_state = 3},
  [10217] = {.lex_state = 435, .external_lex_state = 3},
  [10218] = {.lex_state = 435, .external_lex_state = 3},
  [10219] = {.lex_state = 435, .external_lex_state = 3},
  [10220] = {.lex_state = 435, .external_lex_state = 3},
  [10221] = {.lex_state = 435, .external_lex_state = 3},
  [10222] = {.lex_state = 412, .external_lex_state = 3},
  [10223] = {.lex_state = 7, .external_lex_state = 3},
  [10224] = {.lex_state = 180, .external_lex_state = 3},
  [10225] = {.lex_state = 435, .external_lex_state = 3},
  [10226] = {.lex_state = 435, .external_lex_state = 3},
  [10227] = {.lex_state = 7, .external_lex_state = 3},
  [10228] = {.lex_state = 7, .external_lex_state = 3},
  [10229] = {.lex_state = 435, .external_lex_state = 3},
  [10230] = {.lex_state = 435, .external_lex_state = 3},
  [10231] = {.lex_state = 435, .external_lex_state = 3},
  [10232] = {.lex_state = 7, .external_lex_state = 3},
  [10233] = {.lex_state = 432, .external_lex_state = 3},
  [10234] = {.lex_state = 7, .external_lex_state = 3},
  [10235] = {.lex_state = 435, .external_lex_state = 3},
  [10236] = {.lex_state = 435, .external_lex_state = 3},
  [10237] = {.lex_state = 7, .external_lex_state = 3},
  [10238] = {.lex_state = 432, .external_lex_state = 3},
  [10239] = {.lex_state = 435, .external_lex_state = 3},
  [10240] = {.lex_state = 435, .external_lex_state = 3},
  [10241] = {.lex_state = 7, .external_lex_state = 3},
  [10242] = {.lex_state = 425, .external_lex_state = 3},
  [10243] = {.lex_state = 7, .external_lex_state = 3},
  [10244] = {.lex_state = 7, .external_lex_state = 3},
  [10245] = {.lex_state = 7, .external_lex_state = 3},
  [10246] = {.lex_state = 435, .external_lex_state = 3},
  [10247] = {.lex_state = 425, .external_lex_state = 3},
  [10248] = {.lex_state = 7, .external_lex_state = 3},
  [10249] = {.lex_state = 7, .external_lex_state = 3},
  [10250] = {.lex_state = 7, .external_lex_state = 3},
  [10251] = {.lex_state = 435, .external_lex_state = 3},
  [10252] = {.lex_state = 7, .external_lex_state = 3},
  [10253] = {.lex_state = 7, .external_lex_state = 3},
  [10254] = {.lex_state = 412, .external_lex_state = 3},
  [10255] = {.lex_state = 7, .external_lex_state = 3},
  [10256] = {.lex_state = 188, .external_lex_state = 3},
  [10257] = {.lex_state = 7, .external_lex_state = 3},
  [10258] = {.lex_state = 7, .external_lex_state = 3},
  [10259] = {.lex_state = 412, .external_lex_state = 3},
  [10260] = {.lex_state = 7, .external_lex_state = 3},
  [10261] = {.lex_state = 7, .external_lex_state = 3},
  [10262] = {.lex_state = 425, .external_lex_state = 3},
  [10263] = {.lex_state = 7, .external_lex_state = 3},
  [10264] = {.lex_state = 432, .external_lex_state = 3},
  [10265] = {.lex_state = 435, .external_lex_state = 3},
  [10266] = {.lex_state = 7, .external_lex_state = 3},
  [10267] = {.lex_state = 7, .external_lex_state = 3},
  [10268] = {.lex_state = 435, .external_lex_state = 3},
  [10269] = {.lex_state = 425, .external_lex_state = 3},
  [10270] = {.lex_state = 7, .external_lex_state = 3},
  [10271] = {.lex_state = 435, .external_lex_state = 3},
  [10272] = {.lex_state = 7, .external_lex_state = 3},
  [10273] = {.lex_state = 432, .external_lex_state = 3},
  [10274] = {.lex_state = 7, .external_lex_state = 3},
  [10275] = {.lex_state = 7, .external_lex_state = 3},
  [10276] = {.lex_state = 432, .external_lex_state = 3},
  [10277] = {.lex_state = 435, .external_lex_state = 3},
  [10278] = {.lex_state = 432, .external_lex_state = 3},
  [10279] = {.lex_state = 7, .external_lex_state = 3},
  [10280] = {.lex_state = 435, .external_lex_state = 3},
  [10281] = {.lex_state = 7, .external_lex_state = 3},
  [10282] = {.lex_state = 435, .external_lex_state = 3},
  [10283] = {.lex_state = 435, .external_lex_state = 3},
  [10284] = {.lex_state = 435, .external_lex_state = 3},
  [10285] = {.lex_state = 435, .external_lex_state = 3},
  [10286] = {.lex_state = 180, .external_lex_state = 3},
  [10287] = {.lex_state = 435, .external_lex_state = 3},
  [10288] = {.lex_state = 425, .external_lex_state = 3},
  [10289] = {.lex_state = 432, .external_lex_state = 3},
  [10290] = {.lex_state = 7, .external_lex_state = 3},
  [10291] = {.lex_state = 435, .external_lex_state = 3},
  [10292] = {.lex_state = 435, .external_lex_state = 3},
  [10293] = {.lex_state = 435, .external_lex_state = 3},
  [10294] = {.lex_state = 435, .external_lex_state = 3},
  [10295] = {.lex_state = 7, .external_lex_state = 3},
  [10296] = {.lex_state = 435, .external_lex_state = 3},
  [10297] = {.lex_state = 7, .external_lex_state = 3},
  [10298] = {.lex_state = 7, .external_lex_state = 3},
  [10299] = {.lex_state = 412, .external_lex_state = 3},
  [10300] = {.lex_state = 7, .external_lex_state = 3},
  [10301] = {.lex_state = 432, .external_lex_state = 3},
  [10302] = {.lex_state = 7, .external_lex_state = 3},
  [10303] = {.lex_state = 7, .external_lex_state = 3},
  [10304] = {.lex_state = 188, .external_lex_state = 3},
  [10305] = {.lex_state = 15, .external_lex_state = 2},
  [10306] = {.lex_state = 180, .external_lex_state = 3},
  [10307] = {.lex_state = 432, .external_lex_state = 3},
  [10308] = {.lex_state = 432, .external_lex_state = 3},
  [10309] = {.lex_state = 7, .external_lex_state = 3},
  [10310] = {.lex_state = 7, .external_lex_state = 3},
  [10311] = {.lex_state = 15, .external_lex_state = 2},
  [10312] = {.lex_state = 15, .external_lex_state = 2},
  [10313] = {.lex_state = 432, .external_lex_state = 3},
  [10314] = {.lex_state = 427, .external_lex_state = 3},
  [10315] = {.lex_state = 7, .external_lex_state = 3},
  [10316] = {.lex_state = 15, .external_lex_state = 2},
  [10317] = {.lex_state = 7, .external_lex_state = 3},
  [10318] = {.lex_state = 7, .external_lex_state = 3},
  [10319] = {.lex_state = 7, .external_lex_state = 3},
  [10320] = {.lex_state = 15, .external_lex_state = 2},
  [10321] = {.lex_state = 7, .external_lex_state = 3},
  [10322] = {.lex_state = 15, .external_lex_state = 2},
  [10323] = {.lex_state = 7, .external_lex_state = 3},
  [10324] = {.lex_state = 15, .external_lex_state = 2},
  [10325] = {.lex_state = 432, .external_lex_state = 3},
  [10326] = {.lex_state = 15, .external_lex_state = 2},
  [10327] = {.lex_state = 15, .external_lex_state = 2},
  [10328] = {.lex_state = 180, .external_lex_state = 3},
  [10329] = {.lex_state = 432, .external_lex_state = 3},
  [10330] = {.lex_state = 15, .external_lex_state = 2},
  [10331] = {.lex_state = 7, .external_lex_state = 3},
  [10332] = {.lex_state = 180, .external_lex_state = 3},
  [10333] = {.lex_state = 7, .external_lex_state = 3},
  [10334] = {.lex_state = 15, .external_lex_state = 2},
  [10335] = {.lex_state = 7, .external_lex_state = 3},
  [10336] = {.lex_state = 15, .external_lex_state = 2},
  [10337] = {.lex_state = 15, .external_lex_state = 2},
  [10338] = {.lex_state = 432, .external_lex_state = 3},
  [10339] = {.lex_state = 432, .external_lex_state = 3},
  [10340] = {.lex_state = 430, .external_lex_state = 3},
  [10341] = {.lex_state = 432, .external_lex_state = 3},
  [10342] = {.lex_state = 7, .external_lex_state = 3},
  [10343] = {.lex_state = 7, .external_lex_state = 3},
  [10344] = {.lex_state = 7, .external_lex_state = 3},
  [10345] = {.lex_state = 418, .external_lex_state = 3},
  [10346] = {.lex_state = 15, .external_lex_state = 2},
  [10347] = {.lex_state = 432, .external_lex_state = 3},
  [10348] = {.lex_state = 418, .external_lex_state = 3},
  [10349] = {.lex_state = 432, .external_lex_state = 3},
  [10350] = {.lex_state = 15, .external_lex_state = 2},
  [10351] = {.lex_state = 7, .external_lex_state = 3},
  [10352] = {.lex_state = 7, .external_lex_state = 3},
  [10353] = {.lex_state = 180, .external_lex_state = 3},
  [10354] = {.lex_state = 425, .external_lex_state = 3},
  [10355] = {.lex_state = 7, .external_lex_state = 3},
  [10356] = {.lex_state = 180, .external_lex_state = 3},
  [10357] = {.lex_state = 146, .external_lex_state = 2},
  [10358] = {.lex_state = 15, .external_lex_state = 2},
  [10359] = {.lex_state = 432, .external_lex_state = 3},
  [10360] = {.lex_state = 7, .external_lex_state = 3},
  [10361] = {.lex_state = 7, .external_lex_state = 3},
  [10362] = {.lex_state = 7, .external_lex_state = 3},
  [10363] = {.lex_state = 7, .external_lex_state = 3},
  [10364] = {.lex_state = 7, .external_lex_state = 3},
  [10365] = {.lex_state = 7, .external_lex_state = 3},
  [10366] = {.lex_state = 15, .external_lex_state = 2},
  [10367] = {.lex_state = 7, .external_lex_state = 3},
  [10368] = {.lex_state = 15, .external_lex_state = 2},
  [10369] = {.lex_state = 7, .external_lex_state = 3},
  [10370] = {.lex_state = 7, .external_lex_state = 3},
  [10371] = {.lex_state = 7, .external_lex_state = 3},
  [10372] = {.lex_state = 432, .external_lex_state = 3},
  [10373] = {.lex_state = 15, .external_lex_state = 2},
  [10374] = {.lex_state = 15, .external_lex_state = 2},
  [10375] = {.lex_state = 15, .external_lex_state = 2},
  [10376] = {.lex_state = 15, .external_lex_state = 2},
  [10377] = {.lex_state = 7, .external_lex_state = 3},
  [10378] = {.lex_state = 15, .external_lex_state = 2},
  [10379] = {.lex_state = 7, .external_lex_state = 3},
  [10380] = {.lex_state = 7, .external_lex_state = 3},
  [10381] = {.lex_state = 412, .external_lex_state = 3},
  [10382] = {.lex_state = 7, .external_lex_state = 3},
  [10383] = {.lex_state = 7, .external_lex_state = 3},
  [10384] = {.lex_state = 425, .external_lex_state = 3},
  [10385] = {.lex_state = 7, .external_lex_state = 3},
  [10386] = {.lex_state = 15, .external_lex_state = 2},
  [10387] = {.lex_state = 432, .external_lex_state = 3},
  [10388] = {.lex_state = 7, .external_lex_state = 3},
  [10389] = {.lex_state = 7, .external_lex_state = 3},
  [10390] = {.lex_state = 15, .external_lex_state = 2},
  [10391] = {.lex_state = 7, .external_lex_state = 3},
  [10392] = {.lex_state = 188, .external_lex_state = 3},
  [10393] = {.lex_state = 15, .external_lex_state = 2},
  [10394] = {.lex_state = 188, .external_lex_state = 3},
  [10395] = {.lex_state = 418, .external_lex_state = 3},
  [10396] = {.lex_state = 418, .external_lex_state = 3},
  [10397] = {.lex_state = 432, .external_lex_state = 3},
  [10398] = {.lex_state = 15, .external_lex_state = 2},
  [10399] = {.lex_state = 15, .external_lex_state = 2},
  [10400] = {.lex_state = 15, .external_lex_state = 2},
  [10401] = {.lex_state = 15, .external_lex_state = 2},
  [10402] = {.lex_state = 15, .external_lex_state = 2},
  [10403] = {.lex_state = 188, .external_lex_state = 3},
  [10404] = {.lex_state = 7, .external_lex_state = 3},
  [10405] = {.lex_state = 15, .external_lex_state = 2},
  [10406] = {.lex_state = 188, .external_lex_state = 3},
  [10407] = {.lex_state = 7, .external_lex_state = 3},
  [10408] = {.lex_state = 15, .external_lex_state = 2},
  [10409] = {.lex_state = 7, .external_lex_state = 3},
  [10410] = {.lex_state = 7, .external_lex_state = 3},
  [10411] = {.lex_state = 7, .external_lex_state = 3},
  [10412] = {.lex_state = 188, .external_lex_state = 3},
  [10413] = {.lex_state = 7, .external_lex_state = 3},
  [10414] = {.lex_state = 7, .external_lex_state = 3},
  [10415] = {.lex_state = 188, .external_lex_state = 3},
  [10416] = {.lex_state = 15, .external_lex_state = 2},
  [10417] = {.lex_state = 7, .external_lex_state = 3},
  [10418] = {.lex_state = 15, .external_lex_state = 2},
  [10419] = {.lex_state = 7, .external_lex_state = 3},
  [10420] = {.lex_state = 418, .external_lex_state = 3},
  [10421] = {.lex_state = 15, .external_lex_state = 2},
  [10422] = {.lex_state = 7, .external_lex_state = 3},
  [10423] = {.lex_state = 7, .external_lex_state = 3},
  [10424] = {.lex_state = 7, .external_lex_state = 3},
  [10425] = {.lex_state = 7, .external_lex_state = 3},
  [10426] = {.lex_state = 188, .external_lex_state = 3},
  [10427] = {.lex_state = 7, .external_lex_state = 3},
  [10428] = {.lex_state = 7, .external_lex_state = 3},
  [10429] = {.lex_state = 7, .external_lex_state = 3},
  [10430] = {.lex_state = 15, .external_lex_state = 2},
  [10431] = {.lex_state = 7, .external_lex_state = 3},
  [10432] = {.lex_state = 7, .external_lex_state = 3},
  [10433] = {.lex_state = 7, .external_lex_state = 3},
  [10434] = {.lex_state = 188, .external_lex_state = 3},
  [10435] = {.lex_state = 15, .external_lex_state = 2},
  [10436] = {.lex_state = 188, .external_lex_state = 3},
  [10437] = {.lex_state = 188, .external_lex_state = 3},
  [10438] = {.lex_state = 7, .external_lex_state = 3},
  [10439] = {.lex_state = 188, .external_lex_state = 3},
  [10440] = {.lex_state = 7, .external_lex_state = 3},
  [10441] = {.lex_state = 188, .external_lex_state = 3},
  [10442] = {.lex_state = 189, .external_lex_state = 3},
  [10443] = {.lex_state = 15, .external_lex_state = 2},
  [10444] = {.lex_state = 187, .external_lex_state = 3},
  [10445] = {.lex_state = 188, .external_lex_state = 3},
  [10446] = {.lex_state = 15, .external_lex_state = 2},
  [10447] = {.lex_state = 7, .external_lex_state = 3},
  [10448] = {.lex_state = 432, .external_lex_state = 3},
  [10449] = {.lex_state = 432, .external_lex_state = 3},
  [10450] = {.lex_state = 188, .external_lex_state = 3},
  [10451] = {.lex_state = 7, .external_lex_state = 3},
  [10452] = {.lex_state = 432, .external_lex_state = 3},
  [10453] = {.lex_state = 7, .external_lex_state = 3},
  [10454] = {.lex_state = 7, .external_lex_state = 3},
  [10455] = {.lex_state = 15, .external_lex_state = 2},
  [10456] = {.lex_state = 432, .external_lex_state = 3},
  [10457] = {.lex_state = 7, .external_lex_state = 3},
  [10458] = {.lex_state = 432, .external_lex_state = 3},
  [10459] = {.lex_state = 180, .external_lex_state = 3},
  [10460] = {.lex_state = 7, .external_lex_state = 3},
  [10461] = {.lex_state = 432, .external_lex_state = 3},
  [10462] = {.lex_state = 7, .external_lex_state = 3},
  [10463] = {.lex_state = 7, .external_lex_state = 3},
  [10464] = {.lex_state = 188, .external_lex_state = 3},
  [10465] = {.lex_state = 188, .external_lex_state = 3},
  [10466] = {.lex_state = 7, .external_lex_state = 3},
  [10467] = {.lex_state = 15, .external_lex_state = 2},
  [10468] = {.lex_state = 15, .external_lex_state = 2},
  [10469] = {.lex_state = 7, .external_lex_state = 3},
  [10470] = {.lex_state = 7, .external_lex_state = 3},
  [10471] = {.lex_state = 7, .external_lex_state = 3},
  [10472] = {.lex_state = 7, .external_lex_state = 3},
  [10473] = {.lex_state = 425, .external_lex_state = 3},
  [10474] = {.lex_state = 7, .external_lex_state = 3},
  [10475] = {.lex_state = 7, .external_lex_state = 3},
  [10476] = {.lex_state = 7, .external_lex_state = 3},
  [10477] = {.lex_state = 146, .external_lex_state = 2},
  [10478] = {.lex_state = 15, .external_lex_state = 2},
  [10479] = {.lex_state = 7, .external_lex_state = 3},
  [10480] = {.lex_state = 15, .external_lex_state = 2},
  [10481] = {.lex_state = 7, .external_lex_state = 3},
  [10482] = {.lex_state = 7, .external_lex_state = 3},
  [10483] = {.lex_state = 7, .external_lex_state = 3},
  [10484] = {.lex_state = 7, .external_lex_state = 3},
  [10485] = {.lex_state = 7, .external_lex_state = 3},
  [10486] = {.lex_state = 430, .external_lex_state = 3},
  [10487] = {.lex_state = 432, .external_lex_state = 3},
  [10488] = {.lex_state = 7, .external_lex_state = 3},
  [10489] = {.lex_state = 188, .external_lex_state = 3},
  [10490] = {.lex_state = 432, .external_lex_state = 3},
  [10491] = {.lex_state = 7, .external_lex_state = 3},
  [10492] = {.lex_state = 432, .external_lex_state = 3},
  [10493] = {.lex_state = 7, .external_lex_state = 3},
  [10494] = {.lex_state = 7, .external_lex_state = 3},
  [10495] = {.lex_state = 7, .external_lex_state = 3},
  [10496] = {.lex_state = 15, .external_lex_state = 2},
  [10497] = {.lex_state = 180, .external_lex_state = 3},
  [10498] = {.lex_state = 15, .external_lex_state = 2},
  [10499] = {.lex_state = 180, .external_lex_state = 3},
  [10500] = {.lex_state = 15, .external_lex_state = 2},
  [10501] = {.lex_state = 188, .external_lex_state = 3},
  [10502] = {.lex_state = 7, .external_lex_state = 3},
  [10503] = {.lex_state = 15, .external_lex_state = 2},
  [10504] = {.lex_state = 432, .external_lex_state = 3},
  [10505] = {.lex_state = 188, .external_lex_state = 3},
  [10506] = {.lex_state = 7, .external_lex_state = 3},
  [10507] = {.lex_state = 7, .external_lex_state = 3},
  [10508] = {.lex_state = 7, .external_lex_state = 3},
  [10509] = {.lex_state = 7, .external_lex_state = 3},
  [10510] = {.lex_state = 7, .external_lex_state = 3},
  [10511] = {.lex_state = 7, .external_lex_state = 3},
  [10512] = {.lex_state = 15, .external_lex_state = 2},
  [10513] = {.lex_state = 7, .external_lex_state = 3},
  [10514] = {.lex_state = 7, .external_lex_state = 3},
  [10515] = {.lex_state = 7, .external_lex_state = 3},
  [10516] = {.lex_state = 412, .external_lex_state = 3},
  [10517] = {.lex_state = 15, .external_lex_state = 2},
  [10518] = {.lex_state = 7, .external_lex_state = 3},
  [10519] = {.lex_state = 15, .external_lex_state = 2},
  [10520] = {.lex_state = 188, .external_lex_state = 3},
  [10521] = {.lex_state = 188, .external_lex_state = 3},
  [10522] = {.lex_state = 7, .external_lex_state = 3},
  [10523] = {.lex_state = 188, .external_lex_state = 3},
  [10524] = {.lex_state = 7, .external_lex_state = 3},
  [10525] = {.lex_state = 7, .external_lex_state = 3},
  [10526] = {.lex_state = 425, .external_lex_state = 3},
  [10527] = {.lex_state = 15, .external_lex_state = 2},
  [10528] = {.lex_state = 7, .external_lex_state = 3},
  [10529] = {.lex_state = 15, .external_lex_state = 2},
  [10530] = {.lex_state = 7, .external_lex_state = 3},
  [10531] = {.lex_state = 7, .external_lex_state = 3},
  [10532] = {.lex_state = 7, .external_lex_state = 3},
  [10533] = {.lex_state = 432, .external_lex_state = 3},
  [10534] = {.lex_state = 15, .external_lex_state = 2},
  [10535] = {.lex_state = 7, .external_lex_state = 3},
  [10536] = {.lex_state = 188, .external_lex_state = 3},
  [10537] = {.lex_state = 7, .external_lex_state = 3},
  [10538] = {.lex_state = 7, .external_lex_state = 3},
  [10539] = {.lex_state = 15, .external_lex_state = 2},
  [10540] = {.lex_state = 7, .external_lex_state = 3},
  [10541] = {.lex_state = 7, .external_lex_state = 3},
  [10542] = {.lex_state = 432, .external_lex_state = 3},
  [10543] = {.lex_state = 432, .external_lex_state = 3},
  [10544] = {.lex_state = 7, .external_lex_state = 3},
  [10545] = {.lex_state = 15, .external_lex_state = 2},
  [10546] = {.lex_state = 7, .external_lex_state = 3},
  [10547] = {.lex_state = 7, .external_lex_state = 3},
  [10548] = {.lex_state = 430, .external_lex_state = 3},
  [10549] = {.lex_state = 430, .external_lex_state = 3},
  [10550] = {.lex_state = 7, .external_lex_state = 3},
  [10551] = {.lex_state = 432, .external_lex_state = 3},
  [10552] = {.lex_state = 7, .external_lex_state = 3},
  [10553] = {.lex_state = 7, .external_lex_state = 3},
  [10554] = {.lex_state = 7, .external_lex_state = 3},
  [10555] = {.lex_state = 7, .external_lex_state = 3},
  [10556] = {.lex_state = 15, .external_lex_state = 2},
  [10557] = {.lex_state = 7, .external_lex_state = 3},
  [10558] = {.lex_state = 7, .external_lex_state = 3},
  [10559] = {.lex_state = 7, .external_lex_state = 3},
  [10560] = {.lex_state = 7, .external_lex_state = 3},
  [10561] = {.lex_state = 15, .external_lex_state = 2},
  [10562] = {.lex_state = 425, .external_lex_state = 3},
  [10563] = {.lex_state = 7, .external_lex_state = 3},
  [10564] = {.lex_state = 189, .external_lex_state = 3},
  [10565] = {.lex_state = 7, .external_lex_state = 3},
  [10566] = {.lex_state = 432, .external_lex_state = 3},
  [10567] = {.lex_state = 432, .external_lex_state = 3},
  [10568] = {.lex_state = 15, .external_lex_state = 2},
  [10569] = {.lex_state = 187, .external_lex_state = 3},
  [10570] = {.lex_state = 15, .external_lex_state = 2},
  [10571] = {.lex_state = 432, .external_lex_state = 3},
  [10572] = {.lex_state = 7, .external_lex_state = 3},
  [10573] = {.lex_state = 188, .external_lex_state = 3},
  [10574] = {.lex_state = 15, .external_lex_state = 2},
  [10575] = {.lex_state = 7, .external_lex_state = 3},
  [10576] = {.lex_state = 15, .external_lex_state = 2},
  [10577] = {.lex_state = 188, .external_lex_state = 3},
  [10578] = {.lex_state = 15, .external_lex_state = 2},
  [10579] = {.lex_state = 7, .external_lex_state = 3},
  [10580] = {.lex_state = 7, .external_lex_state = 3},
  [10581] = {.lex_state = 15, .external_lex_state = 2},
  [10582] = {.lex_state = 7, .external_lex_state = 3},
  [10583] = {.lex_state = 7, .external_lex_state = 3},
  [10584] = {.lex_state = 15, .external_lex_state = 2},
  [10585] = {.lex_state = 7, .external_lex_state = 3},
  [10586] = {.lex_state = 187, .external_lex_state = 3},
  [10587] = {.lex_state = 15, .external_lex_state = 2},
  [10588] = {.lex_state = 15, .external_lex_state = 2},
  [10589] = {.lex_state = 7, .external_lex_state = 3},
  [10590] = {.lex_state = 7, .external_lex_state = 3},
  [10591] = {.lex_state = 7, .external_lex_state = 3},
  [10592] = {.lex_state = 7, .external_lex_state = 3},
  [10593] = {.lex_state = 432, .external_lex_state = 3},
  [10594] = {.lex_state = 15, .external_lex_state = 2},
  [10595] = {.lex_state = 188, .external_lex_state = 3},
  [10596] = {.lex_state = 15, .external_lex_state = 2},
  [10597] = {.lex_state = 425, .external_lex_state = 3},
  [10598] = {.lex_state = 7, .external_lex_state = 3},
  [10599] = {.lex_state = 432, .external_lex_state = 3},
  [10600] = {.lex_state = 188, .external_lex_state = 3},
  [10601] = {.lex_state = 7, .external_lex_state = 3},
  [10602] = {.lex_state = 188, .external_lex_state = 3},
  [10603] = {.lex_state = 418, .external_lex_state = 3},
  [10604] = {.lex_state = 188, .external_lex_state = 3},
  [10605] = {.lex_state = 188, .external_lex_state = 3},
  [10606] = {.lex_state = 188, .external_lex_state = 3},
  [10607] = {.lex_state = 15, .external_lex_state = 2},
  [10608] = {.lex_state = 7, .external_lex_state = 3},
  [10609] = {.lex_state = 7, .external_lex_state = 3},
  [10610] = {.lex_state = 189, .external_lex_state = 3},
  [10611] = {.lex_state = 7, .external_lex_state = 3},
  [10612] = {.lex_state = 7, .external_lex_state = 3},
  [10613] = {.lex_state = 7, .external_lex_state = 3},
  [10614] = {.lex_state = 7, .external_lex_state = 3},
  [10615] = {.lex_state = 432, .external_lex_state = 3},
  [10616] = {.lex_state = 15, .external_lex_state = 2},
  [10617] = {.lex_state = 7, .external_lex_state = 3},
  [10618] = {.lex_state = 7, .external_lex_state = 3},
  [10619] = {.lex_state = 7, .external_lex_state = 3},
  [10620] = {.lex_state = 7, .external_lex_state = 3},
  [10621] = {.lex_state = 15, .external_lex_state = 2},
  [10622] = {.lex_state = 15, .external_lex_state = 2},
  [10623] = {.lex_state = 15, .external_lex_state = 2},
  [10624] = {.lex_state = 130, .external_lex_state = 3},
  [10625] = {.lex_state = 417, .external_lex_state = 2},
  [10626] = {.lex_state = 187, .external_lex_state = 3},
  [10627] = {.lex_state = 130, .external_lex_state = 3},
  [10628] = {.lex_state = 130, .external_lex_state = 3},
  [10629] = {.lex_state = 7, .external_lex_state = 3},
  [10630] = {.lex_state = 146, .external_lex_state = 2},
  [10631] = {.lex_state = 180, .external_lex_state = 3},
  [10632] = {.lex_state = 146, .external_lex_state = 2},
  [10633] = {.lex_state = 180, .external_lex_state = 3},
  [10634] = {.lex_state = 425, .external_lex_state = 3},
  [10635] = {.lex_state = 180, .external_lex_state = 3},
  [10636] = {.lex_state = 130, .external_lex_state = 3},
  [10637] = {.lex_state = 130, .external_lex_state = 3},
  [10638] = {.lex_state = 130, .external_lex_state = 3},
  [10639] = {.lex_state = 180, .external_lex_state = 3},
  [10640] = {.lex_state = 130, .external_lex_state = 3},
  [10641] = {.lex_state = 130, .external_lex_state = 3},
  [10642] = {.lex_state = 130, .external_lex_state = 3},
  [10643] = {.lex_state = 130, .external_lex_state = 3},
  [10644] = {.lex_state = 418, .external_lex_state = 3},
  [10645] = {.lex_state = 130, .external_lex_state = 3},
  [10646] = {.lex_state = 130, .external_lex_state = 3},
  [10647] = {.lex_state = 180, .external_lex_state = 3},
  [10648] = {.lex_state = 130, .external_lex_state = 3},
  [10649] = {.lex_state = 433, .external_lex_state = 3},
  [10650] = {.lex_state = 425, .external_lex_state = 3},
  [10651] = {.lex_state = 425, .external_lex_state = 3},
  [10652] = {.lex_state = 130, .external_lex_state = 3},
  [10653] = {.lex_state = 130, .external_lex_state = 3},
  [10654] = {.lex_state = 146, .external_lex_state = 2},
  [10655] = {.lex_state = 7, .external_lex_state = 3},
  [10656] = {.lex_state = 7, .external_lex_state = 3},
  [10657] = {.lex_state = 180, .external_lex_state = 3},
  [10658] = {.lex_state = 175, .external_lex_state = 3},
  [10659] = {.lex_state = 180, .external_lex_state = 3},
  [10660] = {.lex_state = 180, .external_lex_state = 3},
  [10661] = {.lex_state = 425, .external_lex_state = 3},
  [10662] = {.lex_state = 180, .external_lex_state = 3},
  [10663] = {.lex_state = 180, .external_lex_state = 3},
  [10664] = {.lex_state = 425, .external_lex_state = 3},
  [10665] = {.lex_state = 180, .external_lex_state = 3},
  [10666] = {.lex_state = 180, .external_lex_state = 3},
  [10667] = {.lex_state = 174, .external_lex_state = 3},
  [10668] = {.lex_state = 167, .external_lex_state = 3},
  [10669] = {.lex_state = 180, .external_lex_state = 3},
  [10670] = {.lex_state = 428, .external_lex_state = 3},
  [10671] = {.lex_state = 425, .external_lex_state = 3},
  [10672] = {.lex_state = 425, .external_lex_state = 3},
  [10673] = {.lex_state = 180, .external_lex_state = 3},
  [10674] = {.lex_state = 180, .external_lex_state = 3},
  [10675] = {.lex_state = 425, .external_lex_state = 3},
  [10676] = {.lex_state = 130, .external_lex_state = 3},
  [10677] = {.lex_state = 7, .external_lex_state = 3},
  [10678] = {.lex_state = 167, .external_lex_state = 3},
  [10679] = {.lex_state = 7, .external_lex_state = 3},
  [10680] = {.lex_state = 175, .external_lex_state = 3},
  [10681] = {.lex_state = 180, .external_lex_state = 3},
  [10682] = {.lex_state = 180, .external_lex_state = 3},
  [10683] = {.lex_state = 180, .external_lex_state = 3},
  [10684] = {.lex_state = 433, .external_lex_state = 3},
  [10685] = {.lex_state = 180, .external_lex_state = 3},
  [10686] = {.lex_state = 180, .external_lex_state = 3},
  [10687] = {.lex_state = 180, .external_lex_state = 3},
  [10688] = {.lex_state = 189, .external_lex_state = 3},
  [10689] = {.lex_state = 130, .external_lex_state = 3},
  [10690] = {.lex_state = 146, .external_lex_state = 2},
  [10691] = {.lex_state = 167, .external_lex_state = 3},
  [10692] = {.lex_state = 180, .external_lex_state = 3},
  [10693] = {.lex_state = 130, .external_lex_state = 3},
  [10694] = {.lex_state = 139, .external_lex_state = 3},
  [10695] = {.lex_state = 180, .external_lex_state = 3},
  [10696] = {.lex_state = 7, .external_lex_state = 3},
  [10697] = {.lex_state = 418, .external_lex_state = 3},
  [10698] = {.lex_state = 425, .external_lex_state = 3},
  [10699] = {.lex_state = 425, .external_lex_state = 3},
  [10700] = {.lex_state = 139, .external_lex_state = 3},
  [10701] = {.lex_state = 425, .external_lex_state = 3},
  [10702] = {.lex_state = 180, .external_lex_state = 3},
  [10703] = {.lex_state = 9, .external_lex_state = 3},
  [10704] = {.lex_state = 139, .external_lex_state = 3},
  [10705] = {.lex_state = 139, .external_lex_state = 3},
  [10706] = {.lex_state = 180, .external_lex_state = 3},
  [10707] = {.lex_state = 167, .external_lex_state = 3},
  [10708] = {.lex_state = 139, .external_lex_state = 3},
  [10709] = {.lex_state = 180, .external_lex_state = 3},
  [10710] = {.lex_state = 180, .external_lex_state = 3},
  [10711] = {.lex_state = 180, .external_lex_state = 3},
  [10712] = {.lex_state = 180, .external_lex_state = 3},
  [10713] = {.lex_state = 130, .external_lex_state = 3},
  [10714] = {.lex_state = 425, .external_lex_state = 3},
  [10715] = {.lex_state = 432, .external_lex_state = 3},
  [10716] = {.lex_state = 180, .external_lex_state = 3},
  [10717] = {.lex_state = 167, .external_lex_state = 3},
  [10718] = {.lex_state = 174, .external_lex_state = 3},
  [10719] = {.lex_state = 130, .external_lex_state = 3},
  [10720] = {.lex_state = 139, .external_lex_state = 3},
  [10721] = {.lex_state = 130, .external_lex_state = 3},
  [10722] = {.lex_state = 130, .external_lex_state = 3},
  [10723] = {.lex_state = 425, .external_lex_state = 3},
  [10724] = {.lex_state = 130, .external_lex_state = 3},
  [10725] = {.lex_state = 130, .external_lex_state = 3},
  [10726] = {.lex_state = 180, .external_lex_state = 3},
  [10727] = {.lex_state = 7, .external_lex_state = 3},
  [10728] = {.lex_state = 7, .external_lex_state = 3},
  [10729] = {.lex_state = 180, .external_lex_state = 3},
  [10730] = {.lex_state = 180, .external_lex_state = 3},
  [10731] = {.lex_state = 180, .external_lex_state = 3},
  [10732] = {.lex_state = 7, .external_lex_state = 3},
  [10733] = {.lex_state = 7, .external_lex_state = 3},
  [10734] = {.lex_state = 131, .external_lex_state = 3},
  [10735] = {.lex_state = 131, .external_lex_state = 3},
  [10736] = {.lex_state = 425, .external_lex_state = 3},
  [10737] = {.lex_state = 131, .external_lex_state = 3},
  [10738] = {.lex_state = 9, .external_lex_state = 3},
  [10739] = {.lex_state = 187, .external_lex_state = 3},
  [10740] = {.lex_state = 434, .external_lex_state = 3},
  [10741] = {.lex_state = 131, .external_lex_state = 3},
  [10742] = {.lex_state = 9, .external_lex_state = 3},
  [10743] = {.lex_state = 9, .external_lex_state = 3},
  [10744] = {.lex_state = 9, .external_lex_state = 3},
  [10745] = {.lex_state = 9, .external_lex_state = 3},
  [10746] = {.lex_state = 416, .external_lex_state = 2},
  [10747] = {.lex_state = 9, .external_lex_state = 3},
  [10748] = {.lex_state = 9, .external_lex_state = 3},
  [10749] = {.lex_state = 9, .external_lex_state = 3},
  [10750] = {.lex_state = 434, .external_lex_state = 3},
  [10751] = {.lex_state = 9, .external_lex_state = 3},
  [10752] = {.lex_state = 9, .external_lex_state = 3},
  [10753] = {.lex_state = 425, .external_lex_state = 3},
  [10754] = {.lex_state = 9, .external_lex_state = 3},
  [10755] = {.lex_state = 425, .external_lex_state = 3},
  [10756] = {.lex_state = 139, .external_lex_state = 3},
  [10757] = {.lex_state = 9, .external_lex_state = 3},
  [10758] = {.lex_state = 129, .external_lex_state = 3},
  [10759] = {.lex_state = 418, .external_lex_state = 3},
  [10760] = {.lex_state = 9, .external_lex_state = 3},
  [10761] = {.lex_state = 129, .external_lex_state = 3},
  [10762] = {.lex_state = 187, .external_lex_state = 3},
  [10763] = {.lex_state = 418, .external_lex_state = 3},
  [10764] = {.lex_state = 129, .external_lex_state = 3},
  [10765] = {.lex_state = 418, .external_lex_state = 3},
  [10766] = {.lex_state = 9, .external_lex_state = 3},
  [10767] = {.lex_state = 418, .external_lex_state = 3},
  [10768] = {.lex_state = 129, .external_lex_state = 3},
  [10769] = {.lex_state = 187, .external_lex_state = 3},
  [10770] = {.lex_state = 129, .external_lex_state = 3},
  [10771] = {.lex_state = 9, .external_lex_state = 3},
  [10772] = {.lex_state = 129, .external_lex_state = 3},
  [10773] = {.lex_state = 425, .external_lex_state = 3},
  [10774] = {.lex_state = 432, .external_lex_state = 3},
  [10775] = {.lex_state = 129, .external_lex_state = 3},
  [10776] = {.lex_state = 129, .external_lex_state = 3},
  [10777] = {.lex_state = 129, .external_lex_state = 3},
  [10778] = {.lex_state = 129, .external_lex_state = 3},
  [10779] = {.lex_state = 175, .external_lex_state = 3},
  [10780] = {.lex_state = 425, .external_lex_state = 3},
  [10781] = {.lex_state = 129, .external_lex_state = 3},
  [10782] = {.lex_state = 9, .external_lex_state = 3},
  [10783] = {.lex_state = 9, .external_lex_state = 3},
  [10784] = {.lex_state = 180, .external_lex_state = 3},
  [10785] = {.lex_state = 432, .external_lex_state = 3},
  [10786] = {.lex_state = 129, .external_lex_state = 3},
  [10787] = {.lex_state = 129, .external_lex_state = 3},
  [10788] = {.lex_state = 129, .external_lex_state = 3},
  [10789] = {.lex_state = 9, .external_lex_state = 3},
  [10790] = {.lex_state = 427, .external_lex_state = 3},
  [10791] = {.lex_state = 9, .external_lex_state = 3},
  [10792] = {.lex_state = 139, .external_lex_state = 3},
  [10793] = {.lex_state = 130, .external_lex_state = 3},
  [10794] = {.lex_state = 130, .external_lex_state = 3},
  [10795] = {.lex_state = 130, .external_lex_state = 3},
  [10796] = {.lex_state = 189, .external_lex_state = 3},
  [10797] = {.lex_state = 9, .external_lex_state = 3},
  [10798] = {.lex_state = 130, .external_lex_state = 3},
  [10799] = {.lex_state = 130, .external_lex_state = 3},
  [10800] = {.lex_state = 130, .external_lex_state = 3},
  [10801] = {.lex_state = 9, .external_lex_state = 3},
  [10802] = {.lex_state = 130, .external_lex_state = 3},
  [10803] = {.lex_state = 130, .external_lex_state = 3},
  [10804] = {.lex_state = 130, .external_lex_state = 3},
  [10805] = {.lex_state = 130, .external_lex_state = 3},
  [10806] = {.lex_state = 130, .external_lex_state = 3},
  [10807] = {.lex_state = 175, .external_lex_state = 3},
  [10808] = {.lex_state = 9, .external_lex_state = 3},
  [10809] = {.lex_state = 130, .external_lex_state = 3},
  [10810] = {.lex_state = 175, .external_lex_state = 3},
  [10811] = {.lex_state = 175, .external_lex_state = 3},
  [10812] = {.lex_state = 434, .external_lex_state = 3},
  [10813] = {.lex_state = 187, .external_lex_state = 3},
  [10814] = {.lex_state = 187, .external_lex_state = 3},
  [10815] = {.lex_state = 425, .external_lex_state = 3},
  [10816] = {.lex_state = 432, .external_lex_state = 3},
  [10817] = {.lex_state = 175, .external_lex_state = 3},
  [10818] = {.lex_state = 9, .external_lex_state = 3},
  [10819] = {.lex_state = 184, .external_lex_state = 3},
  [10820] = {.lex_state = 187, .external_lex_state = 3},
  [10821] = {.lex_state = 425, .external_lex_state = 3},
  [10822] = {.lex_state = 9, .external_lex_state = 3},
  [10823] = {.lex_state = 9, .external_lex_state = 3},
  [10824] = {.lex_state = 175, .external_lex_state = 3},
  [10825] = {.lex_state = 175, .external_lex_state = 3},
  [10826] = {.lex_state = 175, .external_lex_state = 3},
  [10827] = {.lex_state = 131, .external_lex_state = 3},
  [10828] = {.lex_state = 9, .external_lex_state = 3},
  [10829] = {.lex_state = 434, .external_lex_state = 3},
  [10830] = {.lex_state = 131, .external_lex_state = 3},
  [10831] = {.lex_state = 187, .external_lex_state = 3},
  [10832] = {.lex_state = 9, .external_lex_state = 3},
  [10833] = {.lex_state = 9, .external_lex_state = 3},
  [10834] = {.lex_state = 187, .external_lex_state = 3},
  [10835] = {.lex_state = 34, .external_lex_state = 2},
  [10836] = {.lex_state = 9, .external_lex_state = 3},
  [10837] = {.lex_state = 187, .external_lex_state = 3},
  [10838] = {.lex_state = 187, .external_lex_state = 3},
  [10839] = {.lex_state = 131, .external_lex_state = 3},
  [10840] = {.lex_state = 187, .external_lex_state = 3},
  [10841] = {.lex_state = 187, .external_lex_state = 3},
  [10842] = {.lex_state = 187, .external_lex_state = 3},
  [10843] = {.lex_state = 9, .external_lex_state = 3},
  [10844] = {.lex_state = 9, .external_lex_state = 3},
  [10845] = {.lex_state = 189, .external_lex_state = 3},
  [10846] = {.lex_state = 9, .external_lex_state = 3},
  [10847] = {.lex_state = 9, .external_lex_state = 3},
  [10848] = {.lex_state = 9, .external_lex_state = 3},
  [10849] = {.lex_state = 9, .external_lex_state = 3},
  [10850] = {.lex_state = 9, .external_lex_state = 3},
  [10851] = {.lex_state = 9, .external_lex_state = 3},
  [10852] = {.lex_state = 9, .external_lex_state = 3},
  [10853] = {.lex_state = 425, .external_lex_state = 3},
  [10854] = {.lex_state = 131, .external_lex_state = 3},
  [10855] = {.lex_state = 161, .external_lex_state = 3},
  [10856] = {.lex_state = 9, .external_lex_state = 3},
  [10857] = {.lex_state = 187, .external_lex_state = 3},
  [10858] = {.lex_state = 9, .external_lex_state = 3},
  [10859] = {.lex_state = 9, .external_lex_state = 3},
  [10860] = {.lex_state = 131, .external_lex_state = 3},
  [10861] = {.lex_state = 9, .external_lex_state = 3},
  [10862] = {.lex_state = 131, .external_lex_state = 3},
  [10863] = {.lex_state = 131, .external_lex_state = 3},
  [10864] = {.lex_state = 9, .external_lex_state = 3},
  [10865] = {.lex_state = 131, .external_lex_state = 3},
  [10866] = {.lex_state = 9, .external_lex_state = 3},
  [10867] = {.lex_state = 431, .external_lex_state = 3},
  [10868] = {.lex_state = 131, .external_lex_state = 3},
  [10869] = {.lex_state = 187, .external_lex_state = 3},
  [10870] = {.lex_state = 9, .external_lex_state = 3},
  [10871] = {.lex_state = 9, .external_lex_state = 3},
  [10872] = {.lex_state = 9, .external_lex_state = 3},
  [10873] = {.lex_state = 131, .external_lex_state = 3},
  [10874] = {.lex_state = 9, .external_lex_state = 3},
  [10875] = {.lex_state = 187, .external_lex_state = 3},
  [10876] = {.lex_state = 9, .external_lex_state = 3},
  [10877] = {.lex_state = 187, .external_lex_state = 3},
  [10878] = {.lex_state = 9, .external_lex_state = 3},
  [10879] = {.lex_state = 9, .external_lex_state = 3},
  [10880] = {.lex_state = 187, .external_lex_state = 3},
  [10881] = {.lex_state = 9, .external_lex_state = 3},
  [10882] = {.lex_state = 187, .external_lex_state = 3},
  [10883] = {.lex_state = 131, .external_lex_state = 3},
  [10884] = {.lex_state = 9, .external_lex_state = 3},
  [10885] = {.lex_state = 9, .external_lex_state = 3},
  [10886] = {.lex_state = 189, .external_lex_state = 3},
  [10887] = {.lex_state = 131, .external_lex_state = 3},
  [10888] = {.lex_state = 434, .external_lex_state = 3},
  [10889] = {.lex_state = 9, .external_lex_state = 3},
  [10890] = {.lex_state = 9, .external_lex_state = 3},
  [10891] = {.lex_state = 9, .external_lex_state = 3},
  [10892] = {.lex_state = 9, .external_lex_state = 3},
  [10893] = {.lex_state = 9, .external_lex_state = 3},
  [10894] = {.lex_state = 9, .external_lex_state = 3},
  [10895] = {.lex_state = 187, .external_lex_state = 3},
  [10896] = {.lex_state = 131, .external_lex_state = 3},
  [10897] = {.lex_state = 131, .external_lex_state = 3},
  [10898] = {.lex_state = 9, .external_lex_state = 3},
  [10899] = {.lex_state = 131, .external_lex_state = 3},
  [10900] = {.lex_state = 9, .external_lex_state = 3},
  [10901] = {.lex_state = 131, .external_lex_state = 3},
  [10902] = {.lex_state = 131, .external_lex_state = 3},
  [10903] = {.lex_state = 187, .external_lex_state = 3},
  [10904] = {.lex_state = 9, .external_lex_state = 3},
  [10905] = {.lex_state = 418, .external_lex_state = 3},
  [10906] = {.lex_state = 131, .external_lex_state = 3},
  [10907] = {.lex_state = 187, .external_lex_state = 3},
  [10908] = {.lex_state = 187, .external_lex_state = 3},
  [10909] = {.lex_state = 9, .external_lex_state = 3},
  [10910] = {.lex_state = 131, .external_lex_state = 3},
  [10911] = {.lex_state = 9, .external_lex_state = 3},
  [10912] = {.lex_state = 131, .external_lex_state = 3},
  [10913] = {.lex_state = 187, .external_lex_state = 3},
  [10914] = {.lex_state = 131, .external_lex_state = 3},
  [10915] = {.lex_state = 9, .external_lex_state = 3},
  [10916] = {.lex_state = 9, .external_lex_state = 3},
  [10917] = {.lex_state = 429, .external_lex_state = 3},
  [10918] = {.lex_state = 189, .external_lex_state = 3},
  [10919] = {.lex_state = 9, .external_lex_state = 3},
  [10920] = {.lex_state = 131, .external_lex_state = 3},
  [10921] = {.lex_state = 131, .external_lex_state = 3},
  [10922] = {.lex_state = 131, .external_lex_state = 3},
  [10923] = {.lex_state = 131, .external_lex_state = 3},
  [10924] = {.lex_state = 9, .external_lex_state = 3},
  [10925] = {.lex_state = 189, .external_lex_state = 3},
  [10926] = {.lex_state = 187, .external_lex_state = 3},
  [10927] = {.lex_state = 189, .external_lex_state = 3},
  [10928] = {.lex_state = 189, .external_lex_state = 3},
  [10929] = {.lex_state = 189, .external_lex_state = 3},
  [10930] = {.lex_state = 189, .external_lex_state = 3},
  [10931] = {.lex_state = 189, .external_lex_state = 3},
  [10932] = {.lex_state = 131, .external_lex_state = 3},
  [10933] = {.lex_state = 131, .external_lex_state = 3},
  [10934] = {.lex_state = 189, .external_lex_state = 3},
  [10935] = {.lex_state = 189, .external_lex_state = 3},
  [10936] = {.lex_state = 9, .external_lex_state = 3},
  [10937] = {.lex_state = 9, .external_lex_state = 3},
  [10938] = {.lex_state = 189, .external_lex_state = 3},
  [10939] = {.lex_state = 187, .external_lex_state = 3},
  [10940] = {.lex_state = 131, .external_lex_state = 3},
  [10941] = {.lex_state = 189, .external_lex_state = 3},
  [10942] = {.lex_state = 189, .external_lex_state = 3},
  [10943] = {.lex_state = 131, .external_lex_state = 3},
  [10944] = {.lex_state = 434, .external_lex_state = 3},
  [10945] = {.lex_state = 189, .external_lex_state = 3},
  [10946] = {.lex_state = 189, .external_lex_state = 3},
  [10947] = {.lex_state = 129, .external_lex_state = 3},
  [10948] = {.lex_state = 187, .external_lex_state = 3},
  [10949] = {.lex_state = 189, .external_lex_state = 3},
  [10950] = {.lex_state = 189, .external_lex_state = 3},
  [10951] = {.lex_state = 425, .external_lex_state = 3},
  [10952] = {.lex_state = 425, .external_lex_state = 3},
  [10953] = {.lex_state = 189, .external_lex_state = 3},
  [10954] = {.lex_state = 189, .external_lex_state = 3},
  [10955] = {.lex_state = 131, .external_lex_state = 3},
  [10956] = {.lex_state = 189, .external_lex_state = 3},
  [10957] = {.lex_state = 189, .external_lex_state = 3},
  [10958] = {.lex_state = 189, .external_lex_state = 3},
  [10959] = {.lex_state = 9, .external_lex_state = 3},
  [10960] = {.lex_state = 131, .external_lex_state = 3},
  [10961] = {.lex_state = 9, .external_lex_state = 3},
  [10962] = {.lex_state = 131, .external_lex_state = 3},
  [10963] = {.lex_state = 425, .external_lex_state = 3},
  [10964] = {.lex_state = 187, .external_lex_state = 3},
  [10965] = {.lex_state = 131, .external_lex_state = 3},
  [10966] = {.lex_state = 131, .external_lex_state = 3},
  [10967] = {.lex_state = 131, .external_lex_state = 3},
  [10968] = {.lex_state = 131, .external_lex_state = 3},
  [10969] = {.lex_state = 131, .external_lex_state = 3},
  [10970] = {.lex_state = 9, .external_lex_state = 3},
  [10971] = {.lex_state = 131, .external_lex_state = 3},
  [10972] = {.lex_state = 189, .external_lex_state = 3},
  [10973] = {.lex_state = 432, .external_lex_state = 3},
  [10974] = {.lex_state = 131, .external_lex_state = 3},
  [10975] = {.lex_state = 189, .external_lex_state = 3},
  [10976] = {.lex_state = 174, .external_lex_state = 3},
  [10977] = {.lex_state = 432, .external_lex_state = 3},
  [10978] = {.lex_state = 129, .external_lex_state = 3},
  [10979] = {.lex_state = 131, .external_lex_state = 3},
  [10980] = {.lex_state = 174, .external_lex_state = 3},
  [10981] = {.lex_state = 129, .external_lex_state = 3},
  [10982] = {.lex_state = 131, .external_lex_state = 3},
  [10983] = {.lex_state = 9, .external_lex_state = 3},
  [10984] = {.lex_state = 130, .external_lex_state = 3},
  [10985] = {.lex_state = 9, .external_lex_state = 3},
  [10986] = {.lex_state = 131, .external_lex_state = 3},
  [10987] = {.lex_state = 9, .external_lex_state = 3},
  [10988] = {.lex_state = 427, .external_lex_state = 3},
  [10989] = {.lex_state = 9, .external_lex_state = 3},
  [10990] = {.lex_state = 184, .external_lex_state = 3},
  [10991] = {.lex_state = 131, .external_lex_state = 3},
  [10992] = {.lex_state = 9, .external_lex_state = 3},
  [10993] = {.lex_state = 9, .external_lex_state = 3},
  [10994] = {.lex_state = 131, .external_lex_state = 3},
  [10995] = {.lex_state = 9, .external_lex_state = 3},
  [10996] = {.lex_state = 9, .external_lex_state = 3},
  [10997] = {.lex_state = 9, .external_lex_state = 3},
  [10998] = {.lex_state = 131, .external_lex_state = 3},
  [10999] = {.lex_state = 9, .external_lex_state = 3},
  [11000] = {.lex_state = 131, .external_lex_state = 3},
  [11001] = {.lex_state = 9, .external_lex_state = 3},
  [11002] = {.lex_state = 425, .external_lex_state = 3},
  [11003] = {.lex_state = 131, .external_lex_state = 3},
  [11004] = {.lex_state = 189, .external_lex_state = 3},
  [11005] = {.lex_state = 131, .external_lex_state = 3},
  [11006] = {.lex_state = 131, .external_lex_state = 3},
  [11007] = {.lex_state = 189, .external_lex_state = 3},
  [11008] = {.lex_state = 131, .external_lex_state = 3},
  [11009] = {.lex_state = 425, .external_lex_state = 3},
  [11010] = {.lex_state = 9, .external_lex_state = 3},
  [11011] = {.lex_state = 189, .external_lex_state = 3},
  [11012] = {.lex_state = 9, .external_lex_state = 3},
  [11013] = {.lex_state = 425, .external_lex_state = 3},
  [11014] = {.lex_state = 131, .external_lex_state = 3},
  [11015] = {.lex_state = 131, .external_lex_state = 3},
  [11016] = {.lex_state = 131, .external_lex_state = 3},
  [11017] = {.lex_state = 425, .external_lex_state = 3},
  [11018] = {.lex_state = 189, .external_lex_state = 3},
  [11019] = {.lex_state = 9, .external_lex_state = 3},
  [11020] = {.lex_state = 9, .external_lex_state = 3},
  [11021] = {.lex_state = 425, .external_lex_state = 3},
  [11022] = {.lex_state = 187, .external_lex_state = 3},
  [11023] = {.lex_state = 129, .external_lex_state = 3},
  [11024] = {.lex_state = 129, .external_lex_state = 3},
  [11025] = {.lex_state = 9, .external_lex_state = 3},
  [11026] = {.lex_state = 174, .external_lex_state = 3},
  [11027] = {.lex_state = 9, .external_lex_state = 3},
  [11028] = {.lex_state = 174, .external_lex_state = 3},
  [11029] = {.lex_state = 9, .external_lex_state = 3},
  [11030] = {.lex_state = 9, .external_lex_state = 3},
  [11031] = {.lex_state = 189, .external_lex_state = 3},
  [11032] = {.lex_state = 131, .external_lex_state = 3},
  [11033] = {.lex_state = 189, .external_lex_state = 3},
  [11034] = {.lex_state = 432, .external_lex_state = 3},
  [11035] = {.lex_state = 131, .external_lex_state = 3},
  [11036] = {.lex_state = 7, .external_lex_state = 3},
  [11037] = {.lex_state = 131, .external_lex_state = 3},
  [11038] = {.lex_state = 131, .external_lex_state = 3},
  [11039] = {.lex_state = 131, .external_lex_state = 3},
  [11040] = {.lex_state = 174, .external_lex_state = 3},
  [11041] = {.lex_state = 131, .external_lex_state = 3},
  [11042] = {.lex_state = 174, .external_lex_state = 3},
  [11043] = {.lex_state = 187, .external_lex_state = 3},
  [11044] = {.lex_state = 131, .external_lex_state = 3},
  [11045] = {.lex_state = 9, .external_lex_state = 3},
  [11046] = {.lex_state = 9, .external_lex_state = 3},
  [11047] = {.lex_state = 131, .external_lex_state = 3},
  [11048] = {.lex_state = 131, .external_lex_state = 3},
  [11049] = {.lex_state = 131, .external_lex_state = 3},
  [11050] = {.lex_state = 9, .external_lex_state = 3},
  [11051] = {.lex_state = 9, .external_lex_state = 3},
  [11052] = {.lex_state = 9, .external_lex_state = 3},
  [11053] = {.lex_state = 9, .external_lex_state = 3},
  [11054] = {.lex_state = 9, .external_lex_state = 3},
  [11055] = {.lex_state = 9, .external_lex_state = 3},
  [11056] = {.lex_state = 9, .external_lex_state = 3},
  [11057] = {.lex_state = 131, .external_lex_state = 3},
  [11058] = {.lex_state = 131, .external_lex_state = 3},
  [11059] = {.lex_state = 131, .external_lex_state = 3},
  [11060] = {.lex_state = 174, .external_lex_state = 3},
  [11061] = {.lex_state = 130, .external_lex_state = 3},
  [11062] = {.lex_state = 174, .external_lex_state = 3},
  [11063] = {.lex_state = 130, .external_lex_state = 3},
  [11064] = {.lex_state = 130, .external_lex_state = 3},
  [11065] = {.lex_state = 130, .external_lex_state = 3},
  [11066] = {.lex_state = 130, .external_lex_state = 3},
  [11067] = {.lex_state = 187, .external_lex_state = 3},
  [11068] = {.lex_state = 418, .external_lex_state = 3},
  [11069] = {.lex_state = 131, .external_lex_state = 3},
  [11070] = {.lex_state = 131, .external_lex_state = 3},
  [11071] = {.lex_state = 131, .external_lex_state = 3},
  [11072] = {.lex_state = 131, .external_lex_state = 3},
  [11073] = {.lex_state = 131, .external_lex_state = 3},
  [11074] = {.lex_state = 131, .external_lex_state = 3},
  [11075] = {.lex_state = 130, .external_lex_state = 3},
  [11076] = {.lex_state = 9, .external_lex_state = 3},
  [11077] = {.lex_state = 131, .external_lex_state = 3},
  [11078] = {.lex_state = 131, .external_lex_state = 3},
  [11079] = {.lex_state = 131, .external_lex_state = 3},
  [11080] = {.lex_state = 131, .external_lex_state = 3},
  [11081] = {.lex_state = 131, .external_lex_state = 3},
  [11082] = {.lex_state = 131, .external_lex_state = 3},
  [11083] = {.lex_state = 187, .external_lex_state = 3},
  [11084] = {.lex_state = 131, .external_lex_state = 3},
  [11085] = {.lex_state = 7, .external_lex_state = 3},
  [11086] = {.lex_state = 7, .external_lex_state = 3},
  [11087] = {.lex_state = 129, .external_lex_state = 3},
  [11088] = {.lex_state = 185, .external_lex_state = 3},
  [11089] = {.lex_state = 418, .external_lex_state = 3},
  [11090] = {.lex_state = 129, .external_lex_state = 3},
  [11091] = {.lex_state = 129, .external_lex_state = 3},
  [11092] = {.lex_state = 7, .external_lex_state = 3},
  [11093] = {.lex_state = 431, .external_lex_state = 3},
  [11094] = {.lex_state = 7, .external_lex_state = 3},
  [11095] = {.lex_state = 7, .external_lex_state = 3},
  [11096] = {.lex_state = 7, .external_lex_state = 3},
  [11097] = {.lex_state = 418, .external_lex_state = 3},
  [11098] = {.lex_state = 129, .external_lex_state = 3},
  [11099] = {.lex_state = 129, .external_lex_state = 3},
  [11100] = {.lex_state = 129, .external_lex_state = 3},
  [11101] = {.lex_state = 418, .external_lex_state = 3},
  [11102] = {.lex_state = 431, .external_lex_state = 3},
  [11103] = {.lex_state = 7, .external_lex_state = 3},
  [11104] = {.lex_state = 175, .external_lex_state = 3},
  [11105] = {.lex_state = 175, .external_lex_state = 3},
  [11106] = {.lex_state = 175, .external_lex_state = 3},
  [11107] = {.lex_state = 7, .external_lex_state = 3},
  [11108] = {.lex_state = 7, .external_lex_state = 3},
  [11109] = {.lex_state = 175, .external_lex_state = 3},
  [11110] = {.lex_state = 425, .external_lex_state = 3},
  [11111] = {.lex_state = 7, .external_lex_state = 3},
  [11112] = {.lex_state = 185, .external_lex_state = 3},
  [11113] = {.lex_state = 7, .external_lex_state = 3},
  [11114] = {.lex_state = 175, .external_lex_state = 3},
  [11115] = {.lex_state = 418, .external_lex_state = 3},
  [11116] = {.lex_state = 7, .external_lex_state = 3},
  [11117] = {.lex_state = 7, .external_lex_state = 3},
  [11118] = {.lex_state = 425, .external_lex_state = 3},
  [11119] = {.lex_state = 7, .external_lex_state = 3},
  [11120] = {.lex_state = 7, .external_lex_state = 3},
  [11121] = {.lex_state = 7, .external_lex_state = 3},
  [11122] = {.lex_state = 7, .external_lex_state = 3},
  [11123] = {.lex_state = 7, .external_lex_state = 3},
  [11124] = {.lex_state = 174, .external_lex_state = 3},
  [11125] = {.lex_state = 7, .external_lex_state = 3},
  [11126] = {.lex_state = 425, .external_lex_state = 3},
  [11127] = {.lex_state = 7, .external_lex_state = 3},
  [11128] = {.lex_state = 7, .external_lex_state = 3},
  [11129] = {.lex_state = 7, .external_lex_state = 3},
  [11130] = {.lex_state = 7, .external_lex_state = 3},
  [11131] = {.lex_state = 174, .external_lex_state = 3},
  [11132] = {.lex_state = 434, .external_lex_state = 3},
  [11133] = {.lex_state = 418, .external_lex_state = 3},
  [11134] = {.lex_state = 129, .external_lex_state = 3},
  [11135] = {.lex_state = 139, .external_lex_state = 3},
  [11136] = {.lex_state = 139, .external_lex_state = 3},
  [11137] = {.lex_state = 418, .external_lex_state = 3},
  [11138] = {.lex_state = 139, .external_lex_state = 3},
  [11139] = {.lex_state = 7, .external_lex_state = 3},
  [11140] = {.lex_state = 139, .external_lex_state = 3},
  [11141] = {.lex_state = 431, .external_lex_state = 3},
  [11142] = {.lex_state = 129, .external_lex_state = 3},
  [11143] = {.lex_state = 414, .external_lex_state = 3},
  [11144] = {.lex_state = 185, .external_lex_state = 3},
  [11145] = {.lex_state = 7, .external_lex_state = 3},
  [11146] = {.lex_state = 7, .external_lex_state = 3},
  [11147] = {.lex_state = 129, .external_lex_state = 3},
  [11148] = {.lex_state = 7, .external_lex_state = 3},
  [11149] = {.lex_state = 129, .external_lex_state = 3},
  [11150] = {.lex_state = 129, .external_lex_state = 3},
  [11151] = {.lex_state = 7, .external_lex_state = 3},
  [11152] = {.lex_state = 425, .external_lex_state = 3},
  [11153] = {.lex_state = 7, .external_lex_state = 3},
  [11154] = {.lex_state = 7, .external_lex_state = 3},
  [11155] = {.lex_state = 7, .external_lex_state = 3},
  [11156] = {.lex_state = 7, .external_lex_state = 3},
  [11157] = {.lex_state = 425, .external_lex_state = 3},
  [11158] = {.lex_state = 15, .external_lex_state = 2},
  [11159] = {.lex_state = 418, .external_lex_state = 3},
  [11160] = {.lex_state = 164, .external_lex_state = 3},
  [11161] = {.lex_state = 129, .external_lex_state = 3},
  [11162] = {.lex_state = 7, .external_lex_state = 3},
  [11163] = {.lex_state = 7, .external_lex_state = 3},
  [11164] = {.lex_state = 425, .external_lex_state = 3},
  [11165] = {.lex_state = 425, .external_lex_state = 3},
  [11166] = {.lex_state = 162, .external_lex_state = 3},
  [11167] = {.lex_state = 425, .external_lex_state = 3},
  [11168] = {.lex_state = 418, .external_lex_state = 3},
  [11169] = {.lex_state = 431, .external_lex_state = 3},
  [11170] = {.lex_state = 425, .external_lex_state = 3},
  [11171] = {.lex_state = 7, .external_lex_state = 3},
  [11172] = {.lex_state = 15, .external_lex_state = 2},
  [11173] = {.lex_state = 425, .external_lex_state = 3},
  [11174] = {.lex_state = 425, .external_lex_state = 3},
  [11175] = {.lex_state = 425, .external_lex_state = 3},
  [11176] = {.lex_state = 425, .external_lex_state = 3},
  [11177] = {.lex_state = 418, .external_lex_state = 3},
  [11178] = {.lex_state = 7, .external_lex_state = 3},
  [11179] = {.lex_state = 7, .external_lex_state = 3},
  [11180] = {.lex_state = 7, .external_lex_state = 3},
  [11181] = {.lex_state = 434, .external_lex_state = 3},
  [11182] = {.lex_state = 7, .external_lex_state = 3},
  [11183] = {.lex_state = 425, .external_lex_state = 3},
  [11184] = {.lex_state = 7, .external_lex_state = 3},
  [11185] = {.lex_state = 7, .external_lex_state = 3},
  [11186] = {.lex_state = 418, .external_lex_state = 3},
  [11187] = {.lex_state = 18, .external_lex_state = 3},
  [11188] = {.lex_state = 174, .external_lex_state = 3},
  [11189] = {.lex_state = 425, .external_lex_state = 3},
  [11190] = {.lex_state = 175, .external_lex_state = 3},
  [11191] = {.lex_state = 175, .external_lex_state = 3},
  [11192] = {.lex_state = 7, .external_lex_state = 3},
  [11193] = {.lex_state = 7, .external_lex_state = 3},
  [11194] = {.lex_state = 139, .external_lex_state = 3},
  [11195] = {.lex_state = 7, .external_lex_state = 3},
  [11196] = {.lex_state = 180, .external_lex_state = 3},
  [11197] = {.lex_state = 7, .external_lex_state = 3},
  [11198] = {.lex_state = 7, .external_lex_state = 3},
  [11199] = {.lex_state = 139, .external_lex_state = 3},
  [11200] = {.lex_state = 174, .external_lex_state = 3},
  [11201] = {.lex_state = 174, .external_lex_state = 3},
  [11202] = {.lex_state = 7, .external_lex_state = 3},
  [11203] = {.lex_state = 7, .external_lex_state = 3},
  [11204] = {.lex_state = 180, .external_lex_state = 3},
  [11205] = {.lex_state = 180, .external_lex_state = 3},
  [11206] = {.lex_state = 418, .external_lex_state = 3},
  [11207] = {.lex_state = 174, .external_lex_state = 3},
  [11208] = {.lex_state = 7, .external_lex_state = 3},
  [11209] = {.lex_state = 418, .external_lex_state = 3},
  [11210] = {.lex_state = 175, .external_lex_state = 3},
  [11211] = {.lex_state = 418, .external_lex_state = 3},
  [11212] = {.lex_state = 418, .external_lex_state = 3},
  [11213] = {.lex_state = 174, .external_lex_state = 3},
  [11214] = {.lex_state = 418, .external_lex_state = 3},
  [11215] = {.lex_state = 7, .external_lex_state = 3},
  [11216] = {.lex_state = 7, .external_lex_state = 3},
  [11217] = {.lex_state = 7, .external_lex_state = 3},
  [11218] = {.lex_state = 418, .external_lex_state = 3},
  [11219] = {.lex_state = 434, .external_lex_state = 3},
  [11220] = {.lex_state = 174, .external_lex_state = 3},
  [11221] = {.lex_state = 164, .external_lex_state = 3},
  [11222] = {.lex_state = 418, .external_lex_state = 3},
  [11223] = {.lex_state = 164, .external_lex_state = 3},
  [11224] = {.lex_state = 7, .external_lex_state = 3},
  [11225] = {.lex_state = 7, .external_lex_state = 3},
  [11226] = {.lex_state = 174, .external_lex_state = 3},
  [11227] = {.lex_state = 7, .external_lex_state = 3},
  [11228] = {.lex_state = 17, .external_lex_state = 3},
  [11229] = {.lex_state = 129, .external_lex_state = 3},
  [11230] = {.lex_state = 17, .external_lex_state = 3},
  [11231] = {.lex_state = 7, .external_lex_state = 3},
  [11232] = {.lex_state = 129, .external_lex_state = 3},
  [11233] = {.lex_state = 7, .external_lex_state = 3},
  [11234] = {.lex_state = 15, .external_lex_state = 2},
  [11235] = {.lex_state = 7, .external_lex_state = 3},
  [11236] = {.lex_state = 7, .external_lex_state = 3},
  [11237] = {.lex_state = 425, .external_lex_state = 3},
  [11238] = {.lex_state = 7, .external_lex_state = 3},
  [11239] = {.lex_state = 7, .external_lex_state = 3},
  [11240] = {.lex_state = 7, .external_lex_state = 3},
  [11241] = {.lex_state = 7, .external_lex_state = 3},
  [11242] = {.lex_state = 7, .external_lex_state = 3},
  [11243] = {.lex_state = 7, .external_lex_state = 3},
  [11244] = {.lex_state = 7, .external_lex_state = 3},
  [11245] = {.lex_state = 7, .external_lex_state = 3},
  [11246] = {.lex_state = 7, .external_lex_state = 3},
  [11247] = {.lex_state = 15, .external_lex_state = 2},
  [11248] = {.lex_state = 7, .external_lex_state = 3},
  [11249] = {.lex_state = 434, .external_lex_state = 3},
  [11250] = {.lex_state = 7, .external_lex_state = 3},
  [11251] = {.lex_state = 7, .external_lex_state = 3},
  [11252] = {.lex_state = 7, .external_lex_state = 3},
  [11253] = {.lex_state = 7, .external_lex_state = 3},
  [11254] = {.lex_state = 18, .external_lex_state = 3},
  [11255] = {.lex_state = 18, .external_lex_state = 3},
  [11256] = {.lex_state = 425, .external_lex_state = 3},
  [11257] = {.lex_state = 175, .external_lex_state = 3},
  [11258] = {.lex_state = 412, .external_lex_state = 2},
  [11259] = {.lex_state = 7, .external_lex_state = 3},
  [11260] = {.lex_state = 18, .external_lex_state = 3},
  [11261] = {.lex_state = 180, .external_lex_state = 3},
  [11262] = {.lex_state = 15, .external_lex_state = 2},
  [11263] = {.lex_state = 7, .external_lex_state = 3},
  [11264] = {.lex_state = 164, .external_lex_state = 3},
  [11265] = {.lex_state = 174, .external_lex_state = 3},
  [11266] = {.lex_state = 7, .external_lex_state = 3},
  [11267] = {.lex_state = 18, .external_lex_state = 3},
  [11268] = {.lex_state = 7, .external_lex_state = 3},
  [11269] = {.lex_state = 7, .external_lex_state = 3},
  [11270] = {.lex_state = 175, .external_lex_state = 3},
  [11271] = {.lex_state = 18, .external_lex_state = 3},
  [11272] = {.lex_state = 418, .external_lex_state = 3},
  [11273] = {.lex_state = 175, .external_lex_state = 3},
  [11274] = {.lex_state = 7, .external_lex_state = 3},
  [11275] = {.lex_state = 418, .external_lex_state = 3},
  [11276] = {.lex_state = 174, .external_lex_state = 3},
  [11277] = {.lex_state = 418, .external_lex_state = 3},
  [11278] = {.lex_state = 7, .external_lex_state = 3},
  [11279] = {.lex_state = 418, .external_lex_state = 3},
  [11280] = {.lex_state = 7, .external_lex_state = 3},
  [11281] = {.lex_state = 7, .external_lex_state = 3},
  [11282] = {.lex_state = 418, .external_lex_state = 3},
  [11283] = {.lex_state = 175, .external_lex_state = 3},
  [11284] = {.lex_state = 174, .external_lex_state = 3},
  [11285] = {.lex_state = 425, .external_lex_state = 3},
  [11286] = {.lex_state = 7, .external_lex_state = 3},
  [11287] = {.lex_state = 174, .external_lex_state = 3},
  [11288] = {.lex_state = 129, .external_lex_state = 3},
  [11289] = {.lex_state = 174, .external_lex_state = 3},
  [11290] = {.lex_state = 7, .external_lex_state = 3},
  [11291] = {.lex_state = 174, .external_lex_state = 3},
  [11292] = {.lex_state = 425, .external_lex_state = 3},
  [11293] = {.lex_state = 174, .external_lex_state = 3},
  [11294] = {.lex_state = 174, .external_lex_state = 3},
  [11295] = {.lex_state = 174, .external_lex_state = 3},
  [11296] = {.lex_state = 174, .external_lex_state = 3},
  [11297] = {.lex_state = 17, .external_lex_state = 3},
  [11298] = {.lex_state = 174, .external_lex_state = 3},
  [11299] = {.lex_state = 418, .external_lex_state = 3},
  [11300] = {.lex_state = 174, .external_lex_state = 3},
  [11301] = {.lex_state = 7, .external_lex_state = 3},
  [11302] = {.lex_state = 175, .external_lex_state = 3},
  [11303] = {.lex_state = 175, .external_lex_state = 3},
  [11304] = {.lex_state = 175, .external_lex_state = 3},
  [11305] = {.lex_state = 7, .external_lex_state = 3},
  [11306] = {.lex_state = 174, .external_lex_state = 3},
  [11307] = {.lex_state = 174, .external_lex_state = 3},
  [11308] = {.lex_state = 174, .external_lex_state = 3},
  [11309] = {.lex_state = 7, .external_lex_state = 3},
  [11310] = {.lex_state = 174, .external_lex_state = 3},
  [11311] = {.lex_state = 174, .external_lex_state = 3},
  [11312] = {.lex_state = 174, .external_lex_state = 3},
  [11313] = {.lex_state = 7, .external_lex_state = 3},
  [11314] = {.lex_state = 7, .external_lex_state = 3},
  [11315] = {.lex_state = 174, .external_lex_state = 3},
  [11316] = {.lex_state = 174, .external_lex_state = 3},
  [11317] = {.lex_state = 418, .external_lex_state = 3},
  [11318] = {.lex_state = 175, .external_lex_state = 3},
  [11319] = {.lex_state = 418, .external_lex_state = 3},
  [11320] = {.lex_state = 174, .external_lex_state = 3},
  [11321] = {.lex_state = 174, .external_lex_state = 3},
  [11322] = {.lex_state = 15, .external_lex_state = 2},
  [11323] = {.lex_state = 425, .external_lex_state = 3},
  [11324] = {.lex_state = 425, .external_lex_state = 3},
  [11325] = {.lex_state = 175, .external_lex_state = 3},
  [11326] = {.lex_state = 175, .external_lex_state = 3},
  [11327] = {.lex_state = 174, .external_lex_state = 3},
  [11328] = {.lex_state = 142, .external_lex_state = 2},
  [11329] = {.lex_state = 7, .external_lex_state = 3},
  [11330] = {.lex_state = 7, .external_lex_state = 3},
  [11331] = {.lex_state = 7, .external_lex_state = 3},
  [11332] = {.lex_state = 174, .external_lex_state = 3},
  [11333] = {.lex_state = 418, .external_lex_state = 3},
  [11334] = {.lex_state = 175, .external_lex_state = 3},
  [11335] = {.lex_state = 7, .external_lex_state = 3},
  [11336] = {.lex_state = 185, .external_lex_state = 3},
  [11337] = {.lex_state = 418, .external_lex_state = 3},
  [11338] = {.lex_state = 418, .external_lex_state = 3},
  [11339] = {.lex_state = 185, .external_lex_state = 3},
  [11340] = {.lex_state = 7, .external_lex_state = 3},
  [11341] = {.lex_state = 418, .external_lex_state = 3},
  [11342] = {.lex_state = 17, .external_lex_state = 3},
  [11343] = {.lex_state = 174, .external_lex_state = 3},
  [11344] = {.lex_state = 7, .external_lex_state = 3},
  [11345] = {.lex_state = 418, .external_lex_state = 3},
  [11346] = {.lex_state = 17, .external_lex_state = 3},
  [11347] = {.lex_state = 175, .external_lex_state = 3},
  [11348] = {.lex_state = 7, .external_lex_state = 3},
  [11349] = {.lex_state = 418, .external_lex_state = 3},
  [11350] = {.lex_state = 163, .external_lex_state = 3},
  [11351] = {.lex_state = 7, .external_lex_state = 3},
  [11352] = {.lex_state = 7, .external_lex_state = 3},
  [11353] = {.lex_state = 418, .external_lex_state = 3},
  [11354] = {.lex_state = 7, .external_lex_state = 3},
  [11355] = {.lex_state = 175, .external_lex_state = 3},
  [11356] = {.lex_state = 425, .external_lex_state = 3},
  [11357] = {.lex_state = 175, .external_lex_state = 3},
  [11358] = {.lex_state = 175, .external_lex_state = 3},
  [11359] = {.lex_state = 175, .external_lex_state = 3},
  [11360] = {.lex_state = 412, .external_lex_state = 2},
  [11361] = {.lex_state = 175, .external_lex_state = 3},
  [11362] = {.lex_state = 7, .external_lex_state = 3},
  [11363] = {.lex_state = 17, .external_lex_state = 3},
  [11364] = {.lex_state = 7, .external_lex_state = 3},
  [11365] = {.lex_state = 180, .external_lex_state = 3},
  [11366] = {.lex_state = 180, .external_lex_state = 3},
  [11367] = {.lex_state = 7, .external_lex_state = 3},
  [11368] = {.lex_state = 7, .external_lex_state = 3},
  [11369] = {.lex_state = 15, .external_lex_state = 2},
  [11370] = {.lex_state = 175, .external_lex_state = 3},
  [11371] = {.lex_state = 418, .external_lex_state = 3},
  [11372] = {.lex_state = 418, .external_lex_state = 3},
  [11373] = {.lex_state = 175, .external_lex_state = 3},
  [11374] = {.lex_state = 185, .external_lex_state = 3},
  [11375] = {.lex_state = 7, .external_lex_state = 3},
  [11376] = {.lex_state = 175, .external_lex_state = 3},
  [11377] = {.lex_state = 175, .external_lex_state = 3},
  [11378] = {.lex_state = 7, .external_lex_state = 3},
  [11379] = {.lex_state = 7, .external_lex_state = 3},
  [11380] = {.lex_state = 175, .external_lex_state = 3},
  [11381] = {.lex_state = 175, .external_lex_state = 3},
  [11382] = {.lex_state = 418, .external_lex_state = 3},
  [11383] = {.lex_state = 175, .external_lex_state = 3},
  [11384] = {.lex_state = 7, .external_lex_state = 3},
  [11385] = {.lex_state = 175, .external_lex_state = 3},
  [11386] = {.lex_state = 175, .external_lex_state = 3},
  [11387] = {.lex_state = 7, .external_lex_state = 3},
  [11388] = {.lex_state = 130, .external_lex_state = 3},
  [11389] = {.lex_state = 170, .external_lex_state = 3},
  [11390] = {.lex_state = 130, .external_lex_state = 3},
  [11391] = {.lex_state = 130, .external_lex_state = 3},
  [11392] = {.lex_state = 6, .external_lex_state = 2},
  [11393] = {.lex_state = 414, .external_lex_state = 3},
  [11394] = {.lex_state = 6, .external_lex_state = 2},
  [11395] = {.lex_state = 130, .external_lex_state = 3},
  [11396] = {.lex_state = 6, .external_lex_state = 2},
  [11397] = {.lex_state = 6, .external_lex_state = 2},
  [11398] = {.lex_state = 177, .external_lex_state = 3},
  [11399] = {.lex_state = 414, .external_lex_state = 3},
  [11400] = {.lex_state = 6, .external_lex_state = 2},
  [11401] = {.lex_state = 130, .external_lex_state = 3},
  [11402] = {.lex_state = 6, .external_lex_state = 2},
  [11403] = {.lex_state = 185, .external_lex_state = 3},
  [11404] = {.lex_state = 130, .external_lex_state = 3},
  [11405] = {.lex_state = 6, .external_lex_state = 2},
  [11406] = {.lex_state = 150, .external_lex_state = 2},
  [11407] = {.lex_state = 6, .external_lex_state = 2},
  [11408] = {.lex_state = 425, .external_lex_state = 3},
  [11409] = {.lex_state = 130, .external_lex_state = 3},
  [11410] = {.lex_state = 130, .external_lex_state = 3},
  [11411] = {.lex_state = 130, .external_lex_state = 3},
  [11412] = {.lex_state = 139, .external_lex_state = 3},
  [11413] = {.lex_state = 130, .external_lex_state = 3},
  [11414] = {.lex_state = 6, .external_lex_state = 2},
  [11415] = {.lex_state = 6, .external_lex_state = 2},
  [11416] = {.lex_state = 425, .external_lex_state = 3},
  [11417] = {.lex_state = 6, .external_lex_state = 2},
  [11418] = {.lex_state = 6, .external_lex_state = 2},
  [11419] = {.lex_state = 6, .external_lex_state = 2},
  [11420] = {.lex_state = 170, .external_lex_state = 3},
  [11421] = {.lex_state = 170, .external_lex_state = 3},
  [11422] = {.lex_state = 170, .external_lex_state = 3},
  [11423] = {.lex_state = 6, .external_lex_state = 2},
  [11424] = {.lex_state = 425, .external_lex_state = 3},
  [11425] = {.lex_state = 170, .external_lex_state = 3},
  [11426] = {.lex_state = 130, .external_lex_state = 3},
  [11427] = {.lex_state = 425, .external_lex_state = 3},
  [11428] = {.lex_state = 130, .external_lex_state = 3},
  [11429] = {.lex_state = 130, .external_lex_state = 3},
  [11430] = {.lex_state = 6, .external_lex_state = 2},
  [11431] = {.lex_state = 6, .external_lex_state = 2},
  [11432] = {.lex_state = 6, .external_lex_state = 2},
  [11433] = {.lex_state = 6, .external_lex_state = 2},
  [11434] = {.lex_state = 170, .external_lex_state = 3},
  [11435] = {.lex_state = 428, .external_lex_state = 3},
  [11436] = {.lex_state = 6, .external_lex_state = 2},
  [11437] = {.lex_state = 414, .external_lex_state = 3},
  [11438] = {.lex_state = 428, .external_lex_state = 3},
  [11439] = {.lex_state = 130, .external_lex_state = 3},
  [11440] = {.lex_state = 6, .external_lex_state = 2},
  [11441] = {.lex_state = 414, .external_lex_state = 3},
  [11442] = {.lex_state = 130, .external_lex_state = 3},
  [11443] = {.lex_state = 130, .external_lex_state = 3},
  [11444] = {.lex_state = 6, .external_lex_state = 2},
  [11445] = {.lex_state = 130, .external_lex_state = 3},
  [11446] = {.lex_state = 130, .external_lex_state = 3},
  [11447] = {.lex_state = 416, .external_lex_state = 3},
  [11448] = {.lex_state = 170, .external_lex_state = 3},
  [11449] = {.lex_state = 170, .external_lex_state = 3},
  [11450] = {.lex_state = 170, .external_lex_state = 3},
  [11451] = {.lex_state = 6, .external_lex_state = 2},
  [11452] = {.lex_state = 6, .external_lex_state = 2},
  [11453] = {.lex_state = 425, .external_lex_state = 3},
  [11454] = {.lex_state = 139, .external_lex_state = 3},
  [11455] = {.lex_state = 6, .external_lex_state = 2},
  [11456] = {.lex_state = 425, .external_lex_state = 3},
  [11457] = {.lex_state = 176, .external_lex_state = 3},
  [11458] = {.lex_state = 6, .external_lex_state = 2},
  [11459] = {.lex_state = 139, .external_lex_state = 3},
  [11460] = {.lex_state = 170, .external_lex_state = 3},
  [11461] = {.lex_state = 174, .external_lex_state = 3},
  [11462] = {.lex_state = 170, .external_lex_state = 3},
  [11463] = {.lex_state = 6, .external_lex_state = 2},
  [11464] = {.lex_state = 170, .external_lex_state = 3},
  [11465] = {.lex_state = 6, .external_lex_state = 2},
  [11466] = {.lex_state = 6, .external_lex_state = 2},
  [11467] = {.lex_state = 185, .external_lex_state = 3},
  [11468] = {.lex_state = 6, .external_lex_state = 2},
  [11469] = {.lex_state = 6, .external_lex_state = 2},
  [11470] = {.lex_state = 6, .external_lex_state = 2},
  [11471] = {.lex_state = 414, .external_lex_state = 3},
  [11472] = {.lex_state = 139, .external_lex_state = 3},
  [11473] = {.lex_state = 6, .external_lex_state = 2},
  [11474] = {.lex_state = 414, .external_lex_state = 3},
  [11475] = {.lex_state = 130, .external_lex_state = 3},
  [11476] = {.lex_state = 425, .external_lex_state = 3},
  [11477] = {.lex_state = 425, .external_lex_state = 3},
  [11478] = {.lex_state = 139, .external_lex_state = 3},
  [11479] = {.lex_state = 139, .external_lex_state = 3},
  [11480] = {.lex_state = 170, .external_lex_state = 3},
  [11481] = {.lex_state = 425, .external_lex_state = 3},
  [11482] = {.lex_state = 425, .external_lex_state = 3},
  [11483] = {.lex_state = 6, .external_lex_state = 2},
  [11484] = {.lex_state = 6, .external_lex_state = 2},
  [11485] = {.lex_state = 150, .external_lex_state = 2},
  [11486] = {.lex_state = 177, .external_lex_state = 3},
  [11487] = {.lex_state = 6, .external_lex_state = 2},
  [11488] = {.lex_state = 425, .external_lex_state = 3},
  [11489] = {.lex_state = 139, .external_lex_state = 3},
  [11490] = {.lex_state = 170, .external_lex_state = 3},
  [11491] = {.lex_state = 414, .external_lex_state = 3},
  [11492] = {.lex_state = 414, .external_lex_state = 3},
  [11493] = {.lex_state = 139, .external_lex_state = 3},
  [11494] = {.lex_state = 425, .external_lex_state = 3},
  [11495] = {.lex_state = 428, .external_lex_state = 3},
  [11496] = {.lex_state = 130, .external_lex_state = 3},
  [11497] = {.lex_state = 428, .external_lex_state = 3},
  [11498] = {.lex_state = 130, .external_lex_state = 3},
  [11499] = {.lex_state = 175, .external_lex_state = 3},
  [11500] = {.lex_state = 6, .external_lex_state = 2},
  [11501] = {.lex_state = 139, .external_lex_state = 3},
  [11502] = {.lex_state = 425, .external_lex_state = 3},
  [11503] = {.lex_state = 139, .external_lex_state = 3},
  [11504] = {.lex_state = 139, .external_lex_state = 3},
  [11505] = {.lex_state = 139, .external_lex_state = 3},
  [11506] = {.lex_state = 139, .external_lex_state = 3},
  [11507] = {.lex_state = 170, .external_lex_state = 3},
  [11508] = {.lex_state = 139, .external_lex_state = 3},
  [11509] = {.lex_state = 425, .external_lex_state = 3},
  [11510] = {.lex_state = 434, .external_lex_state = 3},
  [11511] = {.lex_state = 139, .external_lex_state = 3},
  [11512] = {.lex_state = 139, .external_lex_state = 3},
  [11513] = {.lex_state = 139, .external_lex_state = 3},
  [11514] = {.lex_state = 139, .external_lex_state = 3},
  [11515] = {.lex_state = 176, .external_lex_state = 3},
  [11516] = {.lex_state = 139, .external_lex_state = 3},
  [11517] = {.lex_state = 139, .external_lex_state = 3},
  [11518] = {.lex_state = 139, .external_lex_state = 3},
  [11519] = {.lex_state = 130, .external_lex_state = 3},
  [11520] = {.lex_state = 170, .external_lex_state = 3},
  [11521] = {.lex_state = 170, .external_lex_state = 3},
  [11522] = {.lex_state = 150, .external_lex_state = 2},
  [11523] = {.lex_state = 139, .external_lex_state = 3},
  [11524] = {.lex_state = 185, .external_lex_state = 3},
  [11525] = {.lex_state = 6, .external_lex_state = 2},
  [11526] = {.lex_state = 170, .external_lex_state = 3},
  [11527] = {.lex_state = 6, .external_lex_state = 2},
  [11528] = {.lex_state = 6, .external_lex_state = 2},
  [11529] = {.lex_state = 6, .external_lex_state = 2},
  [11530] = {.lex_state = 170, .external_lex_state = 3},
  [11531] = {.lex_state = 425, .external_lex_state = 3},
  [11532] = {.lex_state = 6, .external_lex_state = 2},
  [11533] = {.lex_state = 425, .external_lex_state = 3},
  [11534] = {.lex_state = 425, .external_lex_state = 3},
  [11535] = {.lex_state = 6, .external_lex_state = 2},
  [11536] = {.lex_state = 170, .external_lex_state = 3},
  [11537] = {.lex_state = 6, .external_lex_state = 2},
  [11538] = {.lex_state = 6, .external_lex_state = 2},
  [11539] = {.lex_state = 185, .external_lex_state = 3},
  [11540] = {.lex_state = 425, .external_lex_state = 3},
  [11541] = {.lex_state = 170, .external_lex_state = 3},
  [11542] = {.lex_state = 170, .external_lex_state = 3},
  [11543] = {.lex_state = 17, .external_lex_state = 3},
  [11544] = {.lex_state = 425, .external_lex_state = 3},
  [11545] = {.lex_state = 425, .external_lex_state = 3},
  [11546] = {.lex_state = 139, .external_lex_state = 3},
  [11547] = {.lex_state = 170, .external_lex_state = 3},
  [11548] = {.lex_state = 163, .external_lex_state = 3},
  [11549] = {.lex_state = 139, .external_lex_state = 3},
  [11550] = {.lex_state = 6, .external_lex_state = 2},
  [11551] = {.lex_state = 6, .external_lex_state = 2},
  [11552] = {.lex_state = 414, .external_lex_state = 3},
  [11553] = {.lex_state = 6, .external_lex_state = 2},
  [11554] = {.lex_state = 17, .external_lex_state = 3},
  [11555] = {.lex_state = 414, .external_lex_state = 3},
  [11556] = {.lex_state = 414, .external_lex_state = 3},
  [11557] = {.lex_state = 425, .external_lex_state = 3},
  [11558] = {.lex_state = 6, .external_lex_state = 2},
  [11559] = {.lex_state = 139, .external_lex_state = 3},
  [11560] = {.lex_state = 6, .external_lex_state = 2},
  [11561] = {.lex_state = 139, .external_lex_state = 3},
  [11562] = {.lex_state = 174, .external_lex_state = 3},
  [11563] = {.lex_state = 425, .external_lex_state = 3},
  [11564] = {.lex_state = 170, .external_lex_state = 3},
  [11565] = {.lex_state = 6, .external_lex_state = 2},
  [11566] = {.lex_state = 163, .external_lex_state = 3},
  [11567] = {.lex_state = 6, .external_lex_state = 2},
  [11568] = {.lex_state = 6, .external_lex_state = 2},
  [11569] = {.lex_state = 170, .external_lex_state = 3},
  [11570] = {.lex_state = 425, .external_lex_state = 3},
  [11571] = {.lex_state = 6, .external_lex_state = 2},
  [11572] = {.lex_state = 425, .external_lex_state = 3},
  [11573] = {.lex_state = 139, .external_lex_state = 3},
  [11574] = {.lex_state = 163, .external_lex_state = 3},
  [11575] = {.lex_state = 130, .external_lex_state = 3},
  [11576] = {.lex_state = 18, .external_lex_state = 3},
  [11577] = {.lex_state = 163, .external_lex_state = 3},
  [11578] = {.lex_state = 6, .external_lex_state = 2},
  [11579] = {.lex_state = 139, .external_lex_state = 3},
  [11580] = {.lex_state = 139, .external_lex_state = 3},
  [11581] = {.lex_state = 139, .external_lex_state = 3},
  [11582] = {.lex_state = 139, .external_lex_state = 3},
  [11583] = {.lex_state = 139, .external_lex_state = 3},
  [11584] = {.lex_state = 139, .external_lex_state = 3},
  [11585] = {.lex_state = 130, .external_lex_state = 3},
  [11586] = {.lex_state = 6, .external_lex_state = 2},
  [11587] = {.lex_state = 6, .external_lex_state = 2},
  [11588] = {.lex_state = 139, .external_lex_state = 3},
  [11589] = {.lex_state = 6, .external_lex_state = 2},
  [11590] = {.lex_state = 425, .external_lex_state = 3},
  [11591] = {.lex_state = 6, .external_lex_state = 2},
  [11592] = {.lex_state = 139, .external_lex_state = 3},
  [11593] = {.lex_state = 6, .external_lex_state = 2},
  [11594] = {.lex_state = 170, .external_lex_state = 3},
  [11595] = {.lex_state = 175, .external_lex_state = 3},
  [11596] = {.lex_state = 18, .external_lex_state = 3},
  [11597] = {.lex_state = 6, .external_lex_state = 2},
  [11598] = {.lex_state = 425, .external_lex_state = 3},
  [11599] = {.lex_state = 425, .external_lex_state = 3},
  [11600] = {.lex_state = 425, .external_lex_state = 3},
  [11601] = {.lex_state = 434, .external_lex_state = 3},
  [11602] = {.lex_state = 425, .external_lex_state = 3},
  [11603] = {.lex_state = 425, .external_lex_state = 3},
  [11604] = {.lex_state = 425, .external_lex_state = 3},
  [11605] = {.lex_state = 425, .external_lex_state = 3},
  [11606] = {.lex_state = 130, .external_lex_state = 3},
  [11607] = {.lex_state = 131, .external_lex_state = 3},
  [11608] = {.lex_state = 161, .external_lex_state = 3},
  [11609] = {.lex_state = 425, .external_lex_state = 3},
  [11610] = {.lex_state = 434, .external_lex_state = 3},
  [11611] = {.lex_state = 434, .external_lex_state = 3},
  [11612] = {.lex_state = 161, .external_lex_state = 3},
  [11613] = {.lex_state = 131, .external_lex_state = 3},
  [11614] = {.lex_state = 425, .external_lex_state = 3},
  [11615] = {.lex_state = 425, .external_lex_state = 3},
  [11616] = {.lex_state = 434, .external_lex_state = 3},
  [11617] = {.lex_state = 131, .external_lex_state = 3},
  [11618] = {.lex_state = 131, .external_lex_state = 3},
  [11619] = {.lex_state = 434, .external_lex_state = 3},
  [11620] = {.lex_state = 131, .external_lex_state = 3},
  [11621] = {.lex_state = 129, .external_lex_state = 3},
  [11622] = {.lex_state = 425, .external_lex_state = 3},
  [11623] = {.lex_state = 131, .external_lex_state = 3},
  [11624] = {.lex_state = 131, .external_lex_state = 3},
  [11625] = {.lex_state = 17, .external_lex_state = 3},
  [11626] = {.lex_state = 425, .external_lex_state = 3},
  [11627] = {.lex_state = 131, .external_lex_state = 3},
  [11628] = {.lex_state = 425, .external_lex_state = 3},
  [11629] = {.lex_state = 17, .external_lex_state = 3},
  [11630] = {.lex_state = 17, .external_lex_state = 3},
  [11631] = {.lex_state = 412, .external_lex_state = 2},
  [11632] = {.lex_state = 425, .external_lex_state = 3},
  [11633] = {.lex_state = 425, .external_lex_state = 3},
  [11634] = {.lex_state = 425, .external_lex_state = 3},
  [11635] = {.lex_state = 17, .external_lex_state = 3},
  [11636] = {.lex_state = 136, .external_lex_state = 3},
  [11637] = {.lex_state = 129, .external_lex_state = 3},
  [11638] = {.lex_state = 129, .external_lex_state = 3},
  [11639] = {.lex_state = 434, .external_lex_state = 3},
  [11640] = {.lex_state = 129, .external_lex_state = 3},
  [11641] = {.lex_state = 425, .external_lex_state = 3},
  [11642] = {.lex_state = 425, .external_lex_state = 3},
  [11643] = {.lex_state = 130, .external_lex_state = 3},
  [11644] = {.lex_state = 425, .external_lex_state = 3},
  [11645] = {.lex_state = 434, .external_lex_state = 3},
  [11646] = {.lex_state = 425, .external_lex_state = 3},
  [11647] = {.lex_state = 425, .external_lex_state = 3},
  [11648] = {.lex_state = 425, .external_lex_state = 3},
  [11649] = {.lex_state = 425, .external_lex_state = 3},
  [11650] = {.lex_state = 425, .external_lex_state = 3},
  [11651] = {.lex_state = 425, .external_lex_state = 3},
  [11652] = {.lex_state = 425, .external_lex_state = 3},
  [11653] = {.lex_state = 425, .external_lex_state = 3},
  [11654] = {.lex_state = 434, .external_lex_state = 3},
  [11655] = {.lex_state = 425, .external_lex_state = 3},
  [11656] = {.lex_state = 434, .external_lex_state = 3},
  [11657] = {.lex_state = 425, .external_lex_state = 3},
  [11658] = {.lex_state = 425, .external_lex_state = 3},
  [11659] = {.lex_state = 181, .external_lex_state = 3},
  [11660] = {.lex_state = 425, .external_lex_state = 3},
  [11661] = {.lex_state = 425, .external_lex_state = 3},
  [11662] = {.lex_state = 434, .external_lex_state = 3},
  [11663] = {.lex_state = 425, .external_lex_state = 3},
  [11664] = {.lex_state = 425, .external_lex_state = 3},
  [11665] = {.lex_state = 425, .external_lex_state = 3},
  [11666] = {.lex_state = 425, .external_lex_state = 3},
  [11667] = {.lex_state = 425, .external_lex_state = 3},
  [11668] = {.lex_state = 425, .external_lex_state = 3},
  [11669] = {.lex_state = 425, .external_lex_state = 3},
  [11670] = {.lex_state = 425, .external_lex_state = 3},
  [11671] = {.lex_state = 425, .external_lex_state = 3},
  [11672] = {.lex_state = 181, .external_lex_state = 3},
  [11673] = {.lex_state = 425, .external_lex_state = 3},
  [11674] = {.lex_state = 425, .external_lex_state = 3},
  [11675] = {.lex_state = 177, .external_lex_state = 3},
  [11676] = {.lex_state = 425, .external_lex_state = 3},
  [11677] = {.lex_state = 412, .external_lex_state = 3},
  [11678] = {.lex_state = 138, .external_lex_state = 3},
  [11679] = {.lex_state = 425, .external_lex_state = 3},
  [11680] = {.lex_state = 425, .external_lex_state = 3},
  [11681] = {.lex_state = 425, .external_lex_state = 3},
  [11682] = {.lex_state = 425, .external_lex_state = 3},
  [11683] = {.lex_state = 414, .external_lex_state = 3},
  [11684] = {.lex_state = 173, .external_lex_state = 3},
  [11685] = {.lex_state = 181, .external_lex_state = 3},
  [11686] = {.lex_state = 173, .external_lex_state = 3},
  [11687] = {.lex_state = 434, .external_lex_state = 3},
  [11688] = {.lex_state = 129, .external_lex_state = 3},
  [11689] = {.lex_state = 131, .external_lex_state = 3},
  [11690] = {.lex_state = 131, .external_lex_state = 3},
  [11691] = {.lex_state = 425, .external_lex_state = 3},
  [11692] = {.lex_state = 131, .external_lex_state = 3},
  [11693] = {.lex_state = 425, .external_lex_state = 3},
  [11694] = {.lex_state = 425, .external_lex_state = 3},
  [11695] = {.lex_state = 425, .external_lex_state = 3},
  [11696] = {.lex_state = 425, .external_lex_state = 3},
  [11697] = {.lex_state = 425, .external_lex_state = 3},
  [11698] = {.lex_state = 425, .external_lex_state = 3},
  [11699] = {.lex_state = 189, .external_lex_state = 3},
  [11700] = {.lex_state = 131, .external_lex_state = 3},
  [11701] = {.lex_state = 131, .external_lex_state = 3},
  [11702] = {.lex_state = 425, .external_lex_state = 3},
  [11703] = {.lex_state = 425, .external_lex_state = 3},
  [11704] = {.lex_state = 425, .external_lex_state = 3},
  [11705] = {.lex_state = 131, .external_lex_state = 3},
  [11706] = {.lex_state = 173, .external_lex_state = 3},
  [11707] = {.lex_state = 425, .external_lex_state = 3},
  [11708] = {.lex_state = 425, .external_lex_state = 3},
  [11709] = {.lex_state = 425, .external_lex_state = 3},
  [11710] = {.lex_state = 131, .external_lex_state = 3},
  [11711] = {.lex_state = 425, .external_lex_state = 3},
  [11712] = {.lex_state = 425, .external_lex_state = 3},
  [11713] = {.lex_state = 425, .external_lex_state = 3},
  [11714] = {.lex_state = 131, .external_lex_state = 3},
  [11715] = {.lex_state = 425, .external_lex_state = 3},
  [11716] = {.lex_state = 176, .external_lex_state = 3},
  [11717] = {.lex_state = 425, .external_lex_state = 3},
  [11718] = {.lex_state = 425, .external_lex_state = 3},
  [11719] = {.lex_state = 425, .external_lex_state = 3},
  [11720] = {.lex_state = 429, .external_lex_state = 3},
  [11721] = {.lex_state = 425, .external_lex_state = 3},
  [11722] = {.lex_state = 425, .external_lex_state = 3},
  [11723] = {.lex_state = 181, .external_lex_state = 3},
  [11724] = {.lex_state = 181, .external_lex_state = 3},
  [11725] = {.lex_state = 425, .external_lex_state = 3},
  [11726] = {.lex_state = 425, .external_lex_state = 3},
  [11727] = {.lex_state = 425, .external_lex_state = 3},
  [11728] = {.lex_state = 425, .external_lex_state = 3},
  [11729] = {.lex_state = 181, .external_lex_state = 3},
  [11730] = {.lex_state = 425, .external_lex_state = 3},
  [11731] = {.lex_state = 425, .external_lex_state = 3},
  [11732] = {.lex_state = 150, .external_lex_state = 2},
  [11733] = {.lex_state = 425, .external_lex_state = 3},
  [11734] = {.lex_state = 425, .external_lex_state = 3},
  [11735] = {.lex_state = 131, .external_lex_state = 3},
  [11736] = {.lex_state = 425, .external_lex_state = 3},
  [11737] = {.lex_state = 425, .external_lex_state = 3},
  [11738] = {.lex_state = 131, .external_lex_state = 3},
  [11739] = {.lex_state = 425, .external_lex_state = 3},
  [11740] = {.lex_state = 425, .external_lex_state = 3},
  [11741] = {.lex_state = 434, .external_lex_state = 3},
  [11742] = {.lex_state = 129, .external_lex_state = 3},
  [11743] = {.lex_state = 425, .external_lex_state = 3},
  [11744] = {.lex_state = 425, .external_lex_state = 3},
  [11745] = {.lex_state = 130, .external_lex_state = 3},
  [11746] = {.lex_state = 130, .external_lex_state = 3},
  [11747] = {.lex_state = 187, .external_lex_state = 3},
  [11748] = {.lex_state = 425, .external_lex_state = 3},
  [11749] = {.lex_state = 425, .external_lex_state = 3},
  [11750] = {.lex_state = 425, .external_lex_state = 3},
  [11751] = {.lex_state = 425, .external_lex_state = 3},
  [11752] = {.lex_state = 425, .external_lex_state = 3},
  [11753] = {.lex_state = 129, .external_lex_state = 3},
  [11754] = {.lex_state = 425, .external_lex_state = 3},
  [11755] = {.lex_state = 425, .external_lex_state = 3},
  [11756] = {.lex_state = 425, .external_lex_state = 3},
  [11757] = {.lex_state = 425, .external_lex_state = 3},
  [11758] = {.lex_state = 425, .external_lex_state = 3},
  [11759] = {.lex_state = 425, .external_lex_state = 3},
  [11760] = {.lex_state = 425, .external_lex_state = 3},
  [11761] = {.lex_state = 129, .external_lex_state = 3},
  [11762] = {.lex_state = 425, .external_lex_state = 3},
  [11763] = {.lex_state = 425, .external_lex_state = 3},
  [11764] = {.lex_state = 425, .external_lex_state = 3},
  [11765] = {.lex_state = 425, .external_lex_state = 3},
  [11766] = {.lex_state = 129, .external_lex_state = 3},
  [11767] = {.lex_state = 130, .external_lex_state = 3},
  [11768] = {.lex_state = 425, .external_lex_state = 3},
  [11769] = {.lex_state = 425, .external_lex_state = 3},
  [11770] = {.lex_state = 425, .external_lex_state = 3},
  [11771] = {.lex_state = 18, .external_lex_state = 3},
  [11772] = {.lex_state = 425, .external_lex_state = 3},
  [11773] = {.lex_state = 425, .external_lex_state = 3},
  [11774] = {.lex_state = 425, .external_lex_state = 3},
  [11775] = {.lex_state = 425, .external_lex_state = 3},
  [11776] = {.lex_state = 181, .external_lex_state = 3},
  [11777] = {.lex_state = 425, .external_lex_state = 3},
  [11778] = {.lex_state = 181, .external_lex_state = 3},
  [11779] = {.lex_state = 129, .external_lex_state = 3},
  [11780] = {.lex_state = 34, .external_lex_state = 2},
  [11781] = {.lex_state = 129, .external_lex_state = 3},
  [11782] = {.lex_state = 129, .external_lex_state = 3},
  [11783] = {.lex_state = 425, .external_lex_state = 3},
  [11784] = {.lex_state = 434, .external_lex_state = 3},
  [11785] = {.lex_state = 425, .external_lex_state = 3},
  [11786] = {.lex_state = 425, .external_lex_state = 3},
  [11787] = {.lex_state = 175, .external_lex_state = 3},
  [11788] = {.lex_state = 425, .external_lex_state = 3},
  [11789] = {.lex_state = 129, .external_lex_state = 3},
  [11790] = {.lex_state = 425, .external_lex_state = 3},
  [11791] = {.lex_state = 425, .external_lex_state = 3},
  [11792] = {.lex_state = 131, .external_lex_state = 3},
  [11793] = {.lex_state = 131, .external_lex_state = 3},
  [11794] = {.lex_state = 131, .external_lex_state = 3},
  [11795] = {.lex_state = 425, .external_lex_state = 3},
  [11796] = {.lex_state = 181, .external_lex_state = 3},
  [11797] = {.lex_state = 425, .external_lex_state = 3},
  [11798] = {.lex_state = 425, .external_lex_state = 3},
  [11799] = {.lex_state = 425, .external_lex_state = 3},
  [11800] = {.lex_state = 429, .external_lex_state = 3},
  [11801] = {.lex_state = 34, .external_lex_state = 2},
  [11802] = {.lex_state = 175, .external_lex_state = 3},
  [11803] = {.lex_state = 425, .external_lex_state = 3},
  [11804] = {.lex_state = 130, .external_lex_state = 3},
  [11805] = {.lex_state = 425, .external_lex_state = 3},
  [11806] = {.lex_state = 425, .external_lex_state = 3},
  [11807] = {.lex_state = 425, .external_lex_state = 3},
  [11808] = {.lex_state = 425, .external_lex_state = 3},
  [11809] = {.lex_state = 129, .external_lex_state = 3},
  [11810] = {.lex_state = 425, .external_lex_state = 3},
  [11811] = {.lex_state = 425, .external_lex_state = 3},
  [11812] = {.lex_state = 129, .external_lex_state = 3},
  [11813] = {.lex_state = 425, .external_lex_state = 3},
  [11814] = {.lex_state = 434, .external_lex_state = 3},
  [11815] = {.lex_state = 425, .external_lex_state = 3},
  [11816] = {.lex_state = 425, .external_lex_state = 3},
  [11817] = {.lex_state = 425, .external_lex_state = 3},
  [11818] = {.lex_state = 434, .external_lex_state = 3},
  [11819] = {.lex_state = 434, .external_lex_state = 3},
  [11820] = {.lex_state = 434, .external_lex_state = 3},
  [11821] = {.lex_state = 425, .external_lex_state = 3},
  [11822] = {.lex_state = 161, .external_lex_state = 3},
  [11823] = {.lex_state = 425, .external_lex_state = 3},
  [11824] = {.lex_state = 425, .external_lex_state = 3},
  [11825] = {.lex_state = 34, .external_lex_state = 2},
  [11826] = {.lex_state = 130, .external_lex_state = 3},
  [11827] = {.lex_state = 434, .external_lex_state = 3},
  [11828] = {.lex_state = 434, .external_lex_state = 3},
  [11829] = {.lex_state = 434, .external_lex_state = 3},
  [11830] = {.lex_state = 425, .external_lex_state = 3},
  [11831] = {.lex_state = 131, .external_lex_state = 3},
  [11832] = {.lex_state = 434, .external_lex_state = 3},
  [11833] = {.lex_state = 434, .external_lex_state = 3},
  [11834] = {.lex_state = 434, .external_lex_state = 3},
  [11835] = {.lex_state = 425, .external_lex_state = 3},
  [11836] = {.lex_state = 161, .external_lex_state = 3},
  [11837] = {.lex_state = 425, .external_lex_state = 3},
  [11838] = {.lex_state = 434, .external_lex_state = 3},
  [11839] = {.lex_state = 434, .external_lex_state = 3},
  [11840] = {.lex_state = 425, .external_lex_state = 3},
  [11841] = {.lex_state = 425, .external_lex_state = 3},
  [11842] = {.lex_state = 131, .external_lex_state = 3},
  [11843] = {.lex_state = 131, .external_lex_state = 3},
  [11844] = {.lex_state = 425, .external_lex_state = 3},
  [11845] = {.lex_state = 425, .external_lex_state = 3},
  [11846] = {.lex_state = 425, .external_lex_state = 3},
  [11847] = {.lex_state = 129, .external_lex_state = 3},
  [11848] = {.lex_state = 129, .external_lex_state = 3},
  [11849] = {.lex_state = 6, .external_lex_state = 2},
  [11850] = {.lex_state = 175, .external_lex_state = 3},
  [11851] = {.lex_state = 425, .external_lex_state = 3},
  [11852] = {.lex_state = 425, .external_lex_state = 3},
  [11853] = {.lex_state = 130, .external_lex_state = 3},
  [11854] = {.lex_state = 130, .external_lex_state = 3},
  [11855] = {.lex_state = 131, .external_lex_state = 3},
  [11856] = {.lex_state = 131, .external_lex_state = 3},
  [11857] = {.lex_state = 425, .external_lex_state = 3},
  [11858] = {.lex_state = 129, .external_lex_state = 3},
  [11859] = {.lex_state = 434, .external_lex_state = 3},
  [11860] = {.lex_state = 129, .external_lex_state = 3},
  [11861] = {.lex_state = 434, .external_lex_state = 3},
  [11862] = {.lex_state = 425, .external_lex_state = 3},
  [11863] = {.lex_state = 130, .external_lex_state = 3},
  [11864] = {.lex_state = 425, .external_lex_state = 3},
  [11865] = {.lex_state = 175, .external_lex_state = 3},
  [11866] = {.lex_state = 425, .external_lex_state = 3},
  [11867] = {.lex_state = 173, .external_lex_state = 3},
  [11868] = {.lex_state = 425, .external_lex_state = 3},
  [11869] = {.lex_state = 425, .external_lex_state = 3},
  [11870] = {.lex_state = 130, .external_lex_state = 3},
  [11871] = {.lex_state = 414, .external_lex_state = 3},
  [11872] = {.lex_state = 425, .external_lex_state = 3},
  [11873] = {.lex_state = 425, .external_lex_state = 3},
  [11874] = {.lex_state = 175, .external_lex_state = 3},
  [11875] = {.lex_state = 174, .external_lex_state = 3},
  [11876] = {.lex_state = 17, .external_lex_state = 3},
  [11877] = {.lex_state = 174, .external_lex_state = 3},
  [11878] = {.lex_state = 130, .external_lex_state = 3},
  [11879] = {.lex_state = 434, .external_lex_state = 3},
  [11880] = {.lex_state = 425, .external_lex_state = 3},
  [11881] = {.lex_state = 425, .external_lex_state = 3},
  [11882] = {.lex_state = 434, .external_lex_state = 3},
  [11883] = {.lex_state = 425, .external_lex_state = 3},
  [11884] = {.lex_state = 425, .external_lex_state = 3},
  [11885] = {.lex_state = 174, .external_lex_state = 3},
  [11886] = {.lex_state = 173, .external_lex_state = 3},
  [11887] = {.lex_state = 425, .external_lex_state = 3},
  [11888] = {.lex_state = 434, .external_lex_state = 3},
  [11889] = {.lex_state = 425, .external_lex_state = 3},
  [11890] = {.lex_state = 425, .external_lex_state = 3},
  [11891] = {.lex_state = 425, .external_lex_state = 3},
  [11892] = {.lex_state = 425, .external_lex_state = 3},
  [11893] = {.lex_state = 130, .external_lex_state = 3},
  [11894] = {.lex_state = 181, .external_lex_state = 3},
  [11895] = {.lex_state = 412, .external_lex_state = 3},
  [11896] = {.lex_state = 175, .external_lex_state = 3},
  [11897] = {.lex_state = 425, .external_lex_state = 3},
  [11898] = {.lex_state = 173, .external_lex_state = 3},
  [11899] = {.lex_state = 185, .external_lex_state = 3},
  [11900] = {.lex_state = 131, .external_lex_state = 3},
  [11901] = {.lex_state = 425, .external_lex_state = 3},
  [11902] = {.lex_state = 425, .external_lex_state = 3},
  [11903] = {.lex_state = 173, .external_lex_state = 3},
  [11904] = {.lex_state = 434, .external_lex_state = 3},
  [11905] = {.lex_state = 425, .external_lex_state = 3},
  [11906] = {.lex_state = 425, .external_lex_state = 3},
  [11907] = {.lex_state = 434, .external_lex_state = 3},
  [11908] = {.lex_state = 173, .external_lex_state = 3},
  [11909] = {.lex_state = 429, .external_lex_state = 3},
  [11910] = {.lex_state = 140, .external_lex_state = 3},
  [11911] = {.lex_state = 428, .external_lex_state = 3},
  [11912] = {.lex_state = 425, .external_lex_state = 3},
  [11913] = {.lex_state = 425, .external_lex_state = 3},
  [11914] = {.lex_state = 434, .external_lex_state = 3},
  [11915] = {.lex_state = 425, .external_lex_state = 3},
  [11916] = {.lex_state = 428, .external_lex_state = 3},
  [11917] = {.lex_state = 425, .external_lex_state = 3},
  [11918] = {.lex_state = 174, .external_lex_state = 3},
  [11919] = {.lex_state = 18, .external_lex_state = 3},
  [11920] = {.lex_state = 425, .external_lex_state = 3},
  [11921] = {.lex_state = 174, .external_lex_state = 3},
  [11922] = {.lex_state = 425, .external_lex_state = 3},
  [11923] = {.lex_state = 425, .external_lex_state = 3},
  [11924] = {.lex_state = 130, .external_lex_state = 3},
  [11925] = {.lex_state = 131, .external_lex_state = 3},
  [11926] = {.lex_state = 414, .external_lex_state = 3},
  [11927] = {.lex_state = 425, .external_lex_state = 3},
  [11928] = {.lex_state = 174, .external_lex_state = 3},
  [11929] = {.lex_state = 425, .external_lex_state = 3},
  [11930] = {.lex_state = 425, .external_lex_state = 3},
  [11931] = {.lex_state = 18, .external_lex_state = 3},
  [11932] = {.lex_state = 130, .external_lex_state = 3},
  [11933] = {.lex_state = 18, .external_lex_state = 3},
  [11934] = {.lex_state = 18, .external_lex_state = 3},
  [11935] = {.lex_state = 173, .external_lex_state = 3},
  [11936] = {.lex_state = 173, .external_lex_state = 3},
  [11937] = {.lex_state = 425, .external_lex_state = 3},
  [11938] = {.lex_state = 425, .external_lex_state = 3},
  [11939] = {.lex_state = 425, .external_lex_state = 3},
  [11940] = {.lex_state = 131, .external_lex_state = 3},
  [11941] = {.lex_state = 130, .external_lex_state = 3},
  [11942] = {.lex_state = 425, .external_lex_state = 3},
  [11943] = {.lex_state = 130, .external_lex_state = 3},
  [11944] = {.lex_state = 130, .external_lex_state = 3},
  [11945] = {.lex_state = 428, .external_lex_state = 3},
  [11946] = {.lex_state = 434, .external_lex_state = 3},
  [11947] = {.lex_state = 425, .external_lex_state = 3},
  [11948] = {.lex_state = 434, .external_lex_state = 3},
  [11949] = {.lex_state = 425, .external_lex_state = 3},
  [11950] = {.lex_state = 425, .external_lex_state = 3},
  [11951] = {.lex_state = 425, .external_lex_state = 3},
  [11952] = {.lex_state = 181, .external_lex_state = 3},
  [11953] = {.lex_state = 425, .external_lex_state = 3},
  [11954] = {.lex_state = 130, .external_lex_state = 3},
  [11955] = {.lex_state = 173, .external_lex_state = 3},
  [11956] = {.lex_state = 434, .external_lex_state = 3},
  [11957] = {.lex_state = 434, .external_lex_state = 3},
  [11958] = {.lex_state = 185, .external_lex_state = 3},
  [11959] = {.lex_state = 185, .external_lex_state = 3},
  [11960] = {.lex_state = 425, .external_lex_state = 3},
  [11961] = {.lex_state = 170, .external_lex_state = 3},
  [11962] = {.lex_state = 412, .external_lex_state = 3},
  [11963] = {.lex_state = 425, .external_lex_state = 3},
  [11964] = {.lex_state = 425, .external_lex_state = 3},
  [11965] = {.lex_state = 133, .external_lex_state = 2},
  [11966] = {.lex_state = 17, .external_lex_state = 3},
  [11967] = {.lex_state = 18, .external_lex_state = 3},
  [11968] = {.lex_state = 187, .external_lex_state = 3},
  [11969] = {.lex_state = 18, .external_lex_state = 3},
  [11970] = {.lex_state = 425, .external_lex_state = 3},
  [11971] = {.lex_state = 425, .external_lex_state = 3},
  [11972] = {.lex_state = 17, .external_lex_state = 3},
  [11973] = {.lex_state = 17, .external_lex_state = 3},
  [11974] = {.lex_state = 412, .external_lex_state = 3},
  [11975] = {.lex_state = 170, .external_lex_state = 3},
  [11976] = {.lex_state = 17, .external_lex_state = 3},
  [11977] = {.lex_state = 17, .external_lex_state = 3},
  [11978] = {.lex_state = 17, .external_lex_state = 3},
  [11979] = {.lex_state = 170, .external_lex_state = 3},
  [11980] = {.lex_state = 170, .external_lex_state = 3},
  [11981] = {.lex_state = 425, .external_lex_state = 3},
  [11982] = {.lex_state = 170, .external_lex_state = 3},
  [11983] = {.lex_state = 170, .external_lex_state = 3},
  [11984] = {.lex_state = 170, .external_lex_state = 3},
  [11985] = {.lex_state = 17, .external_lex_state = 3},
  [11986] = {.lex_state = 170, .external_lex_state = 3},
  [11987] = {.lex_state = 170, .external_lex_state = 3},
  [11988] = {.lex_state = 170, .external_lex_state = 3},
  [11989] = {.lex_state = 170, .external_lex_state = 3},
  [11990] = {.lex_state = 412, .external_lex_state = 3},
  [11991] = {.lex_state = 185, .external_lex_state = 3},
  [11992] = {.lex_state = 18, .external_lex_state = 3},
  [11993] = {.lex_state = 18, .external_lex_state = 3},
  [11994] = {.lex_state = 18, .external_lex_state = 3},
  [11995] = {.lex_state = 170, .external_lex_state = 3},
  [11996] = {.lex_state = 161, .external_lex_state = 3},
  [11997] = {.lex_state = 170, .external_lex_state = 3},
  [11998] = {.lex_state = 425, .external_lex_state = 3},
  [11999] = {.lex_state = 412, .external_lex_state = 3},
  [12000] = {.lex_state = 185, .external_lex_state = 3},
  [12001] = {.lex_state = 129, .external_lex_state = 3},
  [12002] = {.lex_state = 17, .external_lex_state = 3},
  [12003] = {.lex_state = 18, .external_lex_state = 3},
  [12004] = {.lex_state = 425, .external_lex_state = 3},
  [12005] = {.lex_state = 425, .external_lex_state = 3},
  [12006] = {.lex_state = 425, .external_lex_state = 3},
  [12007] = {.lex_state = 412, .external_lex_state = 3},
  [12008] = {.lex_state = 6, .external_lex_state = 2},
  [12009] = {.lex_state = 185, .external_lex_state = 3},
  [12010] = {.lex_state = 412, .external_lex_state = 3},
  [12011] = {.lex_state = 412, .external_lex_state = 3},
  [12012] = {.lex_state = 185, .external_lex_state = 3},
  [12013] = {.lex_state = 185, .external_lex_state = 3},
  [12014] = {.lex_state = 161, .external_lex_state = 3},
  [12015] = {.lex_state = 428, .external_lex_state = 3},
  [12016] = {.lex_state = 412, .external_lex_state = 3},
  [12017] = {.lex_state = 170, .external_lex_state = 3},
  [12018] = {.lex_state = 129, .external_lex_state = 3},
  [12019] = {.lex_state = 129, .external_lex_state = 3},
  [12020] = {.lex_state = 129, .external_lex_state = 3},
  [12021] = {.lex_state = 7, .external_lex_state = 3},
  [12022] = {.lex_state = 185, .external_lex_state = 3},
  [12023] = {.lex_state = 129, .external_lex_state = 3},
  [12024] = {.lex_state = 129, .external_lex_state = 3},
  [12025] = {.lex_state = 129, .external_lex_state = 3},
  [12026] = {.lex_state = 17, .external_lex_state = 3},
  [12027] = {.lex_state = 18, .external_lex_state = 3},
  [12028] = {.lex_state = 18, .external_lex_state = 3},
  [12029] = {.lex_state = 129, .external_lex_state = 3},
  [12030] = {.lex_state = 129, .external_lex_state = 3},
  [12031] = {.lex_state = 129, .external_lex_state = 3},
  [12032] = {.lex_state = 129, .external_lex_state = 3},
  [12033] = {.lex_state = 129, .external_lex_state = 3},
  [12034] = {.lex_state = 18, .external_lex_state = 3},
  [12035] = {.lex_state = 17, .external_lex_state = 3},
  [12036] = {.lex_state = 412, .external_lex_state = 3},
  [12037] = {.lex_state = 18, .external_lex_state = 3},
  [12038] = {.lex_state = 170, .external_lex_state = 3},
  [12039] = {.lex_state = 412, .external_lex_state = 3},
  [12040] = {.lex_state = 425, .external_lex_state = 3},
  [12041] = {.lex_state = 185, .external_lex_state = 3},
  [12042] = {.lex_state = 18, .external_lex_state = 3},
  [12043] = {.lex_state = 170, .external_lex_state = 3},
  [12044] = {.lex_state = 425, .external_lex_state = 3},
  [12045] = {.lex_state = 181, .external_lex_state = 3},
  [12046] = {.lex_state = 18, .external_lex_state = 3},
  [12047] = {.lex_state = 18, .external_lex_state = 3},
  [12048] = {.lex_state = 18, .external_lex_state = 3},
  [12049] = {.lex_state = 18, .external_lex_state = 3},
  [12050] = {.lex_state = 170, .external_lex_state = 3},
  [12051] = {.lex_state = 34, .external_lex_state = 2},
  [12052] = {.lex_state = 412, .external_lex_state = 3},
  [12053] = {.lex_state = 170, .external_lex_state = 3},
  [12054] = {.lex_state = 18, .external_lex_state = 3},
  [12055] = {.lex_state = 18, .external_lex_state = 3},
  [12056] = {.lex_state = 18, .external_lex_state = 3},
  [12057] = {.lex_state = 161, .external_lex_state = 3},
  [12058] = {.lex_state = 170, .external_lex_state = 3},
  [12059] = {.lex_state = 18, .external_lex_state = 3},
  [12060] = {.lex_state = 18, .external_lex_state = 3},
  [12061] = {.lex_state = 412, .external_lex_state = 3},
  [12062] = {.lex_state = 170, .external_lex_state = 3},
  [12063] = {.lex_state = 18, .external_lex_state = 3},
  [12064] = {.lex_state = 173, .external_lex_state = 3},
  [12065] = {.lex_state = 170, .external_lex_state = 3},
  [12066] = {.lex_state = 425, .external_lex_state = 3},
  [12067] = {.lex_state = 18, .external_lex_state = 3},
  [12068] = {.lex_state = 170, .external_lex_state = 3},
  [12069] = {.lex_state = 18, .external_lex_state = 3},
  [12070] = {.lex_state = 170, .external_lex_state = 3},
  [12071] = {.lex_state = 170, .external_lex_state = 3},
  [12072] = {.lex_state = 425, .external_lex_state = 3},
  [12073] = {.lex_state = 170, .external_lex_state = 3},
  [12074] = {.lex_state = 425, .external_lex_state = 3},
  [12075] = {.lex_state = 425, .external_lex_state = 3},
  [12076] = {.lex_state = 170, .external_lex_state = 3},
  [12077] = {.lex_state = 18, .external_lex_state = 3},
  [12078] = {.lex_state = 162, .external_lex_state = 3},
  [12079] = {.lex_state = 185, .external_lex_state = 3},
  [12080] = {.lex_state = 170, .external_lex_state = 3},
  [12081] = {.lex_state = 18, .external_lex_state = 3},
  [12082] = {.lex_state = 170, .external_lex_state = 3},
  [12083] = {.lex_state = 18, .external_lex_state = 3},
  [12084] = {.lex_state = 162, .external_lex_state = 3},
  [12085] = {.lex_state = 162, .external_lex_state = 3},
  [12086] = {.lex_state = 185, .external_lex_state = 3},
  [12087] = {.lex_state = 185, .external_lex_state = 3},
  [12088] = {.lex_state = 18, .external_lex_state = 3},
  [12089] = {.lex_state = 170, .external_lex_state = 3},
  [12090] = {.lex_state = 18, .external_lex_state = 3},
  [12091] = {.lex_state = 18, .external_lex_state = 3},
  [12092] = {.lex_state = 185, .external_lex_state = 3},
  [12093] = {.lex_state = 18, .external_lex_state = 3},
  [12094] = {.lex_state = 170, .external_lex_state = 3},
  [12095] = {.lex_state = 425, .external_lex_state = 3},
  [12096] = {.lex_state = 185, .external_lex_state = 3},
  [12097] = {.lex_state = 185, .external_lex_state = 3},
  [12098] = {.lex_state = 18, .external_lex_state = 3},
  [12099] = {.lex_state = 18, .external_lex_state = 3},
  [12100] = {.lex_state = 412, .external_lex_state = 3},
  [12101] = {.lex_state = 185, .external_lex_state = 3},
  [12102] = {.lex_state = 185, .external_lex_state = 3},
  [12103] = {.lex_state = 18, .external_lex_state = 3},
  [12104] = {.lex_state = 185, .external_lex_state = 3},
  [12105] = {.lex_state = 170, .external_lex_state = 3},
  [12106] = {.lex_state = 18, .external_lex_state = 3},
  [12107] = {.lex_state = 185, .external_lex_state = 3},
  [12108] = {.lex_state = 170, .external_lex_state = 3},
  [12109] = {.lex_state = 170, .external_lex_state = 3},
  [12110] = {.lex_state = 18, .external_lex_state = 3},
  [12111] = {.lex_state = 170, .external_lex_state = 3},
  [12112] = {.lex_state = 170, .external_lex_state = 3},
  [12113] = {.lex_state = 170, .external_lex_state = 3},
  [12114] = {.lex_state = 185, .external_lex_state = 3},
  [12115] = {.lex_state = 185, .external_lex_state = 3},
  [12116] = {.lex_state = 170, .external_lex_state = 3},
  [12117] = {.lex_state = 412, .external_lex_state = 3},
  [12118] = {.lex_state = 170, .external_lex_state = 3},
  [12119] = {.lex_state = 170, .external_lex_state = 3},
  [12120] = {.lex_state = 170, .external_lex_state = 3},
  [12121] = {.lex_state = 412, .external_lex_state = 3},
  [12122] = {.lex_state = 185, .external_lex_state = 3},
  [12123] = {.lex_state = 185, .external_lex_state = 3},
  [12124] = {.lex_state = 412, .external_lex_state = 3},
  [12125] = {.lex_state = 170, .external_lex_state = 3},
  [12126] = {.lex_state = 170, .external_lex_state = 3},
  [12127] = {.lex_state = 170, .external_lex_state = 3},
  [12128] = {.lex_state = 170, .external_lex_state = 3},
  [12129] = {.lex_state = 170, .external_lex_state = 3},
  [12130] = {.lex_state = 173, .external_lex_state = 3},
  [12131] = {.lex_state = 170, .external_lex_state = 3},
  [12132] = {.lex_state = 187, .external_lex_state = 3},
  [12133] = {.lex_state = 170, .external_lex_state = 3},
  [12134] = {.lex_state = 189, .external_lex_state = 3},
  [12135] = {.lex_state = 170, .external_lex_state = 3},
  [12136] = {.lex_state = 170, .external_lex_state = 3},
  [12137] = {.lex_state = 129, .external_lex_state = 3},
  [12138] = {.lex_state = 425, .external_lex_state = 3},
  [12139] = {.lex_state = 187, .external_lex_state = 3},
  [12140] = {.lex_state = 425, .external_lex_state = 3},
  [12141] = {.lex_state = 189, .external_lex_state = 3},
  [12142] = {.lex_state = 17, .external_lex_state = 3},
  [12143] = {.lex_state = 170, .external_lex_state = 3},
  [12144] = {.lex_state = 412, .external_lex_state = 3},
  [12145] = {.lex_state = 412, .external_lex_state = 3},
  [12146] = {.lex_state = 412, .external_lex_state = 3},
  [12147] = {.lex_state = 187, .external_lex_state = 3},
  [12148] = {.lex_state = 425, .external_lex_state = 3},
  [12149] = {.lex_state = 170, .external_lex_state = 3},
  [12150] = {.lex_state = 412, .external_lex_state = 3},
  [12151] = {.lex_state = 185, .external_lex_state = 3},
  [12152] = {.lex_state = 189, .external_lex_state = 3},
  [12153] = {.lex_state = 170, .external_lex_state = 3},
  [12154] = {.lex_state = 185, .external_lex_state = 3},
  [12155] = {.lex_state = 17, .external_lex_state = 3},
  [12156] = {.lex_state = 185, .external_lex_state = 3},
  [12157] = {.lex_state = 185, .external_lex_state = 3},
  [12158] = {.lex_state = 185, .external_lex_state = 3},
  [12159] = {.lex_state = 185, .external_lex_state = 3},
  [12160] = {.lex_state = 185, .external_lex_state = 3},
  [12161] = {.lex_state = 189, .external_lex_state = 3},
  [12162] = {.lex_state = 17, .external_lex_state = 3},
  [12163] = {.lex_state = 170, .external_lex_state = 3},
  [12164] = {.lex_state = 185, .external_lex_state = 3},
  [12165] = {.lex_state = 17, .external_lex_state = 3},
  [12166] = {.lex_state = 170, .external_lex_state = 3},
  [12167] = {.lex_state = 17, .external_lex_state = 3},
  [12168] = {.lex_state = 170, .external_lex_state = 3},
  [12169] = {.lex_state = 412, .external_lex_state = 3},
  [12170] = {.lex_state = 17, .external_lex_state = 3},
  [12171] = {.lex_state = 17, .external_lex_state = 3},
  [12172] = {.lex_state = 17, .external_lex_state = 3},
  [12173] = {.lex_state = 17, .external_lex_state = 3},
  [12174] = {.lex_state = 170, .external_lex_state = 3},
  [12175] = {.lex_state = 17, .external_lex_state = 3},
  [12176] = {.lex_state = 170, .external_lex_state = 3},
  [12177] = {.lex_state = 17, .external_lex_state = 3},
  [12178] = {.lex_state = 17, .external_lex_state = 3},
  [12179] = {.lex_state = 17, .external_lex_state = 3},
  [12180] = {.lex_state = 170, .external_lex_state = 3},
  [12181] = {.lex_state = 17, .external_lex_state = 3},
  [12182] = {.lex_state = 170, .external_lex_state = 3},
  [12183] = {.lex_state = 17, .external_lex_state = 3},
  [12184] = {.lex_state = 185, .external_lex_state = 3},
  [12185] = {.lex_state = 170, .external_lex_state = 3},
  [12186] = {.lex_state = 17, .external_lex_state = 3},
  [12187] = {.lex_state = 17, .external_lex_state = 3},
  [12188] = {.lex_state = 17, .external_lex_state = 3},
  [12189] = {.lex_state = 170, .external_lex_state = 3},
  [12190] = {.lex_state = 170, .external_lex_state = 3},
  [12191] = {.lex_state = 17, .external_lex_state = 3},
  [12192] = {.lex_state = 170, .external_lex_state = 3},
  [12193] = {.lex_state = 425, .external_lex_state = 3},
  [12194] = {.lex_state = 17, .external_lex_state = 3},
  [12195] = {.lex_state = 425, .external_lex_state = 3},
  [12196] = {.lex_state = 17, .external_lex_state = 3},
  [12197] = {.lex_state = 170, .external_lex_state = 3},
  [12198] = {.lex_state = 170, .external_lex_state = 3},
  [12199] = {.lex_state = 17, .external_lex_state = 3},
  [12200] = {.lex_state = 17, .external_lex_state = 3},
  [12201] = {.lex_state = 185, .external_lex_state = 3},
  [12202] = {.lex_state = 170, .external_lex_state = 3},
  [12203] = {.lex_state = 17, .external_lex_state = 3},
  [12204] = {.lex_state = 185, .external_lex_state = 3},
  [12205] = {.lex_state = 17, .external_lex_state = 3},
  [12206] = {.lex_state = 185, .external_lex_state = 3},
  [12207] = {.lex_state = 185, .external_lex_state = 3},
  [12208] = {.lex_state = 185, .external_lex_state = 3},
  [12209] = {.lex_state = 129, .external_lex_state = 3},
  [12210] = {.lex_state = 181, .external_lex_state = 3},
  [12211] = {.lex_state = 412, .external_lex_state = 3},
  [12212] = {.lex_state = 425, .external_lex_state = 3},
  [12213] = {.lex_state = 425, .external_lex_state = 3},
  [12214] = {.lex_state = 412, .external_lex_state = 3},
  [12215] = {.lex_state = 173, .external_lex_state = 3},
  [12216] = {.lex_state = 425, .external_lex_state = 3},
  [12217] = {.lex_state = 412, .external_lex_state = 2},
  [12218] = {.lex_state = 173, .external_lex_state = 3},
  [12219] = {.lex_state = 173, .external_lex_state = 3},
  [12220] = {.lex_state = 412, .external_lex_state = 3},
  [12221] = {.lex_state = 173, .external_lex_state = 3},
  [12222] = {.lex_state = 181, .external_lex_state = 3},
  [12223] = {.lex_state = 425, .external_lex_state = 3},
  [12224] = {.lex_state = 181, .external_lex_state = 3},
  [12225] = {.lex_state = 173, .external_lex_state = 3},
  [12226] = {.lex_state = 173, .external_lex_state = 3},
  [12227] = {.lex_state = 425, .external_lex_state = 3},
  [12228] = {.lex_state = 173, .external_lex_state = 3},
  [12229] = {.lex_state = 173, .external_lex_state = 3},
  [12230] = {.lex_state = 173, .external_lex_state = 3},
  [12231] = {.lex_state = 173, .external_lex_state = 3},
  [12232] = {.lex_state = 173, .external_lex_state = 3},
  [12233] = {.lex_state = 425, .external_lex_state = 3},
  [12234] = {.lex_state = 173, .external_lex_state = 3},
  [12235] = {.lex_state = 173, .external_lex_state = 3},
  [12236] = {.lex_state = 425, .external_lex_state = 3},
  [12237] = {.lex_state = 173, .external_lex_state = 3},
  [12238] = {.lex_state = 19, .external_lex_state = 3},
  [12239] = {.lex_state = 425, .external_lex_state = 3},
  [12240] = {.lex_state = 181, .external_lex_state = 3},
  [12241] = {.lex_state = 181, .external_lex_state = 3},
  [12242] = {.lex_state = 181, .external_lex_state = 3},
  [12243] = {.lex_state = 181, .external_lex_state = 3},
  [12244] = {.lex_state = 181, .external_lex_state = 3},
  [12245] = {.lex_state = 181, .external_lex_state = 3},
  [12246] = {.lex_state = 181, .external_lex_state = 3},
  [12247] = {.lex_state = 425, .external_lex_state = 3},
  [12248] = {.lex_state = 181, .external_lex_state = 3},
  [12249] = {.lex_state = 412, .external_lex_state = 3},
  [12250] = {.lex_state = 425, .external_lex_state = 3},
  [12251] = {.lex_state = 181, .external_lex_state = 3},
  [12252] = {.lex_state = 175, .external_lex_state = 3},
  [12253] = {.lex_state = 181, .external_lex_state = 3},
  [12254] = {.lex_state = 181, .external_lex_state = 3},
  [12255] = {.lex_state = 425, .external_lex_state = 3},
  [12256] = {.lex_state = 181, .external_lex_state = 3},
  [12257] = {.lex_state = 425, .external_lex_state = 3},
  [12258] = {.lex_state = 173, .external_lex_state = 3},
  [12259] = {.lex_state = 181, .external_lex_state = 3},
  [12260] = {.lex_state = 425, .external_lex_state = 3},
  [12261] = {.lex_state = 173, .external_lex_state = 3},
  [12262] = {.lex_state = 425, .external_lex_state = 3},
  [12263] = {.lex_state = 425, .external_lex_state = 3},
  [12264] = {.lex_state = 181, .external_lex_state = 3},
  [12265] = {.lex_state = 425, .external_lex_state = 3},
  [12266] = {.lex_state = 19, .external_lex_state = 3},
  [12267] = {.lex_state = 181, .external_lex_state = 3},
  [12268] = {.lex_state = 181, .external_lex_state = 3},
  [12269] = {.lex_state = 181, .external_lex_state = 3},
  [12270] = {.lex_state = 425, .external_lex_state = 3},
  [12271] = {.lex_state = 181, .external_lex_state = 3},
  [12272] = {.lex_state = 181, .external_lex_state = 3},
  [12273] = {.lex_state = 181, .external_lex_state = 3},
  [12274] = {.lex_state = 425, .external_lex_state = 3},
  [12275] = {.lex_state = 412, .external_lex_state = 3},
  [12276] = {.lex_state = 412, .external_lex_state = 3},
  [12277] = {.lex_state = 131, .external_lex_state = 3},
  [12278] = {.lex_state = 131, .external_lex_state = 3},
  [12279] = {.lex_state = 412, .external_lex_state = 3},
  [12280] = {.lex_state = 131, .external_lex_state = 3},
  [12281] = {.lex_state = 131, .external_lex_state = 3},
  [12282] = {.lex_state = 131, .external_lex_state = 3},
  [12283] = {.lex_state = 412, .external_lex_state = 3},
  [12284] = {.lex_state = 173, .external_lex_state = 3},
  [12285] = {.lex_state = 425, .external_lex_state = 3},
  [12286] = {.lex_state = 425, .external_lex_state = 3},
  [12287] = {.lex_state = 425, .external_lex_state = 3},
  [12288] = {.lex_state = 181, .external_lex_state = 3},
  [12289] = {.lex_state = 425, .external_lex_state = 3},
  [12290] = {.lex_state = 173, .external_lex_state = 3},
  [12291] = {.lex_state = 412, .external_lex_state = 3},
  [12292] = {.lex_state = 425, .external_lex_state = 3},
  [12293] = {.lex_state = 425, .external_lex_state = 3},
  [12294] = {.lex_state = 412, .external_lex_state = 3},
  [12295] = {.lex_state = 412, .external_lex_state = 3},
  [12296] = {.lex_state = 425, .external_lex_state = 3},
  [12297] = {.lex_state = 425, .external_lex_state = 3},
  [12298] = {.lex_state = 425, .external_lex_state = 3},
  [12299] = {.lex_state = 174, .external_lex_state = 3},
  [12300] = {.lex_state = 425, .external_lex_state = 3},
  [12301] = {.lex_state = 174, .external_lex_state = 3},
  [12302] = {.lex_state = 425, .external_lex_state = 3},
  [12303] = {.lex_state = 425, .external_lex_state = 3},
  [12304] = {.lex_state = 412, .external_lex_state = 3},
  [12305] = {.lex_state = 174, .external_lex_state = 3},
  [12306] = {.lex_state = 412, .external_lex_state = 3},
  [12307] = {.lex_state = 173, .external_lex_state = 3},
  [12308] = {.lex_state = 425, .external_lex_state = 3},
  [12309] = {.lex_state = 425, .external_lex_state = 3},
  [12310] = {.lex_state = 425, .external_lex_state = 3},
  [12311] = {.lex_state = 425, .external_lex_state = 3},
  [12312] = {.lex_state = 425, .external_lex_state = 3},
  [12313] = {.lex_state = 425, .external_lex_state = 3},
  [12314] = {.lex_state = 173, .external_lex_state = 3},
  [12315] = {.lex_state = 412, .external_lex_state = 3},
  [12316] = {.lex_state = 412, .external_lex_state = 3},
  [12317] = {.lex_state = 425, .external_lex_state = 3},
  [12318] = {.lex_state = 425, .external_lex_state = 3},
  [12319] = {.lex_state = 173, .external_lex_state = 3},
  [12320] = {.lex_state = 425, .external_lex_state = 3},
  [12321] = {.lex_state = 173, .external_lex_state = 3},
  [12322] = {.lex_state = 412, .external_lex_state = 3},
  [12323] = {.lex_state = 173, .external_lex_state = 3},
  [12324] = {.lex_state = 181, .external_lex_state = 3},
  [12325] = {.lex_state = 173, .external_lex_state = 3},
  [12326] = {.lex_state = 414, .external_lex_state = 3},
  [12327] = {.lex_state = 425, .external_lex_state = 3},
  [12328] = {.lex_state = 425, .external_lex_state = 3},
  [12329] = {.lex_state = 131, .external_lex_state = 3},
  [12330] = {.lex_state = 412, .external_lex_state = 3},
  [12331] = {.lex_state = 412, .external_lex_state = 3},
  [12332] = {.lex_state = 173, .external_lex_state = 3},
  [12333] = {.lex_state = 412, .external_lex_state = 3},
  [12334] = {.lex_state = 412, .external_lex_state = 3},
  [12335] = {.lex_state = 412, .external_lex_state = 3},
  [12336] = {.lex_state = 412, .external_lex_state = 3},
  [12337] = {.lex_state = 425, .external_lex_state = 3},
  [12338] = {.lex_state = 412, .external_lex_state = 3},
  [12339] = {.lex_state = 425, .external_lex_state = 3},
  [12340] = {.lex_state = 412, .external_lex_state = 3},
  [12341] = {.lex_state = 417, .external_lex_state = 3},
  [12342] = {.lex_state = 173, .external_lex_state = 3},
  [12343] = {.lex_state = 173, .external_lex_state = 3},
  [12344] = {.lex_state = 425, .external_lex_state = 3},
  [12345] = {.lex_state = 425, .external_lex_state = 3},
  [12346] = {.lex_state = 173, .external_lex_state = 3},
  [12347] = {.lex_state = 412, .external_lex_state = 3},
  [12348] = {.lex_state = 173, .external_lex_state = 3},
  [12349] = {.lex_state = 425, .external_lex_state = 3},
  [12350] = {.lex_state = 131, .external_lex_state = 3},
  [12351] = {.lex_state = 131, .external_lex_state = 3},
  [12352] = {.lex_state = 412, .external_lex_state = 3},
  [12353] = {.lex_state = 181, .external_lex_state = 3},
  [12354] = {.lex_state = 181, .external_lex_state = 3},
  [12355] = {.lex_state = 173, .external_lex_state = 3},
  [12356] = {.lex_state = 181, .external_lex_state = 3},
  [12357] = {.lex_state = 425, .external_lex_state = 3},
  [12358] = {.lex_state = 412, .external_lex_state = 3},
  [12359] = {.lex_state = 181, .external_lex_state = 3},
  [12360] = {.lex_state = 15, .external_lex_state = 3},
  [12361] = {.lex_state = 412, .external_lex_state = 2},
  [12362] = {.lex_state = 161, .external_lex_state = 3},
  [12363] = {.lex_state = 412, .external_lex_state = 3},
  [12364] = {.lex_state = 425, .external_lex_state = 3},
  [12365] = {.lex_state = 181, .external_lex_state = 3},
  [12366] = {.lex_state = 131, .external_lex_state = 3},
  [12367] = {.lex_state = 412, .external_lex_state = 3},
  [12368] = {.lex_state = 412, .external_lex_state = 3},
  [12369] = {.lex_state = 412, .external_lex_state = 3},
  [12370] = {.lex_state = 412, .external_lex_state = 3},
  [12371] = {.lex_state = 417, .external_lex_state = 3},
  [12372] = {.lex_state = 417, .external_lex_state = 3},
  [12373] = {.lex_state = 15, .external_lex_state = 2},
  [12374] = {.lex_state = 412, .external_lex_state = 3},
  [12375] = {.lex_state = 425, .external_lex_state = 3},
  [12376] = {.lex_state = 412, .external_lex_state = 3},
  [12377] = {.lex_state = 412, .external_lex_state = 3},
  [12378] = {.lex_state = 425, .external_lex_state = 3},
  [12379] = {.lex_state = 425, .external_lex_state = 3},
  [12380] = {.lex_state = 425, .external_lex_state = 3},
  [12381] = {.lex_state = 181, .external_lex_state = 3},
  [12382] = {.lex_state = 412, .external_lex_state = 2},
  [12383] = {.lex_state = 412, .external_lex_state = 3},
  [12384] = {.lex_state = 173, .external_lex_state = 3},
  [12385] = {.lex_state = 412, .external_lex_state = 3},
  [12386] = {.lex_state = 181, .external_lex_state = 3},
  [12387] = {.lex_state = 181, .external_lex_state = 3},
  [12388] = {.lex_state = 412, .external_lex_state = 3},
  [12389] = {.lex_state = 425, .external_lex_state = 3},
  [12390] = {.lex_state = 425, .external_lex_state = 3},
  [12391] = {.lex_state = 175, .external_lex_state = 3},
  [12392] = {.lex_state = 175, .external_lex_state = 3},
  [12393] = {.lex_state = 175, .external_lex_state = 3},
  [12394] = {.lex_state = 425, .external_lex_state = 3},
  [12395] = {.lex_state = 425, .external_lex_state = 3},
  [12396] = {.lex_state = 425, .external_lex_state = 3},
  [12397] = {.lex_state = 425, .external_lex_state = 3},
  [12398] = {.lex_state = 6, .external_lex_state = 3},
  [12399] = {.lex_state = 412, .external_lex_state = 3},
  [12400] = {.lex_state = 425, .external_lex_state = 3},
  [12401] = {.lex_state = 412, .external_lex_state = 3},
  [12402] = {.lex_state = 425, .external_lex_state = 3},
  [12403] = {.lex_state = 8, .external_lex_state = 3},
  [12404] = {.lex_state = 412, .external_lex_state = 3},
  [12405] = {.lex_state = 412, .external_lex_state = 3},
  [12406] = {.lex_state = 412, .external_lex_state = 3},
  [12407] = {.lex_state = 425, .external_lex_state = 3},
  [12408] = {.lex_state = 425, .external_lex_state = 3},
  [12409] = {.lex_state = 412, .external_lex_state = 3},
  [12410] = {.lex_state = 425, .external_lex_state = 3},
  [12411] = {.lex_state = 425, .external_lex_state = 3},
  [12412] = {.lex_state = 425, .external_lex_state = 3},
  [12413] = {.lex_state = 425, .external_lex_state = 3},
  [12414] = {.lex_state = 6, .external_lex_state = 3},
  [12415] = {.lex_state = 425, .external_lex_state = 3},
  [12416] = {.lex_state = 425, .external_lex_state = 3},
  [12417] = {.lex_state = 131, .external_lex_state = 3},
  [12418] = {.lex_state = 425, .external_lex_state = 3},
  [12419] = {.lex_state = 425, .external_lex_state = 3},
  [12420] = {.lex_state = 173, .external_lex_state = 3},
  [12421] = {.lex_state = 412, .external_lex_state = 3},
  [12422] = {.lex_state = 425, .external_lex_state = 3},
  [12423] = {.lex_state = 425, .external_lex_state = 3},
  [12424] = {.lex_state = 131, .external_lex_state = 3},
  [12425] = {.lex_state = 425, .external_lex_state = 3},
  [12426] = {.lex_state = 131, .external_lex_state = 3},
  [12427] = {.lex_state = 131, .external_lex_state = 3},
  [12428] = {.lex_state = 131, .external_lex_state = 3},
  [12429] = {.lex_state = 131, .external_lex_state = 3},
  [12430] = {.lex_state = 425, .external_lex_state = 3},
  [12431] = {.lex_state = 131, .external_lex_state = 3},
  [12432] = {.lex_state = 131, .external_lex_state = 3},
  [12433] = {.lex_state = 19, .external_lex_state = 3},
  [12434] = {.lex_state = 133, .external_lex_state = 2},
  [12435] = {.lex_state = 412, .external_lex_state = 3},
  [12436] = {.lex_state = 131, .external_lex_state = 3},
  [12437] = {.lex_state = 425, .external_lex_state = 3},
  [12438] = {.lex_state = 425, .external_lex_state = 3},
  [12439] = {.lex_state = 425, .external_lex_state = 3},
  [12440] = {.lex_state = 131, .external_lex_state = 3},
  [12441] = {.lex_state = 131, .external_lex_state = 3},
  [12442] = {.lex_state = 412, .external_lex_state = 3},
  [12443] = {.lex_state = 131, .external_lex_state = 3},
  [12444] = {.lex_state = 131, .external_lex_state = 3},
  [12445] = {.lex_state = 131, .external_lex_state = 3},
  [12446] = {.lex_state = 131, .external_lex_state = 3},
  [12447] = {.lex_state = 425, .external_lex_state = 3},
  [12448] = {.lex_state = 8, .external_lex_state = 3},
  [12449] = {.lex_state = 425, .external_lex_state = 3},
  [12450] = {.lex_state = 412, .external_lex_state = 3},
  [12451] = {.lex_state = 412, .external_lex_state = 3},
  [12452] = {.lex_state = 425, .external_lex_state = 3},
  [12453] = {.lex_state = 412, .external_lex_state = 3},
  [12454] = {.lex_state = 183, .external_lex_state = 3},
  [12455] = {.lex_state = 425, .external_lex_state = 3},
  [12456] = {.lex_state = 425, .external_lex_state = 3},
  [12457] = {.lex_state = 412, .external_lex_state = 3},
  [12458] = {.lex_state = 425, .external_lex_state = 3},
  [12459] = {.lex_state = 425, .external_lex_state = 3},
  [12460] = {.lex_state = 425, .external_lex_state = 3},
  [12461] = {.lex_state = 425, .external_lex_state = 3},
  [12462] = {.lex_state = 425, .external_lex_state = 3},
  [12463] = {.lex_state = 412, .external_lex_state = 3},
  [12464] = {.lex_state = 412, .external_lex_state = 3},
  [12465] = {.lex_state = 412, .external_lex_state = 3},
  [12466] = {.lex_state = 8, .external_lex_state = 3},
  [12467] = {.lex_state = 412, .external_lex_state = 3},
  [12468] = {.lex_state = 174, .external_lex_state = 3},
  [12469] = {.lex_state = 425, .external_lex_state = 3},
  [12470] = {.lex_state = 412, .external_lex_state = 3},
  [12471] = {.lex_state = 425, .external_lex_state = 3},
  [12472] = {.lex_state = 425, .external_lex_state = 3},
  [12473] = {.lex_state = 425, .external_lex_state = 3},
  [12474] = {.lex_state = 412, .external_lex_state = 3},
  [12475] = {.lex_state = 412, .external_lex_state = 3},
  [12476] = {.lex_state = 412, .external_lex_state = 3},
  [12477] = {.lex_state = 412, .external_lex_state = 3},
  [12478] = {.lex_state = 412, .external_lex_state = 3},
  [12479] = {.lex_state = 412, .external_lex_state = 3},
  [12480] = {.lex_state = 131, .external_lex_state = 3},
  [12481] = {.lex_state = 15, .external_lex_state = 3},
  [12482] = {.lex_state = 412, .external_lex_state = 3},
  [12483] = {.lex_state = 412, .external_lex_state = 3},
  [12484] = {.lex_state = 412, .external_lex_state = 3},
  [12485] = {.lex_state = 412, .external_lex_state = 3},
  [12486] = {.lex_state = 412, .external_lex_state = 3},
  [12487] = {.lex_state = 412, .external_lex_state = 3},
  [12488] = {.lex_state = 412, .external_lex_state = 3},
  [12489] = {.lex_state = 15, .external_lex_state = 3},
  [12490] = {.lex_state = 412, .external_lex_state = 3},
  [12491] = {.lex_state = 412, .external_lex_state = 3},
  [12492] = {.lex_state = 412, .external_lex_state = 3},
  [12493] = {.lex_state = 412, .external_lex_state = 3},
  [12494] = {.lex_state = 131, .external_lex_state = 3},
  [12495] = {.lex_state = 412, .external_lex_state = 3},
  [12496] = {.lex_state = 412, .external_lex_state = 3},
  [12497] = {.lex_state = 131, .external_lex_state = 3},
  [12498] = {.lex_state = 412, .external_lex_state = 3},
  [12499] = {.lex_state = 412, .external_lex_state = 3},
  [12500] = {.lex_state = 412, .external_lex_state = 3},
  [12501] = {.lex_state = 131, .external_lex_state = 3},
  [12502] = {.lex_state = 131, .external_lex_state = 3},
  [12503] = {.lex_state = 140, .external_lex_state = 3},
  [12504] = {.lex_state = 412, .external_lex_state = 3},
  [12505] = {.lex_state = 412, .external_lex_state = 3},
  [12506] = {.lex_state = 425, .external_lex_state = 3},
  [12507] = {.lex_state = 412, .external_lex_state = 3},
  [12508] = {.lex_state = 15, .external_lex_state = 3},
  [12509] = {.lex_state = 425, .external_lex_state = 3},
  [12510] = {.lex_state = 412, .external_lex_state = 3},
  [12511] = {.lex_state = 412, .external_lex_state = 3},
  [12512] = {.lex_state = 168, .external_lex_state = 3},
  [12513] = {.lex_state = 131, .external_lex_state = 3},
  [12514] = {.lex_state = 131, .external_lex_state = 3},
  [12515] = {.lex_state = 140, .external_lex_state = 3},
  [12516] = {.lex_state = 140, .external_lex_state = 3},
  [12517] = {.lex_state = 412, .external_lex_state = 3},
  [12518] = {.lex_state = 412, .external_lex_state = 3},
  [12519] = {.lex_state = 412, .external_lex_state = 3},
  [12520] = {.lex_state = 425, .external_lex_state = 3},
  [12521] = {.lex_state = 15, .external_lex_state = 3},
  [12522] = {.lex_state = 131, .external_lex_state = 3},
  [12523] = {.lex_state = 412, .external_lex_state = 3},
  [12524] = {.lex_state = 425, .external_lex_state = 3},
  [12525] = {.lex_state = 412, .external_lex_state = 3},
  [12526] = {.lex_state = 412, .external_lex_state = 3},
  [12527] = {.lex_state = 412, .external_lex_state = 3},
  [12528] = {.lex_state = 412, .external_lex_state = 3},
  [12529] = {.lex_state = 174, .external_lex_state = 3},
  [12530] = {.lex_state = 412, .external_lex_state = 3},
  [12531] = {.lex_state = 412, .external_lex_state = 3},
  [12532] = {.lex_state = 412, .external_lex_state = 3},
  [12533] = {.lex_state = 412, .external_lex_state = 3},
  [12534] = {.lex_state = 412, .external_lex_state = 3},
  [12535] = {.lex_state = 425, .external_lex_state = 3},
  [12536] = {.lex_state = 412, .external_lex_state = 3},
  [12537] = {.lex_state = 15, .external_lex_state = 3},
  [12538] = {.lex_state = 412, .external_lex_state = 3},
  [12539] = {.lex_state = 412, .external_lex_state = 3},
  [12540] = {.lex_state = 412, .external_lex_state = 3},
  [12541] = {.lex_state = 15, .external_lex_state = 3},
  [12542] = {.lex_state = 412, .external_lex_state = 3},
  [12543] = {.lex_state = 412, .external_lex_state = 3},
  [12544] = {.lex_state = 412, .external_lex_state = 3},
  [12545] = {.lex_state = 202, .external_lex_state = 3},
  [12546] = {.lex_state = 425, .external_lex_state = 3},
  [12547] = {.lex_state = 412, .external_lex_state = 3},
  [12548] = {.lex_state = 15, .external_lex_state = 3},
  [12549] = {.lex_state = 412, .external_lex_state = 3},
  [12550] = {.lex_state = 412, .external_lex_state = 3},
  [12551] = {.lex_state = 412, .external_lex_state = 3},
  [12552] = {.lex_state = 412, .external_lex_state = 3},
  [12553] = {.lex_state = 412, .external_lex_state = 3},
  [12554] = {.lex_state = 412, .external_lex_state = 3},
  [12555] = {.lex_state = 412, .external_lex_state = 3},
  [12556] = {.lex_state = 15, .external_lex_state = 3},
  [12557] = {.lex_state = 412, .external_lex_state = 3},
  [12558] = {.lex_state = 412, .external_lex_state = 3},
  [12559] = {.lex_state = 412, .external_lex_state = 3},
  [12560] = {.lex_state = 412, .external_lex_state = 3},
  [12561] = {.lex_state = 412, .external_lex_state = 3},
  [12562] = {.lex_state = 131, .external_lex_state = 3},
  [12563] = {.lex_state = 412, .external_lex_state = 3},
  [12564] = {.lex_state = 15, .external_lex_state = 3},
  [12565] = {.lex_state = 412, .external_lex_state = 3},
  [12566] = {.lex_state = 131, .external_lex_state = 3},
  [12567] = {.lex_state = 131, .external_lex_state = 3},
  [12568] = {.lex_state = 131, .external_lex_state = 3},
  [12569] = {.lex_state = 412, .external_lex_state = 3},
  [12570] = {.lex_state = 412, .external_lex_state = 3},
  [12571] = {.lex_state = 412, .external_lex_state = 3},
  [12572] = {.lex_state = 412, .external_lex_state = 3},
  [12573] = {.lex_state = 412, .external_lex_state = 3},
  [12574] = {.lex_state = 425, .external_lex_state = 3},
  [12575] = {.lex_state = 425, .external_lex_state = 3},
  [12576] = {.lex_state = 412, .external_lex_state = 3},
  [12577] = {.lex_state = 412, .external_lex_state = 3},
  [12578] = {.lex_state = 412, .external_lex_state = 3},
  [12579] = {.lex_state = 412, .external_lex_state = 3},
  [12580] = {.lex_state = 412, .external_lex_state = 3},
  [12581] = {.lex_state = 412, .external_lex_state = 3},
  [12582] = {.lex_state = 412, .external_lex_state = 3},
  [12583] = {.lex_state = 412, .external_lex_state = 3},
  [12584] = {.lex_state = 412, .external_lex_state = 3},
  [12585] = {.lex_state = 412, .external_lex_state = 3},
  [12586] = {.lex_state = 131, .external_lex_state = 3},
  [12587] = {.lex_state = 412, .external_lex_state = 3},
  [12588] = {.lex_state = 412, .external_lex_state = 3},
  [12589] = {.lex_state = 412, .external_lex_state = 3},
  [12590] = {.lex_state = 412, .external_lex_state = 3},
  [12591] = {.lex_state = 15, .external_lex_state = 3},
  [12592] = {.lex_state = 132, .external_lex_state = 3},
  [12593] = {.lex_state = 132, .external_lex_state = 3},
  [12594] = {.lex_state = 412, .external_lex_state = 3},
  [12595] = {.lex_state = 412, .external_lex_state = 3},
  [12596] = {.lex_state = 412, .external_lex_state = 3},
  [12597] = {.lex_state = 412, .external_lex_state = 3},
  [12598] = {.lex_state = 412, .external_lex_state = 3},
  [12599] = {.lex_state = 412, .external_lex_state = 3},
  [12600] = {.lex_state = 412, .external_lex_state = 3},
  [12601] = {.lex_state = 425, .external_lex_state = 3},
  [12602] = {.lex_state = 15, .external_lex_state = 3},
  [12603] = {.lex_state = 412, .external_lex_state = 3},
  [12604] = {.lex_state = 412, .external_lex_state = 3},
  [12605] = {.lex_state = 412, .external_lex_state = 3},
  [12606] = {.lex_state = 8, .external_lex_state = 3},
  [12607] = {.lex_state = 412, .external_lex_state = 3},
  [12608] = {.lex_state = 412, .external_lex_state = 3},
  [12609] = {.lex_state = 425, .external_lex_state = 3},
  [12610] = {.lex_state = 412, .external_lex_state = 3},
  [12611] = {.lex_state = 412, .external_lex_state = 3},
  [12612] = {.lex_state = 412, .external_lex_state = 3},
  [12613] = {.lex_state = 412, .external_lex_state = 3},
  [12614] = {.lex_state = 412, .external_lex_state = 3},
  [12615] = {.lex_state = 412, .external_lex_state = 3},
  [12616] = {.lex_state = 15, .external_lex_state = 3},
  [12617] = {.lex_state = 15, .external_lex_state = 3},
  [12618] = {.lex_state = 412, .external_lex_state = 3},
  [12619] = {.lex_state = 412, .external_lex_state = 3},
  [12620] = {.lex_state = 412, .external_lex_state = 3},
  [12621] = {.lex_state = 412, .external_lex_state = 3},
  [12622] = {.lex_state = 136, .external_lex_state = 3},
  [12623] = {.lex_state = 15, .external_lex_state = 3},
  [12624] = {.lex_state = 412, .external_lex_state = 3},
  [12625] = {.lex_state = 412, .external_lex_state = 3},
  [12626] = {.lex_state = 173, .external_lex_state = 3},
  [12627] = {.lex_state = 412, .external_lex_state = 3},
  [12628] = {.lex_state = 412, .external_lex_state = 3},
  [12629] = {.lex_state = 131, .external_lex_state = 3},
  [12630] = {.lex_state = 15, .external_lex_state = 3},
  [12631] = {.lex_state = 412, .external_lex_state = 3},
  [12632] = {.lex_state = 183, .external_lex_state = 3},
  [12633] = {.lex_state = 175, .external_lex_state = 3},
  [12634] = {.lex_state = 15, .external_lex_state = 3},
  [12635] = {.lex_state = 412, .external_lex_state = 3},
  [12636] = {.lex_state = 131, .external_lex_state = 3},
  [12637] = {.lex_state = 412, .external_lex_state = 3},
  [12638] = {.lex_state = 15, .external_lex_state = 3},
  [12639] = {.lex_state = 131, .external_lex_state = 3},
  [12640] = {.lex_state = 425, .external_lex_state = 3},
  [12641] = {.lex_state = 181, .external_lex_state = 3},
  [12642] = {.lex_state = 412, .external_lex_state = 3},
  [12643] = {.lex_state = 412, .external_lex_state = 3},
  [12644] = {.lex_state = 181, .external_lex_state = 3},
  [12645] = {.lex_state = 412, .external_lex_state = 3},
  [12646] = {.lex_state = 412, .external_lex_state = 3},
  [12647] = {.lex_state = 412, .external_lex_state = 3},
  [12648] = {.lex_state = 412, .external_lex_state = 3},
  [12649] = {.lex_state = 425, .external_lex_state = 3},
  [12650] = {.lex_state = 132, .external_lex_state = 3},
  [12651] = {.lex_state = 412, .external_lex_state = 3},
  [12652] = {.lex_state = 412, .external_lex_state = 3},
  [12653] = {.lex_state = 412, .external_lex_state = 3},
  [12654] = {.lex_state = 412, .external_lex_state = 3},
  [12655] = {.lex_state = 412, .external_lex_state = 3},
  [12656] = {.lex_state = 412, .external_lex_state = 3},
  [12657] = {.lex_state = 412, .external_lex_state = 3},
  [12658] = {.lex_state = 15, .external_lex_state = 3},
  [12659] = {.lex_state = 425, .external_lex_state = 3},
  [12660] = {.lex_state = 412, .external_lex_state = 3},
  [12661] = {.lex_state = 412, .external_lex_state = 3},
  [12662] = {.lex_state = 412, .external_lex_state = 3},
  [12663] = {.lex_state = 412, .external_lex_state = 3},
  [12664] = {.lex_state = 412, .external_lex_state = 3},
  [12665] = {.lex_state = 412, .external_lex_state = 3},
  [12666] = {.lex_state = 425, .external_lex_state = 3},
  [12667] = {.lex_state = 15, .external_lex_state = 3},
  [12668] = {.lex_state = 412, .external_lex_state = 3},
  [12669] = {.lex_state = 412, .external_lex_state = 3},
  [12670] = {.lex_state = 412, .external_lex_state = 3},
  [12671] = {.lex_state = 412, .external_lex_state = 3},
  [12672] = {.lex_state = 131, .external_lex_state = 3},
  [12673] = {.lex_state = 15, .external_lex_state = 3},
  [12674] = {.lex_state = 412, .external_lex_state = 3},
  [12675] = {.lex_state = 15, .external_lex_state = 3},
  [12676] = {.lex_state = 412, .external_lex_state = 3},
  [12677] = {.lex_state = 412, .external_lex_state = 3},
  [12678] = {.lex_state = 412, .external_lex_state = 3},
  [12679] = {.lex_state = 15, .external_lex_state = 3},
  [12680] = {.lex_state = 412, .external_lex_state = 3},
  [12681] = {.lex_state = 15, .external_lex_state = 3},
  [12682] = {.lex_state = 131, .external_lex_state = 3},
  [12683] = {.lex_state = 412, .external_lex_state = 3},
  [12684] = {.lex_state = 412, .external_lex_state = 3},
  [12685] = {.lex_state = 412, .external_lex_state = 3},
  [12686] = {.lex_state = 412, .external_lex_state = 3},
  [12687] = {.lex_state = 412, .external_lex_state = 3},
  [12688] = {.lex_state = 412, .external_lex_state = 3},
  [12689] = {.lex_state = 412, .external_lex_state = 3},
  [12690] = {.lex_state = 412, .external_lex_state = 3},
  [12691] = {.lex_state = 412, .external_lex_state = 3},
  [12692] = {.lex_state = 412, .external_lex_state = 3},
  [12693] = {.lex_state = 412, .external_lex_state = 3},
  [12694] = {.lex_state = 412, .external_lex_state = 3},
  [12695] = {.lex_state = 412, .external_lex_state = 3},
  [12696] = {.lex_state = 412, .external_lex_state = 3},
  [12697] = {.lex_state = 412, .external_lex_state = 3},
  [12698] = {.lex_state = 412, .external_lex_state = 3},
  [12699] = {.lex_state = 15, .external_lex_state = 3},
  [12700] = {.lex_state = 15, .external_lex_state = 3},
  [12701] = {.lex_state = 412, .external_lex_state = 3},
  [12702] = {.lex_state = 412, .external_lex_state = 3},
  [12703] = {.lex_state = 412, .external_lex_state = 3},
  [12704] = {.lex_state = 132, .external_lex_state = 3},
  [12705] = {.lex_state = 414, .external_lex_state = 3},
  [12706] = {.lex_state = 412, .external_lex_state = 3},
  [12707] = {.lex_state = 412, .external_lex_state = 3},
  [12708] = {.lex_state = 15, .external_lex_state = 3},
  [12709] = {.lex_state = 412, .external_lex_state = 3},
  [12710] = {.lex_state = 412, .external_lex_state = 3},
  [12711] = {.lex_state = 412, .external_lex_state = 3},
  [12712] = {.lex_state = 425, .external_lex_state = 3},
  [12713] = {.lex_state = 412, .external_lex_state = 3},
  [12714] = {.lex_state = 15, .external_lex_state = 3},
  [12715] = {.lex_state = 425, .external_lex_state = 3},
  [12716] = {.lex_state = 425, .external_lex_state = 3},
  [12717] = {.lex_state = 412, .external_lex_state = 3},
  [12718] = {.lex_state = 412, .external_lex_state = 3},
  [12719] = {.lex_state = 15, .external_lex_state = 3},
  [12720] = {.lex_state = 412, .external_lex_state = 3},
  [12721] = {.lex_state = 412, .external_lex_state = 3},
  [12722] = {.lex_state = 412, .external_lex_state = 3},
  [12723] = {.lex_state = 412, .external_lex_state = 3},
  [12724] = {.lex_state = 412, .external_lex_state = 3},
  [12725] = {.lex_state = 412, .external_lex_state = 3},
  [12726] = {.lex_state = 412, .external_lex_state = 3},
  [12727] = {.lex_state = 412, .external_lex_state = 3},
  [12728] = {.lex_state = 412, .external_lex_state = 3},
  [12729] = {.lex_state = 412, .external_lex_state = 3},
  [12730] = {.lex_state = 412, .external_lex_state = 3},
  [12731] = {.lex_state = 412, .external_lex_state = 3},
  [12732] = {.lex_state = 412, .external_lex_state = 3},
  [12733] = {.lex_state = 412, .external_lex_state = 3},
  [12734] = {.lex_state = 412, .external_lex_state = 3},
  [12735] = {.lex_state = 414, .external_lex_state = 3},
  [12736] = {.lex_state = 412, .external_lex_state = 3},
  [12737] = {.lex_state = 414, .external_lex_state = 3},
  [12738] = {.lex_state = 414, .external_lex_state = 3},
  [12739] = {.lex_state = 15, .external_lex_state = 3},
  [12740] = {.lex_state = 414, .external_lex_state = 3},
  [12741] = {.lex_state = 173, .external_lex_state = 3},
  [12742] = {.lex_state = 414, .external_lex_state = 3},
  [12743] = {.lex_state = 412, .external_lex_state = 3},
  [12744] = {.lex_state = 412, .external_lex_state = 3},
  [12745] = {.lex_state = 412, .external_lex_state = 3},
  [12746] = {.lex_state = 412, .external_lex_state = 3},
  [12747] = {.lex_state = 414, .external_lex_state = 3},
  [12748] = {.lex_state = 412, .external_lex_state = 3},
  [12749] = {.lex_state = 15, .external_lex_state = 3},
  [12750] = {.lex_state = 173, .external_lex_state = 3},
  [12751] = {.lex_state = 412, .external_lex_state = 3},
  [12752] = {.lex_state = 412, .external_lex_state = 3},
  [12753] = {.lex_state = 412, .external_lex_state = 3},
  [12754] = {.lex_state = 412, .external_lex_state = 3},
  [12755] = {.lex_state = 412, .external_lex_state = 3},
  [12756] = {.lex_state = 416, .external_lex_state = 3},
  [12757] = {.lex_state = 412, .external_lex_state = 3},
  [12758] = {.lex_state = 412, .external_lex_state = 3},
  [12759] = {.lex_state = 412, .external_lex_state = 3},
  [12760] = {.lex_state = 412, .external_lex_state = 3},
  [12761] = {.lex_state = 412, .external_lex_state = 3},
  [12762] = {.lex_state = 412, .external_lex_state = 3},
  [12763] = {.lex_state = 173, .external_lex_state = 3},
  [12764] = {.lex_state = 412, .external_lex_state = 3},
  [12765] = {.lex_state = 412, .external_lex_state = 3},
  [12766] = {.lex_state = 412, .external_lex_state = 3},
  [12767] = {.lex_state = 414, .external_lex_state = 3},
  [12768] = {.lex_state = 425, .external_lex_state = 3},
  [12769] = {.lex_state = 15, .external_lex_state = 3},
  [12770] = {.lex_state = 131, .external_lex_state = 3},
  [12771] = {.lex_state = 412, .external_lex_state = 3},
  [12772] = {.lex_state = 412, .external_lex_state = 3},
  [12773] = {.lex_state = 412, .external_lex_state = 3},
  [12774] = {.lex_state = 412, .external_lex_state = 3},
  [12775] = {.lex_state = 412, .external_lex_state = 3},
  [12776] = {.lex_state = 416, .external_lex_state = 3},
  [12777] = {.lex_state = 412, .external_lex_state = 3},
  [12778] = {.lex_state = 416, .external_lex_state = 3},
  [12779] = {.lex_state = 15, .external_lex_state = 3},
  [12780] = {.lex_state = 412, .external_lex_state = 3},
  [12781] = {.lex_state = 414, .external_lex_state = 3},
  [12782] = {.lex_state = 412, .external_lex_state = 3},
  [12783] = {.lex_state = 414, .external_lex_state = 3},
  [12784] = {.lex_state = 174, .external_lex_state = 3},
  [12785] = {.lex_state = 412, .external_lex_state = 3},
  [12786] = {.lex_state = 15, .external_lex_state = 3},
  [12787] = {.lex_state = 412, .external_lex_state = 3},
  [12788] = {.lex_state = 412, .external_lex_state = 3},
  [12789] = {.lex_state = 412, .external_lex_state = 3},
  [12790] = {.lex_state = 412, .external_lex_state = 3},
  [12791] = {.lex_state = 412, .external_lex_state = 3},
  [12792] = {.lex_state = 412, .external_lex_state = 3},
  [12793] = {.lex_state = 425, .external_lex_state = 3},
  [12794] = {.lex_state = 412, .external_lex_state = 3},
  [12795] = {.lex_state = 425, .external_lex_state = 3},
  [12796] = {.lex_state = 412, .external_lex_state = 3},
  [12797] = {.lex_state = 414, .external_lex_state = 3},
  [12798] = {.lex_state = 412, .external_lex_state = 3},
  [12799] = {.lex_state = 412, .external_lex_state = 3},
  [12800] = {.lex_state = 412, .external_lex_state = 3},
  [12801] = {.lex_state = 412, .external_lex_state = 3},
  [12802] = {.lex_state = 412, .external_lex_state = 3},
  [12803] = {.lex_state = 412, .external_lex_state = 3},
  [12804] = {.lex_state = 412, .external_lex_state = 3},
  [12805] = {.lex_state = 412, .external_lex_state = 3},
  [12806] = {.lex_state = 412, .external_lex_state = 3},
  [12807] = {.lex_state = 412, .external_lex_state = 3},
  [12808] = {.lex_state = 412, .external_lex_state = 3},
  [12809] = {.lex_state = 412, .external_lex_state = 3},
  [12810] = {.lex_state = 412, .external_lex_state = 3},
  [12811] = {.lex_state = 15, .external_lex_state = 3},
  [12812] = {.lex_state = 138, .external_lex_state = 3},
  [12813] = {.lex_state = 412, .external_lex_state = 3},
  [12814] = {.lex_state = 412, .external_lex_state = 3},
  [12815] = {.lex_state = 412, .external_lex_state = 3},
  [12816] = {.lex_state = 412, .external_lex_state = 3},
  [12817] = {.lex_state = 412, .external_lex_state = 3},
  [12818] = {.lex_state = 132, .external_lex_state = 3},
  [12819] = {.lex_state = 412, .external_lex_state = 3},
  [12820] = {.lex_state = 15, .external_lex_state = 3},
  [12821] = {.lex_state = 412, .external_lex_state = 3},
  [12822] = {.lex_state = 412, .external_lex_state = 3},
  [12823] = {.lex_state = 15, .external_lex_state = 3},
  [12824] = {.lex_state = 412, .external_lex_state = 3},
  [12825] = {.lex_state = 412, .external_lex_state = 3},
  [12826] = {.lex_state = 412, .external_lex_state = 3},
  [12827] = {.lex_state = 412, .external_lex_state = 3},
  [12828] = {.lex_state = 15, .external_lex_state = 3},
  [12829] = {.lex_state = 412, .external_lex_state = 3},
  [12830] = {.lex_state = 173, .external_lex_state = 3},
  [12831] = {.lex_state = 412, .external_lex_state = 3},
  [12832] = {.lex_state = 412, .external_lex_state = 3},
  [12833] = {.lex_state = 132, .external_lex_state = 3},
  [12834] = {.lex_state = 132, .external_lex_state = 3},
  [12835] = {.lex_state = 132, .external_lex_state = 3},
  [12836] = {.lex_state = 132, .external_lex_state = 3},
  [12837] = {.lex_state = 132, .external_lex_state = 3},
  [12838] = {.lex_state = 132, .external_lex_state = 3},
  [12839] = {.lex_state = 132, .external_lex_state = 3},
  [12840] = {.lex_state = 132, .external_lex_state = 3},
  [12841] = {.lex_state = 412, .external_lex_state = 3},
  [12842] = {.lex_state = 132, .external_lex_state = 3},
  [12843] = {.lex_state = 132, .external_lex_state = 3},
  [12844] = {.lex_state = 132, .external_lex_state = 3},
  [12845] = {.lex_state = 132, .external_lex_state = 3},
  [12846] = {.lex_state = 132, .external_lex_state = 3},
  [12847] = {.lex_state = 15, .external_lex_state = 3},
  [12848] = {.lex_state = 412, .external_lex_state = 3},
  [12849] = {.lex_state = 15, .external_lex_state = 3},
  [12850] = {.lex_state = 412, .external_lex_state = 3},
  [12851] = {.lex_state = 412, .external_lex_state = 3},
  [12852] = {.lex_state = 138, .external_lex_state = 3},
  [12853] = {.lex_state = 412, .external_lex_state = 3},
  [12854] = {.lex_state = 412, .external_lex_state = 3},
  [12855] = {.lex_state = 414, .external_lex_state = 3},
  [12856] = {.lex_state = 412, .external_lex_state = 3},
  [12857] = {.lex_state = 412, .external_lex_state = 3},
  [12858] = {.lex_state = 412, .external_lex_state = 3},
  [12859] = {.lex_state = 412, .external_lex_state = 3},
  [12860] = {.lex_state = 412, .external_lex_state = 3},
  [12861] = {.lex_state = 412, .external_lex_state = 3},
  [12862] = {.lex_state = 412, .external_lex_state = 3},
  [12863] = {.lex_state = 412, .external_lex_state = 3},
  [12864] = {.lex_state = 128, .external_lex_state = 3},
  [12865] = {.lex_state = 412, .external_lex_state = 3},
  [12866] = {.lex_state = 412, .external_lex_state = 3},
  [12867] = {.lex_state = 412, .external_lex_state = 3},
  [12868] = {.lex_state = 425, .external_lex_state = 3},
  [12869] = {.lex_state = 412, .external_lex_state = 3},
  [12870] = {.lex_state = 138, .external_lex_state = 3},
  [12871] = {.lex_state = 15, .external_lex_state = 3},
  [12872] = {.lex_state = 412, .external_lex_state = 3},
  [12873] = {.lex_state = 412, .external_lex_state = 3},
  [12874] = {.lex_state = 173, .external_lex_state = 3},
  [12875] = {.lex_state = 412, .external_lex_state = 3},
  [12876] = {.lex_state = 412, .external_lex_state = 3},
  [12877] = {.lex_state = 412, .external_lex_state = 3},
  [12878] = {.lex_state = 412, .external_lex_state = 3},
  [12879] = {.lex_state = 412, .external_lex_state = 3},
  [12880] = {.lex_state = 412, .external_lex_state = 3},
  [12881] = {.lex_state = 412, .external_lex_state = 3},
  [12882] = {.lex_state = 412, .external_lex_state = 3},
  [12883] = {.lex_state = 412, .external_lex_state = 3},
  [12884] = {.lex_state = 412, .external_lex_state = 3},
  [12885] = {.lex_state = 412, .external_lex_state = 3},
  [12886] = {.lex_state = 412, .external_lex_state = 3},
  [12887] = {.lex_state = 412, .external_lex_state = 3},
  [12888] = {.lex_state = 412, .external_lex_state = 3},
  [12889] = {.lex_state = 412, .external_lex_state = 3},
  [12890] = {.lex_state = 414, .external_lex_state = 3},
  [12891] = {.lex_state = 412, .external_lex_state = 3},
  [12892] = {.lex_state = 412, .external_lex_state = 3},
  [12893] = {.lex_state = 412, .external_lex_state = 3},
  [12894] = {.lex_state = 412, .external_lex_state = 3},
  [12895] = {.lex_state = 175, .external_lex_state = 3},
  [12896] = {.lex_state = 15, .external_lex_state = 3},
  [12897] = {.lex_state = 412, .external_lex_state = 3},
  [12898] = {.lex_state = 412, .external_lex_state = 3},
  [12899] = {.lex_state = 414, .external_lex_state = 3},
  [12900] = {.lex_state = 412, .external_lex_state = 3},
  [12901] = {.lex_state = 412, .external_lex_state = 3},
  [12902] = {.lex_state = 15, .external_lex_state = 3},
  [12903] = {.lex_state = 412, .external_lex_state = 3},
  [12904] = {.lex_state = 132, .external_lex_state = 3},
  [12905] = {.lex_state = 412, .external_lex_state = 3},
  [12906] = {.lex_state = 412, .external_lex_state = 3},
  [12907] = {.lex_state = 412, .external_lex_state = 3},
  [12908] = {.lex_state = 414, .external_lex_state = 3},
  [12909] = {.lex_state = 412, .external_lex_state = 3},
  [12910] = {.lex_state = 412, .external_lex_state = 3},
  [12911] = {.lex_state = 412, .external_lex_state = 3},
  [12912] = {.lex_state = 412, .external_lex_state = 3},
  [12913] = {.lex_state = 412, .external_lex_state = 3},
  [12914] = {.lex_state = 412, .external_lex_state = 3},
  [12915] = {.lex_state = 412, .external_lex_state = 3},
  [12916] = {.lex_state = 412, .external_lex_state = 3},
  [12917] = {.lex_state = 412, .external_lex_state = 3},
  [12918] = {.lex_state = 412, .external_lex_state = 3},
  [12919] = {.lex_state = 412, .external_lex_state = 3},
  [12920] = {.lex_state = 412, .external_lex_state = 3},
  [12921] = {.lex_state = 412, .external_lex_state = 3},
  [12922] = {.lex_state = 412, .external_lex_state = 3},
  [12923] = {.lex_state = 412, .external_lex_state = 3},
  [12924] = {.lex_state = 412, .external_lex_state = 3},
  [12925] = {.lex_state = 412, .external_lex_state = 3},
  [12926] = {.lex_state = 129, .external_lex_state = 3},
  [12927] = {.lex_state = 412, .external_lex_state = 3},
  [12928] = {.lex_state = 181, .external_lex_state = 3},
  [12929] = {.lex_state = 412, .external_lex_state = 3},
  [12930] = {.lex_state = 15, .external_lex_state = 3},
  [12931] = {.lex_state = 412, .external_lex_state = 3},
  [12932] = {.lex_state = 412, .external_lex_state = 3},
  [12933] = {.lex_state = 414, .external_lex_state = 3},
  [12934] = {.lex_state = 412, .external_lex_state = 3},
  [12935] = {.lex_state = 412, .external_lex_state = 3},
  [12936] = {.lex_state = 412, .external_lex_state = 3},
  [12937] = {.lex_state = 15, .external_lex_state = 3},
  [12938] = {.lex_state = 412, .external_lex_state = 3},
  [12939] = {.lex_state = 412, .external_lex_state = 3},
  [12940] = {.lex_state = 412, .external_lex_state = 3},
  [12941] = {.lex_state = 412, .external_lex_state = 3},
  [12942] = {.lex_state = 412, .external_lex_state = 3},
  [12943] = {.lex_state = 412, .external_lex_state = 3},
  [12944] = {.lex_state = 412, .external_lex_state = 3},
  [12945] = {.lex_state = 412, .external_lex_state = 3},
  [12946] = {.lex_state = 412, .external_lex_state = 3},
  [12947] = {.lex_state = 15, .external_lex_state = 3},
  [12948] = {.lex_state = 412, .external_lex_state = 3},
  [12949] = {.lex_state = 412, .external_lex_state = 3},
  [12950] = {.lex_state = 412, .external_lex_state = 3},
  [12951] = {.lex_state = 412, .external_lex_state = 3},
  [12952] = {.lex_state = 412, .external_lex_state = 3},
  [12953] = {.lex_state = 412, .external_lex_state = 3},
  [12954] = {.lex_state = 412, .external_lex_state = 3},
  [12955] = {.lex_state = 412, .external_lex_state = 3},
  [12956] = {.lex_state = 175, .external_lex_state = 3},
  [12957] = {.lex_state = 412, .external_lex_state = 3},
  [12958] = {.lex_state = 412, .external_lex_state = 3},
  [12959] = {.lex_state = 412, .external_lex_state = 3},
  [12960] = {.lex_state = 412, .external_lex_state = 3},
  [12961] = {.lex_state = 412, .external_lex_state = 3},
  [12962] = {.lex_state = 412, .external_lex_state = 3},
  [12963] = {.lex_state = 412, .external_lex_state = 3},
  [12964] = {.lex_state = 412, .external_lex_state = 3},
  [12965] = {.lex_state = 412, .external_lex_state = 3},
  [12966] = {.lex_state = 202, .external_lex_state = 3},
  [12967] = {.lex_state = 412, .external_lex_state = 3},
  [12968] = {.lex_state = 412, .external_lex_state = 3},
  [12969] = {.lex_state = 412, .external_lex_state = 3},
  [12970] = {.lex_state = 412, .external_lex_state = 3},
  [12971] = {.lex_state = 412, .external_lex_state = 3},
  [12972] = {.lex_state = 412, .external_lex_state = 3},
  [12973] = {.lex_state = 412, .external_lex_state = 3},
  [12974] = {.lex_state = 412, .external_lex_state = 3},
  [12975] = {.lex_state = 412, .external_lex_state = 3},
  [12976] = {.lex_state = 15, .external_lex_state = 3},
  [12977] = {.lex_state = 412, .external_lex_state = 3},
  [12978] = {.lex_state = 412, .external_lex_state = 3},
  [12979] = {.lex_state = 412, .external_lex_state = 3},
  [12980] = {.lex_state = 425, .external_lex_state = 3},
  [12981] = {.lex_state = 412, .external_lex_state = 3},
  [12982] = {.lex_state = 412, .external_lex_state = 3},
  [12983] = {.lex_state = 412, .external_lex_state = 3},
  [12984] = {.lex_state = 412, .external_lex_state = 3},
  [12985] = {.lex_state = 15, .external_lex_state = 3},
  [12986] = {.lex_state = 412, .external_lex_state = 3},
  [12987] = {.lex_state = 412, .external_lex_state = 3},
  [12988] = {.lex_state = 412, .external_lex_state = 3},
  [12989] = {.lex_state = 412, .external_lex_state = 3},
  [12990] = {.lex_state = 412, .external_lex_state = 3},
  [12991] = {.lex_state = 412, .external_lex_state = 3},
  [12992] = {.lex_state = 412, .external_lex_state = 3},
  [12993] = {.lex_state = 15, .external_lex_state = 3},
  [12994] = {.lex_state = 412, .external_lex_state = 3},
  [12995] = {.lex_state = 412, .external_lex_state = 3},
  [12996] = {.lex_state = 412, .external_lex_state = 3},
  [12997] = {.lex_state = 412, .external_lex_state = 3},
  [12998] = {.lex_state = 181, .external_lex_state = 3},
  [12999] = {.lex_state = 181, .external_lex_state = 3},
  [13000] = {.lex_state = 412, .external_lex_state = 3},
  [13001] = {.lex_state = 412, .external_lex_state = 3},
  [13002] = {.lex_state = 412, .external_lex_state = 3},
  [13003] = {.lex_state = 412, .external_lex_state = 3},
  [13004] = {.lex_state = 412, .external_lex_state = 3},
  [13005] = {.lex_state = 15, .external_lex_state = 3},
  [13006] = {.lex_state = 412, .external_lex_state = 3},
  [13007] = {.lex_state = 412, .external_lex_state = 3},
  [13008] = {.lex_state = 412, .external_lex_state = 3},
  [13009] = {.lex_state = 15, .external_lex_state = 3},
  [13010] = {.lex_state = 412, .external_lex_state = 3},
  [13011] = {.lex_state = 412, .external_lex_state = 3},
  [13012] = {.lex_state = 412, .external_lex_state = 3},
  [13013] = {.lex_state = 412, .external_lex_state = 3},
  [13014] = {.lex_state = 412, .external_lex_state = 3},
  [13015] = {.lex_state = 412, .external_lex_state = 3},
  [13016] = {.lex_state = 412, .external_lex_state = 3},
  [13017] = {.lex_state = 412, .external_lex_state = 3},
  [13018] = {.lex_state = 412, .external_lex_state = 3},
  [13019] = {.lex_state = 412, .external_lex_state = 3},
  [13020] = {.lex_state = 412, .external_lex_state = 3},
  [13021] = {.lex_state = 15, .external_lex_state = 3},
  [13022] = {.lex_state = 412, .external_lex_state = 3},
  [13023] = {.lex_state = 412, .external_lex_state = 3},
  [13024] = {.lex_state = 414, .external_lex_state = 3},
  [13025] = {.lex_state = 412, .external_lex_state = 3},
  [13026] = {.lex_state = 412, .external_lex_state = 3},
  [13027] = {.lex_state = 412, .external_lex_state = 3},
  [13028] = {.lex_state = 412, .external_lex_state = 3},
  [13029] = {.lex_state = 174, .external_lex_state = 3},
  [13030] = {.lex_state = 412, .external_lex_state = 3},
  [13031] = {.lex_state = 412, .external_lex_state = 3},
  [13032] = {.lex_state = 412, .external_lex_state = 3},
  [13033] = {.lex_state = 412, .external_lex_state = 3},
  [13034] = {.lex_state = 412, .external_lex_state = 3},
  [13035] = {.lex_state = 15, .external_lex_state = 3},
  [13036] = {.lex_state = 414, .external_lex_state = 3},
  [13037] = {.lex_state = 414, .external_lex_state = 3},
  [13038] = {.lex_state = 414, .external_lex_state = 3},
  [13039] = {.lex_state = 15, .external_lex_state = 3},
  [13040] = {.lex_state = 412, .external_lex_state = 3},
  [13041] = {.lex_state = 412, .external_lex_state = 3},
  [13042] = {.lex_state = 412, .external_lex_state = 3},
  [13043] = {.lex_state = 412, .external_lex_state = 3},
  [13044] = {.lex_state = 412, .external_lex_state = 3},
  [13045] = {.lex_state = 181, .external_lex_state = 3},
  [13046] = {.lex_state = 412, .external_lex_state = 3},
  [13047] = {.lex_state = 412, .external_lex_state = 3},
  [13048] = {.lex_state = 412, .external_lex_state = 3},
  [13049] = {.lex_state = 412, .external_lex_state = 3},
  [13050] = {.lex_state = 412, .external_lex_state = 3},
  [13051] = {.lex_state = 412, .external_lex_state = 3},
  [13052] = {.lex_state = 412, .external_lex_state = 3},
  [13053] = {.lex_state = 414, .external_lex_state = 3},
  [13054] = {.lex_state = 412, .external_lex_state = 3},
  [13055] = {.lex_state = 412, .external_lex_state = 3},
  [13056] = {.lex_state = 412, .external_lex_state = 3},
  [13057] = {.lex_state = 412, .external_lex_state = 3},
  [13058] = {.lex_state = 412, .external_lex_state = 3},
  [13059] = {.lex_state = 412, .external_lex_state = 3},
  [13060] = {.lex_state = 425, .external_lex_state = 3},
  [13061] = {.lex_state = 128, .external_lex_state = 3},
  [13062] = {.lex_state = 425, .external_lex_state = 3},
  [13063] = {.lex_state = 412, .external_lex_state = 3},
  [13064] = {.lex_state = 412, .external_lex_state = 3},
  [13065] = {.lex_state = 412, .external_lex_state = 3},
  [13066] = {.lex_state = 15, .external_lex_state = 2},
  [13067] = {.lex_state = 19, .external_lex_state = 3},
  [13068] = {.lex_state = 412, .external_lex_state = 3},
  [13069] = {.lex_state = 412, .external_lex_state = 3},
  [13070] = {.lex_state = 202, .external_lex_state = 3},
  [13071] = {.lex_state = 412, .external_lex_state = 3},
  [13072] = {.lex_state = 128, .external_lex_state = 3},
  [13073] = {.lex_state = 412, .external_lex_state = 3},
  [13074] = {.lex_state = 19, .external_lex_state = 3},
  [13075] = {.lex_state = 19, .external_lex_state = 3},
  [13076] = {.lex_state = 19, .external_lex_state = 3},
  [13077] = {.lex_state = 412, .external_lex_state = 3},
  [13078] = {.lex_state = 412, .external_lex_state = 3},
  [13079] = {.lex_state = 19, .external_lex_state = 3},
  [13080] = {.lex_state = 425, .external_lex_state = 3},
  [13081] = {.lex_state = 425, .external_lex_state = 3},
  [13082] = {.lex_state = 425, .external_lex_state = 3},
  [13083] = {.lex_state = 425, .external_lex_state = 3},
  [13084] = {.lex_state = 425, .external_lex_state = 3},
  [13085] = {.lex_state = 425, .external_lex_state = 3},
  [13086] = {.lex_state = 425, .external_lex_state = 3},
  [13087] = {.lex_state = 425, .external_lex_state = 3},
  [13088] = {.lex_state = 425, .external_lex_state = 3},
  [13089] = {.lex_state = 425, .external_lex_state = 3},
  [13090] = {.lex_state = 425, .external_lex_state = 3},
  [13091] = {.lex_state = 412, .external_lex_state = 3},
  [13092] = {.lex_state = 131, .external_lex_state = 3},
  [13093] = {.lex_state = 412, .external_lex_state = 3},
  [13094] = {.lex_state = 412, .external_lex_state = 3},
  [13095] = {.lex_state = 19, .external_lex_state = 3},
  [13096] = {.lex_state = 412, .external_lex_state = 3},
  [13097] = {.lex_state = 15, .external_lex_state = 3},
  [13098] = {.lex_state = 412, .external_lex_state = 3},
  [13099] = {.lex_state = 19, .external_lex_state = 3},
  [13100] = {.lex_state = 132, .external_lex_state = 3},
  [13101] = {.lex_state = 131, .external_lex_state = 3},
  [13102] = {.lex_state = 425, .external_lex_state = 3},
  [13103] = {.lex_state = 19, .external_lex_state = 3},
  [13104] = {.lex_state = 19, .external_lex_state = 3},
  [13105] = {.lex_state = 19, .external_lex_state = 3},
  [13106] = {.lex_state = 19, .external_lex_state = 3},
  [13107] = {.lex_state = 19, .external_lex_state = 3},
  [13108] = {.lex_state = 131, .external_lex_state = 3},
  [13109] = {.lex_state = 131, .external_lex_state = 3},
  [13110] = {.lex_state = 425, .external_lex_state = 3},
  [13111] = {.lex_state = 425, .external_lex_state = 3},
  [13112] = {.lex_state = 132, .external_lex_state = 3},
  [13113] = {.lex_state = 425, .external_lex_state = 3},
  [13114] = {.lex_state = 425, .external_lex_state = 3},
  [13115] = {.lex_state = 412, .external_lex_state = 3},
  [13116] = {.lex_state = 412, .external_lex_state = 3},
  [13117] = {.lex_state = 172, .external_lex_state = 3},
  [13118] = {.lex_state = 425, .external_lex_state = 3},
  [13119] = {.lex_state = 425, .external_lex_state = 3},
  [13120] = {.lex_state = 19, .external_lex_state = 3},
  [13121] = {.lex_state = 15, .external_lex_state = 2},
  [13122] = {.lex_state = 425, .external_lex_state = 3},
  [13123] = {.lex_state = 8, .external_lex_state = 3},
  [13124] = {.lex_state = 15, .external_lex_state = 2},
  [13125] = {.lex_state = 425, .external_lex_state = 3},
  [13126] = {.lex_state = 425, .external_lex_state = 3},
  [13127] = {.lex_state = 425, .external_lex_state = 3},
  [13128] = {.lex_state = 19, .external_lex_state = 3},
  [13129] = {.lex_state = 19, .external_lex_state = 3},
  [13130] = {.lex_state = 175, .external_lex_state = 3},
  [13131] = {.lex_state = 19, .external_lex_state = 3},
  [13132] = {.lex_state = 19, .external_lex_state = 3},
  [13133] = {.lex_state = 19, .external_lex_state = 3},
  [13134] = {.lex_state = 128, .external_lex_state = 3},
  [13135] = {.lex_state = 425, .external_lex_state = 3},
  [13136] = {.lex_state = 19, .external_lex_state = 3},
  [13137] = {.lex_state = 425, .external_lex_state = 3},
  [13138] = {.lex_state = 412, .external_lex_state = 3},
  [13139] = {.lex_state = 425, .external_lex_state = 3},
  [13140] = {.lex_state = 425, .external_lex_state = 3},
  [13141] = {.lex_state = 19, .external_lex_state = 3},
  [13142] = {.lex_state = 425, .external_lex_state = 3},
  [13143] = {.lex_state = 19, .external_lex_state = 3},
  [13144] = {.lex_state = 19, .external_lex_state = 3},
  [13145] = {.lex_state = 202, .external_lex_state = 3},
  [13146] = {.lex_state = 425, .external_lex_state = 3},
  [13147] = {.lex_state = 19, .external_lex_state = 3},
  [13148] = {.lex_state = 19, .external_lex_state = 3},
  [13149] = {.lex_state = 425, .external_lex_state = 3},
  [13150] = {.lex_state = 19, .external_lex_state = 3},
  [13151] = {.lex_state = 425, .external_lex_state = 3},
  [13152] = {.lex_state = 131, .external_lex_state = 3},
  [13153] = {.lex_state = 425, .external_lex_state = 3},
  [13154] = {.lex_state = 425, .external_lex_state = 3},
  [13155] = {.lex_state = 131, .external_lex_state = 3},
  [13156] = {.lex_state = 131, .external_lex_state = 3},
  [13157] = {.lex_state = 131, .external_lex_state = 3},
  [13158] = {.lex_state = 131, .external_lex_state = 3},
  [13159] = {.lex_state = 131, .external_lex_state = 3},
  [13160] = {.lex_state = 131, .external_lex_state = 3},
  [13161] = {.lex_state = 131, .external_lex_state = 3},
  [13162] = {.lex_state = 131, .external_lex_state = 3},
  [13163] = {.lex_state = 131, .external_lex_state = 3},
  [13164] = {.lex_state = 131, .external_lex_state = 3},
  [13165] = {.lex_state = 131, .external_lex_state = 3},
  [13166] = {.lex_state = 131, .external_lex_state = 3},
  [13167] = {.lex_state = 19, .external_lex_state = 3},
  [13168] = {.lex_state = 19, .external_lex_state = 3},
  [13169] = {.lex_state = 131, .external_lex_state = 3},
  [13170] = {.lex_state = 15, .external_lex_state = 2},
  [13171] = {.lex_state = 128, .external_lex_state = 3},
  [13172] = {.lex_state = 425, .external_lex_state = 3},
  [13173] = {.lex_state = 425, .external_lex_state = 3},
  [13174] = {.lex_state = 425, .external_lex_state = 3},
  [13175] = {.lex_state = 425, .external_lex_state = 3},
  [13176] = {.lex_state = 425, .external_lex_state = 3},
  [13177] = {.lex_state = 425, .external_lex_state = 3},
  [13178] = {.lex_state = 425, .external_lex_state = 3},
  [13179] = {.lex_state = 425, .external_lex_state = 3},
  [13180] = {.lex_state = 425, .external_lex_state = 3},
  [13181] = {.lex_state = 131, .external_lex_state = 3},
  [13182] = {.lex_state = 412, .external_lex_state = 3},
  [13183] = {.lex_state = 131, .external_lex_state = 3},
  [13184] = {.lex_state = 131, .external_lex_state = 3},
  [13185] = {.lex_state = 425, .external_lex_state = 3},
  [13186] = {.lex_state = 131, .external_lex_state = 3},
  [13187] = {.lex_state = 131, .external_lex_state = 3},
  [13188] = {.lex_state = 425, .external_lex_state = 3},
  [13189] = {.lex_state = 412, .external_lex_state = 3},
  [13190] = {.lex_state = 132, .external_lex_state = 3},
  [13191] = {.lex_state = 425, .external_lex_state = 3},
  [13192] = {.lex_state = 132, .external_lex_state = 3},
  [13193] = {.lex_state = 132, .external_lex_state = 3},
  [13194] = {.lex_state = 128, .external_lex_state = 3},
  [13195] = {.lex_state = 425, .external_lex_state = 3},
  [13196] = {.lex_state = 425, .external_lex_state = 3},
  [13197] = {.lex_state = 425, .external_lex_state = 3},
  [13198] = {.lex_state = 425, .external_lex_state = 3},
  [13199] = {.lex_state = 425, .external_lex_state = 3},
  [13200] = {.lex_state = 15, .external_lex_state = 2},
  [13201] = {.lex_state = 132, .external_lex_state = 3},
  [13202] = {.lex_state = 425, .external_lex_state = 3},
  [13203] = {.lex_state = 425, .external_lex_state = 3},
  [13204] = {.lex_state = 425, .external_lex_state = 3},
  [13205] = {.lex_state = 19, .external_lex_state = 3},
  [13206] = {.lex_state = 412, .external_lex_state = 3},
  [13207] = {.lex_state = 132, .external_lex_state = 3},
  [13208] = {.lex_state = 128, .external_lex_state = 3},
  [13209] = {.lex_state = 132, .external_lex_state = 3},
  [13210] = {.lex_state = 425, .external_lex_state = 3},
  [13211] = {.lex_state = 132, .external_lex_state = 3},
  [13212] = {.lex_state = 132, .external_lex_state = 3},
  [13213] = {.lex_state = 132, .external_lex_state = 3},
  [13214] = {.lex_state = 132, .external_lex_state = 3},
  [13215] = {.lex_state = 425, .external_lex_state = 3},
  [13216] = {.lex_state = 15, .external_lex_state = 2},
  [13217] = {.lex_state = 412, .external_lex_state = 3},
  [13218] = {.lex_state = 425, .external_lex_state = 3},
  [13219] = {.lex_state = 132, .external_lex_state = 3},
  [13220] = {.lex_state = 425, .external_lex_state = 3},
  [13221] = {.lex_state = 132, .external_lex_state = 3},
  [13222] = {.lex_state = 412, .external_lex_state = 3},
  [13223] = {.lex_state = 425, .external_lex_state = 3},
  [13224] = {.lex_state = 425, .external_lex_state = 3},
  [13225] = {.lex_state = 132, .external_lex_state = 3},
  [13226] = {.lex_state = 19, .external_lex_state = 3},
  [13227] = {.lex_state = 128, .external_lex_state = 3},
  [13228] = {.lex_state = 19, .external_lex_state = 3},
  [13229] = {.lex_state = 425, .external_lex_state = 3},
  [13230] = {.lex_state = 425, .external_lex_state = 3},
  [13231] = {.lex_state = 425, .external_lex_state = 3},
  [13232] = {.lex_state = 128, .external_lex_state = 3},
  [13233] = {.lex_state = 131, .external_lex_state = 3},
  [13234] = {.lex_state = 412, .external_lex_state = 3},
  [13235] = {.lex_state = 425, .external_lex_state = 3},
  [13236] = {.lex_state = 15, .external_lex_state = 2},
  [13237] = {.lex_state = 15, .external_lex_state = 3},
  [13238] = {.lex_state = 15, .external_lex_state = 3},
  [13239] = {.lex_state = 19, .external_lex_state = 3},
  [13240] = {.lex_state = 174, .external_lex_state = 3},
  [13241] = {.lex_state = 166, .external_lex_state = 3},
  [13242] = {.lex_state = 173, .external_lex_state = 3},
  [13243] = {.lex_state = 130, .external_lex_state = 3},
  [13244] = {.lex_state = 130, .external_lex_state = 3},
  [13245] = {.lex_state = 412, .external_lex_state = 3},
  [13246] = {.lex_state = 130, .external_lex_state = 3},
  [13247] = {.lex_state = 15, .external_lex_state = 3},
  [13248] = {.lex_state = 15, .external_lex_state = 3},
  [13249] = {.lex_state = 15, .external_lex_state = 3},
  [13250] = {.lex_state = 130, .external_lex_state = 3},
  [13251] = {.lex_state = 15, .external_lex_state = 3},
  [13252] = {.lex_state = 412, .external_lex_state = 3},
  [13253] = {.lex_state = 412, .external_lex_state = 3},
  [13254] = {.lex_state = 15, .external_lex_state = 3},
  [13255] = {.lex_state = 15, .external_lex_state = 3},
  [13256] = {.lex_state = 15, .external_lex_state = 3},
  [13257] = {.lex_state = 425, .external_lex_state = 3},
  [13258] = {.lex_state = 130, .external_lex_state = 3},
  [13259] = {.lex_state = 129, .external_lex_state = 3},
  [13260] = {.lex_state = 130, .external_lex_state = 3},
  [13261] = {.lex_state = 15, .external_lex_state = 3},
  [13262] = {.lex_state = 15, .external_lex_state = 3},
  [13263] = {.lex_state = 130, .external_lex_state = 3},
  [13264] = {.lex_state = 130, .external_lex_state = 3},
  [13265] = {.lex_state = 130, .external_lex_state = 3},
  [13266] = {.lex_state = 130, .external_lex_state = 3},
  [13267] = {.lex_state = 15, .external_lex_state = 3},
  [13268] = {.lex_state = 130, .external_lex_state = 3},
  [13269] = {.lex_state = 130, .external_lex_state = 3},
  [13270] = {.lex_state = 130, .external_lex_state = 3},
  [13271] = {.lex_state = 15, .external_lex_state = 3},
  [13272] = {.lex_state = 412, .external_lex_state = 3},
  [13273] = {.lex_state = 129, .external_lex_state = 3},
  [13274] = {.lex_state = 129, .external_lex_state = 3},
  [13275] = {.lex_state = 129, .external_lex_state = 3},
  [13276] = {.lex_state = 15, .external_lex_state = 3},
  [13277] = {.lex_state = 130, .external_lex_state = 3},
  [13278] = {.lex_state = 129, .external_lex_state = 3},
  [13279] = {.lex_state = 130, .external_lex_state = 3},
  [13280] = {.lex_state = 129, .external_lex_state = 3},
  [13281] = {.lex_state = 425, .external_lex_state = 3},
  [13282] = {.lex_state = 130, .external_lex_state = 3},
  [13283] = {.lex_state = 130, .external_lex_state = 3},
  [13284] = {.lex_state = 129, .external_lex_state = 3},
  [13285] = {.lex_state = 130, .external_lex_state = 3},
  [13286] = {.lex_state = 15, .external_lex_state = 3},
  [13287] = {.lex_state = 130, .external_lex_state = 3},
  [13288] = {.lex_state = 15, .external_lex_state = 3},
  [13289] = {.lex_state = 129, .external_lex_state = 3},
  [13290] = {.lex_state = 15, .external_lex_state = 3},
  [13291] = {.lex_state = 129, .external_lex_state = 3},
  [13292] = {.lex_state = 129, .external_lex_state = 3},
  [13293] = {.lex_state = 129, .external_lex_state = 3},
  [13294] = {.lex_state = 15, .external_lex_state = 3},
  [13295] = {.lex_state = 129, .external_lex_state = 3},
  [13296] = {.lex_state = 15, .external_lex_state = 3},
  [13297] = {.lex_state = 130, .external_lex_state = 3},
  [13298] = {.lex_state = 129, .external_lex_state = 3},
  [13299] = {.lex_state = 129, .external_lex_state = 3},
  [13300] = {.lex_state = 130, .external_lex_state = 3},
  [13301] = {.lex_state = 129, .external_lex_state = 3},
  [13302] = {.lex_state = 130, .external_lex_state = 3},
  [13303] = {.lex_state = 130, .external_lex_state = 3},
  [13304] = {.lex_state = 181, .external_lex_state = 3},
  [13305] = {.lex_state = 412, .external_lex_state = 3},
  [13306] = {.lex_state = 412, .external_lex_state = 3},
  [13307] = {.lex_state = 412, .external_lex_state = 3},
  [13308] = {.lex_state = 130, .external_lex_state = 3},
  [13309] = {.lex_state = 412, .external_lex_state = 3},
  [13310] = {.lex_state = 15, .external_lex_state = 3},
  [13311] = {.lex_state = 130, .external_lex_state = 3},
  [13312] = {.lex_state = 425, .external_lex_state = 3},
  [13313] = {.lex_state = 15, .external_lex_state = 3},
  [13314] = {.lex_state = 425, .external_lex_state = 3},
  [13315] = {.lex_state = 15, .external_lex_state = 3},
  [13316] = {.lex_state = 130, .external_lex_state = 3},
  [13317] = {.lex_state = 131, .external_lex_state = 3},
  [13318] = {.lex_state = 131, .external_lex_state = 3},
  [13319] = {.lex_state = 412, .external_lex_state = 3},
  [13320] = {.lex_state = 15, .external_lex_state = 3},
  [13321] = {.lex_state = 131, .external_lex_state = 3},
  [13322] = {.lex_state = 131, .external_lex_state = 3},
  [13323] = {.lex_state = 131, .external_lex_state = 3},
  [13324] = {.lex_state = 131, .external_lex_state = 3},
  [13325] = {.lex_state = 412, .external_lex_state = 3},
  [13326] = {.lex_state = 131, .external_lex_state = 3},
  [13327] = {.lex_state = 130, .external_lex_state = 3},
  [13328] = {.lex_state = 15, .external_lex_state = 3},
  [13329] = {.lex_state = 129, .external_lex_state = 3},
  [13330] = {.lex_state = 129, .external_lex_state = 3},
  [13331] = {.lex_state = 130, .external_lex_state = 3},
  [13332] = {.lex_state = 130, .external_lex_state = 3},
  [13333] = {.lex_state = 412, .external_lex_state = 3},
  [13334] = {.lex_state = 130, .external_lex_state = 3},
  [13335] = {.lex_state = 130, .external_lex_state = 3},
  [13336] = {.lex_state = 129, .external_lex_state = 3},
  [13337] = {.lex_state = 129, .external_lex_state = 3},
  [13338] = {.lex_state = 15, .external_lex_state = 3},
  [13339] = {.lex_state = 130, .external_lex_state = 3},
  [13340] = {.lex_state = 130, .external_lex_state = 3},
  [13341] = {.lex_state = 412, .external_lex_state = 3},
  [13342] = {.lex_state = 412, .external_lex_state = 3},
  [13343] = {.lex_state = 129, .external_lex_state = 3},
  [13344] = {.lex_state = 425, .external_lex_state = 3},
  [13345] = {.lex_state = 130, .external_lex_state = 3},
  [13346] = {.lex_state = 131, .external_lex_state = 3},
  [13347] = {.lex_state = 130, .external_lex_state = 3},
  [13348] = {.lex_state = 412, .external_lex_state = 3},
  [13349] = {.lex_state = 15, .external_lex_state = 3},
  [13350] = {.lex_state = 8, .external_lex_state = 3},
  [13351] = {.lex_state = 129, .external_lex_state = 3},
  [13352] = {.lex_state = 412, .external_lex_state = 3},
  [13353] = {.lex_state = 412, .external_lex_state = 3},
  [13354] = {.lex_state = 131, .external_lex_state = 3},
  [13355] = {.lex_state = 130, .external_lex_state = 3},
  [13356] = {.lex_state = 425, .external_lex_state = 3},
  [13357] = {.lex_state = 425, .external_lex_state = 3},
  [13358] = {.lex_state = 425, .external_lex_state = 3},
  [13359] = {.lex_state = 130, .external_lex_state = 3},
  [13360] = {.lex_state = 15, .external_lex_state = 3},
  [13361] = {.lex_state = 15, .external_lex_state = 3},
  [13362] = {.lex_state = 15, .external_lex_state = 3},
  [13363] = {.lex_state = 425, .external_lex_state = 3},
  [13364] = {.lex_state = 130, .external_lex_state = 3},
  [13365] = {.lex_state = 130, .external_lex_state = 3},
  [13366] = {.lex_state = 130, .external_lex_state = 3},
  [13367] = {.lex_state = 130, .external_lex_state = 3},
  [13368] = {.lex_state = 130, .external_lex_state = 3},
  [13369] = {.lex_state = 15, .external_lex_state = 3},
  [13370] = {.lex_state = 130, .external_lex_state = 3},
  [13371] = {.lex_state = 15, .external_lex_state = 3},
  [13372] = {.lex_state = 412, .external_lex_state = 3},
  [13373] = {.lex_state = 130, .external_lex_state = 3},
  [13374] = {.lex_state = 130, .external_lex_state = 3},
  [13375] = {.lex_state = 130, .external_lex_state = 3},
  [13376] = {.lex_state = 130, .external_lex_state = 3},
  [13377] = {.lex_state = 131, .external_lex_state = 3},
  [13378] = {.lex_state = 130, .external_lex_state = 3},
  [13379] = {.lex_state = 130, .external_lex_state = 3},
  [13380] = {.lex_state = 425, .external_lex_state = 3},
  [13381] = {.lex_state = 130, .external_lex_state = 3},
  [13382] = {.lex_state = 130, .external_lex_state = 3},
  [13383] = {.lex_state = 425, .external_lex_state = 3},
  [13384] = {.lex_state = 425, .external_lex_state = 3},
  [13385] = {.lex_state = 425, .external_lex_state = 3},
  [13386] = {.lex_state = 131, .external_lex_state = 3},
  [13387] = {.lex_state = 15, .external_lex_state = 3},
  [13388] = {.lex_state = 130, .external_lex_state = 3},
  [13389] = {.lex_state = 412, .external_lex_state = 3},
  [13390] = {.lex_state = 412, .external_lex_state = 3},
  [13391] = {.lex_state = 412, .external_lex_state = 3},
  [13392] = {.lex_state = 130, .external_lex_state = 3},
  [13393] = {.lex_state = 425, .external_lex_state = 3},
  [13394] = {.lex_state = 412, .external_lex_state = 3},
  [13395] = {.lex_state = 425, .external_lex_state = 3},
  [13396] = {.lex_state = 425, .external_lex_state = 3},
  [13397] = {.lex_state = 131, .external_lex_state = 3},
  [13398] = {.lex_state = 131, .external_lex_state = 3},
  [13399] = {.lex_state = 131, .external_lex_state = 3},
  [13400] = {.lex_state = 131, .external_lex_state = 3},
  [13401] = {.lex_state = 15, .external_lex_state = 3},
  [13402] = {.lex_state = 131, .external_lex_state = 3},
  [13403] = {.lex_state = 131, .external_lex_state = 3},
  [13404] = {.lex_state = 131, .external_lex_state = 3},
  [13405] = {.lex_state = 131, .external_lex_state = 3},
  [13406] = {.lex_state = 131, .external_lex_state = 3},
  [13407] = {.lex_state = 131, .external_lex_state = 3},
  [13408] = {.lex_state = 15, .external_lex_state = 3},
  [13409] = {.lex_state = 173, .external_lex_state = 3},
  [13410] = {.lex_state = 130, .external_lex_state = 3},
  [13411] = {.lex_state = 182, .external_lex_state = 3},
  [13412] = {.lex_state = 131, .external_lex_state = 3},
  [13413] = {.lex_state = 173, .external_lex_state = 3},
  [13414] = {.lex_state = 166, .external_lex_state = 3},
  [13415] = {.lex_state = 15, .external_lex_state = 3},
  [13416] = {.lex_state = 425, .external_lex_state = 3},
  [13417] = {.lex_state = 425, .external_lex_state = 3},
  [13418] = {.lex_state = 131, .external_lex_state = 3},
  [13419] = {.lex_state = 15, .external_lex_state = 3},
  [13420] = {.lex_state = 15, .external_lex_state = 3},
  [13421] = {.lex_state = 15, .external_lex_state = 3},
  [13422] = {.lex_state = 182, .external_lex_state = 3},
  [13423] = {.lex_state = 166, .external_lex_state = 3},
  [13424] = {.lex_state = 131, .external_lex_state = 3},
  [13425] = {.lex_state = 130, .external_lex_state = 3},
  [13426] = {.lex_state = 15, .external_lex_state = 3},
  [13427] = {.lex_state = 173, .external_lex_state = 3},
  [13428] = {.lex_state = 412, .external_lex_state = 3},
  [13429] = {.lex_state = 15, .external_lex_state = 3},
  [13430] = {.lex_state = 15, .external_lex_state = 3},
  [13431] = {.lex_state = 15, .external_lex_state = 3},
  [13432] = {.lex_state = 15, .external_lex_state = 3},
  [13433] = {.lex_state = 15, .external_lex_state = 3},
  [13434] = {.lex_state = 130, .external_lex_state = 3},
  [13435] = {.lex_state = 8, .external_lex_state = 3},
  [13436] = {.lex_state = 130, .external_lex_state = 3},
  [13437] = {.lex_state = 130, .external_lex_state = 3},
  [13438] = {.lex_state = 15, .external_lex_state = 3},
  [13439] = {.lex_state = 425, .external_lex_state = 3},
  [13440] = {.lex_state = 15, .external_lex_state = 3},
  [13441] = {.lex_state = 15, .external_lex_state = 3},
  [13442] = {.lex_state = 425, .external_lex_state = 3},
  [13443] = {.lex_state = 15, .external_lex_state = 3},
  [13444] = {.lex_state = 425, .external_lex_state = 3},
  [13445] = {.lex_state = 166, .external_lex_state = 3},
  [13446] = {.lex_state = 15, .external_lex_state = 3},
  [13447] = {.lex_state = 131, .external_lex_state = 3},
  [13448] = {.lex_state = 15, .external_lex_state = 3},
  [13449] = {.lex_state = 166, .external_lex_state = 3},
  [13450] = {.lex_state = 130, .external_lex_state = 3},
  [13451] = {.lex_state = 425, .external_lex_state = 3},
  [13452] = {.lex_state = 130, .external_lex_state = 3},
  [13453] = {.lex_state = 182, .external_lex_state = 3},
  [13454] = {.lex_state = 130, .external_lex_state = 3},
  [13455] = {.lex_state = 131, .external_lex_state = 3},
  [13456] = {.lex_state = 130, .external_lex_state = 3},
  [13457] = {.lex_state = 425, .external_lex_state = 3},
  [13458] = {.lex_state = 131, .external_lex_state = 3},
  [13459] = {.lex_state = 131, .external_lex_state = 3},
  [13460] = {.lex_state = 131, .external_lex_state = 3},
  [13461] = {.lex_state = 130, .external_lex_state = 3},
  [13462] = {.lex_state = 130, .external_lex_state = 3},
  [13463] = {.lex_state = 130, .external_lex_state = 3},
  [13464] = {.lex_state = 15, .external_lex_state = 3},
  [13465] = {.lex_state = 130, .external_lex_state = 3},
  [13466] = {.lex_state = 130, .external_lex_state = 3},
  [13467] = {.lex_state = 130, .external_lex_state = 3},
  [13468] = {.lex_state = 130, .external_lex_state = 3},
  [13469] = {.lex_state = 130, .external_lex_state = 3},
  [13470] = {.lex_state = 130, .external_lex_state = 3},
  [13471] = {.lex_state = 130, .external_lex_state = 3},
  [13472] = {.lex_state = 130, .external_lex_state = 3},
  [13473] = {.lex_state = 130, .external_lex_state = 3},
  [13474] = {.lex_state = 130, .external_lex_state = 3},
  [13475] = {.lex_state = 130, .external_lex_state = 3},
  [13476] = {.lex_state = 130, .external_lex_state = 3},
  [13477] = {.lex_state = 130, .external_lex_state = 3},
  [13478] = {.lex_state = 130, .external_lex_state = 3},
  [13479] = {.lex_state = 130, .external_lex_state = 3},
  [13480] = {.lex_state = 425, .external_lex_state = 3},
  [13481] = {.lex_state = 425, .external_lex_state = 3},
  [13482] = {.lex_state = 129, .external_lex_state = 3},
  [13483] = {.lex_state = 130, .external_lex_state = 3},
  [13484] = {.lex_state = 130, .external_lex_state = 3},
  [13485] = {.lex_state = 130, .external_lex_state = 3},
  [13486] = {.lex_state = 131, .external_lex_state = 3},
  [13487] = {.lex_state = 425, .external_lex_state = 3},
  [13488] = {.lex_state = 425, .external_lex_state = 3},
  [13489] = {.lex_state = 130, .external_lex_state = 3},
  [13490] = {.lex_state = 130, .external_lex_state = 3},
  [13491] = {.lex_state = 130, .external_lex_state = 3},
  [13492] = {.lex_state = 129, .external_lex_state = 3},
  [13493] = {.lex_state = 166, .external_lex_state = 3},
  [13494] = {.lex_state = 425, .external_lex_state = 3},
  [13495] = {.lex_state = 425, .external_lex_state = 3},
  [13496] = {.lex_state = 425, .external_lex_state = 3},
  [13497] = {.lex_state = 130, .external_lex_state = 3},
  [13498] = {.lex_state = 130, .external_lex_state = 3},
  [13499] = {.lex_state = 130, .external_lex_state = 3},
  [13500] = {.lex_state = 130, .external_lex_state = 3},
  [13501] = {.lex_state = 425, .external_lex_state = 3},
  [13502] = {.lex_state = 425, .external_lex_state = 3},
  [13503] = {.lex_state = 130, .external_lex_state = 3},
  [13504] = {.lex_state = 130, .external_lex_state = 3},
  [13505] = {.lex_state = 425, .external_lex_state = 3},
  [13506] = {.lex_state = 166, .external_lex_state = 3},
  [13507] = {.lex_state = 166, .external_lex_state = 3},
  [13508] = {.lex_state = 15, .external_lex_state = 3},
  [13509] = {.lex_state = 182, .external_lex_state = 3},
  [13510] = {.lex_state = 8, .external_lex_state = 3},
  [13511] = {.lex_state = 15, .external_lex_state = 3},
  [13512] = {.lex_state = 425, .external_lex_state = 3},
  [13513] = {.lex_state = 182, .external_lex_state = 3},
  [13514] = {.lex_state = 425, .external_lex_state = 3},
  [13515] = {.lex_state = 15, .external_lex_state = 3},
  [13516] = {.lex_state = 131, .external_lex_state = 3},
  [13517] = {.lex_state = 181, .external_lex_state = 3},
  [13518] = {.lex_state = 15, .external_lex_state = 3},
  [13519] = {.lex_state = 181, .external_lex_state = 3},
  [13520] = {.lex_state = 131, .external_lex_state = 3},
  [13521] = {.lex_state = 15, .external_lex_state = 3},
  [13522] = {.lex_state = 131, .external_lex_state = 3},
  [13523] = {.lex_state = 181, .external_lex_state = 3},
  [13524] = {.lex_state = 131, .external_lex_state = 3},
  [13525] = {.lex_state = 15, .external_lex_state = 3},
  [13526] = {.lex_state = 131, .external_lex_state = 3},
  [13527] = {.lex_state = 412, .external_lex_state = 3},
  [13528] = {.lex_state = 425, .external_lex_state = 3},
  [13529] = {.lex_state = 425, .external_lex_state = 3},
  [13530] = {.lex_state = 131, .external_lex_state = 3},
  [13531] = {.lex_state = 15, .external_lex_state = 3},
  [13532] = {.lex_state = 131, .external_lex_state = 3},
  [13533] = {.lex_state = 129, .external_lex_state = 3},
  [13534] = {.lex_state = 15, .external_lex_state = 3},
  [13535] = {.lex_state = 412, .external_lex_state = 3},
  [13536] = {.lex_state = 129, .external_lex_state = 3},
  [13537] = {.lex_state = 131, .external_lex_state = 3},
  [13538] = {.lex_state = 131, .external_lex_state = 3},
  [13539] = {.lex_state = 130, .external_lex_state = 3},
  [13540] = {.lex_state = 131, .external_lex_state = 3},
  [13541] = {.lex_state = 131, .external_lex_state = 3},
  [13542] = {.lex_state = 131, .external_lex_state = 3},
  [13543] = {.lex_state = 130, .external_lex_state = 3},
  [13544] = {.lex_state = 15, .external_lex_state = 3},
  [13545] = {.lex_state = 8, .external_lex_state = 3},
  [13546] = {.lex_state = 131, .external_lex_state = 3},
  [13547] = {.lex_state = 15, .external_lex_state = 3},
  [13548] = {.lex_state = 15, .external_lex_state = 3},
  [13549] = {.lex_state = 129, .external_lex_state = 3},
  [13550] = {.lex_state = 425, .external_lex_state = 3},
  [13551] = {.lex_state = 425, .external_lex_state = 3},
  [13552] = {.lex_state = 15, .external_lex_state = 3},
  [13553] = {.lex_state = 412, .external_lex_state = 3},
  [13554] = {.lex_state = 15, .external_lex_state = 3},
  [13555] = {.lex_state = 412, .external_lex_state = 3},
  [13556] = {.lex_state = 412, .external_lex_state = 3},
  [13557] = {.lex_state = 412, .external_lex_state = 3},
  [13558] = {.lex_state = 15, .external_lex_state = 3},
  [13559] = {.lex_state = 412, .external_lex_state = 3},
  [13560] = {.lex_state = 412, .external_lex_state = 3},
  [13561] = {.lex_state = 15, .external_lex_state = 3},
  [13562] = {.lex_state = 15, .external_lex_state = 3},
  [13563] = {.lex_state = 15, .external_lex_state = 3},
  [13564] = {.lex_state = 130, .external_lex_state = 3},
  [13565] = {.lex_state = 15, .external_lex_state = 3},
  [13566] = {.lex_state = 15, .external_lex_state = 3},
  [13567] = {.lex_state = 130, .external_lex_state = 3},
  [13568] = {.lex_state = 130, .external_lex_state = 3},
  [13569] = {.lex_state = 165, .external_lex_state = 3},
  [13570] = {.lex_state = 129, .external_lex_state = 3},
  [13571] = {.lex_state = 15, .external_lex_state = 3},
  [13572] = {.lex_state = 129, .external_lex_state = 3},
  [13573] = {.lex_state = 15, .external_lex_state = 3},
  [13574] = {.lex_state = 129, .external_lex_state = 3},
  [13575] = {.lex_state = 159, .external_lex_state = 5},
  [13576] = {.lex_state = 130, .external_lex_state = 3},
  [13577] = {.lex_state = 130, .external_lex_state = 3},
  [13578] = {.lex_state = 130, .external_lex_state = 3},
  [13579] = {.lex_state = 130, .external_lex_state = 3},
  [13580] = {.lex_state = 130, .external_lex_state = 3},
  [13581] = {.lex_state = 130, .external_lex_state = 3},
  [13582] = {.lex_state = 173, .external_lex_state = 3},
  [13583] = {.lex_state = 130, .external_lex_state = 3},
  [13584] = {.lex_state = 159, .external_lex_state = 5},
  [13585] = {.lex_state = 130, .external_lex_state = 3},
  [13586] = {.lex_state = 130, .external_lex_state = 3},
  [13587] = {.lex_state = 130, .external_lex_state = 3},
  [13588] = {.lex_state = 130, .external_lex_state = 3},
  [13589] = {.lex_state = 130, .external_lex_state = 3},
  [13590] = {.lex_state = 130, .external_lex_state = 3},
  [13591] = {.lex_state = 181, .external_lex_state = 3},
  [13592] = {.lex_state = 15, .external_lex_state = 3},
  [13593] = {.lex_state = 131, .external_lex_state = 3},
  [13594] = {.lex_state = 129, .external_lex_state = 3},
  [13595] = {.lex_state = 159, .external_lex_state = 5},
  [13596] = {.lex_state = 129, .external_lex_state = 3},
  [13597] = {.lex_state = 159, .external_lex_state = 5},
  [13598] = {.lex_state = 131, .external_lex_state = 3},
  [13599] = {.lex_state = 15, .external_lex_state = 3},
  [13600] = {.lex_state = 129, .external_lex_state = 3},
  [13601] = {.lex_state = 15, .external_lex_state = 3},
  [13602] = {.lex_state = 159, .external_lex_state = 5},
  [13603] = {.lex_state = 130, .external_lex_state = 3},
  [13604] = {.lex_state = 129, .external_lex_state = 3},
  [13605] = {.lex_state = 131, .external_lex_state = 3},
  [13606] = {.lex_state = 129, .external_lex_state = 3},
  [13607] = {.lex_state = 130, .external_lex_state = 3},
  [13608] = {.lex_state = 129, .external_lex_state = 3},
  [13609] = {.lex_state = 130, .external_lex_state = 3},
  [13610] = {.lex_state = 15, .external_lex_state = 3},
  [13611] = {.lex_state = 129, .external_lex_state = 3},
  [13612] = {.lex_state = 130, .external_lex_state = 3},
  [13613] = {.lex_state = 129, .external_lex_state = 3},
  [13614] = {.lex_state = 15, .external_lex_state = 3},
  [13615] = {.lex_state = 130, .external_lex_state = 3},
  [13616] = {.lex_state = 130, .external_lex_state = 3},
  [13617] = {.lex_state = 130, .external_lex_state = 3},
  [13618] = {.lex_state = 130, .external_lex_state = 3},
  [13619] = {.lex_state = 159, .external_lex_state = 5},
  [13620] = {.lex_state = 159, .external_lex_state = 5},
  [13621] = {.lex_state = 130, .external_lex_state = 3},
  [13622] = {.lex_state = 130, .external_lex_state = 3},
  [13623] = {.lex_state = 15, .external_lex_state = 3},
  [13624] = {.lex_state = 159, .external_lex_state = 5},
  [13625] = {.lex_state = 15, .external_lex_state = 3},
  [13626] = {.lex_state = 15, .external_lex_state = 3},
  [13627] = {.lex_state = 159, .external_lex_state = 5},
  [13628] = {.lex_state = 15, .external_lex_state = 3},
  [13629] = {.lex_state = 159, .external_lex_state = 5},
  [13630] = {.lex_state = 425, .external_lex_state = 3},
  [13631] = {.lex_state = 159, .external_lex_state = 5},
  [13632] = {.lex_state = 129, .external_lex_state = 3},
  [13633] = {.lex_state = 159, .external_lex_state = 5},
  [13634] = {.lex_state = 15, .external_lex_state = 3},
  [13635] = {.lex_state = 129, .external_lex_state = 3},
  [13636] = {.lex_state = 159, .external_lex_state = 5},
  [13637] = {.lex_state = 15, .external_lex_state = 3},
  [13638] = {.lex_state = 159, .external_lex_state = 5},
  [13639] = {.lex_state = 15, .external_lex_state = 3},
  [13640] = {.lex_state = 159, .external_lex_state = 5},
  [13641] = {.lex_state = 129, .external_lex_state = 3},
  [13642] = {.lex_state = 129, .external_lex_state = 3},
  [13643] = {.lex_state = 129, .external_lex_state = 3},
  [13644] = {.lex_state = 159, .external_lex_state = 5},
  [13645] = {.lex_state = 159, .external_lex_state = 5},
  [13646] = {.lex_state = 129, .external_lex_state = 3},
  [13647] = {.lex_state = 130, .external_lex_state = 3},
  [13648] = {.lex_state = 159, .external_lex_state = 5},
  [13649] = {.lex_state = 15, .external_lex_state = 3},
  [13650] = {.lex_state = 129, .external_lex_state = 3},
  [13651] = {.lex_state = 159, .external_lex_state = 5},
  [13652] = {.lex_state = 129, .external_lex_state = 3},
  [13653] = {.lex_state = 173, .external_lex_state = 3},
  [13654] = {.lex_state = 159, .external_lex_state = 5},
  [13655] = {.lex_state = 129, .external_lex_state = 3},
  [13656] = {.lex_state = 129, .external_lex_state = 3},
  [13657] = {.lex_state = 129, .external_lex_state = 3},
  [13658] = {.lex_state = 129, .external_lex_state = 3},
  [13659] = {.lex_state = 159, .external_lex_state = 5},
  [13660] = {.lex_state = 129, .external_lex_state = 3},
  [13661] = {.lex_state = 129, .external_lex_state = 3},
  [13662] = {.lex_state = 130, .external_lex_state = 3},
  [13663] = {.lex_state = 129, .external_lex_state = 3},
  [13664] = {.lex_state = 129, .external_lex_state = 3},
  [13665] = {.lex_state = 129, .external_lex_state = 3},
  [13666] = {.lex_state = 130, .external_lex_state = 3},
  [13667] = {.lex_state = 129, .external_lex_state = 3},
  [13668] = {.lex_state = 129, .external_lex_state = 3},
  [13669] = {.lex_state = 159, .external_lex_state = 5},
  [13670] = {.lex_state = 130, .external_lex_state = 3},
  [13671] = {.lex_state = 131, .external_lex_state = 3},
  [13672] = {.lex_state = 129, .external_lex_state = 3},
  [13673] = {.lex_state = 129, .external_lex_state = 3},
  [13674] = {.lex_state = 129, .external_lex_state = 3},
  [13675] = {.lex_state = 129, .external_lex_state = 3},
  [13676] = {.lex_state = 131, .external_lex_state = 3},
  [13677] = {.lex_state = 130, .external_lex_state = 3},
  [13678] = {.lex_state = 131, .external_lex_state = 3},
  [13679] = {.lex_state = 130, .external_lex_state = 3},
  [13680] = {.lex_state = 129, .external_lex_state = 3},
  [13681] = {.lex_state = 131, .external_lex_state = 3},
  [13682] = {.lex_state = 130, .external_lex_state = 3},
  [13683] = {.lex_state = 131, .external_lex_state = 3},
  [13684] = {.lex_state = 159, .external_lex_state = 5},
  [13685] = {.lex_state = 131, .external_lex_state = 3},
  [13686] = {.lex_state = 129, .external_lex_state = 3},
  [13687] = {.lex_state = 130, .external_lex_state = 3},
  [13688] = {.lex_state = 130, .external_lex_state = 3},
  [13689] = {.lex_state = 129, .external_lex_state = 3},
  [13690] = {.lex_state = 159, .external_lex_state = 5},
  [13691] = {.lex_state = 130, .external_lex_state = 3},
  [13692] = {.lex_state = 130, .external_lex_state = 3},
  [13693] = {.lex_state = 130, .external_lex_state = 3},
  [13694] = {.lex_state = 131, .external_lex_state = 3},
  [13695] = {.lex_state = 130, .external_lex_state = 3},
  [13696] = {.lex_state = 130, .external_lex_state = 3},
  [13697] = {.lex_state = 130, .external_lex_state = 3},
  [13698] = {.lex_state = 129, .external_lex_state = 3},
  [13699] = {.lex_state = 130, .external_lex_state = 3},
  [13700] = {.lex_state = 130, .external_lex_state = 3},
  [13701] = {.lex_state = 131, .external_lex_state = 3},
  [13702] = {.lex_state = 130, .external_lex_state = 3},
  [13703] = {.lex_state = 129, .external_lex_state = 3},
  [13704] = {.lex_state = 129, .external_lex_state = 3},
  [13705] = {.lex_state = 159, .external_lex_state = 5},
  [13706] = {.lex_state = 129, .external_lex_state = 3},
  [13707] = {.lex_state = 129, .external_lex_state = 3},
  [13708] = {.lex_state = 129, .external_lex_state = 3},
  [13709] = {.lex_state = 159, .external_lex_state = 5},
  [13710] = {.lex_state = 15, .external_lex_state = 3},
  [13711] = {.lex_state = 129, .external_lex_state = 3},
  [13712] = {.lex_state = 129, .external_lex_state = 3},
  [13713] = {.lex_state = 129, .external_lex_state = 3},
  [13714] = {.lex_state = 129, .external_lex_state = 3},
  [13715] = {.lex_state = 130, .external_lex_state = 3},
  [13716] = {.lex_state = 159, .external_lex_state = 5},
  [13717] = {.lex_state = 129, .external_lex_state = 3},
  [13718] = {.lex_state = 130, .external_lex_state = 3},
  [13719] = {.lex_state = 159, .external_lex_state = 5},
  [13720] = {.lex_state = 130, .external_lex_state = 3},
  [13721] = {.lex_state = 130, .external_lex_state = 3},
  [13722] = {.lex_state = 159, .external_lex_state = 5},
  [13723] = {.lex_state = 130, .external_lex_state = 3},
  [13724] = {.lex_state = 130, .external_lex_state = 3},
  [13725] = {.lex_state = 130, .external_lex_state = 3},
  [13726] = {.lex_state = 130, .external_lex_state = 3},
  [13727] = {.lex_state = 130, .external_lex_state = 3},
  [13728] = {.lex_state = 130, .external_lex_state = 3},
  [13729] = {.lex_state = 130, .external_lex_state = 3},
  [13730] = {.lex_state = 130, .external_lex_state = 3},
  [13731] = {.lex_state = 129, .external_lex_state = 3},
  [13732] = {.lex_state = 130, .external_lex_state = 3},
  [13733] = {.lex_state = 129, .external_lex_state = 3},
  [13734] = {.lex_state = 129, .external_lex_state = 3},
  [13735] = {.lex_state = 129, .external_lex_state = 3},
  [13736] = {.lex_state = 129, .external_lex_state = 3},
  [13737] = {.lex_state = 129, .external_lex_state = 3},
  [13738] = {.lex_state = 131, .external_lex_state = 3},
  [13739] = {.lex_state = 129, .external_lex_state = 3},
  [13740] = {.lex_state = 129, .external_lex_state = 3},
  [13741] = {.lex_state = 129, .external_lex_state = 3},
  [13742] = {.lex_state = 159, .external_lex_state = 5},
  [13743] = {.lex_state = 129, .external_lex_state = 3},
  [13744] = {.lex_state = 414, .external_lex_state = 3},
  [13745] = {.lex_state = 159, .external_lex_state = 5},
  [13746] = {.lex_state = 129, .external_lex_state = 3},
  [13747] = {.lex_state = 129, .external_lex_state = 3},
  [13748] = {.lex_state = 159, .external_lex_state = 5},
  [13749] = {.lex_state = 129, .external_lex_state = 3},
  [13750] = {.lex_state = 159, .external_lex_state = 5},
  [13751] = {.lex_state = 129, .external_lex_state = 3},
  [13752] = {.lex_state = 159, .external_lex_state = 5},
  [13753] = {.lex_state = 173, .external_lex_state = 3},
  [13754] = {.lex_state = 414, .external_lex_state = 3},
  [13755] = {.lex_state = 129, .external_lex_state = 3},
  [13756] = {.lex_state = 129, .external_lex_state = 3},
  [13757] = {.lex_state = 129, .external_lex_state = 3},
  [13758] = {.lex_state = 129, .external_lex_state = 3},
  [13759] = {.lex_state = 129, .external_lex_state = 3},
  [13760] = {.lex_state = 129, .external_lex_state = 3},
  [13761] = {.lex_state = 425, .external_lex_state = 3},
  [13762] = {.lex_state = 129, .external_lex_state = 3},
  [13763] = {.lex_state = 129, .external_lex_state = 3},
  [13764] = {.lex_state = 425, .external_lex_state = 3},
  [13765] = {.lex_state = 129, .external_lex_state = 3},
  [13766] = {.lex_state = 131, .external_lex_state = 3},
  [13767] = {.lex_state = 129, .external_lex_state = 3},
  [13768] = {.lex_state = 129, .external_lex_state = 3},
  [13769] = {.lex_state = 129, .external_lex_state = 3},
  [13770] = {.lex_state = 181, .external_lex_state = 3},
  [13771] = {.lex_state = 129, .external_lex_state = 3},
  [13772] = {.lex_state = 159, .external_lex_state = 5},
  [13773] = {.lex_state = 165, .external_lex_state = 3},
  [13774] = {.lex_state = 129, .external_lex_state = 3},
  [13775] = {.lex_state = 129, .external_lex_state = 3},
  [13776] = {.lex_state = 129, .external_lex_state = 3},
  [13777] = {.lex_state = 129, .external_lex_state = 3},
  [13778] = {.lex_state = 130, .external_lex_state = 3},
  [13779] = {.lex_state = 159, .external_lex_state = 5},
  [13780] = {.lex_state = 129, .external_lex_state = 3},
  [13781] = {.lex_state = 129, .external_lex_state = 3},
  [13782] = {.lex_state = 130, .external_lex_state = 3},
  [13783] = {.lex_state = 130, .external_lex_state = 3},
  [13784] = {.lex_state = 129, .external_lex_state = 3},
  [13785] = {.lex_state = 129, .external_lex_state = 3},
  [13786] = {.lex_state = 129, .external_lex_state = 3},
  [13787] = {.lex_state = 129, .external_lex_state = 3},
  [13788] = {.lex_state = 130, .external_lex_state = 3},
  [13789] = {.lex_state = 129, .external_lex_state = 3},
  [13790] = {.lex_state = 15, .external_lex_state = 3},
  [13791] = {.lex_state = 129, .external_lex_state = 3},
  [13792] = {.lex_state = 129, .external_lex_state = 3},
  [13793] = {.lex_state = 159, .external_lex_state = 5},
  [13794] = {.lex_state = 159, .external_lex_state = 5},
  [13795] = {.lex_state = 129, .external_lex_state = 3},
  [13796] = {.lex_state = 159, .external_lex_state = 5},
  [13797] = {.lex_state = 129, .external_lex_state = 3},
  [13798] = {.lex_state = 129, .external_lex_state = 3},
  [13799] = {.lex_state = 159, .external_lex_state = 5},
  [13800] = {.lex_state = 129, .external_lex_state = 3},
  [13801] = {.lex_state = 130, .external_lex_state = 3},
  [13802] = {.lex_state = 129, .external_lex_state = 3},
  [13803] = {.lex_state = 15, .external_lex_state = 3},
  [13804] = {.lex_state = 130, .external_lex_state = 3},
  [13805] = {.lex_state = 129, .external_lex_state = 3},
  [13806] = {.lex_state = 129, .external_lex_state = 3},
  [13807] = {.lex_state = 130, .external_lex_state = 3},
  [13808] = {.lex_state = 159, .external_lex_state = 5},
  [13809] = {.lex_state = 129, .external_lex_state = 3},
  [13810] = {.lex_state = 129, .external_lex_state = 3},
  [13811] = {.lex_state = 129, .external_lex_state = 3},
  [13812] = {.lex_state = 129, .external_lex_state = 3},
  [13813] = {.lex_state = 129, .external_lex_state = 3},
  [13814] = {.lex_state = 182, .external_lex_state = 3},
  [13815] = {.lex_state = 131, .external_lex_state = 3},
  [13816] = {.lex_state = 129, .external_lex_state = 3},
  [13817] = {.lex_state = 15, .external_lex_state = 3},
  [13818] = {.lex_state = 129, .external_lex_state = 3},
  [13819] = {.lex_state = 131, .external_lex_state = 3},
  [13820] = {.lex_state = 131, .external_lex_state = 3},
  [13821] = {.lex_state = 425, .external_lex_state = 3},
  [13822] = {.lex_state = 129, .external_lex_state = 3},
  [13823] = {.lex_state = 130, .external_lex_state = 3},
  [13824] = {.lex_state = 129, .external_lex_state = 3},
  [13825] = {.lex_state = 159, .external_lex_state = 5},
  [13826] = {.lex_state = 15, .external_lex_state = 3},
  [13827] = {.lex_state = 15, .external_lex_state = 3},
  [13828] = {.lex_state = 129, .external_lex_state = 3},
  [13829] = {.lex_state = 159, .external_lex_state = 5},
  [13830] = {.lex_state = 159, .external_lex_state = 5},
  [13831] = {.lex_state = 15, .external_lex_state = 3},
  [13832] = {.lex_state = 15, .external_lex_state = 3},
  [13833] = {.lex_state = 15, .external_lex_state = 3},
  [13834] = {.lex_state = 129, .external_lex_state = 3},
  [13835] = {.lex_state = 159, .external_lex_state = 5},
  [13836] = {.lex_state = 129, .external_lex_state = 3},
  [13837] = {.lex_state = 129, .external_lex_state = 3},
  [13838] = {.lex_state = 129, .external_lex_state = 3},
  [13839] = {.lex_state = 129, .external_lex_state = 3},
  [13840] = {.lex_state = 15, .external_lex_state = 3},
  [13841] = {.lex_state = 159, .external_lex_state = 5},
  [13842] = {.lex_state = 159, .external_lex_state = 5},
  [13843] = {.lex_state = 15, .external_lex_state = 3},
  [13844] = {.lex_state = 15, .external_lex_state = 3},
  [13845] = {.lex_state = 129, .external_lex_state = 3},
  [13846] = {.lex_state = 129, .external_lex_state = 3},
  [13847] = {.lex_state = 159, .external_lex_state = 5},
  [13848] = {.lex_state = 129, .external_lex_state = 3},
  [13849] = {.lex_state = 129, .external_lex_state = 3},
  [13850] = {.lex_state = 129, .external_lex_state = 3},
  [13851] = {.lex_state = 129, .external_lex_state = 3},
  [13852] = {.lex_state = 129, .external_lex_state = 3},
  [13853] = {.lex_state = 130, .external_lex_state = 3},
  [13854] = {.lex_state = 129, .external_lex_state = 3},
  [13855] = {.lex_state = 130, .external_lex_state = 3},
  [13856] = {.lex_state = 129, .external_lex_state = 3},
  [13857] = {.lex_state = 129, .external_lex_state = 3},
  [13858] = {.lex_state = 129, .external_lex_state = 3},
  [13859] = {.lex_state = 129, .external_lex_state = 3},
  [13860] = {.lex_state = 129, .external_lex_state = 3},
  [13861] = {.lex_state = 129, .external_lex_state = 3},
  [13862] = {.lex_state = 129, .external_lex_state = 3},
  [13863] = {.lex_state = 131, .external_lex_state = 3},
  [13864] = {.lex_state = 130, .external_lex_state = 3},
  [13865] = {.lex_state = 129, .external_lex_state = 3},
  [13866] = {.lex_state = 129, .external_lex_state = 3},
  [13867] = {.lex_state = 129, .external_lex_state = 3},
  [13868] = {.lex_state = 129, .external_lex_state = 3},
  [13869] = {.lex_state = 129, .external_lex_state = 3},
  [13870] = {.lex_state = 129, .external_lex_state = 3},
  [13871] = {.lex_state = 129, .external_lex_state = 3},
  [13872] = {.lex_state = 129, .external_lex_state = 3},
  [13873] = {.lex_state = 129, .external_lex_state = 3},
  [13874] = {.lex_state = 129, .external_lex_state = 3},
  [13875] = {.lex_state = 129, .external_lex_state = 3},
  [13876] = {.lex_state = 129, .external_lex_state = 3},
  [13877] = {.lex_state = 15, .external_lex_state = 3},
  [13878] = {.lex_state = 130, .external_lex_state = 3},
  [13879] = {.lex_state = 130, .external_lex_state = 3},
  [13880] = {.lex_state = 129, .external_lex_state = 3},
  [13881] = {.lex_state = 159, .external_lex_state = 5},
  [13882] = {.lex_state = 129, .external_lex_state = 3},
  [13883] = {.lex_state = 129, .external_lex_state = 3},
  [13884] = {.lex_state = 129, .external_lex_state = 3},
  [13885] = {.lex_state = 129, .external_lex_state = 3},
  [13886] = {.lex_state = 159, .external_lex_state = 5},
  [13887] = {.lex_state = 129, .external_lex_state = 3},
  [13888] = {.lex_state = 159, .external_lex_state = 5},
  [13889] = {.lex_state = 129, .external_lex_state = 3},
  [13890] = {.lex_state = 129, .external_lex_state = 3},
  [13891] = {.lex_state = 129, .external_lex_state = 3},
  [13892] = {.lex_state = 129, .external_lex_state = 3},
  [13893] = {.lex_state = 131, .external_lex_state = 3},
  [13894] = {.lex_state = 129, .external_lex_state = 3},
  [13895] = {.lex_state = 131, .external_lex_state = 3},
  [13896] = {.lex_state = 129, .external_lex_state = 3},
  [13897] = {.lex_state = 129, .external_lex_state = 3},
  [13898] = {.lex_state = 159, .external_lex_state = 5},
  [13899] = {.lex_state = 129, .external_lex_state = 3},
  [13900] = {.lex_state = 425, .external_lex_state = 3},
  [13901] = {.lex_state = 129, .external_lex_state = 3},
  [13902] = {.lex_state = 129, .external_lex_state = 3},
  [13903] = {.lex_state = 425, .external_lex_state = 3},
  [13904] = {.lex_state = 130, .external_lex_state = 3},
  [13905] = {.lex_state = 159, .external_lex_state = 5},
  [13906] = {.lex_state = 130, .external_lex_state = 3},
  [13907] = {.lex_state = 131, .external_lex_state = 3},
  [13908] = {.lex_state = 129, .external_lex_state = 3},
  [13909] = {.lex_state = 425, .external_lex_state = 3},
  [13910] = {.lex_state = 181, .external_lex_state = 3},
  [13911] = {.lex_state = 181, .external_lex_state = 3},
  [13912] = {.lex_state = 129, .external_lex_state = 3},
  [13913] = {.lex_state = 159, .external_lex_state = 5},
  [13914] = {.lex_state = 129, .external_lex_state = 3},
  [13915] = {.lex_state = 159, .external_lex_state = 5},
  [13916] = {.lex_state = 159, .external_lex_state = 5},
  [13917] = {.lex_state = 129, .external_lex_state = 3},
  [13918] = {.lex_state = 129, .external_lex_state = 3},
  [13919] = {.lex_state = 129, .external_lex_state = 3},
  [13920] = {.lex_state = 129, .external_lex_state = 3},
  [13921] = {.lex_state = 15, .external_lex_state = 3},
  [13922] = {.lex_state = 129, .external_lex_state = 3},
  [13923] = {.lex_state = 129, .external_lex_state = 3},
  [13924] = {.lex_state = 129, .external_lex_state = 3},
  [13925] = {.lex_state = 129, .external_lex_state = 3},
  [13926] = {.lex_state = 129, .external_lex_state = 3},
  [13927] = {.lex_state = 129, .external_lex_state = 3},
  [13928] = {.lex_state = 129, .external_lex_state = 3},
  [13929] = {.lex_state = 129, .external_lex_state = 3},
  [13930] = {.lex_state = 129, .external_lex_state = 3},
  [13931] = {.lex_state = 129, .external_lex_state = 3},
  [13932] = {.lex_state = 129, .external_lex_state = 3},
  [13933] = {.lex_state = 129, .external_lex_state = 3},
  [13934] = {.lex_state = 159, .external_lex_state = 5},
  [13935] = {.lex_state = 129, .external_lex_state = 3},
  [13936] = {.lex_state = 129, .external_lex_state = 3},
  [13937] = {.lex_state = 159, .external_lex_state = 5},
  [13938] = {.lex_state = 129, .external_lex_state = 3},
  [13939] = {.lex_state = 130, .external_lex_state = 3},
  [13940] = {.lex_state = 159, .external_lex_state = 5},
  [13941] = {.lex_state = 129, .external_lex_state = 3},
  [13942] = {.lex_state = 129, .external_lex_state = 3},
  [13943] = {.lex_state = 129, .external_lex_state = 3},
  [13944] = {.lex_state = 129, .external_lex_state = 3},
  [13945] = {.lex_state = 159, .external_lex_state = 5},
  [13946] = {.lex_state = 129, .external_lex_state = 3},
  [13947] = {.lex_state = 129, .external_lex_state = 3},
  [13948] = {.lex_state = 129, .external_lex_state = 3},
  [13949] = {.lex_state = 129, .external_lex_state = 3},
  [13950] = {.lex_state = 129, .external_lex_state = 3},
  [13951] = {.lex_state = 129, .external_lex_state = 3},
  [13952] = {.lex_state = 130, .external_lex_state = 3},
  [13953] = {.lex_state = 129, .external_lex_state = 3},
  [13954] = {.lex_state = 129, .external_lex_state = 3},
  [13955] = {.lex_state = 129, .external_lex_state = 3},
  [13956] = {.lex_state = 159, .external_lex_state = 5},
  [13957] = {.lex_state = 130, .external_lex_state = 3},
  [13958] = {.lex_state = 159, .external_lex_state = 5},
  [13959] = {.lex_state = 130, .external_lex_state = 3},
  [13960] = {.lex_state = 129, .external_lex_state = 3},
  [13961] = {.lex_state = 129, .external_lex_state = 3},
  [13962] = {.lex_state = 414, .external_lex_state = 3},
  [13963] = {.lex_state = 130, .external_lex_state = 3},
  [13964] = {.lex_state = 159, .external_lex_state = 5},
  [13965] = {.lex_state = 129, .external_lex_state = 3},
  [13966] = {.lex_state = 173, .external_lex_state = 3},
  [13967] = {.lex_state = 129, .external_lex_state = 3},
  [13968] = {.lex_state = 129, .external_lex_state = 3},
  [13969] = {.lex_state = 129, .external_lex_state = 3},
  [13970] = {.lex_state = 159, .external_lex_state = 5},
  [13971] = {.lex_state = 130, .external_lex_state = 3},
  [13972] = {.lex_state = 159, .external_lex_state = 5},
  [13973] = {.lex_state = 129, .external_lex_state = 3},
  [13974] = {.lex_state = 129, .external_lex_state = 3},
  [13975] = {.lex_state = 129, .external_lex_state = 3},
  [13976] = {.lex_state = 129, .external_lex_state = 3},
  [13977] = {.lex_state = 129, .external_lex_state = 3},
  [13978] = {.lex_state = 15, .external_lex_state = 3},
  [13979] = {.lex_state = 15, .external_lex_state = 3},
  [13980] = {.lex_state = 129, .external_lex_state = 3},
  [13981] = {.lex_state = 129, .external_lex_state = 3},
  [13982] = {.lex_state = 159, .external_lex_state = 5},
  [13983] = {.lex_state = 182, .external_lex_state = 3},
  [13984] = {.lex_state = 129, .external_lex_state = 3},
  [13985] = {.lex_state = 229, .external_lex_state = 3},
  [13986] = {.lex_state = 15, .external_lex_state = 3},
  [13987] = {.lex_state = 15, .external_lex_state = 3},
  [13988] = {.lex_state = 15, .external_lex_state = 3},
  [13989] = {.lex_state = 425, .external_lex_state = 3},
  [13990] = {.lex_state = 15, .external_lex_state = 3},
  [13991] = {.lex_state = 182, .external_lex_state = 3},
  [13992] = {.lex_state = 425, .external_lex_state = 3},
  [13993] = {.lex_state = 425, .external_lex_state = 3},
  [13994] = {.lex_state = 15, .external_lex_state = 3},
  [13995] = {.lex_state = 425, .external_lex_state = 3},
  [13996] = {.lex_state = 203, .external_lex_state = 3},
  [13997] = {.lex_state = 15, .external_lex_state = 3},
  [13998] = {.lex_state = 129, .external_lex_state = 3},
  [13999] = {.lex_state = 129, .external_lex_state = 3},
  [14000] = {.lex_state = 203, .external_lex_state = 3},
  [14001] = {.lex_state = 15, .external_lex_state = 3},
  [14002] = {.lex_state = 129, .external_lex_state = 3},
  [14003] = {.lex_state = 182, .external_lex_state = 3},
  [14004] = {.lex_state = 425, .external_lex_state = 3},
  [14005] = {.lex_state = 129, .external_lex_state = 3},
  [14006] = {.lex_state = 182, .external_lex_state = 3},
  [14007] = {.lex_state = 15, .external_lex_state = 3},
  [14008] = {.lex_state = 425, .external_lex_state = 3},
  [14009] = {.lex_state = 129, .external_lex_state = 3},
  [14010] = {.lex_state = 129, .external_lex_state = 3},
  [14011] = {.lex_state = 182, .external_lex_state = 3},
  [14012] = {.lex_state = 412, .external_lex_state = 3},
  [14013] = {.lex_state = 412, .external_lex_state = 3},
  [14014] = {.lex_state = 129, .external_lex_state = 3},
  [14015] = {.lex_state = 129, .external_lex_state = 3},
  [14016] = {.lex_state = 129, .external_lex_state = 3},
  [14017] = {.lex_state = 129, .external_lex_state = 3},
  [14018] = {.lex_state = 15, .external_lex_state = 3},
  [14019] = {.lex_state = 129, .external_lex_state = 3},
  [14020] = {.lex_state = 129, .external_lex_state = 3},
  [14021] = {.lex_state = 129, .external_lex_state = 3},
  [14022] = {.lex_state = 129, .external_lex_state = 3},
  [14023] = {.lex_state = 425, .external_lex_state = 3},
  [14024] = {.lex_state = 129, .external_lex_state = 3},
  [14025] = {.lex_state = 425, .external_lex_state = 3},
  [14026] = {.lex_state = 129, .external_lex_state = 3},
  [14027] = {.lex_state = 8, .external_lex_state = 3},
  [14028] = {.lex_state = 129, .external_lex_state = 3},
  [14029] = {.lex_state = 129, .external_lex_state = 3},
  [14030] = {.lex_state = 129, .external_lex_state = 3},
  [14031] = {.lex_state = 129, .external_lex_state = 3},
  [14032] = {.lex_state = 129, .external_lex_state = 3},
  [14033] = {.lex_state = 425, .external_lex_state = 3},
  [14034] = {.lex_state = 425, .external_lex_state = 3},
  [14035] = {.lex_state = 129, .external_lex_state = 3},
  [14036] = {.lex_state = 129, .external_lex_state = 3},
  [14037] = {.lex_state = 15, .external_lex_state = 3},
  [14038] = {.lex_state = 129, .external_lex_state = 3},
  [14039] = {.lex_state = 129, .external_lex_state = 3},
  [14040] = {.lex_state = 15, .external_lex_state = 3},
  [14041] = {.lex_state = 15, .external_lex_state = 3},
  [14042] = {.lex_state = 15, .external_lex_state = 3},
  [14043] = {.lex_state = 15, .external_lex_state = 3},
  [14044] = {.lex_state = 15, .external_lex_state = 3},
  [14045] = {.lex_state = 15, .external_lex_state = 3},
  [14046] = {.lex_state = 15, .external_lex_state = 3},
  [14047] = {.lex_state = 229, .external_lex_state = 3},
  [14048] = {.lex_state = 129, .external_lex_state = 3},
  [14049] = {.lex_state = 229, .external_lex_state = 3},
  [14050] = {.lex_state = 229, .external_lex_state = 3},
  [14051] = {.lex_state = 182, .external_lex_state = 3},
  [14052] = {.lex_state = 182, .external_lex_state = 3},
  [14053] = {.lex_state = 129, .external_lex_state = 3},
  [14054] = {.lex_state = 129, .external_lex_state = 3},
  [14055] = {.lex_state = 15, .external_lex_state = 3},
  [14056] = {.lex_state = 15, .external_lex_state = 3},
  [14057] = {.lex_state = 15, .external_lex_state = 3},
  [14058] = {.lex_state = 425, .external_lex_state = 3},
  [14059] = {.lex_state = 129, .external_lex_state = 3},
  [14060] = {.lex_state = 182, .external_lex_state = 3},
  [14061] = {.lex_state = 425, .external_lex_state = 3},
  [14062] = {.lex_state = 182, .external_lex_state = 3},
  [14063] = {.lex_state = 15, .external_lex_state = 3},
  [14064] = {.lex_state = 425, .external_lex_state = 3},
  [14065] = {.lex_state = 182, .external_lex_state = 3},
  [14066] = {.lex_state = 182, .external_lex_state = 3},
  [14067] = {.lex_state = 129, .external_lex_state = 3},
  [14068] = {.lex_state = 182, .external_lex_state = 3},
  [14069] = {.lex_state = 129, .external_lex_state = 3},
  [14070] = {.lex_state = 15, .external_lex_state = 3},
  [14071] = {.lex_state = 412, .external_lex_state = 3},
  [14072] = {.lex_state = 15, .external_lex_state = 3},
  [14073] = {.lex_state = 182, .external_lex_state = 3},
  [14074] = {.lex_state = 15, .external_lex_state = 3},
  [14075] = {.lex_state = 182, .external_lex_state = 3},
  [14076] = {.lex_state = 15, .external_lex_state = 3},
  [14077] = {.lex_state = 182, .external_lex_state = 3},
  [14078] = {.lex_state = 129, .external_lex_state = 3},
  [14079] = {.lex_state = 182, .external_lex_state = 3},
  [14080] = {.lex_state = 425, .external_lex_state = 3},
  [14081] = {.lex_state = 182, .external_lex_state = 3},
  [14082] = {.lex_state = 182, .external_lex_state = 3},
  [14083] = {.lex_state = 182, .external_lex_state = 3},
  [14084] = {.lex_state = 15, .external_lex_state = 3},
  [14085] = {.lex_state = 15, .external_lex_state = 3},
  [14086] = {.lex_state = 129, .external_lex_state = 3},
  [14087] = {.lex_state = 425, .external_lex_state = 3},
  [14088] = {.lex_state = 15, .external_lex_state = 3},
  [14089] = {.lex_state = 15, .external_lex_state = 3},
  [14090] = {.lex_state = 129, .external_lex_state = 3},
  [14091] = {.lex_state = 129, .external_lex_state = 3},
  [14092] = {.lex_state = 216, .external_lex_state = 3},
  [14093] = {.lex_state = 129, .external_lex_state = 3},
  [14094] = {.lex_state = 15, .external_lex_state = 3},
  [14095] = {.lex_state = 129, .external_lex_state = 3},
  [14096] = {.lex_state = 425, .external_lex_state = 3},
  [14097] = {.lex_state = 182, .external_lex_state = 3},
  [14098] = {.lex_state = 19, .external_lex_state = 3},
  [14099] = {.lex_state = 182, .external_lex_state = 3},
  [14100] = {.lex_state = 182, .external_lex_state = 3},
  [14101] = {.lex_state = 15, .external_lex_state = 3},
  [14102] = {.lex_state = 182, .external_lex_state = 3},
  [14103] = {.lex_state = 182, .external_lex_state = 3},
  [14104] = {.lex_state = 129, .external_lex_state = 3},
  [14105] = {.lex_state = 129, .external_lex_state = 3},
  [14106] = {.lex_state = 182, .external_lex_state = 3},
  [14107] = {.lex_state = 159, .external_lex_state = 5},
  [14108] = {.lex_state = 425, .external_lex_state = 3},
  [14109] = {.lex_state = 425, .external_lex_state = 3},
  [14110] = {.lex_state = 129, .external_lex_state = 3},
  [14111] = {.lex_state = 8, .external_lex_state = 3},
  [14112] = {.lex_state = 129, .external_lex_state = 3},
  [14113] = {.lex_state = 19, .external_lex_state = 3},
  [14114] = {.lex_state = 129, .external_lex_state = 3},
  [14115] = {.lex_state = 15, .external_lex_state = 3},
  [14116] = {.lex_state = 129, .external_lex_state = 3},
  [14117] = {.lex_state = 129, .external_lex_state = 3},
  [14118] = {.lex_state = 131, .external_lex_state = 3},
  [14119] = {.lex_state = 129, .external_lex_state = 3},
  [14120] = {.lex_state = 425, .external_lex_state = 3},
  [14121] = {.lex_state = 15, .external_lex_state = 3},
  [14122] = {.lex_state = 425, .external_lex_state = 3},
  [14123] = {.lex_state = 425, .external_lex_state = 3},
  [14124] = {.lex_state = 15, .external_lex_state = 3},
  [14125] = {.lex_state = 19, .external_lex_state = 3},
  [14126] = {.lex_state = 182, .external_lex_state = 3},
  [14127] = {.lex_state = 129, .external_lex_state = 3},
  [14128] = {.lex_state = 425, .external_lex_state = 3},
  [14129] = {.lex_state = 15, .external_lex_state = 3},
  [14130] = {.lex_state = 425, .external_lex_state = 3},
  [14131] = {.lex_state = 425, .external_lex_state = 3},
  [14132] = {.lex_state = 190, .external_lex_state = 3},
  [14133] = {.lex_state = 182, .external_lex_state = 3},
  [14134] = {.lex_state = 15, .external_lex_state = 3},
  [14135] = {.lex_state = 129, .external_lex_state = 3},
  [14136] = {.lex_state = 129, .external_lex_state = 3},
  [14137] = {.lex_state = 425, .external_lex_state = 3},
  [14138] = {.lex_state = 15, .external_lex_state = 3},
  [14139] = {.lex_state = 229, .external_lex_state = 3},
  [14140] = {.lex_state = 229, .external_lex_state = 3},
  [14141] = {.lex_state = 15, .external_lex_state = 3},
  [14142] = {.lex_state = 15, .external_lex_state = 3},
  [14143] = {.lex_state = 182, .external_lex_state = 3},
  [14144] = {.lex_state = 425, .external_lex_state = 3},
  [14145] = {.lex_state = 425, .external_lex_state = 3},
  [14146] = {.lex_state = 19, .external_lex_state = 3},
  [14147] = {.lex_state = 129, .external_lex_state = 3},
  [14148] = {.lex_state = 129, .external_lex_state = 3},
  [14149] = {.lex_state = 15, .external_lex_state = 3},
  [14150] = {.lex_state = 15, .external_lex_state = 3},
  [14151] = {.lex_state = 15, .external_lex_state = 3},
  [14152] = {.lex_state = 129, .external_lex_state = 3},
  [14153] = {.lex_state = 15, .external_lex_state = 3},
  [14154] = {.lex_state = 129, .external_lex_state = 3},
  [14155] = {.lex_state = 190, .external_lex_state = 3},
  [14156] = {.lex_state = 19, .external_lex_state = 3},
  [14157] = {.lex_state = 182, .external_lex_state = 3},
  [14158] = {.lex_state = 425, .external_lex_state = 3},
  [14159] = {.lex_state = 19, .external_lex_state = 3},
  [14160] = {.lex_state = 425, .external_lex_state = 3},
  [14161] = {.lex_state = 15, .external_lex_state = 3},
  [14162] = {.lex_state = 15, .external_lex_state = 3},
  [14163] = {.lex_state = 425, .external_lex_state = 3},
  [14164] = {.lex_state = 229, .external_lex_state = 3},
  [14165] = {.lex_state = 15, .external_lex_state = 3},
  [14166] = {.lex_state = 425, .external_lex_state = 3},
  [14167] = {.lex_state = 190, .external_lex_state = 3},
  [14168] = {.lex_state = 425, .external_lex_state = 3},
  [14169] = {.lex_state = 15, .external_lex_state = 3},
  [14170] = {.lex_state = 229, .external_lex_state = 3},
  [14171] = {.lex_state = 8, .external_lex_state = 3},
  [14172] = {.lex_state = 182, .external_lex_state = 3},
  [14173] = {.lex_state = 8, .external_lex_state = 3},
  [14174] = {.lex_state = 15, .external_lex_state = 3},
  [14175] = {.lex_state = 425, .external_lex_state = 3},
  [14176] = {.lex_state = 15, .external_lex_state = 3},
  [14177] = {.lex_state = 129, .external_lex_state = 3},
  [14178] = {.lex_state = 129, .external_lex_state = 3},
  [14179] = {.lex_state = 129, .external_lex_state = 3},
  [14180] = {.lex_state = 425, .external_lex_state = 3},
  [14181] = {.lex_state = 425, .external_lex_state = 3},
  [14182] = {.lex_state = 19, .external_lex_state = 3},
  [14183] = {.lex_state = 182, .external_lex_state = 3},
  [14184] = {.lex_state = 425, .external_lex_state = 3},
  [14185] = {.lex_state = 129, .external_lex_state = 3},
  [14186] = {.lex_state = 425, .external_lex_state = 3},
  [14187] = {.lex_state = 129, .external_lex_state = 3},
  [14188] = {.lex_state = 129, .external_lex_state = 3},
  [14189] = {.lex_state = 129, .external_lex_state = 3},
  [14190] = {.lex_state = 425, .external_lex_state = 3},
  [14191] = {.lex_state = 129, .external_lex_state = 3},
  [14192] = {.lex_state = 129, .external_lex_state = 3},
  [14193] = {.lex_state = 129, .external_lex_state = 3},
  [14194] = {.lex_state = 129, .external_lex_state = 3},
  [14195] = {.lex_state = 15, .external_lex_state = 3},
  [14196] = {.lex_state = 425, .external_lex_state = 3},
  [14197] = {.lex_state = 165, .external_lex_state = 3},
  [14198] = {.lex_state = 19, .external_lex_state = 3},
  [14199] = {.lex_state = 412, .external_lex_state = 3},
  [14200] = {.lex_state = 425, .external_lex_state = 3},
  [14201] = {.lex_state = 8, .external_lex_state = 3},
  [14202] = {.lex_state = 8, .external_lex_state = 3},
  [14203] = {.lex_state = 8, .external_lex_state = 3},
  [14204] = {.lex_state = 8, .external_lex_state = 3},
  [14205] = {.lex_state = 8, .external_lex_state = 3},
  [14206] = {.lex_state = 8, .external_lex_state = 3},
  [14207] = {.lex_state = 412, .external_lex_state = 3},
  [14208] = {.lex_state = 412, .external_lex_state = 3},
  [14209] = {.lex_state = 425, .external_lex_state = 3},
  [14210] = {.lex_state = 8, .external_lex_state = 3},
  [14211] = {.lex_state = 19, .external_lex_state = 3},
  [14212] = {.lex_state = 425, .external_lex_state = 3},
  [14213] = {.lex_state = 8, .external_lex_state = 3},
  [14214] = {.lex_state = 8, .external_lex_state = 3},
  [14215] = {.lex_state = 8, .external_lex_state = 3},
  [14216] = {.lex_state = 190, .external_lex_state = 3},
  [14217] = {.lex_state = 19, .external_lex_state = 3},
  [14218] = {.lex_state = 15, .external_lex_state = 3},
  [14219] = {.lex_state = 165, .external_lex_state = 3},
  [14220] = {.lex_state = 8, .external_lex_state = 3},
  [14221] = {.lex_state = 8, .external_lex_state = 3},
  [14222] = {.lex_state = 165, .external_lex_state = 3},
  [14223] = {.lex_state = 412, .external_lex_state = 3},
  [14224] = {.lex_state = 425, .external_lex_state = 3},
  [14225] = {.lex_state = 179, .external_lex_state = 3},
  [14226] = {.lex_state = 190, .external_lex_state = 3},
  [14227] = {.lex_state = 190, .external_lex_state = 3},
  [14228] = {.lex_state = 159, .external_lex_state = 5},
  [14229] = {.lex_state = 190, .external_lex_state = 3},
  [14230] = {.lex_state = 190, .external_lex_state = 3},
  [14231] = {.lex_state = 425, .external_lex_state = 3},
  [14232] = {.lex_state = 190, .external_lex_state = 3},
  [14233] = {.lex_state = 190, .external_lex_state = 3},
  [14234] = {.lex_state = 190, .external_lex_state = 3},
  [14235] = {.lex_state = 190, .external_lex_state = 3},
  [14236] = {.lex_state = 190, .external_lex_state = 3},
  [14237] = {.lex_state = 204, .external_lex_state = 3},
  [14238] = {.lex_state = 190, .external_lex_state = 3},
  [14239] = {.lex_state = 190, .external_lex_state = 3},
  [14240] = {.lex_state = 179, .external_lex_state = 3},
  [14241] = {.lex_state = 425, .external_lex_state = 3},
  [14242] = {.lex_state = 132, .external_lex_state = 3},
  [14243] = {.lex_state = 190, .external_lex_state = 3},
  [14244] = {.lex_state = 190, .external_lex_state = 3},
  [14245] = {.lex_state = 190, .external_lex_state = 3},
  [14246] = {.lex_state = 425, .external_lex_state = 3},
  [14247] = {.lex_state = 425, .external_lex_state = 3},
  [14248] = {.lex_state = 190, .external_lex_state = 3},
  [14249] = {.lex_state = 190, .external_lex_state = 3},
  [14250] = {.lex_state = 204, .external_lex_state = 3},
  [14251] = {.lex_state = 204, .external_lex_state = 3},
  [14252] = {.lex_state = 190, .external_lex_state = 3},
  [14253] = {.lex_state = 190, .external_lex_state = 3},
  [14254] = {.lex_state = 190, .external_lex_state = 3},
  [14255] = {.lex_state = 19, .external_lex_state = 3},
  [14256] = {.lex_state = 19, .external_lex_state = 3},
  [14257] = {.lex_state = 7, .external_lex_state = 3},
  [14258] = {.lex_state = 190, .external_lex_state = 3},
  [14259] = {.lex_state = 159, .external_lex_state = 5},
  [14260] = {.lex_state = 190, .external_lex_state = 3},
  [14261] = {.lex_state = 190, .external_lex_state = 3},
  [14262] = {.lex_state = 7, .external_lex_state = 3},
  [14263] = {.lex_state = 190, .external_lex_state = 3},
  [14264] = {.lex_state = 19, .external_lex_state = 3},
  [14265] = {.lex_state = 190, .external_lex_state = 3},
  [14266] = {.lex_state = 190, .external_lex_state = 3},
  [14267] = {.lex_state = 425, .external_lex_state = 3},
  [14268] = {.lex_state = 172, .external_lex_state = 3},
  [14269] = {.lex_state = 190, .external_lex_state = 3},
  [14270] = {.lex_state = 19, .external_lex_state = 3},
  [14271] = {.lex_state = 182, .external_lex_state = 3},
  [14272] = {.lex_state = 190, .external_lex_state = 3},
  [14273] = {.lex_state = 186, .external_lex_state = 3},
  [14274] = {.lex_state = 190, .external_lex_state = 3},
  [14275] = {.lex_state = 132, .external_lex_state = 3},
  [14276] = {.lex_state = 7, .external_lex_state = 3},
  [14277] = {.lex_state = 8, .external_lex_state = 3},
  [14278] = {.lex_state = 190, .external_lex_state = 3},
  [14279] = {.lex_state = 425, .external_lex_state = 3},
  [14280] = {.lex_state = 19, .external_lex_state = 3},
  [14281] = {.lex_state = 8, .external_lex_state = 3},
  [14282] = {.lex_state = 204, .external_lex_state = 3},
  [14283] = {.lex_state = 132, .external_lex_state = 3},
  [14284] = {.lex_state = 190, .external_lex_state = 3},
  [14285] = {.lex_state = 204, .external_lex_state = 3},
  [14286] = {.lex_state = 204, .external_lex_state = 3},
  [14287] = {.lex_state = 8, .external_lex_state = 3},
  [14288] = {.lex_state = 204, .external_lex_state = 3},
  [14289] = {.lex_state = 186, .external_lex_state = 3},
  [14290] = {.lex_state = 8, .external_lex_state = 3},
  [14291] = {.lex_state = 169, .external_lex_state = 3},
  [14292] = {.lex_state = 190, .external_lex_state = 3},
  [14293] = {.lex_state = 190, .external_lex_state = 3},
  [14294] = {.lex_state = 204, .external_lex_state = 3},
  [14295] = {.lex_state = 8, .external_lex_state = 3},
  [14296] = {.lex_state = 179, .external_lex_state = 3},
  [14297] = {.lex_state = 179, .external_lex_state = 3},
  [14298] = {.lex_state = 190, .external_lex_state = 3},
  [14299] = {.lex_state = 186, .external_lex_state = 3},
  [14300] = {.lex_state = 179, .external_lex_state = 3},
  [14301] = {.lex_state = 179, .external_lex_state = 3},
  [14302] = {.lex_state = 8, .external_lex_state = 3},
  [14303] = {.lex_state = 412, .external_lex_state = 3},
  [14304] = {.lex_state = 382, .external_lex_state = 3},
  [14305] = {.lex_state = 15, .external_lex_state = 3},
  [14306] = {.lex_state = 382, .external_lex_state = 3},
  [14307] = {.lex_state = 382, .external_lex_state = 3},
  [14308] = {.lex_state = 382, .external_lex_state = 3},
  [14309] = {.lex_state = 15, .external_lex_state = 3},
  [14310] = {.lex_state = 182, .external_lex_state = 3},
  [14311] = {.lex_state = 382, .external_lex_state = 3},
  [14312] = {.lex_state = 412, .external_lex_state = 3},
  [14313] = {.lex_state = 382, .external_lex_state = 3},
  [14314] = {.lex_state = 412, .external_lex_state = 3},
  [14315] = {.lex_state = 15, .external_lex_state = 3},
  [14316] = {.lex_state = 382, .external_lex_state = 3},
  [14317] = {.lex_state = 204, .external_lex_state = 3},
  [14318] = {.lex_state = 382, .external_lex_state = 3},
  [14319] = {.lex_state = 412, .external_lex_state = 3},
  [14320] = {.lex_state = 15, .external_lex_state = 3},
  [14321] = {.lex_state = 382, .external_lex_state = 3},
  [14322] = {.lex_state = 382, .external_lex_state = 3},
  [14323] = {.lex_state = 382, .external_lex_state = 3},
  [14324] = {.lex_state = 412, .external_lex_state = 3},
  [14325] = {.lex_state = 412, .external_lex_state = 3},
  [14326] = {.lex_state = 382, .external_lex_state = 3},
  [14327] = {.lex_state = 412, .external_lex_state = 3},
  [14328] = {.lex_state = 382, .external_lex_state = 3},
  [14329] = {.lex_state = 382, .external_lex_state = 3},
  [14330] = {.lex_state = 382, .external_lex_state = 3},
  [14331] = {.lex_state = 382, .external_lex_state = 3},
  [14332] = {.lex_state = 382, .external_lex_state = 3},
  [14333] = {.lex_state = 382, .external_lex_state = 3},
  [14334] = {.lex_state = 382, .external_lex_state = 3},
  [14335] = {.lex_state = 412, .external_lex_state = 3},
  [14336] = {.lex_state = 165, .external_lex_state = 3},
  [14337] = {.lex_state = 412, .external_lex_state = 3},
  [14338] = {.lex_state = 15, .external_lex_state = 3},
  [14339] = {.lex_state = 382, .external_lex_state = 3},
  [14340] = {.lex_state = 382, .external_lex_state = 3},
  [14341] = {.lex_state = 382, .external_lex_state = 3},
  [14342] = {.lex_state = 382, .external_lex_state = 3},
  [14343] = {.lex_state = 382, .external_lex_state = 3},
  [14344] = {.lex_state = 190, .external_lex_state = 3},
  [14345] = {.lex_state = 382, .external_lex_state = 3},
  [14346] = {.lex_state = 15, .external_lex_state = 3},
  [14347] = {.lex_state = 382, .external_lex_state = 3},
  [14348] = {.lex_state = 15, .external_lex_state = 3},
  [14349] = {.lex_state = 382, .external_lex_state = 3},
  [14350] = {.lex_state = 382, .external_lex_state = 3},
  [14351] = {.lex_state = 382, .external_lex_state = 3},
  [14352] = {.lex_state = 412, .external_lex_state = 3},
  [14353] = {.lex_state = 382, .external_lex_state = 3},
  [14354] = {.lex_state = 412, .external_lex_state = 3},
  [14355] = {.lex_state = 15, .external_lex_state = 3},
  [14356] = {.lex_state = 203, .external_lex_state = 3},
  [14357] = {.lex_state = 15, .external_lex_state = 3},
  [14358] = {.lex_state = 15, .external_lex_state = 3},
  [14359] = {.lex_state = 412, .external_lex_state = 3},
  [14360] = {.lex_state = 204, .external_lex_state = 3},
  [14361] = {.lex_state = 204, .external_lex_state = 3},
  [14362] = {.lex_state = 382, .external_lex_state = 3},
  [14363] = {.lex_state = 382, .external_lex_state = 3},
  [14364] = {.lex_state = 382, .external_lex_state = 3},
  [14365] = {.lex_state = 15, .external_lex_state = 3},
  [14366] = {.lex_state = 204, .external_lex_state = 3},
  [14367] = {.lex_state = 382, .external_lex_state = 3},
  [14368] = {.lex_state = 382, .external_lex_state = 3},
  [14369] = {.lex_state = 15, .external_lex_state = 3},
  [14370] = {.lex_state = 382, .external_lex_state = 3},
  [14371] = {.lex_state = 382, .external_lex_state = 3},
  [14372] = {.lex_state = 412, .external_lex_state = 3},
  [14373] = {.lex_state = 412, .external_lex_state = 3},
  [14374] = {.lex_state = 382, .external_lex_state = 3},
  [14375] = {.lex_state = 204, .external_lex_state = 3},
  [14376] = {.lex_state = 382, .external_lex_state = 3},
  [14377] = {.lex_state = 382, .external_lex_state = 3},
  [14378] = {.lex_state = 15, .external_lex_state = 3},
  [14379] = {.lex_state = 382, .external_lex_state = 3},
  [14380] = {.lex_state = 382, .external_lex_state = 3},
  [14381] = {.lex_state = 382, .external_lex_state = 3},
  [14382] = {.lex_state = 412, .external_lex_state = 3},
  [14383] = {.lex_state = 412, .external_lex_state = 3},
  [14384] = {.lex_state = 382, .external_lex_state = 3},
  [14385] = {.lex_state = 15, .external_lex_state = 3},
  [14386] = {.lex_state = 412, .external_lex_state = 3},
  [14387] = {.lex_state = 382, .external_lex_state = 3},
  [14388] = {.lex_state = 412, .external_lex_state = 3},
  [14389] = {.lex_state = 382, .external_lex_state = 3},
  [14390] = {.lex_state = 382, .external_lex_state = 3},
  [14391] = {.lex_state = 382, .external_lex_state = 3},
  [14392] = {.lex_state = 412, .external_lex_state = 3},
  [14393] = {.lex_state = 382, .external_lex_state = 3},
  [14394] = {.lex_state = 412, .external_lex_state = 3},
  [14395] = {.lex_state = 412, .external_lex_state = 3},
  [14396] = {.lex_state = 15, .external_lex_state = 3},
  [14397] = {.lex_state = 412, .external_lex_state = 3},
  [14398] = {.lex_state = 412, .external_lex_state = 3},
  [14399] = {.lex_state = 382, .external_lex_state = 3},
  [14400] = {.lex_state = 412, .external_lex_state = 3},
  [14401] = {.lex_state = 412, .external_lex_state = 3},
  [14402] = {.lex_state = 382, .external_lex_state = 3},
  [14403] = {.lex_state = 382, .external_lex_state = 3},
  [14404] = {.lex_state = 412, .external_lex_state = 3},
  [14405] = {.lex_state = 15, .external_lex_state = 3},
  [14406] = {.lex_state = 382, .external_lex_state = 3},
  [14407] = {.lex_state = 15, .external_lex_state = 3},
  [14408] = {.lex_state = 412, .external_lex_state = 3},
  [14409] = {.lex_state = 15, .external_lex_state = 3},
  [14410] = {.lex_state = 382, .external_lex_state = 3},
  [14411] = {.lex_state = 382, .external_lex_state = 3},
  [14412] = {.lex_state = 382, .external_lex_state = 3},
  [14413] = {.lex_state = 204, .external_lex_state = 3},
  [14414] = {.lex_state = 382, .external_lex_state = 3},
  [14415] = {.lex_state = 15, .external_lex_state = 3},
  [14416] = {.lex_state = 382, .external_lex_state = 3},
  [14417] = {.lex_state = 412, .external_lex_state = 3},
  [14418] = {.lex_state = 412, .external_lex_state = 3},
  [14419] = {.lex_state = 382, .external_lex_state = 3},
  [14420] = {.lex_state = 15, .external_lex_state = 3},
  [14421] = {.lex_state = 15, .external_lex_state = 3},
  [14422] = {.lex_state = 412, .external_lex_state = 3},
  [14423] = {.lex_state = 190, .external_lex_state = 3},
  [14424] = {.lex_state = 382, .external_lex_state = 3},
  [14425] = {.lex_state = 15, .external_lex_state = 3},
  [14426] = {.lex_state = 412, .external_lex_state = 3},
  [14427] = {.lex_state = 412, .external_lex_state = 3},
  [14428] = {.lex_state = 15, .external_lex_state = 3},
  [14429] = {.lex_state = 412, .external_lex_state = 3},
  [14430] = {.lex_state = 412, .external_lex_state = 3},
  [14431] = {.lex_state = 382, .external_lex_state = 3},
  [14432] = {.lex_state = 412, .external_lex_state = 3},
  [14433] = {.lex_state = 204, .external_lex_state = 3},
  [14434] = {.lex_state = 382, .external_lex_state = 3},
  [14435] = {.lex_state = 412, .external_lex_state = 3},
  [14436] = {.lex_state = 412, .external_lex_state = 3},
  [14437] = {.lex_state = 412, .external_lex_state = 3},
  [14438] = {.lex_state = 412, .external_lex_state = 3},
  [14439] = {.lex_state = 15, .external_lex_state = 3},
  [14440] = {.lex_state = 412, .external_lex_state = 3},
  [14441] = {.lex_state = 382, .external_lex_state = 3},
  [14442] = {.lex_state = 382, .external_lex_state = 3},
  [14443] = {.lex_state = 15, .external_lex_state = 3},
  [14444] = {.lex_state = 412, .external_lex_state = 3},
  [14445] = {.lex_state = 412, .external_lex_state = 3},
  [14446] = {.lex_state = 382, .external_lex_state = 3},
  [14447] = {.lex_state = 382, .external_lex_state = 3},
  [14448] = {.lex_state = 382, .external_lex_state = 3},
  [14449] = {.lex_state = 412, .external_lex_state = 3},
  [14450] = {.lex_state = 412, .external_lex_state = 3},
  [14451] = {.lex_state = 165, .external_lex_state = 3},
  [14452] = {.lex_state = 382, .external_lex_state = 3},
  [14453] = {.lex_state = 15, .external_lex_state = 3},
  [14454] = {.lex_state = 382, .external_lex_state = 3},
  [14455] = {.lex_state = 412, .external_lex_state = 3},
  [14456] = {.lex_state = 412, .external_lex_state = 3},
  [14457] = {.lex_state = 382, .external_lex_state = 3},
  [14458] = {.lex_state = 412, .external_lex_state = 3},
  [14459] = {.lex_state = 203, .external_lex_state = 3},
  [14460] = {.lex_state = 382, .external_lex_state = 3},
  [14461] = {.lex_state = 382, .external_lex_state = 3},
  [14462] = {.lex_state = 382, .external_lex_state = 3},
  [14463] = {.lex_state = 382, .external_lex_state = 3},
  [14464] = {.lex_state = 412, .external_lex_state = 3},
  [14465] = {.lex_state = 382, .external_lex_state = 3},
  [14466] = {.lex_state = 412, .external_lex_state = 3},
  [14467] = {.lex_state = 412, .external_lex_state = 3},
  [14468] = {.lex_state = 382, .external_lex_state = 3},
  [14469] = {.lex_state = 412, .external_lex_state = 3},
  [14470] = {.lex_state = 382, .external_lex_state = 3},
  [14471] = {.lex_state = 412, .external_lex_state = 3},
  [14472] = {.lex_state = 382, .external_lex_state = 3},
  [14473] = {.lex_state = 382, .external_lex_state = 3},
  [14474] = {.lex_state = 412, .external_lex_state = 3},
  [14475] = {.lex_state = 382, .external_lex_state = 3},
  [14476] = {.lex_state = 412, .external_lex_state = 3},
  [14477] = {.lex_state = 382, .external_lex_state = 3},
  [14478] = {.lex_state = 382, .external_lex_state = 3},
  [14479] = {.lex_state = 412, .external_lex_state = 3},
  [14480] = {.lex_state = 412, .external_lex_state = 3},
  [14481] = {.lex_state = 382, .external_lex_state = 3},
  [14482] = {.lex_state = 382, .external_lex_state = 3},
  [14483] = {.lex_state = 412, .external_lex_state = 3},
  [14484] = {.lex_state = 412, .external_lex_state = 3},
  [14485] = {.lex_state = 412, .external_lex_state = 3},
  [14486] = {.lex_state = 203, .external_lex_state = 3},
  [14487] = {.lex_state = 412, .external_lex_state = 3},
  [14488] = {.lex_state = 382, .external_lex_state = 3},
  [14489] = {.lex_state = 412, .external_lex_state = 3},
  [14490] = {.lex_state = 412, .external_lex_state = 3},
  [14491] = {.lex_state = 412, .external_lex_state = 3},
  [14492] = {.lex_state = 382, .external_lex_state = 3},
  [14493] = {.lex_state = 382, .external_lex_state = 3},
  [14494] = {.lex_state = 186, .external_lex_state = 3},
  [14495] = {.lex_state = 412, .external_lex_state = 3},
  [14496] = {.lex_state = 382, .external_lex_state = 3},
  [14497] = {.lex_state = 382, .external_lex_state = 3},
  [14498] = {.lex_state = 15, .external_lex_state = 3},
  [14499] = {.lex_state = 15, .external_lex_state = 3},
  [14500] = {.lex_state = 412, .external_lex_state = 3},
  [14501] = {.lex_state = 412, .external_lex_state = 3},
  [14502] = {.lex_state = 412, .external_lex_state = 3},
  [14503] = {.lex_state = 15, .external_lex_state = 3},
  [14504] = {.lex_state = 204, .external_lex_state = 3},
  [14505] = {.lex_state = 382, .external_lex_state = 3},
  [14506] = {.lex_state = 15, .external_lex_state = 3},
  [14507] = {.lex_state = 382, .external_lex_state = 3},
  [14508] = {.lex_state = 15, .external_lex_state = 3},
  [14509] = {.lex_state = 382, .external_lex_state = 3},
  [14510] = {.lex_state = 15, .external_lex_state = 3},
  [14511] = {.lex_state = 412, .external_lex_state = 3},
  [14512] = {.lex_state = 412, .external_lex_state = 3},
  [14513] = {.lex_state = 382, .external_lex_state = 3},
  [14514] = {.lex_state = 382, .external_lex_state = 3},
  [14515] = {.lex_state = 15, .external_lex_state = 3},
  [14516] = {.lex_state = 382, .external_lex_state = 3},
  [14517] = {.lex_state = 412, .external_lex_state = 3},
  [14518] = {.lex_state = 382, .external_lex_state = 3},
  [14519] = {.lex_state = 382, .external_lex_state = 3},
  [14520] = {.lex_state = 382, .external_lex_state = 3},
  [14521] = {.lex_state = 15, .external_lex_state = 3},
  [14522] = {.lex_state = 412, .external_lex_state = 3},
  [14523] = {.lex_state = 382, .external_lex_state = 3},
  [14524] = {.lex_state = 412, .external_lex_state = 3},
  [14525] = {.lex_state = 412, .external_lex_state = 3},
  [14526] = {.lex_state = 382, .external_lex_state = 3},
  [14527] = {.lex_state = 412, .external_lex_state = 3},
  [14528] = {.lex_state = 412, .external_lex_state = 3},
  [14529] = {.lex_state = 412, .external_lex_state = 3},
  [14530] = {.lex_state = 412, .external_lex_state = 3},
  [14531] = {.lex_state = 412, .external_lex_state = 3},
  [14532] = {.lex_state = 382, .external_lex_state = 3},
  [14533] = {.lex_state = 382, .external_lex_state = 3},
  [14534] = {.lex_state = 412, .external_lex_state = 3},
  [14535] = {.lex_state = 412, .external_lex_state = 3},
  [14536] = {.lex_state = 165, .external_lex_state = 3},
  [14537] = {.lex_state = 186, .external_lex_state = 3},
  [14538] = {.lex_state = 182, .external_lex_state = 3},
  [14539] = {.lex_state = 170, .external_lex_state = 3},
  [14540] = {.lex_state = 182, .external_lex_state = 3},
  [14541] = {.lex_state = 412, .external_lex_state = 3},
  [14542] = {.lex_state = 182, .external_lex_state = 3},
  [14543] = {.lex_state = 412, .external_lex_state = 3},
  [14544] = {.lex_state = 186, .external_lex_state = 3},
  [14545] = {.lex_state = 412, .external_lex_state = 3},
  [14546] = {.lex_state = 186, .external_lex_state = 3},
  [14547] = {.lex_state = 186, .external_lex_state = 3},
  [14548] = {.lex_state = 412, .external_lex_state = 3},
  [14549] = {.lex_state = 186, .external_lex_state = 3},
  [14550] = {.lex_state = 412, .external_lex_state = 3},
  [14551] = {.lex_state = 186, .external_lex_state = 3},
  [14552] = {.lex_state = 186, .external_lex_state = 3},
  [14553] = {.lex_state = 186, .external_lex_state = 3},
  [14554] = {.lex_state = 186, .external_lex_state = 3},
  [14555] = {.lex_state = 412, .external_lex_state = 3},
  [14556] = {.lex_state = 186, .external_lex_state = 3},
  [14557] = {.lex_state = 412, .external_lex_state = 3},
  [14558] = {.lex_state = 186, .external_lex_state = 3},
  [14559] = {.lex_state = 412, .external_lex_state = 3},
  [14560] = {.lex_state = 186, .external_lex_state = 3},
  [14561] = {.lex_state = 186, .external_lex_state = 3},
  [14562] = {.lex_state = 186, .external_lex_state = 3},
  [14563] = {.lex_state = 412, .external_lex_state = 3},
  [14564] = {.lex_state = 182, .external_lex_state = 3},
  [14565] = {.lex_state = 186, .external_lex_state = 3},
  [14566] = {.lex_state = 169, .external_lex_state = 3},
  [14567] = {.lex_state = 186, .external_lex_state = 3},
  [14568] = {.lex_state = 186, .external_lex_state = 3},
  [14569] = {.lex_state = 186, .external_lex_state = 3},
  [14570] = {.lex_state = 186, .external_lex_state = 3},
  [14571] = {.lex_state = 186, .external_lex_state = 3},
  [14572] = {.lex_state = 186, .external_lex_state = 3},
  [14573] = {.lex_state = 186, .external_lex_state = 3},
  [14574] = {.lex_state = 186, .external_lex_state = 3},
  [14575] = {.lex_state = 186, .external_lex_state = 3},
  [14576] = {.lex_state = 186, .external_lex_state = 3},
  [14577] = {.lex_state = 186, .external_lex_state = 3},
  [14578] = {.lex_state = 186, .external_lex_state = 3},
  [14579] = {.lex_state = 186, .external_lex_state = 3},
  [14580] = {.lex_state = 412, .external_lex_state = 3},
  [14581] = {.lex_state = 186, .external_lex_state = 3},
  [14582] = {.lex_state = 186, .external_lex_state = 3},
  [14583] = {.lex_state = 203, .external_lex_state = 3},
  [14584] = {.lex_state = 165, .external_lex_state = 3},
  [14585] = {.lex_state = 186, .external_lex_state = 3},
  [14586] = {.lex_state = 165, .external_lex_state = 3},
  [14587] = {.lex_state = 186, .external_lex_state = 3},
  [14588] = {.lex_state = 15, .external_lex_state = 3},
  [14589] = {.lex_state = 170, .external_lex_state = 3},
  [14590] = {.lex_state = 170, .external_lex_state = 3},
  [14591] = {.lex_state = 182, .external_lex_state = 3},
  [14592] = {.lex_state = 165, .external_lex_state = 3},
  [14593] = {.lex_state = 179, .external_lex_state = 3},
  [14594] = {.lex_state = 165, .external_lex_state = 3},
  [14595] = {.lex_state = 15, .external_lex_state = 3},
  [14596] = {.lex_state = 165, .external_lex_state = 3},
  [14597] = {.lex_state = 15, .external_lex_state = 3},
  [14598] = {.lex_state = 8, .external_lex_state = 3},
  [14599] = {.lex_state = 15, .external_lex_state = 3},
  [14600] = {.lex_state = 165, .external_lex_state = 3},
  [14601] = {.lex_state = 165, .external_lex_state = 3},
  [14602] = {.lex_state = 8, .external_lex_state = 3},
  [14603] = {.lex_state = 15, .external_lex_state = 3},
  [14604] = {.lex_state = 165, .external_lex_state = 3},
  [14605] = {.lex_state = 7, .external_lex_state = 3},
  [14606] = {.lex_state = 8, .external_lex_state = 3},
  [14607] = {.lex_state = 8, .external_lex_state = 3},
  [14608] = {.lex_state = 8, .external_lex_state = 3},
  [14609] = {.lex_state = 190, .external_lex_state = 3},
  [14610] = {.lex_state = 179, .external_lex_state = 3},
  [14611] = {.lex_state = 8, .external_lex_state = 3},
  [14612] = {.lex_state = 8, .external_lex_state = 3},
  [14613] = {.lex_state = 165, .external_lex_state = 3},
  [14614] = {.lex_state = 179, .external_lex_state = 3},
  [14615] = {.lex_state = 179, .external_lex_state = 3},
  [14616] = {.lex_state = 412, .external_lex_state = 3},
  [14617] = {.lex_state = 208, .external_lex_state = 3},
  [14618] = {.lex_state = 208, .external_lex_state = 3},
  [14619] = {.lex_state = 165, .external_lex_state = 3},
  [14620] = {.lex_state = 170, .external_lex_state = 3},
  [14621] = {.lex_state = 165, .external_lex_state = 3},
  [14622] = {.lex_state = 179, .external_lex_state = 3},
  [14623] = {.lex_state = 15, .external_lex_state = 3},
  [14624] = {.lex_state = 165, .external_lex_state = 3},
  [14625] = {.lex_state = 165, .external_lex_state = 3},
  [14626] = {.lex_state = 165, .external_lex_state = 3},
  [14627] = {.lex_state = 165, .external_lex_state = 3},
  [14628] = {.lex_state = 8, .external_lex_state = 3},
  [14629] = {.lex_state = 165, .external_lex_state = 3},
  [14630] = {.lex_state = 165, .external_lex_state = 3},
  [14631] = {.lex_state = 165, .external_lex_state = 3},
  [14632] = {.lex_state = 179, .external_lex_state = 3},
  [14633] = {.lex_state = 15, .external_lex_state = 3},
  [14634] = {.lex_state = 165, .external_lex_state = 3},
  [14635] = {.lex_state = 15, .external_lex_state = 3},
  [14636] = {.lex_state = 205, .external_lex_state = 3},
  [14637] = {.lex_state = 15, .external_lex_state = 3},
  [14638] = {.lex_state = 205, .external_lex_state = 3},
  [14639] = {.lex_state = 4, .external_lex_state = 6},
  [14640] = {.lex_state = 4, .external_lex_state = 6},
  [14641] = {.lex_state = 382, .external_lex_state = 3},
  [14642] = {.lex_state = 8, .external_lex_state = 3},
  [14643] = {.lex_state = 205, .external_lex_state = 3},
  [14644] = {.lex_state = 190, .external_lex_state = 3},
  [14645] = {.lex_state = 4, .external_lex_state = 6},
  [14646] = {.lex_state = 4, .external_lex_state = 6},
  [14647] = {.lex_state = 205, .external_lex_state = 3},
  [14648] = {.lex_state = 15, .external_lex_state = 3},
  [14649] = {.lex_state = 165, .external_lex_state = 3},
  [14650] = {.lex_state = 179, .external_lex_state = 3},
  [14651] = {.lex_state = 4, .external_lex_state = 6},
  [14652] = {.lex_state = 205, .external_lex_state = 3},
  [14653] = {.lex_state = 4, .external_lex_state = 6},
  [14654] = {.lex_state = 205, .external_lex_state = 3},
  [14655] = {.lex_state = 4, .external_lex_state = 6},
  [14656] = {.lex_state = 382, .external_lex_state = 3},
  [14657] = {.lex_state = 4, .external_lex_state = 6},
  [14658] = {.lex_state = 4, .external_lex_state = 6},
  [14659] = {.lex_state = 15, .external_lex_state = 3},
  [14660] = {.lex_state = 205, .external_lex_state = 3},
  [14661] = {.lex_state = 4, .external_lex_state = 6},
  [14662] = {.lex_state = 15, .external_lex_state = 3},
  [14663] = {.lex_state = 4, .external_lex_state = 6},
  [14664] = {.lex_state = 205, .external_lex_state = 3},
  [14665] = {.lex_state = 205, .external_lex_state = 3},
  [14666] = {.lex_state = 412, .external_lex_state = 3},
  [14667] = {.lex_state = 382, .external_lex_state = 3},
  [14668] = {.lex_state = 205, .external_lex_state = 3},
  [14669] = {.lex_state = 382, .external_lex_state = 3},
  [14670] = {.lex_state = 4, .external_lex_state = 6},
  [14671] = {.lex_state = 15, .external_lex_state = 3},
  [14672] = {.lex_state = 165, .external_lex_state = 3},
  [14673] = {.lex_state = 382, .external_lex_state = 3},
  [14674] = {.lex_state = 205, .external_lex_state = 3},
  [14675] = {.lex_state = 165, .external_lex_state = 3},
  [14676] = {.lex_state = 4, .external_lex_state = 6},
  [14677] = {.lex_state = 205, .external_lex_state = 3},
  [14678] = {.lex_state = 4, .external_lex_state = 6},
  [14679] = {.lex_state = 205, .external_lex_state = 3},
  [14680] = {.lex_state = 15, .external_lex_state = 3},
  [14681] = {.lex_state = 4, .external_lex_state = 6},
  [14682] = {.lex_state = 205, .external_lex_state = 3},
  [14683] = {.lex_state = 205, .external_lex_state = 3},
  [14684] = {.lex_state = 205, .external_lex_state = 3},
  [14685] = {.lex_state = 382, .external_lex_state = 3},
  [14686] = {.lex_state = 15, .external_lex_state = 3},
  [14687] = {.lex_state = 15, .external_lex_state = 3},
  [14688] = {.lex_state = 4, .external_lex_state = 6},
  [14689] = {.lex_state = 165, .external_lex_state = 3},
  [14690] = {.lex_state = 4, .external_lex_state = 6},
  [14691] = {.lex_state = 4, .external_lex_state = 6},
  [14692] = {.lex_state = 15, .external_lex_state = 3},
  [14693] = {.lex_state = 382, .external_lex_state = 3},
  [14694] = {.lex_state = 205, .external_lex_state = 3},
  [14695] = {.lex_state = 4, .external_lex_state = 6},
  [14696] = {.lex_state = 4, .external_lex_state = 6},
  [14697] = {.lex_state = 4, .external_lex_state = 6},
  [14698] = {.lex_state = 382, .external_lex_state = 3},
  [14699] = {.lex_state = 382, .external_lex_state = 3},
  [14700] = {.lex_state = 205, .external_lex_state = 3},
  [14701] = {.lex_state = 205, .external_lex_state = 3},
  [14702] = {.lex_state = 382, .external_lex_state = 3},
  [14703] = {.lex_state = 4, .external_lex_state = 6},
  [14704] = {.lex_state = 179, .external_lex_state = 3},
  [14705] = {.lex_state = 4, .external_lex_state = 6},
  [14706] = {.lex_state = 205, .external_lex_state = 3},
  [14707] = {.lex_state = 4, .external_lex_state = 6},
  [14708] = {.lex_state = 4, .external_lex_state = 6},
  [14709] = {.lex_state = 4, .external_lex_state = 6},
  [14710] = {.lex_state = 205, .external_lex_state = 3},
  [14711] = {.lex_state = 4, .external_lex_state = 6},
  [14712] = {.lex_state = 205, .external_lex_state = 3},
  [14713] = {.lex_state = 4, .external_lex_state = 6},
  [14714] = {.lex_state = 4, .external_lex_state = 6},
  [14715] = {.lex_state = 4, .external_lex_state = 6},
  [14716] = {.lex_state = 382, .external_lex_state = 3},
  [14717] = {.lex_state = 382, .external_lex_state = 3},
  [14718] = {.lex_state = 205, .external_lex_state = 3},
  [14719] = {.lex_state = 4, .external_lex_state = 6},
  [14720] = {.lex_state = 4, .external_lex_state = 6},
  [14721] = {.lex_state = 4, .external_lex_state = 6},
  [14722] = {.lex_state = 4, .external_lex_state = 6},
  [14723] = {.lex_state = 205, .external_lex_state = 3},
  [14724] = {.lex_state = 205, .external_lex_state = 3},
  [14725] = {.lex_state = 179, .external_lex_state = 3},
  [14726] = {.lex_state = 179, .external_lex_state = 3},
  [14727] = {.lex_state = 4, .external_lex_state = 6},
  [14728] = {.lex_state = 205, .external_lex_state = 3},
  [14729] = {.lex_state = 8, .external_lex_state = 3},
  [14730] = {.lex_state = 8, .external_lex_state = 3},
  [14731] = {.lex_state = 4, .external_lex_state = 6},
  [14732] = {.lex_state = 382, .external_lex_state = 3},
  [14733] = {.lex_state = 208, .external_lex_state = 3},
  [14734] = {.lex_state = 4, .external_lex_state = 6},
  [14735] = {.lex_state = 4, .external_lex_state = 6},
  [14736] = {.lex_state = 4, .external_lex_state = 6},
  [14737] = {.lex_state = 205, .external_lex_state = 3},
  [14738] = {.lex_state = 208, .external_lex_state = 3},
  [14739] = {.lex_state = 4, .external_lex_state = 6},
  [14740] = {.lex_state = 4, .external_lex_state = 6},
  [14741] = {.lex_state = 4, .external_lex_state = 6},
  [14742] = {.lex_state = 15, .external_lex_state = 3},
  [14743] = {.lex_state = 4, .external_lex_state = 6},
  [14744] = {.lex_state = 4, .external_lex_state = 6},
  [14745] = {.lex_state = 4, .external_lex_state = 6},
  [14746] = {.lex_state = 4, .external_lex_state = 6},
  [14747] = {.lex_state = 15, .external_lex_state = 3},
  [14748] = {.lex_state = 15, .external_lex_state = 3},
  [14749] = {.lex_state = 15, .external_lex_state = 3},
  [14750] = {.lex_state = 205, .external_lex_state = 3},
  [14751] = {.lex_state = 205, .external_lex_state = 3},
  [14752] = {.lex_state = 165, .external_lex_state = 3},
  [14753] = {.lex_state = 4, .external_lex_state = 6},
  [14754] = {.lex_state = 15, .external_lex_state = 3},
  [14755] = {.lex_state = 8, .external_lex_state = 3},
  [14756] = {.lex_state = 205, .external_lex_state = 3},
  [14757] = {.lex_state = 15, .external_lex_state = 3},
  [14758] = {.lex_state = 190, .external_lex_state = 3},
  [14759] = {.lex_state = 15, .external_lex_state = 3},
  [14760] = {.lex_state = 4, .external_lex_state = 6},
  [14761] = {.lex_state = 15, .external_lex_state = 3},
  [14762] = {.lex_state = 205, .external_lex_state = 3},
  [14763] = {.lex_state = 4, .external_lex_state = 6},
  [14764] = {.lex_state = 4, .external_lex_state = 6},
  [14765] = {.lex_state = 170, .external_lex_state = 3},
  [14766] = {.lex_state = 15, .external_lex_state = 3},
  [14767] = {.lex_state = 15, .external_lex_state = 3},
  [14768] = {.lex_state = 205, .external_lex_state = 3},
  [14769] = {.lex_state = 205, .external_lex_state = 3},
  [14770] = {.lex_state = 4, .external_lex_state = 6},
  [14771] = {.lex_state = 15, .external_lex_state = 3},
  [14772] = {.lex_state = 4, .external_lex_state = 6},
  [14773] = {.lex_state = 199, .external_lex_state = 7},
  [14774] = {.lex_state = 190, .external_lex_state = 3},
  [14775] = {.lex_state = 4, .external_lex_state = 6},
  [14776] = {.lex_state = 4, .external_lex_state = 6},
  [14777] = {.lex_state = 382, .external_lex_state = 3},
  [14778] = {.lex_state = 205, .external_lex_state = 3},
  [14779] = {.lex_state = 205, .external_lex_state = 3},
  [14780] = {.lex_state = 15, .external_lex_state = 3},
  [14781] = {.lex_state = 382, .external_lex_state = 3},
  [14782] = {.lex_state = 190, .external_lex_state = 3},
  [14783] = {.lex_state = 4, .external_lex_state = 6},
  [14784] = {.lex_state = 8, .external_lex_state = 3},
  [14785] = {.lex_state = 205, .external_lex_state = 3},
  [14786] = {.lex_state = 205, .external_lex_state = 3},
  [14787] = {.lex_state = 165, .external_lex_state = 3},
  [14788] = {.lex_state = 382, .external_lex_state = 3},
  [14789] = {.lex_state = 205, .external_lex_state = 3},
  [14790] = {.lex_state = 4, .external_lex_state = 6},
  [14791] = {.lex_state = 165, .external_lex_state = 3},
  [14792] = {.lex_state = 205, .external_lex_state = 3},
  [14793] = {.lex_state = 8, .external_lex_state = 3},
  [14794] = {.lex_state = 205, .external_lex_state = 3},
  [14795] = {.lex_state = 4, .external_lex_state = 6},
  [14796] = {.lex_state = 4, .external_lex_state = 6},
  [14797] = {.lex_state = 205, .external_lex_state = 3},
  [14798] = {.lex_state = 4, .external_lex_state = 6},
  [14799] = {.lex_state = 8, .external_lex_state = 3},
  [14800] = {.lex_state = 382, .external_lex_state = 3},
  [14801] = {.lex_state = 205, .external_lex_state = 3},
  [14802] = {.lex_state = 4, .external_lex_state = 6},
  [14803] = {.lex_state = 8, .external_lex_state = 3},
  [14804] = {.lex_state = 382, .external_lex_state = 3},
  [14805] = {.lex_state = 205, .external_lex_state = 3},
  [14806] = {.lex_state = 8, .external_lex_state = 3},
  [14807] = {.lex_state = 8, .external_lex_state = 3},
  [14808] = {.lex_state = 205, .external_lex_state = 3},
  [14809] = {.lex_state = 15, .external_lex_state = 3},
  [14810] = {.lex_state = 4, .external_lex_state = 6},
  [14811] = {.lex_state = 190, .external_lex_state = 3},
  [14812] = {.lex_state = 4, .external_lex_state = 6},
  [14813] = {.lex_state = 8, .external_lex_state = 3},
  [14814] = {.lex_state = 15, .external_lex_state = 3},
  [14815] = {.lex_state = 4, .external_lex_state = 6},
  [14816] = {.lex_state = 8, .external_lex_state = 3},
  [14817] = {.lex_state = 15, .external_lex_state = 3},
  [14818] = {.lex_state = 205, .external_lex_state = 3},
  [14819] = {.lex_state = 205, .external_lex_state = 3},
  [14820] = {.lex_state = 205, .external_lex_state = 3},
  [14821] = {.lex_state = 205, .external_lex_state = 3},
  [14822] = {.lex_state = 15, .external_lex_state = 3},
  [14823] = {.lex_state = 205, .external_lex_state = 3},
  [14824] = {.lex_state = 8, .external_lex_state = 3},
  [14825] = {.lex_state = 4, .external_lex_state = 6},
  [14826] = {.lex_state = 412, .external_lex_state = 3},
  [14827] = {.lex_state = 15, .external_lex_state = 3},
  [14828] = {.lex_state = 205, .external_lex_state = 3},
  [14829] = {.lex_state = 205, .external_lex_state = 3},
  [14830] = {.lex_state = 165, .external_lex_state = 3},
  [14831] = {.lex_state = 7, .external_lex_state = 3},
  [14832] = {.lex_state = 165, .external_lex_state = 3},
  [14833] = {.lex_state = 15, .external_lex_state = 3},
  [14834] = {.lex_state = 7, .external_lex_state = 3},
  [14835] = {.lex_state = 7, .external_lex_state = 3},
  [14836] = {.lex_state = 7, .external_lex_state = 3},
  [14837] = {.lex_state = 15, .external_lex_state = 3},
  [14838] = {.lex_state = 15, .external_lex_state = 3},
  [14839] = {.lex_state = 165, .external_lex_state = 3},
  [14840] = {.lex_state = 15, .external_lex_state = 3},
  [14841] = {.lex_state = 7, .external_lex_state = 3},
  [14842] = {.lex_state = 15, .external_lex_state = 3},
  [14843] = {.lex_state = 15, .external_lex_state = 3},
  [14844] = {.lex_state = 186, .external_lex_state = 3},
  [14845] = {.lex_state = 15, .external_lex_state = 3},
  [14846] = {.lex_state = 15, .external_lex_state = 3},
  [14847] = {.lex_state = 15, .external_lex_state = 3},
  [14848] = {.lex_state = 15, .external_lex_state = 3},
  [14849] = {.lex_state = 7, .external_lex_state = 3},
  [14850] = {.lex_state = 7, .external_lex_state = 3},
  [14851] = {.lex_state = 425, .external_lex_state = 3},
  [14852] = {.lex_state = 15, .external_lex_state = 3},
  [14853] = {.lex_state = 15, .external_lex_state = 3},
  [14854] = {.lex_state = 7, .external_lex_state = 3},
  [14855] = {.lex_state = 425, .external_lex_state = 3},
  [14856] = {.lex_state = 7, .external_lex_state = 3},
  [14857] = {.lex_state = 15, .external_lex_state = 3},
  [14858] = {.lex_state = 425, .external_lex_state = 3},
  [14859] = {.lex_state = 7, .external_lex_state = 3},
  [14860] = {.lex_state = 7, .external_lex_state = 3},
  [14861] = {.lex_state = 165, .external_lex_state = 3},
  [14862] = {.lex_state = 7, .external_lex_state = 3},
  [14863] = {.lex_state = 15, .external_lex_state = 3},
  [14864] = {.lex_state = 425, .external_lex_state = 3},
  [14865] = {.lex_state = 7, .external_lex_state = 3},
  [14866] = {.lex_state = 15, .external_lex_state = 3},
  [14867] = {.lex_state = 7, .external_lex_state = 3},
  [14868] = {.lex_state = 15, .external_lex_state = 3},
  [14869] = {.lex_state = 7, .external_lex_state = 3},
  [14870] = {.lex_state = 15, .external_lex_state = 3},
  [14871] = {.lex_state = 199, .external_lex_state = 7},
  [14872] = {.lex_state = 7, .external_lex_state = 3},
  [14873] = {.lex_state = 7, .external_lex_state = 3},
  [14874] = {.lex_state = 15, .external_lex_state = 3},
  [14875] = {.lex_state = 7, .external_lex_state = 3},
  [14876] = {.lex_state = 425, .external_lex_state = 3},
  [14877] = {.lex_state = 7, .external_lex_state = 3},
  [14878] = {.lex_state = 15, .external_lex_state = 3},
  [14879] = {.lex_state = 15, .external_lex_state = 3},
  [14880] = {.lex_state = 15, .external_lex_state = 3},
  [14881] = {.lex_state = 15, .external_lex_state = 3},
  [14882] = {.lex_state = 7, .external_lex_state = 3},
  [14883] = {.lex_state = 15, .external_lex_state = 3},
  [14884] = {.lex_state = 15, .external_lex_state = 3},
  [14885] = {.lex_state = 7, .external_lex_state = 3},
  [14886] = {.lex_state = 165, .external_lex_state = 3},
  [14887] = {.lex_state = 165, .external_lex_state = 3},
  [14888] = {.lex_state = 7, .external_lex_state = 3},
  [14889] = {.lex_state = 7, .external_lex_state = 3},
  [14890] = {.lex_state = 412, .external_lex_state = 3},
  [14891] = {.lex_state = 412, .external_lex_state = 3},
  [14892] = {.lex_state = 165, .external_lex_state = 3},
  [14893] = {.lex_state = 15, .external_lex_state = 3},
  [14894] = {.lex_state = 15, .external_lex_state = 3},
  [14895] = {.lex_state = 7, .external_lex_state = 3},
  [14896] = {.lex_state = 7, .external_lex_state = 3},
  [14897] = {.lex_state = 7, .external_lex_state = 3},
  [14898] = {.lex_state = 7, .external_lex_state = 3},
  [14899] = {.lex_state = 15, .external_lex_state = 3},
  [14900] = {.lex_state = 165, .external_lex_state = 3},
  [14901] = {.lex_state = 15, .external_lex_state = 3},
  [14902] = {.lex_state = 179, .external_lex_state = 3},
  [14903] = {.lex_state = 199, .external_lex_state = 7},
  [14904] = {.lex_state = 15, .external_lex_state = 3},
  [14905] = {.lex_state = 15, .external_lex_state = 3},
  [14906] = {.lex_state = 15, .external_lex_state = 3},
  [14907] = {.lex_state = 15, .external_lex_state = 3},
  [14908] = {.lex_state = 15, .external_lex_state = 3},
  [14909] = {.lex_state = 6, .external_lex_state = 3},
  [14910] = {.lex_state = 8, .external_lex_state = 3},
  [14911] = {.lex_state = 15, .external_lex_state = 3},
  [14912] = {.lex_state = 15, .external_lex_state = 3},
  [14913] = {.lex_state = 15, .external_lex_state = 3},
  [14914] = {.lex_state = 15, .external_lex_state = 3},
  [14915] = {.lex_state = 15, .external_lex_state = 3},
  [14916] = {.lex_state = 142, .external_lex_state = 3},
  [14917] = {.lex_state = 15, .external_lex_state = 3},
  [14918] = {.lex_state = 15, .external_lex_state = 3},
  [14919] = {.lex_state = 15, .external_lex_state = 3},
  [14920] = {.lex_state = 171, .external_lex_state = 3},
  [14921] = {.lex_state = 8, .external_lex_state = 3},
  [14922] = {.lex_state = 15, .external_lex_state = 3},
  [14923] = {.lex_state = 15, .external_lex_state = 3},
  [14924] = {.lex_state = 15, .external_lex_state = 3},
  [14925] = {.lex_state = 15, .external_lex_state = 3},
  [14926] = {.lex_state = 15, .external_lex_state = 3},
  [14927] = {.lex_state = 15, .external_lex_state = 3},
  [14928] = {.lex_state = 15, .external_lex_state = 3},
  [14929] = {.lex_state = 142, .external_lex_state = 3},
  [14930] = {.lex_state = 142, .external_lex_state = 3},
  [14931] = {.lex_state = 15, .external_lex_state = 3},
  [14932] = {.lex_state = 15, .external_lex_state = 3},
  [14933] = {.lex_state = 171, .external_lex_state = 3},
  [14934] = {.lex_state = 8, .external_lex_state = 3},
  [14935] = {.lex_state = 142, .external_lex_state = 3},
  [14936] = {.lex_state = 15, .external_lex_state = 3},
  [14937] = {.lex_state = 142, .external_lex_state = 3},
  [14938] = {.lex_state = 15, .external_lex_state = 3},
  [14939] = {.lex_state = 15, .external_lex_state = 3},
  [14940] = {.lex_state = 171, .external_lex_state = 3},
  [14941] = {.lex_state = 15, .external_lex_state = 3},
  [14942] = {.lex_state = 15, .external_lex_state = 3},
  [14943] = {.lex_state = 6, .external_lex_state = 3},
  [14944] = {.lex_state = 142, .external_lex_state = 3},
  [14945] = {.lex_state = 8, .external_lex_state = 3},
  [14946] = {.lex_state = 142, .external_lex_state = 3},
  [14947] = {.lex_state = 15, .external_lex_state = 3},
  [14948] = {.lex_state = 15, .external_lex_state = 3},
  [14949] = {.lex_state = 142, .external_lex_state = 3},
  [14950] = {.lex_state = 8, .external_lex_state = 3},
  [14951] = {.lex_state = 6, .external_lex_state = 3},
  [14952] = {.lex_state = 15, .external_lex_state = 3},
  [14953] = {.lex_state = 15, .external_lex_state = 3},
  [14954] = {.lex_state = 179, .external_lex_state = 3},
  [14955] = {.lex_state = 15, .external_lex_state = 3},
  [14956] = {.lex_state = 8, .external_lex_state = 3},
  [14957] = {.lex_state = 179, .external_lex_state = 3},
  [14958] = {.lex_state = 15, .external_lex_state = 3},
  [14959] = {.lex_state = 165, .external_lex_state = 3},
  [14960] = {.lex_state = 165, .external_lex_state = 3},
  [14961] = {.lex_state = 8, .external_lex_state = 3},
  [14962] = {.lex_state = 6, .external_lex_state = 3},
  [14963] = {.lex_state = 15, .external_lex_state = 3},
  [14964] = {.lex_state = 15, .external_lex_state = 3},
  [14965] = {.lex_state = 15, .external_lex_state = 8},
  [14966] = {.lex_state = 15, .external_lex_state = 3},
  [14967] = {.lex_state = 15, .external_lex_state = 3},
  [14968] = {.lex_state = 179, .external_lex_state = 3},
  [14969] = {.lex_state = 142, .external_lex_state = 3},
  [14970] = {.lex_state = 16, .external_lex_state = 3},
  [14971] = {.lex_state = 8, .external_lex_state = 3},
  [14972] = {.lex_state = 15, .external_lex_state = 3},
  [14973] = {.lex_state = 15, .external_lex_state = 3},
  [14974] = {.lex_state = 179, .external_lex_state = 3},
  [14975] = {.lex_state = 15, .external_lex_state = 3},
  [14976] = {.lex_state = 16, .external_lex_state = 3},
  [14977] = {.lex_state = 8, .external_lex_state = 3},
  [14978] = {.lex_state = 179, .external_lex_state = 3},
  [14979] = {.lex_state = 179, .external_lex_state = 3},
  [14980] = {.lex_state = 15, .external_lex_state = 8},
  [14981] = {.lex_state = 15, .external_lex_state = 3},
  [14982] = {.lex_state = 15, .external_lex_state = 3},
  [14983] = {.lex_state = 179, .external_lex_state = 3},
  [14984] = {.lex_state = 15, .external_lex_state = 3},
  [14985] = {.lex_state = 179, .external_lex_state = 3},
  [14986] = {.lex_state = 15, .external_lex_state = 3},
  [14987] = {.lex_state = 15, .external_lex_state = 3},
  [14988] = {.lex_state = 8, .external_lex_state = 3},
  [14989] = {.lex_state = 15, .external_lex_state = 3},
  [14990] = {.lex_state = 15, .external_lex_state = 3},
  [14991] = {.lex_state = 15, .external_lex_state = 3},
  [14992] = {.lex_state = 15, .external_lex_state = 3},
  [14993] = {.lex_state = 179, .external_lex_state = 3},
  [14994] = {.lex_state = 8, .external_lex_state = 3},
  [14995] = {.lex_state = 15, .external_lex_state = 3},
  [14996] = {.lex_state = 15, .external_lex_state = 3},
  [14997] = {.lex_state = 15, .external_lex_state = 3},
  [14998] = {.lex_state = 15, .external_lex_state = 3},
  [14999] = {.lex_state = 191, .external_lex_state = 3},
  [15000] = {.lex_state = 8, .external_lex_state = 3},
  [15001] = {.lex_state = 186, .external_lex_state = 3},
  [15002] = {.lex_state = 15, .external_lex_state = 8},
  [15003] = {.lex_state = 8, .external_lex_state = 3},
  [15004] = {.lex_state = 15, .external_lex_state = 3},
  [15005] = {.lex_state = 15, .external_lex_state = 3},
  [15006] = {.lex_state = 15, .external_lex_state = 3},
  [15007] = {.lex_state = 15, .external_lex_state = 3},
  [15008] = {.lex_state = 179, .external_lex_state = 3},
  [15009] = {.lex_state = 15, .external_lex_state = 8},
  [15010] = {.lex_state = 15, .external_lex_state = 3},
  [15011] = {.lex_state = 179, .external_lex_state = 3},
  [15012] = {.lex_state = 8, .external_lex_state = 3},
  [15013] = {.lex_state = 8, .external_lex_state = 3},
  [15014] = {.lex_state = 165, .external_lex_state = 3},
  [15015] = {.lex_state = 15, .external_lex_state = 3},
  [15016] = {.lex_state = 165, .external_lex_state = 3},
  [15017] = {.lex_state = 8, .external_lex_state = 3},
  [15018] = {.lex_state = 15, .external_lex_state = 3},
  [15019] = {.lex_state = 15, .external_lex_state = 3},
  [15020] = {.lex_state = 8, .external_lex_state = 3},
  [15021] = {.lex_state = 15, .external_lex_state = 3},
  [15022] = {.lex_state = 165, .external_lex_state = 3},
  [15023] = {.lex_state = 15, .external_lex_state = 3},
  [15024] = {.lex_state = 165, .external_lex_state = 3},
  [15025] = {.lex_state = 8, .external_lex_state = 3},
  [15026] = {.lex_state = 191, .external_lex_state = 3},
  [15027] = {.lex_state = 15, .external_lex_state = 3},
  [15028] = {.lex_state = 15, .external_lex_state = 3},
  [15029] = {.lex_state = 15, .external_lex_state = 3},
  [15030] = {.lex_state = 15, .external_lex_state = 3},
  [15031] = {.lex_state = 15, .external_lex_state = 3},
  [15032] = {.lex_state = 191, .external_lex_state = 3},
  [15033] = {.lex_state = 165, .external_lex_state = 3},
  [15034] = {.lex_state = 15, .external_lex_state = 3},
  [15035] = {.lex_state = 15, .external_lex_state = 3},
  [15036] = {.lex_state = 15, .external_lex_state = 3},
  [15037] = {.lex_state = 6, .external_lex_state = 3},
  [15038] = {.lex_state = 6, .external_lex_state = 3},
  [15039] = {.lex_state = 179, .external_lex_state = 3},
  [15040] = {.lex_state = 15, .external_lex_state = 3},
  [15041] = {.lex_state = 15, .external_lex_state = 3},
  [15042] = {.lex_state = 142, .external_lex_state = 3},
  [15043] = {.lex_state = 15, .external_lex_state = 3},
  [15044] = {.lex_state = 186, .external_lex_state = 3},
  [15045] = {.lex_state = 186, .external_lex_state = 3},
  [15046] = {.lex_state = 15, .external_lex_state = 3},
  [15047] = {.lex_state = 15, .external_lex_state = 3},
  [15048] = {.lex_state = 15, .external_lex_state = 3},
  [15049] = {.lex_state = 15, .external_lex_state = 3},
  [15050] = {.lex_state = 15, .external_lex_state = 3},
  [15051] = {.lex_state = 15, .external_lex_state = 3},
  [15052] = {.lex_state = 179, .external_lex_state = 3},
  [15053] = {.lex_state = 15, .external_lex_state = 3},
  [15054] = {.lex_state = 15, .external_lex_state = 3},
  [15055] = {.lex_state = 15, .external_lex_state = 3},
  [15056] = {.lex_state = 15, .external_lex_state = 3},
  [15057] = {.lex_state = 15, .external_lex_state = 3},
  [15058] = {.lex_state = 165, .external_lex_state = 3},
  [15059] = {.lex_state = 15, .external_lex_state = 3},
  [15060] = {.lex_state = 6, .external_lex_state = 3},
  [15061] = {.lex_state = 15, .external_lex_state = 3},
  [15062] = {.lex_state = 15, .external_lex_state = 3},
  [15063] = {.lex_state = 15, .external_lex_state = 3},
  [15064] = {.lex_state = 6, .external_lex_state = 3},
  [15065] = {.lex_state = 165, .external_lex_state = 3},
  [15066] = {.lex_state = 15, .external_lex_state = 3},
  [15067] = {.lex_state = 15, .external_lex_state = 3},
  [15068] = {.lex_state = 15, .external_lex_state = 3},
  [15069] = {.lex_state = 179, .external_lex_state = 3},
  [15070] = {.lex_state = 179, .external_lex_state = 3},
  [15071] = {.lex_state = 15, .external_lex_state = 3},
  [15072] = {.lex_state = 15, .external_lex_state = 3},
  [15073] = {.lex_state = 186, .external_lex_state = 3},
  [15074] = {.lex_state = 15, .external_lex_state = 3},
  [15075] = {.lex_state = 15, .external_lex_state = 3},
  [15076] = {.lex_state = 15, .external_lex_state = 3},
  [15077] = {.lex_state = 15, .external_lex_state = 3},
  [15078] = {.lex_state = 15, .external_lex_state = 3},
  [15079] = {.lex_state = 179, .external_lex_state = 3},
  [15080] = {.lex_state = 15, .external_lex_state = 3},
  [15081] = {.lex_state = 8, .external_lex_state = 3},
  [15082] = {.lex_state = 15, .external_lex_state = 3},
  [15083] = {.lex_state = 199, .external_lex_state = 7},
  [15084] = {.lex_state = 15, .external_lex_state = 8},
  [15085] = {.lex_state = 15, .external_lex_state = 3},
  [15086] = {.lex_state = 15, .external_lex_state = 3},
  [15087] = {.lex_state = 15, .external_lex_state = 3},
  [15088] = {.lex_state = 179, .external_lex_state = 3},
  [15089] = {.lex_state = 179, .external_lex_state = 3},
  [15090] = {.lex_state = 15, .external_lex_state = 8},
  [15091] = {.lex_state = 15, .external_lex_state = 3},
  [15092] = {.lex_state = 15, .external_lex_state = 3},
  [15093] = {.lex_state = 15, .external_lex_state = 3},
  [15094] = {.lex_state = 15, .external_lex_state = 3},
  [15095] = {.lex_state = 15, .external_lex_state = 3},
  [15096] = {.lex_state = 171, .external_lex_state = 3},
  [15097] = {.lex_state = 179, .external_lex_state = 3},
  [15098] = {.lex_state = 6, .external_lex_state = 3},
  [15099] = {.lex_state = 15, .external_lex_state = 3},
  [15100] = {.lex_state = 15, .external_lex_state = 3},
  [15101] = {.lex_state = 15, .external_lex_state = 3},
  [15102] = {.lex_state = 15, .external_lex_state = 3},
  [15103] = {.lex_state = 15, .external_lex_state = 3},
  [15104] = {.lex_state = 15, .external_lex_state = 3},
  [15105] = {.lex_state = 15, .external_lex_state = 3},
  [15106] = {.lex_state = 15, .external_lex_state = 3},
  [15107] = {.lex_state = 179, .external_lex_state = 3},
  [15108] = {.lex_state = 6, .external_lex_state = 3},
  [15109] = {.lex_state = 15, .external_lex_state = 3},
  [15110] = {.lex_state = 15, .external_lex_state = 3},
  [15111] = {.lex_state = 15, .external_lex_state = 3},
  [15112] = {.lex_state = 15, .external_lex_state = 3},
  [15113] = {.lex_state = 15, .external_lex_state = 3},
  [15114] = {.lex_state = 15, .external_lex_state = 3},
  [15115] = {.lex_state = 15, .external_lex_state = 3},
  [15116] = {.lex_state = 179, .external_lex_state = 3},
  [15117] = {.lex_state = 179, .external_lex_state = 3},
  [15118] = {.lex_state = 6, .external_lex_state = 3},
  [15119] = {.lex_state = 15, .external_lex_state = 3},
  [15120] = {.lex_state = 8, .external_lex_state = 3},
  [15121] = {.lex_state = 6, .external_lex_state = 3},
  [15122] = {.lex_state = 191, .external_lex_state = 3},
  [15123] = {.lex_state = 15, .external_lex_state = 3},
  [15124] = {.lex_state = 15, .external_lex_state = 3},
  [15125] = {.lex_state = 15, .external_lex_state = 3},
  [15126] = {.lex_state = 191, .external_lex_state = 3},
  [15127] = {.lex_state = 15, .external_lex_state = 3},
  [15128] = {.lex_state = 15, .external_lex_state = 3},
  [15129] = {.lex_state = 15, .external_lex_state = 3},
  [15130] = {.lex_state = 15, .external_lex_state = 3},
  [15131] = {.lex_state = 15, .external_lex_state = 3},
  [15132] = {.lex_state = 8, .external_lex_state = 3},
  [15133] = {.lex_state = 15, .external_lex_state = 3},
  [15134] = {.lex_state = 15, .external_lex_state = 3},
  [15135] = {.lex_state = 15, .external_lex_state = 3},
  [15136] = {.lex_state = 425, .external_lex_state = 3},
  [15137] = {.lex_state = 6, .external_lex_state = 3},
  [15138] = {.lex_state = 15, .external_lex_state = 3},
  [15139] = {.lex_state = 15, .external_lex_state = 3},
  [15140] = {.lex_state = 15, .external_lex_state = 3},
  [15141] = {.lex_state = 15, .external_lex_state = 3},
  [15142] = {.lex_state = 15, .external_lex_state = 3},
  [15143] = {.lex_state = 15, .external_lex_state = 3},
  [15144] = {.lex_state = 179, .external_lex_state = 3},
  [15145] = {.lex_state = 15, .external_lex_state = 3},
  [15146] = {.lex_state = 15, .external_lex_state = 3},
  [15147] = {.lex_state = 15, .external_lex_state = 3},
  [15148] = {.lex_state = 15, .external_lex_state = 3},
  [15149] = {.lex_state = 15, .external_lex_state = 3},
  [15150] = {.lex_state = 15, .external_lex_state = 8},
  [15151] = {.lex_state = 15, .external_lex_state = 3},
  [15152] = {.lex_state = 15, .external_lex_state = 3},
  [15153] = {.lex_state = 15, .external_lex_state = 3},
  [15154] = {.lex_state = 179, .external_lex_state = 3},
  [15155] = {.lex_state = 15, .external_lex_state = 3},
  [15156] = {.lex_state = 15, .external_lex_state = 3},
  [15157] = {.lex_state = 15, .external_lex_state = 3},
  [15158] = {.lex_state = 179, .external_lex_state = 3},
  [15159] = {.lex_state = 15, .external_lex_state = 3},
  [15160] = {.lex_state = 15, .external_lex_state = 3},
  [15161] = {.lex_state = 15, .external_lex_state = 3},
  [15162] = {.lex_state = 15, .external_lex_state = 3},
  [15163] = {.lex_state = 15, .external_lex_state = 3},
  [15164] = {.lex_state = 15, .external_lex_state = 8},
  [15165] = {.lex_state = 15, .external_lex_state = 3},
  [15166] = {.lex_state = 165, .external_lex_state = 3},
  [15167] = {.lex_state = 15, .external_lex_state = 3},
  [15168] = {.lex_state = 15, .external_lex_state = 3},
  [15169] = {.lex_state = 15, .external_lex_state = 3},
  [15170] = {.lex_state = 8, .external_lex_state = 3},
  [15171] = {.lex_state = 15, .external_lex_state = 3},
  [15172] = {.lex_state = 15, .external_lex_state = 3},
  [15173] = {.lex_state = 15, .external_lex_state = 8},
  [15174] = {.lex_state = 15, .external_lex_state = 3},
  [15175] = {.lex_state = 15, .external_lex_state = 3},
  [15176] = {.lex_state = 165, .external_lex_state = 3},
  [15177] = {.lex_state = 8, .external_lex_state = 3},
  [15178] = {.lex_state = 15, .external_lex_state = 3},
  [15179] = {.lex_state = 15, .external_lex_state = 3},
  [15180] = {.lex_state = 8, .external_lex_state = 3},
  [15181] = {.lex_state = 179, .external_lex_state = 3},
  [15182] = {.lex_state = 165, .external_lex_state = 3},
  [15183] = {.lex_state = 15, .external_lex_state = 3},
  [15184] = {.lex_state = 15, .external_lex_state = 3},
  [15185] = {.lex_state = 15, .external_lex_state = 3},
  [15186] = {.lex_state = 15, .external_lex_state = 3},
  [15187] = {.lex_state = 15, .external_lex_state = 3},
  [15188] = {.lex_state = 15, .external_lex_state = 3},
  [15189] = {.lex_state = 15, .external_lex_state = 3},
  [15190] = {.lex_state = 15, .external_lex_state = 3},
  [15191] = {.lex_state = 15, .external_lex_state = 3},
  [15192] = {.lex_state = 15, .external_lex_state = 3},
  [15193] = {.lex_state = 15, .external_lex_state = 3},
  [15194] = {.lex_state = 165, .external_lex_state = 3},
  [15195] = {.lex_state = 15, .external_lex_state = 3},
  [15196] = {.lex_state = 15, .external_lex_state = 3},
  [15197] = {.lex_state = 15, .external_lex_state = 3},
  [15198] = {.lex_state = 165, .external_lex_state = 3},
  [15199] = {.lex_state = 179, .external_lex_state = 3},
  [15200] = {.lex_state = 15, .external_lex_state = 3},
  [15201] = {.lex_state = 15, .external_lex_state = 3},
  [15202] = {.lex_state = 15, .external_lex_state = 3},
  [15203] = {.lex_state = 165, .external_lex_state = 3},
  [15204] = {.lex_state = 15, .external_lex_state = 3},
  [15205] = {.lex_state = 15, .external_lex_state = 8},
  [15206] = {.lex_state = 15, .external_lex_state = 3},
  [15207] = {.lex_state = 8, .external_lex_state = 3},
  [15208] = {.lex_state = 15, .external_lex_state = 3},
  [15209] = {.lex_state = 15, .external_lex_state = 3},
  [15210] = {.lex_state = 15, .external_lex_state = 3},
  [15211] = {.lex_state = 15, .external_lex_state = 3},
  [15212] = {.lex_state = 165, .external_lex_state = 3},
  [15213] = {.lex_state = 165, .external_lex_state = 3},
  [15214] = {.lex_state = 179, .external_lex_state = 3},
  [15215] = {.lex_state = 6, .external_lex_state = 3},
  [15216] = {.lex_state = 15, .external_lex_state = 3},
  [15217] = {.lex_state = 15, .external_lex_state = 3},
  [15218] = {.lex_state = 15, .external_lex_state = 3},
  [15219] = {.lex_state = 142, .external_lex_state = 3},
  [15220] = {.lex_state = 15, .external_lex_state = 3},
  [15221] = {.lex_state = 15, .external_lex_state = 3},
  [15222] = {.lex_state = 15, .external_lex_state = 3},
  [15223] = {.lex_state = 179, .external_lex_state = 3},
  [15224] = {.lex_state = 15, .external_lex_state = 3},
  [15225] = {.lex_state = 8, .external_lex_state = 3},
  [15226] = {.lex_state = 15, .external_lex_state = 3},
  [15227] = {.lex_state = 15, .external_lex_state = 3},
  [15228] = {.lex_state = 179, .external_lex_state = 3},
  [15229] = {.lex_state = 179, .external_lex_state = 3},
  [15230] = {.lex_state = 15, .external_lex_state = 3},
  [15231] = {.lex_state = 15, .external_lex_state = 3},
  [15232] = {.lex_state = 15, .external_lex_state = 3},
  [15233] = {.lex_state = 15, .external_lex_state = 3},
  [15234] = {.lex_state = 15, .external_lex_state = 3},
  [15235] = {.lex_state = 15, .external_lex_state = 3},
  [15236] = {.lex_state = 15, .external_lex_state = 3},
  [15237] = {.lex_state = 142, .external_lex_state = 3},
  [15238] = {.lex_state = 15, .external_lex_state = 3},
  [15239] = {.lex_state = 15, .external_lex_state = 3},
  [15240] = {.lex_state = 15, .external_lex_state = 3},
  [15241] = {.lex_state = 15, .external_lex_state = 3},
  [15242] = {.lex_state = 15, .external_lex_state = 3},
  [15243] = {.lex_state = 15, .external_lex_state = 8},
  [15244] = {.lex_state = 15, .external_lex_state = 8},
  [15245] = {.lex_state = 15, .external_lex_state = 3},
  [15246] = {.lex_state = 15, .external_lex_state = 8},
  [15247] = {.lex_state = 6, .external_lex_state = 3},
  [15248] = {.lex_state = 15, .external_lex_state = 8},
  [15249] = {.lex_state = 15, .external_lex_state = 3},
  [15250] = {.lex_state = 15, .external_lex_state = 3},
  [15251] = {.lex_state = 15, .external_lex_state = 3},
  [15252] = {.lex_state = 8, .external_lex_state = 3},
  [15253] = {.lex_state = 15, .external_lex_state = 3},
  [15254] = {.lex_state = 15, .external_lex_state = 3},
  [15255] = {.lex_state = 15, .external_lex_state = 8},
  [15256] = {.lex_state = 15, .external_lex_state = 3},
  [15257] = {.lex_state = 15, .external_lex_state = 3},
  [15258] = {.lex_state = 15, .external_lex_state = 3},
  [15259] = {.lex_state = 15, .external_lex_state = 3},
  [15260] = {.lex_state = 6, .external_lex_state = 3},
  [15261] = {.lex_state = 15, .external_lex_state = 3},
  [15262] = {.lex_state = 15, .external_lex_state = 3},
  [15263] = {.lex_state = 15, .external_lex_state = 3},
  [15264] = {.lex_state = 15, .external_lex_state = 3},
  [15265] = {.lex_state = 15, .external_lex_state = 3},
  [15266] = {.lex_state = 6, .external_lex_state = 3},
  [15267] = {.lex_state = 15, .external_lex_state = 3},
  [15268] = {.lex_state = 15, .external_lex_state = 3},
  [15269] = {.lex_state = 6, .external_lex_state = 3},
  [15270] = {.lex_state = 15, .external_lex_state = 3},
  [15271] = {.lex_state = 15, .external_lex_state = 3},
  [15272] = {.lex_state = 15, .external_lex_state = 3},
  [15273] = {.lex_state = 15, .external_lex_state = 3},
  [15274] = {.lex_state = 15, .external_lex_state = 3},
  [15275] = {.lex_state = 15, .external_lex_state = 3},
  [15276] = {.lex_state = 15, .external_lex_state = 3},
  [15277] = {.lex_state = 6, .external_lex_state = 3},
  [15278] = {.lex_state = 15, .external_lex_state = 3},
  [15279] = {.lex_state = 15, .external_lex_state = 3},
  [15280] = {.lex_state = 15, .external_lex_state = 3},
  [15281] = {.lex_state = 15, .external_lex_state = 3},
  [15282] = {.lex_state = 6, .external_lex_state = 3},
  [15283] = {.lex_state = 6, .external_lex_state = 3},
  [15284] = {.lex_state = 15, .external_lex_state = 3},
  [15285] = {.lex_state = 15, .external_lex_state = 3},
  [15286] = {.lex_state = 15, .external_lex_state = 3},
  [15287] = {.lex_state = 6, .external_lex_state = 3},
  [15288] = {.lex_state = 6, .external_lex_state = 3},
  [15289] = {.lex_state = 6, .external_lex_state = 3},
  [15290] = {.lex_state = 15, .external_lex_state = 3},
  [15291] = {.lex_state = 15, .external_lex_state = 3},
  [15292] = {.lex_state = 15, .external_lex_state = 3},
  [15293] = {.lex_state = 15, .external_lex_state = 3},
  [15294] = {.lex_state = 15, .external_lex_state = 3},
  [15295] = {.lex_state = 15, .external_lex_state = 3},
  [15296] = {.lex_state = 6, .external_lex_state = 3},
  [15297] = {.lex_state = 6, .external_lex_state = 3},
  [15298] = {.lex_state = 15, .external_lex_state = 3},
  [15299] = {.lex_state = 15, .external_lex_state = 3},
  [15300] = {.lex_state = 6, .external_lex_state = 3},
  [15301] = {.lex_state = 6, .external_lex_state = 3},
  [15302] = {.lex_state = 15, .external_lex_state = 3},
  [15303] = {.lex_state = 6, .external_lex_state = 3},
  [15304] = {.lex_state = 15, .external_lex_state = 3},
  [15305] = {.lex_state = 15, .external_lex_state = 3},
  [15306] = {.lex_state = 15, .external_lex_state = 3},
  [15307] = {.lex_state = 15, .external_lex_state = 3},
  [15308] = {.lex_state = 6, .external_lex_state = 3},
  [15309] = {.lex_state = 15, .external_lex_state = 3},
  [15310] = {.lex_state = 6, .external_lex_state = 3},
  [15311] = {.lex_state = 15, .external_lex_state = 3},
  [15312] = {.lex_state = 15, .external_lex_state = 3},
  [15313] = {.lex_state = 15, .external_lex_state = 3},
  [15314] = {.lex_state = 15, .external_lex_state = 3},
  [15315] = {.lex_state = 15, .external_lex_state = 3},
  [15316] = {.lex_state = 15, .external_lex_state = 3},
  [15317] = {.lex_state = 6, .external_lex_state = 3},
  [15318] = {.lex_state = 6, .external_lex_state = 3},
  [15319] = {.lex_state = 6, .external_lex_state = 3},
  [15320] = {.lex_state = 15, .external_lex_state = 3},
  [15321] = {.lex_state = 6, .external_lex_state = 3},
  [15322] = {.lex_state = 15, .external_lex_state = 3},
  [15323] = {.lex_state = 6, .external_lex_state = 3},
  [15324] = {.lex_state = 15, .external_lex_state = 3},
  [15325] = {.lex_state = 15, .external_lex_state = 3},
  [15326] = {.lex_state = 15, .external_lex_state = 3},
  [15327] = {.lex_state = 15, .external_lex_state = 3},
  [15328] = {.lex_state = 15, .external_lex_state = 3},
  [15329] = {.lex_state = 15, .external_lex_state = 3},
  [15330] = {.lex_state = 15, .external_lex_state = 3},
  [15331] = {.lex_state = 15, .external_lex_state = 3},
  [15332] = {.lex_state = 15, .external_lex_state = 3},
  [15333] = {.lex_state = 15, .external_lex_state = 3},
  [15334] = {.lex_state = 15, .external_lex_state = 3},
  [15335] = {.lex_state = 15, .external_lex_state = 3},
  [15336] = {.lex_state = 15, .external_lex_state = 3},
  [15337] = {.lex_state = 15, .external_lex_state = 3},
  [15338] = {.lex_state = 15, .external_lex_state = 3},
  [15339] = {.lex_state = 15, .external_lex_state = 3},
  [15340] = {.lex_state = 15, .external_lex_state = 3},
  [15341] = {.lex_state = 15, .external_lex_state = 3},
  [15342] = {.lex_state = 15, .external_lex_state = 3},
  [15343] = {.lex_state = 15, .external_lex_state = 3},
  [15344] = {.lex_state = 6, .external_lex_state = 3},
  [15345] = {.lex_state = 15, .external_lex_state = 3},
  [15346] = {.lex_state = 15, .external_lex_state = 3},
  [15347] = {.lex_state = 15, .external_lex_state = 3},
  [15348] = {.lex_state = 15, .external_lex_state = 3},
  [15349] = {.lex_state = 15, .external_lex_state = 3},
  [15350] = {.lex_state = 6, .external_lex_state = 3},
  [15351] = {.lex_state = 6, .external_lex_state = 3},
  [15352] = {.lex_state = 6, .external_lex_state = 3},
  [15353] = {.lex_state = 15, .external_lex_state = 3},
  [15354] = {.lex_state = 15, .external_lex_state = 3},
  [15355] = {.lex_state = 15, .external_lex_state = 3},
  [15356] = {.lex_state = 132, .external_lex_state = 3},
  [15357] = {.lex_state = 15, .external_lex_state = 3},
  [15358] = {.lex_state = 15, .external_lex_state = 3},
  [15359] = {.lex_state = 132, .external_lex_state = 3},
  [15360] = {.lex_state = 15, .external_lex_state = 3},
  [15361] = {.lex_state = 15, .external_lex_state = 3},
  [15362] = {.lex_state = 6, .external_lex_state = 3},
  [15363] = {.lex_state = 6, .external_lex_state = 3},
  [15364] = {.lex_state = 15, .external_lex_state = 3},
  [15365] = {.lex_state = 15, .external_lex_state = 3},
  [15366] = {.lex_state = 6, .external_lex_state = 3},
  [15367] = {.lex_state = 15, .external_lex_state = 3},
  [15368] = {.lex_state = 6, .external_lex_state = 3},
  [15369] = {.lex_state = 15, .external_lex_state = 3},
  [15370] = {.lex_state = 15, .external_lex_state = 3},
  [15371] = {.lex_state = 15, .external_lex_state = 3},
  [15372] = {.lex_state = 6, .external_lex_state = 3},
  [15373] = {.lex_state = 15, .external_lex_state = 3},
  [15374] = {.lex_state = 15, .external_lex_state = 3},
  [15375] = {.lex_state = 15, .external_lex_state = 3},
  [15376] = {.lex_state = 15, .external_lex_state = 3},
  [15377] = {.lex_state = 15, .external_lex_state = 3},
  [15378] = {.lex_state = 15, .external_lex_state = 3},
  [15379] = {.lex_state = 15, .external_lex_state = 3},
  [15380] = {.lex_state = 15, .external_lex_state = 3},
  [15381] = {.lex_state = 15, .external_lex_state = 3},
  [15382] = {.lex_state = 6, .external_lex_state = 3},
  [15383] = {.lex_state = 15, .external_lex_state = 3},
  [15384] = {.lex_state = 15, .external_lex_state = 3},
  [15385] = {.lex_state = 6, .external_lex_state = 3},
  [15386] = {.lex_state = 15, .external_lex_state = 3},
  [15387] = {.lex_state = 15, .external_lex_state = 3},
  [15388] = {.lex_state = 15, .external_lex_state = 3},
  [15389] = {.lex_state = 6, .external_lex_state = 3},
  [15390] = {.lex_state = 15, .external_lex_state = 3},
  [15391] = {.lex_state = 6, .external_lex_state = 3},
  [15392] = {.lex_state = 6, .external_lex_state = 3},
  [15393] = {.lex_state = 8, .external_lex_state = 3},
  [15394] = {.lex_state = 15, .external_lex_state = 3},
  [15395] = {.lex_state = 15, .external_lex_state = 3},
  [15396] = {.lex_state = 6, .external_lex_state = 3},
  [15397] = {.lex_state = 6, .external_lex_state = 3},
  [15398] = {.lex_state = 6, .external_lex_state = 3},
  [15399] = {.lex_state = 6, .external_lex_state = 3},
  [15400] = {.lex_state = 15, .external_lex_state = 3},
  [15401] = {.lex_state = 15, .external_lex_state = 3},
  [15402] = {.lex_state = 15, .external_lex_state = 3},
  [15403] = {.lex_state = 15, .external_lex_state = 3},
  [15404] = {.lex_state = 15, .external_lex_state = 3},
  [15405] = {.lex_state = 6, .external_lex_state = 3},
  [15406] = {.lex_state = 15, .external_lex_state = 3},
  [15407] = {.lex_state = 6, .external_lex_state = 3},
  [15408] = {.lex_state = 15, .external_lex_state = 3},
  [15409] = {.lex_state = 15, .external_lex_state = 3},
  [15410] = {.lex_state = 15, .external_lex_state = 3},
  [15411] = {.lex_state = 15, .external_lex_state = 3},
  [15412] = {.lex_state = 6, .external_lex_state = 3},
  [15413] = {.lex_state = 15, .external_lex_state = 3},
  [15414] = {.lex_state = 15, .external_lex_state = 3},
  [15415] = {.lex_state = 15, .external_lex_state = 3},
  [15416] = {.lex_state = 15, .external_lex_state = 3},
  [15417] = {.lex_state = 15, .external_lex_state = 3},
  [15418] = {.lex_state = 15, .external_lex_state = 3},
  [15419] = {.lex_state = 15, .external_lex_state = 3},
  [15420] = {.lex_state = 6, .external_lex_state = 3},
  [15421] = {.lex_state = 15, .external_lex_state = 3},
  [15422] = {.lex_state = 15, .external_lex_state = 3},
  [15423] = {.lex_state = 6, .external_lex_state = 3},
  [15424] = {.lex_state = 15, .external_lex_state = 3},
  [15425] = {.lex_state = 15, .external_lex_state = 3},
  [15426] = {.lex_state = 15, .external_lex_state = 3},
  [15427] = {.lex_state = 15, .external_lex_state = 3},
  [15428] = {.lex_state = 15, .external_lex_state = 3},
  [15429] = {.lex_state = 15, .external_lex_state = 3},
  [15430] = {.lex_state = 15, .external_lex_state = 3},
  [15431] = {.lex_state = 6, .external_lex_state = 3},
  [15432] = {.lex_state = 15, .external_lex_state = 3},
  [15433] = {.lex_state = 6, .external_lex_state = 3},
  [15434] = {.lex_state = 6, .external_lex_state = 3},
  [15435] = {.lex_state = 15, .external_lex_state = 3},
  [15436] = {.lex_state = 6, .external_lex_state = 3},
  [15437] = {.lex_state = 15, .external_lex_state = 3},
  [15438] = {.lex_state = 6, .external_lex_state = 3},
  [15439] = {.lex_state = 6, .external_lex_state = 3},
  [15440] = {.lex_state = 15, .external_lex_state = 3},
  [15441] = {.lex_state = 6, .external_lex_state = 3},
  [15442] = {.lex_state = 6, .external_lex_state = 3},
  [15443] = {.lex_state = 425, .external_lex_state = 3},
  [15444] = {.lex_state = 15, .external_lex_state = 3},
  [15445] = {.lex_state = 6, .external_lex_state = 3},
  [15446] = {.lex_state = 15, .external_lex_state = 3},
  [15447] = {.lex_state = 6, .external_lex_state = 3},
  [15448] = {.lex_state = 6, .external_lex_state = 3},
  [15449] = {.lex_state = 15, .external_lex_state = 3},
  [15450] = {.lex_state = 15, .external_lex_state = 3},
  [15451] = {.lex_state = 15, .external_lex_state = 3},
  [15452] = {.lex_state = 15, .external_lex_state = 3},
  [15453] = {.lex_state = 15, .external_lex_state = 3},
  [15454] = {.lex_state = 15, .external_lex_state = 3},
  [15455] = {.lex_state = 425, .external_lex_state = 3},
  [15456] = {.lex_state = 15, .external_lex_state = 3},
  [15457] = {.lex_state = 132, .external_lex_state = 3},
  [15458] = {.lex_state = 6, .external_lex_state = 3},
  [15459] = {.lex_state = 15, .external_lex_state = 3},
  [15460] = {.lex_state = 6, .external_lex_state = 3},
  [15461] = {.lex_state = 132, .external_lex_state = 3},
  [15462] = {.lex_state = 15, .external_lex_state = 3},
  [15463] = {.lex_state = 15, .external_lex_state = 3},
  [15464] = {.lex_state = 15, .external_lex_state = 3},
  [15465] = {.lex_state = 15, .external_lex_state = 3},
  [15466] = {.lex_state = 15, .external_lex_state = 3},
  [15467] = {.lex_state = 15, .external_lex_state = 3},
  [15468] = {.lex_state = 15, .external_lex_state = 3},
  [15469] = {.lex_state = 15, .external_lex_state = 3},
  [15470] = {.lex_state = 132, .external_lex_state = 3},
  [15471] = {.lex_state = 132, .external_lex_state = 3},
  [15472] = {.lex_state = 15, .external_lex_state = 3},
  [15473] = {.lex_state = 132, .external_lex_state = 3},
  [15474] = {.lex_state = 15, .external_lex_state = 3},
  [15475] = {.lex_state = 15, .external_lex_state = 3},
  [15476] = {.lex_state = 6, .external_lex_state = 3},
  [15477] = {.lex_state = 15, .external_lex_state = 3},
  [15478] = {.lex_state = 15, .external_lex_state = 3},
  [15479] = {.lex_state = 6, .external_lex_state = 3},
  [15480] = {.lex_state = 15, .external_lex_state = 3},
  [15481] = {.lex_state = 15, .external_lex_state = 3},
  [15482] = {.lex_state = 15, .external_lex_state = 3},
  [15483] = {.lex_state = 15, .external_lex_state = 3},
  [15484] = {.lex_state = 6, .external_lex_state = 3},
  [15485] = {.lex_state = 15, .external_lex_state = 3},
  [15486] = {.lex_state = 132, .external_lex_state = 3},
  [15487] = {.lex_state = 15, .external_lex_state = 3},
  [15488] = {.lex_state = 15, .external_lex_state = 3},
  [15489] = {.lex_state = 6, .external_lex_state = 3},
  [15490] = {.lex_state = 15, .external_lex_state = 3},
  [15491] = {.lex_state = 6, .external_lex_state = 3},
  [15492] = {.lex_state = 15, .external_lex_state = 3},
  [15493] = {.lex_state = 6, .external_lex_state = 3},
  [15494] = {.lex_state = 6, .external_lex_state = 3},
  [15495] = {.lex_state = 6, .external_lex_state = 3},
  [15496] = {.lex_state = 15, .external_lex_state = 3},
  [15497] = {.lex_state = 15, .external_lex_state = 3},
  [15498] = {.lex_state = 15, .external_lex_state = 3},
  [15499] = {.lex_state = 15, .external_lex_state = 3},
  [15500] = {.lex_state = 15, .external_lex_state = 3},
  [15501] = {.lex_state = 6, .external_lex_state = 3},
  [15502] = {.lex_state = 15, .external_lex_state = 3},
  [15503] = {.lex_state = 15, .external_lex_state = 3},
  [15504] = {.lex_state = 15, .external_lex_state = 3},
  [15505] = {.lex_state = 132, .external_lex_state = 3},
  [15506] = {.lex_state = 15, .external_lex_state = 3},
  [15507] = {.lex_state = 15, .external_lex_state = 3},
  [15508] = {.lex_state = 15, .external_lex_state = 3},
  [15509] = {.lex_state = 15, .external_lex_state = 3},
  [15510] = {.lex_state = 15, .external_lex_state = 3},
  [15511] = {.lex_state = 15, .external_lex_state = 3},
  [15512] = {.lex_state = 15, .external_lex_state = 3},
  [15513] = {.lex_state = 15, .external_lex_state = 3},
  [15514] = {.lex_state = 15, .external_lex_state = 3},
  [15515] = {.lex_state = 15, .external_lex_state = 3},
  [15516] = {.lex_state = 132, .external_lex_state = 3},
  [15517] = {.lex_state = 15, .external_lex_state = 3},
  [15518] = {.lex_state = 15, .external_lex_state = 3},
  [15519] = {.lex_state = 15, .external_lex_state = 3},
  [15520] = {.lex_state = 15, .external_lex_state = 3},
  [15521] = {.lex_state = 15, .external_lex_state = 3},
  [15522] = {.lex_state = 15, .external_lex_state = 3},
  [15523] = {.lex_state = 15, .external_lex_state = 3},
  [15524] = {.lex_state = 6, .external_lex_state = 3},
  [15525] = {.lex_state = 6, .external_lex_state = 3},
  [15526] = {.lex_state = 6, .external_lex_state = 3},
  [15527] = {.lex_state = 15, .external_lex_state = 3},
  [15528] = {.lex_state = 15, .external_lex_state = 3},
  [15529] = {.lex_state = 15, .external_lex_state = 3},
  [15530] = {.lex_state = 15, .external_lex_state = 3},
  [15531] = {.lex_state = 15, .external_lex_state = 3},
  [15532] = {.lex_state = 15, .external_lex_state = 3},
  [15533] = {.lex_state = 6, .external_lex_state = 3},
  [15534] = {.lex_state = 15, .external_lex_state = 3},
  [15535] = {.lex_state = 15, .external_lex_state = 3},
  [15536] = {.lex_state = 6, .external_lex_state = 3},
  [15537] = {.lex_state = 15, .external_lex_state = 3},
  [15538] = {.lex_state = 15, .external_lex_state = 3},
  [15539] = {.lex_state = 15, .external_lex_state = 3},
  [15540] = {.lex_state = 15, .external_lex_state = 3},
  [15541] = {.lex_state = 15, .external_lex_state = 3},
  [15542] = {.lex_state = 15, .external_lex_state = 3},
  [15543] = {.lex_state = 15, .external_lex_state = 3},
  [15544] = {.lex_state = 15, .external_lex_state = 3},
  [15545] = {.lex_state = 15, .external_lex_state = 3},
  [15546] = {.lex_state = 6, .external_lex_state = 3},
  [15547] = {.lex_state = 6, .external_lex_state = 3},
  [15548] = {.lex_state = 15, .external_lex_state = 3},
  [15549] = {.lex_state = 6, .external_lex_state = 3},
  [15550] = {.lex_state = 15, .external_lex_state = 3},
  [15551] = {.lex_state = 15, .external_lex_state = 3},
  [15552] = {.lex_state = 15, .external_lex_state = 3},
  [15553] = {.lex_state = 6, .external_lex_state = 3},
  [15554] = {.lex_state = 15, .external_lex_state = 3},
  [15555] = {.lex_state = 6, .external_lex_state = 3},
  [15556] = {.lex_state = 6, .external_lex_state = 3},
  [15557] = {.lex_state = 15, .external_lex_state = 3},
  [15558] = {.lex_state = 15, .external_lex_state = 3},
  [15559] = {.lex_state = 15, .external_lex_state = 3},
  [15560] = {.lex_state = 15, .external_lex_state = 3},
  [15561] = {.lex_state = 15, .external_lex_state = 3},
  [15562] = {.lex_state = 15, .external_lex_state = 3},
  [15563] = {.lex_state = 15, .external_lex_state = 3},
  [15564] = {.lex_state = 15, .external_lex_state = 3},
  [15565] = {.lex_state = 15, .external_lex_state = 3},
  [15566] = {.lex_state = 15, .external_lex_state = 3},
  [15567] = {.lex_state = 15, .external_lex_state = 3},
  [15568] = {.lex_state = 15, .external_lex_state = 3},
  [15569] = {.lex_state = 15, .external_lex_state = 3},
  [15570] = {.lex_state = 15, .external_lex_state = 3},
  [15571] = {.lex_state = 15, .external_lex_state = 3},
  [15572] = {.lex_state = 132, .external_lex_state = 3},
  [15573] = {.lex_state = 15, .external_lex_state = 3},
  [15574] = {.lex_state = 132, .external_lex_state = 3},
  [15575] = {.lex_state = 15, .external_lex_state = 3},
  [15576] = {.lex_state = 15, .external_lex_state = 3},
  [15577] = {.lex_state = 15, .external_lex_state = 3},
  [15578] = {.lex_state = 15, .external_lex_state = 3},
  [15579] = {.lex_state = 15, .external_lex_state = 3},
  [15580] = {.lex_state = 15, .external_lex_state = 3},
  [15581] = {.lex_state = 15, .external_lex_state = 3},
  [15582] = {.lex_state = 15, .external_lex_state = 3},
  [15583] = {.lex_state = 15, .external_lex_state = 3},
  [15584] = {.lex_state = 15, .external_lex_state = 3},
  [15585] = {.lex_state = 15, .external_lex_state = 3},
  [15586] = {.lex_state = 15, .external_lex_state = 3},
  [15587] = {.lex_state = 15, .external_lex_state = 3},
  [15588] = {.lex_state = 15, .external_lex_state = 3},
  [15589] = {.lex_state = 6, .external_lex_state = 3},
  [15590] = {.lex_state = 15, .external_lex_state = 3},
  [15591] = {.lex_state = 6, .external_lex_state = 3},
  [15592] = {.lex_state = 15, .external_lex_state = 3},
  [15593] = {.lex_state = 6, .external_lex_state = 3},
  [15594] = {.lex_state = 15, .external_lex_state = 3},
  [15595] = {.lex_state = 15, .external_lex_state = 3},
  [15596] = {.lex_state = 15, .external_lex_state = 3},
  [15597] = {.lex_state = 15, .external_lex_state = 3},
  [15598] = {.lex_state = 15, .external_lex_state = 3},
  [15599] = {.lex_state = 15, .external_lex_state = 3},
  [15600] = {.lex_state = 425, .external_lex_state = 3},
  [15601] = {.lex_state = 15, .external_lex_state = 3},
  [15602] = {.lex_state = 15, .external_lex_state = 3},
  [15603] = {.lex_state = 15, .external_lex_state = 3},
  [15604] = {.lex_state = 15, .external_lex_state = 3},
  [15605] = {.lex_state = 15, .external_lex_state = 3},
  [15606] = {.lex_state = 15, .external_lex_state = 3},
  [15607] = {.lex_state = 15, .external_lex_state = 3},
  [15608] = {.lex_state = 15, .external_lex_state = 3},
  [15609] = {.lex_state = 15, .external_lex_state = 3},
  [15610] = {.lex_state = 15, .external_lex_state = 3},
  [15611] = {.lex_state = 6, .external_lex_state = 3},
  [15612] = {.lex_state = 15, .external_lex_state = 3},
  [15613] = {.lex_state = 15, .external_lex_state = 3},
  [15614] = {.lex_state = 15, .external_lex_state = 3},
  [15615] = {.lex_state = 6, .external_lex_state = 3},
  [15616] = {.lex_state = 15, .external_lex_state = 3},
  [15617] = {.lex_state = 15, .external_lex_state = 3},
  [15618] = {.lex_state = 15, .external_lex_state = 3},
  [15619] = {.lex_state = 15, .external_lex_state = 3},
  [15620] = {.lex_state = 15, .external_lex_state = 3},
  [15621] = {.lex_state = 15, .external_lex_state = 3},
  [15622] = {.lex_state = 6, .external_lex_state = 3},
  [15623] = {.lex_state = 15, .external_lex_state = 3},
  [15624] = {.lex_state = 6, .external_lex_state = 3},
  [15625] = {.lex_state = 15, .external_lex_state = 3},
  [15626] = {.lex_state = 15, .external_lex_state = 3},
  [15627] = {.lex_state = 15, .external_lex_state = 3},
  [15628] = {.lex_state = 15, .external_lex_state = 3},
  [15629] = {.lex_state = 15, .external_lex_state = 3},
  [15630] = {.lex_state = 15, .external_lex_state = 3},
  [15631] = {.lex_state = 15, .external_lex_state = 3},
  [15632] = {.lex_state = 382, .external_lex_state = 3},
  [15633] = {.lex_state = 15, .external_lex_state = 3},
  [15634] = {.lex_state = 412, .external_lex_state = 3},
  [15635] = {.lex_state = 6, .external_lex_state = 3},
  [15636] = {.lex_state = 15, .external_lex_state = 3},
  [15637] = {.lex_state = 382, .external_lex_state = 3},
  [15638] = {.lex_state = 425, .external_lex_state = 3},
  [15639] = {.lex_state = 25, .external_lex_state = 3},
  [15640] = {.lex_state = 15, .external_lex_state = 3},
  [15641] = {.lex_state = 15, .external_lex_state = 3},
  [15642] = {.lex_state = 15, .external_lex_state = 3},
  [15643] = {.lex_state = 15, .external_lex_state = 3},
  [15644] = {.lex_state = 15, .external_lex_state = 3},
  [15645] = {.lex_state = 15, .external_lex_state = 3},
  [15646] = {.lex_state = 425, .external_lex_state = 3},
  [15647] = {.lex_state = 412, .external_lex_state = 3},
  [15648] = {.lex_state = 15, .external_lex_state = 3},
  [15649] = {.lex_state = 6, .external_lex_state = 3},
  [15650] = {.lex_state = 165, .external_lex_state = 3},
  [15651] = {.lex_state = 15, .external_lex_state = 3},
  [15652] = {.lex_state = 15, .external_lex_state = 3},
  [15653] = {.lex_state = 15, .external_lex_state = 3},
  [15654] = {.lex_state = 412, .external_lex_state = 3},
  [15655] = {.lex_state = 382, .external_lex_state = 3},
  [15656] = {.lex_state = 15, .external_lex_state = 3},
  [15657] = {.lex_state = 15, .external_lex_state = 3},
  [15658] = {.lex_state = 6, .external_lex_state = 3},
  [15659] = {.lex_state = 15, .external_lex_state = 3},
  [15660] = {.lex_state = 15, .external_lex_state = 3},
  [15661] = {.lex_state = 15, .external_lex_state = 3},
  [15662] = {.lex_state = 165, .external_lex_state = 3},
  [15663] = {.lex_state = 412, .external_lex_state = 3},
  [15664] = {.lex_state = 15, .external_lex_state = 3},
  [15665] = {.lex_state = 382, .external_lex_state = 3},
  [15666] = {.lex_state = 15, .external_lex_state = 3},
  [15667] = {.lex_state = 412, .external_lex_state = 3},
  [15668] = {.lex_state = 15, .external_lex_state = 3},
  [15669] = {.lex_state = 15, .external_lex_state = 3},
  [15670] = {.lex_state = 15, .external_lex_state = 3},
  [15671] = {.lex_state = 15, .external_lex_state = 3},
  [15672] = {.lex_state = 15, .external_lex_state = 3},
  [15673] = {.lex_state = 15, .external_lex_state = 3},
  [15674] = {.lex_state = 15, .external_lex_state = 3},
  [15675] = {.lex_state = 15, .external_lex_state = 3},
  [15676] = {.lex_state = 6, .external_lex_state = 3},
  [15677] = {.lex_state = 15, .external_lex_state = 3},
  [15678] = {.lex_state = 15, .external_lex_state = 3},
  [15679] = {.lex_state = 382, .external_lex_state = 3},
  [15680] = {.lex_state = 15, .external_lex_state = 3},
  [15681] = {.lex_state = 6, .external_lex_state = 3},
  [15682] = {.lex_state = 15, .external_lex_state = 3},
  [15683] = {.lex_state = 6, .external_lex_state = 3},
  [15684] = {.lex_state = 15, .external_lex_state = 3},
  [15685] = {.lex_state = 6, .external_lex_state = 3},
  [15686] = {.lex_state = 15, .external_lex_state = 3},
  [15687] = {.lex_state = 15, .external_lex_state = 3},
  [15688] = {.lex_state = 15, .external_lex_state = 3},
  [15689] = {.lex_state = 15, .external_lex_state = 3},
  [15690] = {.lex_state = 412, .external_lex_state = 3},
  [15691] = {.lex_state = 6, .external_lex_state = 3},
  [15692] = {.lex_state = 6, .external_lex_state = 3},
  [15693] = {.lex_state = 15, .external_lex_state = 3},
  [15694] = {.lex_state = 15, .external_lex_state = 3},
  [15695] = {.lex_state = 15, .external_lex_state = 3},
  [15696] = {.lex_state = 6, .external_lex_state = 3},
  [15697] = {.lex_state = 15, .external_lex_state = 3},
  [15698] = {.lex_state = 6, .external_lex_state = 3},
  [15699] = {.lex_state = 382, .external_lex_state = 3},
  [15700] = {.lex_state = 15, .external_lex_state = 3},
  [15701] = {.lex_state = 382, .external_lex_state = 3},
  [15702] = {.lex_state = 15, .external_lex_state = 3},
  [15703] = {.lex_state = 6, .external_lex_state = 3},
  [15704] = {.lex_state = 15, .external_lex_state = 3},
  [15705] = {.lex_state = 15, .external_lex_state = 3},
  [15706] = {.lex_state = 425, .external_lex_state = 3},
  [15707] = {.lex_state = 6, .external_lex_state = 3},
  [15708] = {.lex_state = 6, .external_lex_state = 3},
  [15709] = {.lex_state = 165, .external_lex_state = 3},
  [15710] = {.lex_state = 15, .external_lex_state = 3},
  [15711] = {.lex_state = 165, .external_lex_state = 3},
  [15712] = {.lex_state = 15, .external_lex_state = 3},
  [15713] = {.lex_state = 15, .external_lex_state = 3},
  [15714] = {.lex_state = 6, .external_lex_state = 3},
  [15715] = {.lex_state = 15, .external_lex_state = 3},
  [15716] = {.lex_state = 15, .external_lex_state = 3},
  [15717] = {.lex_state = 6, .external_lex_state = 3},
  [15718] = {.lex_state = 15, .external_lex_state = 3},
  [15719] = {.lex_state = 15, .external_lex_state = 3},
  [15720] = {.lex_state = 6, .external_lex_state = 3},
  [15721] = {.lex_state = 6, .external_lex_state = 3},
  [15722] = {.lex_state = 15, .external_lex_state = 3},
  [15723] = {.lex_state = 15, .external_lex_state = 3},
  [15724] = {.lex_state = 6, .external_lex_state = 3},
  [15725] = {.lex_state = 15, .external_lex_state = 3},
  [15726] = {.lex_state = 15, .external_lex_state = 3},
  [15727] = {.lex_state = 15, .external_lex_state = 3},
  [15728] = {.lex_state = 15, .external_lex_state = 3},
  [15729] = {.lex_state = 6, .external_lex_state = 3},
  [15730] = {.lex_state = 15, .external_lex_state = 3},
  [15731] = {.lex_state = 412, .external_lex_state = 3},
  [15732] = {.lex_state = 15, .external_lex_state = 3},
  [15733] = {.lex_state = 15, .external_lex_state = 3},
  [15734] = {.lex_state = 15, .external_lex_state = 3},
  [15735] = {.lex_state = 15, .external_lex_state = 3},
  [15736] = {.lex_state = 15, .external_lex_state = 3},
  [15737] = {.lex_state = 6, .external_lex_state = 3},
  [15738] = {.lex_state = 15, .external_lex_state = 3},
  [15739] = {.lex_state = 6, .external_lex_state = 3},
  [15740] = {.lex_state = 15, .external_lex_state = 3},
  [15741] = {.lex_state = 412, .external_lex_state = 3},
  [15742] = {.lex_state = 15, .external_lex_state = 3},
  [15743] = {.lex_state = 15, .external_lex_state = 3},
  [15744] = {.lex_state = 15, .external_lex_state = 3},
  [15745] = {.lex_state = 15, .external_lex_state = 3},
  [15746] = {.lex_state = 15, .external_lex_state = 3},
  [15747] = {.lex_state = 15, .external_lex_state = 3},
  [15748] = {.lex_state = 15, .external_lex_state = 3},
  [15749] = {.lex_state = 6, .external_lex_state = 3},
  [15750] = {.lex_state = 15, .external_lex_state = 3},
  [15751] = {.lex_state = 15, .external_lex_state = 3},
  [15752] = {.lex_state = 15, .external_lex_state = 3},
  [15753] = {.lex_state = 15, .external_lex_state = 3},
  [15754] = {.lex_state = 179, .external_lex_state = 3},
  [15755] = {.lex_state = 382, .external_lex_state = 3},
  [15756] = {.lex_state = 6, .external_lex_state = 3},
  [15757] = {.lex_state = 15, .external_lex_state = 3},
  [15758] = {.lex_state = 412, .external_lex_state = 3},
  [15759] = {.lex_state = 15, .external_lex_state = 3},
  [15760] = {.lex_state = 15, .external_lex_state = 3},
  [15761] = {.lex_state = 15, .external_lex_state = 3},
  [15762] = {.lex_state = 15, .external_lex_state = 3},
  [15763] = {.lex_state = 15, .external_lex_state = 3},
  [15764] = {.lex_state = 6, .external_lex_state = 3},
  [15765] = {.lex_state = 6, .external_lex_state = 3},
  [15766] = {.lex_state = 15, .external_lex_state = 3},
  [15767] = {.lex_state = 15, .external_lex_state = 3},
  [15768] = {.lex_state = 179, .external_lex_state = 3},
  [15769] = {.lex_state = 6, .external_lex_state = 3},
  [15770] = {.lex_state = 15, .external_lex_state = 3},
  [15771] = {.lex_state = 6, .external_lex_state = 3},
  [15772] = {.lex_state = 6, .external_lex_state = 3},
  [15773] = {.lex_state = 179, .external_lex_state = 3},
  [15774] = {.lex_state = 6, .external_lex_state = 3},
  [15775] = {.lex_state = 6, .external_lex_state = 3},
  [15776] = {.lex_state = 15, .external_lex_state = 3},
  [15777] = {.lex_state = 15, .external_lex_state = 3},
  [15778] = {.lex_state = 15, .external_lex_state = 3},
  [15779] = {.lex_state = 6, .external_lex_state = 3},
  [15780] = {.lex_state = 15, .external_lex_state = 3},
  [15781] = {.lex_state = 6, .external_lex_state = 3},
  [15782] = {.lex_state = 412, .external_lex_state = 3},
  [15783] = {.lex_state = 15, .external_lex_state = 3},
  [15784] = {.lex_state = 179, .external_lex_state = 3},
  [15785] = {.lex_state = 165, .external_lex_state = 3},
  [15786] = {.lex_state = 15, .external_lex_state = 3},
  [15787] = {.lex_state = 6, .external_lex_state = 3},
  [15788] = {.lex_state = 15, .external_lex_state = 3},
  [15789] = {.lex_state = 382, .external_lex_state = 3},
  [15790] = {.lex_state = 15, .external_lex_state = 3},
  [15791] = {.lex_state = 15, .external_lex_state = 3},
  [15792] = {.lex_state = 15, .external_lex_state = 3},
  [15793] = {.lex_state = 15, .external_lex_state = 3},
  [15794] = {.lex_state = 382, .external_lex_state = 3},
  [15795] = {.lex_state = 15, .external_lex_state = 3},
  [15796] = {.lex_state = 15, .external_lex_state = 3},
  [15797] = {.lex_state = 15, .external_lex_state = 3},
  [15798] = {.lex_state = 15, .external_lex_state = 3},
  [15799] = {.lex_state = 165, .external_lex_state = 3},
  [15800] = {.lex_state = 15, .external_lex_state = 3},
  [15801] = {.lex_state = 6, .external_lex_state = 3},
  [15802] = {.lex_state = 15, .external_lex_state = 3},
  [15803] = {.lex_state = 15, .external_lex_state = 3},
  [15804] = {.lex_state = 25, .external_lex_state = 3},
  [15805] = {.lex_state = 15, .external_lex_state = 3},
  [15806] = {.lex_state = 15, .external_lex_state = 3},
  [15807] = {.lex_state = 6, .external_lex_state = 3},
  [15808] = {.lex_state = 15, .external_lex_state = 3},
  [15809] = {.lex_state = 15, .external_lex_state = 3},
  [15810] = {.lex_state = 6, .external_lex_state = 3},
  [15811] = {.lex_state = 15, .external_lex_state = 3},
  [15812] = {.lex_state = 15, .external_lex_state = 3},
  [15813] = {.lex_state = 15, .external_lex_state = 3},
  [15814] = {.lex_state = 15, .external_lex_state = 3},
  [15815] = {.lex_state = 6, .external_lex_state = 3},
  [15816] = {.lex_state = 6, .external_lex_state = 3},
  [15817] = {.lex_state = 15, .external_lex_state = 3},
  [15818] = {.lex_state = 25, .external_lex_state = 3},
  [15819] = {.lex_state = 15, .external_lex_state = 3},
  [15820] = {.lex_state = 6, .external_lex_state = 3},
  [15821] = {.lex_state = 15, .external_lex_state = 3},
  [15822] = {.lex_state = 15, .external_lex_state = 3},
  [15823] = {.lex_state = 15, .external_lex_state = 3},
  [15824] = {.lex_state = 15, .external_lex_state = 3},
  [15825] = {.lex_state = 6, .external_lex_state = 3},
  [15826] = {.lex_state = 15, .external_lex_state = 3},
  [15827] = {.lex_state = 6, .external_lex_state = 3},
  [15828] = {.lex_state = 15, .external_lex_state = 3},
  [15829] = {.lex_state = 15, .external_lex_state = 3},
  [15830] = {.lex_state = 15, .external_lex_state = 3},
  [15831] = {.lex_state = 15, .external_lex_state = 3},
  [15832] = {.lex_state = 6, .external_lex_state = 3},
  [15833] = {.lex_state = 6, .external_lex_state = 3},
  [15834] = {.lex_state = 8, .external_lex_state = 3},
  [15835] = {.lex_state = 15, .external_lex_state = 3},
  [15836] = {.lex_state = 6, .external_lex_state = 3},
  [15837] = {.lex_state = 15, .external_lex_state = 3},
  [15838] = {.lex_state = 15, .external_lex_state = 3},
  [15839] = {.lex_state = 6, .external_lex_state = 3},
  [15840] = {.lex_state = 15, .external_lex_state = 3},
  [15841] = {.lex_state = 412, .external_lex_state = 3},
  [15842] = {.lex_state = 382, .external_lex_state = 3},
  [15843] = {.lex_state = 15, .external_lex_state = 3},
  [15844] = {.lex_state = 15, .external_lex_state = 3},
  [15845] = {.lex_state = 15, .external_lex_state = 3},
  [15846] = {.lex_state = 15, .external_lex_state = 3},
  [15847] = {.lex_state = 15, .external_lex_state = 3},
  [15848] = {.lex_state = 382, .external_lex_state = 3},
  [15849] = {.lex_state = 6, .external_lex_state = 3},
  [15850] = {.lex_state = 15, .external_lex_state = 3},
  [15851] = {.lex_state = 15, .external_lex_state = 3},
  [15852] = {.lex_state = 15, .external_lex_state = 3},
  [15853] = {.lex_state = 15, .external_lex_state = 3},
  [15854] = {.lex_state = 15, .external_lex_state = 3},
  [15855] = {.lex_state = 15, .external_lex_state = 3},
  [15856] = {.lex_state = 15, .external_lex_state = 3},
  [15857] = {.lex_state = 6, .external_lex_state = 3},
  [15858] = {.lex_state = 15, .external_lex_state = 3},
  [15859] = {.lex_state = 15, .external_lex_state = 3},
  [15860] = {.lex_state = 6, .external_lex_state = 3},
  [15861] = {.lex_state = 15, .external_lex_state = 3},
  [15862] = {.lex_state = 412, .external_lex_state = 3},
  [15863] = {.lex_state = 6, .external_lex_state = 3},
  [15864] = {.lex_state = 15, .external_lex_state = 3},
  [15865] = {.lex_state = 15, .external_lex_state = 3},
  [15866] = {.lex_state = 15, .external_lex_state = 3},
  [15867] = {.lex_state = 15, .external_lex_state = 3},
  [15868] = {.lex_state = 15, .external_lex_state = 3},
  [15869] = {.lex_state = 15, .external_lex_state = 3},
  [15870] = {.lex_state = 165, .external_lex_state = 3},
  [15871] = {.lex_state = 6, .external_lex_state = 3},
  [15872] = {.lex_state = 15, .external_lex_state = 3},
  [15873] = {.lex_state = 15, .external_lex_state = 3},
  [15874] = {.lex_state = 15, .external_lex_state = 3},
  [15875] = {.lex_state = 15, .external_lex_state = 3},
  [15876] = {.lex_state = 15, .external_lex_state = 3},
  [15877] = {.lex_state = 15, .external_lex_state = 3},
  [15878] = {.lex_state = 382, .external_lex_state = 3},
  [15879] = {.lex_state = 382, .external_lex_state = 3},
  [15880] = {.lex_state = 173, .external_lex_state = 3},
  [15881] = {.lex_state = 382, .external_lex_state = 3},
  [15882] = {.lex_state = 15, .external_lex_state = 3},
  [15883] = {.lex_state = 15, .external_lex_state = 3},
  [15884] = {.lex_state = 382, .external_lex_state = 3},
  [15885] = {.lex_state = 382, .external_lex_state = 3},
  [15886] = {.lex_state = 15, .external_lex_state = 3},
  [15887] = {.lex_state = 132, .external_lex_state = 3},
  [15888] = {.lex_state = 15, .external_lex_state = 3},
  [15889] = {.lex_state = 6, .external_lex_state = 3},
  [15890] = {.lex_state = 15, .external_lex_state = 3},
  [15891] = {.lex_state = 6, .external_lex_state = 3},
  [15892] = {.lex_state = 15, .external_lex_state = 3},
  [15893] = {.lex_state = 6, .external_lex_state = 3},
  [15894] = {.lex_state = 382, .external_lex_state = 3},
  [15895] = {.lex_state = 173, .external_lex_state = 3},
  [15896] = {.lex_state = 6, .external_lex_state = 3},
  [15897] = {.lex_state = 15, .external_lex_state = 3},
  [15898] = {.lex_state = 15, .external_lex_state = 3},
  [15899] = {.lex_state = 15, .external_lex_state = 3},
  [15900] = {.lex_state = 15, .external_lex_state = 3},
  [15901] = {.lex_state = 129, .external_lex_state = 3},
  [15902] = {.lex_state = 382, .external_lex_state = 3},
  [15903] = {.lex_state = 382, .external_lex_state = 3},
  [15904] = {.lex_state = 6, .external_lex_state = 3},
  [15905] = {.lex_state = 382, .external_lex_state = 3},
  [15906] = {.lex_state = 129, .external_lex_state = 3},
  [15907] = {.lex_state = 6, .external_lex_state = 3},
  [15908] = {.lex_state = 6, .external_lex_state = 3},
  [15909] = {.lex_state = 382, .external_lex_state = 3},
  [15910] = {.lex_state = 15, .external_lex_state = 3},
  [15911] = {.lex_state = 382, .external_lex_state = 3},
  [15912] = {.lex_state = 129, .external_lex_state = 3},
  [15913] = {.lex_state = 382, .external_lex_state = 3},
  [15914] = {.lex_state = 382, .external_lex_state = 3},
  [15915] = {.lex_state = 382, .external_lex_state = 3},
  [15916] = {.lex_state = 15, .external_lex_state = 3},
  [15917] = {.lex_state = 15, .external_lex_state = 3},
  [15918] = {.lex_state = 15, .external_lex_state = 3},
  [15919] = {.lex_state = 15, .external_lex_state = 3},
  [15920] = {.lex_state = 382, .external_lex_state = 3},
  [15921] = {.lex_state = 15, .external_lex_state = 3},
  [15922] = {.lex_state = 173, .external_lex_state = 3},
  [15923] = {.lex_state = 173, .external_lex_state = 3},
  [15924] = {.lex_state = 6, .external_lex_state = 3},
  [15925] = {.lex_state = 15, .external_lex_state = 3},
  [15926] = {.lex_state = 15, .external_lex_state = 3},
  [15927] = {.lex_state = 15, .external_lex_state = 3},
  [15928] = {.lex_state = 15, .external_lex_state = 3},
  [15929] = {.lex_state = 15, .external_lex_state = 3},
  [15930] = {.lex_state = 129, .external_lex_state = 3},
  [15931] = {.lex_state = 6, .external_lex_state = 3},
  [15932] = {.lex_state = 15, .external_lex_state = 3},
  [15933] = {.lex_state = 6, .external_lex_state = 3},
  [15934] = {.lex_state = 8, .external_lex_state = 3},
  [15935] = {.lex_state = 129, .external_lex_state = 3},
  [15936] = {.lex_state = 382, .external_lex_state = 3},
  [15937] = {.lex_state = 15, .external_lex_state = 3},
  [15938] = {.lex_state = 15, .external_lex_state = 3},
  [15939] = {.lex_state = 165, .external_lex_state = 3},
  [15940] = {.lex_state = 129, .external_lex_state = 3},
  [15941] = {.lex_state = 15, .external_lex_state = 3},
  [15942] = {.lex_state = 6, .external_lex_state = 3},
  [15943] = {.lex_state = 15, .external_lex_state = 3},
  [15944] = {.lex_state = 15, .external_lex_state = 3},
  [15945] = {.lex_state = 15, .external_lex_state = 3},
  [15946] = {.lex_state = 129, .external_lex_state = 3},
  [15947] = {.lex_state = 15, .external_lex_state = 3},
  [15948] = {.lex_state = 15, .external_lex_state = 3},
  [15949] = {.lex_state = 382, .external_lex_state = 3},
  [15950] = {.lex_state = 129, .external_lex_state = 3},
  [15951] = {.lex_state = 15, .external_lex_state = 3},
  [15952] = {.lex_state = 382, .external_lex_state = 3},
  [15953] = {.lex_state = 15, .external_lex_state = 3},
  [15954] = {.lex_state = 15, .external_lex_state = 3},
  [15955] = {.lex_state = 382, .external_lex_state = 3},
  [15956] = {.lex_state = 382, .external_lex_state = 3},
  [15957] = {.lex_state = 15, .external_lex_state = 3},
  [15958] = {.lex_state = 15, .external_lex_state = 3},
  [15959] = {.lex_state = 15, .external_lex_state = 3},
  [15960] = {.lex_state = 6, .external_lex_state = 3},
  [15961] = {.lex_state = 15, .external_lex_state = 3},
  [15962] = {.lex_state = 15, .external_lex_state = 3},
  [15963] = {.lex_state = 382, .external_lex_state = 3},
  [15964] = {.lex_state = 132, .external_lex_state = 3},
  [15965] = {.lex_state = 382, .external_lex_state = 3},
  [15966] = {.lex_state = 15, .external_lex_state = 3},
  [15967] = {.lex_state = 15, .external_lex_state = 3},
  [15968] = {.lex_state = 15, .external_lex_state = 3},
  [15969] = {.lex_state = 173, .external_lex_state = 3},
  [15970] = {.lex_state = 15, .external_lex_state = 3},
  [15971] = {.lex_state = 382, .external_lex_state = 3},
  [15972] = {.lex_state = 132, .external_lex_state = 3},
  [15973] = {.lex_state = 382, .external_lex_state = 3},
  [15974] = {.lex_state = 15, .external_lex_state = 3},
  [15975] = {.lex_state = 129, .external_lex_state = 3},
  [15976] = {.lex_state = 6, .external_lex_state = 3},
  [15977] = {.lex_state = 165, .external_lex_state = 3},
  [15978] = {.lex_state = 382, .external_lex_state = 3},
  [15979] = {.lex_state = 15, .external_lex_state = 3},
  [15980] = {.lex_state = 382, .external_lex_state = 3},
  [15981] = {.lex_state = 15, .external_lex_state = 3},
  [15982] = {.lex_state = 15, .external_lex_state = 3},
  [15983] = {.lex_state = 15, .external_lex_state = 3},
  [15984] = {.lex_state = 15, .external_lex_state = 3},
  [15985] = {.lex_state = 6, .external_lex_state = 3},
  [15986] = {.lex_state = 15, .external_lex_state = 3},
  [15987] = {.lex_state = 382, .external_lex_state = 3},
  [15988] = {.lex_state = 382, .external_lex_state = 3},
  [15989] = {.lex_state = 129, .external_lex_state = 3},
  [15990] = {.lex_state = 15, .external_lex_state = 3},
  [15991] = {.lex_state = 173, .external_lex_state = 3},
  [15992] = {.lex_state = 173, .external_lex_state = 3},
  [15993] = {.lex_state = 8, .external_lex_state = 3},
  [15994] = {.lex_state = 382, .external_lex_state = 3},
  [15995] = {.lex_state = 382, .external_lex_state = 3},
  [15996] = {.lex_state = 129, .external_lex_state = 3},
  [15997] = {.lex_state = 382, .external_lex_state = 3},
  [15998] = {.lex_state = 6, .external_lex_state = 3},
  [15999] = {.lex_state = 129, .external_lex_state = 3},
  [16000] = {.lex_state = 8, .external_lex_state = 3},
  [16001] = {.lex_state = 382, .external_lex_state = 3},
  [16002] = {.lex_state = 6, .external_lex_state = 3},
  [16003] = {.lex_state = 6, .external_lex_state = 3},
  [16004] = {.lex_state = 15, .external_lex_state = 3},
  [16005] = {.lex_state = 15, .external_lex_state = 3},
  [16006] = {.lex_state = 15, .external_lex_state = 3},
  [16007] = {.lex_state = 129, .external_lex_state = 3},
  [16008] = {.lex_state = 382, .external_lex_state = 3},
  [16009] = {.lex_state = 382, .external_lex_state = 3},
  [16010] = {.lex_state = 382, .external_lex_state = 3},
  [16011] = {.lex_state = 6, .external_lex_state = 3},
  [16012] = {.lex_state = 15, .external_lex_state = 3},
  [16013] = {.lex_state = 6, .external_lex_state = 3},
  [16014] = {.lex_state = 382, .external_lex_state = 3},
  [16015] = {.lex_state = 15, .external_lex_state = 3},
  [16016] = {.lex_state = 382, .external_lex_state = 3},
  [16017] = {.lex_state = 6, .external_lex_state = 3},
  [16018] = {.lex_state = 15, .external_lex_state = 3},
  [16019] = {.lex_state = 15, .external_lex_state = 3},
  [16020] = {.lex_state = 382, .external_lex_state = 3},
  [16021] = {.lex_state = 382, .external_lex_state = 3},
  [16022] = {.lex_state = 129, .external_lex_state = 3},
  [16023] = {.lex_state = 382, .external_lex_state = 3},
  [16024] = {.lex_state = 15, .external_lex_state = 3},
  [16025] = {.lex_state = 15, .external_lex_state = 3},
  [16026] = {.lex_state = 15, .external_lex_state = 3},
  [16027] = {.lex_state = 382, .external_lex_state = 3},
  [16028] = {.lex_state = 15, .external_lex_state = 3},
  [16029] = {.lex_state = 173, .external_lex_state = 3},
  [16030] = {.lex_state = 382, .external_lex_state = 3},
  [16031] = {.lex_state = 15, .external_lex_state = 3},
  [16032] = {.lex_state = 382, .external_lex_state = 3},
  [16033] = {.lex_state = 129, .external_lex_state = 3},
  [16034] = {.lex_state = 382, .external_lex_state = 3},
  [16035] = {.lex_state = 382, .external_lex_state = 3},
  [16036] = {.lex_state = 173, .external_lex_state = 3},
  [16037] = {.lex_state = 15, .external_lex_state = 3},
  [16038] = {.lex_state = 15, .external_lex_state = 3},
  [16039] = {.lex_state = 15, .external_lex_state = 3},
  [16040] = {.lex_state = 173, .external_lex_state = 3},
  [16041] = {.lex_state = 382, .external_lex_state = 3},
  [16042] = {.lex_state = 382, .external_lex_state = 3},
  [16043] = {.lex_state = 129, .external_lex_state = 3},
  [16044] = {.lex_state = 6, .external_lex_state = 3},
  [16045] = {.lex_state = 382, .external_lex_state = 3},
  [16046] = {.lex_state = 6, .external_lex_state = 3},
  [16047] = {.lex_state = 173, .external_lex_state = 3},
  [16048] = {.lex_state = 382, .external_lex_state = 3},
  [16049] = {.lex_state = 382, .external_lex_state = 3},
  [16050] = {.lex_state = 15, .external_lex_state = 3},
  [16051] = {.lex_state = 6, .external_lex_state = 3},
  [16052] = {.lex_state = 129, .external_lex_state = 3},
  [16053] = {.lex_state = 15, .external_lex_state = 3},
  [16054] = {.lex_state = 382, .external_lex_state = 3},
  [16055] = {.lex_state = 173, .external_lex_state = 3},
  [16056] = {.lex_state = 173, .external_lex_state = 3},
  [16057] = {.lex_state = 15, .external_lex_state = 3},
  [16058] = {.lex_state = 129, .external_lex_state = 3},
  [16059] = {.lex_state = 173, .external_lex_state = 3},
  [16060] = {.lex_state = 382, .external_lex_state = 3},
  [16061] = {.lex_state = 15, .external_lex_state = 3},
  [16062] = {.lex_state = 15, .external_lex_state = 3},
  [16063] = {.lex_state = 382, .external_lex_state = 3},
  [16064] = {.lex_state = 15, .external_lex_state = 3},
  [16065] = {.lex_state = 15, .external_lex_state = 3},
  [16066] = {.lex_state = 173, .external_lex_state = 3},
  [16067] = {.lex_state = 129, .external_lex_state = 3},
  [16068] = {.lex_state = 6, .external_lex_state = 3},
  [16069] = {.lex_state = 15, .external_lex_state = 3},
  [16070] = {.lex_state = 15, .external_lex_state = 3},
  [16071] = {.lex_state = 6, .external_lex_state = 3},
  [16072] = {.lex_state = 382, .external_lex_state = 3},
  [16073] = {.lex_state = 6, .external_lex_state = 3},
  [16074] = {.lex_state = 15, .external_lex_state = 3},
  [16075] = {.lex_state = 6, .external_lex_state = 3},
  [16076] = {.lex_state = 129, .external_lex_state = 3},
  [16077] = {.lex_state = 382, .external_lex_state = 3},
  [16078] = {.lex_state = 15, .external_lex_state = 3},
  [16079] = {.lex_state = 129, .external_lex_state = 3},
  [16080] = {.lex_state = 6, .external_lex_state = 3},
  [16081] = {.lex_state = 6, .external_lex_state = 3},
  [16082] = {.lex_state = 129, .external_lex_state = 3},
  [16083] = {.lex_state = 15, .external_lex_state = 3},
  [16084] = {.lex_state = 15, .external_lex_state = 3},
  [16085] = {.lex_state = 382, .external_lex_state = 3},
  [16086] = {.lex_state = 15, .external_lex_state = 3},
  [16087] = {.lex_state = 6, .external_lex_state = 3},
  [16088] = {.lex_state = 382, .external_lex_state = 3},
  [16089] = {.lex_state = 15, .external_lex_state = 3},
  [16090] = {.lex_state = 173, .external_lex_state = 3},
  [16091] = {.lex_state = 15, .external_lex_state = 3},
  [16092] = {.lex_state = 382, .external_lex_state = 3},
  [16093] = {.lex_state = 6, .external_lex_state = 3},
  [16094] = {.lex_state = 129, .external_lex_state = 3},
  [16095] = {.lex_state = 382, .external_lex_state = 3},
  [16096] = {.lex_state = 173, .external_lex_state = 3},
  [16097] = {.lex_state = 173, .external_lex_state = 3},
  [16098] = {.lex_state = 382, .external_lex_state = 3},
  [16099] = {.lex_state = 6, .external_lex_state = 3},
  [16100] = {.lex_state = 382, .external_lex_state = 3},
  [16101] = {.lex_state = 6, .external_lex_state = 3},
  [16102] = {.lex_state = 382, .external_lex_state = 3},
  [16103] = {.lex_state = 15, .external_lex_state = 3},
  [16104] = {.lex_state = 382, .external_lex_state = 3},
  [16105] = {.lex_state = 15, .external_lex_state = 3},
  [16106] = {.lex_state = 6, .external_lex_state = 3},
  [16107] = {.lex_state = 8, .external_lex_state = 3},
  [16108] = {.lex_state = 15, .external_lex_state = 3},
  [16109] = {.lex_state = 15, .external_lex_state = 3},
  [16110] = {.lex_state = 15, .external_lex_state = 3},
  [16111] = {.lex_state = 8, .external_lex_state = 3},
  [16112] = {.lex_state = 129, .external_lex_state = 3},
  [16113] = {.lex_state = 382, .external_lex_state = 3},
  [16114] = {.lex_state = 15, .external_lex_state = 3},
  [16115] = {.lex_state = 15, .external_lex_state = 3},
  [16116] = {.lex_state = 6, .external_lex_state = 3},
  [16117] = {.lex_state = 382, .external_lex_state = 3},
  [16118] = {.lex_state = 15, .external_lex_state = 3},
  [16119] = {.lex_state = 382, .external_lex_state = 3},
  [16120] = {.lex_state = 15, .external_lex_state = 3},
  [16121] = {.lex_state = 15, .external_lex_state = 3},
  [16122] = {.lex_state = 15, .external_lex_state = 3},
  [16123] = {.lex_state = 15, .external_lex_state = 3},
  [16124] = {.lex_state = 15, .external_lex_state = 3},
  [16125] = {.lex_state = 15, .external_lex_state = 3},
  [16126] = {.lex_state = 382, .external_lex_state = 3},
  [16127] = {.lex_state = 15, .external_lex_state = 3},
  [16128] = {.lex_state = 129, .external_lex_state = 3},
  [16129] = {.lex_state = 382, .external_lex_state = 3},
  [16130] = {.lex_state = 15, .external_lex_state = 3},
  [16131] = {.lex_state = 15, .external_lex_state = 3},
  [16132] = {.lex_state = 129, .external_lex_state = 3},
  [16133] = {.lex_state = 8, .external_lex_state = 3},
  [16134] = {.lex_state = 15, .external_lex_state = 3},
  [16135] = {.lex_state = 15, .external_lex_state = 3},
  [16136] = {.lex_state = 129, .external_lex_state = 3},
  [16137] = {.lex_state = 382, .external_lex_state = 3},
  [16138] = {.lex_state = 382, .external_lex_state = 3},
  [16139] = {.lex_state = 382, .external_lex_state = 3},
  [16140] = {.lex_state = 382, .external_lex_state = 3},
  [16141] = {.lex_state = 382, .external_lex_state = 3},
  [16142] = {.lex_state = 15, .external_lex_state = 3},
  [16143] = {.lex_state = 15, .external_lex_state = 3},
  [16144] = {.lex_state = 382, .external_lex_state = 3},
  [16145] = {.lex_state = 382, .external_lex_state = 3},
  [16146] = {.lex_state = 6, .external_lex_state = 3},
  [16147] = {.lex_state = 382, .external_lex_state = 3},
  [16148] = {.lex_state = 15, .external_lex_state = 3},
  [16149] = {.lex_state = 15, .external_lex_state = 3},
  [16150] = {.lex_state = 382, .external_lex_state = 3},
  [16151] = {.lex_state = 129, .external_lex_state = 3},
  [16152] = {.lex_state = 15, .external_lex_state = 3},
  [16153] = {.lex_state = 382, .external_lex_state = 3},
  [16154] = {.lex_state = 382, .external_lex_state = 3},
  [16155] = {.lex_state = 382, .external_lex_state = 3},
  [16156] = {.lex_state = 6, .external_lex_state = 3},
  [16157] = {.lex_state = 382, .external_lex_state = 3},
  [16158] = {.lex_state = 382, .external_lex_state = 3},
  [16159] = {.lex_state = 15, .external_lex_state = 3},
  [16160] = {.lex_state = 382, .external_lex_state = 3},
  [16161] = {.lex_state = 173, .external_lex_state = 3},
  [16162] = {.lex_state = 382, .external_lex_state = 3},
  [16163] = {.lex_state = 129, .external_lex_state = 3},
  [16164] = {.lex_state = 382, .external_lex_state = 3},
  [16165] = {.lex_state = 6, .external_lex_state = 3},
  [16166] = {.lex_state = 6, .external_lex_state = 3},
  [16167] = {.lex_state = 382, .external_lex_state = 3},
  [16168] = {.lex_state = 6, .external_lex_state = 3},
  [16169] = {.lex_state = 382, .external_lex_state = 3},
  [16170] = {.lex_state = 382, .external_lex_state = 3},
  [16171] = {.lex_state = 382, .external_lex_state = 3},
  [16172] = {.lex_state = 129, .external_lex_state = 3},
  [16173] = {.lex_state = 15, .external_lex_state = 3},
  [16174] = {.lex_state = 15, .external_lex_state = 3},
  [16175] = {.lex_state = 15, .external_lex_state = 3},
  [16176] = {.lex_state = 15, .external_lex_state = 3},
  [16177] = {.lex_state = 6, .external_lex_state = 3},
  [16178] = {.lex_state = 15, .external_lex_state = 3},
  [16179] = {.lex_state = 173, .external_lex_state = 3},
  [16180] = {.lex_state = 15, .external_lex_state = 3},
  [16181] = {.lex_state = 129, .external_lex_state = 3},
  [16182] = {.lex_state = 15, .external_lex_state = 3},
  [16183] = {.lex_state = 173, .external_lex_state = 3},
  [16184] = {.lex_state = 15, .external_lex_state = 3},
  [16185] = {.lex_state = 6, .external_lex_state = 3},
  [16186] = {.lex_state = 211, .external_lex_state = 8},
  [16187] = {.lex_state = 382, .external_lex_state = 3},
  [16188] = {.lex_state = 173, .external_lex_state = 3},
  [16189] = {.lex_state = 129, .external_lex_state = 3},
  [16190] = {.lex_state = 382, .external_lex_state = 3},
  [16191] = {.lex_state = 132, .external_lex_state = 3},
  [16192] = {.lex_state = 382, .external_lex_state = 3},
  [16193] = {.lex_state = 6, .external_lex_state = 3},
  [16194] = {.lex_state = 382, .external_lex_state = 3},
  [16195] = {.lex_state = 6, .external_lex_state = 3},
  [16196] = {.lex_state = 15, .external_lex_state = 3},
  [16197] = {.lex_state = 382, .external_lex_state = 3},
  [16198] = {.lex_state = 382, .external_lex_state = 3},
  [16199] = {.lex_state = 6, .external_lex_state = 3},
  [16200] = {.lex_state = 382, .external_lex_state = 3},
  [16201] = {.lex_state = 15, .external_lex_state = 3},
  [16202] = {.lex_state = 132, .external_lex_state = 3},
  [16203] = {.lex_state = 15, .external_lex_state = 3},
  [16204] = {.lex_state = 382, .external_lex_state = 3},
  [16205] = {.lex_state = 129, .external_lex_state = 3},
  [16206] = {.lex_state = 15, .external_lex_state = 3},
  [16207] = {.lex_state = 382, .external_lex_state = 3},
  [16208] = {.lex_state = 15, .external_lex_state = 3},
  [16209] = {.lex_state = 382, .external_lex_state = 3},
  [16210] = {.lex_state = 15, .external_lex_state = 3},
  [16211] = {.lex_state = 382, .external_lex_state = 3},
  [16212] = {.lex_state = 129, .external_lex_state = 3},
  [16213] = {.lex_state = 382, .external_lex_state = 3},
  [16214] = {.lex_state = 15, .external_lex_state = 3},
  [16215] = {.lex_state = 382, .external_lex_state = 3},
  [16216] = {.lex_state = 382, .external_lex_state = 3},
  [16217] = {.lex_state = 15, .external_lex_state = 3},
  [16218] = {.lex_state = 129, .external_lex_state = 3},
  [16219] = {.lex_state = 15, .external_lex_state = 3},
  [16220] = {.lex_state = 15, .external_lex_state = 3},
  [16221] = {.lex_state = 132, .external_lex_state = 3},
  [16222] = {.lex_state = 382, .external_lex_state = 3},
  [16223] = {.lex_state = 382, .external_lex_state = 3},
  [16224] = {.lex_state = 382, .external_lex_state = 3},
  [16225] = {.lex_state = 129, .external_lex_state = 3},
  [16226] = {.lex_state = 6, .external_lex_state = 3},
  [16227] = {.lex_state = 132, .external_lex_state = 3},
  [16228] = {.lex_state = 382, .external_lex_state = 3},
  [16229] = {.lex_state = 382, .external_lex_state = 3},
  [16230] = {.lex_state = 129, .external_lex_state = 3},
  [16231] = {.lex_state = 8, .external_lex_state = 3},
  [16232] = {.lex_state = 382, .external_lex_state = 3},
  [16233] = {.lex_state = 382, .external_lex_state = 3},
  [16234] = {.lex_state = 6, .external_lex_state = 3},
  [16235] = {.lex_state = 15, .external_lex_state = 3},
  [16236] = {.lex_state = 15, .external_lex_state = 3},
  [16237] = {.lex_state = 382, .external_lex_state = 3},
  [16238] = {.lex_state = 6, .external_lex_state = 3},
  [16239] = {.lex_state = 129, .external_lex_state = 3},
  [16240] = {.lex_state = 382, .external_lex_state = 3},
  [16241] = {.lex_state = 6, .external_lex_state = 3},
  [16242] = {.lex_state = 6, .external_lex_state = 3},
  [16243] = {.lex_state = 6, .external_lex_state = 3},
  [16244] = {.lex_state = 382, .external_lex_state = 3},
  [16245] = {.lex_state = 173, .external_lex_state = 3},
  [16246] = {.lex_state = 173, .external_lex_state = 3},
  [16247] = {.lex_state = 173, .external_lex_state = 3},
  [16248] = {.lex_state = 173, .external_lex_state = 3},
  [16249] = {.lex_state = 15, .external_lex_state = 3},
  [16250] = {.lex_state = 6, .external_lex_state = 3},
  [16251] = {.lex_state = 6, .external_lex_state = 3},
  [16252] = {.lex_state = 382, .external_lex_state = 3},
  [16253] = {.lex_state = 129, .external_lex_state = 3},
  [16254] = {.lex_state = 382, .external_lex_state = 3},
  [16255] = {.lex_state = 15, .external_lex_state = 3},
  [16256] = {.lex_state = 6, .external_lex_state = 3},
  [16257] = {.lex_state = 15, .external_lex_state = 3},
  [16258] = {.lex_state = 382, .external_lex_state = 3},
  [16259] = {.lex_state = 15, .external_lex_state = 3},
  [16260] = {.lex_state = 6, .external_lex_state = 3},
  [16261] = {.lex_state = 15, .external_lex_state = 3},
  [16262] = {.lex_state = 129, .external_lex_state = 3},
  [16263] = {.lex_state = 15, .external_lex_state = 3},
  [16264] = {.lex_state = 382, .external_lex_state = 3},
  [16265] = {.lex_state = 382, .external_lex_state = 3},
  [16266] = {.lex_state = 382, .external_lex_state = 3},
  [16267] = {.lex_state = 382, .external_lex_state = 3},
  [16268] = {.lex_state = 382, .external_lex_state = 3},
  [16269] = {.lex_state = 8, .external_lex_state = 3},
  [16270] = {.lex_state = 129, .external_lex_state = 3},
  [16271] = {.lex_state = 6, .external_lex_state = 3},
  [16272] = {.lex_state = 382, .external_lex_state = 3},
  [16273] = {.lex_state = 6, .external_lex_state = 3},
  [16274] = {.lex_state = 382, .external_lex_state = 3},
  [16275] = {.lex_state = 382, .external_lex_state = 3},
  [16276] = {.lex_state = 15, .external_lex_state = 3},
  [16277] = {.lex_state = 15, .external_lex_state = 3},
  [16278] = {.lex_state = 15, .external_lex_state = 3},
  [16279] = {.lex_state = 15, .external_lex_state = 3},
  [16280] = {.lex_state = 129, .external_lex_state = 3},
  [16281] = {.lex_state = 382, .external_lex_state = 3},
  [16282] = {.lex_state = 15, .external_lex_state = 3},
  [16283] = {.lex_state = 129, .external_lex_state = 3},
  [16284] = {.lex_state = 15, .external_lex_state = 3},
  [16285] = {.lex_state = 15, .external_lex_state = 3},
  [16286] = {.lex_state = 15, .external_lex_state = 3},
  [16287] = {.lex_state = 173, .external_lex_state = 3},
  [16288] = {.lex_state = 132, .external_lex_state = 3},
  [16289] = {.lex_state = 129, .external_lex_state = 3},
  [16290] = {.lex_state = 15, .external_lex_state = 3},
  [16291] = {.lex_state = 6, .external_lex_state = 3},
  [16292] = {.lex_state = 382, .external_lex_state = 3},
  [16293] = {.lex_state = 15, .external_lex_state = 3},
  [16294] = {.lex_state = 15, .external_lex_state = 3},
  [16295] = {.lex_state = 7, .external_lex_state = 3},
  [16296] = {.lex_state = 129, .external_lex_state = 3},
  [16297] = {.lex_state = 15, .external_lex_state = 3},
  [16298] = {.lex_state = 15, .external_lex_state = 3},
  [16299] = {.lex_state = 382, .external_lex_state = 3},
  [16300] = {.lex_state = 382, .external_lex_state = 3},
  [16301] = {.lex_state = 6, .external_lex_state = 3},
  [16302] = {.lex_state = 382, .external_lex_state = 3},
  [16303] = {.lex_state = 382, .external_lex_state = 3},
  [16304] = {.lex_state = 173, .external_lex_state = 3},
  [16305] = {.lex_state = 15, .external_lex_state = 3},
  [16306] = {.lex_state = 15, .external_lex_state = 3},
  [16307] = {.lex_state = 382, .external_lex_state = 3},
  [16308] = {.lex_state = 6, .external_lex_state = 3},
  [16309] = {.lex_state = 15, .external_lex_state = 3},
  [16310] = {.lex_state = 382, .external_lex_state = 3},
  [16311] = {.lex_state = 382, .external_lex_state = 3},
  [16312] = {.lex_state = 382, .external_lex_state = 3},
  [16313] = {.lex_state = 129, .external_lex_state = 3},
  [16314] = {.lex_state = 15, .external_lex_state = 3},
  [16315] = {.lex_state = 173, .external_lex_state = 3},
  [16316] = {.lex_state = 15, .external_lex_state = 3},
  [16317] = {.lex_state = 173, .external_lex_state = 3},
  [16318] = {.lex_state = 15, .external_lex_state = 3},
  [16319] = {.lex_state = 15, .external_lex_state = 3},
  [16320] = {.lex_state = 382, .external_lex_state = 3},
  [16321] = {.lex_state = 129, .external_lex_state = 3},
  [16322] = {.lex_state = 6, .external_lex_state = 3},
  [16323] = {.lex_state = 6, .external_lex_state = 3},
  [16324] = {.lex_state = 15, .external_lex_state = 3},
  [16325] = {.lex_state = 6, .external_lex_state = 3},
  [16326] = {.lex_state = 382, .external_lex_state = 3},
  [16327] = {.lex_state = 382, .external_lex_state = 3},
  [16328] = {.lex_state = 15, .external_lex_state = 3},
  [16329] = {.lex_state = 15, .external_lex_state = 3},
  [16330] = {.lex_state = 129, .external_lex_state = 3},
  [16331] = {.lex_state = 382, .external_lex_state = 3},
  [16332] = {.lex_state = 15, .external_lex_state = 3},
  [16333] = {.lex_state = 382, .external_lex_state = 3},
  [16334] = {.lex_state = 132, .external_lex_state = 3},
  [16335] = {.lex_state = 382, .external_lex_state = 3},
  [16336] = {.lex_state = 382, .external_lex_state = 3},
  [16337] = {.lex_state = 15, .external_lex_state = 3},
  [16338] = {.lex_state = 6, .external_lex_state = 3},
  [16339] = {.lex_state = 382, .external_lex_state = 3},
  [16340] = {.lex_state = 382, .external_lex_state = 3},
  [16341] = {.lex_state = 382, .external_lex_state = 3},
  [16342] = {.lex_state = 129, .external_lex_state = 3},
  [16343] = {.lex_state = 382, .external_lex_state = 3},
  [16344] = {.lex_state = 382, .external_lex_state = 3},
  [16345] = {.lex_state = 15, .external_lex_state = 3},
  [16346] = {.lex_state = 382, .external_lex_state = 3},
  [16347] = {.lex_state = 15, .external_lex_state = 3},
  [16348] = {.lex_state = 382, .external_lex_state = 3},
  [16349] = {.lex_state = 382, .external_lex_state = 3},
  [16350] = {.lex_state = 129, .external_lex_state = 3},
  [16351] = {.lex_state = 6, .external_lex_state = 3},
  [16352] = {.lex_state = 382, .external_lex_state = 3},
  [16353] = {.lex_state = 382, .external_lex_state = 3},
  [16354] = {.lex_state = 382, .external_lex_state = 3},
  [16355] = {.lex_state = 15, .external_lex_state = 3},
  [16356] = {.lex_state = 382, .external_lex_state = 3},
  [16357] = {.lex_state = 6, .external_lex_state = 3},
  [16358] = {.lex_state = 382, .external_lex_state = 3},
  [16359] = {.lex_state = 15, .external_lex_state = 3},
  [16360] = {.lex_state = 15, .external_lex_state = 3},
  [16361] = {.lex_state = 15, .external_lex_state = 3},
  [16362] = {.lex_state = 15, .external_lex_state = 3},
  [16363] = {.lex_state = 6, .external_lex_state = 3},
  [16364] = {.lex_state = 382, .external_lex_state = 3},
  [16365] = {.lex_state = 15, .external_lex_state = 3},
  [16366] = {.lex_state = 382, .external_lex_state = 3},
  [16367] = {.lex_state = 382, .external_lex_state = 3},
  [16368] = {.lex_state = 15, .external_lex_state = 3},
  [16369] = {.lex_state = 6, .external_lex_state = 3},
  [16370] = {.lex_state = 6, .external_lex_state = 3},
  [16371] = {.lex_state = 382, .external_lex_state = 3},
  [16372] = {.lex_state = 15, .external_lex_state = 3},
  [16373] = {.lex_state = 15, .external_lex_state = 3},
  [16374] = {.lex_state = 173, .external_lex_state = 3},
  [16375] = {.lex_state = 173, .external_lex_state = 3},
  [16376] = {.lex_state = 15, .external_lex_state = 3},
  [16377] = {.lex_state = 6, .external_lex_state = 3},
  [16378] = {.lex_state = 211, .external_lex_state = 8},
  [16379] = {.lex_state = 15, .external_lex_state = 3},
  [16380] = {.lex_state = 132, .external_lex_state = 3},
  [16381] = {.lex_state = 6, .external_lex_state = 3},
  [16382] = {.lex_state = 173, .external_lex_state = 3},
  [16383] = {.lex_state = 382, .external_lex_state = 3},
  [16384] = {.lex_state = 382, .external_lex_state = 3},
  [16385] = {.lex_state = 132, .external_lex_state = 3},
  [16386] = {.lex_state = 382, .external_lex_state = 3},
  [16387] = {.lex_state = 6, .external_lex_state = 3},
  [16388] = {.lex_state = 173, .external_lex_state = 3},
  [16389] = {.lex_state = 6, .external_lex_state = 3},
  [16390] = {.lex_state = 382, .external_lex_state = 3},
  [16391] = {.lex_state = 382, .external_lex_state = 3},
  [16392] = {.lex_state = 173, .external_lex_state = 3},
  [16393] = {.lex_state = 6, .external_lex_state = 3},
  [16394] = {.lex_state = 15, .external_lex_state = 3},
  [16395] = {.lex_state = 173, .external_lex_state = 3},
  [16396] = {.lex_state = 6, .external_lex_state = 3},
  [16397] = {.lex_state = 382, .external_lex_state = 3},
  [16398] = {.lex_state = 382, .external_lex_state = 3},
  [16399] = {.lex_state = 15, .external_lex_state = 3},
  [16400] = {.lex_state = 15, .external_lex_state = 3},
  [16401] = {.lex_state = 15, .external_lex_state = 3},
  [16402] = {.lex_state = 15, .external_lex_state = 3},
  [16403] = {.lex_state = 15, .external_lex_state = 3},
  [16404] = {.lex_state = 382, .external_lex_state = 3},
  [16405] = {.lex_state = 15, .external_lex_state = 3},
  [16406] = {.lex_state = 6, .external_lex_state = 3},
  [16407] = {.lex_state = 132, .external_lex_state = 3},
  [16408] = {.lex_state = 15, .external_lex_state = 3},
  [16409] = {.lex_state = 6, .external_lex_state = 3},
  [16410] = {.lex_state = 6, .external_lex_state = 3},
  [16411] = {.lex_state = 15, .external_lex_state = 3},
  [16412] = {.lex_state = 8, .external_lex_state = 3},
  [16413] = {.lex_state = 382, .external_lex_state = 3},
  [16414] = {.lex_state = 15, .external_lex_state = 3},
  [16415] = {.lex_state = 15, .external_lex_state = 3},
  [16416] = {.lex_state = 8, .external_lex_state = 3},
  [16417] = {.lex_state = 15, .external_lex_state = 3},
  [16418] = {.lex_state = 15, .external_lex_state = 3},
  [16419] = {.lex_state = 15, .external_lex_state = 3},
  [16420] = {.lex_state = 382, .external_lex_state = 3},
  [16421] = {.lex_state = 382, .external_lex_state = 3},
  [16422] = {.lex_state = 382, .external_lex_state = 3},
  [16423] = {.lex_state = 382, .external_lex_state = 3},
  [16424] = {.lex_state = 382, .external_lex_state = 3},
  [16425] = {.lex_state = 15, .external_lex_state = 3},
  [16426] = {.lex_state = 15, .external_lex_state = 3},
  [16427] = {.lex_state = 6, .external_lex_state = 3},
  [16428] = {.lex_state = 132, .external_lex_state = 3},
  [16429] = {.lex_state = 211, .external_lex_state = 8},
  [16430] = {.lex_state = 15, .external_lex_state = 3},
  [16431] = {.lex_state = 382, .external_lex_state = 3},
  [16432] = {.lex_state = 15, .external_lex_state = 3},
  [16433] = {.lex_state = 382, .external_lex_state = 3},
  [16434] = {.lex_state = 173, .external_lex_state = 3},
  [16435] = {.lex_state = 382, .external_lex_state = 3},
  [16436] = {.lex_state = 382, .external_lex_state = 3},
  [16437] = {.lex_state = 382, .external_lex_state = 3},
  [16438] = {.lex_state = 6, .external_lex_state = 3},
  [16439] = {.lex_state = 15, .external_lex_state = 3},
  [16440] = {.lex_state = 15, .external_lex_state = 3},
  [16441] = {.lex_state = 6, .external_lex_state = 3},
  [16442] = {.lex_state = 15, .external_lex_state = 3},
  [16443] = {.lex_state = 132, .external_lex_state = 3},
  [16444] = {.lex_state = 173, .external_lex_state = 3},
  [16445] = {.lex_state = 382, .external_lex_state = 3},
  [16446] = {.lex_state = 382, .external_lex_state = 3},
  [16447] = {.lex_state = 382, .external_lex_state = 3},
  [16448] = {.lex_state = 382, .external_lex_state = 3},
  [16449] = {.lex_state = 382, .external_lex_state = 3},
  [16450] = {.lex_state = 6, .external_lex_state = 3},
  [16451] = {.lex_state = 382, .external_lex_state = 3},
  [16452] = {.lex_state = 15, .external_lex_state = 3},
  [16453] = {.lex_state = 382, .external_lex_state = 3},
  [16454] = {.lex_state = 425, .external_lex_state = 3},
  [16455] = {.lex_state = 382, .external_lex_state = 3},
  [16456] = {.lex_state = 382, .external_lex_state = 3},
  [16457] = {.lex_state = 15, .external_lex_state = 3},
  [16458] = {.lex_state = 382, .external_lex_state = 3},
  [16459] = {.lex_state = 15, .external_lex_state = 3},
  [16460] = {.lex_state = 382, .external_lex_state = 3},
  [16461] = {.lex_state = 15, .external_lex_state = 3},
  [16462] = {.lex_state = 173, .external_lex_state = 3},
  [16463] = {.lex_state = 15, .external_lex_state = 3},
  [16464] = {.lex_state = 6, .external_lex_state = 3},
  [16465] = {.lex_state = 15, .external_lex_state = 3},
  [16466] = {.lex_state = 6, .external_lex_state = 3},
  [16467] = {.lex_state = 15, .external_lex_state = 3},
  [16468] = {.lex_state = 15, .external_lex_state = 3},
  [16469] = {.lex_state = 382, .external_lex_state = 3},
  [16470] = {.lex_state = 382, .external_lex_state = 3},
  [16471] = {.lex_state = 382, .external_lex_state = 3},
  [16472] = {.lex_state = 15, .external_lex_state = 3},
  [16473] = {.lex_state = 15, .external_lex_state = 3},
  [16474] = {.lex_state = 15, .external_lex_state = 3},
  [16475] = {.lex_state = 15, .external_lex_state = 3},
  [16476] = {.lex_state = 6, .external_lex_state = 3},
  [16477] = {.lex_state = 382, .external_lex_state = 3},
  [16478] = {.lex_state = 6, .external_lex_state = 3},
  [16479] = {.lex_state = 15, .external_lex_state = 3},
  [16480] = {.lex_state = 382, .external_lex_state = 3},
  [16481] = {.lex_state = 6, .external_lex_state = 3},
  [16482] = {.lex_state = 6, .external_lex_state = 3},
  [16483] = {.lex_state = 6, .external_lex_state = 3},
  [16484] = {.lex_state = 173, .external_lex_state = 3},
  [16485] = {.lex_state = 132, .external_lex_state = 3},
  [16486] = {.lex_state = 15, .external_lex_state = 3},
  [16487] = {.lex_state = 15, .external_lex_state = 3},
  [16488] = {.lex_state = 15, .external_lex_state = 3},
  [16489] = {.lex_state = 173, .external_lex_state = 3},
  [16490] = {.lex_state = 15, .external_lex_state = 3},
  [16491] = {.lex_state = 382, .external_lex_state = 3},
  [16492] = {.lex_state = 15, .external_lex_state = 3},
  [16493] = {.lex_state = 6, .external_lex_state = 3},
  [16494] = {.lex_state = 15, .external_lex_state = 3},
  [16495] = {.lex_state = 382, .external_lex_state = 3},
  [16496] = {.lex_state = 173, .external_lex_state = 3},
  [16497] = {.lex_state = 382, .external_lex_state = 3},
  [16498] = {.lex_state = 173, .external_lex_state = 3},
  [16499] = {.lex_state = 382, .external_lex_state = 3},
  [16500] = {.lex_state = 382, .external_lex_state = 3},
  [16501] = {.lex_state = 382, .external_lex_state = 3},
  [16502] = {.lex_state = 15, .external_lex_state = 3},
  [16503] = {.lex_state = 382, .external_lex_state = 3},
  [16504] = {.lex_state = 15, .external_lex_state = 3},
  [16505] = {.lex_state = 382, .external_lex_state = 3},
  [16506] = {.lex_state = 15, .external_lex_state = 3},
  [16507] = {.lex_state = 15, .external_lex_state = 3},
  [16508] = {.lex_state = 382, .external_lex_state = 3},
  [16509] = {.lex_state = 382, .external_lex_state = 3},
  [16510] = {.lex_state = 6, .external_lex_state = 3},
  [16511] = {.lex_state = 15, .external_lex_state = 3},
  [16512] = {.lex_state = 15, .external_lex_state = 3},
  [16513] = {.lex_state = 15, .external_lex_state = 3},
  [16514] = {.lex_state = 15, .external_lex_state = 3},
  [16515] = {.lex_state = 382, .external_lex_state = 3},
  [16516] = {.lex_state = 382, .external_lex_state = 3},
  [16517] = {.lex_state = 382, .external_lex_state = 3},
  [16518] = {.lex_state = 382, .external_lex_state = 3},
  [16519] = {.lex_state = 15, .external_lex_state = 3},
  [16520] = {.lex_state = 15, .external_lex_state = 3},
  [16521] = {.lex_state = 6, .external_lex_state = 3},
  [16522] = {.lex_state = 15, .external_lex_state = 3},
  [16523] = {.lex_state = 382, .external_lex_state = 3},
  [16524] = {.lex_state = 382, .external_lex_state = 3},
  [16525] = {.lex_state = 382, .external_lex_state = 3},
  [16526] = {.lex_state = 382, .external_lex_state = 3},
  [16527] = {.lex_state = 173, .external_lex_state = 3},
  [16528] = {.lex_state = 15, .external_lex_state = 3},
  [16529] = {.lex_state = 382, .external_lex_state = 3},
  [16530] = {.lex_state = 382, .external_lex_state = 3},
  [16531] = {.lex_state = 382, .external_lex_state = 3},
  [16532] = {.lex_state = 8, .external_lex_state = 3},
  [16533] = {.lex_state = 173, .external_lex_state = 3},
  [16534] = {.lex_state = 382, .external_lex_state = 3},
  [16535] = {.lex_state = 15, .external_lex_state = 3},
  [16536] = {.lex_state = 6, .external_lex_state = 3},
  [16537] = {.lex_state = 382, .external_lex_state = 3},
  [16538] = {.lex_state = 15, .external_lex_state = 3},
  [16539] = {.lex_state = 6, .external_lex_state = 3},
  [16540] = {.lex_state = 382, .external_lex_state = 3},
  [16541] = {.lex_state = 382, .external_lex_state = 3},
  [16542] = {.lex_state = 382, .external_lex_state = 3},
  [16543] = {.lex_state = 382, .external_lex_state = 3},
  [16544] = {.lex_state = 15, .external_lex_state = 3},
  [16545] = {.lex_state = 382, .external_lex_state = 3},
  [16546] = {.lex_state = 382, .external_lex_state = 3},
  [16547] = {.lex_state = 382, .external_lex_state = 3},
  [16548] = {.lex_state = 15, .external_lex_state = 3},
  [16549] = {.lex_state = 132, .external_lex_state = 3},
  [16550] = {.lex_state = 15, .external_lex_state = 3},
  [16551] = {.lex_state = 8, .external_lex_state = 3},
  [16552] = {.lex_state = 382, .external_lex_state = 3},
  [16553] = {.lex_state = 382, .external_lex_state = 3},
  [16554] = {.lex_state = 15, .external_lex_state = 3},
  [16555] = {.lex_state = 15, .external_lex_state = 3},
  [16556] = {.lex_state = 6, .external_lex_state = 3},
  [16557] = {.lex_state = 15, .external_lex_state = 3},
  [16558] = {.lex_state = 6, .external_lex_state = 3},
  [16559] = {.lex_state = 15, .external_lex_state = 3},
  [16560] = {.lex_state = 15, .external_lex_state = 3},
  [16561] = {.lex_state = 173, .external_lex_state = 3},
  [16562] = {.lex_state = 132, .external_lex_state = 3},
  [16563] = {.lex_state = 15, .external_lex_state = 3},
  [16564] = {.lex_state = 15, .external_lex_state = 3},
  [16565] = {.lex_state = 382, .external_lex_state = 3},
  [16566] = {.lex_state = 6, .external_lex_state = 3},
  [16567] = {.lex_state = 15, .external_lex_state = 3},
  [16568] = {.lex_state = 382, .external_lex_state = 3},
  [16569] = {.lex_state = 6, .external_lex_state = 3},
  [16570] = {.lex_state = 382, .external_lex_state = 3},
  [16571] = {.lex_state = 382, .external_lex_state = 3},
  [16572] = {.lex_state = 15, .external_lex_state = 3},
  [16573] = {.lex_state = 382, .external_lex_state = 3},
  [16574] = {.lex_state = 15, .external_lex_state = 3},
  [16575] = {.lex_state = 15, .external_lex_state = 3},
  [16576] = {.lex_state = 6, .external_lex_state = 3},
  [16577] = {.lex_state = 15, .external_lex_state = 3},
  [16578] = {.lex_state = 382, .external_lex_state = 3},
  [16579] = {.lex_state = 382, .external_lex_state = 3},
  [16580] = {.lex_state = 15, .external_lex_state = 3},
  [16581] = {.lex_state = 15, .external_lex_state = 3},
  [16582] = {.lex_state = 382, .external_lex_state = 3},
  [16583] = {.lex_state = 15, .external_lex_state = 3},
  [16584] = {.lex_state = 129, .external_lex_state = 3},
  [16585] = {.lex_state = 382, .external_lex_state = 3},
  [16586] = {.lex_state = 382, .external_lex_state = 3},
  [16587] = {.lex_state = 15, .external_lex_state = 3},
  [16588] = {.lex_state = 15, .external_lex_state = 3},
  [16589] = {.lex_state = 15, .external_lex_state = 3},
  [16590] = {.lex_state = 6, .external_lex_state = 3},
  [16591] = {.lex_state = 15, .external_lex_state = 3},
  [16592] = {.lex_state = 205, .external_lex_state = 3},
  [16593] = {.lex_state = 15, .external_lex_state = 3},
  [16594] = {.lex_state = 100, .external_lex_state = 3},
  [16595] = {.lex_state = 211, .external_lex_state = 8},
  [16596] = {.lex_state = 15, .external_lex_state = 3},
  [16597] = {.lex_state = 425, .external_lex_state = 3},
  [16598] = {.lex_state = 25, .external_lex_state = 3},
  [16599] = {.lex_state = 382, .external_lex_state = 3},
  [16600] = {.lex_state = 15, .external_lex_state = 3},
  [16601] = {.lex_state = 382, .external_lex_state = 3},
  [16602] = {.lex_state = 25, .external_lex_state = 3},
  [16603] = {.lex_state = 211, .external_lex_state = 8},
  [16604] = {.lex_state = 100, .external_lex_state = 3},
  [16605] = {.lex_state = 100, .external_lex_state = 3},
  [16606] = {.lex_state = 15, .external_lex_state = 3},
  [16607] = {.lex_state = 100, .external_lex_state = 3},
  [16608] = {.lex_state = 15, .external_lex_state = 3},
  [16609] = {.lex_state = 382, .external_lex_state = 3},
  [16610] = {.lex_state = 382, .external_lex_state = 3},
  [16611] = {.lex_state = 425, .external_lex_state = 3},
  [16612] = {.lex_state = 211, .external_lex_state = 8},
  [16613] = {.lex_state = 382, .external_lex_state = 3},
  [16614] = {.lex_state = 15, .external_lex_state = 3},
  [16615] = {.lex_state = 100, .external_lex_state = 3},
  [16616] = {.lex_state = 99, .external_lex_state = 3},
  [16617] = {.lex_state = 382, .external_lex_state = 3},
  [16618] = {.lex_state = 100, .external_lex_state = 3},
  [16619] = {.lex_state = 100, .external_lex_state = 3},
  [16620] = {.lex_state = 100, .external_lex_state = 3},
  [16621] = {.lex_state = 205, .external_lex_state = 3},
  [16622] = {.lex_state = 100, .external_lex_state = 3},
  [16623] = {.lex_state = 15, .external_lex_state = 3},
  [16624] = {.lex_state = 382, .external_lex_state = 3},
  [16625] = {.lex_state = 382, .external_lex_state = 3},
  [16626] = {.lex_state = 25, .external_lex_state = 3},
  [16627] = {.lex_state = 382, .external_lex_state = 3},
  [16628] = {.lex_state = 382, .external_lex_state = 3},
  [16629] = {.lex_state = 211, .external_lex_state = 8},
  [16630] = {.lex_state = 100, .external_lex_state = 3},
  [16631] = {.lex_state = 100, .external_lex_state = 3},
  [16632] = {.lex_state = 99, .external_lex_state = 3},
  [16633] = {.lex_state = 15, .external_lex_state = 3},
  [16634] = {.lex_state = 100, .external_lex_state = 3},
  [16635] = {.lex_state = 100, .external_lex_state = 3},
  [16636] = {.lex_state = 100, .external_lex_state = 3},
  [16637] = {.lex_state = 15, .external_lex_state = 3},
  [16638] = {.lex_state = 211, .external_lex_state = 8},
  [16639] = {.lex_state = 382, .external_lex_state = 3},
  [16640] = {.lex_state = 100, .external_lex_state = 3},
  [16641] = {.lex_state = 100, .external_lex_state = 3},
  [16642] = {.lex_state = 15, .external_lex_state = 3},
  [16643] = {.lex_state = 100, .external_lex_state = 3},
  [16644] = {.lex_state = 382, .external_lex_state = 3},
  [16645] = {.lex_state = 15, .external_lex_state = 3},
  [16646] = {.lex_state = 15, .external_lex_state = 3},
  [16647] = {.lex_state = 165, .external_lex_state = 3},
  [16648] = {.lex_state = 99, .external_lex_state = 3},
  [16649] = {.lex_state = 15, .external_lex_state = 3},
  [16650] = {.lex_state = 25, .external_lex_state = 3},
  [16651] = {.lex_state = 382, .external_lex_state = 3},
  [16652] = {.lex_state = 100, .external_lex_state = 3},
  [16653] = {.lex_state = 100, .external_lex_state = 3},
  [16654] = {.lex_state = 211, .external_lex_state = 8},
  [16655] = {.lex_state = 99, .external_lex_state = 3},
  [16656] = {.lex_state = 382, .external_lex_state = 3},
  [16657] = {.lex_state = 100, .external_lex_state = 3},
  [16658] = {.lex_state = 15, .external_lex_state = 3},
  [16659] = {.lex_state = 100, .external_lex_state = 3},
  [16660] = {.lex_state = 382, .external_lex_state = 3},
  [16661] = {.lex_state = 15, .external_lex_state = 3},
  [16662] = {.lex_state = 15, .external_lex_state = 3},
  [16663] = {.lex_state = 100, .external_lex_state = 3},
  [16664] = {.lex_state = 15, .external_lex_state = 3},
  [16665] = {.lex_state = 99, .external_lex_state = 3},
  [16666] = {.lex_state = 205, .external_lex_state = 3},
  [16667] = {.lex_state = 425, .external_lex_state = 3},
  [16668] = {.lex_state = 165, .external_lex_state = 3},
  [16669] = {.lex_state = 100, .external_lex_state = 3},
  [16670] = {.lex_state = 211, .external_lex_state = 8},
  [16671] = {.lex_state = 100, .external_lex_state = 3},
  [16672] = {.lex_state = 211, .external_lex_state = 8},
  [16673] = {.lex_state = 100, .external_lex_state = 3},
  [16674] = {.lex_state = 100, .external_lex_state = 3},
  [16675] = {.lex_state = 205, .external_lex_state = 3},
  [16676] = {.lex_state = 382, .external_lex_state = 3},
  [16677] = {.lex_state = 382, .external_lex_state = 3},
  [16678] = {.lex_state = 15, .external_lex_state = 3},
  [16679] = {.lex_state = 15, .external_lex_state = 3},
  [16680] = {.lex_state = 15, .external_lex_state = 3},
  [16681] = {.lex_state = 100, .external_lex_state = 3},
  [16682] = {.lex_state = 15, .external_lex_state = 3},
  [16683] = {.lex_state = 382, .external_lex_state = 3},
  [16684] = {.lex_state = 100, .external_lex_state = 3},
  [16685] = {.lex_state = 15, .external_lex_state = 3},
  [16686] = {.lex_state = 100, .external_lex_state = 3},
  [16687] = {.lex_state = 211, .external_lex_state = 8},
  [16688] = {.lex_state = 100, .external_lex_state = 3},
  [16689] = {.lex_state = 99, .external_lex_state = 3},
  [16690] = {.lex_state = 99, .external_lex_state = 3},
  [16691] = {.lex_state = 100, .external_lex_state = 3},
  [16692] = {.lex_state = 100, .external_lex_state = 3},
  [16693] = {.lex_state = 382, .external_lex_state = 3},
  [16694] = {.lex_state = 100, .external_lex_state = 3},
  [16695] = {.lex_state = 382, .external_lex_state = 3},
  [16696] = {.lex_state = 100, .external_lex_state = 3},
  [16697] = {.lex_state = 25, .external_lex_state = 3},
  [16698] = {.lex_state = 15, .external_lex_state = 3},
  [16699] = {.lex_state = 100, .external_lex_state = 3},
  [16700] = {.lex_state = 211, .external_lex_state = 8},
  [16701] = {.lex_state = 100, .external_lex_state = 3},
  [16702] = {.lex_state = 211, .external_lex_state = 8},
  [16703] = {.lex_state = 100, .external_lex_state = 3},
  [16704] = {.lex_state = 211, .external_lex_state = 8},
  [16705] = {.lex_state = 15, .external_lex_state = 3},
  [16706] = {.lex_state = 15, .external_lex_state = 3},
  [16707] = {.lex_state = 100, .external_lex_state = 3},
  [16708] = {.lex_state = 382, .external_lex_state = 3},
  [16709] = {.lex_state = 15, .external_lex_state = 3},
  [16710] = {.lex_state = 382, .external_lex_state = 3},
  [16711] = {.lex_state = 15, .external_lex_state = 3},
  [16712] = {.lex_state = 100, .external_lex_state = 3},
  [16713] = {.lex_state = 205, .external_lex_state = 3},
  [16714] = {.lex_state = 425, .external_lex_state = 3},
  [16715] = {.lex_state = 100, .external_lex_state = 3},
  [16716] = {.lex_state = 15, .external_lex_state = 3},
  [16717] = {.lex_state = 100, .external_lex_state = 3},
  [16718] = {.lex_state = 211, .external_lex_state = 8},
  [16719] = {.lex_state = 100, .external_lex_state = 3},
  [16720] = {.lex_state = 15, .external_lex_state = 3},
  [16721] = {.lex_state = 15, .external_lex_state = 3},
  [16722] = {.lex_state = 100, .external_lex_state = 3},
  [16723] = {.lex_state = 100, .external_lex_state = 3},
  [16724] = {.lex_state = 425, .external_lex_state = 3},
  [16725] = {.lex_state = 382, .external_lex_state = 2},
  [16726] = {.lex_state = 100, .external_lex_state = 3},
  [16727] = {.lex_state = 382, .external_lex_state = 3},
  [16728] = {.lex_state = 211, .external_lex_state = 8},
  [16729] = {.lex_state = 100, .external_lex_state = 3},
  [16730] = {.lex_state = 25, .external_lex_state = 3},
  [16731] = {.lex_state = 205, .external_lex_state = 3},
  [16732] = {.lex_state = 100, .external_lex_state = 3},
  [16733] = {.lex_state = 15, .external_lex_state = 3},
  [16734] = {.lex_state = 100, .external_lex_state = 3},
  [16735] = {.lex_state = 100, .external_lex_state = 3},
  [16736] = {.lex_state = 100, .external_lex_state = 3},
  [16737] = {.lex_state = 99, .external_lex_state = 3},
  [16738] = {.lex_state = 15, .external_lex_state = 3},
  [16739] = {.lex_state = 15, .external_lex_state = 3},
  [16740] = {.lex_state = 100, .external_lex_state = 3},
  [16741] = {.lex_state = 99, .external_lex_state = 3},
  [16742] = {.lex_state = 100, .external_lex_state = 3},
  [16743] = {.lex_state = 100, .external_lex_state = 3},
  [16744] = {.lex_state = 205, .external_lex_state = 3},
  [16745] = {.lex_state = 15, .external_lex_state = 3},
  [16746] = {.lex_state = 100, .external_lex_state = 3},
  [16747] = {.lex_state = 100, .external_lex_state = 3},
  [16748] = {.lex_state = 211, .external_lex_state = 8},
  [16749] = {.lex_state = 132, .external_lex_state = 3},
  [16750] = {.lex_state = 25, .external_lex_state = 3},
  [16751] = {.lex_state = 25, .external_lex_state = 3},
  [16752] = {.lex_state = 211, .external_lex_state = 8},
  [16753] = {.lex_state = 100, .external_lex_state = 3},
  [16754] = {.lex_state = 15, .external_lex_state = 3},
  [16755] = {.lex_state = 36, .external_lex_state = 3},
  [16756] = {.lex_state = 100, .external_lex_state = 3},
  [16757] = {.lex_state = 15, .external_lex_state = 3},
  [16758] = {.lex_state = 15, .external_lex_state = 3},
  [16759] = {.lex_state = 15, .external_lex_state = 3},
  [16760] = {.lex_state = 382, .external_lex_state = 3},
  [16761] = {.lex_state = 100, .external_lex_state = 3},
  [16762] = {.lex_state = 165, .external_lex_state = 3},
  [16763] = {.lex_state = 425, .external_lex_state = 3},
  [16764] = {.lex_state = 100, .external_lex_state = 3},
  [16765] = {.lex_state = 100, .external_lex_state = 3},
  [16766] = {.lex_state = 99, .external_lex_state = 3},
  [16767] = {.lex_state = 15, .external_lex_state = 3},
  [16768] = {.lex_state = 205, .external_lex_state = 3},
  [16769] = {.lex_state = 100, .external_lex_state = 3},
  [16770] = {.lex_state = 100, .external_lex_state = 3},
  [16771] = {.lex_state = 100, .external_lex_state = 3},
  [16772] = {.lex_state = 15, .external_lex_state = 3},
  [16773] = {.lex_state = 211, .external_lex_state = 8},
  [16774] = {.lex_state = 100, .external_lex_state = 3},
  [16775] = {.lex_state = 425, .external_lex_state = 3},
  [16776] = {.lex_state = 382, .external_lex_state = 3},
  [16777] = {.lex_state = 382, .external_lex_state = 3},
  [16778] = {.lex_state = 211, .external_lex_state = 8},
  [16779] = {.lex_state = 15, .external_lex_state = 3},
  [16780] = {.lex_state = 100, .external_lex_state = 3},
  [16781] = {.lex_state = 100, .external_lex_state = 3},
  [16782] = {.lex_state = 100, .external_lex_state = 3},
  [16783] = {.lex_state = 15, .external_lex_state = 3},
  [16784] = {.lex_state = 15, .external_lex_state = 3},
  [16785] = {.lex_state = 15, .external_lex_state = 3},
  [16786] = {.lex_state = 99, .external_lex_state = 3},
  [16787] = {.lex_state = 15, .external_lex_state = 3},
  [16788] = {.lex_state = 100, .external_lex_state = 3},
  [16789] = {.lex_state = 100, .external_lex_state = 3},
  [16790] = {.lex_state = 100, .external_lex_state = 3},
  [16791] = {.lex_state = 382, .external_lex_state = 3},
  [16792] = {.lex_state = 15, .external_lex_state = 3},
  [16793] = {.lex_state = 382, .external_lex_state = 3},
  [16794] = {.lex_state = 211, .external_lex_state = 8},
  [16795] = {.lex_state = 15, .external_lex_state = 3},
  [16796] = {.lex_state = 100, .external_lex_state = 3},
  [16797] = {.lex_state = 382, .external_lex_state = 3},
  [16798] = {.lex_state = 211, .external_lex_state = 8},
  [16799] = {.lex_state = 15, .external_lex_state = 3},
  [16800] = {.lex_state = 382, .external_lex_state = 3},
  [16801] = {.lex_state = 211, .external_lex_state = 8},
  [16802] = {.lex_state = 100, .external_lex_state = 3},
  [16803] = {.lex_state = 382, .external_lex_state = 3},
  [16804] = {.lex_state = 211, .external_lex_state = 8},
  [16805] = {.lex_state = 382, .external_lex_state = 3},
  [16806] = {.lex_state = 100, .external_lex_state = 3},
  [16807] = {.lex_state = 100, .external_lex_state = 3},
  [16808] = {.lex_state = 15, .external_lex_state = 3},
  [16809] = {.lex_state = 15, .external_lex_state = 3},
  [16810] = {.lex_state = 205, .external_lex_state = 3},
  [16811] = {.lex_state = 15, .external_lex_state = 3},
  [16812] = {.lex_state = 205, .external_lex_state = 3},
  [16813] = {.lex_state = 15, .external_lex_state = 3},
  [16814] = {.lex_state = 100, .external_lex_state = 3},
  [16815] = {.lex_state = 100, .external_lex_state = 3},
  [16816] = {.lex_state = 211, .external_lex_state = 8},
  [16817] = {.lex_state = 99, .external_lex_state = 3},
  [16818] = {.lex_state = 99, .external_lex_state = 3},
  [16819] = {.lex_state = 15, .external_lex_state = 3},
  [16820] = {.lex_state = 211, .external_lex_state = 8},
  [16821] = {.lex_state = 100, .external_lex_state = 3},
  [16822] = {.lex_state = 15, .external_lex_state = 3},
  [16823] = {.lex_state = 15, .external_lex_state = 3},
  [16824] = {.lex_state = 211, .external_lex_state = 8},
  [16825] = {.lex_state = 100, .external_lex_state = 3},
  [16826] = {.lex_state = 100, .external_lex_state = 3},
  [16827] = {.lex_state = 15, .external_lex_state = 3},
  [16828] = {.lex_state = 100, .external_lex_state = 3},
  [16829] = {.lex_state = 165, .external_lex_state = 3},
  [16830] = {.lex_state = 100, .external_lex_state = 3},
  [16831] = {.lex_state = 211, .external_lex_state = 8},
  [16832] = {.lex_state = 15, .external_lex_state = 3},
  [16833] = {.lex_state = 99, .external_lex_state = 3},
  [16834] = {.lex_state = 100, .external_lex_state = 3},
  [16835] = {.lex_state = 211, .external_lex_state = 8},
  [16836] = {.lex_state = 100, .external_lex_state = 3},
  [16837] = {.lex_state = 15, .external_lex_state = 3},
  [16838] = {.lex_state = 100, .external_lex_state = 3},
  [16839] = {.lex_state = 15, .external_lex_state = 3},
  [16840] = {.lex_state = 382, .external_lex_state = 3},
  [16841] = {.lex_state = 382, .external_lex_state = 3},
  [16842] = {.lex_state = 100, .external_lex_state = 3},
  [16843] = {.lex_state = 211, .external_lex_state = 8},
  [16844] = {.lex_state = 100, .external_lex_state = 3},
  [16845] = {.lex_state = 99, .external_lex_state = 3},
  [16846] = {.lex_state = 15, .external_lex_state = 3},
  [16847] = {.lex_state = 15, .external_lex_state = 3},
  [16848] = {.lex_state = 100, .external_lex_state = 3},
  [16849] = {.lex_state = 211, .external_lex_state = 8},
  [16850] = {.lex_state = 100, .external_lex_state = 3},
  [16851] = {.lex_state = 100, .external_lex_state = 3},
  [16852] = {.lex_state = 15, .external_lex_state = 3},
  [16853] = {.lex_state = 100, .external_lex_state = 3},
  [16854] = {.lex_state = 25, .external_lex_state = 3},
  [16855] = {.lex_state = 15, .external_lex_state = 3},
  [16856] = {.lex_state = 211, .external_lex_state = 8},
  [16857] = {.lex_state = 382, .external_lex_state = 3},
  [16858] = {.lex_state = 15, .external_lex_state = 3},
  [16859] = {.lex_state = 211, .external_lex_state = 8},
  [16860] = {.lex_state = 205, .external_lex_state = 3},
  [16861] = {.lex_state = 100, .external_lex_state = 3},
  [16862] = {.lex_state = 15, .external_lex_state = 3},
  [16863] = {.lex_state = 15, .external_lex_state = 3},
  [16864] = {.lex_state = 15, .external_lex_state = 3},
  [16865] = {.lex_state = 211, .external_lex_state = 8},
  [16866] = {.lex_state = 100, .external_lex_state = 3},
  [16867] = {.lex_state = 100, .external_lex_state = 3},
  [16868] = {.lex_state = 100, .external_lex_state = 3},
  [16869] = {.lex_state = 15, .external_lex_state = 3},
  [16870] = {.lex_state = 15, .external_lex_state = 3},
  [16871] = {.lex_state = 99, .external_lex_state = 3},
  [16872] = {.lex_state = 100, .external_lex_state = 3},
  [16873] = {.lex_state = 211, .external_lex_state = 8},
  [16874] = {.lex_state = 15, .external_lex_state = 3},
  [16875] = {.lex_state = 100, .external_lex_state = 3},
  [16876] = {.lex_state = 211, .external_lex_state = 8},
  [16877] = {.lex_state = 100, .external_lex_state = 3},
  [16878] = {.lex_state = 15, .external_lex_state = 3},
  [16879] = {.lex_state = 211, .external_lex_state = 8},
  [16880] = {.lex_state = 15, .external_lex_state = 3},
  [16881] = {.lex_state = 211, .external_lex_state = 8},
  [16882] = {.lex_state = 165, .external_lex_state = 3},
  [16883] = {.lex_state = 15, .external_lex_state = 3},
  [16884] = {.lex_state = 211, .external_lex_state = 8},
  [16885] = {.lex_state = 15, .external_lex_state = 3},
  [16886] = {.lex_state = 211, .external_lex_state = 8},
  [16887] = {.lex_state = 15, .external_lex_state = 3},
  [16888] = {.lex_state = 15, .external_lex_state = 3},
  [16889] = {.lex_state = 382, .external_lex_state = 2},
  [16890] = {.lex_state = 205, .external_lex_state = 3},
  [16891] = {.lex_state = 382, .external_lex_state = 3},
  [16892] = {.lex_state = 211, .external_lex_state = 8},
  [16893] = {.lex_state = 15, .external_lex_state = 3},
  [16894] = {.lex_state = 211, .external_lex_state = 8},
  [16895] = {.lex_state = 15, .external_lex_state = 3},
  [16896] = {.lex_state = 165, .external_lex_state = 3},
  [16897] = {.lex_state = 165, .external_lex_state = 3},
  [16898] = {.lex_state = 211, .external_lex_state = 8},
  [16899] = {.lex_state = 100, .external_lex_state = 3},
  [16900] = {.lex_state = 382, .external_lex_state = 3},
  [16901] = {.lex_state = 100, .external_lex_state = 3},
  [16902] = {.lex_state = 15, .external_lex_state = 3},
  [16903] = {.lex_state = 100, .external_lex_state = 3},
  [16904] = {.lex_state = 211, .external_lex_state = 8},
  [16905] = {.lex_state = 15, .external_lex_state = 3},
  [16906] = {.lex_state = 99, .external_lex_state = 3},
  [16907] = {.lex_state = 100, .external_lex_state = 3},
  [16908] = {.lex_state = 211, .external_lex_state = 8},
  [16909] = {.lex_state = 211, .external_lex_state = 8},
  [16910] = {.lex_state = 15, .external_lex_state = 3},
  [16911] = {.lex_state = 15, .external_lex_state = 3},
  [16912] = {.lex_state = 100, .external_lex_state = 3},
  [16913] = {.lex_state = 15, .external_lex_state = 3},
  [16914] = {.lex_state = 100, .external_lex_state = 3},
  [16915] = {.lex_state = 211, .external_lex_state = 8},
  [16916] = {.lex_state = 15, .external_lex_state = 3},
  [16917] = {.lex_state = 211, .external_lex_state = 8},
  [16918] = {.lex_state = 100, .external_lex_state = 3},
  [16919] = {.lex_state = 15, .external_lex_state = 3},
  [16920] = {.lex_state = 100, .external_lex_state = 3},
  [16921] = {.lex_state = 100, .external_lex_state = 3},
  [16922] = {.lex_state = 15, .external_lex_state = 3},
  [16923] = {.lex_state = 425, .external_lex_state = 3},
  [16924] = {.lex_state = 211, .external_lex_state = 8},
  [16925] = {.lex_state = 99, .external_lex_state = 3},
  [16926] = {.lex_state = 15, .external_lex_state = 3},
  [16927] = {.lex_state = 211, .external_lex_state = 8},
  [16928] = {.lex_state = 382, .external_lex_state = 3},
  [16929] = {.lex_state = 205, .external_lex_state = 3},
  [16930] = {.lex_state = 100, .external_lex_state = 3},
  [16931] = {.lex_state = 382, .external_lex_state = 3},
  [16932] = {.lex_state = 15, .external_lex_state = 3},
  [16933] = {.lex_state = 211, .external_lex_state = 8},
  [16934] = {.lex_state = 15, .external_lex_state = 3},
  [16935] = {.lex_state = 211, .external_lex_state = 8},
  [16936] = {.lex_state = 15, .external_lex_state = 3},
  [16937] = {.lex_state = 25, .external_lex_state = 3},
  [16938] = {.lex_state = 15, .external_lex_state = 3},
  [16939] = {.lex_state = 100, .external_lex_state = 3},
  [16940] = {.lex_state = 100, .external_lex_state = 3},
  [16941] = {.lex_state = 211, .external_lex_state = 8},
  [16942] = {.lex_state = 100, .external_lex_state = 3},
  [16943] = {.lex_state = 15, .external_lex_state = 3},
  [16944] = {.lex_state = 100, .external_lex_state = 3},
  [16945] = {.lex_state = 211, .external_lex_state = 8},
  [16946] = {.lex_state = 382, .external_lex_state = 3},
  [16947] = {.lex_state = 211, .external_lex_state = 8},
  [16948] = {.lex_state = 15, .external_lex_state = 3},
  [16949] = {.lex_state = 211, .external_lex_state = 8},
  [16950] = {.lex_state = 211, .external_lex_state = 8},
  [16951] = {.lex_state = 15, .external_lex_state = 3},
  [16952] = {.lex_state = 205, .external_lex_state = 3},
  [16953] = {.lex_state = 15, .external_lex_state = 3},
  [16954] = {.lex_state = 211, .external_lex_state = 8},
  [16955] = {.lex_state = 15, .external_lex_state = 3},
  [16956] = {.lex_state = 15, .external_lex_state = 3},
  [16957] = {.lex_state = 211, .external_lex_state = 8},
  [16958] = {.lex_state = 100, .external_lex_state = 3},
  [16959] = {.lex_state = 100, .external_lex_state = 3},
  [16960] = {.lex_state = 15, .external_lex_state = 3},
  [16961] = {.lex_state = 100, .external_lex_state = 3},
  [16962] = {.lex_state = 15, .external_lex_state = 3},
  [16963] = {.lex_state = 15, .external_lex_state = 3},
  [16964] = {.lex_state = 100, .external_lex_state = 3},
  [16965] = {.lex_state = 211, .external_lex_state = 8},
  [16966] = {.lex_state = 211, .external_lex_state = 8},
  [16967] = {.lex_state = 99, .external_lex_state = 3},
  [16968] = {.lex_state = 15, .external_lex_state = 3},
  [16969] = {.lex_state = 211, .external_lex_state = 8},
  [16970] = {.lex_state = 100, .external_lex_state = 3},
  [16971] = {.lex_state = 382, .external_lex_state = 3},
  [16972] = {.lex_state = 382, .external_lex_state = 3},
  [16973] = {.lex_state = 100, .external_lex_state = 3},
  [16974] = {.lex_state = 425, .external_lex_state = 3},
  [16975] = {.lex_state = 382, .external_lex_state = 3},
  [16976] = {.lex_state = 382, .external_lex_state = 3},
  [16977] = {.lex_state = 15, .external_lex_state = 3},
  [16978] = {.lex_state = 15, .external_lex_state = 3},
  [16979] = {.lex_state = 211, .external_lex_state = 8},
  [16980] = {.lex_state = 15, .external_lex_state = 3},
  [16981] = {.lex_state = 382, .external_lex_state = 3},
  [16982] = {.lex_state = 100, .external_lex_state = 3},
  [16983] = {.lex_state = 15, .external_lex_state = 3},
  [16984] = {.lex_state = 15, .external_lex_state = 3},
  [16985] = {.lex_state = 211, .external_lex_state = 8},
  [16986] = {.lex_state = 15, .external_lex_state = 3},
  [16987] = {.lex_state = 211, .external_lex_state = 8},
  [16988] = {.lex_state = 25, .external_lex_state = 3},
  [16989] = {.lex_state = 205, .external_lex_state = 3},
  [16990] = {.lex_state = 382, .external_lex_state = 3},
  [16991] = {.lex_state = 211, .external_lex_state = 8},
  [16992] = {.lex_state = 15, .external_lex_state = 3},
  [16993] = {.lex_state = 100, .external_lex_state = 3},
  [16994] = {.lex_state = 382, .external_lex_state = 3},
  [16995] = {.lex_state = 15, .external_lex_state = 3},
  [16996] = {.lex_state = 205, .external_lex_state = 3},
  [16997] = {.lex_state = 211, .external_lex_state = 8},
  [16998] = {.lex_state = 382, .external_lex_state = 3},
  [16999] = {.lex_state = 425, .external_lex_state = 3},
  [17000] = {.lex_state = 425, .external_lex_state = 3},
  [17001] = {.lex_state = 100, .external_lex_state = 3},
  [17002] = {.lex_state = 25, .external_lex_state = 3},
  [17003] = {.lex_state = 15, .external_lex_state = 3},
  [17004] = {.lex_state = 15, .external_lex_state = 3},
  [17005] = {.lex_state = 15, .external_lex_state = 3},
  [17006] = {.lex_state = 100, .external_lex_state = 3},
  [17007] = {.lex_state = 15, .external_lex_state = 3},
  [17008] = {.lex_state = 100, .external_lex_state = 3},
  [17009] = {.lex_state = 382, .external_lex_state = 3},
  [17010] = {.lex_state = 382, .external_lex_state = 3},
  [17011] = {.lex_state = 425, .external_lex_state = 3},
  [17012] = {.lex_state = 100, .external_lex_state = 3},
  [17013] = {.lex_state = 205, .external_lex_state = 3},
  [17014] = {.lex_state = 15, .external_lex_state = 3},
  [17015] = {.lex_state = 211, .external_lex_state = 8},
  [17016] = {.lex_state = 15, .external_lex_state = 3},
  [17017] = {.lex_state = 99, .external_lex_state = 3},
  [17018] = {.lex_state = 211, .external_lex_state = 8},
  [17019] = {.lex_state = 15, .external_lex_state = 3},
  [17020] = {.lex_state = 25, .external_lex_state = 3},
  [17021] = {.lex_state = 15, .external_lex_state = 3},
  [17022] = {.lex_state = 382, .external_lex_state = 3},
  [17023] = {.lex_state = 382, .external_lex_state = 3},
  [17024] = {.lex_state = 382, .external_lex_state = 3},
  [17025] = {.lex_state = 382, .external_lex_state = 3},
  [17026] = {.lex_state = 382, .external_lex_state = 3},
  [17027] = {.lex_state = 412, .external_lex_state = 3},
  [17028] = {.lex_state = 25, .external_lex_state = 3},
  [17029] = {.lex_state = 205, .external_lex_state = 3},
  [17030] = {.lex_state = 100, .external_lex_state = 3},
  [17031] = {.lex_state = 382, .external_lex_state = 3},
  [17032] = {.lex_state = 100, .external_lex_state = 3},
  [17033] = {.lex_state = 425, .external_lex_state = 3},
  [17034] = {.lex_state = 100, .external_lex_state = 3},
  [17035] = {.lex_state = 15, .external_lex_state = 3},
  [17036] = {.lex_state = 205, .external_lex_state = 3},
  [17037] = {.lex_state = 382, .external_lex_state = 3},
  [17038] = {.lex_state = 100, .external_lex_state = 3},
  [17039] = {.lex_state = 211, .external_lex_state = 8},
  [17040] = {.lex_state = 382, .external_lex_state = 3},
  [17041] = {.lex_state = 15, .external_lex_state = 3},
  [17042] = {.lex_state = 100, .external_lex_state = 3},
  [17043] = {.lex_state = 382, .external_lex_state = 3},
  [17044] = {.lex_state = 382, .external_lex_state = 3},
  [17045] = {.lex_state = 382, .external_lex_state = 3},
  [17046] = {.lex_state = 100, .external_lex_state = 3},
  [17047] = {.lex_state = 382, .external_lex_state = 3},
  [17048] = {.lex_state = 99, .external_lex_state = 3},
  [17049] = {.lex_state = 382, .external_lex_state = 3},
  [17050] = {.lex_state = 382, .external_lex_state = 3},
  [17051] = {.lex_state = 412, .external_lex_state = 3},
  [17052] = {.lex_state = 100, .external_lex_state = 3},
  [17053] = {.lex_state = 100, .external_lex_state = 3},
  [17054] = {.lex_state = 100, .external_lex_state = 3},
  [17055] = {.lex_state = 100, .external_lex_state = 3},
  [17056] = {.lex_state = 15, .external_lex_state = 3},
  [17057] = {.lex_state = 100, .external_lex_state = 3},
  [17058] = {.lex_state = 382, .external_lex_state = 3},
  [17059] = {.lex_state = 100, .external_lex_state = 3},
  [17060] = {.lex_state = 25, .external_lex_state = 3},
  [17061] = {.lex_state = 382, .external_lex_state = 3},
  [17062] = {.lex_state = 99, .external_lex_state = 3},
  [17063] = {.lex_state = 100, .external_lex_state = 3},
  [17064] = {.lex_state = 211, .external_lex_state = 8},
  [17065] = {.lex_state = 99, .external_lex_state = 3},
  [17066] = {.lex_state = 15, .external_lex_state = 3},
  [17067] = {.lex_state = 100, .external_lex_state = 3},
  [17068] = {.lex_state = 15, .external_lex_state = 3},
  [17069] = {.lex_state = 100, .external_lex_state = 3},
  [17070] = {.lex_state = 382, .external_lex_state = 3},
  [17071] = {.lex_state = 382, .external_lex_state = 3},
  [17072] = {.lex_state = 99, .external_lex_state = 3},
  [17073] = {.lex_state = 382, .external_lex_state = 3},
  [17074] = {.lex_state = 100, .external_lex_state = 3},
  [17075] = {.lex_state = 382, .external_lex_state = 3},
  [17076] = {.lex_state = 100, .external_lex_state = 3},
  [17077] = {.lex_state = 15, .external_lex_state = 3},
  [17078] = {.lex_state = 100, .external_lex_state = 3},
  [17079] = {.lex_state = 382, .external_lex_state = 3},
  [17080] = {.lex_state = 100, .external_lex_state = 3},
  [17081] = {.lex_state = 100, .external_lex_state = 3},
  [17082] = {.lex_state = 100, .external_lex_state = 3},
  [17083] = {.lex_state = 99, .external_lex_state = 3},
  [17084] = {.lex_state = 15, .external_lex_state = 3},
  [17085] = {.lex_state = 15, .external_lex_state = 3},
  [17086] = {.lex_state = 99, .external_lex_state = 3},
  [17087] = {.lex_state = 99, .external_lex_state = 3},
  [17088] = {.lex_state = 100, .external_lex_state = 3},
  [17089] = {.lex_state = 100, .external_lex_state = 3},
  [17090] = {.lex_state = 211, .external_lex_state = 8},
  [17091] = {.lex_state = 100, .external_lex_state = 3},
  [17092] = {.lex_state = 100, .external_lex_state = 3},
  [17093] = {.lex_state = 382, .external_lex_state = 3},
  [17094] = {.lex_state = 15, .external_lex_state = 3},
  [17095] = {.lex_state = 25, .external_lex_state = 3},
  [17096] = {.lex_state = 100, .external_lex_state = 3},
  [17097] = {.lex_state = 382, .external_lex_state = 3},
  [17098] = {.lex_state = 382, .external_lex_state = 3},
  [17099] = {.lex_state = 15, .external_lex_state = 3},
  [17100] = {.lex_state = 382, .external_lex_state = 3},
  [17101] = {.lex_state = 100, .external_lex_state = 3},
  [17102] = {.lex_state = 382, .external_lex_state = 3},
  [17103] = {.lex_state = 99, .external_lex_state = 3},
  [17104] = {.lex_state = 425, .external_lex_state = 3},
  [17105] = {.lex_state = 100, .external_lex_state = 3},
  [17106] = {.lex_state = 382, .external_lex_state = 3},
  [17107] = {.lex_state = 100, .external_lex_state = 3},
  [17108] = {.lex_state = 205, .external_lex_state = 3},
  [17109] = {.lex_state = 382, .external_lex_state = 3},
  [17110] = {.lex_state = 382, .external_lex_state = 3},
  [17111] = {.lex_state = 15, .external_lex_state = 3},
  [17112] = {.lex_state = 100, .external_lex_state = 3},
  [17113] = {.lex_state = 100, .external_lex_state = 3},
  [17114] = {.lex_state = 100, .external_lex_state = 3},
  [17115] = {.lex_state = 211, .external_lex_state = 8},
  [17116] = {.lex_state = 382, .external_lex_state = 3},
  [17117] = {.lex_state = 165, .external_lex_state = 3},
  [17118] = {.lex_state = 15, .external_lex_state = 3},
  [17119] = {.lex_state = 15, .external_lex_state = 3},
  [17120] = {.lex_state = 100, .external_lex_state = 3},
  [17121] = {.lex_state = 100, .external_lex_state = 3},
  [17122] = {.lex_state = 100, .external_lex_state = 3},
  [17123] = {.lex_state = 382, .external_lex_state = 3},
  [17124] = {.lex_state = 100, .external_lex_state = 3},
  [17125] = {.lex_state = 382, .external_lex_state = 3},
  [17126] = {.lex_state = 382, .external_lex_state = 3},
  [17127] = {.lex_state = 100, .external_lex_state = 3},
  [17128] = {.lex_state = 382, .external_lex_state = 3},
  [17129] = {.lex_state = 425, .external_lex_state = 3},
  [17130] = {.lex_state = 382, .external_lex_state = 3},
  [17131] = {.lex_state = 382, .external_lex_state = 3},
  [17132] = {.lex_state = 382, .external_lex_state = 3},
  [17133] = {.lex_state = 99, .external_lex_state = 3},
  [17134] = {.lex_state = 382, .external_lex_state = 3},
  [17135] = {.lex_state = 100, .external_lex_state = 3},
  [17136] = {.lex_state = 15, .external_lex_state = 3},
  [17137] = {.lex_state = 100, .external_lex_state = 3},
  [17138] = {.lex_state = 25, .external_lex_state = 3},
  [17139] = {.lex_state = 25, .external_lex_state = 3},
  [17140] = {.lex_state = 205, .external_lex_state = 3},
  [17141] = {.lex_state = 15, .external_lex_state = 3},
  [17142] = {.lex_state = 100, .external_lex_state = 3},
  [17143] = {.lex_state = 15, .external_lex_state = 3},
  [17144] = {.lex_state = 100, .external_lex_state = 3},
  [17145] = {.lex_state = 211, .external_lex_state = 8},
  [17146] = {.lex_state = 15, .external_lex_state = 3},
  [17147] = {.lex_state = 15, .external_lex_state = 3},
  [17148] = {.lex_state = 100, .external_lex_state = 3},
  [17149] = {.lex_state = 425, .external_lex_state = 3},
  [17150] = {.lex_state = 412, .external_lex_state = 3},
  [17151] = {.lex_state = 382, .external_lex_state = 3},
  [17152] = {.lex_state = 100, .external_lex_state = 3},
  [17153] = {.lex_state = 382, .external_lex_state = 3},
  [17154] = {.lex_state = 412, .external_lex_state = 3},
  [17155] = {.lex_state = 99, .external_lex_state = 3},
  [17156] = {.lex_state = 412, .external_lex_state = 3},
  [17157] = {.lex_state = 382, .external_lex_state = 3},
  [17158] = {.lex_state = 382, .external_lex_state = 3},
  [17159] = {.lex_state = 15, .external_lex_state = 3},
  [17160] = {.lex_state = 382, .external_lex_state = 3},
  [17161] = {.lex_state = 382, .external_lex_state = 3},
  [17162] = {.lex_state = 382, .external_lex_state = 3},
  [17163] = {.lex_state = 15, .external_lex_state = 3},
  [17164] = {.lex_state = 100, .external_lex_state = 3},
  [17165] = {.lex_state = 100, .external_lex_state = 3},
  [17166] = {.lex_state = 412, .external_lex_state = 3},
  [17167] = {.lex_state = 100, .external_lex_state = 3},
  [17168] = {.lex_state = 100, .external_lex_state = 3},
  [17169] = {.lex_state = 382, .external_lex_state = 3},
  [17170] = {.lex_state = 15, .external_lex_state = 3},
  [17171] = {.lex_state = 100, .external_lex_state = 3},
  [17172] = {.lex_state = 99, .external_lex_state = 3},
  [17173] = {.lex_state = 205, .external_lex_state = 3},
  [17174] = {.lex_state = 382, .external_lex_state = 3},
  [17175] = {.lex_state = 382, .external_lex_state = 3},
  [17176] = {.lex_state = 425, .external_lex_state = 3},
  [17177] = {.lex_state = 211, .external_lex_state = 8},
  [17178] = {.lex_state = 15, .external_lex_state = 3},
  [17179] = {.lex_state = 412, .external_lex_state = 3},
  [17180] = {.lex_state = 15, .external_lex_state = 3},
  [17181] = {.lex_state = 382, .external_lex_state = 3},
  [17182] = {.lex_state = 412, .external_lex_state = 3},
  [17183] = {.lex_state = 382, .external_lex_state = 3},
  [17184] = {.lex_state = 382, .external_lex_state = 3},
  [17185] = {.lex_state = 100, .external_lex_state = 3},
  [17186] = {.lex_state = 382, .external_lex_state = 3},
  [17187] = {.lex_state = 382, .external_lex_state = 3},
  [17188] = {.lex_state = 100, .external_lex_state = 3},
  [17189] = {.lex_state = 412, .external_lex_state = 3},
  [17190] = {.lex_state = 25, .external_lex_state = 3},
  [17191] = {.lex_state = 100, .external_lex_state = 3},
  [17192] = {.lex_state = 100, .external_lex_state = 3},
  [17193] = {.lex_state = 100, .external_lex_state = 3},
  [17194] = {.lex_state = 15, .external_lex_state = 3},
  [17195] = {.lex_state = 382, .external_lex_state = 3},
  [17196] = {.lex_state = 100, .external_lex_state = 3},
  [17197] = {.lex_state = 205, .external_lex_state = 3},
  [17198] = {.lex_state = 211, .external_lex_state = 8},
  [17199] = {.lex_state = 382, .external_lex_state = 3},
  [17200] = {.lex_state = 425, .external_lex_state = 3},
  [17201] = {.lex_state = 382, .external_lex_state = 3},
  [17202] = {.lex_state = 100, .external_lex_state = 3},
  [17203] = {.lex_state = 15, .external_lex_state = 3},
  [17204] = {.lex_state = 100, .external_lex_state = 3},
  [17205] = {.lex_state = 15, .external_lex_state = 3},
  [17206] = {.lex_state = 99, .external_lex_state = 3},
  [17207] = {.lex_state = 382, .external_lex_state = 3},
  [17208] = {.lex_state = 382, .external_lex_state = 3},
  [17209] = {.lex_state = 100, .external_lex_state = 3},
  [17210] = {.lex_state = 382, .external_lex_state = 3},
  [17211] = {.lex_state = 100, .external_lex_state = 3},
  [17212] = {.lex_state = 165, .external_lex_state = 3},
  [17213] = {.lex_state = 382, .external_lex_state = 3},
  [17214] = {.lex_state = 15, .external_lex_state = 3},
  [17215] = {.lex_state = 100, .external_lex_state = 3},
  [17216] = {.lex_state = 100, .external_lex_state = 3},
  [17217] = {.lex_state = 382, .external_lex_state = 3},
  [17218] = {.lex_state = 382, .external_lex_state = 3},
  [17219] = {.lex_state = 15, .external_lex_state = 3},
  [17220] = {.lex_state = 205, .external_lex_state = 3},
  [17221] = {.lex_state = 100, .external_lex_state = 3},
  [17222] = {.lex_state = 100, .external_lex_state = 3},
  [17223] = {.lex_state = 99, .external_lex_state = 3},
  [17224] = {.lex_state = 100, .external_lex_state = 3},
  [17225] = {.lex_state = 100, .external_lex_state = 3},
  [17226] = {.lex_state = 99, .external_lex_state = 3},
  [17227] = {.lex_state = 100, .external_lex_state = 3},
  [17228] = {.lex_state = 382, .external_lex_state = 3},
  [17229] = {.lex_state = 100, .external_lex_state = 3},
  [17230] = {.lex_state = 211, .external_lex_state = 8},
  [17231] = {.lex_state = 100, .external_lex_state = 3},
  [17232] = {.lex_state = 100, .external_lex_state = 3},
  [17233] = {.lex_state = 15, .external_lex_state = 3},
  [17234] = {.lex_state = 25, .external_lex_state = 3},
  [17235] = {.lex_state = 100, .external_lex_state = 3},
  [17236] = {.lex_state = 100, .external_lex_state = 3},
  [17237] = {.lex_state = 15, .external_lex_state = 3},
  [17238] = {.lex_state = 100, .external_lex_state = 3},
  [17239] = {.lex_state = 15, .external_lex_state = 3},
  [17240] = {.lex_state = 99, .external_lex_state = 3},
  [17241] = {.lex_state = 382, .external_lex_state = 3},
  [17242] = {.lex_state = 100, .external_lex_state = 3},
  [17243] = {.lex_state = 382, .external_lex_state = 3},
  [17244] = {.lex_state = 382, .external_lex_state = 3},
  [17245] = {.lex_state = 382, .external_lex_state = 3},
  [17246] = {.lex_state = 382, .external_lex_state = 3},
  [17247] = {.lex_state = 205, .external_lex_state = 3},
  [17248] = {.lex_state = 25, .external_lex_state = 3},
  [17249] = {.lex_state = 382, .external_lex_state = 3},
  [17250] = {.lex_state = 15, .external_lex_state = 3},
  [17251] = {.lex_state = 412, .external_lex_state = 3},
  [17252] = {.lex_state = 100, .external_lex_state = 3},
  [17253] = {.lex_state = 15, .external_lex_state = 3},
  [17254] = {.lex_state = 425, .external_lex_state = 3},
  [17255] = {.lex_state = 382, .external_lex_state = 3},
  [17256] = {.lex_state = 382, .external_lex_state = 3},
  [17257] = {.lex_state = 382, .external_lex_state = 3},
  [17258] = {.lex_state = 100, .external_lex_state = 3},
  [17259] = {.lex_state = 100, .external_lex_state = 3},
  [17260] = {.lex_state = 100, .external_lex_state = 3},
  [17261] = {.lex_state = 100, .external_lex_state = 3},
  [17262] = {.lex_state = 25, .external_lex_state = 3},
  [17263] = {.lex_state = 211, .external_lex_state = 8},
  [17264] = {.lex_state = 15, .external_lex_state = 3},
  [17265] = {.lex_state = 15, .external_lex_state = 3},
  [17266] = {.lex_state = 15, .external_lex_state = 3},
  [17267] = {.lex_state = 412, .external_lex_state = 3},
  [17268] = {.lex_state = 412, .external_lex_state = 3},
  [17269] = {.lex_state = 99, .external_lex_state = 3},
  [17270] = {.lex_state = 425, .external_lex_state = 3},
  [17271] = {.lex_state = 100, .external_lex_state = 3},
  [17272] = {.lex_state = 382, .external_lex_state = 3},
  [17273] = {.lex_state = 382, .external_lex_state = 3},
  [17274] = {.lex_state = 100, .external_lex_state = 3},
  [17275] = {.lex_state = 100, .external_lex_state = 3},
  [17276] = {.lex_state = 15, .external_lex_state = 3},
  [17277] = {.lex_state = 412, .external_lex_state = 3},
  [17278] = {.lex_state = 382, .external_lex_state = 3},
  [17279] = {.lex_state = 382, .external_lex_state = 3},
  [17280] = {.lex_state = 382, .external_lex_state = 3},
  [17281] = {.lex_state = 100, .external_lex_state = 3},
  [17282] = {.lex_state = 382, .external_lex_state = 3},
  [17283] = {.lex_state = 382, .external_lex_state = 3},
  [17284] = {.lex_state = 382, .external_lex_state = 3},
  [17285] = {.lex_state = 100, .external_lex_state = 3},
  [17286] = {.lex_state = 15, .external_lex_state = 3},
  [17287] = {.lex_state = 99, .external_lex_state = 3},
  [17288] = {.lex_state = 412, .external_lex_state = 3},
  [17289] = {.lex_state = 99, .external_lex_state = 3},
  [17290] = {.lex_state = 100, .external_lex_state = 3},
  [17291] = {.lex_state = 100, .external_lex_state = 3},
  [17292] = {.lex_state = 15, .external_lex_state = 3},
  [17293] = {.lex_state = 412, .external_lex_state = 3},
  [17294] = {.lex_state = 100, .external_lex_state = 3},
  [17295] = {.lex_state = 205, .external_lex_state = 3},
  [17296] = {.lex_state = 100, .external_lex_state = 3},
  [17297] = {.lex_state = 99, .external_lex_state = 3},
  [17298] = {.lex_state = 205, .external_lex_state = 3},
  [17299] = {.lex_state = 100, .external_lex_state = 3},
  [17300] = {.lex_state = 100, .external_lex_state = 3},
  [17301] = {.lex_state = 15, .external_lex_state = 3},
  [17302] = {.lex_state = 211, .external_lex_state = 8},
  [17303] = {.lex_state = 100, .external_lex_state = 3},
  [17304] = {.lex_state = 412, .external_lex_state = 3},
  [17305] = {.lex_state = 15, .external_lex_state = 3},
  [17306] = {.lex_state = 100, .external_lex_state = 3},
  [17307] = {.lex_state = 412, .external_lex_state = 3},
  [17308] = {.lex_state = 100, .external_lex_state = 3},
  [17309] = {.lex_state = 99, .external_lex_state = 3},
  [17310] = {.lex_state = 100, .external_lex_state = 3},
  [17311] = {.lex_state = 15, .external_lex_state = 3},
  [17312] = {.lex_state = 100, .external_lex_state = 3},
  [17313] = {.lex_state = 100, .external_lex_state = 3},
  [17314] = {.lex_state = 100, .external_lex_state = 3},
  [17315] = {.lex_state = 15, .external_lex_state = 3},
  [17316] = {.lex_state = 15, .external_lex_state = 3},
  [17317] = {.lex_state = 100, .external_lex_state = 3},
  [17318] = {.lex_state = 100, .external_lex_state = 3},
  [17319] = {.lex_state = 100, .external_lex_state = 3},
  [17320] = {.lex_state = 100, .external_lex_state = 3},
  [17321] = {.lex_state = 15, .external_lex_state = 3},
  [17322] = {.lex_state = 100, .external_lex_state = 3},
  [17323] = {.lex_state = 412, .external_lex_state = 3},
  [17324] = {.lex_state = 412, .external_lex_state = 3},
  [17325] = {.lex_state = 100, .external_lex_state = 3},
  [17326] = {.lex_state = 15, .external_lex_state = 3},
  [17327] = {.lex_state = 99, .external_lex_state = 3},
  [17328] = {.lex_state = 15, .external_lex_state = 3},
  [17329] = {.lex_state = 205, .external_lex_state = 3},
  [17330] = {.lex_state = 412, .external_lex_state = 3},
  [17331] = {.lex_state = 100, .external_lex_state = 3},
  [17332] = {.lex_state = 382, .external_lex_state = 3},
  [17333] = {.lex_state = 100, .external_lex_state = 3},
  [17334] = {.lex_state = 412, .external_lex_state = 3},
  [17335] = {.lex_state = 382, .external_lex_state = 3},
  [17336] = {.lex_state = 382, .external_lex_state = 3},
  [17337] = {.lex_state = 15, .external_lex_state = 3},
  [17338] = {.lex_state = 15, .external_lex_state = 3},
  [17339] = {.lex_state = 382, .external_lex_state = 3},
  [17340] = {.lex_state = 15, .external_lex_state = 3},
  [17341] = {.lex_state = 412, .external_lex_state = 3},
  [17342] = {.lex_state = 412, .external_lex_state = 3},
  [17343] = {.lex_state = 382, .external_lex_state = 3},
  [17344] = {.lex_state = 15, .external_lex_state = 3},
  [17345] = {.lex_state = 100, .external_lex_state = 3},
  [17346] = {.lex_state = 211, .external_lex_state = 8},
  [17347] = {.lex_state = 15, .external_lex_state = 3},
  [17348] = {.lex_state = 15, .external_lex_state = 3},
  [17349] = {.lex_state = 15, .external_lex_state = 3},
  [17350] = {.lex_state = 100, .external_lex_state = 3},
  [17351] = {.lex_state = 412, .external_lex_state = 3},
  [17352] = {.lex_state = 412, .external_lex_state = 3},
  [17353] = {.lex_state = 100, .external_lex_state = 3},
  [17354] = {.lex_state = 15, .external_lex_state = 3},
  [17355] = {.lex_state = 412, .external_lex_state = 3},
  [17356] = {.lex_state = 412, .external_lex_state = 3},
  [17357] = {.lex_state = 382, .external_lex_state = 3},
  [17358] = {.lex_state = 382, .external_lex_state = 3},
  [17359] = {.lex_state = 15, .external_lex_state = 3},
  [17360] = {.lex_state = 15, .external_lex_state = 3},
  [17361] = {.lex_state = 15, .external_lex_state = 3},
  [17362] = {.lex_state = 100, .external_lex_state = 3},
  [17363] = {.lex_state = 100, .external_lex_state = 3},
  [17364] = {.lex_state = 15, .external_lex_state = 3},
  [17365] = {.lex_state = 382, .external_lex_state = 3},
  [17366] = {.lex_state = 382, .external_lex_state = 3},
  [17367] = {.lex_state = 382, .external_lex_state = 3},
  [17368] = {.lex_state = 100, .external_lex_state = 3},
  [17369] = {.lex_state = 382, .external_lex_state = 3},
  [17370] = {.lex_state = 425, .external_lex_state = 3},
  [17371] = {.lex_state = 412, .external_lex_state = 3},
  [17372] = {.lex_state = 412, .external_lex_state = 3},
  [17373] = {.lex_state = 100, .external_lex_state = 3},
  [17374] = {.lex_state = 15, .external_lex_state = 3},
  [17375] = {.lex_state = 382, .external_lex_state = 3},
  [17376] = {.lex_state = 15, .external_lex_state = 3},
  [17377] = {.lex_state = 15, .external_lex_state = 3},
  [17378] = {.lex_state = 412, .external_lex_state = 3},
  [17379] = {.lex_state = 25, .external_lex_state = 3},
  [17380] = {.lex_state = 100, .external_lex_state = 3},
  [17381] = {.lex_state = 211, .external_lex_state = 8},
  [17382] = {.lex_state = 412, .external_lex_state = 3},
  [17383] = {.lex_state = 205, .external_lex_state = 3},
  [17384] = {.lex_state = 15, .external_lex_state = 3},
  [17385] = {.lex_state = 99, .external_lex_state = 3},
  [17386] = {.lex_state = 100, .external_lex_state = 3},
  [17387] = {.lex_state = 382, .external_lex_state = 3},
  [17388] = {.lex_state = 15, .external_lex_state = 3},
  [17389] = {.lex_state = 15, .external_lex_state = 3},
  [17390] = {.lex_state = 25, .external_lex_state = 3},
  [17391] = {.lex_state = 412, .external_lex_state = 3},
  [17392] = {.lex_state = 100, .external_lex_state = 3},
  [17393] = {.lex_state = 100, .external_lex_state = 3},
  [17394] = {.lex_state = 382, .external_lex_state = 3},
  [17395] = {.lex_state = 15, .external_lex_state = 3},
  [17396] = {.lex_state = 425, .external_lex_state = 3},
  [17397] = {.lex_state = 165, .external_lex_state = 3},
  [17398] = {.lex_state = 412, .external_lex_state = 3},
  [17399] = {.lex_state = 382, .external_lex_state = 3},
  [17400] = {.lex_state = 382, .external_lex_state = 3},
  [17401] = {.lex_state = 382, .external_lex_state = 3},
  [17402] = {.lex_state = 412, .external_lex_state = 3},
  [17403] = {.lex_state = 15, .external_lex_state = 3},
  [17404] = {.lex_state = 100, .external_lex_state = 3},
  [17405] = {.lex_state = 425, .external_lex_state = 3},
  [17406] = {.lex_state = 100, .external_lex_state = 3},
  [17407] = {.lex_state = 15, .external_lex_state = 3},
  [17408] = {.lex_state = 15, .external_lex_state = 3},
  [17409] = {.lex_state = 15, .external_lex_state = 3},
  [17410] = {.lex_state = 15, .external_lex_state = 3},
  [17411] = {.lex_state = 25, .external_lex_state = 3},
  [17412] = {.lex_state = 15, .external_lex_state = 3},
  [17413] = {.lex_state = 425, .external_lex_state = 3},
  [17414] = {.lex_state = 100, .external_lex_state = 3},
  [17415] = {.lex_state = 382, .external_lex_state = 3},
  [17416] = {.lex_state = 100, .external_lex_state = 3},
  [17417] = {.lex_state = 382, .external_lex_state = 3},
  [17418] = {.lex_state = 412, .external_lex_state = 3},
  [17419] = {.lex_state = 412, .external_lex_state = 3},
  [17420] = {.lex_state = 382, .external_lex_state = 3},
  [17421] = {.lex_state = 382, .external_lex_state = 3},
  [17422] = {.lex_state = 382, .external_lex_state = 3},
  [17423] = {.lex_state = 382, .external_lex_state = 3},
  [17424] = {.lex_state = 382, .external_lex_state = 3},
  [17425] = {.lex_state = 205, .external_lex_state = 3},
  [17426] = {.lex_state = 15, .external_lex_state = 3},
  [17427] = {.lex_state = 382, .external_lex_state = 3},
  [17428] = {.lex_state = 382, .external_lex_state = 3},
  [17429] = {.lex_state = 15, .external_lex_state = 3},
  [17430] = {.lex_state = 382, .external_lex_state = 3},
  [17431] = {.lex_state = 412, .external_lex_state = 3},
  [17432] = {.lex_state = 100, .external_lex_state = 3},
  [17433] = {.lex_state = 412, .external_lex_state = 3},
  [17434] = {.lex_state = 382, .external_lex_state = 3},
  [17435] = {.lex_state = 15, .external_lex_state = 3},
  [17436] = {.lex_state = 412, .external_lex_state = 3},
  [17437] = {.lex_state = 25, .external_lex_state = 3},
  [17438] = {.lex_state = 412, .external_lex_state = 3},
  [17439] = {.lex_state = 100, .external_lex_state = 3},
  [17440] = {.lex_state = 100, .external_lex_state = 3},
  [17441] = {.lex_state = 100, .external_lex_state = 3},
  [17442] = {.lex_state = 15, .external_lex_state = 3},
  [17443] = {.lex_state = 25, .external_lex_state = 3},
  [17444] = {.lex_state = 412, .external_lex_state = 3},
  [17445] = {.lex_state = 99, .external_lex_state = 3},
  [17446] = {.lex_state = 100, .external_lex_state = 3},
  [17447] = {.lex_state = 382, .external_lex_state = 3},
  [17448] = {.lex_state = 15, .external_lex_state = 3},
  [17449] = {.lex_state = 99, .external_lex_state = 3},
  [17450] = {.lex_state = 15, .external_lex_state = 3},
  [17451] = {.lex_state = 412, .external_lex_state = 3},
  [17452] = {.lex_state = 100, .external_lex_state = 3},
  [17453] = {.lex_state = 100, .external_lex_state = 3},
  [17454] = {.lex_state = 205, .external_lex_state = 3},
  [17455] = {.lex_state = 15, .external_lex_state = 3},
  [17456] = {.lex_state = 382, .external_lex_state = 3},
  [17457] = {.lex_state = 15, .external_lex_state = 3},
  [17458] = {.lex_state = 382, .external_lex_state = 3},
  [17459] = {.lex_state = 412, .external_lex_state = 3},
  [17460] = {.lex_state = 412, .external_lex_state = 3},
  [17461] = {.lex_state = 425, .external_lex_state = 3},
  [17462] = {.lex_state = 15, .external_lex_state = 3},
  [17463] = {.lex_state = 100, .external_lex_state = 3},
  [17464] = {.lex_state = 382, .external_lex_state = 3},
  [17465] = {.lex_state = 100, .external_lex_state = 3},
  [17466] = {.lex_state = 382, .external_lex_state = 3},
  [17467] = {.lex_state = 211, .external_lex_state = 8},
  [17468] = {.lex_state = 382, .external_lex_state = 3},
  [17469] = {.lex_state = 15, .external_lex_state = 3},
  [17470] = {.lex_state = 100, .external_lex_state = 3},
  [17471] = {.lex_state = 99, .external_lex_state = 3},
  [17472] = {.lex_state = 15, .external_lex_state = 3},
  [17473] = {.lex_state = 10, .external_lex_state = 3},
  [17474] = {.lex_state = 100, .external_lex_state = 3},
  [17475] = {.lex_state = 15, .external_lex_state = 3},
  [17476] = {.lex_state = 15, .external_lex_state = 3},
  [17477] = {.lex_state = 382, .external_lex_state = 3},
  [17478] = {.lex_state = 100, .external_lex_state = 3},
  [17479] = {.lex_state = 100, .external_lex_state = 3},
  [17480] = {.lex_state = 412, .external_lex_state = 3},
  [17481] = {.lex_state = 99, .external_lex_state = 3},
  [17482] = {.lex_state = 412, .external_lex_state = 3},
  [17483] = {.lex_state = 412, .external_lex_state = 3},
  [17484] = {.lex_state = 100, .external_lex_state = 3},
  [17485] = {.lex_state = 15, .external_lex_state = 3},
  [17486] = {.lex_state = 100, .external_lex_state = 3},
  [17487] = {.lex_state = 100, .external_lex_state = 3},
  [17488] = {.lex_state = 382, .external_lex_state = 3},
  [17489] = {.lex_state = 15, .external_lex_state = 3},
  [17490] = {.lex_state = 100, .external_lex_state = 3},
  [17491] = {.lex_state = 99, .external_lex_state = 3},
  [17492] = {.lex_state = 100, .external_lex_state = 3},
  [17493] = {.lex_state = 382, .external_lex_state = 3},
  [17494] = {.lex_state = 382, .external_lex_state = 3},
  [17495] = {.lex_state = 99, .external_lex_state = 3},
  [17496] = {.lex_state = 382, .external_lex_state = 3},
  [17497] = {.lex_state = 382, .external_lex_state = 3},
  [17498] = {.lex_state = 382, .external_lex_state = 3},
  [17499] = {.lex_state = 382, .external_lex_state = 3},
  [17500] = {.lex_state = 382, .external_lex_state = 3},
  [17501] = {.lex_state = 382, .external_lex_state = 3},
  [17502] = {.lex_state = 15, .external_lex_state = 3},
  [17503] = {.lex_state = 382, .external_lex_state = 3},
  [17504] = {.lex_state = 100, .external_lex_state = 3},
  [17505] = {.lex_state = 100, .external_lex_state = 3},
  [17506] = {.lex_state = 7, .external_lex_state = 3},
  [17507] = {.lex_state = 100, .external_lex_state = 3},
  [17508] = {.lex_state = 100, .external_lex_state = 3},
  [17509] = {.lex_state = 100, .external_lex_state = 3},
  [17510] = {.lex_state = 412, .external_lex_state = 3},
  [17511] = {.lex_state = 382, .external_lex_state = 3},
  [17512] = {.lex_state = 15, .external_lex_state = 3},
  [17513] = {.lex_state = 382, .external_lex_state = 3},
  [17514] = {.lex_state = 15, .external_lex_state = 3},
  [17515] = {.lex_state = 412, .external_lex_state = 3},
  [17516] = {.lex_state = 412, .external_lex_state = 3},
  [17517] = {.lex_state = 15, .external_lex_state = 3},
  [17518] = {.lex_state = 25, .external_lex_state = 3},
  [17519] = {.lex_state = 100, .external_lex_state = 3},
  [17520] = {.lex_state = 15, .external_lex_state = 3},
  [17521] = {.lex_state = 412, .external_lex_state = 3},
  [17522] = {.lex_state = 205, .external_lex_state = 3},
  [17523] = {.lex_state = 382, .external_lex_state = 3},
  [17524] = {.lex_state = 205, .external_lex_state = 3},
  [17525] = {.lex_state = 100, .external_lex_state = 3},
  [17526] = {.lex_state = 100, .external_lex_state = 3},
  [17527] = {.lex_state = 412, .external_lex_state = 3},
  [17528] = {.lex_state = 412, .external_lex_state = 3},
  [17529] = {.lex_state = 425, .external_lex_state = 3},
  [17530] = {.lex_state = 15, .external_lex_state = 3},
  [17531] = {.lex_state = 382, .external_lex_state = 3},
  [17532] = {.lex_state = 412, .external_lex_state = 3},
  [17533] = {.lex_state = 15, .external_lex_state = 3},
  [17534] = {.lex_state = 100, .external_lex_state = 3},
  [17535] = {.lex_state = 15, .external_lex_state = 3},
  [17536] = {.lex_state = 382, .external_lex_state = 3},
  [17537] = {.lex_state = 382, .external_lex_state = 3},
  [17538] = {.lex_state = 15, .external_lex_state = 3},
  [17539] = {.lex_state = 412, .external_lex_state = 3},
  [17540] = {.lex_state = 100, .external_lex_state = 3},
  [17541] = {.lex_state = 15, .external_lex_state = 3},
  [17542] = {.lex_state = 382, .external_lex_state = 3},
  [17543] = {.lex_state = 412, .external_lex_state = 3},
  [17544] = {.lex_state = 412, .external_lex_state = 3},
  [17545] = {.lex_state = 425, .external_lex_state = 3},
  [17546] = {.lex_state = 425, .external_lex_state = 3},
  [17547] = {.lex_state = 211, .external_lex_state = 8},
  [17548] = {.lex_state = 15, .external_lex_state = 3},
  [17549] = {.lex_state = 15, .external_lex_state = 3},
  [17550] = {.lex_state = 100, .external_lex_state = 3},
  [17551] = {.lex_state = 425, .external_lex_state = 3},
  [17552] = {.lex_state = 382, .external_lex_state = 3},
  [17553] = {.lex_state = 25, .external_lex_state = 3},
  [17554] = {.lex_state = 382, .external_lex_state = 3},
  [17555] = {.lex_state = 100, .external_lex_state = 3},
  [17556] = {.lex_state = 382, .external_lex_state = 3},
  [17557] = {.lex_state = 382, .external_lex_state = 3},
  [17558] = {.lex_state = 425, .external_lex_state = 3},
  [17559] = {.lex_state = 100, .external_lex_state = 3},
  [17560] = {.lex_state = 15, .external_lex_state = 3},
  [17561] = {.lex_state = 15, .external_lex_state = 3},
  [17562] = {.lex_state = 382, .external_lex_state = 3},
  [17563] = {.lex_state = 412, .external_lex_state = 3},
  [17564] = {.lex_state = 15, .external_lex_state = 3},
  [17565] = {.lex_state = 205, .external_lex_state = 3},
  [17566] = {.lex_state = 412, .external_lex_state = 3},
  [17567] = {.lex_state = 25, .external_lex_state = 3},
  [17568] = {.lex_state = 412, .external_lex_state = 3},
  [17569] = {.lex_state = 205, .external_lex_state = 3},
  [17570] = {.lex_state = 100, .external_lex_state = 3},
  [17571] = {.lex_state = 100, .external_lex_state = 3},
  [17572] = {.lex_state = 25, .external_lex_state = 3},
  [17573] = {.lex_state = 15, .external_lex_state = 3},
  [17574] = {.lex_state = 100, .external_lex_state = 3},
  [17575] = {.lex_state = 382, .external_lex_state = 3},
  [17576] = {.lex_state = 382, .external_lex_state = 3},
  [17577] = {.lex_state = 15, .external_lex_state = 3},
  [17578] = {.lex_state = 412, .external_lex_state = 3},
  [17579] = {.lex_state = 100, .external_lex_state = 3},
  [17580] = {.lex_state = 15, .external_lex_state = 3},
  [17581] = {.lex_state = 382, .external_lex_state = 3},
  [17582] = {.lex_state = 412, .external_lex_state = 3},
  [17583] = {.lex_state = 15, .external_lex_state = 3},
  [17584] = {.lex_state = 15, .external_lex_state = 3},
  [17585] = {.lex_state = 100, .external_lex_state = 3},
  [17586] = {.lex_state = 412, .external_lex_state = 3},
  [17587] = {.lex_state = 382, .external_lex_state = 3},
  [17588] = {.lex_state = 100, .external_lex_state = 3},
  [17589] = {.lex_state = 412, .external_lex_state = 3},
  [17590] = {.lex_state = 15, .external_lex_state = 3},
  [17591] = {.lex_state = 99, .external_lex_state = 3},
  [17592] = {.lex_state = 412, .external_lex_state = 3},
  [17593] = {.lex_state = 211, .external_lex_state = 8},
  [17594] = {.lex_state = 99, .external_lex_state = 3},
  [17595] = {.lex_state = 100, .external_lex_state = 3},
  [17596] = {.lex_state = 412, .external_lex_state = 3},
  [17597] = {.lex_state = 211, .external_lex_state = 8},
  [17598] = {.lex_state = 100, .external_lex_state = 3},
  [17599] = {.lex_state = 425, .external_lex_state = 3},
  [17600] = {.lex_state = 382, .external_lex_state = 3},
  [17601] = {.lex_state = 382, .external_lex_state = 3},
  [17602] = {.lex_state = 15, .external_lex_state = 3},
  [17603] = {.lex_state = 382, .external_lex_state = 3},
  [17604] = {.lex_state = 382, .external_lex_state = 3},
  [17605] = {.lex_state = 100, .external_lex_state = 3},
  [17606] = {.lex_state = 100, .external_lex_state = 3},
  [17607] = {.lex_state = 100, .external_lex_state = 3},
  [17608] = {.lex_state = 425, .external_lex_state = 3},
  [17609] = {.lex_state = 24, .external_lex_state = 3},
  [17610] = {.lex_state = 100, .external_lex_state = 3},
  [17611] = {.lex_state = 412, .external_lex_state = 3},
  [17612] = {.lex_state = 382, .external_lex_state = 3},
  [17613] = {.lex_state = 100, .external_lex_state = 3},
  [17614] = {.lex_state = 412, .external_lex_state = 3},
  [17615] = {.lex_state = 15, .external_lex_state = 3},
  [17616] = {.lex_state = 15, .external_lex_state = 3},
  [17617] = {.lex_state = 100, .external_lex_state = 3},
  [17618] = {.lex_state = 100, .external_lex_state = 3},
  [17619] = {.lex_state = 412, .external_lex_state = 3},
  [17620] = {.lex_state = 15, .external_lex_state = 3},
  [17621] = {.lex_state = 100, .external_lex_state = 3},
  [17622] = {.lex_state = 412, .external_lex_state = 3},
  [17623] = {.lex_state = 100, .external_lex_state = 3},
  [17624] = {.lex_state = 211, .external_lex_state = 8},
  [17625] = {.lex_state = 382, .external_lex_state = 3},
  [17626] = {.lex_state = 15, .external_lex_state = 3},
  [17627] = {.lex_state = 100, .external_lex_state = 3},
  [17628] = {.lex_state = 15, .external_lex_state = 3},
  [17629] = {.lex_state = 100, .external_lex_state = 3},
  [17630] = {.lex_state = 412, .external_lex_state = 3},
  [17631] = {.lex_state = 412, .external_lex_state = 3},
  [17632] = {.lex_state = 25, .external_lex_state = 3},
  [17633] = {.lex_state = 15, .external_lex_state = 3},
  [17634] = {.lex_state = 100, .external_lex_state = 3},
  [17635] = {.lex_state = 382, .external_lex_state = 3},
  [17636] = {.lex_state = 382, .external_lex_state = 3},
  [17637] = {.lex_state = 412, .external_lex_state = 3},
  [17638] = {.lex_state = 382, .external_lex_state = 3},
  [17639] = {.lex_state = 100, .external_lex_state = 3},
  [17640] = {.lex_state = 425, .external_lex_state = 3},
  [17641] = {.lex_state = 15, .external_lex_state = 3},
  [17642] = {.lex_state = 99, .external_lex_state = 3},
  [17643] = {.lex_state = 412, .external_lex_state = 3},
  [17644] = {.lex_state = 15, .external_lex_state = 3},
  [17645] = {.lex_state = 412, .external_lex_state = 3},
  [17646] = {.lex_state = 382, .external_lex_state = 3},
  [17647] = {.lex_state = 382, .external_lex_state = 3},
  [17648] = {.lex_state = 15, .external_lex_state = 3},
  [17649] = {.lex_state = 425, .external_lex_state = 3},
  [17650] = {.lex_state = 100, .external_lex_state = 3},
  [17651] = {.lex_state = 412, .external_lex_state = 3},
  [17652] = {.lex_state = 100, .external_lex_state = 3},
  [17653] = {.lex_state = 382, .external_lex_state = 3},
  [17654] = {.lex_state = 15, .external_lex_state = 3},
  [17655] = {.lex_state = 100, .external_lex_state = 3},
  [17656] = {.lex_state = 412, .external_lex_state = 3},
  [17657] = {.lex_state = 25, .external_lex_state = 3},
  [17658] = {.lex_state = 15, .external_lex_state = 3},
  [17659] = {.lex_state = 99, .external_lex_state = 3},
  [17660] = {.lex_state = 382, .external_lex_state = 3},
  [17661] = {.lex_state = 382, .external_lex_state = 3},
  [17662] = {.lex_state = 425, .external_lex_state = 3},
  [17663] = {.lex_state = 100, .external_lex_state = 3},
  [17664] = {.lex_state = 100, .external_lex_state = 3},
  [17665] = {.lex_state = 15, .external_lex_state = 3},
  [17666] = {.lex_state = 15, .external_lex_state = 3},
  [17667] = {.lex_state = 382, .external_lex_state = 3},
  [17668] = {.lex_state = 205, .external_lex_state = 3},
  [17669] = {.lex_state = 205, .external_lex_state = 3},
  [17670] = {.lex_state = 25, .external_lex_state = 3},
  [17671] = {.lex_state = 412, .external_lex_state = 3},
  [17672] = {.lex_state = 412, .external_lex_state = 3},
  [17673] = {.lex_state = 382, .external_lex_state = 3},
  [17674] = {.lex_state = 382, .external_lex_state = 3},
  [17675] = {.lex_state = 15, .external_lex_state = 3},
  [17676] = {.lex_state = 382, .external_lex_state = 3},
  [17677] = {.lex_state = 25, .external_lex_state = 3},
  [17678] = {.lex_state = 382, .external_lex_state = 3},
  [17679] = {.lex_state = 425, .external_lex_state = 3},
  [17680] = {.lex_state = 382, .external_lex_state = 3},
  [17681] = {.lex_state = 205, .external_lex_state = 3},
  [17682] = {.lex_state = 100, .external_lex_state = 3},
  [17683] = {.lex_state = 382, .external_lex_state = 3},
  [17684] = {.lex_state = 100, .external_lex_state = 3},
  [17685] = {.lex_state = 15, .external_lex_state = 3},
  [17686] = {.lex_state = 15, .external_lex_state = 3},
  [17687] = {.lex_state = 382, .external_lex_state = 3},
  [17688] = {.lex_state = 412, .external_lex_state = 3},
  [17689] = {.lex_state = 100, .external_lex_state = 3},
  [17690] = {.lex_state = 15, .external_lex_state = 3},
  [17691] = {.lex_state = 382, .external_lex_state = 3},
  [17692] = {.lex_state = 15, .external_lex_state = 3},
  [17693] = {.lex_state = 412, .external_lex_state = 3},
  [17694] = {.lex_state = 100, .external_lex_state = 3},
  [17695] = {.lex_state = 382, .external_lex_state = 3},
  [17696] = {.lex_state = 15, .external_lex_state = 3},
  [17697] = {.lex_state = 100, .external_lex_state = 3},
  [17698] = {.lex_state = 100, .external_lex_state = 3},
  [17699] = {.lex_state = 100, .external_lex_state = 3},
  [17700] = {.lex_state = 425, .external_lex_state = 3},
  [17701] = {.lex_state = 382, .external_lex_state = 3},
  [17702] = {.lex_state = 99, .external_lex_state = 3},
  [17703] = {.lex_state = 15, .external_lex_state = 3},
  [17704] = {.lex_state = 382, .external_lex_state = 3},
  [17705] = {.lex_state = 100, .external_lex_state = 3},
  [17706] = {.lex_state = 100, .external_lex_state = 3},
  [17707] = {.lex_state = 15, .external_lex_state = 3},
  [17708] = {.lex_state = 100, .external_lex_state = 3},
  [17709] = {.lex_state = 99, .external_lex_state = 3},
  [17710] = {.lex_state = 100, .external_lex_state = 3},
  [17711] = {.lex_state = 412, .external_lex_state = 3},
  [17712] = {.lex_state = 25, .external_lex_state = 3},
  [17713] = {.lex_state = 100, .external_lex_state = 3},
  [17714] = {.lex_state = 211, .external_lex_state = 8},
  [17715] = {.lex_state = 100, .external_lex_state = 3},
  [17716] = {.lex_state = 412, .external_lex_state = 3},
  [17717] = {.lex_state = 100, .external_lex_state = 3},
  [17718] = {.lex_state = 15, .external_lex_state = 3},
  [17719] = {.lex_state = 15, .external_lex_state = 3},
  [17720] = {.lex_state = 15, .external_lex_state = 3},
  [17721] = {.lex_state = 412, .external_lex_state = 3},
  [17722] = {.lex_state = 100, .external_lex_state = 3},
  [17723] = {.lex_state = 425, .external_lex_state = 3},
  [17724] = {.lex_state = 100, .external_lex_state = 3},
  [17725] = {.lex_state = 412, .external_lex_state = 3},
  [17726] = {.lex_state = 382, .external_lex_state = 3},
  [17727] = {.lex_state = 382, .external_lex_state = 3},
  [17728] = {.lex_state = 382, .external_lex_state = 3},
  [17729] = {.lex_state = 205, .external_lex_state = 3},
  [17730] = {.lex_state = 15, .external_lex_state = 3},
  [17731] = {.lex_state = 382, .external_lex_state = 3},
  [17732] = {.lex_state = 15, .external_lex_state = 3},
  [17733] = {.lex_state = 412, .external_lex_state = 3},
  [17734] = {.lex_state = 100, .external_lex_state = 3},
  [17735] = {.lex_state = 15, .external_lex_state = 3},
  [17736] = {.lex_state = 100, .external_lex_state = 3},
  [17737] = {.lex_state = 100, .external_lex_state = 3},
  [17738] = {.lex_state = 412, .external_lex_state = 3},
  [17739] = {.lex_state = 15, .external_lex_state = 3},
  [17740] = {.lex_state = 412, .external_lex_state = 3},
  [17741] = {.lex_state = 412, .external_lex_state = 3},
  [17742] = {.lex_state = 15, .external_lex_state = 3},
  [17743] = {.lex_state = 205, .external_lex_state = 3},
  [17744] = {.lex_state = 412, .external_lex_state = 3},
  [17745] = {.lex_state = 412, .external_lex_state = 3},
  [17746] = {.lex_state = 15, .external_lex_state = 3},
  [17747] = {.lex_state = 382, .external_lex_state = 3},
  [17748] = {.lex_state = 382, .external_lex_state = 3},
  [17749] = {.lex_state = 382, .external_lex_state = 3},
  [17750] = {.lex_state = 15, .external_lex_state = 3},
  [17751] = {.lex_state = 412, .external_lex_state = 3},
  [17752] = {.lex_state = 382, .external_lex_state = 3},
  [17753] = {.lex_state = 100, .external_lex_state = 3},
  [17754] = {.lex_state = 15, .external_lex_state = 3},
  [17755] = {.lex_state = 382, .external_lex_state = 3},
  [17756] = {.lex_state = 100, .external_lex_state = 3},
  [17757] = {.lex_state = 412, .external_lex_state = 3},
  [17758] = {.lex_state = 205, .external_lex_state = 3},
  [17759] = {.lex_state = 15, .external_lex_state = 3},
  [17760] = {.lex_state = 382, .external_lex_state = 3},
  [17761] = {.lex_state = 15, .external_lex_state = 3},
  [17762] = {.lex_state = 15, .external_lex_state = 3},
  [17763] = {.lex_state = 412, .external_lex_state = 3},
  [17764] = {.lex_state = 382, .external_lex_state = 3},
  [17765] = {.lex_state = 100, .external_lex_state = 3},
  [17766] = {.lex_state = 382, .external_lex_state = 3},
  [17767] = {.lex_state = 15, .external_lex_state = 3},
  [17768] = {.lex_state = 425, .external_lex_state = 3},
  [17769] = {.lex_state = 15, .external_lex_state = 3},
  [17770] = {.lex_state = 15, .external_lex_state = 3},
  [17771] = {.lex_state = 100, .external_lex_state = 3},
  [17772] = {.lex_state = 412, .external_lex_state = 3},
  [17773] = {.lex_state = 412, .external_lex_state = 3},
  [17774] = {.lex_state = 15, .external_lex_state = 3},
  [17775] = {.lex_state = 15, .external_lex_state = 3},
  [17776] = {.lex_state = 15, .external_lex_state = 3},
  [17777] = {.lex_state = 15, .external_lex_state = 3},
  [17778] = {.lex_state = 100, .external_lex_state = 3},
  [17779] = {.lex_state = 412, .external_lex_state = 3},
  [17780] = {.lex_state = 412, .external_lex_state = 3},
  [17781] = {.lex_state = 99, .external_lex_state = 3},
  [17782] = {.lex_state = 382, .external_lex_state = 3},
  [17783] = {.lex_state = 15, .external_lex_state = 3},
  [17784] = {.lex_state = 382, .external_lex_state = 3},
  [17785] = {.lex_state = 100, .external_lex_state = 3},
  [17786] = {.lex_state = 99, .external_lex_state = 3},
  [17787] = {.lex_state = 15, .external_lex_state = 3},
  [17788] = {.lex_state = 100, .external_lex_state = 3},
  [17789] = {.lex_state = 425, .external_lex_state = 3},
  [17790] = {.lex_state = 100, .external_lex_state = 3},
  [17791] = {.lex_state = 100, .external_lex_state = 3},
  [17792] = {.lex_state = 100, .external_lex_state = 3},
  [17793] = {.lex_state = 100, .external_lex_state = 3},
  [17794] = {.lex_state = 412, .external_lex_state = 3},
  [17795] = {.lex_state = 100, .external_lex_state = 3},
  [17796] = {.lex_state = 412, .external_lex_state = 3},
  [17797] = {.lex_state = 211, .external_lex_state = 8},
  [17798] = {.lex_state = 15, .external_lex_state = 3},
  [17799] = {.lex_state = 382, .external_lex_state = 3},
  [17800] = {.lex_state = 382, .external_lex_state = 3},
  [17801] = {.lex_state = 382, .external_lex_state = 3},
  [17802] = {.lex_state = 99, .external_lex_state = 3},
  [17803] = {.lex_state = 412, .external_lex_state = 3},
  [17804] = {.lex_state = 25, .external_lex_state = 3},
  [17805] = {.lex_state = 15, .external_lex_state = 3},
  [17806] = {.lex_state = 100, .external_lex_state = 3},
  [17807] = {.lex_state = 412, .external_lex_state = 3},
  [17808] = {.lex_state = 211, .external_lex_state = 8},
  [17809] = {.lex_state = 15, .external_lex_state = 3},
  [17810] = {.lex_state = 382, .external_lex_state = 3},
  [17811] = {.lex_state = 15, .external_lex_state = 3},
  [17812] = {.lex_state = 382, .external_lex_state = 3},
  [17813] = {.lex_state = 25, .external_lex_state = 3},
  [17814] = {.lex_state = 382, .external_lex_state = 3},
  [17815] = {.lex_state = 382, .external_lex_state = 3},
  [17816] = {.lex_state = 425, .external_lex_state = 3},
  [17817] = {.lex_state = 100, .external_lex_state = 3},
  [17818] = {.lex_state = 15, .external_lex_state = 3},
  [17819] = {.lex_state = 15, .external_lex_state = 3},
  [17820] = {.lex_state = 15, .external_lex_state = 3},
  [17821] = {.lex_state = 382, .external_lex_state = 3},
  [17822] = {.lex_state = 100, .external_lex_state = 3},
  [17823] = {.lex_state = 15, .external_lex_state = 3},
  [17824] = {.lex_state = 100, .external_lex_state = 3},
  [17825] = {.lex_state = 382, .external_lex_state = 3},
  [17826] = {.lex_state = 205, .external_lex_state = 3},
  [17827] = {.lex_state = 15, .external_lex_state = 3},
  [17828] = {.lex_state = 100, .external_lex_state = 3},
  [17829] = {.lex_state = 15, .external_lex_state = 3},
  [17830] = {.lex_state = 412, .external_lex_state = 3},
  [17831] = {.lex_state = 382, .external_lex_state = 3},
  [17832] = {.lex_state = 15, .external_lex_state = 3},
  [17833] = {.lex_state = 412, .external_lex_state = 3},
  [17834] = {.lex_state = 25, .external_lex_state = 3},
  [17835] = {.lex_state = 15, .external_lex_state = 3},
  [17836] = {.lex_state = 15, .external_lex_state = 3},
  [17837] = {.lex_state = 412, .external_lex_state = 3},
  [17838] = {.lex_state = 205, .external_lex_state = 3},
  [17839] = {.lex_state = 382, .external_lex_state = 3},
  [17840] = {.lex_state = 15, .external_lex_state = 3},
  [17841] = {.lex_state = 15, .external_lex_state = 3},
  [17842] = {.lex_state = 15, .external_lex_state = 3},
  [17843] = {.lex_state = 100, .external_lex_state = 3},
  [17844] = {.lex_state = 425, .external_lex_state = 3},
  [17845] = {.lex_state = 382, .external_lex_state = 3},
  [17846] = {.lex_state = 25, .external_lex_state = 3},
  [17847] = {.lex_state = 382, .external_lex_state = 3},
  [17848] = {.lex_state = 100, .external_lex_state = 3},
  [17849] = {.lex_state = 382, .external_lex_state = 3},
  [17850] = {.lex_state = 15, .external_lex_state = 3},
  [17851] = {.lex_state = 100, .external_lex_state = 3},
  [17852] = {.lex_state = 412, .external_lex_state = 3},
  [17853] = {.lex_state = 99, .external_lex_state = 3},
  [17854] = {.lex_state = 25, .external_lex_state = 3},
  [17855] = {.lex_state = 15, .external_lex_state = 3},
  [17856] = {.lex_state = 412, .external_lex_state = 3},
  [17857] = {.lex_state = 15, .external_lex_state = 3},
  [17858] = {.lex_state = 382, .external_lex_state = 3},
  [17859] = {.lex_state = 382, .external_lex_state = 3},
  [17860] = {.lex_state = 412, .external_lex_state = 3},
  [17861] = {.lex_state = 425, .external_lex_state = 3},
  [17862] = {.lex_state = 100, .external_lex_state = 3},
  [17863] = {.lex_state = 100, .external_lex_state = 3},
  [17864] = {.lex_state = 15, .external_lex_state = 3},
  [17865] = {.lex_state = 15, .external_lex_state = 3},
  [17866] = {.lex_state = 382, .external_lex_state = 3},
  [17867] = {.lex_state = 412, .external_lex_state = 3},
  [17868] = {.lex_state = 382, .external_lex_state = 3},
  [17869] = {.lex_state = 15, .external_lex_state = 3},
  [17870] = {.lex_state = 15, .external_lex_state = 3},
  [17871] = {.lex_state = 412, .external_lex_state = 3},
  [17872] = {.lex_state = 25, .external_lex_state = 3},
  [17873] = {.lex_state = 382, .external_lex_state = 3},
  [17874] = {.lex_state = 100, .external_lex_state = 3},
  [17875] = {.lex_state = 382, .external_lex_state = 3},
  [17876] = {.lex_state = 15, .external_lex_state = 3},
  [17877] = {.lex_state = 15, .external_lex_state = 3},
  [17878] = {.lex_state = 382, .external_lex_state = 3},
  [17879] = {.lex_state = 412, .external_lex_state = 3},
  [17880] = {.lex_state = 382, .external_lex_state = 3},
  [17881] = {.lex_state = 15, .external_lex_state = 3},
  [17882] = {.lex_state = 382, .external_lex_state = 3},
  [17883] = {.lex_state = 100, .external_lex_state = 3},
  [17884] = {.lex_state = 382, .external_lex_state = 3},
  [17885] = {.lex_state = 99, .external_lex_state = 3},
  [17886] = {.lex_state = 382, .external_lex_state = 3},
  [17887] = {.lex_state = 15, .external_lex_state = 3},
  [17888] = {.lex_state = 382, .external_lex_state = 3},
  [17889] = {.lex_state = 15, .external_lex_state = 3},
  [17890] = {.lex_state = 15, .external_lex_state = 3},
  [17891] = {.lex_state = 15, .external_lex_state = 3},
  [17892] = {.lex_state = 15, .external_lex_state = 3},
  [17893] = {.lex_state = 412, .external_lex_state = 3},
  [17894] = {.lex_state = 15, .external_lex_state = 3},
  [17895] = {.lex_state = 382, .external_lex_state = 3},
  [17896] = {.lex_state = 412, .external_lex_state = 3},
  [17897] = {.lex_state = 205, .external_lex_state = 3},
  [17898] = {.lex_state = 15, .external_lex_state = 3},
  [17899] = {.lex_state = 100, .external_lex_state = 3},
  [17900] = {.lex_state = 382, .external_lex_state = 3},
  [17901] = {.lex_state = 425, .external_lex_state = 3},
  [17902] = {.lex_state = 412, .external_lex_state = 3},
  [17903] = {.lex_state = 15, .external_lex_state = 3},
  [17904] = {.lex_state = 382, .external_lex_state = 3},
  [17905] = {.lex_state = 100, .external_lex_state = 3},
  [17906] = {.lex_state = 15, .external_lex_state = 3},
  [17907] = {.lex_state = 382, .external_lex_state = 3},
  [17908] = {.lex_state = 15, .external_lex_state = 3},
  [17909] = {.lex_state = 382, .external_lex_state = 3},
  [17910] = {.lex_state = 412, .external_lex_state = 3},
  [17911] = {.lex_state = 15, .external_lex_state = 3},
  [17912] = {.lex_state = 412, .external_lex_state = 3},
  [17913] = {.lex_state = 15, .external_lex_state = 3},
  [17914] = {.lex_state = 15, .external_lex_state = 3},
  [17915] = {.lex_state = 100, .external_lex_state = 3},
  [17916] = {.lex_state = 382, .external_lex_state = 3},
  [17917] = {.lex_state = 100, .external_lex_state = 3},
  [17918] = {.lex_state = 100, .external_lex_state = 3},
  [17919] = {.lex_state = 15, .external_lex_state = 3},
  [17920] = {.lex_state = 100, .external_lex_state = 3},
  [17921] = {.lex_state = 412, .external_lex_state = 3},
  [17922] = {.lex_state = 15, .external_lex_state = 3},
  [17923] = {.lex_state = 412, .external_lex_state = 3},
  [17924] = {.lex_state = 15, .external_lex_state = 3},
  [17925] = {.lex_state = 211, .external_lex_state = 8},
  [17926] = {.lex_state = 382, .external_lex_state = 3},
  [17927] = {.lex_state = 100, .external_lex_state = 3},
  [17928] = {.lex_state = 382, .external_lex_state = 3},
  [17929] = {.lex_state = 15, .external_lex_state = 3},
  [17930] = {.lex_state = 100, .external_lex_state = 3},
  [17931] = {.lex_state = 15, .external_lex_state = 3},
  [17932] = {.lex_state = 15, .external_lex_state = 3},
  [17933] = {.lex_state = 15, .external_lex_state = 3},
  [17934] = {.lex_state = 99, .external_lex_state = 3},
  [17935] = {.lex_state = 15, .external_lex_state = 3},
  [17936] = {.lex_state = 15, .external_lex_state = 3},
  [17937] = {.lex_state = 100, .external_lex_state = 3},
  [17938] = {.lex_state = 100, .external_lex_state = 3},
  [17939] = {.lex_state = 100, .external_lex_state = 3},
  [17940] = {.lex_state = 15, .external_lex_state = 3},
  [17941] = {.lex_state = 15, .external_lex_state = 3},
  [17942] = {.lex_state = 382, .external_lex_state = 3},
  [17943] = {.lex_state = 15, .external_lex_state = 3},
  [17944] = {.lex_state = 15, .external_lex_state = 3},
  [17945] = {.lex_state = 100, .external_lex_state = 3},
  [17946] = {.lex_state = 15, .external_lex_state = 3},
  [17947] = {.lex_state = 15, .external_lex_state = 3},
  [17948] = {.lex_state = 100, .external_lex_state = 3},
  [17949] = {.lex_state = 382, .external_lex_state = 3},
  [17950] = {.lex_state = 205, .external_lex_state = 3},
  [17951] = {.lex_state = 425, .external_lex_state = 3},
  [17952] = {.lex_state = 15, .external_lex_state = 3},
  [17953] = {.lex_state = 15, .external_lex_state = 3},
  [17954] = {.lex_state = 100, .external_lex_state = 3},
  [17955] = {.lex_state = 15, .external_lex_state = 3},
  [17956] = {.lex_state = 99, .external_lex_state = 3},
  [17957] = {.lex_state = 15, .external_lex_state = 3},
  [17958] = {.lex_state = 15, .external_lex_state = 3},
  [17959] = {.lex_state = 15, .external_lex_state = 3},
  [17960] = {.lex_state = 10, .external_lex_state = 3},
  [17961] = {.lex_state = 25, .external_lex_state = 3},
  [17962] = {.lex_state = 15, .external_lex_state = 3},
  [17963] = {.lex_state = 100, .external_lex_state = 3},
  [17964] = {.lex_state = 15, .external_lex_state = 3},
  [17965] = {.lex_state = 382, .external_lex_state = 3},
  [17966] = {.lex_state = 382, .external_lex_state = 3},
  [17967] = {.lex_state = 425, .external_lex_state = 3},
  [17968] = {.lex_state = 100, .external_lex_state = 3},
  [17969] = {.lex_state = 15, .external_lex_state = 3},
  [17970] = {.lex_state = 15, .external_lex_state = 3},
  [17971] = {.lex_state = 100, .external_lex_state = 3},
  [17972] = {.lex_state = 382, .external_lex_state = 3},
  [17973] = {.lex_state = 15, .external_lex_state = 3},
  [17974] = {.lex_state = 382, .external_lex_state = 3},
  [17975] = {.lex_state = 15, .external_lex_state = 3},
  [17976] = {.lex_state = 205, .external_lex_state = 3},
  [17977] = {.lex_state = 100, .external_lex_state = 3},
  [17978] = {.lex_state = 100, .external_lex_state = 3},
  [17979] = {.lex_state = 15, .external_lex_state = 3},
  [17980] = {.lex_state = 382, .external_lex_state = 3},
  [17981] = {.lex_state = 15, .external_lex_state = 3},
  [17982] = {.lex_state = 100, .external_lex_state = 3},
  [17983] = {.lex_state = 25, .external_lex_state = 3},
  [17984] = {.lex_state = 25, .external_lex_state = 3},
  [17985] = {.lex_state = 15, .external_lex_state = 3},
  [17986] = {.lex_state = 382, .external_lex_state = 3},
  [17987] = {.lex_state = 15, .external_lex_state = 3},
  [17988] = {.lex_state = 15, .external_lex_state = 3},
  [17989] = {.lex_state = 100, .external_lex_state = 3},
  [17990] = {.lex_state = 36, .external_lex_state = 3},
  [17991] = {.lex_state = 100, .external_lex_state = 3},
  [17992] = {.lex_state = 15, .external_lex_state = 3},
  [17993] = {.lex_state = 205, .external_lex_state = 3},
  [17994] = {.lex_state = 382, .external_lex_state = 3},
  [17995] = {.lex_state = 15, .external_lex_state = 3},
  [17996] = {.lex_state = 15, .external_lex_state = 3},
  [17997] = {.lex_state = 15, .external_lex_state = 3},
  [17998] = {.lex_state = 100, .external_lex_state = 3},
  [17999] = {.lex_state = 99, .external_lex_state = 3},
  [18000] = {.lex_state = 425, .external_lex_state = 3},
  [18001] = {.lex_state = 100, .external_lex_state = 3},
  [18002] = {.lex_state = 100, .external_lex_state = 3},
  [18003] = {.lex_state = 382, .external_lex_state = 3},
  [18004] = {.lex_state = 100, .external_lex_state = 3},
  [18005] = {.lex_state = 382, .external_lex_state = 3},
  [18006] = {.lex_state = 100, .external_lex_state = 3},
  [18007] = {.lex_state = 382, .external_lex_state = 3},
  [18008] = {.lex_state = 99, .external_lex_state = 3},
  [18009] = {.lex_state = 100, .external_lex_state = 3},
  [18010] = {.lex_state = 382, .external_lex_state = 3},
  [18011] = {.lex_state = 382, .external_lex_state = 3},
  [18012] = {.lex_state = 382, .external_lex_state = 3},
  [18013] = {.lex_state = 25, .external_lex_state = 3},
  [18014] = {.lex_state = 382, .external_lex_state = 3},
  [18015] = {.lex_state = 15, .external_lex_state = 3},
  [18016] = {.lex_state = 382, .external_lex_state = 3},
  [18017] = {.lex_state = 205, .external_lex_state = 3},
  [18018] = {.lex_state = 382, .external_lex_state = 3},
  [18019] = {.lex_state = 382, .external_lex_state = 3},
  [18020] = {.lex_state = 100, .external_lex_state = 3},
  [18021] = {.lex_state = 211, .external_lex_state = 8},
  [18022] = {.lex_state = 15, .external_lex_state = 3},
  [18023] = {.lex_state = 100, .external_lex_state = 3},
  [18024] = {.lex_state = 100, .external_lex_state = 3},
  [18025] = {.lex_state = 15, .external_lex_state = 3},
  [18026] = {.lex_state = 100, .external_lex_state = 3},
  [18027] = {.lex_state = 100, .external_lex_state = 3},
  [18028] = {.lex_state = 15, .external_lex_state = 3},
  [18029] = {.lex_state = 425, .external_lex_state = 3},
  [18030] = {.lex_state = 99, .external_lex_state = 3},
  [18031] = {.lex_state = 100, .external_lex_state = 3},
  [18032] = {.lex_state = 100, .external_lex_state = 3},
  [18033] = {.lex_state = 382, .external_lex_state = 3},
  [18034] = {.lex_state = 382, .external_lex_state = 3},
  [18035] = {.lex_state = 382, .external_lex_state = 3},
  [18036] = {.lex_state = 100, .external_lex_state = 3},
  [18037] = {.lex_state = 382, .external_lex_state = 3},
  [18038] = {.lex_state = 100, .external_lex_state = 3},
  [18039] = {.lex_state = 382, .external_lex_state = 3},
  [18040] = {.lex_state = 382, .external_lex_state = 3},
  [18041] = {.lex_state = 99, .external_lex_state = 3},
  [18042] = {.lex_state = 382, .external_lex_state = 3},
  [18043] = {.lex_state = 15, .external_lex_state = 3},
  [18044] = {.lex_state = 15, .external_lex_state = 3},
  [18045] = {.lex_state = 15, .external_lex_state = 3},
  [18046] = {.lex_state = 15, .external_lex_state = 3},
  [18047] = {.lex_state = 382, .external_lex_state = 3},
  [18048] = {.lex_state = 100, .external_lex_state = 3},
  [18049] = {.lex_state = 100, .external_lex_state = 3},
  [18050] = {.lex_state = 100, .external_lex_state = 3},
  [18051] = {.lex_state = 100, .external_lex_state = 3},
  [18052] = {.lex_state = 382, .external_lex_state = 3},
  [18053] = {.lex_state = 15, .external_lex_state = 3},
  [18054] = {.lex_state = 100, .external_lex_state = 3},
  [18055] = {.lex_state = 100, .external_lex_state = 3},
  [18056] = {.lex_state = 412, .external_lex_state = 3},
  [18057] = {.lex_state = 100, .external_lex_state = 3},
  [18058] = {.lex_state = 100, .external_lex_state = 3},
  [18059] = {.lex_state = 100, .external_lex_state = 3},
  [18060] = {.lex_state = 99, .external_lex_state = 3},
  [18061] = {.lex_state = 211, .external_lex_state = 8},
  [18062] = {.lex_state = 15, .external_lex_state = 3},
  [18063] = {.lex_state = 100, .external_lex_state = 3},
  [18064] = {.lex_state = 15, .external_lex_state = 3},
  [18065] = {.lex_state = 100, .external_lex_state = 3},
  [18066] = {.lex_state = 15, .external_lex_state = 3},
  [18067] = {.lex_state = 412, .external_lex_state = 3},
  [18068] = {.lex_state = 100, .external_lex_state = 3},
  [18069] = {.lex_state = 382, .external_lex_state = 3},
  [18070] = {.lex_state = 382, .external_lex_state = 3},
  [18071] = {.lex_state = 15, .external_lex_state = 3},
  [18072] = {.lex_state = 15, .external_lex_state = 3},
  [18073] = {.lex_state = 100, .external_lex_state = 3},
  [18074] = {.lex_state = 15, .external_lex_state = 3},
  [18075] = {.lex_state = 15, .external_lex_state = 3},
  [18076] = {.lex_state = 100, .external_lex_state = 3},
  [18077] = {.lex_state = 15, .external_lex_state = 3},
  [18078] = {.lex_state = 100, .external_lex_state = 3},
  [18079] = {.lex_state = 100, .external_lex_state = 3},
  [18080] = {.lex_state = 15, .external_lex_state = 3},
  [18081] = {.lex_state = 100, .external_lex_state = 3},
  [18082] = {.lex_state = 205, .external_lex_state = 3},
  [18083] = {.lex_state = 100, .external_lex_state = 3},
  [18084] = {.lex_state = 15, .external_lex_state = 3},
  [18085] = {.lex_state = 15, .external_lex_state = 3},
  [18086] = {.lex_state = 15, .external_lex_state = 3},
  [18087] = {.lex_state = 15, .external_lex_state = 3},
  [18088] = {.lex_state = 100, .external_lex_state = 3},
  [18089] = {.lex_state = 100, .external_lex_state = 3},
  [18090] = {.lex_state = 15, .external_lex_state = 3},
  [18091] = {.lex_state = 382, .external_lex_state = 3},
  [18092] = {.lex_state = 100, .external_lex_state = 3},
  [18093] = {.lex_state = 15, .external_lex_state = 3},
  [18094] = {.lex_state = 100, .external_lex_state = 3},
  [18095] = {.lex_state = 382, .external_lex_state = 3},
  [18096] = {.lex_state = 99, .external_lex_state = 3},
  [18097] = {.lex_state = 382, .external_lex_state = 3},
  [18098] = {.lex_state = 15, .external_lex_state = 3},
  [18099] = {.lex_state = 382, .external_lex_state = 3},
  [18100] = {.lex_state = 99, .external_lex_state = 3},
  [18101] = {.lex_state = 100, .external_lex_state = 3},
  [18102] = {.lex_state = 382, .external_lex_state = 3},
  [18103] = {.lex_state = 15, .external_lex_state = 3},
  [18104] = {.lex_state = 15, .external_lex_state = 3},
  [18105] = {.lex_state = 100, .external_lex_state = 3},
  [18106] = {.lex_state = 15, .external_lex_state = 3},
  [18107] = {.lex_state = 382, .external_lex_state = 3},
  [18108] = {.lex_state = 382, .external_lex_state = 3},
  [18109] = {.lex_state = 100, .external_lex_state = 3},
  [18110] = {.lex_state = 100, .external_lex_state = 3},
  [18111] = {.lex_state = 382, .external_lex_state = 3},
  [18112] = {.lex_state = 382, .external_lex_state = 3},
  [18113] = {.lex_state = 382, .external_lex_state = 3},
  [18114] = {.lex_state = 382, .external_lex_state = 3},
  [18115] = {.lex_state = 15, .external_lex_state = 3},
  [18116] = {.lex_state = 425, .external_lex_state = 3},
  [18117] = {.lex_state = 15, .external_lex_state = 3},
  [18118] = {.lex_state = 25, .external_lex_state = 3},
  [18119] = {.lex_state = 100, .external_lex_state = 3},
  [18120] = {.lex_state = 205, .external_lex_state = 3},
  [18121] = {.lex_state = 382, .external_lex_state = 3},
  [18122] = {.lex_state = 382, .external_lex_state = 3},
  [18123] = {.lex_state = 425, .external_lex_state = 3},
  [18124] = {.lex_state = 100, .external_lex_state = 3},
  [18125] = {.lex_state = 100, .external_lex_state = 3},
  [18126] = {.lex_state = 15, .external_lex_state = 3},
  [18127] = {.lex_state = 205, .external_lex_state = 3},
  [18128] = {.lex_state = 15, .external_lex_state = 3},
  [18129] = {.lex_state = 25, .external_lex_state = 3},
  [18130] = {.lex_state = 412, .external_lex_state = 3},
  [18131] = {.lex_state = 382, .external_lex_state = 3},
  [18132] = {.lex_state = 412, .external_lex_state = 3},
  [18133] = {.lex_state = 15, .external_lex_state = 3},
  [18134] = {.lex_state = 382, .external_lex_state = 3},
  [18135] = {.lex_state = 15, .external_lex_state = 3},
  [18136] = {.lex_state = 382, .external_lex_state = 3},
  [18137] = {.lex_state = 382, .external_lex_state = 3},
  [18138] = {.lex_state = 382, .external_lex_state = 3},
  [18139] = {.lex_state = 15, .external_lex_state = 3},
  [18140] = {.lex_state = 382, .external_lex_state = 3},
  [18141] = {.lex_state = 382, .external_lex_state = 3},
  [18142] = {.lex_state = 412, .external_lex_state = 3},
  [18143] = {.lex_state = 15, .external_lex_state = 3},
  [18144] = {.lex_state = 15, .external_lex_state = 3},
  [18145] = {.lex_state = 382, .external_lex_state = 3},
  [18146] = {.lex_state = 382, .external_lex_state = 3},
  [18147] = {.lex_state = 15, .external_lex_state = 3},
  [18148] = {.lex_state = 382, .external_lex_state = 3},
  [18149] = {.lex_state = 382, .external_lex_state = 3},
  [18150] = {.lex_state = 382, .external_lex_state = 3},
  [18151] = {.lex_state = 15, .external_lex_state = 3},
  [18152] = {.lex_state = 15, .external_lex_state = 3},
  [18153] = {.lex_state = 15, .external_lex_state = 3},
  [18154] = {.lex_state = 382, .external_lex_state = 3},
  [18155] = {.lex_state = 15, .external_lex_state = 3},
  [18156] = {.lex_state = 382, .external_lex_state = 3},
  [18157] = {.lex_state = 36, .external_lex_state = 3},
  [18158] = {.lex_state = 382, .external_lex_state = 3},
  [18159] = {.lex_state = 15, .external_lex_state = 3},
  [18160] = {.lex_state = 15, .external_lex_state = 3},
  [18161] = {.lex_state = 382, .external_lex_state = 3},
  [18162] = {.lex_state = 8, .external_lex_state = 3},
  [18163] = {.lex_state = 15, .external_lex_state = 3},
  [18164] = {.lex_state = 100, .external_lex_state = 3},
  [18165] = {.lex_state = 412, .external_lex_state = 3},
  [18166] = {.lex_state = 15, .external_lex_state = 3},
  [18167] = {.lex_state = 412, .external_lex_state = 3},
  [18168] = {.lex_state = 412, .external_lex_state = 3},
  [18169] = {.lex_state = 412, .external_lex_state = 3},
  [18170] = {.lex_state = 15, .external_lex_state = 3},
  [18171] = {.lex_state = 36, .external_lex_state = 3},
  [18172] = {.lex_state = 15, .external_lex_state = 3},
  [18173] = {.lex_state = 15, .external_lex_state = 3},
  [18174] = {.lex_state = 382, .external_lex_state = 3},
  [18175] = {.lex_state = 15, .external_lex_state = 3},
  [18176] = {.lex_state = 100, .external_lex_state = 3},
  [18177] = {.lex_state = 15, .external_lex_state = 3},
  [18178] = {.lex_state = 382, .external_lex_state = 3},
  [18179] = {.lex_state = 15, .external_lex_state = 3},
  [18180] = {.lex_state = 15, .external_lex_state = 3},
  [18181] = {.lex_state = 382, .external_lex_state = 3},
  [18182] = {.lex_state = 382, .external_lex_state = 3},
  [18183] = {.lex_state = 15, .external_lex_state = 3},
  [18184] = {.lex_state = 382, .external_lex_state = 3},
  [18185] = {.lex_state = 15, .external_lex_state = 3},
  [18186] = {.lex_state = 412, .external_lex_state = 3},
  [18187] = {.lex_state = 412, .external_lex_state = 3},
  [18188] = {.lex_state = 15, .external_lex_state = 3},
  [18189] = {.lex_state = 382, .external_lex_state = 3},
  [18190] = {.lex_state = 15, .external_lex_state = 3},
  [18191] = {.lex_state = 412, .external_lex_state = 3},
  [18192] = {.lex_state = 382, .external_lex_state = 3},
  [18193] = {.lex_state = 15, .external_lex_state = 3},
  [18194] = {.lex_state = 412, .external_lex_state = 3},
  [18195] = {.lex_state = 36, .external_lex_state = 3},
  [18196] = {.lex_state = 412, .external_lex_state = 3},
  [18197] = {.lex_state = 412, .external_lex_state = 3},
  [18198] = {.lex_state = 15, .external_lex_state = 3},
  [18199] = {.lex_state = 15, .external_lex_state = 3},
  [18200] = {.lex_state = 382, .external_lex_state = 3},
  [18201] = {.lex_state = 382, .external_lex_state = 3},
  [18202] = {.lex_state = 36, .external_lex_state = 3},
  [18203] = {.lex_state = 382, .external_lex_state = 3},
  [18204] = {.lex_state = 15, .external_lex_state = 3},
  [18205] = {.lex_state = 382, .external_lex_state = 3},
  [18206] = {.lex_state = 36, .external_lex_state = 3},
  [18207] = {.lex_state = 382, .external_lex_state = 3},
  [18208] = {.lex_state = 15, .external_lex_state = 3},
  [18209] = {.lex_state = 8, .external_lex_state = 3},
  [18210] = {.lex_state = 382, .external_lex_state = 3},
  [18211] = {.lex_state = 15, .external_lex_state = 3},
  [18212] = {.lex_state = 412, .external_lex_state = 3},
  [18213] = {.lex_state = 100, .external_lex_state = 3},
  [18214] = {.lex_state = 382, .external_lex_state = 3},
  [18215] = {.lex_state = 15, .external_lex_state = 3},
  [18216] = {.lex_state = 412, .external_lex_state = 3},
  [18217] = {.lex_state = 15, .external_lex_state = 3},
  [18218] = {.lex_state = 15, .external_lex_state = 3},
  [18219] = {.lex_state = 382, .external_lex_state = 3},
  [18220] = {.lex_state = 382, .external_lex_state = 3},
  [18221] = {.lex_state = 382, .external_lex_state = 8},
  [18222] = {.lex_state = 15, .external_lex_state = 3},
  [18223] = {.lex_state = 382, .external_lex_state = 3},
  [18224] = {.lex_state = 412, .external_lex_state = 3},
  [18225] = {.lex_state = 15, .external_lex_state = 3},
  [18226] = {.lex_state = 100, .external_lex_state = 3},
  [18227] = {.lex_state = 100, .external_lex_state = 3},
  [18228] = {.lex_state = 100, .external_lex_state = 3},
  [18229] = {.lex_state = 382, .external_lex_state = 3},
  [18230] = {.lex_state = 15, .external_lex_state = 3},
  [18231] = {.lex_state = 15, .external_lex_state = 3},
  [18232] = {.lex_state = 382, .external_lex_state = 3},
  [18233] = {.lex_state = 15, .external_lex_state = 3},
  [18234] = {.lex_state = 15, .external_lex_state = 3},
  [18235] = {.lex_state = 15, .external_lex_state = 3},
  [18236] = {.lex_state = 15, .external_lex_state = 3},
  [18237] = {.lex_state = 15, .external_lex_state = 3},
  [18238] = {.lex_state = 382, .external_lex_state = 3},
  [18239] = {.lex_state = 15, .external_lex_state = 3},
  [18240] = {.lex_state = 382, .external_lex_state = 8},
  [18241] = {.lex_state = 382, .external_lex_state = 8},
  [18242] = {.lex_state = 382, .external_lex_state = 3},
  [18243] = {.lex_state = 15, .external_lex_state = 3},
  [18244] = {.lex_state = 412, .external_lex_state = 3},
  [18245] = {.lex_state = 15, .external_lex_state = 3},
  [18246] = {.lex_state = 15, .external_lex_state = 3},
  [18247] = {.lex_state = 382, .external_lex_state = 3},
  [18248] = {.lex_state = 100, .external_lex_state = 3},
  [18249] = {.lex_state = 100, .external_lex_state = 3},
  [18250] = {.lex_state = 100, .external_lex_state = 3},
  [18251] = {.lex_state = 15, .external_lex_state = 3},
  [18252] = {.lex_state = 382, .external_lex_state = 3},
  [18253] = {.lex_state = 382, .external_lex_state = 3},
  [18254] = {.lex_state = 15, .external_lex_state = 3},
  [18255] = {.lex_state = 382, .external_lex_state = 3},
  [18256] = {.lex_state = 382, .external_lex_state = 3},
  [18257] = {.lex_state = 36, .external_lex_state = 3},
  [18258] = {.lex_state = 15, .external_lex_state = 3},
  [18259] = {.lex_state = 412, .external_lex_state = 3},
  [18260] = {.lex_state = 15, .external_lex_state = 3},
  [18261] = {.lex_state = 15, .external_lex_state = 3},
  [18262] = {.lex_state = 36, .external_lex_state = 3},
  [18263] = {.lex_state = 36, .external_lex_state = 3},
  [18264] = {.lex_state = 382, .external_lex_state = 3},
  [18265] = {.lex_state = 382, .external_lex_state = 3},
  [18266] = {.lex_state = 15, .external_lex_state = 3},
  [18267] = {.lex_state = 382, .external_lex_state = 3},
  [18268] = {.lex_state = 173, .external_lex_state = 3},
  [18269] = {.lex_state = 382, .external_lex_state = 3},
  [18270] = {.lex_state = 15, .external_lex_state = 3},
  [18271] = {.lex_state = 15, .external_lex_state = 3},
  [18272] = {.lex_state = 382, .external_lex_state = 3},
  [18273] = {.lex_state = 382, .external_lex_state = 3},
  [18274] = {.lex_state = 382, .external_lex_state = 3},
  [18275] = {.lex_state = 412, .external_lex_state = 3},
  [18276] = {.lex_state = 382, .external_lex_state = 8},
  [18277] = {.lex_state = 15, .external_lex_state = 3},
  [18278] = {.lex_state = 15, .external_lex_state = 3},
  [18279] = {.lex_state = 8, .external_lex_state = 3},
  [18280] = {.lex_state = 382, .external_lex_state = 3},
  [18281] = {.lex_state = 412, .external_lex_state = 3},
  [18282] = {.lex_state = 15, .external_lex_state = 3},
  [18283] = {.lex_state = 382, .external_lex_state = 3},
  [18284] = {.lex_state = 382, .external_lex_state = 3},
  [18285] = {.lex_state = 382, .external_lex_state = 3},
  [18286] = {.lex_state = 15, .external_lex_state = 3},
  [18287] = {.lex_state = 15, .external_lex_state = 3},
  [18288] = {.lex_state = 412, .external_lex_state = 3},
  [18289] = {.lex_state = 15, .external_lex_state = 3},
  [18290] = {.lex_state = 412, .external_lex_state = 3},
  [18291] = {.lex_state = 36, .external_lex_state = 3},
  [18292] = {.lex_state = 412, .external_lex_state = 3},
  [18293] = {.lex_state = 15, .external_lex_state = 3},
  [18294] = {.lex_state = 412, .external_lex_state = 3},
  [18295] = {.lex_state = 382, .external_lex_state = 3},
  [18296] = {.lex_state = 382, .external_lex_state = 3},
  [18297] = {.lex_state = 412, .external_lex_state = 3},
  [18298] = {.lex_state = 36, .external_lex_state = 3},
  [18299] = {.lex_state = 100, .external_lex_state = 3},
  [18300] = {.lex_state = 15, .external_lex_state = 3},
  [18301] = {.lex_state = 15, .external_lex_state = 3},
  [18302] = {.lex_state = 100, .external_lex_state = 3},
  [18303] = {.lex_state = 15, .external_lex_state = 3},
  [18304] = {.lex_state = 132, .external_lex_state = 3},
  [18305] = {.lex_state = 412, .external_lex_state = 3},
  [18306] = {.lex_state = 15, .external_lex_state = 3},
  [18307] = {.lex_state = 15, .external_lex_state = 3},
  [18308] = {.lex_state = 15, .external_lex_state = 3},
  [18309] = {.lex_state = 382, .external_lex_state = 3},
  [18310] = {.lex_state = 100, .external_lex_state = 3},
  [18311] = {.lex_state = 382, .external_lex_state = 8},
  [18312] = {.lex_state = 382, .external_lex_state = 3},
  [18313] = {.lex_state = 15, .external_lex_state = 3},
  [18314] = {.lex_state = 412, .external_lex_state = 3},
  [18315] = {.lex_state = 382, .external_lex_state = 3},
  [18316] = {.lex_state = 382, .external_lex_state = 3},
  [18317] = {.lex_state = 382, .external_lex_state = 3},
  [18318] = {.lex_state = 15, .external_lex_state = 3},
  [18319] = {.lex_state = 382, .external_lex_state = 3},
  [18320] = {.lex_state = 382, .external_lex_state = 3},
  [18321] = {.lex_state = 382, .external_lex_state = 3},
  [18322] = {.lex_state = 382, .external_lex_state = 3},
  [18323] = {.lex_state = 382, .external_lex_state = 3},
  [18324] = {.lex_state = 15, .external_lex_state = 3},
  [18325] = {.lex_state = 382, .external_lex_state = 3},
  [18326] = {.lex_state = 382, .external_lex_state = 3},
  [18327] = {.lex_state = 382, .external_lex_state = 3},
  [18328] = {.lex_state = 132, .external_lex_state = 3},
  [18329] = {.lex_state = 412, .external_lex_state = 3},
  [18330] = {.lex_state = 382, .external_lex_state = 3},
  [18331] = {.lex_state = 15, .external_lex_state = 3},
  [18332] = {.lex_state = 15, .external_lex_state = 3},
  [18333] = {.lex_state = 15, .external_lex_state = 3},
  [18334] = {.lex_state = 100, .external_lex_state = 3},
  [18335] = {.lex_state = 412, .external_lex_state = 3},
  [18336] = {.lex_state = 412, .external_lex_state = 3},
  [18337] = {.lex_state = 382, .external_lex_state = 3},
  [18338] = {.lex_state = 36, .external_lex_state = 3},
  [18339] = {.lex_state = 15, .external_lex_state = 3},
  [18340] = {.lex_state = 15, .external_lex_state = 3},
  [18341] = {.lex_state = 412, .external_lex_state = 3},
  [18342] = {.lex_state = 382, .external_lex_state = 3},
  [18343] = {.lex_state = 382, .external_lex_state = 3},
  [18344] = {.lex_state = 15, .external_lex_state = 3},
  [18345] = {.lex_state = 382, .external_lex_state = 3},
  [18346] = {.lex_state = 15, .external_lex_state = 3},
  [18347] = {.lex_state = 15, .external_lex_state = 3},
  [18348] = {.lex_state = 382, .external_lex_state = 3},
  [18349] = {.lex_state = 382, .external_lex_state = 3},
  [18350] = {.lex_state = 382, .external_lex_state = 3},
  [18351] = {.lex_state = 412, .external_lex_state = 3},
  [18352] = {.lex_state = 382, .external_lex_state = 3},
  [18353] = {.lex_state = 15, .external_lex_state = 3},
  [18354] = {.lex_state = 412, .external_lex_state = 3},
  [18355] = {.lex_state = 412, .external_lex_state = 3},
  [18356] = {.lex_state = 382, .external_lex_state = 3},
  [18357] = {.lex_state = 15, .external_lex_state = 3},
  [18358] = {.lex_state = 382, .external_lex_state = 3},
  [18359] = {.lex_state = 15, .external_lex_state = 3},
  [18360] = {.lex_state = 412, .external_lex_state = 3},
  [18361] = {.lex_state = 382, .external_lex_state = 3},
  [18362] = {.lex_state = 15, .external_lex_state = 3},
  [18363] = {.lex_state = 36, .external_lex_state = 3},
  [18364] = {.lex_state = 15, .external_lex_state = 3},
  [18365] = {.lex_state = 15, .external_lex_state = 3},
  [18366] = {.lex_state = 382, .external_lex_state = 3},
  [18367] = {.lex_state = 15, .external_lex_state = 3},
  [18368] = {.lex_state = 412, .external_lex_state = 3},
  [18369] = {.lex_state = 412, .external_lex_state = 3},
  [18370] = {.lex_state = 15, .external_lex_state = 3},
  [18371] = {.lex_state = 15, .external_lex_state = 3},
  [18372] = {.lex_state = 8, .external_lex_state = 3},
  [18373] = {.lex_state = 382, .external_lex_state = 3},
  [18374] = {.lex_state = 382, .external_lex_state = 3},
  [18375] = {.lex_state = 382, .external_lex_state = 3},
  [18376] = {.lex_state = 15, .external_lex_state = 3},
  [18377] = {.lex_state = 132, .external_lex_state = 3},
  [18378] = {.lex_state = 382, .external_lex_state = 8},
  [18379] = {.lex_state = 382, .external_lex_state = 3},
  [18380] = {.lex_state = 382, .external_lex_state = 3},
  [18381] = {.lex_state = 8, .external_lex_state = 3},
  [18382] = {.lex_state = 15, .external_lex_state = 3},
  [18383] = {.lex_state = 412, .external_lex_state = 3},
  [18384] = {.lex_state = 412, .external_lex_state = 3},
  [18385] = {.lex_state = 36, .external_lex_state = 3},
  [18386] = {.lex_state = 15, .external_lex_state = 3},
  [18387] = {.lex_state = 382, .external_lex_state = 3},
  [18388] = {.lex_state = 15, .external_lex_state = 3},
  [18389] = {.lex_state = 382, .external_lex_state = 3},
  [18390] = {.lex_state = 412, .external_lex_state = 3},
  [18391] = {.lex_state = 15, .external_lex_state = 3},
  [18392] = {.lex_state = 15, .external_lex_state = 3},
  [18393] = {.lex_state = 15, .external_lex_state = 3},
  [18394] = {.lex_state = 15, .external_lex_state = 3},
  [18395] = {.lex_state = 382, .external_lex_state = 3},
  [18396] = {.lex_state = 382, .external_lex_state = 3},
  [18397] = {.lex_state = 382, .external_lex_state = 8},
  [18398] = {.lex_state = 15, .external_lex_state = 3},
  [18399] = {.lex_state = 382, .external_lex_state = 3},
  [18400] = {.lex_state = 15, .external_lex_state = 3},
  [18401] = {.lex_state = 15, .external_lex_state = 3},
  [18402] = {.lex_state = 15, .external_lex_state = 3},
  [18403] = {.lex_state = 15, .external_lex_state = 3},
  [18404] = {.lex_state = 382, .external_lex_state = 3},
  [18405] = {.lex_state = 100, .external_lex_state = 3},
  [18406] = {.lex_state = 100, .external_lex_state = 3},
  [18407] = {.lex_state = 100, .external_lex_state = 3},
  [18408] = {.lex_state = 412, .external_lex_state = 3},
  [18409] = {.lex_state = 382, .external_lex_state = 3},
  [18410] = {.lex_state = 15, .external_lex_state = 3},
  [18411] = {.lex_state = 15, .external_lex_state = 3},
  [18412] = {.lex_state = 15, .external_lex_state = 3},
  [18413] = {.lex_state = 382, .external_lex_state = 3},
  [18414] = {.lex_state = 36, .external_lex_state = 3},
  [18415] = {.lex_state = 382, .external_lex_state = 3},
  [18416] = {.lex_state = 412, .external_lex_state = 3},
  [18417] = {.lex_state = 412, .external_lex_state = 3},
  [18418] = {.lex_state = 36, .external_lex_state = 3},
  [18419] = {.lex_state = 412, .external_lex_state = 3},
  [18420] = {.lex_state = 382, .external_lex_state = 3},
  [18421] = {.lex_state = 382, .external_lex_state = 3},
  [18422] = {.lex_state = 15, .external_lex_state = 3},
  [18423] = {.lex_state = 382, .external_lex_state = 3},
  [18424] = {.lex_state = 15, .external_lex_state = 3},
  [18425] = {.lex_state = 36, .external_lex_state = 3},
  [18426] = {.lex_state = 412, .external_lex_state = 3},
  [18427] = {.lex_state = 382, .external_lex_state = 3},
  [18428] = {.lex_state = 382, .external_lex_state = 3},
  [18429] = {.lex_state = 15, .external_lex_state = 3},
  [18430] = {.lex_state = 412, .external_lex_state = 3},
  [18431] = {.lex_state = 412, .external_lex_state = 3},
  [18432] = {.lex_state = 15, .external_lex_state = 3},
  [18433] = {.lex_state = 15, .external_lex_state = 3},
  [18434] = {.lex_state = 382, .external_lex_state = 3},
  [18435] = {.lex_state = 382, .external_lex_state = 3},
  [18436] = {.lex_state = 382, .external_lex_state = 3},
  [18437] = {.lex_state = 173, .external_lex_state = 3},
  [18438] = {.lex_state = 382, .external_lex_state = 3},
  [18439] = {.lex_state = 15, .external_lex_state = 3},
  [18440] = {.lex_state = 15, .external_lex_state = 3},
  [18441] = {.lex_state = 382, .external_lex_state = 3},
  [18442] = {.lex_state = 382, .external_lex_state = 3},
  [18443] = {.lex_state = 412, .external_lex_state = 3},
  [18444] = {.lex_state = 15, .external_lex_state = 3},
  [18445] = {.lex_state = 412, .external_lex_state = 3},
  [18446] = {.lex_state = 382, .external_lex_state = 3},
  [18447] = {.lex_state = 36, .external_lex_state = 3},
  [18448] = {.lex_state = 25, .external_lex_state = 3},
  [18449] = {.lex_state = 415, .external_lex_state = 3},
  [18450] = {.lex_state = 100, .external_lex_state = 3},
  [18451] = {.lex_state = 382, .external_lex_state = 3},
  [18452] = {.lex_state = 36, .external_lex_state = 3},
  [18453] = {.lex_state = 415, .external_lex_state = 3},
  [18454] = {.lex_state = 382, .external_lex_state = 3},
  [18455] = {.lex_state = 15, .external_lex_state = 3},
  [18456] = {.lex_state = 382, .external_lex_state = 8},
  [18457] = {.lex_state = 382, .external_lex_state = 3},
  [18458] = {.lex_state = 100, .external_lex_state = 3},
  [18459] = {.lex_state = 15, .external_lex_state = 3},
  [18460] = {.lex_state = 382, .external_lex_state = 3},
  [18461] = {.lex_state = 382, .external_lex_state = 8},
  [18462] = {.lex_state = 382, .external_lex_state = 3},
  [18463] = {.lex_state = 382, .external_lex_state = 3},
  [18464] = {.lex_state = 15, .external_lex_state = 3},
  [18465] = {.lex_state = 100, .external_lex_state = 3},
  [18466] = {.lex_state = 100, .external_lex_state = 3},
  [18467] = {.lex_state = 100, .external_lex_state = 3},
  [18468] = {.lex_state = 382, .external_lex_state = 3},
  [18469] = {.lex_state = 100, .external_lex_state = 3},
  [18470] = {.lex_state = 382, .external_lex_state = 3},
  [18471] = {.lex_state = 15, .external_lex_state = 3},
  [18472] = {.lex_state = 382, .external_lex_state = 3},
  [18473] = {.lex_state = 132, .external_lex_state = 3},
  [18474] = {.lex_state = 415, .external_lex_state = 3},
  [18475] = {.lex_state = 100, .external_lex_state = 3},
  [18476] = {.lex_state = 412, .external_lex_state = 3},
  [18477] = {.lex_state = 382, .external_lex_state = 3},
  [18478] = {.lex_state = 382, .external_lex_state = 3},
  [18479] = {.lex_state = 415, .external_lex_state = 3},
  [18480] = {.lex_state = 412, .external_lex_state = 3},
  [18481] = {.lex_state = 382, .external_lex_state = 3},
  [18482] = {.lex_state = 382, .external_lex_state = 3},
  [18483] = {.lex_state = 382, .external_lex_state = 8},
  [18484] = {.lex_state = 382, .external_lex_state = 3},
  [18485] = {.lex_state = 412, .external_lex_state = 3},
  [18486] = {.lex_state = 15, .external_lex_state = 3},
  [18487] = {.lex_state = 15, .external_lex_state = 3},
  [18488] = {.lex_state = 412, .external_lex_state = 3},
  [18489] = {.lex_state = 382, .external_lex_state = 3},
  [18490] = {.lex_state = 382, .external_lex_state = 3},
  [18491] = {.lex_state = 15, .external_lex_state = 3},
  [18492] = {.lex_state = 15, .external_lex_state = 3},
  [18493] = {.lex_state = 15, .external_lex_state = 3},
  [18494] = {.lex_state = 8, .external_lex_state = 3},
  [18495] = {.lex_state = 412, .external_lex_state = 3},
  [18496] = {.lex_state = 412, .external_lex_state = 3},
  [18497] = {.lex_state = 412, .external_lex_state = 3},
  [18498] = {.lex_state = 412, .external_lex_state = 3},
  [18499] = {.lex_state = 412, .external_lex_state = 3},
  [18500] = {.lex_state = 382, .external_lex_state = 3},
  [18501] = {.lex_state = 412, .external_lex_state = 3},
  [18502] = {.lex_state = 412, .external_lex_state = 3},
  [18503] = {.lex_state = 382, .external_lex_state = 3},
  [18504] = {.lex_state = 382, .external_lex_state = 8},
  [18505] = {.lex_state = 15, .external_lex_state = 3},
  [18506] = {.lex_state = 382, .external_lex_state = 3},
  [18507] = {.lex_state = 15, .external_lex_state = 3},
  [18508] = {.lex_state = 15, .external_lex_state = 3},
  [18509] = {.lex_state = 382, .external_lex_state = 3},
  [18510] = {.lex_state = 15, .external_lex_state = 3},
  [18511] = {.lex_state = 412, .external_lex_state = 3},
  [18512] = {.lex_state = 15, .external_lex_state = 3},
  [18513] = {.lex_state = 36, .external_lex_state = 3},
  [18514] = {.lex_state = 382, .external_lex_state = 3},
  [18515] = {.lex_state = 36, .external_lex_state = 3},
  [18516] = {.lex_state = 15, .external_lex_state = 3},
  [18517] = {.lex_state = 382, .external_lex_state = 3},
  [18518] = {.lex_state = 15, .external_lex_state = 3},
  [18519] = {.lex_state = 412, .external_lex_state = 3},
  [18520] = {.lex_state = 382, .external_lex_state = 3},
  [18521] = {.lex_state = 36, .external_lex_state = 3},
  [18522] = {.lex_state = 15, .external_lex_state = 3},
  [18523] = {.lex_state = 412, .external_lex_state = 3},
  [18524] = {.lex_state = 412, .external_lex_state = 3},
  [18525] = {.lex_state = 412, .external_lex_state = 3},
  [18526] = {.lex_state = 412, .external_lex_state = 3},
  [18527] = {.lex_state = 15, .external_lex_state = 3},
  [18528] = {.lex_state = 382, .external_lex_state = 8},
  [18529] = {.lex_state = 382, .external_lex_state = 3},
  [18530] = {.lex_state = 382, .external_lex_state = 3},
  [18531] = {.lex_state = 415, .external_lex_state = 3},
  [18532] = {.lex_state = 412, .external_lex_state = 3},
  [18533] = {.lex_state = 36, .external_lex_state = 3},
  [18534] = {.lex_state = 382, .external_lex_state = 3},
  [18535] = {.lex_state = 15, .external_lex_state = 3},
  [18536] = {.lex_state = 412, .external_lex_state = 3},
  [18537] = {.lex_state = 15, .external_lex_state = 3},
  [18538] = {.lex_state = 382, .external_lex_state = 3},
  [18539] = {.lex_state = 415, .external_lex_state = 3},
  [18540] = {.lex_state = 15, .external_lex_state = 3},
  [18541] = {.lex_state = 15, .external_lex_state = 3},
  [18542] = {.lex_state = 382, .external_lex_state = 3},
  [18543] = {.lex_state = 382, .external_lex_state = 3},
  [18544] = {.lex_state = 173, .external_lex_state = 3},
  [18545] = {.lex_state = 382, .external_lex_state = 8},
  [18546] = {.lex_state = 382, .external_lex_state = 3},
  [18547] = {.lex_state = 15, .external_lex_state = 3},
  [18548] = {.lex_state = 412, .external_lex_state = 3},
  [18549] = {.lex_state = 382, .external_lex_state = 8},
  [18550] = {.lex_state = 15, .external_lex_state = 3},
  [18551] = {.lex_state = 15, .external_lex_state = 3},
  [18552] = {.lex_state = 382, .external_lex_state = 3},
  [18553] = {.lex_state = 100, .external_lex_state = 3},
  [18554] = {.lex_state = 100, .external_lex_state = 3},
  [18555] = {.lex_state = 100, .external_lex_state = 3},
  [18556] = {.lex_state = 382, .external_lex_state = 3},
  [18557] = {.lex_state = 15, .external_lex_state = 3},
  [18558] = {.lex_state = 15, .external_lex_state = 3},
  [18559] = {.lex_state = 15, .external_lex_state = 3},
  [18560] = {.lex_state = 382, .external_lex_state = 3},
  [18561] = {.lex_state = 412, .external_lex_state = 3},
  [18562] = {.lex_state = 100, .external_lex_state = 3},
  [18563] = {.lex_state = 412, .external_lex_state = 3},
  [18564] = {.lex_state = 382, .external_lex_state = 3},
  [18565] = {.lex_state = 15, .external_lex_state = 3},
  [18566] = {.lex_state = 36, .external_lex_state = 3},
  [18567] = {.lex_state = 382, .external_lex_state = 3},
  [18568] = {.lex_state = 15, .external_lex_state = 3},
  [18569] = {.lex_state = 382, .external_lex_state = 3},
  [18570] = {.lex_state = 382, .external_lex_state = 3},
  [18571] = {.lex_state = 382, .external_lex_state = 3},
  [18572] = {.lex_state = 15, .external_lex_state = 3},
  [18573] = {.lex_state = 382, .external_lex_state = 3},
  [18574] = {.lex_state = 15, .external_lex_state = 3},
  [18575] = {.lex_state = 15, .external_lex_state = 3},
  [18576] = {.lex_state = 382, .external_lex_state = 3},
  [18577] = {.lex_state = 15, .external_lex_state = 3},
  [18578] = {.lex_state = 412, .external_lex_state = 3},
  [18579] = {.lex_state = 15, .external_lex_state = 3},
  [18580] = {.lex_state = 382, .external_lex_state = 8},
  [18581] = {.lex_state = 382, .external_lex_state = 8},
  [18582] = {.lex_state = 382, .external_lex_state = 8},
  [18583] = {.lex_state = 382, .external_lex_state = 8},
  [18584] = {.lex_state = 382, .external_lex_state = 3},
  [18585] = {.lex_state = 382, .external_lex_state = 8},
  [18586] = {.lex_state = 382, .external_lex_state = 8},
  [18587] = {.lex_state = 412, .external_lex_state = 3},
  [18588] = {.lex_state = 382, .external_lex_state = 8},
  [18589] = {.lex_state = 15, .external_lex_state = 3},
  [18590] = {.lex_state = 382, .external_lex_state = 8},
  [18591] = {.lex_state = 382, .external_lex_state = 8},
  [18592] = {.lex_state = 382, .external_lex_state = 8},
  [18593] = {.lex_state = 382, .external_lex_state = 8},
  [18594] = {.lex_state = 382, .external_lex_state = 8},
  [18595] = {.lex_state = 15, .external_lex_state = 3},
  [18596] = {.lex_state = 382, .external_lex_state = 8},
  [18597] = {.lex_state = 382, .external_lex_state = 8},
  [18598] = {.lex_state = 382, .external_lex_state = 8},
  [18599] = {.lex_state = 382, .external_lex_state = 3},
  [18600] = {.lex_state = 382, .external_lex_state = 8},
  [18601] = {.lex_state = 412, .external_lex_state = 3},
  [18602] = {.lex_state = 15, .external_lex_state = 3},
  [18603] = {.lex_state = 382, .external_lex_state = 8},
  [18604] = {.lex_state = 15, .external_lex_state = 3},
  [18605] = {.lex_state = 412, .external_lex_state = 3},
  [18606] = {.lex_state = 15, .external_lex_state = 3},
  [18607] = {.lex_state = 382, .external_lex_state = 8},
  [18608] = {.lex_state = 15, .external_lex_state = 3},
  [18609] = {.lex_state = 412, .external_lex_state = 3},
  [18610] = {.lex_state = 382, .external_lex_state = 8},
  [18611] = {.lex_state = 382, .external_lex_state = 3},
  [18612] = {.lex_state = 382, .external_lex_state = 8},
  [18613] = {.lex_state = 15, .external_lex_state = 3},
  [18614] = {.lex_state = 382, .external_lex_state = 3},
  [18615] = {.lex_state = 15, .external_lex_state = 3},
  [18616] = {.lex_state = 382, .external_lex_state = 8},
  [18617] = {.lex_state = 382, .external_lex_state = 3},
  [18618] = {.lex_state = 15, .external_lex_state = 3},
  [18619] = {.lex_state = 382, .external_lex_state = 8},
  [18620] = {.lex_state = 382, .external_lex_state = 8},
  [18621] = {.lex_state = 100, .external_lex_state = 3},
  [18622] = {.lex_state = 382, .external_lex_state = 3},
  [18623] = {.lex_state = 100, .external_lex_state = 3},
  [18624] = {.lex_state = 100, .external_lex_state = 3},
  [18625] = {.lex_state = 382, .external_lex_state = 8},
  [18626] = {.lex_state = 132, .external_lex_state = 3},
  [18627] = {.lex_state = 412, .external_lex_state = 3},
  [18628] = {.lex_state = 100, .external_lex_state = 3},
  [18629] = {.lex_state = 100, .external_lex_state = 3},
  [18630] = {.lex_state = 100, .external_lex_state = 3},
  [18631] = {.lex_state = 36, .external_lex_state = 3},
  [18632] = {.lex_state = 382, .external_lex_state = 8},
  [18633] = {.lex_state = 100, .external_lex_state = 3},
  [18634] = {.lex_state = 100, .external_lex_state = 3},
  [18635] = {.lex_state = 382, .external_lex_state = 3},
  [18636] = {.lex_state = 100, .external_lex_state = 3},
  [18637] = {.lex_state = 412, .external_lex_state = 3},
  [18638] = {.lex_state = 382, .external_lex_state = 8},
  [18639] = {.lex_state = 15, .external_lex_state = 3},
  [18640] = {.lex_state = 382, .external_lex_state = 3},
  [18641] = {.lex_state = 100, .external_lex_state = 3},
  [18642] = {.lex_state = 100, .external_lex_state = 3},
  [18643] = {.lex_state = 100, .external_lex_state = 3},
  [18644] = {.lex_state = 382, .external_lex_state = 3},
  [18645] = {.lex_state = 382, .external_lex_state = 8},
  [18646] = {.lex_state = 382, .external_lex_state = 8},
  [18647] = {.lex_state = 100, .external_lex_state = 3},
  [18648] = {.lex_state = 15, .external_lex_state = 3},
  [18649] = {.lex_state = 15, .external_lex_state = 3},
  [18650] = {.lex_state = 100, .external_lex_state = 3},
  [18651] = {.lex_state = 382, .external_lex_state = 3},
  [18652] = {.lex_state = 15, .external_lex_state = 3},
  [18653] = {.lex_state = 36, .external_lex_state = 3},
  [18654] = {.lex_state = 100, .external_lex_state = 3},
  [18655] = {.lex_state = 100, .external_lex_state = 3},
  [18656] = {.lex_state = 412, .external_lex_state = 3},
  [18657] = {.lex_state = 382, .external_lex_state = 8},
  [18658] = {.lex_state = 100, .external_lex_state = 3},
  [18659] = {.lex_state = 100, .external_lex_state = 3},
  [18660] = {.lex_state = 382, .external_lex_state = 8},
  [18661] = {.lex_state = 15, .external_lex_state = 3},
  [18662] = {.lex_state = 100, .external_lex_state = 3},
  [18663] = {.lex_state = 382, .external_lex_state = 8},
  [18664] = {.lex_state = 100, .external_lex_state = 3},
  [18665] = {.lex_state = 15, .external_lex_state = 3},
  [18666] = {.lex_state = 100, .external_lex_state = 3},
  [18667] = {.lex_state = 100, .external_lex_state = 3},
  [18668] = {.lex_state = 100, .external_lex_state = 3},
  [18669] = {.lex_state = 100, .external_lex_state = 3},
  [18670] = {.lex_state = 100, .external_lex_state = 3},
  [18671] = {.lex_state = 382, .external_lex_state = 8},
  [18672] = {.lex_state = 412, .external_lex_state = 3},
  [18673] = {.lex_state = 100, .external_lex_state = 3},
  [18674] = {.lex_state = 100, .external_lex_state = 3},
  [18675] = {.lex_state = 100, .external_lex_state = 3},
  [18676] = {.lex_state = 412, .external_lex_state = 3},
  [18677] = {.lex_state = 382, .external_lex_state = 8},
  [18678] = {.lex_state = 382, .external_lex_state = 3},
  [18679] = {.lex_state = 36, .external_lex_state = 3},
  [18680] = {.lex_state = 382, .external_lex_state = 3},
  [18681] = {.lex_state = 382, .external_lex_state = 3},
  [18682] = {.lex_state = 100, .external_lex_state = 3},
  [18683] = {.lex_state = 100, .external_lex_state = 3},
  [18684] = {.lex_state = 100, .external_lex_state = 3},
  [18685] = {.lex_state = 382, .external_lex_state = 8},
  [18686] = {.lex_state = 412, .external_lex_state = 3},
  [18687] = {.lex_state = 382, .external_lex_state = 3},
  [18688] = {.lex_state = 100, .external_lex_state = 3},
  [18689] = {.lex_state = 100, .external_lex_state = 3},
  [18690] = {.lex_state = 100, .external_lex_state = 3},
  [18691] = {.lex_state = 382, .external_lex_state = 8},
  [18692] = {.lex_state = 15, .external_lex_state = 3},
  [18693] = {.lex_state = 100, .external_lex_state = 3},
  [18694] = {.lex_state = 100, .external_lex_state = 3},
  [18695] = {.lex_state = 100, .external_lex_state = 3},
  [18696] = {.lex_state = 382, .external_lex_state = 8},
  [18697] = {.lex_state = 100, .external_lex_state = 3},
  [18698] = {.lex_state = 100, .external_lex_state = 3},
  [18699] = {.lex_state = 100, .external_lex_state = 3},
  [18700] = {.lex_state = 382, .external_lex_state = 3},
  [18701] = {.lex_state = 382, .external_lex_state = 8},
  [18702] = {.lex_state = 15, .external_lex_state = 3},
  [18703] = {.lex_state = 132, .external_lex_state = 3},
  [18704] = {.lex_state = 100, .external_lex_state = 3},
  [18705] = {.lex_state = 100, .external_lex_state = 3},
  [18706] = {.lex_state = 100, .external_lex_state = 3},
  [18707] = {.lex_state = 382, .external_lex_state = 8},
  [18708] = {.lex_state = 100, .external_lex_state = 3},
  [18709] = {.lex_state = 382, .external_lex_state = 3},
  [18710] = {.lex_state = 382, .external_lex_state = 3},
  [18711] = {.lex_state = 165, .external_lex_state = 3},
  [18712] = {.lex_state = 15, .external_lex_state = 3},
  [18713] = {.lex_state = 100, .external_lex_state = 3},
  [18714] = {.lex_state = 100, .external_lex_state = 3},
  [18715] = {.lex_state = 100, .external_lex_state = 3},
  [18716] = {.lex_state = 382, .external_lex_state = 8},
  [18717] = {.lex_state = 382, .external_lex_state = 3},
  [18718] = {.lex_state = 382, .external_lex_state = 3},
  [18719] = {.lex_state = 100, .external_lex_state = 3},
  [18720] = {.lex_state = 100, .external_lex_state = 3},
  [18721] = {.lex_state = 100, .external_lex_state = 3},
  [18722] = {.lex_state = 382, .external_lex_state = 3},
  [18723] = {.lex_state = 412, .external_lex_state = 3},
  [18724] = {.lex_state = 100, .external_lex_state = 3},
  [18725] = {.lex_state = 100, .external_lex_state = 3},
  [18726] = {.lex_state = 36, .external_lex_state = 3},
  [18727] = {.lex_state = 100, .external_lex_state = 3},
  [18728] = {.lex_state = 382, .external_lex_state = 3},
  [18729] = {.lex_state = 382, .external_lex_state = 3},
  [18730] = {.lex_state = 382, .external_lex_state = 8},
  [18731] = {.lex_state = 382, .external_lex_state = 3},
  [18732] = {.lex_state = 15, .external_lex_state = 3},
  [18733] = {.lex_state = 15, .external_lex_state = 3},
  [18734] = {.lex_state = 132, .external_lex_state = 3},
  [18735] = {.lex_state = 382, .external_lex_state = 3},
  [18736] = {.lex_state = 15, .external_lex_state = 3},
  [18737] = {.lex_state = 15, .external_lex_state = 3},
  [18738] = {.lex_state = 36, .external_lex_state = 3},
  [18739] = {.lex_state = 15, .external_lex_state = 3},
  [18740] = {.lex_state = 100, .external_lex_state = 3},
  [18741] = {.lex_state = 100, .external_lex_state = 3},
  [18742] = {.lex_state = 100, .external_lex_state = 3},
  [18743] = {.lex_state = 412, .external_lex_state = 3},
  [18744] = {.lex_state = 382, .external_lex_state = 8},
  [18745] = {.lex_state = 100, .external_lex_state = 3},
  [18746] = {.lex_state = 412, .external_lex_state = 3},
  [18747] = {.lex_state = 382, .external_lex_state = 3},
  [18748] = {.lex_state = 382, .external_lex_state = 3},
  [18749] = {.lex_state = 382, .external_lex_state = 3},
  [18750] = {.lex_state = 412, .external_lex_state = 3},
  [18751] = {.lex_state = 15, .external_lex_state = 3},
  [18752] = {.lex_state = 100, .external_lex_state = 3},
  [18753] = {.lex_state = 100, .external_lex_state = 3},
  [18754] = {.lex_state = 412, .external_lex_state = 3},
  [18755] = {.lex_state = 100, .external_lex_state = 3},
  [18756] = {.lex_state = 412, .external_lex_state = 3},
  [18757] = {.lex_state = 382, .external_lex_state = 8},
  [18758] = {.lex_state = 382, .external_lex_state = 3},
  [18759] = {.lex_state = 15, .external_lex_state = 3},
  [18760] = {.lex_state = 382, .external_lex_state = 3},
  [18761] = {.lex_state = 412, .external_lex_state = 3},
  [18762] = {.lex_state = 15, .external_lex_state = 3},
  [18763] = {.lex_state = 15, .external_lex_state = 3},
  [18764] = {.lex_state = 100, .external_lex_state = 3},
  [18765] = {.lex_state = 382, .external_lex_state = 8},
  [18766] = {.lex_state = 100, .external_lex_state = 3},
  [18767] = {.lex_state = 100, .external_lex_state = 3},
  [18768] = {.lex_state = 15, .external_lex_state = 3},
  [18769] = {.lex_state = 382, .external_lex_state = 8},
  [18770] = {.lex_state = 15, .external_lex_state = 3},
  [18771] = {.lex_state = 100, .external_lex_state = 3},
  [18772] = {.lex_state = 100, .external_lex_state = 3},
  [18773] = {.lex_state = 100, .external_lex_state = 3},
  [18774] = {.lex_state = 15, .external_lex_state = 3},
  [18775] = {.lex_state = 382, .external_lex_state = 3},
  [18776] = {.lex_state = 100, .external_lex_state = 3},
  [18777] = {.lex_state = 100, .external_lex_state = 3},
  [18778] = {.lex_state = 100, .external_lex_state = 3},
  [18779] = {.lex_state = 15, .external_lex_state = 3},
  [18780] = {.lex_state = 100, .external_lex_state = 3},
  [18781] = {.lex_state = 382, .external_lex_state = 8},
  [18782] = {.lex_state = 382, .external_lex_state = 3},
  [18783] = {.lex_state = 412, .external_lex_state = 3},
  [18784] = {.lex_state = 36, .external_lex_state = 3},
  [18785] = {.lex_state = 382, .external_lex_state = 3},
  [18786] = {.lex_state = 382, .external_lex_state = 3},
  [18787] = {.lex_state = 15, .external_lex_state = 3},
  [18788] = {.lex_state = 412, .external_lex_state = 3},
  [18789] = {.lex_state = 382, .external_lex_state = 3},
  [18790] = {.lex_state = 15, .external_lex_state = 3},
  [18791] = {.lex_state = 15, .external_lex_state = 3},
  [18792] = {.lex_state = 100, .external_lex_state = 3},
  [18793] = {.lex_state = 100, .external_lex_state = 3},
  [18794] = {.lex_state = 15, .external_lex_state = 3},
  [18795] = {.lex_state = 100, .external_lex_state = 3},
  [18796] = {.lex_state = 382, .external_lex_state = 8},
  [18797] = {.lex_state = 382, .external_lex_state = 3},
  [18798] = {.lex_state = 15, .external_lex_state = 3},
  [18799] = {.lex_state = 36, .external_lex_state = 3},
  [18800] = {.lex_state = 100, .external_lex_state = 3},
  [18801] = {.lex_state = 100, .external_lex_state = 3},
  [18802] = {.lex_state = 100, .external_lex_state = 3},
  [18803] = {.lex_state = 15, .external_lex_state = 3},
  [18804] = {.lex_state = 382, .external_lex_state = 3},
  [18805] = {.lex_state = 382, .external_lex_state = 3},
  [18806] = {.lex_state = 382, .external_lex_state = 3},
  [18807] = {.lex_state = 15, .external_lex_state = 3},
  [18808] = {.lex_state = 382, .external_lex_state = 8},
  [18809] = {.lex_state = 36, .external_lex_state = 3},
  [18810] = {.lex_state = 412, .external_lex_state = 3},
  [18811] = {.lex_state = 15, .external_lex_state = 3},
  [18812] = {.lex_state = 382, .external_lex_state = 3},
  [18813] = {.lex_state = 412, .external_lex_state = 3},
  [18814] = {.lex_state = 412, .external_lex_state = 3},
  [18815] = {.lex_state = 15, .external_lex_state = 3},
  [18816] = {.lex_state = 382, .external_lex_state = 3},
  [18817] = {.lex_state = 15, .external_lex_state = 3},
  [18818] = {.lex_state = 100, .external_lex_state = 3},
  [18819] = {.lex_state = 100, .external_lex_state = 3},
  [18820] = {.lex_state = 100, .external_lex_state = 3},
  [18821] = {.lex_state = 36, .external_lex_state = 3},
  [18822] = {.lex_state = 382, .external_lex_state = 8},
  [18823] = {.lex_state = 382, .external_lex_state = 3},
  [18824] = {.lex_state = 382, .external_lex_state = 3},
  [18825] = {.lex_state = 15, .external_lex_state = 3},
  [18826] = {.lex_state = 382, .external_lex_state = 3},
  [18827] = {.lex_state = 382, .external_lex_state = 3},
  [18828] = {.lex_state = 100, .external_lex_state = 3},
  [18829] = {.lex_state = 100, .external_lex_state = 3},
  [18830] = {.lex_state = 100, .external_lex_state = 3},
  [18831] = {.lex_state = 382, .external_lex_state = 3},
  [18832] = {.lex_state = 15, .external_lex_state = 3},
  [18833] = {.lex_state = 15, .external_lex_state = 3},
  [18834] = {.lex_state = 382, .external_lex_state = 8},
  [18835] = {.lex_state = 412, .external_lex_state = 3},
  [18836] = {.lex_state = 36, .external_lex_state = 3},
  [18837] = {.lex_state = 15, .external_lex_state = 3},
  [18838] = {.lex_state = 15, .external_lex_state = 3},
  [18839] = {.lex_state = 382, .external_lex_state = 3},
  [18840] = {.lex_state = 36, .external_lex_state = 3},
  [18841] = {.lex_state = 382, .external_lex_state = 3},
  [18842] = {.lex_state = 15, .external_lex_state = 3},
  [18843] = {.lex_state = 100, .external_lex_state = 3},
  [18844] = {.lex_state = 100, .external_lex_state = 3},
  [18845] = {.lex_state = 412, .external_lex_state = 3},
  [18846] = {.lex_state = 100, .external_lex_state = 3},
  [18847] = {.lex_state = 382, .external_lex_state = 8},
  [18848] = {.lex_state = 382, .external_lex_state = 3},
  [18849] = {.lex_state = 412, .external_lex_state = 3},
  [18850] = {.lex_state = 100, .external_lex_state = 3},
  [18851] = {.lex_state = 100, .external_lex_state = 3},
  [18852] = {.lex_state = 382, .external_lex_state = 3},
  [18853] = {.lex_state = 100, .external_lex_state = 3},
  [18854] = {.lex_state = 100, .external_lex_state = 3},
  [18855] = {.lex_state = 15, .external_lex_state = 3},
  [18856] = {.lex_state = 382, .external_lex_state = 8},
  [18857] = {.lex_state = 382, .external_lex_state = 3},
  [18858] = {.lex_state = 382, .external_lex_state = 3},
  [18859] = {.lex_state = 412, .external_lex_state = 3},
  [18860] = {.lex_state = 15, .external_lex_state = 3},
  [18861] = {.lex_state = 382, .external_lex_state = 3},
  [18862] = {.lex_state = 15, .external_lex_state = 3},
  [18863] = {.lex_state = 382, .external_lex_state = 3},
  [18864] = {.lex_state = 100, .external_lex_state = 3},
  [18865] = {.lex_state = 100, .external_lex_state = 3},
  [18866] = {.lex_state = 100, .external_lex_state = 3},
  [18867] = {.lex_state = 382, .external_lex_state = 8},
  [18868] = {.lex_state = 382, .external_lex_state = 3},
  [18869] = {.lex_state = 100, .external_lex_state = 3},
  [18870] = {.lex_state = 15, .external_lex_state = 3},
  [18871] = {.lex_state = 382, .external_lex_state = 8},
  [18872] = {.lex_state = 15, .external_lex_state = 3},
  [18873] = {.lex_state = 100, .external_lex_state = 3},
  [18874] = {.lex_state = 100, .external_lex_state = 3},
  [18875] = {.lex_state = 100, .external_lex_state = 3},
  [18876] = {.lex_state = 36, .external_lex_state = 3},
  [18877] = {.lex_state = 382, .external_lex_state = 3},
  [18878] = {.lex_state = 382, .external_lex_state = 3},
  [18879] = {.lex_state = 382, .external_lex_state = 3},
  [18880] = {.lex_state = 100, .external_lex_state = 3},
  [18881] = {.lex_state = 100, .external_lex_state = 3},
  [18882] = {.lex_state = 100, .external_lex_state = 3},
  [18883] = {.lex_state = 100, .external_lex_state = 3},
  [18884] = {.lex_state = 382, .external_lex_state = 8},
  [18885] = {.lex_state = 382, .external_lex_state = 3},
  [18886] = {.lex_state = 36, .external_lex_state = 3},
  [18887] = {.lex_state = 15, .external_lex_state = 3},
  [18888] = {.lex_state = 382, .external_lex_state = 3},
  [18889] = {.lex_state = 382, .external_lex_state = 3},
  [18890] = {.lex_state = 15, .external_lex_state = 3},
  [18891] = {.lex_state = 15, .external_lex_state = 3},
  [18892] = {.lex_state = 15, .external_lex_state = 3},
  [18893] = {.lex_state = 382, .external_lex_state = 3},
  [18894] = {.lex_state = 412, .external_lex_state = 3},
  [18895] = {.lex_state = 100, .external_lex_state = 3},
  [18896] = {.lex_state = 100, .external_lex_state = 3},
  [18897] = {.lex_state = 100, .external_lex_state = 3},
  [18898] = {.lex_state = 36, .external_lex_state = 3},
  [18899] = {.lex_state = 382, .external_lex_state = 8},
  [18900] = {.lex_state = 382, .external_lex_state = 3},
  [18901] = {.lex_state = 382, .external_lex_state = 3},
  [18902] = {.lex_state = 100, .external_lex_state = 3},
  [18903] = {.lex_state = 382, .external_lex_state = 3},
  [18904] = {.lex_state = 15, .external_lex_state = 3},
  [18905] = {.lex_state = 382, .external_lex_state = 3},
  [18906] = {.lex_state = 173, .external_lex_state = 3},
  [18907] = {.lex_state = 15, .external_lex_state = 3},
  [18908] = {.lex_state = 382, .external_lex_state = 3},
  [18909] = {.lex_state = 100, .external_lex_state = 3},
  [18910] = {.lex_state = 100, .external_lex_state = 3},
  [18911] = {.lex_state = 100, .external_lex_state = 3},
  [18912] = {.lex_state = 382, .external_lex_state = 8},
  [18913] = {.lex_state = 382, .external_lex_state = 3},
  [18914] = {.lex_state = 15, .external_lex_state = 3},
  [18915] = {.lex_state = 382, .external_lex_state = 3},
  [18916] = {.lex_state = 412, .external_lex_state = 3},
  [18917] = {.lex_state = 15, .external_lex_state = 3},
  [18918] = {.lex_state = 382, .external_lex_state = 3},
  [18919] = {.lex_state = 36, .external_lex_state = 3},
  [18920] = {.lex_state = 382, .external_lex_state = 3},
  [18921] = {.lex_state = 100, .external_lex_state = 3},
  [18922] = {.lex_state = 36, .external_lex_state = 3},
  [18923] = {.lex_state = 100, .external_lex_state = 3},
  [18924] = {.lex_state = 100, .external_lex_state = 3},
  [18925] = {.lex_state = 15, .external_lex_state = 3},
  [18926] = {.lex_state = 382, .external_lex_state = 3},
  [18927] = {.lex_state = 15, .external_lex_state = 3},
  [18928] = {.lex_state = 382, .external_lex_state = 8},
  [18929] = {.lex_state = 15, .external_lex_state = 3},
  [18930] = {.lex_state = 15, .external_lex_state = 3},
  [18931] = {.lex_state = 382, .external_lex_state = 3},
  [18932] = {.lex_state = 15, .external_lex_state = 3},
  [18933] = {.lex_state = 382, .external_lex_state = 3},
  [18934] = {.lex_state = 100, .external_lex_state = 3},
  [18935] = {.lex_state = 100, .external_lex_state = 3},
  [18936] = {.lex_state = 412, .external_lex_state = 3},
  [18937] = {.lex_state = 100, .external_lex_state = 3},
  [18938] = {.lex_state = 382, .external_lex_state = 8},
  [18939] = {.lex_state = 382, .external_lex_state = 3},
  [18940] = {.lex_state = 382, .external_lex_state = 3},
  [18941] = {.lex_state = 15, .external_lex_state = 3},
  [18942] = {.lex_state = 36, .external_lex_state = 3},
  [18943] = {.lex_state = 412, .external_lex_state = 3},
  [18944] = {.lex_state = 15, .external_lex_state = 3},
  [18945] = {.lex_state = 382, .external_lex_state = 3},
  [18946] = {.lex_state = 412, .external_lex_state = 3},
  [18947] = {.lex_state = 412, .external_lex_state = 3},
  [18948] = {.lex_state = 15, .external_lex_state = 3},
  [18949] = {.lex_state = 382, .external_lex_state = 3},
  [18950] = {.lex_state = 100, .external_lex_state = 3},
  [18951] = {.lex_state = 100, .external_lex_state = 3},
  [18952] = {.lex_state = 100, .external_lex_state = 3},
  [18953] = {.lex_state = 382, .external_lex_state = 8},
  [18954] = {.lex_state = 15, .external_lex_state = 3},
  [18955] = {.lex_state = 415, .external_lex_state = 3},
  [18956] = {.lex_state = 382, .external_lex_state = 3},
  [18957] = {.lex_state = 36, .external_lex_state = 3},
  [18958] = {.lex_state = 15, .external_lex_state = 3},
  [18959] = {.lex_state = 382, .external_lex_state = 3},
  [18960] = {.lex_state = 382, .external_lex_state = 3},
  [18961] = {.lex_state = 15, .external_lex_state = 3},
  [18962] = {.lex_state = 382, .external_lex_state = 3},
  [18963] = {.lex_state = 382, .external_lex_state = 3},
  [18964] = {.lex_state = 15, .external_lex_state = 3},
  [18965] = {.lex_state = 100, .external_lex_state = 3},
  [18966] = {.lex_state = 100, .external_lex_state = 3},
  [18967] = {.lex_state = 100, .external_lex_state = 3},
  [18968] = {.lex_state = 36, .external_lex_state = 3},
  [18969] = {.lex_state = 382, .external_lex_state = 8},
  [18970] = {.lex_state = 382, .external_lex_state = 3},
  [18971] = {.lex_state = 382, .external_lex_state = 3},
  [18972] = {.lex_state = 382, .external_lex_state = 8},
  [18973] = {.lex_state = 382, .external_lex_state = 3},
  [18974] = {.lex_state = 15, .external_lex_state = 3},
  [18975] = {.lex_state = 100, .external_lex_state = 3},
  [18976] = {.lex_state = 100, .external_lex_state = 3},
  [18977] = {.lex_state = 100, .external_lex_state = 3},
  [18978] = {.lex_state = 382, .external_lex_state = 3},
  [18979] = {.lex_state = 382, .external_lex_state = 3},
  [18980] = {.lex_state = 36, .external_lex_state = 3},
  [18981] = {.lex_state = 412, .external_lex_state = 3},
  [18982] = {.lex_state = 100, .external_lex_state = 3},
  [18983] = {.lex_state = 15, .external_lex_state = 3},
  [18984] = {.lex_state = 382, .external_lex_state = 3},
  [18985] = {.lex_state = 15, .external_lex_state = 3},
  [18986] = {.lex_state = 100, .external_lex_state = 3},
  [18987] = {.lex_state = 36, .external_lex_state = 3},
  [18988] = {.lex_state = 36, .external_lex_state = 3},
  [18989] = {.lex_state = 382, .external_lex_state = 3},
  [18990] = {.lex_state = 100, .external_lex_state = 3},
  [18991] = {.lex_state = 100, .external_lex_state = 3},
  [18992] = {.lex_state = 382, .external_lex_state = 3},
  [18993] = {.lex_state = 382, .external_lex_state = 8},
  [18994] = {.lex_state = 15, .external_lex_state = 3},
  [18995] = {.lex_state = 382, .external_lex_state = 3},
  [18996] = {.lex_state = 36, .external_lex_state = 3},
  [18997] = {.lex_state = 36, .external_lex_state = 3},
  [18998] = {.lex_state = 412, .external_lex_state = 3},
  [18999] = {.lex_state = 412, .external_lex_state = 3},
  [19000] = {.lex_state = 382, .external_lex_state = 3},
  [19001] = {.lex_state = 100, .external_lex_state = 3},
  [19002] = {.lex_state = 100, .external_lex_state = 3},
  [19003] = {.lex_state = 100, .external_lex_state = 3},
  [19004] = {.lex_state = 382, .external_lex_state = 8},
  [19005] = {.lex_state = 36, .external_lex_state = 3},
  [19006] = {.lex_state = 382, .external_lex_state = 3},
  [19007] = {.lex_state = 15, .external_lex_state = 3},
  [19008] = {.lex_state = 36, .external_lex_state = 3},
  [19009] = {.lex_state = 382, .external_lex_state = 3},
  [19010] = {.lex_state = 382, .external_lex_state = 3},
  [19011] = {.lex_state = 382, .external_lex_state = 3},
  [19012] = {.lex_state = 36, .external_lex_state = 3},
  [19013] = {.lex_state = 15, .external_lex_state = 3},
  [19014] = {.lex_state = 382, .external_lex_state = 3},
  [19015] = {.lex_state = 15, .external_lex_state = 3},
  [19016] = {.lex_state = 100, .external_lex_state = 3},
  [19017] = {.lex_state = 382, .external_lex_state = 3},
  [19018] = {.lex_state = 100, .external_lex_state = 3},
  [19019] = {.lex_state = 100, .external_lex_state = 3},
  [19020] = {.lex_state = 100, .external_lex_state = 3},
  [19021] = {.lex_state = 15, .external_lex_state = 3},
  [19022] = {.lex_state = 382, .external_lex_state = 3},
  [19023] = {.lex_state = 100, .external_lex_state = 3},
  [19024] = {.lex_state = 100, .external_lex_state = 3},
  [19025] = {.lex_state = 100, .external_lex_state = 3},
  [19026] = {.lex_state = 100, .external_lex_state = 3},
  [19027] = {.lex_state = 382, .external_lex_state = 8},
  [19028] = {.lex_state = 382, .external_lex_state = 3},
  [19029] = {.lex_state = 36, .external_lex_state = 3},
  [19030] = {.lex_state = 15, .external_lex_state = 3},
  [19031] = {.lex_state = 382, .external_lex_state = 3},
  [19032] = {.lex_state = 412, .external_lex_state = 3},
  [19033] = {.lex_state = 382, .external_lex_state = 3},
  [19034] = {.lex_state = 173, .external_lex_state = 3},
  [19035] = {.lex_state = 15, .external_lex_state = 3},
  [19036] = {.lex_state = 382, .external_lex_state = 3},
  [19037] = {.lex_state = 382, .external_lex_state = 3},
  [19038] = {.lex_state = 100, .external_lex_state = 3},
  [19039] = {.lex_state = 100, .external_lex_state = 3},
  [19040] = {.lex_state = 100, .external_lex_state = 3},
  [19041] = {.lex_state = 100, .external_lex_state = 3},
  [19042] = {.lex_state = 15, .external_lex_state = 3},
  [19043] = {.lex_state = 36, .external_lex_state = 3},
  [19044] = {.lex_state = 382, .external_lex_state = 3},
  [19045] = {.lex_state = 382, .external_lex_state = 8},
  [19046] = {.lex_state = 382, .external_lex_state = 3},
  [19047] = {.lex_state = 412, .external_lex_state = 3},
  [19048] = {.lex_state = 15, .external_lex_state = 3},
  [19049] = {.lex_state = 36, .external_lex_state = 3},
  [19050] = {.lex_state = 15, .external_lex_state = 3},
  [19051] = {.lex_state = 382, .external_lex_state = 8},
  [19052] = {.lex_state = 382, .external_lex_state = 3},
  [19053] = {.lex_state = 100, .external_lex_state = 3},
  [19054] = {.lex_state = 100, .external_lex_state = 3},
  [19055] = {.lex_state = 100, .external_lex_state = 3},
  [19056] = {.lex_state = 100, .external_lex_state = 3},
  [19057] = {.lex_state = 382, .external_lex_state = 8},
  [19058] = {.lex_state = 382, .external_lex_state = 3},
  [19059] = {.lex_state = 36, .external_lex_state = 3},
  [19060] = {.lex_state = 15, .external_lex_state = 3},
  [19061] = {.lex_state = 15, .external_lex_state = 3},
  [19062] = {.lex_state = 382, .external_lex_state = 3},
  [19063] = {.lex_state = 382, .external_lex_state = 3},
  [19064] = {.lex_state = 382, .external_lex_state = 3},
  [19065] = {.lex_state = 15, .external_lex_state = 3},
  [19066] = {.lex_state = 382, .external_lex_state = 3},
  [19067] = {.lex_state = 100, .external_lex_state = 3},
  [19068] = {.lex_state = 100, .external_lex_state = 3},
  [19069] = {.lex_state = 382, .external_lex_state = 8},
  [19070] = {.lex_state = 382, .external_lex_state = 3},
  [19071] = {.lex_state = 100, .external_lex_state = 3},
  [19072] = {.lex_state = 382, .external_lex_state = 8},
  [19073] = {.lex_state = 15, .external_lex_state = 3},
  [19074] = {.lex_state = 15, .external_lex_state = 3},
  [19075] = {.lex_state = 100, .external_lex_state = 3},
  [19076] = {.lex_state = 100, .external_lex_state = 3},
  [19077] = {.lex_state = 100, .external_lex_state = 3},
  [19078] = {.lex_state = 382, .external_lex_state = 3},
  [19079] = {.lex_state = 100, .external_lex_state = 3},
  [19080] = {.lex_state = 382, .external_lex_state = 3},
  [19081] = {.lex_state = 36, .external_lex_state = 3},
  [19082] = {.lex_state = 382, .external_lex_state = 3},
  [19083] = {.lex_state = 100, .external_lex_state = 3},
  [19084] = {.lex_state = 412, .external_lex_state = 3},
  [19085] = {.lex_state = 100, .external_lex_state = 3},
  [19086] = {.lex_state = 100, .external_lex_state = 3},
  [19087] = {.lex_state = 36, .external_lex_state = 3},
  [19088] = {.lex_state = 100, .external_lex_state = 3},
  [19089] = {.lex_state = 382, .external_lex_state = 3},
  [19090] = {.lex_state = 382, .external_lex_state = 8},
  [19091] = {.lex_state = 382, .external_lex_state = 3},
  [19092] = {.lex_state = 382, .external_lex_state = 8},
  [19093] = {.lex_state = 382, .external_lex_state = 3},
  [19094] = {.lex_state = 15, .external_lex_state = 3},
  [19095] = {.lex_state = 15, .external_lex_state = 3},
  [19096] = {.lex_state = 382, .external_lex_state = 3},
  [19097] = {.lex_state = 15, .external_lex_state = 3},
  [19098] = {.lex_state = 36, .external_lex_state = 3},
  [19099] = {.lex_state = 412, .external_lex_state = 3},
  [19100] = {.lex_state = 382, .external_lex_state = 3},
  [19101] = {.lex_state = 100, .external_lex_state = 3},
  [19102] = {.lex_state = 100, .external_lex_state = 3},
  [19103] = {.lex_state = 100, .external_lex_state = 3},
  [19104] = {.lex_state = 100, .external_lex_state = 3},
  [19105] = {.lex_state = 382, .external_lex_state = 8},
  [19106] = {.lex_state = 15, .external_lex_state = 3},
  [19107] = {.lex_state = 15, .external_lex_state = 3},
  [19108] = {.lex_state = 412, .external_lex_state = 3},
  [19109] = {.lex_state = 382, .external_lex_state = 3},
  [19110] = {.lex_state = 36, .external_lex_state = 3},
  [19111] = {.lex_state = 36, .external_lex_state = 3},
  [19112] = {.lex_state = 382, .external_lex_state = 3},
  [19113] = {.lex_state = 36, .external_lex_state = 3},
  [19114] = {.lex_state = 382, .external_lex_state = 3},
  [19115] = {.lex_state = 382, .external_lex_state = 3},
  [19116] = {.lex_state = 15, .external_lex_state = 3},
  [19117] = {.lex_state = 15, .external_lex_state = 3},
  [19118] = {.lex_state = 382, .external_lex_state = 3},
  [19119] = {.lex_state = 15, .external_lex_state = 3},
  [19120] = {.lex_state = 36, .external_lex_state = 3},
  [19121] = {.lex_state = 15, .external_lex_state = 3},
  [19122] = {.lex_state = 382, .external_lex_state = 3},
  [19123] = {.lex_state = 100, .external_lex_state = 3},
  [19124] = {.lex_state = 100, .external_lex_state = 3},
  [19125] = {.lex_state = 100, .external_lex_state = 3},
  [19126] = {.lex_state = 15, .external_lex_state = 3},
  [19127] = {.lex_state = 382, .external_lex_state = 8},
  [19128] = {.lex_state = 15, .external_lex_state = 3},
  [19129] = {.lex_state = 36, .external_lex_state = 3},
  [19130] = {.lex_state = 15, .external_lex_state = 3},
  [19131] = {.lex_state = 382, .external_lex_state = 3},
  [19132] = {.lex_state = 382, .external_lex_state = 3},
  [19133] = {.lex_state = 15, .external_lex_state = 3},
  [19134] = {.lex_state = 382, .external_lex_state = 3},
  [19135] = {.lex_state = 382, .external_lex_state = 3},
  [19136] = {.lex_state = 36, .external_lex_state = 3},
  [19137] = {.lex_state = 15, .external_lex_state = 3},
  [19138] = {.lex_state = 100, .external_lex_state = 3},
  [19139] = {.lex_state = 100, .external_lex_state = 3},
  [19140] = {.lex_state = 100, .external_lex_state = 3},
  [19141] = {.lex_state = 36, .external_lex_state = 3},
  [19142] = {.lex_state = 382, .external_lex_state = 8},
  [19143] = {.lex_state = 412, .external_lex_state = 3},
  [19144] = {.lex_state = 36, .external_lex_state = 3},
  [19145] = {.lex_state = 15, .external_lex_state = 3},
  [19146] = {.lex_state = 100, .external_lex_state = 3},
  [19147] = {.lex_state = 15, .external_lex_state = 3},
  [19148] = {.lex_state = 382, .external_lex_state = 3},
  [19149] = {.lex_state = 382, .external_lex_state = 3},
  [19150] = {.lex_state = 382, .external_lex_state = 3},
  [19151] = {.lex_state = 15, .external_lex_state = 3},
  [19152] = {.lex_state = 382, .external_lex_state = 3},
  [19153] = {.lex_state = 15, .external_lex_state = 3},
  [19154] = {.lex_state = 382, .external_lex_state = 3},
  [19155] = {.lex_state = 36, .external_lex_state = 3},
  [19156] = {.lex_state = 100, .external_lex_state = 3},
  [19157] = {.lex_state = 100, .external_lex_state = 3},
  [19158] = {.lex_state = 100, .external_lex_state = 3},
  [19159] = {.lex_state = 36, .external_lex_state = 3},
  [19160] = {.lex_state = 382, .external_lex_state = 8},
  [19161] = {.lex_state = 382, .external_lex_state = 3},
  [19162] = {.lex_state = 382, .external_lex_state = 3},
  [19163] = {.lex_state = 15, .external_lex_state = 3},
  [19164] = {.lex_state = 382, .external_lex_state = 8},
  [19165] = {.lex_state = 36, .external_lex_state = 3},
  [19166] = {.lex_state = 15, .external_lex_state = 3},
  [19167] = {.lex_state = 412, .external_lex_state = 3},
  [19168] = {.lex_state = 15, .external_lex_state = 3},
  [19169] = {.lex_state = 15, .external_lex_state = 3},
  [19170] = {.lex_state = 100, .external_lex_state = 3},
  [19171] = {.lex_state = 100, .external_lex_state = 3},
  [19172] = {.lex_state = 100, .external_lex_state = 3},
  [19173] = {.lex_state = 15, .external_lex_state = 3},
  [19174] = {.lex_state = 382, .external_lex_state = 3},
  [19175] = {.lex_state = 382, .external_lex_state = 3},
  [19176] = {.lex_state = 15, .external_lex_state = 3},
  [19177] = {.lex_state = 382, .external_lex_state = 3},
  [19178] = {.lex_state = 36, .external_lex_state = 3},
  [19179] = {.lex_state = 15, .external_lex_state = 3},
  [19180] = {.lex_state = 100, .external_lex_state = 3},
  [19181] = {.lex_state = 100, .external_lex_state = 3},
  [19182] = {.lex_state = 36, .external_lex_state = 3},
  [19183] = {.lex_state = 100, .external_lex_state = 3},
  [19184] = {.lex_state = 382, .external_lex_state = 3},
  [19185] = {.lex_state = 382, .external_lex_state = 3},
  [19186] = {.lex_state = 382, .external_lex_state = 8},
  [19187] = {.lex_state = 382, .external_lex_state = 3},
  [19188] = {.lex_state = 382, .external_lex_state = 3},
  [19189] = {.lex_state = 382, .external_lex_state = 3},
  [19190] = {.lex_state = 36, .external_lex_state = 3},
  [19191] = {.lex_state = 15, .external_lex_state = 3},
  [19192] = {.lex_state = 412, .external_lex_state = 3},
  [19193] = {.lex_state = 382, .external_lex_state = 3},
  [19194] = {.lex_state = 382, .external_lex_state = 3},
  [19195] = {.lex_state = 382, .external_lex_state = 3},
  [19196] = {.lex_state = 36, .external_lex_state = 3},
  [19197] = {.lex_state = 15, .external_lex_state = 3},
  [19198] = {.lex_state = 100, .external_lex_state = 3},
  [19199] = {.lex_state = 100, .external_lex_state = 3},
  [19200] = {.lex_state = 100, .external_lex_state = 3},
  [19201] = {.lex_state = 382, .external_lex_state = 8},
  [19202] = {.lex_state = 100, .external_lex_state = 3},
  [19203] = {.lex_state = 382, .external_lex_state = 3},
  [19204] = {.lex_state = 382, .external_lex_state = 3},
  [19205] = {.lex_state = 36, .external_lex_state = 3},
  [19206] = {.lex_state = 382, .external_lex_state = 3},
  [19207] = {.lex_state = 100, .external_lex_state = 3},
  [19208] = {.lex_state = 382, .external_lex_state = 3},
  [19209] = {.lex_state = 15, .external_lex_state = 3},
  [19210] = {.lex_state = 15, .external_lex_state = 3},
  [19211] = {.lex_state = 382, .external_lex_state = 3},
  [19212] = {.lex_state = 382, .external_lex_state = 3},
  [19213] = {.lex_state = 382, .external_lex_state = 3},
  [19214] = {.lex_state = 412, .external_lex_state = 3},
  [19215] = {.lex_state = 382, .external_lex_state = 3},
  [19216] = {.lex_state = 36, .external_lex_state = 3},
  [19217] = {.lex_state = 15, .external_lex_state = 3},
  [19218] = {.lex_state = 15, .external_lex_state = 3},
  [19219] = {.lex_state = 100, .external_lex_state = 3},
  [19220] = {.lex_state = 100, .external_lex_state = 3},
  [19221] = {.lex_state = 100, .external_lex_state = 3},
  [19222] = {.lex_state = 25, .external_lex_state = 3},
  [19223] = {.lex_state = 100, .external_lex_state = 3},
  [19224] = {.lex_state = 382, .external_lex_state = 8},
  [19225] = {.lex_state = 15, .external_lex_state = 3},
  [19226] = {.lex_state = 15, .external_lex_state = 3},
  [19227] = {.lex_state = 412, .external_lex_state = 3},
  [19228] = {.lex_state = 100, .external_lex_state = 3},
  [19229] = {.lex_state = 36, .external_lex_state = 3},
  [19230] = {.lex_state = 36, .external_lex_state = 3},
  [19231] = {.lex_state = 412, .external_lex_state = 3},
  [19232] = {.lex_state = 382, .external_lex_state = 3},
  [19233] = {.lex_state = 382, .external_lex_state = 3},
  [19234] = {.lex_state = 15, .external_lex_state = 3},
  [19235] = {.lex_state = 412, .external_lex_state = 3},
  [19236] = {.lex_state = 15, .external_lex_state = 3},
  [19237] = {.lex_state = 100, .external_lex_state = 3},
  [19238] = {.lex_state = 100, .external_lex_state = 3},
  [19239] = {.lex_state = 382, .external_lex_state = 3},
  [19240] = {.lex_state = 15, .external_lex_state = 3},
  [19241] = {.lex_state = 382, .external_lex_state = 3},
  [19242] = {.lex_state = 382, .external_lex_state = 3},
  [19243] = {.lex_state = 36, .external_lex_state = 3},
  [19244] = {.lex_state = 382, .external_lex_state = 3},
  [19245] = {.lex_state = 100, .external_lex_state = 3},
  [19246] = {.lex_state = 100, .external_lex_state = 3},
  [19247] = {.lex_state = 100, .external_lex_state = 3},
  [19248] = {.lex_state = 382, .external_lex_state = 3},
  [19249] = {.lex_state = 15, .external_lex_state = 3},
  [19250] = {.lex_state = 382, .external_lex_state = 8},
  [19251] = {.lex_state = 382, .external_lex_state = 8},
  [19252] = {.lex_state = 382, .external_lex_state = 3},
  [19253] = {.lex_state = 15, .external_lex_state = 3},
  [19254] = {.lex_state = 412, .external_lex_state = 3},
  [19255] = {.lex_state = 36, .external_lex_state = 3},
  [19256] = {.lex_state = 100, .external_lex_state = 3},
  [19257] = {.lex_state = 100, .external_lex_state = 3},
  [19258] = {.lex_state = 100, .external_lex_state = 3},
  [19259] = {.lex_state = 382, .external_lex_state = 3},
  [19260] = {.lex_state = 15, .external_lex_state = 3},
  [19261] = {.lex_state = 15, .external_lex_state = 3},
  [19262] = {.lex_state = 382, .external_lex_state = 3},
  [19263] = {.lex_state = 412, .external_lex_state = 3},
  [19264] = {.lex_state = 36, .external_lex_state = 3},
  [19265] = {.lex_state = 382, .external_lex_state = 3},
  [19266] = {.lex_state = 382, .external_lex_state = 3},
  [19267] = {.lex_state = 36, .external_lex_state = 3},
  [19268] = {.lex_state = 100, .external_lex_state = 3},
  [19269] = {.lex_state = 415, .external_lex_state = 3},
  [19270] = {.lex_state = 100, .external_lex_state = 3},
  [19271] = {.lex_state = 100, .external_lex_state = 3},
  [19272] = {.lex_state = 15, .external_lex_state = 3},
  [19273] = {.lex_state = 382, .external_lex_state = 8},
  [19274] = {.lex_state = 15, .external_lex_state = 3},
  [19275] = {.lex_state = 382, .external_lex_state = 3},
  [19276] = {.lex_state = 15, .external_lex_state = 3},
  [19277] = {.lex_state = 382, .external_lex_state = 3},
  [19278] = {.lex_state = 382, .external_lex_state = 3},
  [19279] = {.lex_state = 15, .external_lex_state = 3},
  [19280] = {.lex_state = 15, .external_lex_state = 3},
  [19281] = {.lex_state = 36, .external_lex_state = 3},
  [19282] = {.lex_state = 412, .external_lex_state = 3},
  [19283] = {.lex_state = 36, .external_lex_state = 3},
  [19284] = {.lex_state = 36, .external_lex_state = 3},
  [19285] = {.lex_state = 382, .external_lex_state = 3},
  [19286] = {.lex_state = 412, .external_lex_state = 3},
  [19287] = {.lex_state = 15, .external_lex_state = 3},
  [19288] = {.lex_state = 382, .external_lex_state = 3},
  [19289] = {.lex_state = 15, .external_lex_state = 3},
  [19290] = {.lex_state = 100, .external_lex_state = 3},
  [19291] = {.lex_state = 382, .external_lex_state = 3},
  [19292] = {.lex_state = 36, .external_lex_state = 3},
  [19293] = {.lex_state = 36, .external_lex_state = 3},
  [19294] = {.lex_state = 382, .external_lex_state = 8},
  [19295] = {.lex_state = 412, .external_lex_state = 3},
  [19296] = {.lex_state = 100, .external_lex_state = 3},
  [19297] = {.lex_state = 100, .external_lex_state = 3},
  [19298] = {.lex_state = 15, .external_lex_state = 3},
  [19299] = {.lex_state = 100, .external_lex_state = 3},
  [19300] = {.lex_state = 100, .external_lex_state = 3},
  [19301] = {.lex_state = 36, .external_lex_state = 3},
  [19302] = {.lex_state = 382, .external_lex_state = 3},
  [19303] = {.lex_state = 382, .external_lex_state = 3},
  [19304] = {.lex_state = 412, .external_lex_state = 3},
  [19305] = {.lex_state = 382, .external_lex_state = 3},
  [19306] = {.lex_state = 382, .external_lex_state = 3},
  [19307] = {.lex_state = 412, .external_lex_state = 3},
  [19308] = {.lex_state = 36, .external_lex_state = 3},
  [19309] = {.lex_state = 382, .external_lex_state = 3},
  [19310] = {.lex_state = 382, .external_lex_state = 3},
  [19311] = {.lex_state = 382, .external_lex_state = 3},
  [19312] = {.lex_state = 382, .external_lex_state = 3},
  [19313] = {.lex_state = 382, .external_lex_state = 3},
  [19314] = {.lex_state = 382, .external_lex_state = 3},
  [19315] = {.lex_state = 382, .external_lex_state = 3},
  [19316] = {.lex_state = 412, .external_lex_state = 3},
  [19317] = {.lex_state = 382, .external_lex_state = 3},
  [19318] = {.lex_state = 412, .external_lex_state = 3},
  [19319] = {.lex_state = 382, .external_lex_state = 3},
  [19320] = {.lex_state = 382, .external_lex_state = 3},
  [19321] = {.lex_state = 36, .external_lex_state = 3},
  [19322] = {.lex_state = 382, .external_lex_state = 3},
  [19323] = {.lex_state = 382, .external_lex_state = 3},
  [19324] = {.lex_state = 382, .external_lex_state = 3},
  [19325] = {.lex_state = 382, .external_lex_state = 3},
  [19326] = {.lex_state = 382, .external_lex_state = 3},
  [19327] = {.lex_state = 382, .external_lex_state = 3},
  [19328] = {.lex_state = 382, .external_lex_state = 3},
  [19329] = {.lex_state = 382, .external_lex_state = 3},
  [19330] = {.lex_state = 36, .external_lex_state = 3},
  [19331] = {.lex_state = 382, .external_lex_state = 3},
  [19332] = {.lex_state = 382, .external_lex_state = 2},
  [19333] = {.lex_state = 412, .external_lex_state = 3},
  [19334] = {.lex_state = 382, .external_lex_state = 3},
  [19335] = {.lex_state = 15, .external_lex_state = 3},
  [19336] = {.lex_state = 382, .external_lex_state = 3},
  [19337] = {.lex_state = 382, .external_lex_state = 3},
  [19338] = {.lex_state = 382, .external_lex_state = 3},
  [19339] = {.lex_state = 382, .external_lex_state = 3},
  [19340] = {.lex_state = 382, .external_lex_state = 3},
  [19341] = {.lex_state = 382, .external_lex_state = 3},
  [19342] = {.lex_state = 382, .external_lex_state = 2},
  [19343] = {.lex_state = 382, .external_lex_state = 3},
  [19344] = {.lex_state = 382, .external_lex_state = 3},
  [19345] = {.lex_state = 382, .external_lex_state = 3},
  [19346] = {.lex_state = 382, .external_lex_state = 3},
  [19347] = {.lex_state = 382, .external_lex_state = 3},
  [19348] = {.lex_state = 382, .external_lex_state = 3},
  [19349] = {.lex_state = 382, .external_lex_state = 3},
  [19350] = {.lex_state = 382, .external_lex_state = 3},
  [19351] = {.lex_state = 382, .external_lex_state = 3},
  [19352] = {.lex_state = 382, .external_lex_state = 2},
  [19353] = {.lex_state = 412, .external_lex_state = 3},
  [19354] = {.lex_state = 36, .external_lex_state = 3},
  [19355] = {.lex_state = 382, .external_lex_state = 3},
  [19356] = {.lex_state = 382, .external_lex_state = 3},
  [19357] = {.lex_state = 382, .external_lex_state = 3},
  [19358] = {.lex_state = 382, .external_lex_state = 3},
  [19359] = {.lex_state = 382, .external_lex_state = 3},
  [19360] = {.lex_state = 412, .external_lex_state = 3},
  [19361] = {.lex_state = 382, .external_lex_state = 3},
  [19362] = {.lex_state = 382, .external_lex_state = 3},
  [19363] = {.lex_state = 412, .external_lex_state = 3},
  [19364] = {.lex_state = 36, .external_lex_state = 3},
  [19365] = {.lex_state = 382, .external_lex_state = 3},
  [19366] = {.lex_state = 382, .external_lex_state = 3},
  [19367] = {.lex_state = 382, .external_lex_state = 3},
  [19368] = {.lex_state = 382, .external_lex_state = 3},
  [19369] = {.lex_state = 382, .external_lex_state = 3},
  [19370] = {.lex_state = 382, .external_lex_state = 3},
  [19371] = {.lex_state = 382, .external_lex_state = 3},
  [19372] = {.lex_state = 382, .external_lex_state = 3},
  [19373] = {.lex_state = 382, .external_lex_state = 3},
  [19374] = {.lex_state = 412, .external_lex_state = 3},
  [19375] = {.lex_state = 382, .external_lex_state = 3},
  [19376] = {.lex_state = 412, .external_lex_state = 3},
  [19377] = {.lex_state = 382, .external_lex_state = 3},
  [19378] = {.lex_state = 15, .external_lex_state = 3},
  [19379] = {.lex_state = 382, .external_lex_state = 3},
  [19380] = {.lex_state = 382, .external_lex_state = 2},
  [19381] = {.lex_state = 36, .external_lex_state = 3},
  [19382] = {.lex_state = 382, .external_lex_state = 3},
  [19383] = {.lex_state = 382, .external_lex_state = 3},
  [19384] = {.lex_state = 382, .external_lex_state = 3},
  [19385] = {.lex_state = 412, .external_lex_state = 3},
  [19386] = {.lex_state = 382, .external_lex_state = 3},
  [19387] = {.lex_state = 412, .external_lex_state = 3},
  [19388] = {.lex_state = 382, .external_lex_state = 3},
  [19389] = {.lex_state = 36, .external_lex_state = 3},
  [19390] = {.lex_state = 382, .external_lex_state = 3},
  [19391] = {.lex_state = 382, .external_lex_state = 3},
  [19392] = {.lex_state = 382, .external_lex_state = 3},
  [19393] = {.lex_state = 382, .external_lex_state = 3},
  [19394] = {.lex_state = 382, .external_lex_state = 2},
  [19395] = {.lex_state = 382, .external_lex_state = 3},
  [19396] = {.lex_state = 382, .external_lex_state = 2},
  [19397] = {.lex_state = 412, .external_lex_state = 3},
  [19398] = {.lex_state = 382, .external_lex_state = 3},
  [19399] = {.lex_state = 382, .external_lex_state = 3},
  [19400] = {.lex_state = 382, .external_lex_state = 3},
  [19401] = {.lex_state = 382, .external_lex_state = 3},
  [19402] = {.lex_state = 382, .external_lex_state = 3},
  [19403] = {.lex_state = 382, .external_lex_state = 3},
  [19404] = {.lex_state = 382, .external_lex_state = 3},
  [19405] = {.lex_state = 382, .external_lex_state = 3},
  [19406] = {.lex_state = 382, .external_lex_state = 3},
  [19407] = {.lex_state = 382, .external_lex_state = 3},
  [19408] = {.lex_state = 132, .external_lex_state = 3},
  [19409] = {.lex_state = 382, .external_lex_state = 3},
  [19410] = {.lex_state = 382, .external_lex_state = 3},
  [19411] = {.lex_state = 382, .external_lex_state = 3},
  [19412] = {.lex_state = 132, .external_lex_state = 3},
  [19413] = {.lex_state = 382, .external_lex_state = 3},
  [19414] = {.lex_state = 382, .external_lex_state = 3},
  [19415] = {.lex_state = 382, .external_lex_state = 3},
  [19416] = {.lex_state = 132, .external_lex_state = 3},
  [19417] = {.lex_state = 36, .external_lex_state = 3},
  [19418] = {.lex_state = 132, .external_lex_state = 3},
  [19419] = {.lex_state = 382, .external_lex_state = 3},
  [19420] = {.lex_state = 382, .external_lex_state = 3},
  [19421] = {.lex_state = 36, .external_lex_state = 3},
  [19422] = {.lex_state = 412, .external_lex_state = 3},
  [19423] = {.lex_state = 412, .external_lex_state = 3},
  [19424] = {.lex_state = 382, .external_lex_state = 3},
  [19425] = {.lex_state = 382, .external_lex_state = 3},
  [19426] = {.lex_state = 412, .external_lex_state = 3},
  [19427] = {.lex_state = 36, .external_lex_state = 3},
  [19428] = {.lex_state = 382, .external_lex_state = 3},
  [19429] = {.lex_state = 412, .external_lex_state = 3},
  [19430] = {.lex_state = 382, .external_lex_state = 3},
  [19431] = {.lex_state = 382, .external_lex_state = 3},
  [19432] = {.lex_state = 382, .external_lex_state = 3},
  [19433] = {.lex_state = 382, .external_lex_state = 2},
  [19434] = {.lex_state = 412, .external_lex_state = 3},
  [19435] = {.lex_state = 382, .external_lex_state = 3},
  [19436] = {.lex_state = 382, .external_lex_state = 3},
  [19437] = {.lex_state = 412, .external_lex_state = 3},
  [19438] = {.lex_state = 382, .external_lex_state = 3},
  [19439] = {.lex_state = 412, .external_lex_state = 3},
  [19440] = {.lex_state = 382, .external_lex_state = 3},
  [19441] = {.lex_state = 412, .external_lex_state = 3},
  [19442] = {.lex_state = 382, .external_lex_state = 3},
  [19443] = {.lex_state = 382, .external_lex_state = 3},
  [19444] = {.lex_state = 36, .external_lex_state = 3},
  [19445] = {.lex_state = 412, .external_lex_state = 3},
  [19446] = {.lex_state = 382, .external_lex_state = 3},
  [19447] = {.lex_state = 412, .external_lex_state = 3},
  [19448] = {.lex_state = 382, .external_lex_state = 3},
  [19449] = {.lex_state = 382, .external_lex_state = 3},
  [19450] = {.lex_state = 382, .external_lex_state = 3},
  [19451] = {.lex_state = 382, .external_lex_state = 3},
  [19452] = {.lex_state = 382, .external_lex_state = 3},
  [19453] = {.lex_state = 382, .external_lex_state = 3},
  [19454] = {.lex_state = 382, .external_lex_state = 3},
  [19455] = {.lex_state = 382, .external_lex_state = 3},
  [19456] = {.lex_state = 382, .external_lex_state = 3},
  [19457] = {.lex_state = 382, .external_lex_state = 3},
  [19458] = {.lex_state = 382, .external_lex_state = 3},
  [19459] = {.lex_state = 382, .external_lex_state = 3},
  [19460] = {.lex_state = 382, .external_lex_state = 3},
  [19461] = {.lex_state = 382, .external_lex_state = 3},
  [19462] = {.lex_state = 382, .external_lex_state = 3},
  [19463] = {.lex_state = 382, .external_lex_state = 3},
  [19464] = {.lex_state = 382, .external_lex_state = 3},
  [19465] = {.lex_state = 382, .external_lex_state = 3},
  [19466] = {.lex_state = 382, .external_lex_state = 3},
  [19467] = {.lex_state = 382, .external_lex_state = 3},
  [19468] = {.lex_state = 36, .external_lex_state = 3},
  [19469] = {.lex_state = 412, .external_lex_state = 3},
  [19470] = {.lex_state = 412, .external_lex_state = 3},
  [19471] = {.lex_state = 382, .external_lex_state = 3},
  [19472] = {.lex_state = 382, .external_lex_state = 3},
  [19473] = {.lex_state = 382, .external_lex_state = 3},
  [19474] = {.lex_state = 36, .external_lex_state = 3},
  [19475] = {.lex_state = 382, .external_lex_state = 3},
  [19476] = {.lex_state = 382, .external_lex_state = 3},
  [19477] = {.lex_state = 382, .external_lex_state = 3},
  [19478] = {.lex_state = 412, .external_lex_state = 3},
  [19479] = {.lex_state = 382, .external_lex_state = 3},
  [19480] = {.lex_state = 36, .external_lex_state = 3},
  [19481] = {.lex_state = 382, .external_lex_state = 3},
  [19482] = {.lex_state = 382, .external_lex_state = 3},
  [19483] = {.lex_state = 382, .external_lex_state = 3},
  [19484] = {.lex_state = 382, .external_lex_state = 3},
  [19485] = {.lex_state = 382, .external_lex_state = 3},
  [19486] = {.lex_state = 412, .external_lex_state = 3},
  [19487] = {.lex_state = 36, .external_lex_state = 3},
  [19488] = {.lex_state = 382, .external_lex_state = 3},
  [19489] = {.lex_state = 412, .external_lex_state = 3},
  [19490] = {.lex_state = 36, .external_lex_state = 3},
  [19491] = {.lex_state = 382, .external_lex_state = 3},
  [19492] = {.lex_state = 382, .external_lex_state = 3},
  [19493] = {.lex_state = 382, .external_lex_state = 3},
  [19494] = {.lex_state = 382, .external_lex_state = 3},
  [19495] = {.lex_state = 382, .external_lex_state = 3},
  [19496] = {.lex_state = 382, .external_lex_state = 2},
  [19497] = {.lex_state = 382, .external_lex_state = 3},
  [19498] = {.lex_state = 382, .external_lex_state = 3},
  [19499] = {.lex_state = 412, .external_lex_state = 3},
  [19500] = {.lex_state = 412, .external_lex_state = 3},
  [19501] = {.lex_state = 382, .external_lex_state = 3},
  [19502] = {.lex_state = 412, .external_lex_state = 3},
  [19503] = {.lex_state = 382, .external_lex_state = 3},
  [19504] = {.lex_state = 382, .external_lex_state = 3},
  [19505] = {.lex_state = 382, .external_lex_state = 3},
  [19506] = {.lex_state = 382, .external_lex_state = 3},
  [19507] = {.lex_state = 36, .external_lex_state = 3},
  [19508] = {.lex_state = 382, .external_lex_state = 3},
  [19509] = {.lex_state = 382, .external_lex_state = 3},
  [19510] = {.lex_state = 382, .external_lex_state = 3},
  [19511] = {.lex_state = 382, .external_lex_state = 3},
  [19512] = {.lex_state = 382, .external_lex_state = 3},
  [19513] = {.lex_state = 382, .external_lex_state = 3},
  [19514] = {.lex_state = 382, .external_lex_state = 3},
  [19515] = {.lex_state = 382, .external_lex_state = 3},
  [19516] = {.lex_state = 382, .external_lex_state = 3},
  [19517] = {.lex_state = 382, .external_lex_state = 3},
  [19518] = {.lex_state = 382, .external_lex_state = 3},
  [19519] = {.lex_state = 382, .external_lex_state = 3},
  [19520] = {.lex_state = 382, .external_lex_state = 3},
  [19521] = {.lex_state = 382, .external_lex_state = 3},
  [19522] = {.lex_state = 382, .external_lex_state = 3},
  [19523] = {.lex_state = 382, .external_lex_state = 3},
  [19524] = {.lex_state = 382, .external_lex_state = 3},
  [19525] = {.lex_state = 382, .external_lex_state = 2},
  [19526] = {.lex_state = 412, .external_lex_state = 3},
  [19527] = {.lex_state = 382, .external_lex_state = 3},
  [19528] = {.lex_state = 382, .external_lex_state = 3},
  [19529] = {.lex_state = 382, .external_lex_state = 3},
  [19530] = {.lex_state = 382, .external_lex_state = 3},
  [19531] = {.lex_state = 382, .external_lex_state = 3},
  [19532] = {.lex_state = 382, .external_lex_state = 3},
  [19533] = {.lex_state = 382, .external_lex_state = 3},
  [19534] = {.lex_state = 382, .external_lex_state = 3},
  [19535] = {.lex_state = 382, .external_lex_state = 3},
  [19536] = {.lex_state = 382, .external_lex_state = 3},
  [19537] = {.lex_state = 382, .external_lex_state = 3},
  [19538] = {.lex_state = 382, .external_lex_state = 3},
  [19539] = {.lex_state = 36, .external_lex_state = 3},
  [19540] = {.lex_state = 382, .external_lex_state = 3},
  [19541] = {.lex_state = 382, .external_lex_state = 3},
  [19542] = {.lex_state = 382, .external_lex_state = 3},
  [19543] = {.lex_state = 382, .external_lex_state = 3},
  [19544] = {.lex_state = 412, .external_lex_state = 3},
  [19545] = {.lex_state = 412, .external_lex_state = 3},
  [19546] = {.lex_state = 36, .external_lex_state = 3},
  [19547] = {.lex_state = 382, .external_lex_state = 3},
  [19548] = {.lex_state = 382, .external_lex_state = 3},
  [19549] = {.lex_state = 382, .external_lex_state = 3},
  [19550] = {.lex_state = 382, .external_lex_state = 3},
  [19551] = {.lex_state = 382, .external_lex_state = 2},
  [19552] = {.lex_state = 412, .external_lex_state = 3},
  [19553] = {.lex_state = 382, .external_lex_state = 3},
  [19554] = {.lex_state = 382, .external_lex_state = 3},
  [19555] = {.lex_state = 382, .external_lex_state = 3},
  [19556] = {.lex_state = 412, .external_lex_state = 3},
  [19557] = {.lex_state = 412, .external_lex_state = 3},
  [19558] = {.lex_state = 382, .external_lex_state = 3},
  [19559] = {.lex_state = 382, .external_lex_state = 3},
  [19560] = {.lex_state = 382, .external_lex_state = 3},
  [19561] = {.lex_state = 382, .external_lex_state = 3},
  [19562] = {.lex_state = 36, .external_lex_state = 3},
  [19563] = {.lex_state = 382, .external_lex_state = 3},
  [19564] = {.lex_state = 382, .external_lex_state = 3},
  [19565] = {.lex_state = 382, .external_lex_state = 3},
  [19566] = {.lex_state = 382, .external_lex_state = 3},
  [19567] = {.lex_state = 382, .external_lex_state = 3},
  [19568] = {.lex_state = 382, .external_lex_state = 3},
  [19569] = {.lex_state = 382, .external_lex_state = 3},
  [19570] = {.lex_state = 382, .external_lex_state = 3},
  [19571] = {.lex_state = 382, .external_lex_state = 3},
  [19572] = {.lex_state = 412, .external_lex_state = 3},
  [19573] = {.lex_state = 382, .external_lex_state = 3},
  [19574] = {.lex_state = 382, .external_lex_state = 3},
  [19575] = {.lex_state = 382, .external_lex_state = 3},
  [19576] = {.lex_state = 382, .external_lex_state = 3},
  [19577] = {.lex_state = 382, .external_lex_state = 3},
  [19578] = {.lex_state = 382, .external_lex_state = 3},
  [19579] = {.lex_state = 382, .external_lex_state = 3},
  [19580] = {.lex_state = 382, .external_lex_state = 3},
  [19581] = {.lex_state = 382, .external_lex_state = 3},
  [19582] = {.lex_state = 382, .external_lex_state = 3},
  [19583] = {.lex_state = 382, .external_lex_state = 3},
  [19584] = {.lex_state = 382, .external_lex_state = 3},
  [19585] = {.lex_state = 382, .external_lex_state = 3},
  [19586] = {.lex_state = 382, .external_lex_state = 2},
  [19587] = {.lex_state = 412, .external_lex_state = 3},
  [19588] = {.lex_state = 382, .external_lex_state = 3},
  [19589] = {.lex_state = 382, .external_lex_state = 3},
  [19590] = {.lex_state = 382, .external_lex_state = 3},
  [19591] = {.lex_state = 382, .external_lex_state = 3},
  [19592] = {.lex_state = 382, .external_lex_state = 3},
  [19593] = {.lex_state = 412, .external_lex_state = 3},
  [19594] = {.lex_state = 36, .external_lex_state = 3},
  [19595] = {.lex_state = 382, .external_lex_state = 3},
  [19596] = {.lex_state = 382, .external_lex_state = 3},
  [19597] = {.lex_state = 382, .external_lex_state = 3},
  [19598] = {.lex_state = 382, .external_lex_state = 3},
  [19599] = {.lex_state = 412, .external_lex_state = 3},
  [19600] = {.lex_state = 412, .external_lex_state = 3},
  [19601] = {.lex_state = 36, .external_lex_state = 3},
  [19602] = {.lex_state = 382, .external_lex_state = 3},
  [19603] = {.lex_state = 382, .external_lex_state = 3},
  [19604] = {.lex_state = 382, .external_lex_state = 3},
  [19605] = {.lex_state = 382, .external_lex_state = 3},
  [19606] = {.lex_state = 382, .external_lex_state = 3},
  [19607] = {.lex_state = 382, .external_lex_state = 3},
  [19608] = {.lex_state = 382, .external_lex_state = 3},
  [19609] = {.lex_state = 382, .external_lex_state = 3},
  [19610] = {.lex_state = 382, .external_lex_state = 3},
  [19611] = {.lex_state = 412, .external_lex_state = 3},
  [19612] = {.lex_state = 412, .external_lex_state = 3},
  [19613] = {.lex_state = 382, .external_lex_state = 3},
  [19614] = {.lex_state = 382, .external_lex_state = 3},
  [19615] = {.lex_state = 382, .external_lex_state = 2},
  [19616] = {.lex_state = 412, .external_lex_state = 3},
  [19617] = {.lex_state = 36, .external_lex_state = 3},
  [19618] = {.lex_state = 382, .external_lex_state = 3},
  [19619] = {.lex_state = 382, .external_lex_state = 3},
  [19620] = {.lex_state = 382, .external_lex_state = 3},
  [19621] = {.lex_state = 382, .external_lex_state = 3},
  [19622] = {.lex_state = 382, .external_lex_state = 3},
  [19623] = {.lex_state = 382, .external_lex_state = 3},
  [19624] = {.lex_state = 382, .external_lex_state = 3},
  [19625] = {.lex_state = 382, .external_lex_state = 3},
  [19626] = {.lex_state = 382, .external_lex_state = 3},
  [19627] = {.lex_state = 382, .external_lex_state = 3},
  [19628] = {.lex_state = 382, .external_lex_state = 3},
  [19629] = {.lex_state = 382, .external_lex_state = 3},
  [19630] = {.lex_state = 132, .external_lex_state = 3},
  [19631] = {.lex_state = 382, .external_lex_state = 3},
  [19632] = {.lex_state = 412, .external_lex_state = 3},
  [19633] = {.lex_state = 382, .external_lex_state = 3},
  [19634] = {.lex_state = 382, .external_lex_state = 3},
  [19635] = {.lex_state = 382, .external_lex_state = 3},
  [19636] = {.lex_state = 382, .external_lex_state = 3},
  [19637] = {.lex_state = 382, .external_lex_state = 3},
  [19638] = {.lex_state = 382, .external_lex_state = 3},
  [19639] = {.lex_state = 382, .external_lex_state = 3},
  [19640] = {.lex_state = 382, .external_lex_state = 3},
  [19641] = {.lex_state = 382, .external_lex_state = 3},
  [19642] = {.lex_state = 382, .external_lex_state = 3},
  [19643] = {.lex_state = 382, .external_lex_state = 3},
  [19644] = {.lex_state = 382, .external_lex_state = 3},
  [19645] = {.lex_state = 382, .external_lex_state = 3},
  [19646] = {.lex_state = 382, .external_lex_state = 2},
  [19647] = {.lex_state = 412, .external_lex_state = 3},
  [19648] = {.lex_state = 382, .external_lex_state = 3},
  [19649] = {.lex_state = 36, .external_lex_state = 3},
  [19650] = {.lex_state = 36, .external_lex_state = 3},
  [19651] = {.lex_state = 382, .external_lex_state = 3},
  [19652] = {.lex_state = 382, .external_lex_state = 3},
  [19653] = {.lex_state = 132, .external_lex_state = 3},
  [19654] = {.lex_state = 412, .external_lex_state = 3},
  [19655] = {.lex_state = 412, .external_lex_state = 3},
  [19656] = {.lex_state = 36, .external_lex_state = 3},
  [19657] = {.lex_state = 382, .external_lex_state = 3},
  [19658] = {.lex_state = 382, .external_lex_state = 3},
  [19659] = {.lex_state = 382, .external_lex_state = 3},
  [19660] = {.lex_state = 382, .external_lex_state = 3},
  [19661] = {.lex_state = 382, .external_lex_state = 3},
  [19662] = {.lex_state = 382, .external_lex_state = 3},
  [19663] = {.lex_state = 412, .external_lex_state = 3},
  [19664] = {.lex_state = 382, .external_lex_state = 3},
  [19665] = {.lex_state = 382, .external_lex_state = 3},
  [19666] = {.lex_state = 412, .external_lex_state = 3},
  [19667] = {.lex_state = 412, .external_lex_state = 3},
  [19668] = {.lex_state = 412, .external_lex_state = 3},
  [19669] = {.lex_state = 382, .external_lex_state = 3},
  [19670] = {.lex_state = 382, .external_lex_state = 3},
  [19671] = {.lex_state = 382, .external_lex_state = 3},
  [19672] = {.lex_state = 36, .external_lex_state = 3},
  [19673] = {.lex_state = 382, .external_lex_state = 3},
  [19674] = {.lex_state = 382, .external_lex_state = 3},
  [19675] = {.lex_state = 132, .external_lex_state = 3},
  [19676] = {.lex_state = 382, .external_lex_state = 3},
  [19677] = {.lex_state = 382, .external_lex_state = 3},
  [19678] = {.lex_state = 382, .external_lex_state = 3},
  [19679] = {.lex_state = 382, .external_lex_state = 3},
  [19680] = {.lex_state = 382, .external_lex_state = 2},
  [19681] = {.lex_state = 382, .external_lex_state = 3},
  [19682] = {.lex_state = 412, .external_lex_state = 3},
  [19683] = {.lex_state = 382, .external_lex_state = 3},
  [19684] = {.lex_state = 132, .external_lex_state = 3},
  [19685] = {.lex_state = 382, .external_lex_state = 3},
  [19686] = {.lex_state = 15, .external_lex_state = 3},
  [19687] = {.lex_state = 132, .external_lex_state = 3},
  [19688] = {.lex_state = 382, .external_lex_state = 3},
  [19689] = {.lex_state = 382, .external_lex_state = 3},
  [19690] = {.lex_state = 382, .external_lex_state = 3},
  [19691] = {.lex_state = 382, .external_lex_state = 3},
  [19692] = {.lex_state = 382, .external_lex_state = 3},
  [19693] = {.lex_state = 382, .external_lex_state = 3},
  [19694] = {.lex_state = 382, .external_lex_state = 3},
  [19695] = {.lex_state = 382, .external_lex_state = 3},
  [19696] = {.lex_state = 382, .external_lex_state = 3},
  [19697] = {.lex_state = 382, .external_lex_state = 3},
  [19698] = {.lex_state = 382, .external_lex_state = 3},
  [19699] = {.lex_state = 36, .external_lex_state = 3},
  [19700] = {.lex_state = 412, .external_lex_state = 3},
  [19701] = {.lex_state = 15, .external_lex_state = 3},
  [19702] = {.lex_state = 382, .external_lex_state = 3},
  [19703] = {.lex_state = 382, .external_lex_state = 3},
  [19704] = {.lex_state = 36, .external_lex_state = 3},
  [19705] = {.lex_state = 382, .external_lex_state = 2},
  [19706] = {.lex_state = 412, .external_lex_state = 3},
  [19707] = {.lex_state = 412, .external_lex_state = 3},
  [19708] = {.lex_state = 412, .external_lex_state = 3},
  [19709] = {.lex_state = 412, .external_lex_state = 3},
  [19710] = {.lex_state = 412, .external_lex_state = 3},
  [19711] = {.lex_state = 36, .external_lex_state = 3},
  [19712] = {.lex_state = 382, .external_lex_state = 3},
  [19713] = {.lex_state = 382, .external_lex_state = 3},
  [19714] = {.lex_state = 382, .external_lex_state = 2},
  [19715] = {.lex_state = 36, .external_lex_state = 3},
  [19716] = {.lex_state = 412, .external_lex_state = 3},
  [19717] = {.lex_state = 382, .external_lex_state = 3},
  [19718] = {.lex_state = 382, .external_lex_state = 3},
  [19719] = {.lex_state = 382, .external_lex_state = 3},
  [19720] = {.lex_state = 382, .external_lex_state = 3},
  [19721] = {.lex_state = 412, .external_lex_state = 3},
  [19722] = {.lex_state = 412, .external_lex_state = 3},
  [19723] = {.lex_state = 382, .external_lex_state = 3},
  [19724] = {.lex_state = 382, .external_lex_state = 3},
  [19725] = {.lex_state = 15, .external_lex_state = 3},
  [19726] = {.lex_state = 382, .external_lex_state = 3},
  [19727] = {.lex_state = 36, .external_lex_state = 3},
  [19728] = {.lex_state = 382, .external_lex_state = 3},
  [19729] = {.lex_state = 382, .external_lex_state = 3},
  [19730] = {.lex_state = 36, .external_lex_state = 3},
  [19731] = {.lex_state = 132, .external_lex_state = 3},
  [19732] = {.lex_state = 382, .external_lex_state = 3},
  [19733] = {.lex_state = 382, .external_lex_state = 3},
  [19734] = {.lex_state = 132, .external_lex_state = 3},
  [19735] = {.lex_state = 382, .external_lex_state = 3},
  [19736] = {.lex_state = 382, .external_lex_state = 3},
  [19737] = {.lex_state = 382, .external_lex_state = 3},
  [19738] = {.lex_state = 382, .external_lex_state = 3},
  [19739] = {.lex_state = 382, .external_lex_state = 3},
  [19740] = {.lex_state = 132, .external_lex_state = 3},
  [19741] = {.lex_state = 382, .external_lex_state = 3},
  [19742] = {.lex_state = 132, .external_lex_state = 3},
  [19743] = {.lex_state = 382, .external_lex_state = 3},
  [19744] = {.lex_state = 132, .external_lex_state = 3},
  [19745] = {.lex_state = 382, .external_lex_state = 3},
  [19746] = {.lex_state = 382, .external_lex_state = 3},
  [19747] = {.lex_state = 382, .external_lex_state = 3},
  [19748] = {.lex_state = 382, .external_lex_state = 3},
  [19749] = {.lex_state = 382, .external_lex_state = 3},
  [19750] = {.lex_state = 382, .external_lex_state = 3},
  [19751] = {.lex_state = 382, .external_lex_state = 3},
  [19752] = {.lex_state = 132, .external_lex_state = 3},
  [19753] = {.lex_state = 382, .external_lex_state = 3},
  [19754] = {.lex_state = 412, .external_lex_state = 3},
  [19755] = {.lex_state = 382, .external_lex_state = 3},
  [19756] = {.lex_state = 382, .external_lex_state = 3},
  [19757] = {.lex_state = 382, .external_lex_state = 3},
  [19758] = {.lex_state = 382, .external_lex_state = 3},
  [19759] = {.lex_state = 36, .external_lex_state = 3},
  [19760] = {.lex_state = 382, .external_lex_state = 3},
  [19761] = {.lex_state = 382, .external_lex_state = 3},
  [19762] = {.lex_state = 132, .external_lex_state = 3},
  [19763] = {.lex_state = 382, .external_lex_state = 3},
  [19764] = {.lex_state = 412, .external_lex_state = 3},
  [19765] = {.lex_state = 412, .external_lex_state = 3},
  [19766] = {.lex_state = 36, .external_lex_state = 3},
  [19767] = {.lex_state = 412, .external_lex_state = 3},
  [19768] = {.lex_state = 382, .external_lex_state = 2},
  [19769] = {.lex_state = 412, .external_lex_state = 3},
  [19770] = {.lex_state = 382, .external_lex_state = 3},
  [19771] = {.lex_state = 382, .external_lex_state = 3},
  [19772] = {.lex_state = 382, .external_lex_state = 3},
  [19773] = {.lex_state = 412, .external_lex_state = 3},
  [19774] = {.lex_state = 412, .external_lex_state = 3},
  [19775] = {.lex_state = 382, .external_lex_state = 3},
  [19776] = {.lex_state = 382, .external_lex_state = 3},
  [19777] = {.lex_state = 382, .external_lex_state = 3},
  [19778] = {.lex_state = 132, .external_lex_state = 3},
  [19779] = {.lex_state = 36, .external_lex_state = 3},
  [19780] = {.lex_state = 36, .external_lex_state = 3},
  [19781] = {.lex_state = 382, .external_lex_state = 3},
  [19782] = {.lex_state = 412, .external_lex_state = 3},
  [19783] = {.lex_state = 412, .external_lex_state = 3},
  [19784] = {.lex_state = 382, .external_lex_state = 3},
  [19785] = {.lex_state = 382, .external_lex_state = 2},
  [19786] = {.lex_state = 382, .external_lex_state = 3},
  [19787] = {.lex_state = 15, .external_lex_state = 3},
  [19788] = {.lex_state = 382, .external_lex_state = 3},
  [19789] = {.lex_state = 382, .external_lex_state = 3},
  [19790] = {.lex_state = 15, .external_lex_state = 3},
  [19791] = {.lex_state = 382, .external_lex_state = 3},
  [19792] = {.lex_state = 382, .external_lex_state = 3},
  [19793] = {.lex_state = 382, .external_lex_state = 3},
  [19794] = {.lex_state = 382, .external_lex_state = 3},
  [19795] = {.lex_state = 382, .external_lex_state = 3},
  [19796] = {.lex_state = 36, .external_lex_state = 3},
  [19797] = {.lex_state = 382, .external_lex_state = 3},
  [19798] = {.lex_state = 382, .external_lex_state = 3},
  [19799] = {.lex_state = 36, .external_lex_state = 3},
  [19800] = {.lex_state = 382, .external_lex_state = 3},
  [19801] = {.lex_state = 36, .external_lex_state = 3},
  [19802] = {.lex_state = 382, .external_lex_state = 3},
  [19803] = {.lex_state = 382, .external_lex_state = 3},
  [19804] = {.lex_state = 382, .external_lex_state = 3},
  [19805] = {.lex_state = 382, .external_lex_state = 3},
  [19806] = {.lex_state = 412, .external_lex_state = 3},
  [19807] = {.lex_state = 412, .external_lex_state = 3},
  [19808] = {.lex_state = 36, .external_lex_state = 3},
  [19809] = {.lex_state = 382, .external_lex_state = 3},
  [19810] = {.lex_state = 382, .external_lex_state = 3},
  [19811] = {.lex_state = 382, .external_lex_state = 3},
  [19812] = {.lex_state = 382, .external_lex_state = 3},
  [19813] = {.lex_state = 36, .external_lex_state = 3},
  [19814] = {.lex_state = 382, .external_lex_state = 3},
  [19815] = {.lex_state = 412, .external_lex_state = 3},
  [19816] = {.lex_state = 412, .external_lex_state = 3},
  [19817] = {.lex_state = 382, .external_lex_state = 3},
  [19818] = {.lex_state = 382, .external_lex_state = 3},
  [19819] = {.lex_state = 382, .external_lex_state = 3},
  [19820] = {.lex_state = 382, .external_lex_state = 3},
  [19821] = {.lex_state = 36, .external_lex_state = 3},
  [19822] = {.lex_state = 382, .external_lex_state = 3},
  [19823] = {.lex_state = 382, .external_lex_state = 3},
  [19824] = {.lex_state = 382, .external_lex_state = 3},
  [19825] = {.lex_state = 382, .external_lex_state = 3},
  [19826] = {.lex_state = 382, .external_lex_state = 3},
  [19827] = {.lex_state = 382, .external_lex_state = 2},
  [19828] = {.lex_state = 382, .external_lex_state = 3},
  [19829] = {.lex_state = 412, .external_lex_state = 3},
  [19830] = {.lex_state = 382, .external_lex_state = 3},
  [19831] = {.lex_state = 382, .external_lex_state = 3},
  [19832] = {.lex_state = 382, .external_lex_state = 3},
  [19833] = {.lex_state = 382, .external_lex_state = 3},
  [19834] = {.lex_state = 382, .external_lex_state = 3},
  [19835] = {.lex_state = 382, .external_lex_state = 3},
  [19836] = {.lex_state = 382, .external_lex_state = 3},
  [19837] = {.lex_state = 382, .external_lex_state = 3},
  [19838] = {.lex_state = 382, .external_lex_state = 3},
  [19839] = {.lex_state = 382, .external_lex_state = 3},
  [19840] = {.lex_state = 382, .external_lex_state = 3},
  [19841] = {.lex_state = 382, .external_lex_state = 3},
  [19842] = {.lex_state = 36, .external_lex_state = 3},
  [19843] = {.lex_state = 382, .external_lex_state = 3},
  [19844] = {.lex_state = 382, .external_lex_state = 3},
  [19845] = {.lex_state = 382, .external_lex_state = 3},
  [19846] = {.lex_state = 412, .external_lex_state = 3},
  [19847] = {.lex_state = 412, .external_lex_state = 3},
  [19848] = {.lex_state = 412, .external_lex_state = 3},
  [19849] = {.lex_state = 36, .external_lex_state = 3},
  [19850] = {.lex_state = 382, .external_lex_state = 3},
  [19851] = {.lex_state = 382, .external_lex_state = 3},
  [19852] = {.lex_state = 36, .external_lex_state = 3},
  [19853] = {.lex_state = 382, .external_lex_state = 3},
  [19854] = {.lex_state = 382, .external_lex_state = 3},
  [19855] = {.lex_state = 382, .external_lex_state = 3},
  [19856] = {.lex_state = 412, .external_lex_state = 3},
  [19857] = {.lex_state = 412, .external_lex_state = 3},
  [19858] = {.lex_state = 382, .external_lex_state = 3},
  [19859] = {.lex_state = 382, .external_lex_state = 3},
  [19860] = {.lex_state = 382, .external_lex_state = 3},
  [19861] = {.lex_state = 382, .external_lex_state = 3},
  [19862] = {.lex_state = 36, .external_lex_state = 3},
  [19863] = {.lex_state = 382, .external_lex_state = 3},
  [19864] = {.lex_state = 382, .external_lex_state = 3},
  [19865] = {.lex_state = 412, .external_lex_state = 3},
  [19866] = {.lex_state = 412, .external_lex_state = 3},
  [19867] = {.lex_state = 382, .external_lex_state = 3},
  [19868] = {.lex_state = 382, .external_lex_state = 3},
  [19869] = {.lex_state = 382, .external_lex_state = 3},
  [19870] = {.lex_state = 382, .external_lex_state = 3},
  [19871] = {.lex_state = 382, .external_lex_state = 3},
  [19872] = {.lex_state = 382, .external_lex_state = 3},
  [19873] = {.lex_state = 382, .external_lex_state = 3},
  [19874] = {.lex_state = 382, .external_lex_state = 3},
  [19875] = {.lex_state = 382, .external_lex_state = 3},
  [19876] = {.lex_state = 382, .external_lex_state = 3},
  [19877] = {.lex_state = 382, .external_lex_state = 3},
  [19878] = {.lex_state = 382, .external_lex_state = 3},
  [19879] = {.lex_state = 382, .external_lex_state = 3},
  [19880] = {.lex_state = 382, .external_lex_state = 3},
  [19881] = {.lex_state = 382, .external_lex_state = 3},
  [19882] = {.lex_state = 382, .external_lex_state = 3},
  [19883] = {.lex_state = 36, .external_lex_state = 3},
  [19884] = {.lex_state = 382, .external_lex_state = 3},
  [19885] = {.lex_state = 382, .external_lex_state = 3},
  [19886] = {.lex_state = 382, .external_lex_state = 3},
  [19887] = {.lex_state = 382, .external_lex_state = 3},
  [19888] = {.lex_state = 412, .external_lex_state = 3},
  [19889] = {.lex_state = 412, .external_lex_state = 3},
  [19890] = {.lex_state = 36, .external_lex_state = 3},
  [19891] = {.lex_state = 382, .external_lex_state = 3},
  [19892] = {.lex_state = 382, .external_lex_state = 3},
  [19893] = {.lex_state = 382, .external_lex_state = 3},
  [19894] = {.lex_state = 382, .external_lex_state = 3},
  [19895] = {.lex_state = 382, .external_lex_state = 3},
  [19896] = {.lex_state = 382, .external_lex_state = 3},
  [19897] = {.lex_state = 412, .external_lex_state = 3},
  [19898] = {.lex_state = 412, .external_lex_state = 3},
  [19899] = {.lex_state = 36, .external_lex_state = 3},
  [19900] = {.lex_state = 382, .external_lex_state = 3},
  [19901] = {.lex_state = 382, .external_lex_state = 3},
  [19902] = {.lex_state = 382, .external_lex_state = 3},
  [19903] = {.lex_state = 36, .external_lex_state = 3},
  [19904] = {.lex_state = 382, .external_lex_state = 3},
  [19905] = {.lex_state = 382, .external_lex_state = 3},
  [19906] = {.lex_state = 412, .external_lex_state = 3},
  [19907] = {.lex_state = 382, .external_lex_state = 3},
  [19908] = {.lex_state = 382, .external_lex_state = 3},
  [19909] = {.lex_state = 382, .external_lex_state = 3},
  [19910] = {.lex_state = 382, .external_lex_state = 3},
  [19911] = {.lex_state = 382, .external_lex_state = 3},
  [19912] = {.lex_state = 412, .external_lex_state = 3},
  [19913] = {.lex_state = 412, .external_lex_state = 3},
  [19914] = {.lex_state = 382, .external_lex_state = 3},
  [19915] = {.lex_state = 382, .external_lex_state = 3},
  [19916] = {.lex_state = 382, .external_lex_state = 3},
  [19917] = {.lex_state = 382, .external_lex_state = 3},
  [19918] = {.lex_state = 382, .external_lex_state = 3},
  [19919] = {.lex_state = 382, .external_lex_state = 3},
  [19920] = {.lex_state = 382, .external_lex_state = 3},
  [19921] = {.lex_state = 15, .external_lex_state = 3},
  [19922] = {.lex_state = 382, .external_lex_state = 3},
  [19923] = {.lex_state = 15, .external_lex_state = 3},
  [19924] = {.lex_state = 36, .external_lex_state = 3},
  [19925] = {.lex_state = 382, .external_lex_state = 3},
  [19926] = {.lex_state = 132, .external_lex_state = 3},
  [19927] = {.lex_state = 382, .external_lex_state = 2},
  [19928] = {.lex_state = 382, .external_lex_state = 3},
  [19929] = {.lex_state = 412, .external_lex_state = 3},
  [19930] = {.lex_state = 412, .external_lex_state = 3},
  [19931] = {.lex_state = 36, .external_lex_state = 3},
  [19932] = {.lex_state = 412, .external_lex_state = 3},
  [19933] = {.lex_state = 412, .external_lex_state = 3},
  [19934] = {.lex_state = 132, .external_lex_state = 3},
  [19935] = {.lex_state = 412, .external_lex_state = 3},
  [19936] = {.lex_state = 36, .external_lex_state = 3},
  [19937] = {.lex_state = 132, .external_lex_state = 3},
  [19938] = {.lex_state = 412, .external_lex_state = 3},
  [19939] = {.lex_state = 412, .external_lex_state = 3},
  [19940] = {.lex_state = 382, .external_lex_state = 3},
  [19941] = {.lex_state = 382, .external_lex_state = 3},
  [19942] = {.lex_state = 382, .external_lex_state = 3},
  [19943] = {.lex_state = 382, .external_lex_state = 3},
  [19944] = {.lex_state = 36, .external_lex_state = 3},
  [19945] = {.lex_state = 382, .external_lex_state = 3},
  [19946] = {.lex_state = 412, .external_lex_state = 3},
  [19947] = {.lex_state = 382, .external_lex_state = 3},
  [19948] = {.lex_state = 382, .external_lex_state = 3},
  [19949] = {.lex_state = 382, .external_lex_state = 3},
  [19950] = {.lex_state = 132, .external_lex_state = 3},
  [19951] = {.lex_state = 36, .external_lex_state = 3},
  [19952] = {.lex_state = 412, .external_lex_state = 3},
  [19953] = {.lex_state = 382, .external_lex_state = 3},
  [19954] = {.lex_state = 382, .external_lex_state = 3},
  [19955] = {.lex_state = 382, .external_lex_state = 3},
  [19956] = {.lex_state = 382, .external_lex_state = 3},
  [19957] = {.lex_state = 382, .external_lex_state = 3},
  [19958] = {.lex_state = 382, .external_lex_state = 3},
  [19959] = {.lex_state = 382, .external_lex_state = 3},
  [19960] = {.lex_state = 132, .external_lex_state = 3},
  [19961] = {.lex_state = 132, .external_lex_state = 3},
  [19962] = {.lex_state = 382, .external_lex_state = 3},
  [19963] = {.lex_state = 132, .external_lex_state = 3},
  [19964] = {.lex_state = 382, .external_lex_state = 3},
  [19965] = {.lex_state = 36, .external_lex_state = 3},
  [19966] = {.lex_state = 382, .external_lex_state = 3},
  [19967] = {.lex_state = 36, .external_lex_state = 3},
  [19968] = {.lex_state = 388, .external_lex_state = 3},
  [19969] = {.lex_state = 388, .external_lex_state = 3},
  [19970] = {.lex_state = 412, .external_lex_state = 3},
  [19971] = {.lex_state = 412, .external_lex_state = 3},
  [19972] = {.lex_state = 36, .external_lex_state = 3},
  [19973] = {.lex_state = 388, .external_lex_state = 3},
  [19974] = {.lex_state = 412, .external_lex_state = 3},
  [19975] = {.lex_state = 382, .external_lex_state = 3},
  [19976] = {.lex_state = 382, .external_lex_state = 3},
  [19977] = {.lex_state = 382, .external_lex_state = 3},
  [19978] = {.lex_state = 132, .external_lex_state = 3},
  [19979] = {.lex_state = 412, .external_lex_state = 3},
  [19980] = {.lex_state = 412, .external_lex_state = 3},
  [19981] = {.lex_state = 382, .external_lex_state = 3},
  [19982] = {.lex_state = 382, .external_lex_state = 3},
  [19983] = {.lex_state = 382, .external_lex_state = 3},
  [19984] = {.lex_state = 382, .external_lex_state = 3},
  [19985] = {.lex_state = 36, .external_lex_state = 3},
  [19986] = {.lex_state = 382, .external_lex_state = 3},
  [19987] = {.lex_state = 36, .external_lex_state = 3},
  [19988] = {.lex_state = 382, .external_lex_state = 3},
  [19989] = {.lex_state = 382, .external_lex_state = 3},
  [19990] = {.lex_state = 382, .external_lex_state = 3},
  [19991] = {.lex_state = 382, .external_lex_state = 3},
  [19992] = {.lex_state = 382, .external_lex_state = 3},
  [19993] = {.lex_state = 382, .external_lex_state = 3},
  [19994] = {.lex_state = 382, .external_lex_state = 3},
  [19995] = {.lex_state = 382, .external_lex_state = 3},
  [19996] = {.lex_state = 382, .external_lex_state = 3},
  [19997] = {.lex_state = 382, .external_lex_state = 3},
  [19998] = {.lex_state = 382, .external_lex_state = 3},
  [19999] = {.lex_state = 382, .external_lex_state = 3},
  [20000] = {.lex_state = 382, .external_lex_state = 3},
  [20001] = {.lex_state = 382, .external_lex_state = 3},
  [20002] = {.lex_state = 382, .external_lex_state = 3},
  [20003] = {.lex_state = 382, .external_lex_state = 3},
  [20004] = {.lex_state = 382, .external_lex_state = 3},
  [20005] = {.lex_state = 382, .external_lex_state = 3},
  [20006] = {.lex_state = 36, .external_lex_state = 3},
  [20007] = {.lex_state = 382, .external_lex_state = 3},
  [20008] = {.lex_state = 382, .external_lex_state = 3},
  [20009] = {.lex_state = 382, .external_lex_state = 3},
  [20010] = {.lex_state = 382, .external_lex_state = 3},
  [20011] = {.lex_state = 412, .external_lex_state = 3},
  [20012] = {.lex_state = 412, .external_lex_state = 3},
  [20013] = {.lex_state = 36, .external_lex_state = 3},
  [20014] = {.lex_state = 382, .external_lex_state = 3},
  [20015] = {.lex_state = 382, .external_lex_state = 3},
  [20016] = {.lex_state = 382, .external_lex_state = 3},
  [20017] = {.lex_state = 382, .external_lex_state = 3},
  [20018] = {.lex_state = 36, .external_lex_state = 3},
  [20019] = {.lex_state = 412, .external_lex_state = 3},
  [20020] = {.lex_state = 412, .external_lex_state = 3},
  [20021] = {.lex_state = 412, .external_lex_state = 3},
  [20022] = {.lex_state = 36, .external_lex_state = 3},
  [20023] = {.lex_state = 382, .external_lex_state = 3},
  [20024] = {.lex_state = 382, .external_lex_state = 3},
  [20025] = {.lex_state = 382, .external_lex_state = 3},
  [20026] = {.lex_state = 36, .external_lex_state = 3},
  [20027] = {.lex_state = 382, .external_lex_state = 3},
  [20028] = {.lex_state = 382, .external_lex_state = 3},
  [20029] = {.lex_state = 382, .external_lex_state = 3},
  [20030] = {.lex_state = 412, .external_lex_state = 3},
  [20031] = {.lex_state = 382, .external_lex_state = 3},
  [20032] = {.lex_state = 382, .external_lex_state = 2},
  [20033] = {.lex_state = 382, .external_lex_state = 3},
  [20034] = {.lex_state = 382, .external_lex_state = 3},
  [20035] = {.lex_state = 382, .external_lex_state = 3},
  [20036] = {.lex_state = 382, .external_lex_state = 3},
  [20037] = {.lex_state = 382, .external_lex_state = 3},
  [20038] = {.lex_state = 382, .external_lex_state = 3},
  [20039] = {.lex_state = 382, .external_lex_state = 3},
  [20040] = {.lex_state = 382, .external_lex_state = 3},
  [20041] = {.lex_state = 15, .external_lex_state = 3},
  [20042] = {.lex_state = 382, .external_lex_state = 3},
  [20043] = {.lex_state = 382, .external_lex_state = 3},
  [20044] = {.lex_state = 382, .external_lex_state = 3},
  [20045] = {.lex_state = 382, .external_lex_state = 3},
  [20046] = {.lex_state = 412, .external_lex_state = 3},
  [20047] = {.lex_state = 36, .external_lex_state = 3},
  [20048] = {.lex_state = 382, .external_lex_state = 3},
  [20049] = {.lex_state = 36, .external_lex_state = 3},
  [20050] = {.lex_state = 382, .external_lex_state = 3},
  [20051] = {.lex_state = 382, .external_lex_state = 3},
  [20052] = {.lex_state = 412, .external_lex_state = 3},
  [20053] = {.lex_state = 412, .external_lex_state = 3},
  [20054] = {.lex_state = 36, .external_lex_state = 3},
  [20055] = {.lex_state = 412, .external_lex_state = 3},
  [20056] = {.lex_state = 132, .external_lex_state = 3},
  [20057] = {.lex_state = 382, .external_lex_state = 3},
  [20058] = {.lex_state = 382, .external_lex_state = 3},
  [20059] = {.lex_state = 382, .external_lex_state = 3},
  [20060] = {.lex_state = 15, .external_lex_state = 3},
  [20061] = {.lex_state = 412, .external_lex_state = 3},
  [20062] = {.lex_state = 412, .external_lex_state = 3},
  [20063] = {.lex_state = 382, .external_lex_state = 3},
  [20064] = {.lex_state = 382, .external_lex_state = 3},
  [20065] = {.lex_state = 382, .external_lex_state = 3},
  [20066] = {.lex_state = 382, .external_lex_state = 3},
  [20067] = {.lex_state = 36, .external_lex_state = 3},
  [20068] = {.lex_state = 382, .external_lex_state = 3},
  [20069] = {.lex_state = 382, .external_lex_state = 3},
  [20070] = {.lex_state = 382, .external_lex_state = 3},
  [20071] = {.lex_state = 382, .external_lex_state = 2},
  [20072] = {.lex_state = 382, .external_lex_state = 3},
  [20073] = {.lex_state = 412, .external_lex_state = 3},
  [20074] = {.lex_state = 382, .external_lex_state = 3},
  [20075] = {.lex_state = 382, .external_lex_state = 3},
  [20076] = {.lex_state = 382, .external_lex_state = 3},
  [20077] = {.lex_state = 412, .external_lex_state = 3},
  [20078] = {.lex_state = 382, .external_lex_state = 3},
  [20079] = {.lex_state = 382, .external_lex_state = 3},
  [20080] = {.lex_state = 382, .external_lex_state = 3},
  [20081] = {.lex_state = 382, .external_lex_state = 3},
  [20082] = {.lex_state = 36, .external_lex_state = 3},
  [20083] = {.lex_state = 382, .external_lex_state = 3},
  [20084] = {.lex_state = 382, .external_lex_state = 3},
  [20085] = {.lex_state = 382, .external_lex_state = 3},
  [20086] = {.lex_state = 382, .external_lex_state = 3},
  [20087] = {.lex_state = 382, .external_lex_state = 3},
  [20088] = {.lex_state = 36, .external_lex_state = 3},
  [20089] = {.lex_state = 132, .external_lex_state = 3},
  [20090] = {.lex_state = 382, .external_lex_state = 3},
  [20091] = {.lex_state = 382, .external_lex_state = 3},
  [20092] = {.lex_state = 382, .external_lex_state = 3},
  [20093] = {.lex_state = 412, .external_lex_state = 3},
  [20094] = {.lex_state = 412, .external_lex_state = 3},
  [20095] = {.lex_state = 36, .external_lex_state = 3},
  [20096] = {.lex_state = 382, .external_lex_state = 3},
  [20097] = {.lex_state = 382, .external_lex_state = 3},
  [20098] = {.lex_state = 382, .external_lex_state = 3},
  [20099] = {.lex_state = 382, .external_lex_state = 3},
  [20100] = {.lex_state = 382, .external_lex_state = 3},
  [20101] = {.lex_state = 382, .external_lex_state = 3},
  [20102] = {.lex_state = 412, .external_lex_state = 3},
  [20103] = {.lex_state = 412, .external_lex_state = 3},
  [20104] = {.lex_state = 382, .external_lex_state = 3},
  [20105] = {.lex_state = 132, .external_lex_state = 3},
  [20106] = {.lex_state = 412, .external_lex_state = 3},
  [20107] = {.lex_state = 132, .external_lex_state = 3},
  [20108] = {.lex_state = 36, .external_lex_state = 3},
  [20109] = {.lex_state = 382, .external_lex_state = 3},
  [20110] = {.lex_state = 382, .external_lex_state = 3},
  [20111] = {.lex_state = 382, .external_lex_state = 3},
  [20112] = {.lex_state = 36, .external_lex_state = 3},
  [20113] = {.lex_state = 382, .external_lex_state = 3},
  [20114] = {.lex_state = 382, .external_lex_state = 3},
  [20115] = {.lex_state = 382, .external_lex_state = 3},
  [20116] = {.lex_state = 132, .external_lex_state = 3},
  [20117] = {.lex_state = 382, .external_lex_state = 3},
  [20118] = {.lex_state = 412, .external_lex_state = 3},
  [20119] = {.lex_state = 382, .external_lex_state = 3},
  [20120] = {.lex_state = 382, .external_lex_state = 3},
  [20121] = {.lex_state = 382, .external_lex_state = 3},
  [20122] = {.lex_state = 382, .external_lex_state = 3},
  [20123] = {.lex_state = 382, .external_lex_state = 3},
  [20124] = {.lex_state = 382, .external_lex_state = 3},
  [20125] = {.lex_state = 382, .external_lex_state = 3},
  [20126] = {.lex_state = 382, .external_lex_state = 3},
  [20127] = {.lex_state = 382, .external_lex_state = 3},
  [20128] = {.lex_state = 382, .external_lex_state = 3},
  [20129] = {.lex_state = 36, .external_lex_state = 3},
  [20130] = {.lex_state = 382, .external_lex_state = 3},
  [20131] = {.lex_state = 382, .external_lex_state = 3},
  [20132] = {.lex_state = 382, .external_lex_state = 3},
  [20133] = {.lex_state = 382, .external_lex_state = 3},
  [20134] = {.lex_state = 412, .external_lex_state = 3},
  [20135] = {.lex_state = 412, .external_lex_state = 3},
  [20136] = {.lex_state = 36, .external_lex_state = 3},
  [20137] = {.lex_state = 382, .external_lex_state = 3},
  [20138] = {.lex_state = 382, .external_lex_state = 3},
  [20139] = {.lex_state = 382, .external_lex_state = 3},
  [20140] = {.lex_state = 382, .external_lex_state = 3},
  [20141] = {.lex_state = 382, .external_lex_state = 3},
  [20142] = {.lex_state = 132, .external_lex_state = 3},
  [20143] = {.lex_state = 412, .external_lex_state = 3},
  [20144] = {.lex_state = 412, .external_lex_state = 3},
  [20145] = {.lex_state = 36, .external_lex_state = 3},
  [20146] = {.lex_state = 382, .external_lex_state = 3},
  [20147] = {.lex_state = 382, .external_lex_state = 3},
  [20148] = {.lex_state = 382, .external_lex_state = 3},
  [20149] = {.lex_state = 36, .external_lex_state = 3},
  [20150] = {.lex_state = 412, .external_lex_state = 3},
  [20151] = {.lex_state = 382, .external_lex_state = 3},
  [20152] = {.lex_state = 412, .external_lex_state = 3},
  [20153] = {.lex_state = 382, .external_lex_state = 3},
  [20154] = {.lex_state = 382, .external_lex_state = 3},
  [20155] = {.lex_state = 382, .external_lex_state = 3},
  [20156] = {.lex_state = 382, .external_lex_state = 3},
  [20157] = {.lex_state = 382, .external_lex_state = 3},
  [20158] = {.lex_state = 382, .external_lex_state = 3},
  [20159] = {.lex_state = 382, .external_lex_state = 3},
  [20160] = {.lex_state = 382, .external_lex_state = 3},
  [20161] = {.lex_state = 382, .external_lex_state = 3},
  [20162] = {.lex_state = 382, .external_lex_state = 3},
  [20163] = {.lex_state = 382, .external_lex_state = 3},
  [20164] = {.lex_state = 382, .external_lex_state = 3},
  [20165] = {.lex_state = 382, .external_lex_state = 3},
  [20166] = {.lex_state = 382, .external_lex_state = 3},
  [20167] = {.lex_state = 382, .external_lex_state = 3},
  [20168] = {.lex_state = 412, .external_lex_state = 3},
  [20169] = {.lex_state = 382, .external_lex_state = 3},
  [20170] = {.lex_state = 36, .external_lex_state = 3},
  [20171] = {.lex_state = 412, .external_lex_state = 3},
  [20172] = {.lex_state = 382, .external_lex_state = 3},
  [20173] = {.lex_state = 132, .external_lex_state = 3},
  [20174] = {.lex_state = 15, .external_lex_state = 3},
  [20175] = {.lex_state = 412, .external_lex_state = 3},
  [20176] = {.lex_state = 412, .external_lex_state = 3},
  [20177] = {.lex_state = 36, .external_lex_state = 3},
  [20178] = {.lex_state = 415, .external_lex_state = 3},
  [20179] = {.lex_state = 382, .external_lex_state = 3},
  [20180] = {.lex_state = 382, .external_lex_state = 3},
  [20181] = {.lex_state = 382, .external_lex_state = 2},
  [20182] = {.lex_state = 382, .external_lex_state = 3},
  [20183] = {.lex_state = 382, .external_lex_state = 3},
  [20184] = {.lex_state = 412, .external_lex_state = 3},
  [20185] = {.lex_state = 412, .external_lex_state = 3},
  [20186] = {.lex_state = 382, .external_lex_state = 3},
  [20187] = {.lex_state = 412, .external_lex_state = 3},
  [20188] = {.lex_state = 412, .external_lex_state = 3},
  [20189] = {.lex_state = 382, .external_lex_state = 3},
  [20190] = {.lex_state = 36, .external_lex_state = 3},
  [20191] = {.lex_state = 36, .external_lex_state = 3},
  [20192] = {.lex_state = 412, .external_lex_state = 3},
  [20193] = {.lex_state = 132, .external_lex_state = 3},
  [20194] = {.lex_state = 36, .external_lex_state = 3},
  [20195] = {.lex_state = 382, .external_lex_state = 3},
  [20196] = {.lex_state = 412, .external_lex_state = 3},
  [20197] = {.lex_state = 382, .external_lex_state = 3},
  [20198] = {.lex_state = 412, .external_lex_state = 3},
  [20199] = {.lex_state = 382, .external_lex_state = 3},
  [20200] = {.lex_state = 382, .external_lex_state = 3},
  [20201] = {.lex_state = 382, .external_lex_state = 3},
  [20202] = {.lex_state = 382, .external_lex_state = 3},
  [20203] = {.lex_state = 382, .external_lex_state = 3},
  [20204] = {.lex_state = 382, .external_lex_state = 3},
  [20205] = {.lex_state = 382, .external_lex_state = 3},
  [20206] = {.lex_state = 382, .external_lex_state = 3},
  [20207] = {.lex_state = 382, .external_lex_state = 3},
  [20208] = {.lex_state = 382, .external_lex_state = 3},
  [20209] = {.lex_state = 382, .external_lex_state = 3},
  [20210] = {.lex_state = 382, .external_lex_state = 3},
  [20211] = {.lex_state = 36, .external_lex_state = 3},
  [20212] = {.lex_state = 382, .external_lex_state = 3},
  [20213] = {.lex_state = 36, .external_lex_state = 3},
  [20214] = {.lex_state = 132, .external_lex_state = 3},
  [20215] = {.lex_state = 412, .external_lex_state = 3},
  [20216] = {.lex_state = 412, .external_lex_state = 3},
  [20217] = {.lex_state = 36, .external_lex_state = 3},
  [20218] = {.lex_state = 382, .external_lex_state = 3},
  [20219] = {.lex_state = 15, .external_lex_state = 3},
  [20220] = {.lex_state = 36, .external_lex_state = 3},
  [20221] = {.lex_state = 132, .external_lex_state = 3},
  [20222] = {.lex_state = 382, .external_lex_state = 2},
  [20223] = {.lex_state = 412, .external_lex_state = 3},
  [20224] = {.lex_state = 412, .external_lex_state = 3},
  [20225] = {.lex_state = 412, .external_lex_state = 3},
  [20226] = {.lex_state = 382, .external_lex_state = 3},
  [20227] = {.lex_state = 382, .external_lex_state = 3},
  [20228] = {.lex_state = 382, .external_lex_state = 3},
  [20229] = {.lex_state = 412, .external_lex_state = 3},
  [20230] = {.lex_state = 36, .external_lex_state = 3},
  [20231] = {.lex_state = 382, .external_lex_state = 3},
  [20232] = {.lex_state = 382, .external_lex_state = 3},
  [20233] = {.lex_state = 382, .external_lex_state = 3},
  [20234] = {.lex_state = 36, .external_lex_state = 3},
  [20235] = {.lex_state = 382, .external_lex_state = 3},
  [20236] = {.lex_state = 382, .external_lex_state = 3},
  [20237] = {.lex_state = 412, .external_lex_state = 3},
  [20238] = {.lex_state = 132, .external_lex_state = 3},
  [20239] = {.lex_state = 382, .external_lex_state = 3},
  [20240] = {.lex_state = 132, .external_lex_state = 3},
  [20241] = {.lex_state = 382, .external_lex_state = 3},
  [20242] = {.lex_state = 382, .external_lex_state = 3},
  [20243] = {.lex_state = 382, .external_lex_state = 3},
  [20244] = {.lex_state = 382, .external_lex_state = 3},
  [20245] = {.lex_state = 132, .external_lex_state = 3},
  [20246] = {.lex_state = 382, .external_lex_state = 3},
  [20247] = {.lex_state = 132, .external_lex_state = 3},
  [20248] = {.lex_state = 382, .external_lex_state = 3},
  [20249] = {.lex_state = 382, .external_lex_state = 3},
  [20250] = {.lex_state = 382, .external_lex_state = 3},
  [20251] = {.lex_state = 36, .external_lex_state = 3},
  [20252] = {.lex_state = 132, .external_lex_state = 3},
  [20253] = {.lex_state = 132, .external_lex_state = 3},
  [20254] = {.lex_state = 412, .external_lex_state = 3},
  [20255] = {.lex_state = 412, .external_lex_state = 3},
  [20256] = {.lex_state = 412, .external_lex_state = 3},
  [20257] = {.lex_state = 36, .external_lex_state = 3},
  [20258] = {.lex_state = 132, .external_lex_state = 3},
  [20259] = {.lex_state = 382, .external_lex_state = 3},
  [20260] = {.lex_state = 132, .external_lex_state = 3},
  [20261] = {.lex_state = 382, .external_lex_state = 3},
  [20262] = {.lex_state = 412, .external_lex_state = 3},
  [20263] = {.lex_state = 382, .external_lex_state = 3},
  [20264] = {.lex_state = 412, .external_lex_state = 3},
  [20265] = {.lex_state = 412, .external_lex_state = 3},
  [20266] = {.lex_state = 382, .external_lex_state = 2},
  [20267] = {.lex_state = 15, .external_lex_state = 3},
  [20268] = {.lex_state = 382, .external_lex_state = 3},
  [20269] = {.lex_state = 382, .external_lex_state = 3},
  [20270] = {.lex_state = 36, .external_lex_state = 3},
  [20271] = {.lex_state = 382, .external_lex_state = 3},
  [20272] = {.lex_state = 382, .external_lex_state = 3},
  [20273] = {.lex_state = 382, .external_lex_state = 3},
  [20274] = {.lex_state = 382, .external_lex_state = 3},
  [20275] = {.lex_state = 382, .external_lex_state = 3},
  [20276] = {.lex_state = 382, .external_lex_state = 3},
  [20277] = {.lex_state = 382, .external_lex_state = 3},
  [20278] = {.lex_state = 382, .external_lex_state = 3},
  [20279] = {.lex_state = 382, .external_lex_state = 3},
  [20280] = {.lex_state = 382, .external_lex_state = 3},
  [20281] = {.lex_state = 382, .external_lex_state = 3},
  [20282] = {.lex_state = 382, .external_lex_state = 3},
  [20283] = {.lex_state = 382, .external_lex_state = 3},
  [20284] = {.lex_state = 382, .external_lex_state = 3},
  [20285] = {.lex_state = 382, .external_lex_state = 3},
  [20286] = {.lex_state = 382, .external_lex_state = 3},
  [20287] = {.lex_state = 382, .external_lex_state = 3},
  [20288] = {.lex_state = 382, .external_lex_state = 3},
  [20289] = {.lex_state = 382, .external_lex_state = 3},
  [20290] = {.lex_state = 36, .external_lex_state = 3},
  [20291] = {.lex_state = 382, .external_lex_state = 3},
  [20292] = {.lex_state = 132, .external_lex_state = 3},
  [20293] = {.lex_state = 382, .external_lex_state = 3},
  [20294] = {.lex_state = 412, .external_lex_state = 3},
  [20295] = {.lex_state = 412, .external_lex_state = 3},
  [20296] = {.lex_state = 36, .external_lex_state = 3},
  [20297] = {.lex_state = 382, .external_lex_state = 3},
  [20298] = {.lex_state = 382, .external_lex_state = 3},
  [20299] = {.lex_state = 382, .external_lex_state = 3},
  [20300] = {.lex_state = 382, .external_lex_state = 3},
  [20301] = {.lex_state = 382, .external_lex_state = 3},
  [20302] = {.lex_state = 382, .external_lex_state = 3},
  [20303] = {.lex_state = 412, .external_lex_state = 3},
  [20304] = {.lex_state = 412, .external_lex_state = 3},
  [20305] = {.lex_state = 382, .external_lex_state = 3},
  [20306] = {.lex_state = 382, .external_lex_state = 3},
  [20307] = {.lex_state = 382, .external_lex_state = 3},
  [20308] = {.lex_state = 382, .external_lex_state = 3},
  [20309] = {.lex_state = 36, .external_lex_state = 3},
  [20310] = {.lex_state = 132, .external_lex_state = 3},
  [20311] = {.lex_state = 412, .external_lex_state = 3},
  [20312] = {.lex_state = 382, .external_lex_state = 3},
  [20313] = {.lex_state = 382, .external_lex_state = 3},
  [20314] = {.lex_state = 382, .external_lex_state = 3},
  [20315] = {.lex_state = 382, .external_lex_state = 3},
  [20316] = {.lex_state = 382, .external_lex_state = 3},
  [20317] = {.lex_state = 382, .external_lex_state = 3},
  [20318] = {.lex_state = 382, .external_lex_state = 3},
  [20319] = {.lex_state = 15, .external_lex_state = 3},
  [20320] = {.lex_state = 382, .external_lex_state = 3},
  [20321] = {.lex_state = 382, .external_lex_state = 3},
  [20322] = {.lex_state = 382, .external_lex_state = 3},
  [20323] = {.lex_state = 382, .external_lex_state = 3},
  [20324] = {.lex_state = 382, .external_lex_state = 3},
  [20325] = {.lex_state = 412, .external_lex_state = 3},
  [20326] = {.lex_state = 382, .external_lex_state = 3},
  [20327] = {.lex_state = 382, .external_lex_state = 2},
  [20328] = {.lex_state = 382, .external_lex_state = 3},
  [20329] = {.lex_state = 36, .external_lex_state = 3},
  [20330] = {.lex_state = 382, .external_lex_state = 3},
  [20331] = {.lex_state = 412, .external_lex_state = 3},
  [20332] = {.lex_state = 382, .external_lex_state = 3},
  [20333] = {.lex_state = 412, .external_lex_state = 3},
  [20334] = {.lex_state = 412, .external_lex_state = 3},
  [20335] = {.lex_state = 382, .external_lex_state = 3},
  [20336] = {.lex_state = 382, .external_lex_state = 3},
  [20337] = {.lex_state = 382, .external_lex_state = 3},
  [20338] = {.lex_state = 382, .external_lex_state = 3},
  [20339] = {.lex_state = 382, .external_lex_state = 3},
  [20340] = {.lex_state = 15, .external_lex_state = 3},
  [20341] = {.lex_state = 382, .external_lex_state = 3},
  [20342] = {.lex_state = 412, .external_lex_state = 3},
  [20343] = {.lex_state = 412, .external_lex_state = 3},
  [20344] = {.lex_state = 382, .external_lex_state = 3},
  [20345] = {.lex_state = 382, .external_lex_state = 2},
  [20346] = {.lex_state = 382, .external_lex_state = 3},
  [20347] = {.lex_state = 382, .external_lex_state = 3},
  [20348] = {.lex_state = 36, .external_lex_state = 3},
  [20349] = {.lex_state = 382, .external_lex_state = 3},
  [20350] = {.lex_state = 412, .external_lex_state = 3},
  [20351] = {.lex_state = 382, .external_lex_state = 3},
  [20352] = {.lex_state = 412, .external_lex_state = 3},
  [20353] = {.lex_state = 382, .external_lex_state = 3},
  [20354] = {.lex_state = 412, .external_lex_state = 3},
  [20355] = {.lex_state = 36, .external_lex_state = 3},
  [20356] = {.lex_state = 36, .external_lex_state = 3},
  [20357] = {.lex_state = 382, .external_lex_state = 3},
  [20358] = {.lex_state = 382, .external_lex_state = 3},
  [20359] = {.lex_state = 382, .external_lex_state = 3},
  [20360] = {.lex_state = 382, .external_lex_state = 3},
  [20361] = {.lex_state = 382, .external_lex_state = 3},
  [20362] = {.lex_state = 382, .external_lex_state = 3},
  [20363] = {.lex_state = 382, .external_lex_state = 3},
  [20364] = {.lex_state = 382, .external_lex_state = 3},
  [20365] = {.lex_state = 382, .external_lex_state = 3},
  [20366] = {.lex_state = 382, .external_lex_state = 3},
  [20367] = {.lex_state = 382, .external_lex_state = 3},
  [20368] = {.lex_state = 36, .external_lex_state = 3},
  [20369] = {.lex_state = 132, .external_lex_state = 3},
  [20370] = {.lex_state = 132, .external_lex_state = 3},
  [20371] = {.lex_state = 132, .external_lex_state = 3},
  [20372] = {.lex_state = 412, .external_lex_state = 3},
  [20373] = {.lex_state = 412, .external_lex_state = 3},
  [20374] = {.lex_state = 36, .external_lex_state = 3},
  [20375] = {.lex_state = 382, .external_lex_state = 3},
  [20376] = {.lex_state = 382, .external_lex_state = 3},
  [20377] = {.lex_state = 382, .external_lex_state = 3},
  [20378] = {.lex_state = 132, .external_lex_state = 3},
  [20379] = {.lex_state = 382, .external_lex_state = 3},
  [20380] = {.lex_state = 382, .external_lex_state = 3},
  [20381] = {.lex_state = 412, .external_lex_state = 3},
  [20382] = {.lex_state = 412, .external_lex_state = 3},
  [20383] = {.lex_state = 382, .external_lex_state = 3},
  [20384] = {.lex_state = 382, .external_lex_state = 3},
  [20385] = {.lex_state = 382, .external_lex_state = 3},
  [20386] = {.lex_state = 132, .external_lex_state = 3},
  [20387] = {.lex_state = 36, .external_lex_state = 3},
  [20388] = {.lex_state = 132, .external_lex_state = 3},
  [20389] = {.lex_state = 382, .external_lex_state = 3},
  [20390] = {.lex_state = 132, .external_lex_state = 3},
  [20391] = {.lex_state = 382, .external_lex_state = 3},
  [20392] = {.lex_state = 382, .external_lex_state = 3},
  [20393] = {.lex_state = 382, .external_lex_state = 3},
  [20394] = {.lex_state = 132, .external_lex_state = 3},
  [20395] = {.lex_state = 382, .external_lex_state = 3},
  [20396] = {.lex_state = 382, .external_lex_state = 3},
  [20397] = {.lex_state = 132, .external_lex_state = 3},
  [20398] = {.lex_state = 382, .external_lex_state = 3},
  [20399] = {.lex_state = 382, .external_lex_state = 3},
  [20400] = {.lex_state = 382, .external_lex_state = 3},
  [20401] = {.lex_state = 382, .external_lex_state = 3},
  [20402] = {.lex_state = 382, .external_lex_state = 3},
  [20403] = {.lex_state = 132, .external_lex_state = 3},
  [20404] = {.lex_state = 382, .external_lex_state = 3},
  [20405] = {.lex_state = 382, .external_lex_state = 3},
  [20406] = {.lex_state = 382, .external_lex_state = 3},
  [20407] = {.lex_state = 36, .external_lex_state = 3},
  [20408] = {.lex_state = 382, .external_lex_state = 3},
  [20409] = {.lex_state = 382, .external_lex_state = 3},
  [20410] = {.lex_state = 382, .external_lex_state = 3},
  [20411] = {.lex_state = 412, .external_lex_state = 3},
  [20412] = {.lex_state = 412, .external_lex_state = 3},
  [20413] = {.lex_state = 36, .external_lex_state = 3},
  [20414] = {.lex_state = 382, .external_lex_state = 3},
  [20415] = {.lex_state = 382, .external_lex_state = 3},
  [20416] = {.lex_state = 382, .external_lex_state = 3},
  [20417] = {.lex_state = 382, .external_lex_state = 3},
  [20418] = {.lex_state = 382, .external_lex_state = 3},
  [20419] = {.lex_state = 382, .external_lex_state = 3},
  [20420] = {.lex_state = 412, .external_lex_state = 3},
  [20421] = {.lex_state = 412, .external_lex_state = 3},
  [20422] = {.lex_state = 382, .external_lex_state = 3},
  [20423] = {.lex_state = 36, .external_lex_state = 3},
  [20424] = {.lex_state = 382, .external_lex_state = 3},
  [20425] = {.lex_state = 382, .external_lex_state = 3},
  [20426] = {.lex_state = 36, .external_lex_state = 3},
  [20427] = {.lex_state = 382, .external_lex_state = 3},
  [20428] = {.lex_state = 412, .external_lex_state = 3},
  [20429] = {.lex_state = 382, .external_lex_state = 3},
  [20430] = {.lex_state = 382, .external_lex_state = 3},
  [20431] = {.lex_state = 382, .external_lex_state = 3},
  [20432] = {.lex_state = 412, .external_lex_state = 3},
  [20433] = {.lex_state = 382, .external_lex_state = 3},
  [20434] = {.lex_state = 382, .external_lex_state = 3},
  [20435] = {.lex_state = 382, .external_lex_state = 3},
  [20436] = {.lex_state = 382, .external_lex_state = 3},
  [20437] = {.lex_state = 382, .external_lex_state = 3},
  [20438] = {.lex_state = 382, .external_lex_state = 3},
  [20439] = {.lex_state = 382, .external_lex_state = 3},
  [20440] = {.lex_state = 382, .external_lex_state = 3},
  [20441] = {.lex_state = 382, .external_lex_state = 3},
  [20442] = {.lex_state = 382, .external_lex_state = 3},
  [20443] = {.lex_state = 382, .external_lex_state = 3},
  [20444] = {.lex_state = 132, .external_lex_state = 3},
  [20445] = {.lex_state = 36, .external_lex_state = 3},
  [20446] = {.lex_state = 382, .external_lex_state = 3},
  [20447] = {.lex_state = 382, .external_lex_state = 3},
  [20448] = {.lex_state = 382, .external_lex_state = 3},
  [20449] = {.lex_state = 412, .external_lex_state = 3},
  [20450] = {.lex_state = 412, .external_lex_state = 3},
  [20451] = {.lex_state = 36, .external_lex_state = 3},
  [20452] = {.lex_state = 382, .external_lex_state = 3},
  [20453] = {.lex_state = 382, .external_lex_state = 3},
  [20454] = {.lex_state = 382, .external_lex_state = 3},
  [20455] = {.lex_state = 382, .external_lex_state = 3},
  [20456] = {.lex_state = 382, .external_lex_state = 3},
  [20457] = {.lex_state = 382, .external_lex_state = 3},
  [20458] = {.lex_state = 412, .external_lex_state = 3},
  [20459] = {.lex_state = 412, .external_lex_state = 3},
  [20460] = {.lex_state = 382, .external_lex_state = 3},
  [20461] = {.lex_state = 412, .external_lex_state = 3},
  [20462] = {.lex_state = 382, .external_lex_state = 3},
  [20463] = {.lex_state = 382, .external_lex_state = 3},
  [20464] = {.lex_state = 36, .external_lex_state = 3},
  [20465] = {.lex_state = 382, .external_lex_state = 3},
  [20466] = {.lex_state = 382, .external_lex_state = 3},
  [20467] = {.lex_state = 36, .external_lex_state = 3},
  [20468] = {.lex_state = 36, .external_lex_state = 3},
  [20469] = {.lex_state = 382, .external_lex_state = 3},
  [20470] = {.lex_state = 382, .external_lex_state = 3},
  [20471] = {.lex_state = 15, .external_lex_state = 3},
  [20472] = {.lex_state = 412, .external_lex_state = 3},
  [20473] = {.lex_state = 382, .external_lex_state = 3},
  [20474] = {.lex_state = 382, .external_lex_state = 3},
  [20475] = {.lex_state = 382, .external_lex_state = 3},
  [20476] = {.lex_state = 382, .external_lex_state = 3},
  [20477] = {.lex_state = 382, .external_lex_state = 3},
  [20478] = {.lex_state = 382, .external_lex_state = 3},
  [20479] = {.lex_state = 412, .external_lex_state = 3},
  [20480] = {.lex_state = 382, .external_lex_state = 3},
  [20481] = {.lex_state = 382, .external_lex_state = 3},
  [20482] = {.lex_state = 382, .external_lex_state = 3},
  [20483] = {.lex_state = 36, .external_lex_state = 3},
  [20484] = {.lex_state = 382, .external_lex_state = 3},
  [20485] = {.lex_state = 412, .external_lex_state = 3},
  [20486] = {.lex_state = 382, .external_lex_state = 2},
  [20487] = {.lex_state = 412, .external_lex_state = 3},
  [20488] = {.lex_state = 412, .external_lex_state = 3},
  [20489] = {.lex_state = 36, .external_lex_state = 3},
  [20490] = {.lex_state = 15, .external_lex_state = 3},
  [20491] = {.lex_state = 15, .external_lex_state = 3},
  [20492] = {.lex_state = 382, .external_lex_state = 3},
  [20493] = {.lex_state = 382, .external_lex_state = 2},
  [20494] = {.lex_state = 412, .external_lex_state = 3},
  [20495] = {.lex_state = 412, .external_lex_state = 3},
  [20496] = {.lex_state = 412, .external_lex_state = 3},
  [20497] = {.lex_state = 412, .external_lex_state = 3},
  [20498] = {.lex_state = 382, .external_lex_state = 3},
  [20499] = {.lex_state = 36, .external_lex_state = 3},
  [20500] = {.lex_state = 382, .external_lex_state = 3},
  [20501] = {.lex_state = 15, .external_lex_state = 3},
  [20502] = {.lex_state = 36, .external_lex_state = 3},
  [20503] = {.lex_state = 412, .external_lex_state = 3},
  [20504] = {.lex_state = 382, .external_lex_state = 3},
  [20505] = {.lex_state = 36, .external_lex_state = 3},
  [20506] = {.lex_state = 382, .external_lex_state = 3},
  [20507] = {.lex_state = 382, .external_lex_state = 3},
  [20508] = {.lex_state = 382, .external_lex_state = 3},
  [20509] = {.lex_state = 382, .external_lex_state = 3},
  [20510] = {.lex_state = 382, .external_lex_state = 3},
  [20511] = {.lex_state = 132, .external_lex_state = 3},
  [20512] = {.lex_state = 382, .external_lex_state = 3},
  [20513] = {.lex_state = 382, .external_lex_state = 3},
  [20514] = {.lex_state = 382, .external_lex_state = 3},
  [20515] = {.lex_state = 382, .external_lex_state = 3},
  [20516] = {.lex_state = 382, .external_lex_state = 3},
  [20517] = {.lex_state = 382, .external_lex_state = 3},
  [20518] = {.lex_state = 382, .external_lex_state = 3},
  [20519] = {.lex_state = 132, .external_lex_state = 3},
  [20520] = {.lex_state = 382, .external_lex_state = 3},
  [20521] = {.lex_state = 36, .external_lex_state = 3},
  [20522] = {.lex_state = 132, .external_lex_state = 3},
  [20523] = {.lex_state = 132, .external_lex_state = 3},
  [20524] = {.lex_state = 382, .external_lex_state = 3},
  [20525] = {.lex_state = 412, .external_lex_state = 3},
  [20526] = {.lex_state = 412, .external_lex_state = 3},
  [20527] = {.lex_state = 36, .external_lex_state = 3},
  [20528] = {.lex_state = 382, .external_lex_state = 3},
  [20529] = {.lex_state = 36, .external_lex_state = 3},
  [20530] = {.lex_state = 382, .external_lex_state = 3},
  [20531] = {.lex_state = 382, .external_lex_state = 3},
  [20532] = {.lex_state = 382, .external_lex_state = 3},
  [20533] = {.lex_state = 382, .external_lex_state = 3},
  [20534] = {.lex_state = 412, .external_lex_state = 3},
  [20535] = {.lex_state = 412, .external_lex_state = 3},
  [20536] = {.lex_state = 382, .external_lex_state = 3},
  [20537] = {.lex_state = 36, .external_lex_state = 3},
  [20538] = {.lex_state = 382, .external_lex_state = 3},
  [20539] = {.lex_state = 382, .external_lex_state = 3},
  [20540] = {.lex_state = 36, .external_lex_state = 3},
  [20541] = {.lex_state = 382, .external_lex_state = 3},
  [20542] = {.lex_state = 382, .external_lex_state = 3},
  [20543] = {.lex_state = 382, .external_lex_state = 3},
  [20544] = {.lex_state = 382, .external_lex_state = 3},
  [20545] = {.lex_state = 382, .external_lex_state = 3},
  [20546] = {.lex_state = 382, .external_lex_state = 3},
  [20547] = {.lex_state = 382, .external_lex_state = 3},
  [20548] = {.lex_state = 382, .external_lex_state = 3},
  [20549] = {.lex_state = 382, .external_lex_state = 3},
  [20550] = {.lex_state = 382, .external_lex_state = 3},
  [20551] = {.lex_state = 382, .external_lex_state = 3},
  [20552] = {.lex_state = 382, .external_lex_state = 3},
  [20553] = {.lex_state = 382, .external_lex_state = 3},
  [20554] = {.lex_state = 382, .external_lex_state = 3},
  [20555] = {.lex_state = 382, .external_lex_state = 3},
  [20556] = {.lex_state = 382, .external_lex_state = 3},
  [20557] = {.lex_state = 382, .external_lex_state = 3},
  [20558] = {.lex_state = 382, .external_lex_state = 3},
  [20559] = {.lex_state = 36, .external_lex_state = 3},
  [20560] = {.lex_state = 382, .external_lex_state = 3},
  [20561] = {.lex_state = 36, .external_lex_state = 3},
  [20562] = {.lex_state = 382, .external_lex_state = 3},
  [20563] = {.lex_state = 412, .external_lex_state = 3},
  [20564] = {.lex_state = 412, .external_lex_state = 3},
  [20565] = {.lex_state = 36, .external_lex_state = 3},
  [20566] = {.lex_state = 382, .external_lex_state = 3},
  [20567] = {.lex_state = 382, .external_lex_state = 3},
  [20568] = {.lex_state = 382, .external_lex_state = 3},
  [20569] = {.lex_state = 382, .external_lex_state = 3},
  [20570] = {.lex_state = 382, .external_lex_state = 3},
  [20571] = {.lex_state = 412, .external_lex_state = 3},
  [20572] = {.lex_state = 412, .external_lex_state = 3},
  [20573] = {.lex_state = 412, .external_lex_state = 3},
  [20574] = {.lex_state = 382, .external_lex_state = 3},
  [20575] = {.lex_state = 382, .external_lex_state = 3},
  [20576] = {.lex_state = 382, .external_lex_state = 3},
  [20577] = {.lex_state = 382, .external_lex_state = 3},
  [20578] = {.lex_state = 36, .external_lex_state = 3},
  [20579] = {.lex_state = 382, .external_lex_state = 3},
  [20580] = {.lex_state = 382, .external_lex_state = 3},
  [20581] = {.lex_state = 412, .external_lex_state = 3},
  [20582] = {.lex_state = 382, .external_lex_state = 3},
  [20583] = {.lex_state = 382, .external_lex_state = 3},
  [20584] = {.lex_state = 382, .external_lex_state = 3},
  [20585] = {.lex_state = 382, .external_lex_state = 3},
  [20586] = {.lex_state = 382, .external_lex_state = 3},
  [20587] = {.lex_state = 412, .external_lex_state = 3},
  [20588] = {.lex_state = 382, .external_lex_state = 3},
  [20589] = {.lex_state = 382, .external_lex_state = 3},
  [20590] = {.lex_state = 382, .external_lex_state = 3},
  [20591] = {.lex_state = 382, .external_lex_state = 3},
  [20592] = {.lex_state = 382, .external_lex_state = 3},
  [20593] = {.lex_state = 382, .external_lex_state = 3},
  [20594] = {.lex_state = 412, .external_lex_state = 3},
  [20595] = {.lex_state = 382, .external_lex_state = 3},
  [20596] = {.lex_state = 382, .external_lex_state = 3},
  [20597] = {.lex_state = 36, .external_lex_state = 3},
  [20598] = {.lex_state = 382, .external_lex_state = 3},
  [20599] = {.lex_state = 382, .external_lex_state = 3},
  [20600] = {.lex_state = 382, .external_lex_state = 3},
  [20601] = {.lex_state = 412, .external_lex_state = 3},
  [20602] = {.lex_state = 412, .external_lex_state = 3},
  [20603] = {.lex_state = 36, .external_lex_state = 3},
  [20604] = {.lex_state = 382, .external_lex_state = 3},
  [20605] = {.lex_state = 412, .external_lex_state = 3},
  [20606] = {.lex_state = 382, .external_lex_state = 3},
  [20607] = {.lex_state = 382, .external_lex_state = 3},
  [20608] = {.lex_state = 382, .external_lex_state = 3},
  [20609] = {.lex_state = 382, .external_lex_state = 3},
  [20610] = {.lex_state = 412, .external_lex_state = 3},
  [20611] = {.lex_state = 412, .external_lex_state = 3},
  [20612] = {.lex_state = 382, .external_lex_state = 3},
  [20613] = {.lex_state = 382, .external_lex_state = 3},
  [20614] = {.lex_state = 15, .external_lex_state = 3},
  [20615] = {.lex_state = 15, .external_lex_state = 3},
  [20616] = {.lex_state = 36, .external_lex_state = 3},
  [20617] = {.lex_state = 382, .external_lex_state = 3},
  [20618] = {.lex_state = 382, .external_lex_state = 3},
  [20619] = {.lex_state = 382, .external_lex_state = 3},
  [20620] = {.lex_state = 382, .external_lex_state = 3},
  [20621] = {.lex_state = 382, .external_lex_state = 3},
  [20622] = {.lex_state = 412, .external_lex_state = 3},
  [20623] = {.lex_state = 382, .external_lex_state = 3},
  [20624] = {.lex_state = 382, .external_lex_state = 3},
  [20625] = {.lex_state = 382, .external_lex_state = 3},
  [20626] = {.lex_state = 382, .external_lex_state = 3},
  [20627] = {.lex_state = 382, .external_lex_state = 3},
  [20628] = {.lex_state = 382, .external_lex_state = 3},
  [20629] = {.lex_state = 382, .external_lex_state = 3},
  [20630] = {.lex_state = 382, .external_lex_state = 2},
  [20631] = {.lex_state = 412, .external_lex_state = 3},
  [20632] = {.lex_state = 382, .external_lex_state = 3},
  [20633] = {.lex_state = 382, .external_lex_state = 3},
  [20634] = {.lex_state = 36, .external_lex_state = 3},
  [20635] = {.lex_state = 36, .external_lex_state = 3},
  [20636] = {.lex_state = 382, .external_lex_state = 3},
  [20637] = {.lex_state = 382, .external_lex_state = 3},
  [20638] = {.lex_state = 382, .external_lex_state = 3},
  [20639] = {.lex_state = 412, .external_lex_state = 3},
  [20640] = {.lex_state = 412, .external_lex_state = 3},
  [20641] = {.lex_state = 36, .external_lex_state = 3},
  [20642] = {.lex_state = 382, .external_lex_state = 3},
  [20643] = {.lex_state = 382, .external_lex_state = 3},
  [20644] = {.lex_state = 382, .external_lex_state = 3},
  [20645] = {.lex_state = 382, .external_lex_state = 3},
  [20646] = {.lex_state = 132, .external_lex_state = 3},
  [20647] = {.lex_state = 382, .external_lex_state = 3},
  [20648] = {.lex_state = 412, .external_lex_state = 3},
  [20649] = {.lex_state = 412, .external_lex_state = 3},
  [20650] = {.lex_state = 382, .external_lex_state = 3},
  [20651] = {.lex_state = 382, .external_lex_state = 3},
  [20652] = {.lex_state = 382, .external_lex_state = 3},
  [20653] = {.lex_state = 382, .external_lex_state = 3},
  [20654] = {.lex_state = 36, .external_lex_state = 3},
  [20655] = {.lex_state = 382, .external_lex_state = 2},
  [20656] = {.lex_state = 412, .external_lex_state = 3},
  [20657] = {.lex_state = 412, .external_lex_state = 3},
  [20658] = {.lex_state = 132, .external_lex_state = 3},
  [20659] = {.lex_state = 382, .external_lex_state = 3},
  [20660] = {.lex_state = 132, .external_lex_state = 3},
  [20661] = {.lex_state = 382, .external_lex_state = 3},
  [20662] = {.lex_state = 15, .external_lex_state = 3},
  [20663] = {.lex_state = 36, .external_lex_state = 3},
  [20664] = {.lex_state = 382, .external_lex_state = 3},
  [20665] = {.lex_state = 382, .external_lex_state = 3},
  [20666] = {.lex_state = 382, .external_lex_state = 3},
  [20667] = {.lex_state = 382, .external_lex_state = 3},
  [20668] = {.lex_state = 382, .external_lex_state = 3},
  [20669] = {.lex_state = 382, .external_lex_state = 2},
  [20670] = {.lex_state = 412, .external_lex_state = 3},
  [20671] = {.lex_state = 132, .external_lex_state = 3},
  [20672] = {.lex_state = 412, .external_lex_state = 3},
  [20673] = {.lex_state = 36, .external_lex_state = 3},
  [20674] = {.lex_state = 382, .external_lex_state = 3},
  [20675] = {.lex_state = 382, .external_lex_state = 3},
  [20676] = {.lex_state = 36, .external_lex_state = 3},
  [20677] = {.lex_state = 412, .external_lex_state = 3},
  [20678] = {.lex_state = 412, .external_lex_state = 3},
  [20679] = {.lex_state = 36, .external_lex_state = 3},
  [20680] = {.lex_state = 382, .external_lex_state = 3},
  [20681] = {.lex_state = 412, .external_lex_state = 3},
  [20682] = {.lex_state = 382, .external_lex_state = 3},
  [20683] = {.lex_state = 382, .external_lex_state = 3},
  [20684] = {.lex_state = 382, .external_lex_state = 3},
  [20685] = {.lex_state = 382, .external_lex_state = 3},
  [20686] = {.lex_state = 412, .external_lex_state = 3},
  [20687] = {.lex_state = 412, .external_lex_state = 3},
  [20688] = {.lex_state = 132, .external_lex_state = 3},
  [20689] = {.lex_state = 382, .external_lex_state = 3},
  [20690] = {.lex_state = 382, .external_lex_state = 3},
  [20691] = {.lex_state = 132, .external_lex_state = 3},
  [20692] = {.lex_state = 36, .external_lex_state = 3},
  [20693] = {.lex_state = 382, .external_lex_state = 3},
  [20694] = {.lex_state = 382, .external_lex_state = 3},
  [20695] = {.lex_state = 132, .external_lex_state = 3},
  [20696] = {.lex_state = 382, .external_lex_state = 3},
  [20697] = {.lex_state = 382, .external_lex_state = 3},
  [20698] = {.lex_state = 382, .external_lex_state = 3},
  [20699] = {.lex_state = 382, .external_lex_state = 3},
  [20700] = {.lex_state = 382, .external_lex_state = 3},
  [20701] = {.lex_state = 382, .external_lex_state = 3},
  [20702] = {.lex_state = 382, .external_lex_state = 3},
  [20703] = {.lex_state = 382, .external_lex_state = 3},
  [20704] = {.lex_state = 382, .external_lex_state = 3},
  [20705] = {.lex_state = 382, .external_lex_state = 3},
  [20706] = {.lex_state = 382, .external_lex_state = 3},
  [20707] = {.lex_state = 412, .external_lex_state = 3},
  [20708] = {.lex_state = 382, .external_lex_state = 3},
  [20709] = {.lex_state = 382, .external_lex_state = 3},
  [20710] = {.lex_state = 132, .external_lex_state = 3},
  [20711] = {.lex_state = 36, .external_lex_state = 3},
  [20712] = {.lex_state = 382, .external_lex_state = 3},
  [20713] = {.lex_state = 382, .external_lex_state = 3},
  [20714] = {.lex_state = 132, .external_lex_state = 3},
  [20715] = {.lex_state = 412, .external_lex_state = 3},
  [20716] = {.lex_state = 412, .external_lex_state = 3},
  [20717] = {.lex_state = 36, .external_lex_state = 3},
  [20718] = {.lex_state = 132, .external_lex_state = 3},
  [20719] = {.lex_state = 382, .external_lex_state = 3},
  [20720] = {.lex_state = 132, .external_lex_state = 3},
  [20721] = {.lex_state = 382, .external_lex_state = 3},
  [20722] = {.lex_state = 382, .external_lex_state = 3},
  [20723] = {.lex_state = 382, .external_lex_state = 3},
  [20724] = {.lex_state = 412, .external_lex_state = 3},
  [20725] = {.lex_state = 412, .external_lex_state = 3},
  [20726] = {.lex_state = 132, .external_lex_state = 3},
  [20727] = {.lex_state = 382, .external_lex_state = 3},
  [20728] = {.lex_state = 36, .external_lex_state = 3},
  [20729] = {.lex_state = 412, .external_lex_state = 3},
  [20730] = {.lex_state = 36, .external_lex_state = 3},
  [20731] = {.lex_state = 382, .external_lex_state = 3},
  [20732] = {.lex_state = 382, .external_lex_state = 3},
  [20733] = {.lex_state = 15, .external_lex_state = 3},
  [20734] = {.lex_state = 382, .external_lex_state = 3},
  [20735] = {.lex_state = 382, .external_lex_state = 3},
  [20736] = {.lex_state = 382, .external_lex_state = 3},
  [20737] = {.lex_state = 382, .external_lex_state = 3},
  [20738] = {.lex_state = 382, .external_lex_state = 3},
  [20739] = {.lex_state = 382, .external_lex_state = 3},
  [20740] = {.lex_state = 382, .external_lex_state = 3},
  [20741] = {.lex_state = 382, .external_lex_state = 3},
  [20742] = {.lex_state = 382, .external_lex_state = 3},
  [20743] = {.lex_state = 382, .external_lex_state = 3},
  [20744] = {.lex_state = 382, .external_lex_state = 3},
  [20745] = {.lex_state = 412, .external_lex_state = 3},
  [20746] = {.lex_state = 382, .external_lex_state = 3},
  [20747] = {.lex_state = 412, .external_lex_state = 3},
  [20748] = {.lex_state = 382, .external_lex_state = 3},
  [20749] = {.lex_state = 36, .external_lex_state = 3},
  [20750] = {.lex_state = 382, .external_lex_state = 3},
  [20751] = {.lex_state = 132, .external_lex_state = 3},
  [20752] = {.lex_state = 382, .external_lex_state = 3},
  [20753] = {.lex_state = 412, .external_lex_state = 3},
  [20754] = {.lex_state = 412, .external_lex_state = 3},
  [20755] = {.lex_state = 36, .external_lex_state = 3},
  [20756] = {.lex_state = 382, .external_lex_state = 3},
  [20757] = {.lex_state = 382, .external_lex_state = 3},
  [20758] = {.lex_state = 382, .external_lex_state = 3},
  [20759] = {.lex_state = 382, .external_lex_state = 3},
  [20760] = {.lex_state = 15, .external_lex_state = 3},
  [20761] = {.lex_state = 382, .external_lex_state = 2},
  [20762] = {.lex_state = 412, .external_lex_state = 3},
  [20763] = {.lex_state = 412, .external_lex_state = 3},
  [20764] = {.lex_state = 132, .external_lex_state = 3},
  [20765] = {.lex_state = 382, .external_lex_state = 3},
  [20766] = {.lex_state = 412, .external_lex_state = 3},
  [20767] = {.lex_state = 132, .external_lex_state = 3},
  [20768] = {.lex_state = 36, .external_lex_state = 3},
  [20769] = {.lex_state = 382, .external_lex_state = 3},
  [20770] = {.lex_state = 382, .external_lex_state = 3},
  [20771] = {.lex_state = 132, .external_lex_state = 3},
  [20772] = {.lex_state = 382, .external_lex_state = 3},
  [20773] = {.lex_state = 382, .external_lex_state = 3},
  [20774] = {.lex_state = 412, .external_lex_state = 3},
  [20775] = {.lex_state = 382, .external_lex_state = 3},
  [20776] = {.lex_state = 382, .external_lex_state = 3},
  [20777] = {.lex_state = 36, .external_lex_state = 3},
  [20778] = {.lex_state = 382, .external_lex_state = 3},
  [20779] = {.lex_state = 382, .external_lex_state = 3},
  [20780] = {.lex_state = 382, .external_lex_state = 3},
  [20781] = {.lex_state = 382, .external_lex_state = 3},
  [20782] = {.lex_state = 382, .external_lex_state = 3},
  [20783] = {.lex_state = 382, .external_lex_state = 3},
  [20784] = {.lex_state = 382, .external_lex_state = 3},
  [20785] = {.lex_state = 36, .external_lex_state = 3},
  [20786] = {.lex_state = 412, .external_lex_state = 3},
  [20787] = {.lex_state = 36, .external_lex_state = 3},
  [20788] = {.lex_state = 382, .external_lex_state = 3},
  [20789] = {.lex_state = 36, .external_lex_state = 3},
  [20790] = {.lex_state = 412, .external_lex_state = 3},
  [20791] = {.lex_state = 412, .external_lex_state = 3},
  [20792] = {.lex_state = 36, .external_lex_state = 3},
  [20793] = {.lex_state = 382, .external_lex_state = 3},
  [20794] = {.lex_state = 132, .external_lex_state = 3},
  [20795] = {.lex_state = 382, .external_lex_state = 3},
  [20796] = {.lex_state = 382, .external_lex_state = 3},
  [20797] = {.lex_state = 382, .external_lex_state = 3},
  [20798] = {.lex_state = 382, .external_lex_state = 3},
  [20799] = {.lex_state = 412, .external_lex_state = 3},
  [20800] = {.lex_state = 412, .external_lex_state = 3},
  [20801] = {.lex_state = 412, .external_lex_state = 3},
  [20802] = {.lex_state = 132, .external_lex_state = 3},
  [20803] = {.lex_state = 132, .external_lex_state = 3},
  [20804] = {.lex_state = 132, .external_lex_state = 3},
  [20805] = {.lex_state = 36, .external_lex_state = 3},
  [20806] = {.lex_state = 412, .external_lex_state = 3},
  [20807] = {.lex_state = 36, .external_lex_state = 3},
  [20808] = {.lex_state = 412, .external_lex_state = 3},
  [20809] = {.lex_state = 382, .external_lex_state = 3},
  [20810] = {.lex_state = 382, .external_lex_state = 3},
  [20811] = {.lex_state = 382, .external_lex_state = 2},
  [20812] = {.lex_state = 382, .external_lex_state = 3},
  [20813] = {.lex_state = 382, .external_lex_state = 3},
  [20814] = {.lex_state = 382, .external_lex_state = 3},
  [20815] = {.lex_state = 382, .external_lex_state = 3},
  [20816] = {.lex_state = 382, .external_lex_state = 3},
  [20817] = {.lex_state = 382, .external_lex_state = 3},
  [20818] = {.lex_state = 382, .external_lex_state = 3},
  [20819] = {.lex_state = 15, .external_lex_state = 3},
  [20820] = {.lex_state = 36, .external_lex_state = 3},
  [20821] = {.lex_state = 382, .external_lex_state = 3},
  [20822] = {.lex_state = 382, .external_lex_state = 3},
  [20823] = {.lex_state = 382, .external_lex_state = 3},
  [20824] = {.lex_state = 36, .external_lex_state = 3},
  [20825] = {.lex_state = 382, .external_lex_state = 3},
  [20826] = {.lex_state = 382, .external_lex_state = 3},
  [20827] = {.lex_state = 412, .external_lex_state = 3},
  [20828] = {.lex_state = 412, .external_lex_state = 3},
  [20829] = {.lex_state = 36, .external_lex_state = 3},
  [20830] = {.lex_state = 132, .external_lex_state = 3},
  [20831] = {.lex_state = 382, .external_lex_state = 3},
  [20832] = {.lex_state = 382, .external_lex_state = 3},
  [20833] = {.lex_state = 382, .external_lex_state = 3},
  [20834] = {.lex_state = 382, .external_lex_state = 3},
  [20835] = {.lex_state = 132, .external_lex_state = 3},
  [20836] = {.lex_state = 412, .external_lex_state = 3},
  [20837] = {.lex_state = 412, .external_lex_state = 3},
  [20838] = {.lex_state = 382, .external_lex_state = 3},
  [20839] = {.lex_state = 132, .external_lex_state = 3},
  [20840] = {.lex_state = 382, .external_lex_state = 3},
  [20841] = {.lex_state = 382, .external_lex_state = 3},
  [20842] = {.lex_state = 36, .external_lex_state = 3},
  [20843] = {.lex_state = 382, .external_lex_state = 3},
  [20844] = {.lex_state = 382, .external_lex_state = 3},
  [20845] = {.lex_state = 382, .external_lex_state = 3},
  [20846] = {.lex_state = 382, .external_lex_state = 3},
  [20847] = {.lex_state = 382, .external_lex_state = 3},
  [20848] = {.lex_state = 382, .external_lex_state = 3},
  [20849] = {.lex_state = 382, .external_lex_state = 3},
  [20850] = {.lex_state = 382, .external_lex_state = 3},
  [20851] = {.lex_state = 382, .external_lex_state = 3},
  [20852] = {.lex_state = 382, .external_lex_state = 3},
  [20853] = {.lex_state = 382, .external_lex_state = 3},
  [20854] = {.lex_state = 382, .external_lex_state = 3},
  [20855] = {.lex_state = 382, .external_lex_state = 3},
  [20856] = {.lex_state = 382, .external_lex_state = 3},
  [20857] = {.lex_state = 382, .external_lex_state = 3},
  [20858] = {.lex_state = 15, .external_lex_state = 3},
  [20859] = {.lex_state = 382, .external_lex_state = 3},
  [20860] = {.lex_state = 382, .external_lex_state = 3},
  [20861] = {.lex_state = 36, .external_lex_state = 3},
  [20862] = {.lex_state = 412, .external_lex_state = 3},
  [20863] = {.lex_state = 36, .external_lex_state = 3},
  [20864] = {.lex_state = 382, .external_lex_state = 3},
  [20865] = {.lex_state = 382, .external_lex_state = 3},
  [20866] = {.lex_state = 382, .external_lex_state = 3},
  [20867] = {.lex_state = 36, .external_lex_state = 3},
  [20868] = {.lex_state = 382, .external_lex_state = 3},
  [20869] = {.lex_state = 382, .external_lex_state = 3},
  [20870] = {.lex_state = 382, .external_lex_state = 3},
  [20871] = {.lex_state = 382, .external_lex_state = 3},
  [20872] = {.lex_state = 382, .external_lex_state = 3},
  [20873] = {.lex_state = 382, .external_lex_state = 3},
  [20874] = {.lex_state = 382, .external_lex_state = 3},
  [20875] = {.lex_state = 382, .external_lex_state = 3},
  [20876] = {.lex_state = 382, .external_lex_state = 3},
  [20877] = {.lex_state = 382, .external_lex_state = 3},
  [20878] = {.lex_state = 382, .external_lex_state = 3},
  [20879] = {.lex_state = 382, .external_lex_state = 3},
  [20880] = {.lex_state = 382, .external_lex_state = 3},
  [20881] = {.lex_state = 36, .external_lex_state = 3},
  [20882] = {.lex_state = 382, .external_lex_state = 3},
  [20883] = {.lex_state = 132, .external_lex_state = 3},
  [20884] = {.lex_state = 382, .external_lex_state = 3},
  [20885] = {.lex_state = 382, .external_lex_state = 3},
  [20886] = {.lex_state = 382, .external_lex_state = 3},
  [20887] = {.lex_state = 382, .external_lex_state = 3},
  [20888] = {.lex_state = 382, .external_lex_state = 3},
  [20889] = {.lex_state = 382, .external_lex_state = 3},
  [20890] = {.lex_state = 382, .external_lex_state = 3},
  [20891] = {.lex_state = 382, .external_lex_state = 3},
  [20892] = {.lex_state = 382, .external_lex_state = 3},
  [20893] = {.lex_state = 382, .external_lex_state = 3},
  [20894] = {.lex_state = 382, .external_lex_state = 3},
  [20895] = {.lex_state = 382, .external_lex_state = 3},
  [20896] = {.lex_state = 382, .external_lex_state = 2},
  [20897] = {.lex_state = 382, .external_lex_state = 3},
  [20898] = {.lex_state = 382, .external_lex_state = 3},
  [20899] = {.lex_state = 382, .external_lex_state = 3},
  [20900] = {.lex_state = 382, .external_lex_state = 3},
  [20901] = {.lex_state = 382, .external_lex_state = 3},
  [20902] = {.lex_state = 382, .external_lex_state = 3},
  [20903] = {.lex_state = 382, .external_lex_state = 3},
  [20904] = {.lex_state = 382, .external_lex_state = 3},
  [20905] = {.lex_state = 382, .external_lex_state = 3},
  [20906] = {.lex_state = 382, .external_lex_state = 3},
  [20907] = {.lex_state = 382, .external_lex_state = 3},
  [20908] = {.lex_state = 382, .external_lex_state = 3},
  [20909] = {.lex_state = 382, .external_lex_state = 3},
  [20910] = {.lex_state = 382, .external_lex_state = 3},
  [20911] = {.lex_state = 382, .external_lex_state = 3},
  [20912] = {.lex_state = 382, .external_lex_state = 3},
  [20913] = {.lex_state = 382, .external_lex_state = 3},
  [20914] = {.lex_state = 412, .external_lex_state = 3},
  [20915] = {.lex_state = 382, .external_lex_state = 3},
  [20916] = {.lex_state = 382, .external_lex_state = 3},
  [20917] = {.lex_state = 382, .external_lex_state = 3},
  [20918] = {.lex_state = 382, .external_lex_state = 3},
  [20919] = {.lex_state = 382, .external_lex_state = 3},
  [20920] = {.lex_state = 382, .external_lex_state = 3},
  [20921] = {.lex_state = 382, .external_lex_state = 3},
  [20922] = {.lex_state = 382, .external_lex_state = 3},
  [20923] = {.lex_state = 382, .external_lex_state = 3},
  [20924] = {.lex_state = 382, .external_lex_state = 3},
  [20925] = {.lex_state = 382, .external_lex_state = 3},
  [20926] = {.lex_state = 382, .external_lex_state = 3},
  [20927] = {.lex_state = 132, .external_lex_state = 3},
  [20928] = {.lex_state = 382, .external_lex_state = 3},
  [20929] = {.lex_state = 382, .external_lex_state = 3},
  [20930] = {.lex_state = 382, .external_lex_state = 3},
  [20931] = {.lex_state = 382, .external_lex_state = 3},
  [20932] = {.lex_state = 382, .external_lex_state = 3},
  [20933] = {.lex_state = 382, .external_lex_state = 3},
  [20934] = {.lex_state = 382, .external_lex_state = 3},
  [20935] = {.lex_state = 382, .external_lex_state = 3},
  [20936] = {.lex_state = 132, .external_lex_state = 3},
  [20937] = {.lex_state = 132, .external_lex_state = 3},
  [20938] = {.lex_state = 382, .external_lex_state = 3},
  [20939] = {.lex_state = 382, .external_lex_state = 3},
  [20940] = {.lex_state = 382, .external_lex_state = 3},
  [20941] = {.lex_state = 382, .external_lex_state = 3},
  [20942] = {.lex_state = 382, .external_lex_state = 3},
  [20943] = {.lex_state = 382, .external_lex_state = 3},
  [20944] = {.lex_state = 382, .external_lex_state = 3},
  [20945] = {.lex_state = 382, .external_lex_state = 3},
  [20946] = {.lex_state = 15, .external_lex_state = 3},
  [20947] = {.lex_state = 382, .external_lex_state = 3},
  [20948] = {.lex_state = 382, .external_lex_state = 3},
  [20949] = {.lex_state = 382, .external_lex_state = 3},
  [20950] = {.lex_state = 382, .external_lex_state = 3},
  [20951] = {.lex_state = 382, .external_lex_state = 3},
  [20952] = {.lex_state = 382, .external_lex_state = 3},
  [20953] = {.lex_state = 382, .external_lex_state = 3},
  [20954] = {.lex_state = 36, .external_lex_state = 3},
  [20955] = {.lex_state = 382, .external_lex_state = 2},
  [20956] = {.lex_state = 412, .external_lex_state = 3},
  [20957] = {.lex_state = 36, .external_lex_state = 3},
  [20958] = {.lex_state = 382, .external_lex_state = 3},
  [20959] = {.lex_state = 412, .external_lex_state = 3},
  [20960] = {.lex_state = 412, .external_lex_state = 3},
  [20961] = {.lex_state = 382, .external_lex_state = 3},
  [20962] = {.lex_state = 382, .external_lex_state = 3},
  [20963] = {.lex_state = 382, .external_lex_state = 3},
  [20964] = {.lex_state = 412, .external_lex_state = 3},
  [20965] = {.lex_state = 36, .external_lex_state = 3},
  [20966] = {.lex_state = 412, .external_lex_state = 3},
  [20967] = {.lex_state = 382, .external_lex_state = 3},
  [20968] = {.lex_state = 412, .external_lex_state = 3},
  [20969] = {.lex_state = 382, .external_lex_state = 3},
  [20970] = {.lex_state = 382, .external_lex_state = 3},
  [20971] = {.lex_state = 382, .external_lex_state = 3},
  [20972] = {.lex_state = 382, .external_lex_state = 3},
  [20973] = {.lex_state = 382, .external_lex_state = 3},
  [20974] = {.lex_state = 412, .external_lex_state = 3},
  [20975] = {.lex_state = 15, .external_lex_state = 3},
  [20976] = {.lex_state = 382, .external_lex_state = 2},
  [20977] = {.lex_state = 382, .external_lex_state = 3},
  [20978] = {.lex_state = 412, .external_lex_state = 3},
  [20979] = {.lex_state = 36, .external_lex_state = 3},
  [20980] = {.lex_state = 412, .external_lex_state = 3},
  [20981] = {.lex_state = 382, .external_lex_state = 3},
  [20982] = {.lex_state = 382, .external_lex_state = 3},
  [20983] = {.lex_state = 382, .external_lex_state = 3},
  [20984] = {.lex_state = 382, .external_lex_state = 3},
  [20985] = {.lex_state = 382, .external_lex_state = 3},
  [20986] = {.lex_state = 412, .external_lex_state = 3},
  [20987] = {.lex_state = 412, .external_lex_state = 3},
  [20988] = {.lex_state = 382, .external_lex_state = 3},
  [20989] = {.lex_state = 36, .external_lex_state = 3},
  [20990] = {.lex_state = 36, .external_lex_state = 3},
  [20991] = {.lex_state = 382, .external_lex_state = 3},
  [20992] = {.lex_state = 382, .external_lex_state = 3},
  [20993] = {.lex_state = 382, .external_lex_state = 3},
  [20994] = {.lex_state = 132, .external_lex_state = 3},
  [20995] = {.lex_state = 15, .external_lex_state = 3},
  [20996] = {.lex_state = 382, .external_lex_state = 3},
  [20997] = {.lex_state = 382, .external_lex_state = 3},
  [20998] = {.lex_state = 382, .external_lex_state = 3},
  [20999] = {.lex_state = 382, .external_lex_state = 3},
  [21000] = {.lex_state = 382, .external_lex_state = 3},
  [21001] = {.lex_state = 382, .external_lex_state = 3},
  [21002] = {.lex_state = 382, .external_lex_state = 3},
  [21003] = {.lex_state = 382, .external_lex_state = 3},
  [21004] = {.lex_state = 36, .external_lex_state = 3},
  [21005] = {.lex_state = 415, .external_lex_state = 3},
  [21006] = {.lex_state = 382, .external_lex_state = 3},
  [21007] = {.lex_state = 382, .external_lex_state = 3},
  [21008] = {.lex_state = 382, .external_lex_state = 3},
  [21009] = {.lex_state = 132, .external_lex_state = 3},
  [21010] = {.lex_state = 382, .external_lex_state = 3},
  [21011] = {.lex_state = 382, .external_lex_state = 3},
  [21012] = {.lex_state = 382, .external_lex_state = 3},
  [21013] = {.lex_state = 382, .external_lex_state = 3},
  [21014] = {.lex_state = 132, .external_lex_state = 3},
  [21015] = {.lex_state = 132, .external_lex_state = 3},
  [21016] = {.lex_state = 382, .external_lex_state = 3},
  [21017] = {.lex_state = 132, .external_lex_state = 3},
  [21018] = {.lex_state = 382, .external_lex_state = 3},
  [21019] = {.lex_state = 132, .external_lex_state = 3},
  [21020] = {.lex_state = 15, .external_lex_state = 3},
  [21021] = {.lex_state = 132, .external_lex_state = 3},
  [21022] = {.lex_state = 132, .external_lex_state = 3},
  [21023] = {.lex_state = 382, .external_lex_state = 3},
  [21024] = {.lex_state = 382, .external_lex_state = 3},
  [21025] = {.lex_state = 382, .external_lex_state = 3},
  [21026] = {.lex_state = 382, .external_lex_state = 3},
  [21027] = {.lex_state = 382, .external_lex_state = 3},
  [21028] = {.lex_state = 382, .external_lex_state = 3},
  [21029] = {.lex_state = 382, .external_lex_state = 3},
  [21030] = {.lex_state = 382, .external_lex_state = 3},
  [21031] = {.lex_state = 382, .external_lex_state = 3},
  [21032] = {.lex_state = 382, .external_lex_state = 3},
  [21033] = {.lex_state = 382, .external_lex_state = 3},
  [21034] = {.lex_state = 382, .external_lex_state = 3},
  [21035] = {.lex_state = 382, .external_lex_state = 3},
  [21036] = {.lex_state = 382, .external_lex_state = 3},
  [21037] = {.lex_state = 382, .external_lex_state = 3},
  [21038] = {.lex_state = 382, .external_lex_state = 3},
  [21039] = {.lex_state = 382, .external_lex_state = 3},
  [21040] = {.lex_state = 412, .external_lex_state = 3},
  [21041] = {.lex_state = 382, .external_lex_state = 3},
  [21042] = {.lex_state = 382, .external_lex_state = 3},
  [21043] = {.lex_state = 382, .external_lex_state = 3},
  [21044] = {.lex_state = 382, .external_lex_state = 3},
  [21045] = {.lex_state = 382, .external_lex_state = 3},
  [21046] = {.lex_state = 132, .external_lex_state = 3},
  [21047] = {.lex_state = 382, .external_lex_state = 3},
  [21048] = {.lex_state = 132, .external_lex_state = 3},
  [21049] = {.lex_state = 132, .external_lex_state = 3},
  [21050] = {.lex_state = 382, .external_lex_state = 3},
  [21051] = {.lex_state = 412, .external_lex_state = 3},
  [21052] = {.lex_state = 382, .external_lex_state = 3},
  [21053] = {.lex_state = 382, .external_lex_state = 3},
  [21054] = {.lex_state = 382, .external_lex_state = 3},
  [21055] = {.lex_state = 382, .external_lex_state = 3},
  [21056] = {.lex_state = 382, .external_lex_state = 3},
  [21057] = {.lex_state = 382, .external_lex_state = 3},
  [21058] = {.lex_state = 132, .external_lex_state = 3},
  [21059] = {.lex_state = 382, .external_lex_state = 3},
  [21060] = {.lex_state = 382, .external_lex_state = 3},
  [21061] = {.lex_state = 132, .external_lex_state = 3},
  [21062] = {.lex_state = 412, .external_lex_state = 3},
  [21063] = {.lex_state = 382, .external_lex_state = 3},
  [21064] = {.lex_state = 132, .external_lex_state = 3},
  [21065] = {.lex_state = 382, .external_lex_state = 3},
  [21066] = {.lex_state = 382, .external_lex_state = 3},
  [21067] = {.lex_state = 382, .external_lex_state = 3},
  [21068] = {.lex_state = 382, .external_lex_state = 3},
  [21069] = {.lex_state = 382, .external_lex_state = 3},
  [21070] = {.lex_state = 382, .external_lex_state = 3},
  [21071] = {.lex_state = 382, .external_lex_state = 3},
  [21072] = {.lex_state = 382, .external_lex_state = 3},
  [21073] = {.lex_state = 382, .external_lex_state = 3},
  [21074] = {.lex_state = 382, .external_lex_state = 3},
  [21075] = {.lex_state = 15, .external_lex_state = 3},
  [21076] = {.lex_state = 132, .external_lex_state = 3},
  [21077] = {.lex_state = 382, .external_lex_state = 3},
  [21078] = {.lex_state = 382, .external_lex_state = 2},
  [21079] = {.lex_state = 382, .external_lex_state = 3},
  [21080] = {.lex_state = 412, .external_lex_state = 3},
  [21081] = {.lex_state = 412, .external_lex_state = 3},
  [21082] = {.lex_state = 132, .external_lex_state = 3},
  [21083] = {.lex_state = 382, .external_lex_state = 3},
  [21084] = {.lex_state = 36, .external_lex_state = 3},
  [21085] = {.lex_state = 382, .external_lex_state = 3},
  [21086] = {.lex_state = 382, .external_lex_state = 3},
  [21087] = {.lex_state = 36, .external_lex_state = 3},
  [21088] = {.lex_state = 382, .external_lex_state = 3},
  [21089] = {.lex_state = 382, .external_lex_state = 3},
  [21090] = {.lex_state = 132, .external_lex_state = 3},
  [21091] = {.lex_state = 382, .external_lex_state = 3},
  [21092] = {.lex_state = 382, .external_lex_state = 3},
  [21093] = {.lex_state = 382, .external_lex_state = 3},
  [21094] = {.lex_state = 132, .external_lex_state = 3},
  [21095] = {.lex_state = 15, .external_lex_state = 3},
  [21096] = {.lex_state = 382, .external_lex_state = 3},
  [21097] = {.lex_state = 132, .external_lex_state = 3},
  [21098] = {.lex_state = 382, .external_lex_state = 3},
  [21099] = {.lex_state = 382, .external_lex_state = 3},
  [21100] = {.lex_state = 132, .external_lex_state = 3},
  [21101] = {.lex_state = 132, .external_lex_state = 3},
  [21102] = {.lex_state = 382, .external_lex_state = 3},
  [21103] = {.lex_state = 382, .external_lex_state = 3},
  [21104] = {.lex_state = 382, .external_lex_state = 3},
  [21105] = {.lex_state = 382, .external_lex_state = 3},
  [21106] = {.lex_state = 382, .external_lex_state = 3},
  [21107] = {.lex_state = 382, .external_lex_state = 3},
  [21108] = {.lex_state = 382, .external_lex_state = 3},
  [21109] = {.lex_state = 382, .external_lex_state = 3},
  [21110] = {.lex_state = 132, .external_lex_state = 3},
  [21111] = {.lex_state = 382, .external_lex_state = 3},
  [21112] = {.lex_state = 36, .external_lex_state = 3},
  [21113] = {.lex_state = 382, .external_lex_state = 3},
  [21114] = {.lex_state = 382, .external_lex_state = 3},
  [21115] = {.lex_state = 382, .external_lex_state = 3},
  [21116] = {.lex_state = 382, .external_lex_state = 3},
  [21117] = {.lex_state = 382, .external_lex_state = 3},
  [21118] = {.lex_state = 382, .external_lex_state = 3},
  [21119] = {.lex_state = 382, .external_lex_state = 3},
  [21120] = {.lex_state = 382, .external_lex_state = 3},
  [21121] = {.lex_state = 382, .external_lex_state = 3},
  [21122] = {.lex_state = 412, .external_lex_state = 3},
  [21123] = {.lex_state = 382, .external_lex_state = 3},
  [21124] = {.lex_state = 382, .external_lex_state = 3},
  [21125] = {.lex_state = 382, .external_lex_state = 3},
  [21126] = {.lex_state = 382, .external_lex_state = 3},
  [21127] = {.lex_state = 382, .external_lex_state = 3},
  [21128] = {.lex_state = 382, .external_lex_state = 3},
  [21129] = {.lex_state = 382, .external_lex_state = 3},
  [21130] = {.lex_state = 382, .external_lex_state = 3},
  [21131] = {.lex_state = 382, .external_lex_state = 3},
  [21132] = {.lex_state = 412, .external_lex_state = 3},
  [21133] = {.lex_state = 412, .external_lex_state = 3},
  [21134] = {.lex_state = 382, .external_lex_state = 3},
  [21135] = {.lex_state = 382, .external_lex_state = 3},
  [21136] = {.lex_state = 382, .external_lex_state = 3},
  [21137] = {.lex_state = 382, .external_lex_state = 3},
  [21138] = {.lex_state = 382, .external_lex_state = 3},
  [21139] = {.lex_state = 15, .external_lex_state = 3},
  [21140] = {.lex_state = 382, .external_lex_state = 3},
  [21141] = {.lex_state = 36, .external_lex_state = 3},
  [21142] = {.lex_state = 382, .external_lex_state = 3},
  [21143] = {.lex_state = 382, .external_lex_state = 3},
  [21144] = {.lex_state = 132, .external_lex_state = 3},
  [21145] = {.lex_state = 382, .external_lex_state = 3},
  [21146] = {.lex_state = 132, .external_lex_state = 3},
  [21147] = {.lex_state = 382, .external_lex_state = 3},
  [21148] = {.lex_state = 412, .external_lex_state = 3},
  [21149] = {.lex_state = 132, .external_lex_state = 3},
  [21150] = {.lex_state = 382, .external_lex_state = 3},
  [21151] = {.lex_state = 382, .external_lex_state = 3},
  [21152] = {.lex_state = 382, .external_lex_state = 3},
  [21153] = {.lex_state = 382, .external_lex_state = 3},
  [21154] = {.lex_state = 412, .external_lex_state = 3},
  [21155] = {.lex_state = 412, .external_lex_state = 3},
  [21156] = {.lex_state = 382, .external_lex_state = 2},
  [21157] = {.lex_state = 412, .external_lex_state = 3},
  [21158] = {.lex_state = 15, .external_lex_state = 3},
  [21159] = {.lex_state = 382, .external_lex_state = 3},
  [21160] = {.lex_state = 132, .external_lex_state = 3},
  [21161] = {.lex_state = 382, .external_lex_state = 3},
  [21162] = {.lex_state = 132, .external_lex_state = 3},
  [21163] = {.lex_state = 15, .external_lex_state = 3},
  [21164] = {.lex_state = 382, .external_lex_state = 3},
  [21165] = {.lex_state = 36, .external_lex_state = 3},
  [21166] = {.lex_state = 36, .external_lex_state = 3},
  [21167] = {.lex_state = 382, .external_lex_state = 3},
  [21168] = {.lex_state = 15, .external_lex_state = 3},
  [21169] = {.lex_state = 388, .external_lex_state = 3},
  [21170] = {.lex_state = 388, .external_lex_state = 3},
  [21171] = {.lex_state = 388, .external_lex_state = 3},
  [21172] = {.lex_state = 382, .external_lex_state = 3},
  [21173] = {.lex_state = 382, .external_lex_state = 3},
  [21174] = {.lex_state = 382, .external_lex_state = 2},
  [21175] = {.lex_state = 382, .external_lex_state = 3},
  [21176] = {.lex_state = 412, .external_lex_state = 3},
  [21177] = {.lex_state = 36, .external_lex_state = 3},
  [21178] = {.lex_state = 382, .external_lex_state = 3},
  [21179] = {.lex_state = 36, .external_lex_state = 3},
  [21180] = {.lex_state = 36, .external_lex_state = 3},
  [21181] = {.lex_state = 412, .external_lex_state = 3},
  [21182] = {.lex_state = 412, .external_lex_state = 3},
  [21183] = {.lex_state = 382, .external_lex_state = 3},
  [21184] = {.lex_state = 382, .external_lex_state = 3},
  [21185] = {.lex_state = 382, .external_lex_state = 3},
  [21186] = {.lex_state = 382, .external_lex_state = 3},
  [21187] = {.lex_state = 382, .external_lex_state = 3},
  [21188] = {.lex_state = 412, .external_lex_state = 3},
  [21189] = {.lex_state = 382, .external_lex_state = 2},
  [21190] = {.lex_state = 132, .external_lex_state = 3},
  [21191] = {.lex_state = 382, .external_lex_state = 3},
  [21192] = {.lex_state = 382, .external_lex_state = 3},
  [21193] = {.lex_state = 36, .external_lex_state = 3},
  [21194] = {.lex_state = 36, .external_lex_state = 3},
  [21195] = {.lex_state = 412, .external_lex_state = 3},
  [21196] = {.lex_state = 15, .external_lex_state = 3},
  [21197] = {.lex_state = 382, .external_lex_state = 3},
  [21198] = {.lex_state = 382, .external_lex_state = 3},
  [21199] = {.lex_state = 382, .external_lex_state = 3},
  [21200] = {.lex_state = 382, .external_lex_state = 3},
  [21201] = {.lex_state = 132, .external_lex_state = 3},
  [21202] = {.lex_state = 132, .external_lex_state = 3},
  [21203] = {.lex_state = 382, .external_lex_state = 3},
  [21204] = {.lex_state = 382, .external_lex_state = 3},
  [21205] = {.lex_state = 132, .external_lex_state = 3},
  [21206] = {.lex_state = 382, .external_lex_state = 3},
  [21207] = {.lex_state = 382, .external_lex_state = 3},
  [21208] = {.lex_state = 382, .external_lex_state = 3},
  [21209] = {.lex_state = 36, .external_lex_state = 3},
  [21210] = {.lex_state = 382, .external_lex_state = 3},
  [21211] = {.lex_state = 382, .external_lex_state = 3},
  [21212] = {.lex_state = 412, .external_lex_state = 3},
  [21213] = {.lex_state = 382, .external_lex_state = 3},
  [21214] = {.lex_state = 382, .external_lex_state = 3},
  [21215] = {.lex_state = 36, .external_lex_state = 3},
  [21216] = {.lex_state = 382, .external_lex_state = 3},
  [21217] = {.lex_state = 382, .external_lex_state = 3},
  [21218] = {.lex_state = 382, .external_lex_state = 3},
  [21219] = {.lex_state = 382, .external_lex_state = 3},
  [21220] = {.lex_state = 382, .external_lex_state = 3},
  [21221] = {.lex_state = 412, .external_lex_state = 3},
  [21222] = {.lex_state = 15, .external_lex_state = 3},
  [21223] = {.lex_state = 36, .external_lex_state = 3},
  [21224] = {.lex_state = 382, .external_lex_state = 2},
  [21225] = {.lex_state = 412, .external_lex_state = 3},
  [21226] = {.lex_state = 412, .external_lex_state = 3},
  [21227] = {.lex_state = 382, .external_lex_state = 3},
  [21228] = {.lex_state = 36, .external_lex_state = 3},
  [21229] = {.lex_state = 382, .external_lex_state = 3},
  [21230] = {.lex_state = 382, .external_lex_state = 3},
  [21231] = {.lex_state = 36, .external_lex_state = 3},
  [21232] = {.lex_state = 382, .external_lex_state = 3},
  [21233] = {.lex_state = 382, .external_lex_state = 3},
  [21234] = {.lex_state = 382, .external_lex_state = 3},
  [21235] = {.lex_state = 412, .external_lex_state = 3},
  [21236] = {.lex_state = 382, .external_lex_state = 3},
  [21237] = {.lex_state = 382, .external_lex_state = 3},
  [21238] = {.lex_state = 382, .external_lex_state = 3},
  [21239] = {.lex_state = 382, .external_lex_state = 3},
  [21240] = {.lex_state = 382, .external_lex_state = 3},
  [21241] = {.lex_state = 382, .external_lex_state = 3},
  [21242] = {.lex_state = 382, .external_lex_state = 3},
  [21243] = {.lex_state = 382, .external_lex_state = 3},
  [21244] = {.lex_state = 132, .external_lex_state = 3},
  [21245] = {.lex_state = 382, .external_lex_state = 3},
  [21246] = {.lex_state = 382, .external_lex_state = 3},
  [21247] = {.lex_state = 132, .external_lex_state = 3},
  [21248] = {.lex_state = 382, .external_lex_state = 3},
  [21249] = {.lex_state = 132, .external_lex_state = 3},
  [21250] = {.lex_state = 132, .external_lex_state = 3},
  [21251] = {.lex_state = 382, .external_lex_state = 3},
  [21252] = {.lex_state = 382, .external_lex_state = 3},
  [21253] = {.lex_state = 132, .external_lex_state = 3},
  [21254] = {.lex_state = 382, .external_lex_state = 3},
  [21255] = {.lex_state = 382, .external_lex_state = 3},
  [21256] = {.lex_state = 382, .external_lex_state = 3},
  [21257] = {.lex_state = 412, .external_lex_state = 3},
  [21258] = {.lex_state = 412, .external_lex_state = 3},
  [21259] = {.lex_state = 36, .external_lex_state = 3},
  [21260] = {.lex_state = 382, .external_lex_state = 3},
  [21261] = {.lex_state = 382, .external_lex_state = 3},
  [21262] = {.lex_state = 382, .external_lex_state = 3},
  [21263] = {.lex_state = 382, .external_lex_state = 3},
  [21264] = {.lex_state = 382, .external_lex_state = 3},
  [21265] = {.lex_state = 15, .external_lex_state = 3},
  [21266] = {.lex_state = 412, .external_lex_state = 3},
  [21267] = {.lex_state = 382, .external_lex_state = 3},
  [21268] = {.lex_state = 382, .external_lex_state = 3},
  [21269] = {.lex_state = 382, .external_lex_state = 3},
  [21270] = {.lex_state = 382, .external_lex_state = 3},
  [21271] = {.lex_state = 15, .external_lex_state = 3},
  [21272] = {.lex_state = 15, .external_lex_state = 3},
  [21273] = {.lex_state = 382, .external_lex_state = 3},
  [21274] = {.lex_state = 412, .external_lex_state = 3},
  [21275] = {.lex_state = 15, .external_lex_state = 3},
  [21276] = {.lex_state = 382, .external_lex_state = 3},
  [21277] = {.lex_state = 382, .external_lex_state = 3},
  [21278] = {.lex_state = 382, .external_lex_state = 3},
  [21279] = {.lex_state = 382, .external_lex_state = 3},
  [21280] = {.lex_state = 382, .external_lex_state = 2},
  [21281] = {.lex_state = 382, .external_lex_state = 3},
  [21282] = {.lex_state = 382, .external_lex_state = 3},
  [21283] = {.lex_state = 382, .external_lex_state = 3},
  [21284] = {.lex_state = 382, .external_lex_state = 3},
  [21285] = {.lex_state = 382, .external_lex_state = 3},
  [21286] = {.lex_state = 382, .external_lex_state = 3},
  [21287] = {.lex_state = 388, .external_lex_state = 3},
  [21288] = {.lex_state = 388, .external_lex_state = 3},
  [21289] = {.lex_state = 388, .external_lex_state = 3},
  [21290] = {.lex_state = 382, .external_lex_state = 3},
  [21291] = {.lex_state = 412, .external_lex_state = 3},
  [21292] = {.lex_state = 412, .external_lex_state = 3},
  [21293] = {.lex_state = 36, .external_lex_state = 3},
  [21294] = {.lex_state = 382, .external_lex_state = 3},
  [21295] = {.lex_state = 382, .external_lex_state = 3},
  [21296] = {.lex_state = 382, .external_lex_state = 3},
  [21297] = {.lex_state = 382, .external_lex_state = 3},
  [21298] = {.lex_state = 382, .external_lex_state = 3},
  [21299] = {.lex_state = 382, .external_lex_state = 3},
  [21300] = {.lex_state = 382, .external_lex_state = 3},
  [21301] = {.lex_state = 382, .external_lex_state = 3},
  [21302] = {.lex_state = 382, .external_lex_state = 3},
  [21303] = {.lex_state = 382, .external_lex_state = 3},
  [21304] = {.lex_state = 382, .external_lex_state = 3},
  [21305] = {.lex_state = 382, .external_lex_state = 3},
  [21306] = {.lex_state = 382, .external_lex_state = 3},
  [21307] = {.lex_state = 382, .external_lex_state = 3},
  [21308] = {.lex_state = 382, .external_lex_state = 3},
  [21309] = {.lex_state = 132, .external_lex_state = 3},
  [21310] = {.lex_state = 382, .external_lex_state = 3},
  [21311] = {.lex_state = 36, .external_lex_state = 3},
  [21312] = {.lex_state = 382, .external_lex_state = 3},
  [21313] = {.lex_state = 382, .external_lex_state = 3},
  [21314] = {.lex_state = 382, .external_lex_state = 3},
  [21315] = {.lex_state = 382, .external_lex_state = 3},
  [21316] = {.lex_state = 132, .external_lex_state = 3},
  [21317] = {.lex_state = 132, .external_lex_state = 3},
  [21318] = {.lex_state = 132, .external_lex_state = 3},
  [21319] = {.lex_state = 382, .external_lex_state = 3},
  [21320] = {.lex_state = 382, .external_lex_state = 3},
  [21321] = {.lex_state = 382, .external_lex_state = 3},
  [21322] = {.lex_state = 382, .external_lex_state = 3},
  [21323] = {.lex_state = 382, .external_lex_state = 3},
  [21324] = {.lex_state = 382, .external_lex_state = 3},
  [21325] = {.lex_state = 382, .external_lex_state = 3},
  [21326] = {.lex_state = 382, .external_lex_state = 3},
  [21327] = {.lex_state = 382, .external_lex_state = 3},
  [21328] = {.lex_state = 382, .external_lex_state = 3},
  [21329] = {.lex_state = 382, .external_lex_state = 3},
  [21330] = {.lex_state = 382, .external_lex_state = 3},
  [21331] = {.lex_state = 382, .external_lex_state = 3},
  [21332] = {.lex_state = 36, .external_lex_state = 3},
  [21333] = {.lex_state = 382, .external_lex_state = 3},
  [21334] = {.lex_state = 382, .external_lex_state = 3},
  [21335] = {.lex_state = 412, .external_lex_state = 3},
  [21336] = {.lex_state = 382, .external_lex_state = 3},
  [21337] = {.lex_state = 382, .external_lex_state = 3},
  [21338] = {.lex_state = 382, .external_lex_state = 3},
  [21339] = {.lex_state = 382, .external_lex_state = 3},
  [21340] = {.lex_state = 382, .external_lex_state = 3},
  [21341] = {.lex_state = 382, .external_lex_state = 3},
  [21342] = {.lex_state = 382, .external_lex_state = 3},
  [21343] = {.lex_state = 382, .external_lex_state = 3},
  [21344] = {.lex_state = 382, .external_lex_state = 3},
  [21345] = {.lex_state = 382, .external_lex_state = 3},
  [21346] = {.lex_state = 15, .external_lex_state = 3},
  [21347] = {.lex_state = 382, .external_lex_state = 3},
  [21348] = {.lex_state = 382, .external_lex_state = 3},
  [21349] = {.lex_state = 382, .external_lex_state = 3},
  [21350] = {.lex_state = 382, .external_lex_state = 3},
  [21351] = {.lex_state = 382, .external_lex_state = 3},
  [21352] = {.lex_state = 382, .external_lex_state = 3},
  [21353] = {.lex_state = 382, .external_lex_state = 3},
  [21354] = {.lex_state = 382, .external_lex_state = 3},
  [21355] = {.lex_state = 15, .external_lex_state = 3},
  [21356] = {.lex_state = 382, .external_lex_state = 3},
  [21357] = {.lex_state = 382, .external_lex_state = 3},
  [21358] = {.lex_state = 382, .external_lex_state = 3},
  [21359] = {.lex_state = 382, .external_lex_state = 3},
  [21360] = {.lex_state = 382, .external_lex_state = 3},
  [21361] = {.lex_state = 388, .external_lex_state = 3},
  [21362] = {.lex_state = 388, .external_lex_state = 3},
  [21363] = {.lex_state = 388, .external_lex_state = 3},
  [21364] = {.lex_state = 382, .external_lex_state = 3},
  [21365] = {.lex_state = 382, .external_lex_state = 3},
  [21366] = {.lex_state = 382, .external_lex_state = 3},
  [21367] = {.lex_state = 382, .external_lex_state = 3},
  [21368] = {.lex_state = 382, .external_lex_state = 3},
  [21369] = {.lex_state = 382, .external_lex_state = 3},
  [21370] = {.lex_state = 382, .external_lex_state = 3},
  [21371] = {.lex_state = 382, .external_lex_state = 3},
  [21372] = {.lex_state = 382, .external_lex_state = 3},
  [21373] = {.lex_state = 382, .external_lex_state = 3},
  [21374] = {.lex_state = 382, .external_lex_state = 3},
  [21375] = {.lex_state = 382, .external_lex_state = 3},
  [21376] = {.lex_state = 382, .external_lex_state = 3},
  [21377] = {.lex_state = 382, .external_lex_state = 3},
  [21378] = {.lex_state = 382, .external_lex_state = 3},
  [21379] = {.lex_state = 382, .external_lex_state = 3},
  [21380] = {.lex_state = 382, .external_lex_state = 3},
  [21381] = {.lex_state = 382, .external_lex_state = 3},
  [21382] = {.lex_state = 382, .external_lex_state = 3},
  [21383] = {.lex_state = 415, .external_lex_state = 3},
  [21384] = {.lex_state = 382, .external_lex_state = 3},
  [21385] = {.lex_state = 382, .external_lex_state = 3},
  [21386] = {.lex_state = 382, .external_lex_state = 3},
  [21387] = {.lex_state = 382, .external_lex_state = 3},
  [21388] = {.lex_state = 382, .external_lex_state = 3},
  [21389] = {.lex_state = 132, .external_lex_state = 3},
  [21390] = {.lex_state = 132, .external_lex_state = 3},
  [21391] = {.lex_state = 382, .external_lex_state = 3},
  [21392] = {.lex_state = 382, .external_lex_state = 3},
  [21393] = {.lex_state = 382, .external_lex_state = 3},
  [21394] = {.lex_state = 412, .external_lex_state = 3},
  [21395] = {.lex_state = 412, .external_lex_state = 3},
  [21396] = {.lex_state = 382, .external_lex_state = 3},
  [21397] = {.lex_state = 382, .external_lex_state = 3},
  [21398] = {.lex_state = 382, .external_lex_state = 3},
  [21399] = {.lex_state = 15, .external_lex_state = 3},
  [21400] = {.lex_state = 382, .external_lex_state = 3},
  [21401] = {.lex_state = 382, .external_lex_state = 3},
  [21402] = {.lex_state = 382, .external_lex_state = 3},
  [21403] = {.lex_state = 382, .external_lex_state = 2},
  [21404] = {.lex_state = 412, .external_lex_state = 3},
  [21405] = {.lex_state = 382, .external_lex_state = 3},
  [21406] = {.lex_state = 382, .external_lex_state = 3},
  [21407] = {.lex_state = 412, .external_lex_state = 3},
  [21408] = {.lex_state = 412, .external_lex_state = 3},
  [21409] = {.lex_state = 15, .external_lex_state = 3},
  [21410] = {.lex_state = 36, .external_lex_state = 3},
  [21411] = {.lex_state = 382, .external_lex_state = 3},
  [21412] = {.lex_state = 132, .external_lex_state = 3},
  [21413] = {.lex_state = 132, .external_lex_state = 3},
  [21414] = {.lex_state = 382, .external_lex_state = 3},
  [21415] = {.lex_state = 412, .external_lex_state = 3},
  [21416] = {.lex_state = 388, .external_lex_state = 3},
  [21417] = {.lex_state = 388, .external_lex_state = 3},
  [21418] = {.lex_state = 388, .external_lex_state = 3},
  [21419] = {.lex_state = 132, .external_lex_state = 3},
  [21420] = {.lex_state = 382, .external_lex_state = 3},
  [21421] = {.lex_state = 382, .external_lex_state = 3},
  [21422] = {.lex_state = 382, .external_lex_state = 3},
  [21423] = {.lex_state = 15, .external_lex_state = 3},
  [21424] = {.lex_state = 382, .external_lex_state = 3},
  [21425] = {.lex_state = 382, .external_lex_state = 3},
  [21426] = {.lex_state = 132, .external_lex_state = 3},
  [21427] = {.lex_state = 132, .external_lex_state = 3},
  [21428] = {.lex_state = 382, .external_lex_state = 3},
  [21429] = {.lex_state = 382, .external_lex_state = 3},
  [21430] = {.lex_state = 382, .external_lex_state = 3},
  [21431] = {.lex_state = 382, .external_lex_state = 3},
  [21432] = {.lex_state = 132, .external_lex_state = 3},
  [21433] = {.lex_state = 382, .external_lex_state = 3},
  [21434] = {.lex_state = 132, .external_lex_state = 3},
  [21435] = {.lex_state = 15, .external_lex_state = 3},
  [21436] = {.lex_state = 382, .external_lex_state = 3},
  [21437] = {.lex_state = 132, .external_lex_state = 3},
  [21438] = {.lex_state = 382, .external_lex_state = 3},
  [21439] = {.lex_state = 382, .external_lex_state = 3},
  [21440] = {.lex_state = 382, .external_lex_state = 3},
  [21441] = {.lex_state = 382, .external_lex_state = 3},
  [21442] = {.lex_state = 36, .external_lex_state = 3},
  [21443] = {.lex_state = 382, .external_lex_state = 3},
  [21444] = {.lex_state = 36, .external_lex_state = 3},
  [21445] = {.lex_state = 412, .external_lex_state = 3},
  [21446] = {.lex_state = 412, .external_lex_state = 3},
  [21447] = {.lex_state = 15, .external_lex_state = 3},
  [21448] = {.lex_state = 382, .external_lex_state = 2},
  [21449] = {.lex_state = 382, .external_lex_state = 3},
  [21450] = {.lex_state = 382, .external_lex_state = 3},
  [21451] = {.lex_state = 382, .external_lex_state = 3},
  [21452] = {.lex_state = 382, .external_lex_state = 3},
  [21453] = {.lex_state = 382, .external_lex_state = 3},
  [21454] = {.lex_state = 388, .external_lex_state = 3},
  [21455] = {.lex_state = 388, .external_lex_state = 3},
  [21456] = {.lex_state = 388, .external_lex_state = 3},
  [21457] = {.lex_state = 15, .external_lex_state = 3},
  [21458] = {.lex_state = 412, .external_lex_state = 3},
  [21459] = {.lex_state = 382, .external_lex_state = 3},
  [21460] = {.lex_state = 382, .external_lex_state = 3},
  [21461] = {.lex_state = 412, .external_lex_state = 3},
  [21462] = {.lex_state = 382, .external_lex_state = 3},
  [21463] = {.lex_state = 382, .external_lex_state = 3},
  [21464] = {.lex_state = 382, .external_lex_state = 3},
  [21465] = {.lex_state = 382, .external_lex_state = 3},
  [21466] = {.lex_state = 382, .external_lex_state = 3},
  [21467] = {.lex_state = 382, .external_lex_state = 3},
  [21468] = {.lex_state = 382, .external_lex_state = 3},
  [21469] = {.lex_state = 382, .external_lex_state = 3},
  [21470] = {.lex_state = 382, .external_lex_state = 3},
  [21471] = {.lex_state = 382, .external_lex_state = 3},
  [21472] = {.lex_state = 132, .external_lex_state = 3},
  [21473] = {.lex_state = 382, .external_lex_state = 3},
  [21474] = {.lex_state = 382, .external_lex_state = 3},
  [21475] = {.lex_state = 382, .external_lex_state = 3},
  [21476] = {.lex_state = 382, .external_lex_state = 3},
  [21477] = {.lex_state = 382, .external_lex_state = 3},
  [21478] = {.lex_state = 15, .external_lex_state = 3},
  [21479] = {.lex_state = 382, .external_lex_state = 3},
  [21480] = {.lex_state = 382, .external_lex_state = 3},
  [21481] = {.lex_state = 382, .external_lex_state = 3},
  [21482] = {.lex_state = 382, .external_lex_state = 3},
  [21483] = {.lex_state = 382, .external_lex_state = 3},
  [21484] = {.lex_state = 382, .external_lex_state = 3},
  [21485] = {.lex_state = 388, .external_lex_state = 3},
  [21486] = {.lex_state = 388, .external_lex_state = 3},
  [21487] = {.lex_state = 388, .external_lex_state = 3},
  [21488] = {.lex_state = 382, .external_lex_state = 3},
  [21489] = {.lex_state = 382, .external_lex_state = 3},
  [21490] = {.lex_state = 382, .external_lex_state = 3},
  [21491] = {.lex_state = 382, .external_lex_state = 3},
  [21492] = {.lex_state = 382, .external_lex_state = 3},
  [21493] = {.lex_state = 382, .external_lex_state = 3},
  [21494] = {.lex_state = 382, .external_lex_state = 3},
  [21495] = {.lex_state = 382, .external_lex_state = 3},
  [21496] = {.lex_state = 382, .external_lex_state = 3},
  [21497] = {.lex_state = 382, .external_lex_state = 3},
  [21498] = {.lex_state = 382, .external_lex_state = 3},
  [21499] = {.lex_state = 382, .external_lex_state = 3},
  [21500] = {.lex_state = 382, .external_lex_state = 3},
  [21501] = {.lex_state = 382, .external_lex_state = 3},
  [21502] = {.lex_state = 382, .external_lex_state = 3},
  [21503] = {.lex_state = 382, .external_lex_state = 3},
  [21504] = {.lex_state = 412, .external_lex_state = 3},
  [21505] = {.lex_state = 382, .external_lex_state = 3},
  [21506] = {.lex_state = 15, .external_lex_state = 3},
  [21507] = {.lex_state = 36, .external_lex_state = 3},
  [21508] = {.lex_state = 382, .external_lex_state = 3},
  [21509] = {.lex_state = 382, .external_lex_state = 3},
  [21510] = {.lex_state = 388, .external_lex_state = 3},
  [21511] = {.lex_state = 388, .external_lex_state = 3},
  [21512] = {.lex_state = 388, .external_lex_state = 3},
  [21513] = {.lex_state = 382, .external_lex_state = 3},
  [21514] = {.lex_state = 382, .external_lex_state = 3},
  [21515] = {.lex_state = 382, .external_lex_state = 3},
  [21516] = {.lex_state = 382, .external_lex_state = 3},
  [21517] = {.lex_state = 15, .external_lex_state = 3},
  [21518] = {.lex_state = 36, .external_lex_state = 3},
  [21519] = {.lex_state = 382, .external_lex_state = 3},
  [21520] = {.lex_state = 382, .external_lex_state = 3},
  [21521] = {.lex_state = 382, .external_lex_state = 2},
  [21522] = {.lex_state = 412, .external_lex_state = 3},
  [21523] = {.lex_state = 412, .external_lex_state = 3},
  [21524] = {.lex_state = 382, .external_lex_state = 3},
  [21525] = {.lex_state = 382, .external_lex_state = 3},
  [21526] = {.lex_state = 15, .external_lex_state = 3},
  [21527] = {.lex_state = 412, .external_lex_state = 3},
  [21528] = {.lex_state = 382, .external_lex_state = 2},
  [21529] = {.lex_state = 412, .external_lex_state = 3},
  [21530] = {.lex_state = 412, .external_lex_state = 3},
  [21531] = {.lex_state = 15, .external_lex_state = 3},
  [21532] = {.lex_state = 382, .external_lex_state = 3},
  [21533] = {.lex_state = 382, .external_lex_state = 3},
  [21534] = {.lex_state = 388, .external_lex_state = 3},
  [21535] = {.lex_state = 388, .external_lex_state = 3},
  [21536] = {.lex_state = 388, .external_lex_state = 3},
  [21537] = {.lex_state = 412, .external_lex_state = 3},
  [21538] = {.lex_state = 36, .external_lex_state = 3},
  [21539] = {.lex_state = 15, .external_lex_state = 3},
  [21540] = {.lex_state = 382, .external_lex_state = 3},
  [21541] = {.lex_state = 132, .external_lex_state = 3},
  [21542] = {.lex_state = 382, .external_lex_state = 3},
  [21543] = {.lex_state = 132, .external_lex_state = 3},
  [21544] = {.lex_state = 382, .external_lex_state = 3},
  [21545] = {.lex_state = 382, .external_lex_state = 2},
  [21546] = {.lex_state = 132, .external_lex_state = 3},
  [21547] = {.lex_state = 412, .external_lex_state = 3},
  [21548] = {.lex_state = 382, .external_lex_state = 3},
  [21549] = {.lex_state = 412, .external_lex_state = 3},
  [21550] = {.lex_state = 382, .external_lex_state = 3},
  [21551] = {.lex_state = 15, .external_lex_state = 3},
  [21552] = {.lex_state = 382, .external_lex_state = 3},
  [21553] = {.lex_state = 382, .external_lex_state = 3},
  [21554] = {.lex_state = 388, .external_lex_state = 3},
  [21555] = {.lex_state = 388, .external_lex_state = 3},
  [21556] = {.lex_state = 388, .external_lex_state = 3},
  [21557] = {.lex_state = 36, .external_lex_state = 3},
  [21558] = {.lex_state = 412, .external_lex_state = 3},
  [21559] = {.lex_state = 132, .external_lex_state = 3},
  [21560] = {.lex_state = 382, .external_lex_state = 3},
  [21561] = {.lex_state = 382, .external_lex_state = 3},
  [21562] = {.lex_state = 382, .external_lex_state = 3},
  [21563] = {.lex_state = 382, .external_lex_state = 3},
  [21564] = {.lex_state = 382, .external_lex_state = 3},
  [21565] = {.lex_state = 132, .external_lex_state = 3},
  [21566] = {.lex_state = 382, .external_lex_state = 3},
  [21567] = {.lex_state = 132, .external_lex_state = 3},
  [21568] = {.lex_state = 132, .external_lex_state = 3},
  [21569] = {.lex_state = 382, .external_lex_state = 3},
  [21570] = {.lex_state = 15, .external_lex_state = 3},
  [21571] = {.lex_state = 132, .external_lex_state = 3},
  [21572] = {.lex_state = 382, .external_lex_state = 3},
  [21573] = {.lex_state = 388, .external_lex_state = 3},
  [21574] = {.lex_state = 388, .external_lex_state = 3},
  [21575] = {.lex_state = 388, .external_lex_state = 3},
  [21576] = {.lex_state = 382, .external_lex_state = 3},
  [21577] = {.lex_state = 382, .external_lex_state = 3},
  [21578] = {.lex_state = 412, .external_lex_state = 3},
  [21579] = {.lex_state = 382, .external_lex_state = 3},
  [21580] = {.lex_state = 382, .external_lex_state = 3},
  [21581] = {.lex_state = 382, .external_lex_state = 3},
  [21582] = {.lex_state = 132, .external_lex_state = 3},
  [21583] = {.lex_state = 382, .external_lex_state = 3},
  [21584] = {.lex_state = 382, .external_lex_state = 3},
  [21585] = {.lex_state = 382, .external_lex_state = 3},
  [21586] = {.lex_state = 382, .external_lex_state = 3},
  [21587] = {.lex_state = 382, .external_lex_state = 3},
  [21588] = {.lex_state = 132, .external_lex_state = 3},
  [21589] = {.lex_state = 15, .external_lex_state = 3},
  [21590] = {.lex_state = 382, .external_lex_state = 3},
  [21591] = {.lex_state = 382, .external_lex_state = 3},
  [21592] = {.lex_state = 388, .external_lex_state = 3},
  [21593] = {.lex_state = 388, .external_lex_state = 3},
  [21594] = {.lex_state = 388, .external_lex_state = 3},
  [21595] = {.lex_state = 132, .external_lex_state = 3},
  [21596] = {.lex_state = 132, .external_lex_state = 3},
  [21597] = {.lex_state = 382, .external_lex_state = 3},
  [21598] = {.lex_state = 382, .external_lex_state = 3},
  [21599] = {.lex_state = 382, .external_lex_state = 3},
  [21600] = {.lex_state = 382, .external_lex_state = 3},
  [21601] = {.lex_state = 15, .external_lex_state = 3},
  [21602] = {.lex_state = 382, .external_lex_state = 3},
  [21603] = {.lex_state = 132, .external_lex_state = 3},
  [21604] = {.lex_state = 382, .external_lex_state = 3},
  [21605] = {.lex_state = 132, .external_lex_state = 3},
  [21606] = {.lex_state = 15, .external_lex_state = 3},
  [21607] = {.lex_state = 382, .external_lex_state = 3},
  [21608] = {.lex_state = 382, .external_lex_state = 3},
  [21609] = {.lex_state = 388, .external_lex_state = 3},
  [21610] = {.lex_state = 388, .external_lex_state = 3},
  [21611] = {.lex_state = 388, .external_lex_state = 3},
  [21612] = {.lex_state = 382, .external_lex_state = 3},
  [21613] = {.lex_state = 132, .external_lex_state = 3},
  [21614] = {.lex_state = 382, .external_lex_state = 3},
  [21615] = {.lex_state = 36, .external_lex_state = 3},
  [21616] = {.lex_state = 382, .external_lex_state = 3},
  [21617] = {.lex_state = 382, .external_lex_state = 3},
  [21618] = {.lex_state = 412, .external_lex_state = 3},
  [21619] = {.lex_state = 412, .external_lex_state = 3},
  [21620] = {.lex_state = 382, .external_lex_state = 3},
  [21621] = {.lex_state = 382, .external_lex_state = 3},
  [21622] = {.lex_state = 382, .external_lex_state = 3},
  [21623] = {.lex_state = 15, .external_lex_state = 3},
  [21624] = {.lex_state = 382, .external_lex_state = 3},
  [21625] = {.lex_state = 382, .external_lex_state = 3},
  [21626] = {.lex_state = 388, .external_lex_state = 3},
  [21627] = {.lex_state = 388, .external_lex_state = 3},
  [21628] = {.lex_state = 388, .external_lex_state = 3},
  [21629] = {.lex_state = 382, .external_lex_state = 3},
  [21630] = {.lex_state = 382, .external_lex_state = 3},
  [21631] = {.lex_state = 382, .external_lex_state = 3},
  [21632] = {.lex_state = 382, .external_lex_state = 3},
  [21633] = {.lex_state = 382, .external_lex_state = 3},
  [21634] = {.lex_state = 382, .external_lex_state = 3},
  [21635] = {.lex_state = 382, .external_lex_state = 3},
  [21636] = {.lex_state = 382, .external_lex_state = 3},
  [21637] = {.lex_state = 382, .external_lex_state = 3},
  [21638] = {.lex_state = 382, .external_lex_state = 3},
  [21639] = {.lex_state = 412, .external_lex_state = 3},
  [21640] = {.lex_state = 15, .external_lex_state = 3},
  [21641] = {.lex_state = 412, .external_lex_state = 3},
  [21642] = {.lex_state = 382, .external_lex_state = 3},
  [21643] = {.lex_state = 388, .external_lex_state = 3},
  [21644] = {.lex_state = 388, .external_lex_state = 3},
  [21645] = {.lex_state = 388, .external_lex_state = 3},
  [21646] = {.lex_state = 382, .external_lex_state = 3},
  [21647] = {.lex_state = 382, .external_lex_state = 3},
  [21648] = {.lex_state = 412, .external_lex_state = 3},
  [21649] = {.lex_state = 36, .external_lex_state = 3},
  [21650] = {.lex_state = 382, .external_lex_state = 3},
  [21651] = {.lex_state = 382, .external_lex_state = 3},
  [21652] = {.lex_state = 132, .external_lex_state = 3},
  [21653] = {.lex_state = 132, .external_lex_state = 3},
  [21654] = {.lex_state = 132, .external_lex_state = 3},
  [21655] = {.lex_state = 15, .external_lex_state = 3},
  [21656] = {.lex_state = 132, .external_lex_state = 3},
  [21657] = {.lex_state = 15, .external_lex_state = 3},
  [21658] = {.lex_state = 382, .external_lex_state = 3},
  [21659] = {.lex_state = 382, .external_lex_state = 3},
  [21660] = {.lex_state = 388, .external_lex_state = 3},
  [21661] = {.lex_state = 388, .external_lex_state = 3},
  [21662] = {.lex_state = 388, .external_lex_state = 3},
  [21663] = {.lex_state = 382, .external_lex_state = 2},
  [21664] = {.lex_state = 412, .external_lex_state = 3},
  [21665] = {.lex_state = 412, .external_lex_state = 3},
  [21666] = {.lex_state = 36, .external_lex_state = 3},
  [21667] = {.lex_state = 132, .external_lex_state = 3},
  [21668] = {.lex_state = 382, .external_lex_state = 3},
  [21669] = {.lex_state = 382, .external_lex_state = 3},
  [21670] = {.lex_state = 132, .external_lex_state = 3},
  [21671] = {.lex_state = 382, .external_lex_state = 3},
  [21672] = {.lex_state = 382, .external_lex_state = 3},
  [21673] = {.lex_state = 132, .external_lex_state = 3},
  [21674] = {.lex_state = 15, .external_lex_state = 3},
  [21675] = {.lex_state = 382, .external_lex_state = 3},
  [21676] = {.lex_state = 382, .external_lex_state = 3},
  [21677] = {.lex_state = 388, .external_lex_state = 3},
  [21678] = {.lex_state = 388, .external_lex_state = 3},
  [21679] = {.lex_state = 388, .external_lex_state = 3},
  [21680] = {.lex_state = 382, .external_lex_state = 3},
  [21681] = {.lex_state = 382, .external_lex_state = 3},
  [21682] = {.lex_state = 36, .external_lex_state = 3},
  [21683] = {.lex_state = 382, .external_lex_state = 3},
  [21684] = {.lex_state = 382, .external_lex_state = 3},
  [21685] = {.lex_state = 132, .external_lex_state = 3},
  [21686] = {.lex_state = 132, .external_lex_state = 3},
  [21687] = {.lex_state = 132, .external_lex_state = 3},
  [21688] = {.lex_state = 382, .external_lex_state = 3},
  [21689] = {.lex_state = 382, .external_lex_state = 3},
  [21690] = {.lex_state = 36, .external_lex_state = 3},
  [21691] = {.lex_state = 15, .external_lex_state = 3},
  [21692] = {.lex_state = 36, .external_lex_state = 3},
  [21693] = {.lex_state = 382, .external_lex_state = 3},
  [21694] = {.lex_state = 388, .external_lex_state = 3},
  [21695] = {.lex_state = 388, .external_lex_state = 3},
  [21696] = {.lex_state = 388, .external_lex_state = 3},
  [21697] = {.lex_state = 412, .external_lex_state = 3},
  [21698] = {.lex_state = 382, .external_lex_state = 3},
  [21699] = {.lex_state = 412, .external_lex_state = 3},
  [21700] = {.lex_state = 382, .external_lex_state = 3},
  [21701] = {.lex_state = 382, .external_lex_state = 2},
  [21702] = {.lex_state = 382, .external_lex_state = 3},
  [21703] = {.lex_state = 382, .external_lex_state = 3},
  [21704] = {.lex_state = 382, .external_lex_state = 3},
  [21705] = {.lex_state = 15, .external_lex_state = 3},
  [21706] = {.lex_state = 36, .external_lex_state = 3},
  [21707] = {.lex_state = 15, .external_lex_state = 3},
  [21708] = {.lex_state = 132, .external_lex_state = 3},
  [21709] = {.lex_state = 382, .external_lex_state = 3},
  [21710] = {.lex_state = 388, .external_lex_state = 3},
  [21711] = {.lex_state = 388, .external_lex_state = 3},
  [21712] = {.lex_state = 388, .external_lex_state = 3},
  [21713] = {.lex_state = 382, .external_lex_state = 3},
  [21714] = {.lex_state = 382, .external_lex_state = 3},
  [21715] = {.lex_state = 412, .external_lex_state = 3},
  [21716] = {.lex_state = 382, .external_lex_state = 3},
  [21717] = {.lex_state = 382, .external_lex_state = 3},
  [21718] = {.lex_state = 382, .external_lex_state = 3},
  [21719] = {.lex_state = 382, .external_lex_state = 3},
  [21720] = {.lex_state = 382, .external_lex_state = 9},
  [21721] = {.lex_state = 382, .external_lex_state = 3},
  [21722] = {.lex_state = 382, .external_lex_state = 3},
  [21723] = {.lex_state = 15, .external_lex_state = 3},
  [21724] = {.lex_state = 382, .external_lex_state = 3},
  [21725] = {.lex_state = 382, .external_lex_state = 3},
  [21726] = {.lex_state = 388, .external_lex_state = 3},
  [21727] = {.lex_state = 388, .external_lex_state = 3},
  [21728] = {.lex_state = 388, .external_lex_state = 3},
  [21729] = {.lex_state = 382, .external_lex_state = 3},
  [21730] = {.lex_state = 412, .external_lex_state = 3},
  [21731] = {.lex_state = 382, .external_lex_state = 3},
  [21732] = {.lex_state = 382, .external_lex_state = 3},
  [21733] = {.lex_state = 382, .external_lex_state = 3},
  [21734] = {.lex_state = 382, .external_lex_state = 2},
  [21735] = {.lex_state = 15, .external_lex_state = 3},
  [21736] = {.lex_state = 382, .external_lex_state = 3},
  [21737] = {.lex_state = 382, .external_lex_state = 3},
  [21738] = {.lex_state = 385, .external_lex_state = 3},
  [21739] = {.lex_state = 15, .external_lex_state = 3},
  [21740] = {.lex_state = 382, .external_lex_state = 3},
  [21741] = {.lex_state = 382, .external_lex_state = 3},
  [21742] = {.lex_state = 388, .external_lex_state = 3},
  [21743] = {.lex_state = 388, .external_lex_state = 3},
  [21744] = {.lex_state = 388, .external_lex_state = 3},
  [21745] = {.lex_state = 382, .external_lex_state = 3},
  [21746] = {.lex_state = 382, .external_lex_state = 3},
  [21747] = {.lex_state = 382, .external_lex_state = 3},
  [21748] = {.lex_state = 382, .external_lex_state = 3},
  [21749] = {.lex_state = 412, .external_lex_state = 3},
  [21750] = {.lex_state = 382, .external_lex_state = 3},
  [21751] = {.lex_state = 382, .external_lex_state = 3},
  [21752] = {.lex_state = 382, .external_lex_state = 3},
  [21753] = {.lex_state = 382, .external_lex_state = 3},
  [21754] = {.lex_state = 382, .external_lex_state = 3},
  [21755] = {.lex_state = 15, .external_lex_state = 3},
  [21756] = {.lex_state = 382, .external_lex_state = 3},
  [21757] = {.lex_state = 382, .external_lex_state = 3},
  [21758] = {.lex_state = 388, .external_lex_state = 3},
  [21759] = {.lex_state = 388, .external_lex_state = 3},
  [21760] = {.lex_state = 388, .external_lex_state = 3},
  [21761] = {.lex_state = 382, .external_lex_state = 3},
  [21762] = {.lex_state = 382, .external_lex_state = 3},
  [21763] = {.lex_state = 382, .external_lex_state = 3},
  [21764] = {.lex_state = 382, .external_lex_state = 3},
  [21765] = {.lex_state = 412, .external_lex_state = 3},
  [21766] = {.lex_state = 382, .external_lex_state = 3},
  [21767] = {.lex_state = 382, .external_lex_state = 3},
  [21768] = {.lex_state = 382, .external_lex_state = 3},
  [21769] = {.lex_state = 382, .external_lex_state = 3},
  [21770] = {.lex_state = 382, .external_lex_state = 3},
  [21771] = {.lex_state = 15, .external_lex_state = 3},
  [21772] = {.lex_state = 382, .external_lex_state = 3},
  [21773] = {.lex_state = 388, .external_lex_state = 3},
  [21774] = {.lex_state = 388, .external_lex_state = 3},
  [21775] = {.lex_state = 388, .external_lex_state = 3},
  [21776] = {.lex_state = 412, .external_lex_state = 3},
  [21777] = {.lex_state = 382, .external_lex_state = 3},
  [21778] = {.lex_state = 382, .external_lex_state = 3},
  [21779] = {.lex_state = 382, .external_lex_state = 3},
  [21780] = {.lex_state = 15, .external_lex_state = 3},
  [21781] = {.lex_state = 382, .external_lex_state = 3},
  [21782] = {.lex_state = 382, .external_lex_state = 3},
  [21783] = {.lex_state = 382, .external_lex_state = 3},
  [21784] = {.lex_state = 382, .external_lex_state = 2},
  [21785] = {.lex_state = 382, .external_lex_state = 3},
  [21786] = {.lex_state = 15, .external_lex_state = 3},
  [21787] = {.lex_state = 412, .external_lex_state = 3},
  [21788] = {.lex_state = 388, .external_lex_state = 3},
  [21789] = {.lex_state = 388, .external_lex_state = 3},
  [21790] = {.lex_state = 388, .external_lex_state = 3},
  [21791] = {.lex_state = 412, .external_lex_state = 3},
  [21792] = {.lex_state = 36, .external_lex_state = 3},
  [21793] = {.lex_state = 382, .external_lex_state = 3},
  [21794] = {.lex_state = 382, .external_lex_state = 3},
  [21795] = {.lex_state = 382, .external_lex_state = 3},
  [21796] = {.lex_state = 382, .external_lex_state = 3},
  [21797] = {.lex_state = 382, .external_lex_state = 3},
  [21798] = {.lex_state = 382, .external_lex_state = 3},
  [21799] = {.lex_state = 132, .external_lex_state = 3},
  [21800] = {.lex_state = 382, .external_lex_state = 3},
  [21801] = {.lex_state = 15, .external_lex_state = 3},
  [21802] = {.lex_state = 382, .external_lex_state = 3},
  [21803] = {.lex_state = 388, .external_lex_state = 3},
  [21804] = {.lex_state = 388, .external_lex_state = 3},
  [21805] = {.lex_state = 388, .external_lex_state = 3},
  [21806] = {.lex_state = 382, .external_lex_state = 3},
  [21807] = {.lex_state = 382, .external_lex_state = 3},
  [21808] = {.lex_state = 382, .external_lex_state = 3},
  [21809] = {.lex_state = 382, .external_lex_state = 3},
  [21810] = {.lex_state = 132, .external_lex_state = 3},
  [21811] = {.lex_state = 132, .external_lex_state = 3},
  [21812] = {.lex_state = 15, .external_lex_state = 3},
  [21813] = {.lex_state = 132, .external_lex_state = 3},
  [21814] = {.lex_state = 382, .external_lex_state = 3},
  [21815] = {.lex_state = 382, .external_lex_state = 3},
  [21816] = {.lex_state = 15, .external_lex_state = 3},
  [21817] = {.lex_state = 382, .external_lex_state = 3},
  [21818] = {.lex_state = 388, .external_lex_state = 3},
  [21819] = {.lex_state = 388, .external_lex_state = 3},
  [21820] = {.lex_state = 388, .external_lex_state = 3},
  [21821] = {.lex_state = 36, .external_lex_state = 3},
  [21822] = {.lex_state = 382, .external_lex_state = 3},
  [21823] = {.lex_state = 382, .external_lex_state = 3},
  [21824] = {.lex_state = 382, .external_lex_state = 3},
  [21825] = {.lex_state = 382, .external_lex_state = 3},
  [21826] = {.lex_state = 382, .external_lex_state = 3},
  [21827] = {.lex_state = 382, .external_lex_state = 3},
  [21828] = {.lex_state = 382, .external_lex_state = 3},
  [21829] = {.lex_state = 382, .external_lex_state = 3},
  [21830] = {.lex_state = 382, .external_lex_state = 3},
  [21831] = {.lex_state = 15, .external_lex_state = 3},
  [21832] = {.lex_state = 382, .external_lex_state = 3},
  [21833] = {.lex_state = 388, .external_lex_state = 3},
  [21834] = {.lex_state = 388, .external_lex_state = 3},
  [21835] = {.lex_state = 388, .external_lex_state = 3},
  [21836] = {.lex_state = 382, .external_lex_state = 3},
  [21837] = {.lex_state = 382, .external_lex_state = 3},
  [21838] = {.lex_state = 382, .external_lex_state = 3},
  [21839] = {.lex_state = 382, .external_lex_state = 3},
  [21840] = {.lex_state = 382, .external_lex_state = 3},
  [21841] = {.lex_state = 132, .external_lex_state = 3},
  [21842] = {.lex_state = 382, .external_lex_state = 3},
  [21843] = {.lex_state = 382, .external_lex_state = 3},
  [21844] = {.lex_state = 382, .external_lex_state = 3},
  [21845] = {.lex_state = 382, .external_lex_state = 3},
  [21846] = {.lex_state = 15, .external_lex_state = 3},
  [21847] = {.lex_state = 382, .external_lex_state = 3},
  [21848] = {.lex_state = 388, .external_lex_state = 3},
  [21849] = {.lex_state = 388, .external_lex_state = 3},
  [21850] = {.lex_state = 388, .external_lex_state = 3},
  [21851] = {.lex_state = 382, .external_lex_state = 3},
  [21852] = {.lex_state = 382, .external_lex_state = 3},
  [21853] = {.lex_state = 382, .external_lex_state = 3},
  [21854] = {.lex_state = 382, .external_lex_state = 3},
  [21855] = {.lex_state = 382, .external_lex_state = 3},
  [21856] = {.lex_state = 382, .external_lex_state = 3},
  [21857] = {.lex_state = 382, .external_lex_state = 3},
  [21858] = {.lex_state = 382, .external_lex_state = 3},
  [21859] = {.lex_state = 382, .external_lex_state = 3},
  [21860] = {.lex_state = 382, .external_lex_state = 3},
  [21861] = {.lex_state = 15, .external_lex_state = 3},
  [21862] = {.lex_state = 382, .external_lex_state = 3},
  [21863] = {.lex_state = 388, .external_lex_state = 3},
  [21864] = {.lex_state = 388, .external_lex_state = 3},
  [21865] = {.lex_state = 388, .external_lex_state = 3},
  [21866] = {.lex_state = 36, .external_lex_state = 3},
  [21867] = {.lex_state = 15, .external_lex_state = 3},
  [21868] = {.lex_state = 382, .external_lex_state = 3},
  [21869] = {.lex_state = 382, .external_lex_state = 3},
  [21870] = {.lex_state = 382, .external_lex_state = 3},
  [21871] = {.lex_state = 382, .external_lex_state = 3},
  [21872] = {.lex_state = 382, .external_lex_state = 3},
  [21873] = {.lex_state = 382, .external_lex_state = 3},
  [21874] = {.lex_state = 382, .external_lex_state = 3},
  [21875] = {.lex_state = 382, .external_lex_state = 3},
  [21876] = {.lex_state = 15, .external_lex_state = 3},
  [21877] = {.lex_state = 412, .external_lex_state = 3},
  [21878] = {.lex_state = 388, .external_lex_state = 3},
  [21879] = {.lex_state = 388, .external_lex_state = 3},
  [21880] = {.lex_state = 388, .external_lex_state = 3},
  [21881] = {.lex_state = 382, .external_lex_state = 3},
  [21882] = {.lex_state = 382, .external_lex_state = 2},
  [21883] = {.lex_state = 382, .external_lex_state = 3},
  [21884] = {.lex_state = 382, .external_lex_state = 3},
  [21885] = {.lex_state = 382, .external_lex_state = 3},
  [21886] = {.lex_state = 412, .external_lex_state = 3},
  [21887] = {.lex_state = 412, .external_lex_state = 3},
  [21888] = {.lex_state = 412, .external_lex_state = 3},
  [21889] = {.lex_state = 382, .external_lex_state = 3},
  [21890] = {.lex_state = 132, .external_lex_state = 3},
  [21891] = {.lex_state = 15, .external_lex_state = 3},
  [21892] = {.lex_state = 382, .external_lex_state = 3},
  [21893] = {.lex_state = 388, .external_lex_state = 3},
  [21894] = {.lex_state = 388, .external_lex_state = 3},
  [21895] = {.lex_state = 388, .external_lex_state = 3},
  [21896] = {.lex_state = 382, .external_lex_state = 3},
  [21897] = {.lex_state = 412, .external_lex_state = 3},
  [21898] = {.lex_state = 382, .external_lex_state = 3},
  [21899] = {.lex_state = 132, .external_lex_state = 3},
  [21900] = {.lex_state = 382, .external_lex_state = 3},
  [21901] = {.lex_state = 132, .external_lex_state = 3},
  [21902] = {.lex_state = 412, .external_lex_state = 3},
  [21903] = {.lex_state = 36, .external_lex_state = 3},
  [21904] = {.lex_state = 382, .external_lex_state = 3},
  [21905] = {.lex_state = 36, .external_lex_state = 3},
  [21906] = {.lex_state = 15, .external_lex_state = 3},
  [21907] = {.lex_state = 15, .external_lex_state = 3},
  [21908] = {.lex_state = 388, .external_lex_state = 3},
  [21909] = {.lex_state = 388, .external_lex_state = 3},
  [21910] = {.lex_state = 388, .external_lex_state = 3},
  [21911] = {.lex_state = 382, .external_lex_state = 3},
  [21912] = {.lex_state = 36, .external_lex_state = 3},
  [21913] = {.lex_state = 382, .external_lex_state = 2},
  [21914] = {.lex_state = 36, .external_lex_state = 3},
  [21915] = {.lex_state = 412, .external_lex_state = 3},
  [21916] = {.lex_state = 412, .external_lex_state = 3},
  [21917] = {.lex_state = 382, .external_lex_state = 3},
  [21918] = {.lex_state = 412, .external_lex_state = 3},
  [21919] = {.lex_state = 36, .external_lex_state = 3},
  [21920] = {.lex_state = 132, .external_lex_state = 3},
  [21921] = {.lex_state = 15, .external_lex_state = 3},
  [21922] = {.lex_state = 382, .external_lex_state = 3},
  [21923] = {.lex_state = 388, .external_lex_state = 3},
  [21924] = {.lex_state = 388, .external_lex_state = 3},
  [21925] = {.lex_state = 388, .external_lex_state = 3},
  [21926] = {.lex_state = 382, .external_lex_state = 3},
  [21927] = {.lex_state = 382, .external_lex_state = 3},
  [21928] = {.lex_state = 382, .external_lex_state = 3},
  [21929] = {.lex_state = 36, .external_lex_state = 3},
  [21930] = {.lex_state = 382, .external_lex_state = 3},
  [21931] = {.lex_state = 412, .external_lex_state = 3},
  [21932] = {.lex_state = 382, .external_lex_state = 3},
  [21933] = {.lex_state = 132, .external_lex_state = 3},
  [21934] = {.lex_state = 382, .external_lex_state = 3},
  [21935] = {.lex_state = 382, .external_lex_state = 3},
  [21936] = {.lex_state = 15, .external_lex_state = 3},
  [21937] = {.lex_state = 36, .external_lex_state = 3},
  [21938] = {.lex_state = 388, .external_lex_state = 3},
  [21939] = {.lex_state = 388, .external_lex_state = 3},
  [21940] = {.lex_state = 388, .external_lex_state = 3},
  [21941] = {.lex_state = 412, .external_lex_state = 3},
  [21942] = {.lex_state = 382, .external_lex_state = 3},
  [21943] = {.lex_state = 132, .external_lex_state = 3},
  [21944] = {.lex_state = 132, .external_lex_state = 3},
  [21945] = {.lex_state = 132, .external_lex_state = 3},
  [21946] = {.lex_state = 382, .external_lex_state = 3},
  [21947] = {.lex_state = 382, .external_lex_state = 3},
  [21948] = {.lex_state = 412, .external_lex_state = 3},
  [21949] = {.lex_state = 412, .external_lex_state = 3},
  [21950] = {.lex_state = 382, .external_lex_state = 2},
  [21951] = {.lex_state = 15, .external_lex_state = 3},
  [21952] = {.lex_state = 382, .external_lex_state = 3},
  [21953] = {.lex_state = 388, .external_lex_state = 3},
  [21954] = {.lex_state = 388, .external_lex_state = 3},
  [21955] = {.lex_state = 388, .external_lex_state = 3},
  [21956] = {.lex_state = 15, .external_lex_state = 3},
  [21957] = {.lex_state = 382, .external_lex_state = 3},
  [21958] = {.lex_state = 36, .external_lex_state = 3},
  [21959] = {.lex_state = 382, .external_lex_state = 3},
  [21960] = {.lex_state = 382, .external_lex_state = 3},
  [21961] = {.lex_state = 132, .external_lex_state = 3},
  [21962] = {.lex_state = 15, .external_lex_state = 3},
  [21963] = {.lex_state = 382, .external_lex_state = 3},
  [21964] = {.lex_state = 382, .external_lex_state = 3},
  [21965] = {.lex_state = 382, .external_lex_state = 3},
  [21966] = {.lex_state = 15, .external_lex_state = 3},
  [21967] = {.lex_state = 382, .external_lex_state = 3},
  [21968] = {.lex_state = 388, .external_lex_state = 3},
  [21969] = {.lex_state = 388, .external_lex_state = 3},
  [21970] = {.lex_state = 388, .external_lex_state = 3},
  [21971] = {.lex_state = 382, .external_lex_state = 3},
  [21972] = {.lex_state = 382, .external_lex_state = 3},
  [21973] = {.lex_state = 382, .external_lex_state = 3},
  [21974] = {.lex_state = 382, .external_lex_state = 3},
  [21975] = {.lex_state = 382, .external_lex_state = 3},
  [21976] = {.lex_state = 382, .external_lex_state = 3},
  [21977] = {.lex_state = 382, .external_lex_state = 3},
  [21978] = {.lex_state = 412, .external_lex_state = 3},
  [21979] = {.lex_state = 382, .external_lex_state = 3},
  [21980] = {.lex_state = 382, .external_lex_state = 3},
  [21981] = {.lex_state = 15, .external_lex_state = 3},
  [21982] = {.lex_state = 382, .external_lex_state = 3},
  [21983] = {.lex_state = 388, .external_lex_state = 3},
  [21984] = {.lex_state = 388, .external_lex_state = 3},
  [21985] = {.lex_state = 388, .external_lex_state = 3},
  [21986] = {.lex_state = 382, .external_lex_state = 3},
  [21987] = {.lex_state = 412, .external_lex_state = 3},
  [21988] = {.lex_state = 382, .external_lex_state = 3},
  [21989] = {.lex_state = 15, .external_lex_state = 3},
  [21990] = {.lex_state = 382, .external_lex_state = 3},
  [21991] = {.lex_state = 382, .external_lex_state = 3},
  [21992] = {.lex_state = 382, .external_lex_state = 3},
  [21993] = {.lex_state = 382, .external_lex_state = 3},
  [21994] = {.lex_state = 412, .external_lex_state = 3},
  [21995] = {.lex_state = 382, .external_lex_state = 3},
  [21996] = {.lex_state = 15, .external_lex_state = 3},
  [21997] = {.lex_state = 382, .external_lex_state = 3},
  [21998] = {.lex_state = 388, .external_lex_state = 3},
  [21999] = {.lex_state = 388, .external_lex_state = 3},
  [22000] = {.lex_state = 388, .external_lex_state = 3},
  [22001] = {.lex_state = 382, .external_lex_state = 3},
  [22002] = {.lex_state = 382, .external_lex_state = 3},
  [22003] = {.lex_state = 412, .external_lex_state = 3},
  [22004] = {.lex_state = 36, .external_lex_state = 3},
  [22005] = {.lex_state = 382, .external_lex_state = 3},
  [22006] = {.lex_state = 382, .external_lex_state = 3},
  [22007] = {.lex_state = 382, .external_lex_state = 3},
  [22008] = {.lex_state = 382, .external_lex_state = 3},
  [22009] = {.lex_state = 382, .external_lex_state = 3},
  [22010] = {.lex_state = 382, .external_lex_state = 3},
  [22011] = {.lex_state = 382, .external_lex_state = 3},
  [22012] = {.lex_state = 388, .external_lex_state = 3},
  [22013] = {.lex_state = 388, .external_lex_state = 3},
  [22014] = {.lex_state = 388, .external_lex_state = 3},
  [22015] = {.lex_state = 132, .external_lex_state = 3},
  [22016] = {.lex_state = 382, .external_lex_state = 3},
  [22017] = {.lex_state = 382, .external_lex_state = 3},
  [22018] = {.lex_state = 15, .external_lex_state = 3},
  [22019] = {.lex_state = 382, .external_lex_state = 3},
  [22020] = {.lex_state = 382, .external_lex_state = 3},
  [22021] = {.lex_state = 382, .external_lex_state = 2},
  [22022] = {.lex_state = 412, .external_lex_state = 3},
  [22023] = {.lex_state = 382, .external_lex_state = 3},
  [22024] = {.lex_state = 382, .external_lex_state = 3},
  [22025] = {.lex_state = 412, .external_lex_state = 3},
  [22026] = {.lex_state = 388, .external_lex_state = 3},
  [22027] = {.lex_state = 388, .external_lex_state = 3},
  [22028] = {.lex_state = 388, .external_lex_state = 3},
  [22029] = {.lex_state = 382, .external_lex_state = 3},
  [22030] = {.lex_state = 382, .external_lex_state = 3},
  [22031] = {.lex_state = 382, .external_lex_state = 3},
  [22032] = {.lex_state = 15, .external_lex_state = 3},
  [22033] = {.lex_state = 382, .external_lex_state = 3},
  [22034] = {.lex_state = 382, .external_lex_state = 2},
  [22035] = {.lex_state = 36, .external_lex_state = 3},
  [22036] = {.lex_state = 382, .external_lex_state = 3},
  [22037] = {.lex_state = 382, .external_lex_state = 3},
  [22038] = {.lex_state = 382, .external_lex_state = 3},
  [22039] = {.lex_state = 132, .external_lex_state = 3},
  [22040] = {.lex_state = 388, .external_lex_state = 3},
  [22041] = {.lex_state = 388, .external_lex_state = 3},
  [22042] = {.lex_state = 388, .external_lex_state = 3},
  [22043] = {.lex_state = 382, .external_lex_state = 3},
  [22044] = {.lex_state = 382, .external_lex_state = 3},
  [22045] = {.lex_state = 382, .external_lex_state = 3},
  [22046] = {.lex_state = 382, .external_lex_state = 3},
  [22047] = {.lex_state = 382, .external_lex_state = 3},
  [22048] = {.lex_state = 132, .external_lex_state = 3},
  [22049] = {.lex_state = 132, .external_lex_state = 3},
  [22050] = {.lex_state = 385, .external_lex_state = 3},
  [22051] = {.lex_state = 132, .external_lex_state = 3},
  [22052] = {.lex_state = 412, .external_lex_state = 3},
  [22053] = {.lex_state = 382, .external_lex_state = 3},
  [22054] = {.lex_state = 388, .external_lex_state = 3},
  [22055] = {.lex_state = 388, .external_lex_state = 3},
  [22056] = {.lex_state = 388, .external_lex_state = 3},
  [22057] = {.lex_state = 382, .external_lex_state = 3},
  [22058] = {.lex_state = 382, .external_lex_state = 3},
  [22059] = {.lex_state = 412, .external_lex_state = 3},
  [22060] = {.lex_state = 382, .external_lex_state = 3},
  [22061] = {.lex_state = 382, .external_lex_state = 3},
  [22062] = {.lex_state = 382, .external_lex_state = 3},
  [22063] = {.lex_state = 36, .external_lex_state = 3},
  [22064] = {.lex_state = 382, .external_lex_state = 3},
  [22065] = {.lex_state = 382, .external_lex_state = 3},
  [22066] = {.lex_state = 382, .external_lex_state = 3},
  [22067] = {.lex_state = 382, .external_lex_state = 3},
  [22068] = {.lex_state = 388, .external_lex_state = 3},
  [22069] = {.lex_state = 388, .external_lex_state = 3},
  [22070] = {.lex_state = 388, .external_lex_state = 3},
  [22071] = {.lex_state = 382, .external_lex_state = 3},
  [22072] = {.lex_state = 382, .external_lex_state = 3},
  [22073] = {.lex_state = 132, .external_lex_state = 3},
  [22074] = {.lex_state = 382, .external_lex_state = 3},
  [22075] = {.lex_state = 382, .external_lex_state = 3},
  [22076] = {.lex_state = 382, .external_lex_state = 3},
  [22077] = {.lex_state = 382, .external_lex_state = 3},
  [22078] = {.lex_state = 382, .external_lex_state = 3},
  [22079] = {.lex_state = 382, .external_lex_state = 3},
  [22080] = {.lex_state = 382, .external_lex_state = 3},
  [22081] = {.lex_state = 382, .external_lex_state = 3},
  [22082] = {.lex_state = 388, .external_lex_state = 3},
  [22083] = {.lex_state = 388, .external_lex_state = 3},
  [22084] = {.lex_state = 388, .external_lex_state = 3},
  [22085] = {.lex_state = 382, .external_lex_state = 3},
  [22086] = {.lex_state = 382, .external_lex_state = 3},
  [22087] = {.lex_state = 382, .external_lex_state = 3},
  [22088] = {.lex_state = 132, .external_lex_state = 3},
  [22089] = {.lex_state = 382, .external_lex_state = 3},
  [22090] = {.lex_state = 382, .external_lex_state = 3},
  [22091] = {.lex_state = 382, .external_lex_state = 3},
  [22092] = {.lex_state = 382, .external_lex_state = 3},
  [22093] = {.lex_state = 382, .external_lex_state = 3},
  [22094] = {.lex_state = 415, .external_lex_state = 3},
  [22095] = {.lex_state = 412, .external_lex_state = 3},
  [22096] = {.lex_state = 388, .external_lex_state = 3},
  [22097] = {.lex_state = 388, .external_lex_state = 3},
  [22098] = {.lex_state = 388, .external_lex_state = 3},
  [22099] = {.lex_state = 382, .external_lex_state = 3},
  [22100] = {.lex_state = 382, .external_lex_state = 3},
  [22101] = {.lex_state = 382, .external_lex_state = 3},
  [22102] = {.lex_state = 202, .external_lex_state = 3},
  [22103] = {.lex_state = 412, .external_lex_state = 3},
  [22104] = {.lex_state = 36, .external_lex_state = 3},
  [22105] = {.lex_state = 132, .external_lex_state = 3},
  [22106] = {.lex_state = 132, .external_lex_state = 3},
  [22107] = {.lex_state = 382, .external_lex_state = 3},
  [22108] = {.lex_state = 132, .external_lex_state = 3},
  [22109] = {.lex_state = 382, .external_lex_state = 3},
  [22110] = {.lex_state = 388, .external_lex_state = 3},
  [22111] = {.lex_state = 388, .external_lex_state = 3},
  [22112] = {.lex_state = 388, .external_lex_state = 3},
  [22113] = {.lex_state = 382, .external_lex_state = 3},
  [22114] = {.lex_state = 382, .external_lex_state = 3},
  [22115] = {.lex_state = 132, .external_lex_state = 3},
  [22116] = {.lex_state = 382, .external_lex_state = 3},
  [22117] = {.lex_state = 382, .external_lex_state = 3},
  [22118] = {.lex_state = 412, .external_lex_state = 3},
  [22119] = {.lex_state = 412, .external_lex_state = 3},
  [22120] = {.lex_state = 382, .external_lex_state = 3},
  [22121] = {.lex_state = 132, .external_lex_state = 3},
  [22122] = {.lex_state = 382, .external_lex_state = 3},
  [22123] = {.lex_state = 132, .external_lex_state = 3},
  [22124] = {.lex_state = 388, .external_lex_state = 3},
  [22125] = {.lex_state = 388, .external_lex_state = 3},
  [22126] = {.lex_state = 388, .external_lex_state = 3},
  [22127] = {.lex_state = 382, .external_lex_state = 3},
  [22128] = {.lex_state = 382, .external_lex_state = 3},
  [22129] = {.lex_state = 412, .external_lex_state = 3},
  [22130] = {.lex_state = 382, .external_lex_state = 3},
  [22131] = {.lex_state = 382, .external_lex_state = 3},
  [22132] = {.lex_state = 36, .external_lex_state = 3},
  [22133] = {.lex_state = 382, .external_lex_state = 3},
  [22134] = {.lex_state = 132, .external_lex_state = 3},
  [22135] = {.lex_state = 36, .external_lex_state = 3},
  [22136] = {.lex_state = 382, .external_lex_state = 3},
  [22137] = {.lex_state = 382, .external_lex_state = 3},
  [22138] = {.lex_state = 388, .external_lex_state = 3},
  [22139] = {.lex_state = 388, .external_lex_state = 3},
  [22140] = {.lex_state = 388, .external_lex_state = 3},
  [22141] = {.lex_state = 382, .external_lex_state = 3},
  [22142] = {.lex_state = 15, .external_lex_state = 3},
  [22143] = {.lex_state = 36, .external_lex_state = 3},
  [22144] = {.lex_state = 382, .external_lex_state = 3},
  [22145] = {.lex_state = 382, .external_lex_state = 2},
  [22146] = {.lex_state = 382, .external_lex_state = 3},
  [22147] = {.lex_state = 382, .external_lex_state = 3},
  [22148] = {.lex_state = 412, .external_lex_state = 3},
  [22149] = {.lex_state = 412, .external_lex_state = 3},
  [22150] = {.lex_state = 412, .external_lex_state = 3},
  [22151] = {.lex_state = 412, .external_lex_state = 3},
  [22152] = {.lex_state = 388, .external_lex_state = 3},
  [22153] = {.lex_state = 388, .external_lex_state = 3},
  [22154] = {.lex_state = 388, .external_lex_state = 3},
  [22155] = {.lex_state = 36, .external_lex_state = 3},
  [22156] = {.lex_state = 382, .external_lex_state = 3},
  [22157] = {.lex_state = 412, .external_lex_state = 3},
  [22158] = {.lex_state = 382, .external_lex_state = 3},
  [22159] = {.lex_state = 382, .external_lex_state = 2},
  [22160] = {.lex_state = 132, .external_lex_state = 3},
  [22161] = {.lex_state = 382, .external_lex_state = 3},
  [22162] = {.lex_state = 15, .external_lex_state = 3},
  [22163] = {.lex_state = 132, .external_lex_state = 3},
  [22164] = {.lex_state = 36, .external_lex_state = 3},
  [22165] = {.lex_state = 382, .external_lex_state = 3},
  [22166] = {.lex_state = 388, .external_lex_state = 3},
  [22167] = {.lex_state = 388, .external_lex_state = 3},
  [22168] = {.lex_state = 388, .external_lex_state = 3},
  [22169] = {.lex_state = 382, .external_lex_state = 3},
  [22170] = {.lex_state = 382, .external_lex_state = 3},
  [22171] = {.lex_state = 132, .external_lex_state = 3},
  [22172] = {.lex_state = 132, .external_lex_state = 3},
  [22173] = {.lex_state = 388, .external_lex_state = 3},
  [22174] = {.lex_state = 388, .external_lex_state = 3},
  [22175] = {.lex_state = 388, .external_lex_state = 3},
  [22176] = {.lex_state = 132, .external_lex_state = 3},
  [22177] = {.lex_state = 382, .external_lex_state = 3},
  [22178] = {.lex_state = 382, .external_lex_state = 3},
  [22179] = {.lex_state = 382, .external_lex_state = 3},
  [22180] = {.lex_state = 388, .external_lex_state = 3},
  [22181] = {.lex_state = 388, .external_lex_state = 3},
  [22182] = {.lex_state = 388, .external_lex_state = 3},
  [22183] = {.lex_state = 382, .external_lex_state = 3},
  [22184] = {.lex_state = 382, .external_lex_state = 3},
  [22185] = {.lex_state = 388, .external_lex_state = 3},
  [22186] = {.lex_state = 388, .external_lex_state = 3},
  [22187] = {.lex_state = 388, .external_lex_state = 3},
  [22188] = {.lex_state = 382, .external_lex_state = 3},
  [22189] = {.lex_state = 382, .external_lex_state = 3},
  [22190] = {.lex_state = 388, .external_lex_state = 3},
  [22191] = {.lex_state = 388, .external_lex_state = 3},
  [22192] = {.lex_state = 388, .external_lex_state = 3},
  [22193] = {.lex_state = 132, .external_lex_state = 3},
  [22194] = {.lex_state = 382, .external_lex_state = 3},
  [22195] = {.lex_state = 388, .external_lex_state = 3},
  [22196] = {.lex_state = 388, .external_lex_state = 3},
  [22197] = {.lex_state = 388, .external_lex_state = 3},
  [22198] = {.lex_state = 382, .external_lex_state = 3},
  [22199] = {.lex_state = 382, .external_lex_state = 3},
  [22200] = {.lex_state = 388, .external_lex_state = 3},
  [22201] = {.lex_state = 388, .external_lex_state = 3},
  [22202] = {.lex_state = 388, .external_lex_state = 3},
  [22203] = {.lex_state = 382, .external_lex_state = 3},
  [22204] = {.lex_state = 382, .external_lex_state = 3},
  [22205] = {.lex_state = 388, .external_lex_state = 3},
  [22206] = {.lex_state = 388, .external_lex_state = 3},
  [22207] = {.lex_state = 388, .external_lex_state = 3},
  [22208] = {.lex_state = 412, .external_lex_state = 3},
  [22209] = {.lex_state = 382, .external_lex_state = 3},
  [22210] = {.lex_state = 388, .external_lex_state = 3},
  [22211] = {.lex_state = 388, .external_lex_state = 3},
  [22212] = {.lex_state = 388, .external_lex_state = 3},
  [22213] = {.lex_state = 382, .external_lex_state = 3},
  [22214] = {.lex_state = 132, .external_lex_state = 3},
  [22215] = {.lex_state = 388, .external_lex_state = 3},
  [22216] = {.lex_state = 388, .external_lex_state = 3},
  [22217] = {.lex_state = 388, .external_lex_state = 3},
  [22218] = {.lex_state = 382, .external_lex_state = 3},
  [22219] = {.lex_state = 382, .external_lex_state = 3},
  [22220] = {.lex_state = 388, .external_lex_state = 3},
  [22221] = {.lex_state = 388, .external_lex_state = 3},
  [22222] = {.lex_state = 388, .external_lex_state = 3},
  [22223] = {.lex_state = 382, .external_lex_state = 3},
  [22224] = {.lex_state = 382, .external_lex_state = 3},
  [22225] = {.lex_state = 388, .external_lex_state = 3},
  [22226] = {.lex_state = 388, .external_lex_state = 3},
  [22227] = {.lex_state = 388, .external_lex_state = 3},
  [22228] = {.lex_state = 382, .external_lex_state = 3},
  [22229] = {.lex_state = 382, .external_lex_state = 3},
  [22230] = {.lex_state = 388, .external_lex_state = 3},
  [22231] = {.lex_state = 388, .external_lex_state = 3},
  [22232] = {.lex_state = 388, .external_lex_state = 3},
  [22233] = {.lex_state = 382, .external_lex_state = 3},
  [22234] = {.lex_state = 382, .external_lex_state = 3},
  [22235] = {.lex_state = 388, .external_lex_state = 3},
  [22236] = {.lex_state = 388, .external_lex_state = 3},
  [22237] = {.lex_state = 388, .external_lex_state = 3},
  [22238] = {.lex_state = 382, .external_lex_state = 3},
  [22239] = {.lex_state = 382, .external_lex_state = 3},
  [22240] = {.lex_state = 388, .external_lex_state = 3},
  [22241] = {.lex_state = 388, .external_lex_state = 3},
  [22242] = {.lex_state = 388, .external_lex_state = 3},
  [22243] = {.lex_state = 382, .external_lex_state = 3},
  [22244] = {.lex_state = 412, .external_lex_state = 3},
  [22245] = {.lex_state = 382, .external_lex_state = 3},
  [22246] = {.lex_state = 382, .external_lex_state = 3},
  [22247] = {.lex_state = 36, .external_lex_state = 3},
  [22248] = {.lex_state = 412, .external_lex_state = 3},
  [22249] = {.lex_state = 382, .external_lex_state = 3},
  [22250] = {.lex_state = 382, .external_lex_state = 3},
  [22251] = {.lex_state = 382, .external_lex_state = 3},
  [22252] = {.lex_state = 132, .external_lex_state = 3},
  [22253] = {.lex_state = 382, .external_lex_state = 3},
  [22254] = {.lex_state = 382, .external_lex_state = 3},
  [22255] = {.lex_state = 15, .external_lex_state = 3},
  [22256] = {.lex_state = 382, .external_lex_state = 3},
  [22257] = {.lex_state = 412, .external_lex_state = 3},
  [22258] = {.lex_state = 382, .external_lex_state = 2},
  [22259] = {.lex_state = 412, .external_lex_state = 3},
  [22260] = {.lex_state = 36, .external_lex_state = 3},
  [22261] = {.lex_state = 412, .external_lex_state = 3},
  [22262] = {.lex_state = 36, .external_lex_state = 3},
  [22263] = {.lex_state = 382, .external_lex_state = 3},
  [22264] = {.lex_state = 382, .external_lex_state = 3},
  [22265] = {.lex_state = 382, .external_lex_state = 3},
  [22266] = {.lex_state = 382, .external_lex_state = 3},
  [22267] = {.lex_state = 132, .external_lex_state = 3},
  [22268] = {.lex_state = 202, .external_lex_state = 3},
  [22269] = {.lex_state = 385, .external_lex_state = 3},
  [22270] = {.lex_state = 382, .external_lex_state = 3},
  [22271] = {.lex_state = 382, .external_lex_state = 3},
  [22272] = {.lex_state = 382, .external_lex_state = 3},
  [22273] = {.lex_state = 382, .external_lex_state = 3},
  [22274] = {.lex_state = 385, .external_lex_state = 3},
  [22275] = {.lex_state = 382, .external_lex_state = 3},
  [22276] = {.lex_state = 382, .external_lex_state = 3},
  [22277] = {.lex_state = 132, .external_lex_state = 3},
  [22278] = {.lex_state = 132, .external_lex_state = 3},
  [22279] = {.lex_state = 132, .external_lex_state = 3},
  [22280] = {.lex_state = 132, .external_lex_state = 3},
  [22281] = {.lex_state = 382, .external_lex_state = 3},
  [22282] = {.lex_state = 15, .external_lex_state = 3},
  [22283] = {.lex_state = 15, .external_lex_state = 3},
  [22284] = {.lex_state = 412, .external_lex_state = 3},
  [22285] = {.lex_state = 382, .external_lex_state = 3},
  [22286] = {.lex_state = 412, .external_lex_state = 3},
  [22287] = {.lex_state = 15, .external_lex_state = 3},
  [22288] = {.lex_state = 382, .external_lex_state = 3},
  [22289] = {.lex_state = 382, .external_lex_state = 3},
  [22290] = {.lex_state = 15, .external_lex_state = 3},
  [22291] = {.lex_state = 15, .external_lex_state = 3},
  [22292] = {.lex_state = 382, .external_lex_state = 3},
  [22293] = {.lex_state = 412, .external_lex_state = 3},
  [22294] = {.lex_state = 15, .external_lex_state = 3},
  [22295] = {.lex_state = 382, .external_lex_state = 3},
  [22296] = {.lex_state = 132, .external_lex_state = 3},
  [22297] = {.lex_state = 132, .external_lex_state = 3},
  [22298] = {.lex_state = 382, .external_lex_state = 3},
  [22299] = {.lex_state = 132, .external_lex_state = 3},
  [22300] = {.lex_state = 36, .external_lex_state = 3},
  [22301] = {.lex_state = 132, .external_lex_state = 3},
  [22302] = {.lex_state = 202, .external_lex_state = 3},
  [22303] = {.lex_state = 385, .external_lex_state = 3},
  [22304] = {.lex_state = 385, .external_lex_state = 3},
  [22305] = {.lex_state = 382, .external_lex_state = 3},
  [22306] = {.lex_state = 382, .external_lex_state = 3},
  [22307] = {.lex_state = 15, .external_lex_state = 3},
  [22308] = {.lex_state = 382, .external_lex_state = 3},
  [22309] = {.lex_state = 382, .external_lex_state = 3},
  [22310] = {.lex_state = 382, .external_lex_state = 3},
  [22311] = {.lex_state = 382, .external_lex_state = 3},
  [22312] = {.lex_state = 36, .external_lex_state = 3},
  [22313] = {.lex_state = 382, .external_lex_state = 3},
  [22314] = {.lex_state = 382, .external_lex_state = 3},
  [22315] = {.lex_state = 382, .external_lex_state = 3},
  [22316] = {.lex_state = 132, .external_lex_state = 3},
  [22317] = {.lex_state = 382, .external_lex_state = 3},
  [22318] = {.lex_state = 382, .external_lex_state = 3},
  [22319] = {.lex_state = 36, .external_lex_state = 3},
  [22320] = {.lex_state = 202, .external_lex_state = 3},
  [22321] = {.lex_state = 385, .external_lex_state = 3},
  [22322] = {.lex_state = 385, .external_lex_state = 3},
  [22323] = {.lex_state = 382, .external_lex_state = 3},
  [22324] = {.lex_state = 382, .external_lex_state = 3},
  [22325] = {.lex_state = 15, .external_lex_state = 3},
  [22326] = {.lex_state = 382, .external_lex_state = 3},
  [22327] = {.lex_state = 412, .external_lex_state = 3},
  [22328] = {.lex_state = 382, .external_lex_state = 3},
  [22329] = {.lex_state = 382, .external_lex_state = 3},
  [22330] = {.lex_state = 382, .external_lex_state = 3},
  [22331] = {.lex_state = 132, .external_lex_state = 3},
  [22332] = {.lex_state = 382, .external_lex_state = 3},
  [22333] = {.lex_state = 382, .external_lex_state = 3},
  [22334] = {.lex_state = 202, .external_lex_state = 3},
  [22335] = {.lex_state = 382, .external_lex_state = 3},
  [22336] = {.lex_state = 15, .external_lex_state = 3},
  [22337] = {.lex_state = 132, .external_lex_state = 3},
  [22338] = {.lex_state = 382, .external_lex_state = 3},
  [22339] = {.lex_state = 382, .external_lex_state = 3},
  [22340] = {.lex_state = 382, .external_lex_state = 3},
  [22341] = {.lex_state = 382, .external_lex_state = 3},
  [22342] = {.lex_state = 382, .external_lex_state = 3},
  [22343] = {.lex_state = 382, .external_lex_state = 3},
  [22344] = {.lex_state = 202, .external_lex_state = 3},
  [22345] = {.lex_state = 412, .external_lex_state = 3},
  [22346] = {.lex_state = 382, .external_lex_state = 3},
  [22347] = {.lex_state = 202, .external_lex_state = 3},
  [22348] = {.lex_state = 382, .external_lex_state = 3},
  [22349] = {.lex_state = 382, .external_lex_state = 3},
  [22350] = {.lex_state = 202, .external_lex_state = 3},
  [22351] = {.lex_state = 382, .external_lex_state = 3},
  [22352] = {.lex_state = 382, .external_lex_state = 3},
  [22353] = {.lex_state = 202, .external_lex_state = 3},
  [22354] = {.lex_state = 202, .external_lex_state = 3},
  [22355] = {.lex_state = 202, .external_lex_state = 3},
  [22356] = {.lex_state = 202, .external_lex_state = 3},
  [22357] = {.lex_state = 202, .external_lex_state = 3},
  [22358] = {.lex_state = 202, .external_lex_state = 3},
  [22359] = {.lex_state = 202, .external_lex_state = 3},
  [22360] = {.lex_state = 202, .external_lex_state = 3},
  [22361] = {.lex_state = 202, .external_lex_state = 3},
  [22362] = {.lex_state = 202, .external_lex_state = 3},
  [22363] = {.lex_state = 202, .external_lex_state = 3},
  [22364] = {.lex_state = 202, .external_lex_state = 3},
  [22365] = {.lex_state = 202, .external_lex_state = 3},
  [22366] = {.lex_state = 202, .external_lex_state = 3},
  [22367] = {.lex_state = 202, .external_lex_state = 3},
  [22368] = {.lex_state = 202, .external_lex_state = 3},
  [22369] = {.lex_state = 202, .external_lex_state = 3},
  [22370] = {.lex_state = 202, .external_lex_state = 3},
  [22371] = {.lex_state = 202, .external_lex_state = 3},
  [22372] = {.lex_state = 202, .external_lex_state = 3},
  [22373] = {.lex_state = 202, .external_lex_state = 3},
  [22374] = {.lex_state = 202, .external_lex_state = 3},
  [22375] = {.lex_state = 202, .external_lex_state = 3},
  [22376] = {.lex_state = 202, .external_lex_state = 3},
  [22377] = {.lex_state = 202, .external_lex_state = 3},
  [22378] = {.lex_state = 202, .external_lex_state = 3},
  [22379] = {.lex_state = 202, .external_lex_state = 3},
  [22380] = {.lex_state = 202, .external_lex_state = 3},
  [22381] = {.lex_state = 202, .external_lex_state = 3},
  [22382] = {.lex_state = 202, .external_lex_state = 3},
  [22383] = {.lex_state = 202, .external_lex_state = 3},
  [22384] = {.lex_state = 202, .external_lex_state = 3},
  [22385] = {.lex_state = 202, .external_lex_state = 3},
  [22386] = {.lex_state = 202, .external_lex_state = 3},
  [22387] = {.lex_state = 202, .external_lex_state = 3},
  [22388] = {.lex_state = 202, .external_lex_state = 3},
  [22389] = {.lex_state = 202, .external_lex_state = 3},
  [22390] = {.lex_state = 202, .external_lex_state = 3},
  [22391] = {.lex_state = 202, .external_lex_state = 3},
  [22392] = {.lex_state = 202, .external_lex_state = 3},
  [22393] = {.lex_state = 202, .external_lex_state = 3},
  [22394] = {.lex_state = 202, .external_lex_state = 3},
  [22395] = {.lex_state = 202, .external_lex_state = 3},
  [22396] = {.lex_state = 202, .external_lex_state = 3},
  [22397] = {.lex_state = 202, .external_lex_state = 3},
  [22398] = {.lex_state = 202, .external_lex_state = 3},
  [22399] = {.lex_state = 202, .external_lex_state = 3},
  [22400] = {.lex_state = 202, .external_lex_state = 3},
  [22401] = {.lex_state = 202, .external_lex_state = 3},
  [22402] = {.lex_state = 202, .external_lex_state = 3},
  [22403] = {.lex_state = 202, .external_lex_state = 3},
  [22404] = {.lex_state = 202, .external_lex_state = 3},
  [22405] = {.lex_state = 202, .external_lex_state = 3},
  [22406] = {.lex_state = 202, .external_lex_state = 3},
  [22407] = {.lex_state = 202, .external_lex_state = 3},
  [22408] = {.lex_state = 202, .external_lex_state = 3},
  [22409] = {.lex_state = 36, .external_lex_state = 3},
  [22410] = {.lex_state = 382, .external_lex_state = 3},
  [22411] = {.lex_state = 382, .external_lex_state = 3},
  [22412] = {.lex_state = 382, .external_lex_state = 3},
  [22413] = {.lex_state = 412, .external_lex_state = 3},
  [22414] = {.lex_state = 382, .external_lex_state = 3},
  [22415] = {.lex_state = 412, .external_lex_state = 3},
  [22416] = {.lex_state = 382, .external_lex_state = 3},
  [22417] = {.lex_state = 412, .external_lex_state = 3},
  [22418] = {.lex_state = 382, .external_lex_state = 3},
  [22419] = {.lex_state = 382, .external_lex_state = 2},
  [22420] = {.lex_state = 132, .external_lex_state = 3},
  [22421] = {.lex_state = 15, .external_lex_state = 3},
  [22422] = {.lex_state = 36, .external_lex_state = 3},
  [22423] = {.lex_state = 412, .external_lex_state = 3},
  [22424] = {.lex_state = 412, .external_lex_state = 3},
  [22425] = {.lex_state = 382, .external_lex_state = 2},
  [22426] = {.lex_state = 15, .external_lex_state = 3},
  [22427] = {.lex_state = 382, .external_lex_state = 3},
  [22428] = {.lex_state = 15, .external_lex_state = 3},
  [22429] = {.lex_state = 382, .external_lex_state = 3},
  [22430] = {.lex_state = 382, .external_lex_state = 3},
  [22431] = {.lex_state = 382, .external_lex_state = 3},
  [22432] = {.lex_state = 382, .external_lex_state = 2},
  [22433] = {.lex_state = 412, .external_lex_state = 3},
  [22434] = {.lex_state = 382, .external_lex_state = 3},
  [22435] = {.lex_state = 15, .external_lex_state = 3},
  [22436] = {.lex_state = 382, .external_lex_state = 3},
  [22437] = {.lex_state = 382, .external_lex_state = 3},
  [22438] = {.lex_state = 382, .external_lex_state = 3},
  [22439] = {.lex_state = 382, .external_lex_state = 2},
  [22440] = {.lex_state = 412, .external_lex_state = 3},
  [22441] = {.lex_state = 412, .external_lex_state = 3},
  [22442] = {.lex_state = 36, .external_lex_state = 3},
  [22443] = {.lex_state = 36, .external_lex_state = 3},
  [22444] = {.lex_state = 382, .external_lex_state = 3},
  [22445] = {.lex_state = 382, .external_lex_state = 3},
  [22446] = {.lex_state = 382, .external_lex_state = 3},
  [22447] = {.lex_state = 382, .external_lex_state = 3},
  [22448] = {.lex_state = 382, .external_lex_state = 3},
  [22449] = {.lex_state = 382, .external_lex_state = 3},
  [22450] = {.lex_state = 132, .external_lex_state = 3},
  [22451] = {.lex_state = 382, .external_lex_state = 3},
  [22452] = {.lex_state = 382, .external_lex_state = 3},
  [22453] = {.lex_state = 382, .external_lex_state = 3},
  [22454] = {.lex_state = 382, .external_lex_state = 3},
  [22455] = {.lex_state = 382, .external_lex_state = 3},
  [22456] = {.lex_state = 132, .external_lex_state = 3},
  [22457] = {.lex_state = 412, .external_lex_state = 3},
  [22458] = {.lex_state = 132, .external_lex_state = 3},
  [22459] = {.lex_state = 132, .external_lex_state = 3},
  [22460] = {.lex_state = 382, .external_lex_state = 3},
  [22461] = {.lex_state = 382, .external_lex_state = 3},
  [22462] = {.lex_state = 382, .external_lex_state = 3},
  [22463] = {.lex_state = 412, .external_lex_state = 3},
  [22464] = {.lex_state = 382, .external_lex_state = 3},
  [22465] = {.lex_state = 382, .external_lex_state = 3},
  [22466] = {.lex_state = 132, .external_lex_state = 3},
  [22467] = {.lex_state = 382, .external_lex_state = 3},
  [22468] = {.lex_state = 382, .external_lex_state = 3},
  [22469] = {.lex_state = 382, .external_lex_state = 3},
  [22470] = {.lex_state = 382, .external_lex_state = 3},
  [22471] = {.lex_state = 382, .external_lex_state = 3},
  [22472] = {.lex_state = 382, .external_lex_state = 3},
  [22473] = {.lex_state = 382, .external_lex_state = 3},
  [22474] = {.lex_state = 132, .external_lex_state = 3},
  [22475] = {.lex_state = 132, .external_lex_state = 3},
  [22476] = {.lex_state = 132, .external_lex_state = 3},
  [22477] = {.lex_state = 382, .external_lex_state = 3},
  [22478] = {.lex_state = 382, .external_lex_state = 3},
  [22479] = {.lex_state = 382, .external_lex_state = 3},
  [22480] = {.lex_state = 382, .external_lex_state = 3},
  [22481] = {.lex_state = 382, .external_lex_state = 3},
  [22482] = {.lex_state = 412, .external_lex_state = 3},
  [22483] = {.lex_state = 382, .external_lex_state = 3},
  [22484] = {.lex_state = 382, .external_lex_state = 3},
  [22485] = {.lex_state = 382, .external_lex_state = 3},
  [22486] = {.lex_state = 382, .external_lex_state = 3},
  [22487] = {.lex_state = 382, .external_lex_state = 3},
  [22488] = {.lex_state = 382, .external_lex_state = 3},
  [22489] = {.lex_state = 382, .external_lex_state = 3},
  [22490] = {.lex_state = 382, .external_lex_state = 3},
  [22491] = {.lex_state = 382, .external_lex_state = 3},
  [22492] = {.lex_state = 382, .external_lex_state = 3},
  [22493] = {.lex_state = 382, .external_lex_state = 3},
  [22494] = {.lex_state = 382, .external_lex_state = 3},
  [22495] = {.lex_state = 382, .external_lex_state = 3},
  [22496] = {.lex_state = 382, .external_lex_state = 3},
  [22497] = {.lex_state = 382, .external_lex_state = 3},
  [22498] = {.lex_state = 382, .external_lex_state = 3},
  [22499] = {.lex_state = 382, .external_lex_state = 3},
  [22500] = {.lex_state = 382, .external_lex_state = 3},
  [22501] = {.lex_state = 382, .external_lex_state = 3},
  [22502] = {.lex_state = 382, .external_lex_state = 3},
  [22503] = {.lex_state = 382, .external_lex_state = 3},
  [22504] = {.lex_state = 382, .external_lex_state = 3},
  [22505] = {.lex_state = 382, .external_lex_state = 3},
  [22506] = {.lex_state = 382, .external_lex_state = 3},
  [22507] = {.lex_state = 382, .external_lex_state = 3},
  [22508] = {.lex_state = 382, .external_lex_state = 3},
  [22509] = {.lex_state = 382, .external_lex_state = 3},
  [22510] = {.lex_state = 382, .external_lex_state = 3},
  [22511] = {.lex_state = 382, .external_lex_state = 3},
  [22512] = {.lex_state = 382, .external_lex_state = 3},
  [22513] = {.lex_state = 412, .external_lex_state = 3},
  [22514] = {.lex_state = 382, .external_lex_state = 3},
  [22515] = {.lex_state = 382, .external_lex_state = 3},
  [22516] = {.lex_state = 382, .external_lex_state = 3},
  [22517] = {.lex_state = 382, .external_lex_state = 3},
  [22518] = {.lex_state = 382, .external_lex_state = 3},
  [22519] = {.lex_state = 382, .external_lex_state = 3},
  [22520] = {.lex_state = 382, .external_lex_state = 3},
  [22521] = {.lex_state = 382, .external_lex_state = 3},
  [22522] = {.lex_state = 382, .external_lex_state = 3},
  [22523] = {.lex_state = 382, .external_lex_state = 3},
  [22524] = {.lex_state = 15, .external_lex_state = 3},
  [22525] = {.lex_state = 382, .external_lex_state = 3},
  [22526] = {.lex_state = 382, .external_lex_state = 3},
  [22527] = {.lex_state = 382, .external_lex_state = 2},
  [22528] = {.lex_state = 412, .external_lex_state = 3},
  [22529] = {.lex_state = 382, .external_lex_state = 3},
  [22530] = {.lex_state = 412, .external_lex_state = 3},
  [22531] = {.lex_state = 36, .external_lex_state = 3},
  [22532] = {.lex_state = 382, .external_lex_state = 3},
  [22533] = {.lex_state = 132, .external_lex_state = 3},
  [22534] = {.lex_state = 382, .external_lex_state = 3},
  [22535] = {.lex_state = 382, .external_lex_state = 3},
  [22536] = {.lex_state = 132, .external_lex_state = 3},
  [22537] = {.lex_state = 132, .external_lex_state = 3},
  [22538] = {(TSStateId)(-1)},
  [22539] = {(TSStateId)(-1)},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [sym_attribute] = STATE(0),
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym__lowercase_identifier] = ACTIONS(1),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_SEMI_SEMI] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_and] = ACTIONS(1),
    [anon_sym_COLON_GT] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_external] = ACTIONS(1),
    [anon_sym_type] = ACTIONS(1),
    [anon_sym_nonrec] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_of] = ACTIONS(1),
    [anon_sym_COLON2] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_mutable] = ACTIONS(1),
    [anon_sym_constraint] = ACTIONS(1),
    [anon_sym_exception] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_include] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_virtual] = ACTIONS(1),
    [anon_sym_val] = ACTIONS(1),
    [anon_sym_sig] = ACTIONS(1),
    [anon_sym_end] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_functor] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_object] = ACTIONS(1),
    [anon_sym_method] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_LBRACK_GT] = ACTIONS(1),
    [anon_sym_LBRACK_LT] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_match] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_function] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_lazy] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACE_LT] = ACTIONS(1),
    [anon_sym_begin] = ACTIONS(1),
    [sym_ocamlyacc_value] = ACTIONS(1),
    [anon_sym_effect] = ACTIONS(1),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [aux_sym_number_token1] = ACTIONS(1),
    [aux_sym_signed_number_token1] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE2] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [aux_sym_string_content_token2] = ACTIONS(1),
    [aux_sym_string_content_token4] = ACTIONS(1),
    [aux_sym_string_content_token5] = ACTIONS(1),
    [aux_sym_escape_sequence_token1] = ACTIONS(1),
    [aux_sym_escape_sequence_token2] = ACTIONS(1),
    [aux_sym_escape_sequence_token3] = ACTIONS(1),
    [aux_sym_escape_sequence_token4] = ACTIONS(1),
    [sym_pretty_printing_indication] = ACTIONS(1),
    [aux_sym_sign_operator_token1] = ACTIONS(1),
    [sym_hash_operator] = ACTIONS(1),
    [sym_concat_operator] = ACTIONS(1),
    [sym_and_operator] = ACTIONS(1),
    [sym_or_operator] = ACTIONS(1),
    [sym_assign_operator] = ACTIONS(1),
    [sym_let_operator] = ACTIONS(1),
    [sym_let_and_operator] = ACTIONS(1),
    [sym_match_operator] = ACTIONS(1),
    [sym__uppercase_identifier] = ACTIONS(1),
    [aux_sym_directive_token1] = ACTIONS(1),
    [aux_sym_type_variable_token1] = ACTIONS(1),
    [aux_sym_tag_token1] = ACTIONS(1),
    [aux_sym_attribute_id_token1] = ACTIONS(1),
    [sym_comment] = ACTIONS(5),
    [sym__left_quoted_string_delimiter] = ACTIONS(1),
    [sym__right_quoted_string_delimiter] = ACTIONS(1),
    [sym_line_number_directive] = ACTIONS(5),
    [sym__null] = ACTIONS(1),
  },
  [1] = {
    [sym_compilation_unit] = STATE(22147),
    [sym__structure] = STATE(22146),
    [sym_expression_item] = STATE(9563),
    [sym_toplevel_directive] = STATE(9563),
    [sym__structure_item] = STATE(9563),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(114),
    [ts_builtin_sym_end] = ACTIONS(7),
    [sym__lowercase_identifier] = ACTIONS(9),
    [sym_shebang] = ACTIONS(11),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(97),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22002),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(111),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(3),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19521),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(169),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [4] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(4),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21236),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(171),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [5] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(5),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21264),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(173),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [6] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(6),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20008),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(175),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [7] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(7),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20586),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(177),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [8] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(8),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21997),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(179),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [9] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(9),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20123),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(181),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [10] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(10),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20189),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(183),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [11] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(11),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21387),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(185),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [12] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(12),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21153),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(187),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [13] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(13),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20582),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(189),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [14] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(14),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21800),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(191),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [15] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(15),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21060),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(193),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [16] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(16),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22209),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(195),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [17] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(17),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19326),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(197),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [18] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(18),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20580),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(199),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [19] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(19),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22462),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(201),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [20] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(20),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21503),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(203),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [21] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(21),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21333),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(205),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [22] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(22),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20312),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(207),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [23] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(23),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21391),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(209),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [24] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(24),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21392),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(211),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [25] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(25),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19581),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(213),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [26] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(26),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19713),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(215),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [27] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(27),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21844),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(217),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [28] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(28),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20906),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(219),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [29] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(29),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21117),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(221),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [30] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(30),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21187),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(223),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [31] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(31),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21638),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(225),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [32] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(32),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22465),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(227),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [33] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(33),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20744),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(229),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [34] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(34),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21178),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(231),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [35] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(35),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22512),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(233),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [36] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(36),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21763),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(235),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [37] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(37),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20045),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(237),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [38] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(38),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19588),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(239),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [39] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(39),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20596),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(241),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [40] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(40),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21874),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(243),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [41] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(41),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19986),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(245),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [42] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(42),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19976),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(247),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [43] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(43),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19760),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(249),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [44] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(44),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21054),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(251),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [45] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(45),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20738),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(253),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [46] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(46),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19736),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(255),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [47] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(47),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21777),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(257),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [48] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(48),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19690),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(259),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [49] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(49),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21513),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(261),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [50] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(50),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19670),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(263),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [51] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(51),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19636),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(265),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [52] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(52),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19620),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(267),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [53] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(53),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21376),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(269),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [54] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(54),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20958),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(271),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [55] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(55),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19524),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(273),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [56] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(56),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19549),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(275),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [57] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(57),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19463),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(277),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [58] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(58),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20076),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(279),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [59] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(59),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19550),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(281),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [60] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(60),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19541),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(283),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [61] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(61),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19604),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(285),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [62] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(62),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19516),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(287),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [63] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(63),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20324),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(289),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [64] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(64),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21453),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(291),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [65] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(65),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19631),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(293),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [66] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(66),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22343),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(295),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [67] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(67),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19476),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(297),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [68] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(68),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19456),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(299),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [69] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(69),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21837),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(301),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [70] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(70),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20165),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(303),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [71] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(71),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19452),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(305),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [72] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(72),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19495),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(307),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [73] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(73),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19610),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(309),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [74] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(74),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19911),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(311),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [75] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(75),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19440),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(313),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [76] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(76),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19398),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(315),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [77] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(77),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19379),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(317),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [78] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(78),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19356),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(319),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [79] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(79),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(20457),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(321),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [80] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(80),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19343),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(323),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [81] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(81),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19305),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(325),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [82] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(82),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19311),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(327),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [83] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(83),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19314),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(329),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [84] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(84),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19319),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(331),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [85] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(85),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22243),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(333),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [86] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(86),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22057),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(335),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [87] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(87),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19331),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(337),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [88] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(88),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19350),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(339),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [89] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(89),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19644),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(341),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [90] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(90),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(21761),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(343),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [91] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(91),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22324),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(345),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [92] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(92),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19393),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(347),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [93] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(93),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(22117),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(349),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [94] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(94),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19432),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(351),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [95] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(95),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19811),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(353),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [96] = {
    [sym__structure] = STATE(21839),
    [sym_expression_item] = STATE(9591),
    [sym_toplevel_directive] = STATE(9591),
    [sym__structure_item] = STATE(9591),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(96),
    [sym_floating_attribute] = STATE(13253),
    [sym_attribute_payload] = STATE(19679),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(109),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_QMARK] = ACTIONS(105),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(355),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_COLON2] = ACTIONS(115),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [97] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(97),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__attribute] = STATE(1262),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [98] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(98),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__attribute] = STATE(1142),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [99] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(99),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__attribute] = STATE(677),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [100] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(100),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__attribute] = STATE(1474),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [101] = {
    [sym__structure] = STATE(22284),
    [sym_expression_item] = STATE(9616),
    [sym_toplevel_directive] = STATE(9616),
    [sym__structure_item] = STATE(9616),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(101),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(117),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_end] = ACTIONS(595),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [102] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(102),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__attribute] = STATE(1542),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [103] = {
    [sym__structure] = STATE(21648),
    [sym_expression_item] = STATE(9616),
    [sym_toplevel_directive] = STATE(9616),
    [sym__structure_item] = STATE(9616),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(103),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(117),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_end] = ACTIONS(693),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [104] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(104),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__attribute] = STATE(1473),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [105] = {
    [sym__structure] = STATE(22127),
    [sym_expression_item] = STATE(9563),
    [sym_toplevel_directive] = STATE(9563),
    [sym__structure_item] = STATE(9563),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(105),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(114),
    [ts_builtin_sym_end] = ACTIONS(747),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [106] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(106),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__attribute] = STATE(1352),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(783),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(785),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [107] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(107),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__attribute] = STATE(1292),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(837),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [108] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(108),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__attribute] = STATE(1050),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [109] = {
    [sym_expression_item] = STATE(9560),
    [sym_toplevel_directive] = STATE(9560),
    [sym__structure_item] = STATE(9560),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(109),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(905),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [110] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(110),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__attribute] = STATE(1471),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(943),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [111] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(111),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(959),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [112] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(112),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(5966),
    [ts_builtin_sym_end] = ACTIONS(961),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [113] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(113),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(5966),
    [ts_builtin_sym_end] = ACTIONS(959),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [114] = {
    [sym_expression_item] = STATE(9571),
    [sym_toplevel_directive] = STATE(9571),
    [sym__structure_item] = STATE(9571),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(114),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(5966),
    [ts_builtin_sym_end] = ACTIONS(905),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [115] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(115),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(961),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [116] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(116),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(6026),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_end] = ACTIONS(963),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [117] = {
    [sym_expression_item] = STATE(9575),
    [sym_toplevel_directive] = STATE(9575),
    [sym__structure_item] = STATE(9575),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(117),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(6026),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_end] = ACTIONS(965),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [118] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(118),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(5966),
    [ts_builtin_sym_end] = ACTIONS(967),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [119] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(119),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(6026),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_end] = ACTIONS(969),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [120] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(120),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(6026),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(575),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_end] = ACTIONS(971),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [121] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(121),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__attribute] = STATE(1470),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [122] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(122),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__attribute] = STATE(1475),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [123] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(123),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(967),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [124] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(124),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__attribute] = STATE(1681),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [125] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13962),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(125),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5318),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(91),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [126] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(126),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__attribute] = STATE(1001),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [127] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(127),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__attribute] = STATE(1498),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [128] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13754),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(128),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_directive] = STATE(9035),
    [sym_tag] = STATE(5193),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(577),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(581),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(589),
    [anon_sym_module] = ACTIONS(591),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(593),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(631),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(637),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [129] = {
    [sym_expression_item] = STATE(13245),
    [sym_toplevel_directive] = STATE(13245),
    [sym__structure_item] = STATE(13245),
    [sym_value_definition] = STATE(13744),
    [sym_external] = STATE(13253),
    [sym_type_definition] = STATE(13253),
    [sym_exception_definition] = STATE(13253),
    [sym_module_definition] = STATE(13253),
    [sym_module_type_definition] = STATE(13253),
    [sym_open_module] = STATE(13253),
    [sym_include_module] = STATE(13253),
    [sym_class_definition] = STATE(13253),
    [sym_class_type_definition] = STATE(13253),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(12399),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(129),
    [sym_floating_attribute] = STATE(13253),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym_item_extension] = STATE(13253),
    [sym_quoted_item_extension] = STATE(13253),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_directive] = STATE(8768),
    [sym_tag] = STATE(5409),
    [aux_sym__structure_repeat1] = STATE(5966),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(13),
    [anon_sym_let] = ACTIONS(103),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(21),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(29),
    [anon_sym_module] = ACTIONS(31),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(119),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(159),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(165),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [130] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(130),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__attribute] = STATE(1546),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [131] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(131),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__attribute] = STATE(1545),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [132] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(132),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__attribute] = STATE(1019),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(363),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [133] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(133),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__attribute] = STATE(769),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [134] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(134),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__attribute] = STATE(1242),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [135] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(135),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__attribute] = STATE(1379),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [136] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(136),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__attribute] = STATE(873),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [137] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(137),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__attribute] = STATE(1528),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [138] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(138),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__attribute] = STATE(1178),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [139] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(139),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__attribute] = STATE(1392),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [140] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(140),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__attribute] = STATE(928),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_DASH_GT] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(359),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [141] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(141),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__attribute] = STATE(1709),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [142] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11855),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(142),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__attribute] = STATE(1209),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [143] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(143),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__attribute] = STATE(1325),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [144] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(144),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__attribute] = STATE(1577),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [145] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(145),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__attribute] = STATE(1650),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [146] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(146),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__attribute] = STATE(964),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [147] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11855),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(147),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__attribute] = STATE(1635),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [148] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(148),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__attribute] = STATE(1008),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [149] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(149),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__attribute] = STATE(1307),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(943),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [150] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11855),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(150),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__attribute] = STATE(863),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [151] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(151),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__attribute] = STATE(1480),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [152] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20708),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(152),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19559),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1775),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1795),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1797),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [153] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16413),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(153),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19436),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1799),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [154] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16446),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(154),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20647),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1815),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1823),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1825),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1827),
    [sym_let_and_operator] = ACTIONS(1825),
    [sym_match_operator] = ACTIONS(1829),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [155] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21085),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(155),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21934),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1831),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1835),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1839),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1841),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1843),
    [sym_let_and_operator] = ACTIONS(1841),
    [sym_match_operator] = ACTIONS(1845),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [156] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16190),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(156),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22131),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1847),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1855),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1857),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1859),
    [sym_let_and_operator] = ACTIONS(1857),
    [sym_match_operator] = ACTIONS(1861),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [157] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16404),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(157),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21669),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1863),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1867),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1871),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1873),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1875),
    [sym_let_and_operator] = ACTIONS(1873),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [158] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22326),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(158),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20797),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1879),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1881),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1883),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1887),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1889),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1891),
    [sym_let_and_operator] = ACTIONS(1889),
    [sym_match_operator] = ACTIONS(1893),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [159] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(159),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__attribute] = STATE(876),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [160] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(160),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__attribute] = STATE(758),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [161] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22046),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(161),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21597),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(1999),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [162] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16516),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(162),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20797),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2015),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1881),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1883),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1885),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1887),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1889),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1891),
    [sym_let_and_operator] = ACTIONS(1889),
    [sym_match_operator] = ACTIONS(1893),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [163] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16113),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(163),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19729),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2017),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2025),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2027),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2029),
    [sym_let_and_operator] = ACTIONS(2027),
    [sym_match_operator] = ACTIONS(2031),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [164] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22496),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(164),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20996),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2033),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2035),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2041),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2043),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2045),
    [sym_let_and_operator] = ACTIONS(2043),
    [sym_match_operator] = ACTIONS(2047),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [165] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16299),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(165),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19728),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2049),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2051),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2057),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2059),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2061),
    [sym_let_and_operator] = ACTIONS(2059),
    [sym_match_operator] = ACTIONS(2063),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [166] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16223),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(166),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19365),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2065),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2069),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2071),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2073),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2075),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2077),
    [sym_let_and_operator] = ACTIONS(2075),
    [sym_match_operator] = ACTIONS(2079),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [167] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20566),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(167),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19533),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2081),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2083),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2087),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2091),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2093),
    [sym_let_and_operator] = ACTIONS(2091),
    [sym_match_operator] = ACTIONS(2095),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [168] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19555),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(168),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19729),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2097),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2019),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2021),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2023),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2025),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2027),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2029),
    [sym_let_and_operator] = ACTIONS(2027),
    [sym_match_operator] = ACTIONS(2031),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [169] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15987),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(169),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21245),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2103),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2107),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2111),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2113),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [170] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16353),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(170),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20517),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2115),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2123),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2125),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2127),
    [sym_let_and_operator] = ACTIONS(2125),
    [sym_match_operator] = ACTIONS(2129),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [171] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16545),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(171),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19472),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2131),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2139),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2141),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2143),
    [sym_let_and_operator] = ACTIONS(2141),
    [sym_match_operator] = ACTIONS(2145),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [172] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16072),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(172),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21807),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2147),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2155),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2157),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2159),
    [sym_let_and_operator] = ACTIONS(2157),
    [sym_match_operator] = ACTIONS(2161),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [173] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20009),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(173),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19405),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2163),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2171),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2173),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2175),
    [sym_let_and_operator] = ACTIONS(2173),
    [sym_match_operator] = ACTIONS(2177),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [174] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15881),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(174),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19718),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2179),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2183),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2187),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2189),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2191),
    [sym_let_and_operator] = ACTIONS(2189),
    [sym_match_operator] = ACTIONS(2193),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [175] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20434),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(175),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19504),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2195),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [176] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16398),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(176),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19409),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2211),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2217),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2219),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2221),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2223),
    [sym_let_and_operator] = ACTIONS(2221),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [177] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20075),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(177),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22092),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2227),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2235),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2237),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2239),
    [sym_let_and_operator] = ACTIONS(2237),
    [sym_match_operator] = ACTIONS(2241),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [178] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21234),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(178),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21669),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2243),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1865),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1867),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1871),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1873),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1875),
    [sym_let_and_operator] = ACTIONS(1873),
    [sym_match_operator] = ACTIONS(1877),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [179] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19988),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(179),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21055),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2245),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2253),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2255),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2257),
    [sym_let_and_operator] = ACTIONS(2255),
    [sym_match_operator] = ACTIONS(2259),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [180] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16553),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(180),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20880),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2261),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2267),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2269),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2271),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2273),
    [sym_let_and_operator] = ACTIONS(2271),
    [sym_match_operator] = ACTIONS(2275),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [181] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20929),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(181),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20608),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2277),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2281),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2283),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2287),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2289),
    [sym_let_and_operator] = ACTIONS(2287),
    [sym_match_operator] = ACTIONS(2291),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [182] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21375),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(182),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21245),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2103),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2107),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2111),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2113),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [183] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16529),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(183),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21597),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2295),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2001),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2003),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2005),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2007),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2009),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2011),
    [sym_let_and_operator] = ACTIONS(2009),
    [sym_match_operator] = ACTIONS(2013),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [184] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20680),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(184),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22043),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2297),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2301),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2305),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2307),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2309),
    [sym_let_and_operator] = ACTIONS(2307),
    [sym_match_operator] = ACTIONS(2311),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [185] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22087),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(185),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20517),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2313),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2117),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2119),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2121),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2123),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2125),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2127),
    [sym_let_and_operator] = ACTIONS(2125),
    [sym_match_operator] = ACTIONS(2129),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [186] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16303),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(186),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22092),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2315),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2229),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2231),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2233),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2235),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2237),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2239),
    [sym_let_and_operator] = ACTIONS(2237),
    [sym_match_operator] = ACTIONS(2241),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [187] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16092),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(187),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22315),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2317),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2325),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2327),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2329),
    [sym_let_and_operator] = ACTIONS(2327),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [188] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20460),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(188),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21569),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2333),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2341),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2343),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2345),
    [sym_let_and_operator] = ACTIONS(2343),
    [sym_match_operator] = ACTIONS(2347),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [189] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21313),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(189),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21807),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2349),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2149),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2151),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2153),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2155),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2157),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2159),
    [sym_let_and_operator] = ACTIONS(2157),
    [sym_match_operator] = ACTIONS(2161),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [190] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16274),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(190),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20366),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2351),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2359),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2361),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2363),
    [sym_let_and_operator] = ACTIONS(2361),
    [sym_match_operator] = ACTIONS(2365),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [191] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16302),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(191),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19405),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2367),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2165),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2167),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2169),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2171),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2173),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2175),
    [sym_let_and_operator] = ACTIONS(2173),
    [sym_match_operator] = ACTIONS(2177),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [192] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16586),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(192),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20996),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2369),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2035),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2037),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2041),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2043),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2045),
    [sym_let_and_operator] = ACTIONS(2043),
    [sym_match_operator] = ACTIONS(2047),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [193] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16077),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(193),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21569),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2371),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2335),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2337),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2339),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2341),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2343),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2345),
    [sym_let_and_operator] = ACTIONS(2343),
    [sym_match_operator] = ACTIONS(2347),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [194] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16431),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(194),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19533),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2373),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2083),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2085),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2087),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2089),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2091),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2093),
    [sym_let_and_operator] = ACTIONS(2091),
    [sym_match_operator] = ACTIONS(2095),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [195] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20157),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(195),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19436),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2375),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1801),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1803),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1805),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1807),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1809),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1811),
    [sym_let_and_operator] = ACTIONS(1809),
    [sym_match_operator] = ACTIONS(1813),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [196] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21871),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(196),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19977),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2377),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2385),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2387),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2389),
    [sym_let_and_operator] = ACTIONS(2387),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [197] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21353),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(197),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19718),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2181),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2183),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2187),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2189),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2191),
    [sym_let_and_operator] = ACTIONS(2189),
    [sym_match_operator] = ACTIONS(2193),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [198] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22518),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(198),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20880),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2395),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2263),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2265),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2267),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2269),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2271),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2273),
    [sym_let_and_operator] = ACTIONS(2271),
    [sym_match_operator] = ACTIONS(2275),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [199] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(199),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__attribute] = STATE(1664),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [200] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21979),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(200),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20366),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2353),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2355),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2357),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2359),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2361),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2363),
    [sym_let_and_operator] = ACTIONS(2361),
    [sym_match_operator] = ACTIONS(2365),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [201] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16204),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(201),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20248),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2399),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2409),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2411),
    [sym_let_and_operator] = ACTIONS(2409),
    [sym_match_operator] = ACTIONS(2413),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [202] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(202),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__attribute] = STATE(1061),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [203] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21315),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(203),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19728),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2467),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2051),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2053),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2055),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2057),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2059),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2061),
    [sym_let_and_operator] = ACTIONS(2059),
    [sym_match_operator] = ACTIONS(2063),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [204] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16573),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(204),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22043),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2469),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2299),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2301),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2305),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2307),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2309),
    [sym_let_and_operator] = ACTIONS(2307),
    [sym_match_operator] = ACTIONS(2311),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [205] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19884),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(205),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19365),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2471),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2067),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2069),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2071),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2073),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2075),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2077),
    [sym_let_and_operator] = ACTIONS(2075),
    [sym_match_operator] = ACTIONS(2079),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [206] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22502),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(206),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21198),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2483),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2485),
    [sym_let_and_operator] = ACTIONS(2483),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [207] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21851),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(207),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20248),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2403),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2407),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2409),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2411),
    [sym_let_and_operator] = ACTIONS(2409),
    [sym_match_operator] = ACTIONS(2413),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [208] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(208),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__attribute] = STATE(1381),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [209] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16001),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(209),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20227),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2491),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2499),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2501),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2503),
    [sym_let_and_operator] = ACTIONS(2501),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [210] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16104),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(210),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20098),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2507),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2515),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2517),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2517),
    [sym_match_operator] = ACTIONS(2521),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [211] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19954),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(211),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19409),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2523),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2213),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2215),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2217),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2219),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2221),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2223),
    [sym_let_and_operator] = ACTIONS(2221),
    [sym_match_operator] = ACTIONS(2225),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [212] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16336),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(212),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19559),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1777),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1779),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1781),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1785),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1787),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1795),
    [sym_let_and_operator] = ACTIONS(1787),
    [sym_match_operator] = ACTIONS(1797),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [213] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20859),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(213),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19592),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2527),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2531),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2535),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2537),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2539),
    [sym_let_and_operator] = ACTIONS(2537),
    [sym_match_operator] = ACTIONS(2541),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [214] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19619),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(214),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22315),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2543),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2319),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2321),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2323),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2325),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2327),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2329),
    [sym_let_and_operator] = ACTIONS(2327),
    [sym_match_operator] = ACTIONS(2331),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [215] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16480),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(215),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21198),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2475),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2477),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2479),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2481),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2483),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2485),
    [sym_let_and_operator] = ACTIONS(2483),
    [sym_match_operator] = ACTIONS(2487),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [216] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22256),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(216),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21312),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2547),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2551),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2555),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2557),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2559),
    [sym_let_and_operator] = ACTIONS(2557),
    [sym_match_operator] = ACTIONS(2561),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [217] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15936),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(217),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21055),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2563),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2247),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2249),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2251),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2253),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2255),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2257),
    [sym_let_and_operator] = ACTIONS(2255),
    [sym_match_operator] = ACTIONS(2259),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [218] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16526),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(218),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19504),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2197),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2199),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2201),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2203),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2205),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2207),
    [sym_let_and_operator] = ACTIONS(2205),
    [sym_match_operator] = ACTIONS(2209),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [219] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21731),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(219),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20098),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2567),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2511),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2513),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2515),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2517),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2519),
    [sym_let_and_operator] = ACTIONS(2517),
    [sym_match_operator] = ACTIONS(2521),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [220] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15879),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(220),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21680),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2577),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2579),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2581),
    [sym_let_and_operator] = ACTIONS(2579),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [221] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16240),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(221),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19592),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2531),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2533),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2535),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2537),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2539),
    [sym_let_and_operator] = ACTIONS(2537),
    [sym_match_operator] = ACTIONS(2541),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [222] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21116),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(222),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20227),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2587),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2495),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2497),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2499),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2501),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2503),
    [sym_let_and_operator] = ACTIONS(2501),
    [sym_match_operator] = ACTIONS(2505),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [223] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16266),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(223),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21911),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2597),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2599),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2601),
    [sym_let_and_operator] = ACTIONS(2599),
    [sym_match_operator] = ACTIONS(2603),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [224] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11855),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(224),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__attribute] = STATE(834),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [225] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21041),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(225),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19625),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2657),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2661),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2667),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2667),
    [sym_match_operator] = ACTIONS(2671),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [226] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15920),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(226),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20199),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2673),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2683),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2685),
    [sym_let_and_operator] = ACTIONS(2683),
    [sym_match_operator] = ACTIONS(2687),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [227] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11855),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(227),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__attribute] = STATE(1444),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [228] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21375),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(228),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22183),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2293),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2103),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2745),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2747),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2749),
    [sym_let_and_operator] = ACTIONS(2747),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [229] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16035),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(229),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19953),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2753),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2763),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2765),
    [sym_let_and_operator] = ACTIONS(2763),
    [sym_match_operator] = ACTIONS(2767),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [230] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20884),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(230),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21911),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2769),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2591),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2595),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2597),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2599),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2601),
    [sym_let_and_operator] = ACTIONS(2599),
    [sym_match_operator] = ACTIONS(2603),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [231] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16281),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(231),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21934),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2771),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1833),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1835),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1837),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1839),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1841),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1843),
    [sym_let_and_operator] = ACTIONS(1841),
    [sym_match_operator] = ACTIONS(1845),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [232] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21550),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(232),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21680),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2773),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2571),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2575),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2577),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2579),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2581),
    [sym_let_and_operator] = ACTIONS(2579),
    [sym_match_operator] = ACTIONS(2583),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [233] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(233),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__attribute] = STATE(1205),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [234] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16333),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(234),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21312),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2827),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2551),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2553),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2555),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2557),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2559),
    [sym_let_and_operator] = ACTIONS(2557),
    [sym_match_operator] = ACTIONS(2561),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [235] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20478),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(235),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19735),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2829),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2833),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2839),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2841),
    [sym_let_and_operator] = ACTIONS(2839),
    [sym_match_operator] = ACTIONS(2843),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [236] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16335),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(236),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19977),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2845),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2379),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2385),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2387),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2389),
    [sym_let_and_operator] = ACTIONS(2387),
    [sym_match_operator] = ACTIONS(2391),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [237] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16144),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(237),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19625),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2847),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2661),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2663),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2665),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2667),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2669),
    [sym_let_and_operator] = ACTIONS(2667),
    [sym_match_operator] = ACTIONS(2671),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [238] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22033),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(238),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21428),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2849),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2853),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2857),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2859),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2861),
    [sym_let_and_operator] = ACTIONS(2859),
    [sym_match_operator] = ACTIONS(2863),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [239] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21130),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(239),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19658),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2865),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2869),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2873),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2875),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2877),
    [sym_let_and_operator] = ACTIONS(2875),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [240] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22218),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(240),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20647),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2881),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1817),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1819),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1823),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1825),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1827),
    [sym_let_and_operator] = ACTIONS(1825),
    [sym_match_operator] = ACTIONS(1829),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [241] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19390),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(241),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20199),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2883),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2677),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2681),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2683),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2685),
    [sym_let_and_operator] = ACTIONS(2683),
    [sym_match_operator] = ACTIONS(2687),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [242] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15987),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(242),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22183),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2885),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2741),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2103),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2743),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2745),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2747),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2749),
    [sym_let_and_operator] = ACTIONS(2747),
    [sym_match_operator] = ACTIONS(2751),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [243] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16198),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(243),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(20608),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2887),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2279),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2281),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2283),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2285),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2287),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2289),
    [sym_let_and_operator] = ACTIONS(2287),
    [sym_match_operator] = ACTIONS(2291),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [244] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16501),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(244),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21424),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2889),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2893),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2897),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2899),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2901),
    [sym_let_and_operator] = ACTIONS(2899),
    [sym_match_operator] = ACTIONS(2903),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [245] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15952),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(245),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19688),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2905),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2909),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2913),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2915),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2917),
    [sym_let_and_operator] = ACTIONS(2915),
    [sym_match_operator] = ACTIONS(2919),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [246] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20218),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(246),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22169),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2921),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2925),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2931),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2933),
    [sym_let_and_operator] = ACTIONS(2931),
    [sym_match_operator] = ACTIONS(2935),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [247] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20530),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(247),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22131),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2937),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(1849),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(1851),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(1853),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1855),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(1857),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(1859),
    [sym_let_and_operator] = ACTIONS(1857),
    [sym_match_operator] = ACTIONS(1861),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [248] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16200),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(248),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21428),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2939),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2851),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2853),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2855),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2857),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2859),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2861),
    [sym_let_and_operator] = ACTIONS(2859),
    [sym_match_operator] = ACTIONS(2863),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [249] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19771),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(249),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22534),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2941),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2949),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2951),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2953),
    [sym_let_and_operator] = ACTIONS(2951),
    [sym_match_operator] = ACTIONS(2955),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [250] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21620),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(250),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19953),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2957),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2755),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2757),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2759),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2761),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2763),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2765),
    [sym_let_and_operator] = ACTIONS(2763),
    [sym_match_operator] = ACTIONS(2767),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [251] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16048),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(251),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19658),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2959),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2867),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2869),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2873),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2875),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2877),
    [sym_let_and_operator] = ACTIONS(2875),
    [sym_match_operator] = ACTIONS(2879),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [252] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21230),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(252),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19688),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2961),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2907),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2909),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2911),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2913),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2915),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2917),
    [sym_let_and_operator] = ACTIONS(2915),
    [sym_match_operator] = ACTIONS(2919),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [253] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21782),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(253),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21424),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2963),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2891),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2893),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2895),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2897),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2899),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2901),
    [sym_let_and_operator] = ACTIONS(2899),
    [sym_match_operator] = ACTIONS(2903),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [254] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16034),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(254),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21561),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2965),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2973),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2975),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2977),
    [sym_let_and_operator] = ACTIONS(2975),
    [sym_match_operator] = ACTIONS(2979),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [255] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(255),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__attribute] = STATE(850),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_RBRACK] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [256] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16237),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(256),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22169),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2995),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2923),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2925),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2927),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2929),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2931),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2933),
    [sym_let_and_operator] = ACTIONS(2931),
    [sym_match_operator] = ACTIONS(2935),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [257] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15949),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(257),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19776),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(2997),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(3005),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(3007),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(3009),
    [sym_let_and_operator] = ACTIONS(3007),
    [sym_match_operator] = ACTIONS(3011),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [258] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(15905),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(258),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(22534),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3013),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2943),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2945),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2947),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2949),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2951),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2953),
    [sym_let_and_operator] = ACTIONS(2951),
    [sym_match_operator] = ACTIONS(2955),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [259] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20293),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(259),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19472),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3015),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2133),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2135),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2137),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2139),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2141),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2143),
    [sym_let_and_operator] = ACTIONS(2141),
    [sym_match_operator] = ACTIONS(2145),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [260] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(260),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__attribute] = STATE(929),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [ts_builtin_sym_end] = ACTIONS(359),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_SEMI_SEMI] = ACTIONS(359),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(363),
    [anon_sym_type] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_exception] = ACTIONS(363),
    [anon_sym_module] = ACTIONS(363),
    [anon_sym_open] = ACTIONS(363),
    [anon_sym_include] = ACTIONS(363),
    [anon_sym_class] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(359),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [261] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21482),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(261),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19776),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3017),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2999),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(3001),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(3003),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(3005),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(3007),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(3009),
    [sym_let_and_operator] = ACTIONS(3007),
    [sym_match_operator] = ACTIONS(3011),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [262] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(16391),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(262),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(19735),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3019),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2831),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2833),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2837),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2839),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2841),
    [sym_let_and_operator] = ACTIONS(2839),
    [sym_match_operator] = ACTIONS(2843),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [263] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21772),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(263),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__infix_operator] = STATE(21561),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3021),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(2967),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_module] = ACTIONS(2969),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_COLON_COLON] = ACTIONS(2971),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(1783),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(2973),
    [aux_sym_sign_operator_token1] = ACTIONS(1783),
    [sym_hash_operator] = ACTIONS(2975),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2977),
    [sym_let_and_operator] = ACTIONS(2975),
    [sym_match_operator] = ACTIONS(2979),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [264] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(264),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1241),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [265] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(265),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__attribute] = STATE(1196),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(359),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [266] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(266),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__attribute] = STATE(1659),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [267] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(267),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__attribute] = STATE(1500),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [268] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11855),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(268),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__attribute] = STATE(1520),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [269] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(269),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1198),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [270] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(270),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(1228),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [271] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(271),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__attribute] = STATE(766),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [272] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9296),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(272),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1238),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_PIPE] = ACTIONS(363),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [273] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(273),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__attribute] = STATE(1076),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_else] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [274] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(274),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(836),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [275] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(275),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(696),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [276] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(276),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(817),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [277] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(277),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(637),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_COLON_COLON] = ACTIONS(359),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(399),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(81),
    [sym_pow_operator] = ACTIONS(363),
    [sym_mult_operator] = ACTIONS(363),
    [aux_sym_add_operator_token1] = ACTIONS(363),
    [sym_concat_operator] = ACTIONS(359),
    [sym_rel_operator] = ACTIONS(363),
    [sym_and_operator] = ACTIONS(363),
    [sym_or_operator] = ACTIONS(363),
    [sym_assign_operator] = ACTIONS(359),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [278] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(278),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__attribute] = STATE(1496),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_constraint] = ACTIONS(363),
    [anon_sym_val] = ACTIONS(363),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_inherit] = ACTIONS(363),
    [anon_sym_method] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_initializer] = ACTIONS(363),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(363),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(359),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [279] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(279),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__attribute] = STATE(1591),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_COLON_GT] = ACTIONS(359),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(359),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(363),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(359),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [280] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(10047),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(280),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__attribute] = STATE(1245),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_and] = ACTIONS(363),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(363),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(359),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_let_and_operator] = ACTIONS(359),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [281] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(281),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__attribute] = STATE(890),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_to] = ACTIONS(363),
    [anon_sym_downto] = ACTIONS(363),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [282] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20019),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(282),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1056),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3409),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [283] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20964),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(283),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(727),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3411),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [284] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21697),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(284),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(987),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3413),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [285] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20986),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(285),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1112),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3415),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [286] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(286),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(843),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [287] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21948),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(287),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(974),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3417),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [288] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21715),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(288),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1194),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3419),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [289] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21897),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(289),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1535),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3421),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [290] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22095),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(290),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(959),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3423),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [291] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20672),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(291),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1372),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3425),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [292] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21445),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(292),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1003),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3427),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [293] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20229),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(293),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(663),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3429),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [294] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22286),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(294),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(941),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3431),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [295] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20077),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(295),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(652),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3433),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [296] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20188),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(296),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1339),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3435),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [297] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21407),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(297),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(776),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3437),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [298] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22530),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(298),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(923),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3439),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [299] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22423),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(299),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1171),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3441),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [300] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21292),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(300),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(764),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3443),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [301] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(301),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1689),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_with] = ACTIONS(363),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [302] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21181),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(302),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1016),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3445),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [303] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21132),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(303),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1220),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3447),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [304] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20495),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(304),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(690),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3449),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [305] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19935),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(305),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(640),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3451),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [306] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14104),
    [sym__sequence_expression] = STATE(20823),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(20427),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(306),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__attribute] = STATE(1385),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(359),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [307] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22415),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(307),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(902),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3453),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [308] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20657),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(308),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1096),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3455),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [309] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19447),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(309),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1069),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3457),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [310] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(310),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(889),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_then] = ACTIONS(363),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [311] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21537),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(311),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(788),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3459),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [312] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22261),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(312),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(882),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3461),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [313] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(6275),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(313),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(1211),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_do] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [314] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20354),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(314),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(675),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3463),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [315] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20806),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(315),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1237),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3465),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [316] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21527),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(316),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1131),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3467),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [317] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20966),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(317),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1029),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3469),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [318] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21549),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(318),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1441),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3471),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [319] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19782),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(319),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1272),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3473),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [320] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22441),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(320),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1594),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3475),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [321] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22151),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(321),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(866),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3477),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [322] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20622),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(322),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(703),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3479),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [323] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19708),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(323),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1312),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3481),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [324] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14118),
    [sym__sequence_expression] = STATE(8403),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(324),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__attribute] = STATE(1186),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(363),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [325] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21133),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(325),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(751),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3483),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [326] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20331),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(326),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1083),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3485),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [327] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22025),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(327),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(846),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3487),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [328] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20237),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(328),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1255),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3489),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [329] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21549),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(329),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1441),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3491),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [330] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21665),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(330),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(800),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3493),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [331] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21791),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(331),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(813),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3495),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [332] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20479),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(332),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1042),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3497),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [333] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22059),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(333),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1150),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3499),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [334] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19387),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(334),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1291),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3501),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [335] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20774),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(335),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(715),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3503),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [336] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21918),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(336),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(829),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3505),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [337] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21081),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(337),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(739),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3507),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [338] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21226),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(338),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__attribute] = STATE(1410),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_end] = ACTIONS(3509),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [339] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20372),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(339),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1621),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [340] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(340),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [341] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(341),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [342] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(342),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [343] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(343),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [344] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(344),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [345] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(345),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [346] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11690),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(346),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [347] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19807),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(347),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1389),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [348] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19806),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(348),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1388),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [349] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(349),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [350] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20093),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(350),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1532),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [351] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18499),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(351),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1375),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [352] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20094),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(352),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1533),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [353] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19765),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(353),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1384),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [354] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19764),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(354),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1380),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [355] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(355),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [356] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(356),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [357] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19971),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(357),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1478),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [358] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19710),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(358),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1376),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [359] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19709),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(359),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1374),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [360] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11618),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11618),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(360),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [361] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20134),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(361),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1541),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [362] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20135),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(362),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1544),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [363] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(363),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [364] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18783),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(364),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1342),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [365] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19655),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(365),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1371),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [366] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(366),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [367] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19654),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(367),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1366),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [368] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(368),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [369] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11618),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11618),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(369),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [370] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(370),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [371] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18946),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(371),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1314),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [372] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19600),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(372),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1321),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [373] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(373),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [374] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19599),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(374),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1320),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [375] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20175),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(375),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1567),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [376] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20176),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(376),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1582),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [377] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19970),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(377),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1345),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [378] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(378),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [379] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20488),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(379),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1633),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [380] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19545),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(380),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1302),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [381] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19544),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(381),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1300),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [382] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19192),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(382),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1257),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [383] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19108),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(383),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1293),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [384] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11618),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11618),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(384),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [385] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19263),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(385),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1199),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [386] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19489),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(386),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1296),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [387] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19486),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(387),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1295),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [388] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19227),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(388),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(926),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [389] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20215),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(389),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1592),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [390] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(390),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(767),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [391] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20216),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(391),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1595),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [392] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(392),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [393] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19426),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(393),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1273),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [394] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19423),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(394),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1265),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [395] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19254),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(395),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(920),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [396] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19084),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(396),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1174),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [397] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19846),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(397),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(803),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [398] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18936),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(398),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1152),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [399] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11618),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11618),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(399),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [400] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(400),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [401] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19363),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(401),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1260),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [402] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19360),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(402),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1256),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [403] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19282),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(403),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(918),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [404] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(404),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [405] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11618),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11618),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(405),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [406] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(406),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [407] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18754),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(407),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1134),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [408] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20255),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(408),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1604),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [409] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19307),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(409),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1230),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [410] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19304),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(410),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1227),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [411] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19295),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(411),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(906),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [412] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(13674),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_refutation_case] = STATE(13674),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(412),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [413] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18383),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(413),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1413),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [414] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19847),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(414),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1417),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [415] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20256),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(415),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1605),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [416] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(416),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [417] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(417),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [418] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19470),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(418),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1223),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [419] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19478),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(419),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1221),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [420] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19231),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(420),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(691),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [421] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19848),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(421),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1418),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [422] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(422),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [423] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18167),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(423),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(1597),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [424] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18165),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(424),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1598),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [425] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(425),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [426] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(13851),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_refutation_case] = STATE(13851),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(426),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [427] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19700),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(427),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1210),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [428] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19706),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(428),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1208),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [429] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19143),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(429),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(814),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [430] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18523),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(430),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1115),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [431] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(431),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [432] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(432),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [433] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(433),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [434] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(434),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [435] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19952),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(435),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1203),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [436] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19974),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(436),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(635),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [437] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19047),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(437),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(831),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [438] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(438),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [439] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(439),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [440] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18355),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(440),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1098),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [441] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(441),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [442] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(442),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [443] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20192),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(443),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1192),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [444] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20198),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(444),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(636),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [445] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18947),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(445),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(847),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [446] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(446),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [447] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20294),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(447),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1609),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [448] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20295),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(448),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1611),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [449] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20333),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(449),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1616),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [450] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18288),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(450),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1596),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [451] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(451),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [452] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20012),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(452),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1495),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [453] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18187),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(453),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1084),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [454] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20472),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(454),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1176),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [455] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20503),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(455),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1175),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [456] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18845),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(456),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(903),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [457] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11618),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11618),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(457),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [458] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20334),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(458),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1617),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [459] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20053),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(459),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1526),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [460] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18290),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(460),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(1593),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [461] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20373),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(461),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1622),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [462] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18502),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(462),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(1412),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [463] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(463),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [464] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21931),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(464),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1588),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [465] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20786),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(465),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1156),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [466] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20801),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(466),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1154),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [467] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18743),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(467),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(924),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [468] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20411),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(468),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1625),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [469] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18259),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(469),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1070),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [470] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20412),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(470),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1626),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [471] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20449),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(471),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1628),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [472] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20450),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(472),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1629),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [473] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20980),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(473),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1140),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [474] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20987),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(474),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1138),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [475] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18637),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(475),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(942),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [476] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20487),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(476),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1632),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [477] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21916),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(477),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1561),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [478] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20525),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(478),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1636),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [479] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20526),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(479),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1637),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [480] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11690),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(480),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [481] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20563),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(481),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1639),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [482] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20052),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(482),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1522),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [483] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(483),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [484] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18390),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(484),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1057),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [485] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20564),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(485),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1640),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [486] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20011),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(486),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1493),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [487] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(487),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [488] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19888),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(488),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1453),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [489] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(489),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [490] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21195),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(490),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1120),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [491] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21122),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(491),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [492] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18519),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(492),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(960),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [493] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18627),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(493),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1043),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [494] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20601),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(494),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1642),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [495] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11690),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(495),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [496] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20602),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(496),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1643),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [497] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20639),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(497),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1645),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [498] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18563),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(498),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(664),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [499] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20640),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(499),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1646),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [500] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18788),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(500),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1030),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [501] = {
    [sym__simple_expression] = STATE(3454),
    [sym_typed_expression] = STATE(3440),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_labeled_argument] = STATE(4602),
    [sym_prefix_expression] = STATE(3440),
    [sym_hash_expression] = STATE(3440),
    [sym_field_get_expression] = STATE(3440),
    [sym_array_get_expression] = STATE(3440),
    [sym_string_get_expression] = STATE(3440),
    [sym_bigarray_get_expression] = STATE(3440),
    [sym_coercion_expression] = STATE(3440),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(501),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [aux_sym_class_application_repeat1] = STATE(1949),
    [sym__lowercase_identifier] = ACTIONS(3571),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3577),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_DOT] = ACTIONS(3579),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(3581),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3583),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [502] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19930),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(502),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1461),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [503] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20828),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(503),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1701),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [504] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(504),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [505] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(505),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [506] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(506),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [507] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18894),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(507),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1017),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [508] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(508),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [509] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20677),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(509),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1654),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [510] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21619),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(510),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1071),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [511] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21641),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(511),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1086),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [512] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20678),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(512),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1657),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [513] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18369),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(513),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(975),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [514] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18501),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(514),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(676),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [515] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(515),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [516] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(516),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [517] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11690),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(517),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [518] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19889),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(518),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1455),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [519] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(519),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [520] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19214),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(520),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1004),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [521] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20827),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(521),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1697),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [522] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(522),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [523] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(523),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [524] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(524),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [525] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22248),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(525),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1062),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [526] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22257),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(526),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1060),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [527] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18212),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(527),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1222),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [528] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19032),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(528),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(988),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [529] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18859),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(529),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(883),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [530] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18672),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(530),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(867),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [531] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(531),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [532] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18532),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(532),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(801),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [533] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(533),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [534] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(534),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [535] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11690),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(535),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [536] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(536),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [537] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18351),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(537),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(704),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [538] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21978),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(538),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1018),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [539] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21941),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(539),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1006),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [540] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19929),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(540),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1460),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [541] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18294),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(541),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1239),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [542] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18430),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(542),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(789),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [543] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18194),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(543),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(716),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [544] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(544),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [545] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20715),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(545),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1665),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [546] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18360),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(546),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(777),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [547] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(13674),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_refutation_case] = STATE(13674),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(547),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [548] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18609),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(548),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(765),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [549] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18605),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(549),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(752),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [550] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(13851),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_refutation_case] = STATE(13851),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(550),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_DOT] = ACTIONS(3549),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [551] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20716),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(551),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1666),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [552] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(552),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [553] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(553),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [554] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18384),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(554),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__attribute] = STATE(1445),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [555] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(555),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [556] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9345),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9345),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(556),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [557] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11690),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_refutation_case] = STATE(11690),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(557),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(3523),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [558] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18676),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(558),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1446),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [559] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18292),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(559),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(740),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [560] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21221),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(560),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(832),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [561] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21212),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(561),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(930),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [562] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18526),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(562),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(1274),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [563] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20753),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(563),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1683),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [564] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20791),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(564),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1687),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [565] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18314),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(565),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__attribute] = STATE(728),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [566] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20754),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(566),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1684),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [567] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(567),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [568] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9154),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9154),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(568),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [569] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9386),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_refutation_case] = STATE(9386),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(569),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_DOT] = ACTIONS(3511),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [570] = {
    [sym__simple_expression] = STATE(3826),
    [sym_typed_expression] = STATE(3631),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_labeled_argument] = STATE(4602),
    [sym_prefix_expression] = STATE(3631),
    [sym_hash_expression] = STATE(3631),
    [sym_field_get_expression] = STATE(3631),
    [sym_array_get_expression] = STATE(3631),
    [sym_string_get_expression] = STATE(3631),
    [sym_bigarray_get_expression] = STATE(3631),
    [sym_coercion_expression] = STATE(3631),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(570),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [aux_sym_class_application_repeat1] = STATE(1741),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__lowercase_identifier] = ACTIONS(3613),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3615),
    [anon_sym_QMARK] = ACTIONS(3615),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_DOT] = ACTIONS(3617),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(3619),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3621),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [571] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9151),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_refutation_case] = STATE(9151),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(571),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3513),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [572] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20790),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(572),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__attribute] = STATE(1686),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [573] = {
    [sym__simple_expression] = STATE(3519),
    [sym_typed_expression] = STATE(3531),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_labeled_argument] = STATE(4828),
    [sym_prefix_expression] = STATE(3531),
    [sym_hash_expression] = STATE(3531),
    [sym_field_get_expression] = STATE(3531),
    [sym_array_get_expression] = STATE(3531),
    [sym_string_get_expression] = STATE(3531),
    [sym_bigarray_get_expression] = STATE(3531),
    [sym_coercion_expression] = STATE(3531),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(573),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [aux_sym_class_application_repeat1] = STATE(1735),
    [sym__lowercase_identifier] = ACTIONS(3623),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3625),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_DOT] = ACTIONS(3627),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(3629),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3631),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [574] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(574),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3633),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [575] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(575),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3635),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [576] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(576),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3637),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [577] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(577),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3639),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [578] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(578),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3641),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [579] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(579),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3643),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [580] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(580),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3645),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [581] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(581),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3647),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [582] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(582),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3649),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [583] = {
    [sym__simple_expression] = STATE(4066),
    [sym_typed_expression] = STATE(4026),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_labeled_argument] = STATE(4965),
    [sym_prefix_expression] = STATE(4026),
    [sym_hash_expression] = STATE(4026),
    [sym_field_get_expression] = STATE(4026),
    [sym_array_get_expression] = STATE(4026),
    [sym_string_get_expression] = STATE(4026),
    [sym_bigarray_get_expression] = STATE(4026),
    [sym_coercion_expression] = STATE(4026),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(583),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [aux_sym_class_application_repeat1] = STATE(2211),
    [sym__lowercase_identifier] = ACTIONS(3651),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3653),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_DOT] = ACTIONS(3655),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_POUND] = ACTIONS(3657),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(837),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3659),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [584] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(584),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3661),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [585] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(585),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3663),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [586] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(586),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3665),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [587] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(587),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3667),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [588] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(588),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3669),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [589] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(589),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3671),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [590] = {
    [sym__simple_expression] = STATE(4012),
    [sym_typed_expression] = STATE(3949),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_labeled_argument] = STATE(5287),
    [sym_prefix_expression] = STATE(3949),
    [sym_hash_expression] = STATE(3949),
    [sym_field_get_expression] = STATE(3949),
    [sym_array_get_expression] = STATE(3949),
    [sym_string_get_expression] = STATE(3949),
    [sym_bigarray_get_expression] = STATE(3949),
    [sym_coercion_expression] = STATE(3949),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(590),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [aux_sym_class_application_repeat1] = STATE(2697),
    [sym__lowercase_identifier] = ACTIONS(3673),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3675),
    [anon_sym_QMARK] = ACTIONS(3675),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_DOT] = ACTIONS(3677),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_POUND] = ACTIONS(3679),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(783),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(785),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3681),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [591] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(591),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3683),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [592] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(592),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3685),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [593] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(593),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3687),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [594] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(594),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3689),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [595] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(595),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3691),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [596] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(596),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3693),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [597] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(597),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3695),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [598] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(598),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3697),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [599] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14118),
    [sym__sequence_expression] = STATE(22094),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(599),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3699),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [600] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14118),
    [sym__sequence_expression] = STATE(20178),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(600),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3701),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [601] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(601),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3703),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [602] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(602),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3705),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [603] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(603),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3707),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [604] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(604),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3709),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [605] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(605),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3711),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [606] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(606),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3713),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [607] = {
    [sym__simple_expression] = STATE(4337),
    [sym_typed_expression] = STATE(4325),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_labeled_argument] = STATE(5117),
    [sym_prefix_expression] = STATE(4325),
    [sym_hash_expression] = STATE(4325),
    [sym_field_get_expression] = STATE(4325),
    [sym_array_get_expression] = STATE(4325),
    [sym_string_get_expression] = STATE(4325),
    [sym_bigarray_get_expression] = STATE(4325),
    [sym_coercion_expression] = STATE(4325),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(607),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [aux_sym_class_application_repeat1] = STATE(2710),
    [sym__lowercase_identifier] = ACTIONS(3715),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3717),
    [anon_sym_QMARK] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_DOT] = ACTIONS(3719),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(3721),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3723),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [608] = {
    [sym__simple_expression] = STATE(4232),
    [sym_typed_expression] = STATE(4260),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_labeled_argument] = STATE(5018),
    [sym_prefix_expression] = STATE(4260),
    [sym_hash_expression] = STATE(4260),
    [sym_field_get_expression] = STATE(4260),
    [sym_array_get_expression] = STATE(4260),
    [sym_string_get_expression] = STATE(4260),
    [sym_bigarray_get_expression] = STATE(4260),
    [sym_coercion_expression] = STATE(4260),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(608),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [aux_sym_class_application_repeat1] = STATE(2311),
    [sym__lowercase_identifier] = ACTIONS(3725),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_DOT] = ACTIONS(3729),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(3731),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3733),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [609] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(609),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3735),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [610] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(610),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3737),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [611] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(611),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3739),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [612] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(612),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3741),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [613] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(613),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3743),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [614] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14118),
    [sym__sequence_expression] = STATE(21383),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(614),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3745),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [615] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(615),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3747),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [616] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(616),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3749),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [617] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(617),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3751),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [618] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(618),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3753),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [619] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(619),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3755),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [620] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(620),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3757),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [621] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(621),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3759),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [622] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(622),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3761),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [623] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(623),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3763),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [624] = {
    [sym__simple_expression] = STATE(4156),
    [sym_typed_expression] = STATE(4172),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_labeled_argument] = STATE(4965),
    [sym_prefix_expression] = STATE(4172),
    [sym_hash_expression] = STATE(4172),
    [sym_field_get_expression] = STATE(4172),
    [sym_array_get_expression] = STATE(4172),
    [sym_string_get_expression] = STATE(4172),
    [sym_bigarray_get_expression] = STATE(4172),
    [sym_coercion_expression] = STATE(4172),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(624),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [aux_sym_class_application_repeat1] = STATE(2155),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__lowercase_identifier] = ACTIONS(3765),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_QMARK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_DOT] = ACTIONS(3769),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_POUND] = ACTIONS(3771),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3773),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [625] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(625),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3775),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [626] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14118),
    [sym__sequence_expression] = STATE(21005),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(626),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_done] = ACTIONS(3777),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [627] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(627),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3779),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [628] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(628),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3781),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [629] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(629),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3783),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [630] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(630),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3785),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [631] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(631),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3787),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [632] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(632),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3789),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [633] = {
    [sym__simple_expression] = STATE(4250),
    [sym_typed_expression] = STATE(4406),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_labeled_argument] = STATE(5018),
    [sym_prefix_expression] = STATE(4406),
    [sym_hash_expression] = STATE(4406),
    [sym_field_get_expression] = STATE(4406),
    [sym_array_get_expression] = STATE(4406),
    [sym_string_get_expression] = STATE(4406),
    [sym_bigarray_get_expression] = STATE(4406),
    [sym_coercion_expression] = STATE(4406),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(633),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [aux_sym_class_application_repeat1] = STATE(2050),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__lowercase_identifier] = ACTIONS(3791),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3793),
    [anon_sym_QMARK] = ACTIONS(3793),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_DOT] = ACTIONS(3795),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(3797),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3799),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [634] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(634),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_RPAREN] = ACTIONS(3801),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [635] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19913),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(635),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [636] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20152),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(636),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [637] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(637),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [638] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19892),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(638),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [639] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19895),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(639),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [640] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19912),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(640),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [641] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(641),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [642] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(642),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [643] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19860),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(643),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [644] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(644),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [645] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19859),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(645),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [646] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19995),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(646),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [647] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20000),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(647),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [648] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20002),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(648),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [649] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20010),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(649),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [650] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20014),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(650),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [651] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20015),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(651),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [652] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20046),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(652),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [653] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(653),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [654] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(654),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [655] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(655),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [656] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19855),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(656),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [657] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20138),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(657),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [658] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20139),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(658),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [659] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20141),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(659),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [660] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20158),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(660),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [661] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20159),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(661),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [662] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20166),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(662),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [663] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20196),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(663),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [664] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18548),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(664),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [665] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(665),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [666] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(666),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [667] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(667),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [668] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(668),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [669] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20285),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(669),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [670] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20286),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(670),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [671] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20287),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(671),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [672] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20297),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(672),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [673] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20298),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(673),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [674] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20301),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(674),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [675] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20325),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(675),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [676] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18810),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(676),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [677] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(677),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [678] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(678),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [679] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(679),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [680] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(680),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [681] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(681),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [682] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(682),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [683] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20415),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(683),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [684] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20416),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(684),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [685] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20417),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(685),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [686] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20435),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(686),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [687] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(687),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [688] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20440),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(688),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [689] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20441),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(689),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [690] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20461),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(690),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [691] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18561),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(691),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [692] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(692),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [693] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(693),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [694] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(694),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [695] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(695),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [696] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(696),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [697] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20549),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(697),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [698] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20554),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(698),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [699] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20556),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(699),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [700] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20567),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(700),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [701] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20568),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(701),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [702] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20569),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(702),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [703] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20605),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(703),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [704] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18761),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(704),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [705] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(705),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [706] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(706),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [707] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(707),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [708] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(708),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [709] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20689),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(709),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [710] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20690),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(710),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [711] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20698),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(711),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [712] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20709),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(712),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [713] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20719),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(713),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [714] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20722),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(714),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [715] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20745),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(715),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [716] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18686),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(716),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [717] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(717),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [718] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(718),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [719] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(11399),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(719),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [720] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(720),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [721] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20832),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(721),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [722] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20833),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(722),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [723] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20834),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(723),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [724] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20860),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(724),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [725] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20864),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(725),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [726] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20865),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(726),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [727] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20914),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(727),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [728] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18587),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(728),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [729] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(729),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [730] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(730),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [731] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(731),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [732] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(732),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [733] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21030),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(733),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [734] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21032),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(734),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [735] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21033),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(735),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [736] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21042),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(736),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [737] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21044),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(737),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [738] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21045),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(738),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [739] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21062),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(739),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [740] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18536),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(740),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [741] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(741),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [742] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(742),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [743] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(743),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [744] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(744),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [745] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21121),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(745),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [746] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21124),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(746),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [747] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21125),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(747),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [748] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21053),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(748),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [749] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21134),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(749),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [750] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21137),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(750),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [751] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21155),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(751),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [752] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18485),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(752),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [753] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(753),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [754] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(754),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [755] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(755),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [756] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19865),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(756),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [757] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21217),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(757),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [758] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(758),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [759] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21218),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(759),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [760] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21219),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(760),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [761] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21233),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(761),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [762] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21238),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(762),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [763] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21241),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(763),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [764] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21266),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(764),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [765] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18578),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(765),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [766] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(766),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [767] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19932),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(767),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [768] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(768),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [769] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(769),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [770] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21341),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(770),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [771] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21342),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(771),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [772] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21347),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(772),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [773] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21354),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(773),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [774] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21356),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(774),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [775] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21357),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(775),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [776] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21335),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(776),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [777] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18443),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(777),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [778] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(778),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [779] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(779),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [780] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(780),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [781] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(781),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [782] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21471),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(782),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [783] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21473),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(783),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [784] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21476),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(784),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [785] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21484),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(785),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [786] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21488),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(786),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [787] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21492),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(787),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [788] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21504),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(788),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [789] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18408),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(789),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [790] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(790),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [791] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(791),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [792] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(792),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [793] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(793),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [794] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21602),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(794),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [795] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21604),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(795),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [796] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21607),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(796),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [797] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21621),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(797),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [798] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21622),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(798),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [799] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21624),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(799),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [800] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21639),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(800),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [801] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18368),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(801),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [802] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(802),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [803] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19946),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(803),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [804] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(804),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [805] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(805),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [806] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21717),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(806),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [807] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21718),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(807),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [808] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21719),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(808),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [809] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21732),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(809),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [810] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21733),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(810),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [811] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21737),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(811),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [812] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14522),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(812),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [813] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21765),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(813),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [814] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18329),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(814),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [815] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(815),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [816] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(816),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [817] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(817),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [818] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(818),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [819] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21836),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(819),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [820] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(820),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [821] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21838),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(821),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [822] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(822),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [823] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21840),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(823),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [824] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21853),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(824),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [825] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(825),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [826] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21854),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(826),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [827] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14531),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(827),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [828] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21855),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(828),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [829] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21877),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(829),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [830] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(830),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [831] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18305),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(831),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [832] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21274),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(832),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [833] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(833),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [834] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11613),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(834),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [835] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(835),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [836] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(836),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [837] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(837),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [838] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(838),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [839] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21967),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(839),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [840] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21972),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(840),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [841] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21973),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(841),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [842] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(842),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [843] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(843),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [844] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21982),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(844),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [845] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21986),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(845),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [846] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22003),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(846),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [847] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18275),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(847),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [848] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(848),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [849] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(849),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [850] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(850),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [851] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(851),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [852] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(852),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [853] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(853),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [854] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(854),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [855] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(855),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [856] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(856),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [857] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22077),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(857),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [858] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22079),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(858),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [859] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22080),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(859),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [860] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(860),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [861] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(861),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [862] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22089),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(862),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [863] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11613),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(863),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [864] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22093),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(864),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [865] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22029),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(865),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [866] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22119),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(866),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [867] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18244),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(867),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [868] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(868),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [869] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(19269),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(869),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [870] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(870),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [871] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(871),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [872] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(872),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [873] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(873),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [874] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(874),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [875] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22198),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(875),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [876] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(876),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [877] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22199),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(877),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [878] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22203),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(878),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [879] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22219),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(879),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [880] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22223),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(880),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [881] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22224),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(881),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [882] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22244),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(882),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [883] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18216),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(883),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [884] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(884),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [885] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(885),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [886] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(886),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [887] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(887),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [888] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(888),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [889] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(889),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [890] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(890),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [891] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(891),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [892] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13424),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(892),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [893] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22310),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(893),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [894] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22311),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(894),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [895] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22313),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(895),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [896] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(896),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [897] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22328),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(897),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [898] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(898),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [899] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22329),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(899),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [900] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(900),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [901] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22330),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(901),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [902] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22345),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(902),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [903] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18186),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(903),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [904] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(904),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [905] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(905),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [906] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18498),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(906),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [907] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(907),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [908] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(908),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [909] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(909),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [910] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(910),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [911] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19505),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(911),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [912] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19506),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(912),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [913] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19508),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(913),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [914] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22483),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(914),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [915] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(915),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [916] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22484),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(916),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [917] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22487),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(917),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [918] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18497),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(918),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [919] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22497),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(919),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [920] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18496),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(920),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [921] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22499),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(921),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [922] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22500),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(922),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [923] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22513),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(923),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [924] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18142),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(924),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [925] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(925),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [926] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18495),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(926),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [927] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21212),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(927),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [928] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(928),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [929] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10142),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(929),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [930] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21258),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(930),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [931] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22520),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(931),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [932] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(932),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [933] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(933),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [934] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22519),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(934),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [935] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(935),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [936] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22509),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(936),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [937] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22491),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(937),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [938] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(938),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [939] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22480),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(939),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [940] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22479),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(940),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [941] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22463),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(941),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [942] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18169),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(942),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [943] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(943),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [944] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(944),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [945] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(15470),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(945),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [946] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(946),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [947] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(11555),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(947),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [948] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(15572),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(948),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [949] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(949),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [950] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(950),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [951] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(951),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [952] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22272),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(952),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [953] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22271),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(953),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [954] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22266),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(954),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [955] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22254),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(955),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [956] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22251),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(956),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [957] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(957),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [958] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22288),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(958),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [959] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22208),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(959),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [960] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18224),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(960),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [961] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(961),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [962] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(962),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [963] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(963),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [964] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(964),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [965] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(965),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [966] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(966),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [967] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(967),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [968] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22062),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(968),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [969] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22061),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(969),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [970] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22060),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(970),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [971] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22031),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(971),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [972] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22023),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(972),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [973] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22019),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(973),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [974] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21994),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(974),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [975] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18281),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(975),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [976] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(976),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [977] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20083),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(977),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [978] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20084),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(978),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [979] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(979),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [980] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20085),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(980),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [981] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21824),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(981),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [982] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21823),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(982),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [983] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21822),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(983),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [984] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21796),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(984),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [985] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21795),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(985),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [986] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21794),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(986),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [987] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21749),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(987),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [988] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18341),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(988),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [989] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(15471),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(989),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [990] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(990),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [991] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(991),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [992] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(15505),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(992),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [993] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9349),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(993),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [994] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21590),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(994),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [995] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21586),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(995),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [996] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21581),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(996),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [997] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21548),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(997),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [998] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21941),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(998),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [999] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(999),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1000] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21542),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1000),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1001] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1001),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1002] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21540),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1002),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1003] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21558),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1003),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1004] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18445),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1004),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1005] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1005),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1006] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22103),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1006),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1007] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1007),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1008] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1008),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1009] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1009),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1010] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21366),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1010),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1011] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21364),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1011),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1012] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21350),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1012),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1013] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21307),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1013),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1014] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21306),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1014),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1015] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21304),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1015),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1016] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21394),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1016),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1017] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18488),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1017),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1018] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22129),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1018),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1019] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1019),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1020] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1020),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1021] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1021),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1022] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1022),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1023] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21108),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1023),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1024] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21107),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1024),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1025] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21104),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1025),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1026] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21077),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1026),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1027] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21074),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1027),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1028] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21072),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1028),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1029] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21051),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1029),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1030] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18601),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1030),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1031] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1031),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1032] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1032),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1033] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1033),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1034] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1034),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1035] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1035),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1036] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20752),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1036),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1037] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20633),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1037),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1038] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20737),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1038),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1039] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20651),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1039),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1040] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20645),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1040),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1041] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20642),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1041),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1042] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20571),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1042),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1043] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18835),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1043),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1044] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1044),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1045] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1045),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1046] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(18979),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1046),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1047] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1047),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1048] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10689),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1048),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1049] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20278),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1049),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1050] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1050),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1051] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20276),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1051),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1052] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20269),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1052),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1053] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20212),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1053),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1054] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20209),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1054),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1055] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20208),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1055),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1056] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20118),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1056),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1057] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18998),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1057),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1058] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22257),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1058),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1059] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1059),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1060] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22150),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1060),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1061] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1061),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1062] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(22148),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1062),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1063] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19839),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1063),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1064] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19837),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1064),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1065] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19836),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1065),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1066] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19770),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1066),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1067] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19763),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1067),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1068] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19755),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1068),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1069] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19572),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1069),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1070] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19235),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1070),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1071] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21523),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1071),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1072] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14104),
    [sym__sequence_expression] = STATE(18979),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(20427),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1072),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1073] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14059),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1073),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1074] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14067),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1074),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1075] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21641),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1075),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1076] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13811),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1076),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1077] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19919),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1077),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1078] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19922),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1078),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1079] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19941),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1079),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1080] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20059),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1080),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1081] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1081),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1082] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20104),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1082),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1083] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20171),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1083),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1084] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18943),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1084),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1085] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1085),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1086] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21529),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1086),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1087] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1087),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1088] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1088),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1089] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1089),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1090] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20466),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1090),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1091] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20498),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1091),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1092] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20504),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1092),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1093] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20532),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1093),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1094] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20536),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1094),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1095] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20538),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1095),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1096] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20581),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1096),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1097] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1097),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1098] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18814),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1098),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1099] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1099),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1100] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1100),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1101] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1101),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1102] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18955),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1102),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1103] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21122),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1103),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1104] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1104),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1105] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20851),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1105),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1106] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20856),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1106),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1107] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14502),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1107),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1108] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20869),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1108),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1109] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20885),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1109),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1110] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20887),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1110),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1111] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20793),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1111),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1112] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20959),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1112),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1113] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1113),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1114] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14401),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1114),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1115] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18656),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1115),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1116] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1116),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1117] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1117),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1118] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21157),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1118),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1119] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1119),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1120] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21154),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1120),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1121] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1121),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1122] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21186),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1122),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1123] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21191),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1123),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1124] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20866),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1124),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1125] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21239),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1125),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1126] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14324),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1126),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1127] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21207),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1127),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1128] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21262),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1128),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1129] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(15356),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1129),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1130] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1130),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1131] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21415),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1131),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1132] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14430),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1132),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1133] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1133),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1134] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18431),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1134),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1135] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20987),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1135),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1136] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22136),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1136),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1137] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1137),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1138] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20968),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1138),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1139] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1139),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1140] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20960),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1140),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1141] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1141),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1142] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1142),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1143] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21745),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1143),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1144] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21747),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1144),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1145] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20801),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1145),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1146] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21751),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1146),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1147] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21798),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1147),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1148] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21829),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1148),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1149] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21802),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1149),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1150] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21902),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1150),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1151] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1151),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1152] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18297),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1152),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1153] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1153),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1154] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20747),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1154),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1155] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1155),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1156] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20707),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1156),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1157] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1157),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1158] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1158),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1159] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(11441),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1159),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1160] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20503),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1160),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1161] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1161),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1162] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1162),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1163] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22522),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1163),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1164] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22516),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1164),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1165] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18191),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1165),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1166] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22498),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1166),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1167] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22514),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1167),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1168] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22510),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1168),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1169] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22506),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1169),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1170] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1170),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1171] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22457),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1171),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1172] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1172),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1173] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1173),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1174] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18168),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1174),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1175] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20432),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1175),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1176] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20428),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1176),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1177] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(11399),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1177),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1178] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1178),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1179] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1179),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1180] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(11555),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1180),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1181] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20198),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1181),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1182] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19891),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1182),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1183] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(11492),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1183),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1184] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(11474),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1184),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1185] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21892),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1185),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1186] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(14118),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1186),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1187] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22008),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1187),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1188] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21991),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1188),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1189] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21862),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1189),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1190] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21860),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1190),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1191] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21898),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1191),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1192] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20150),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1192),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1193] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1193),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1194] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21776),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1194),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1195] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1195),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1196] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1196),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1197] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19974),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1197),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1198] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13801),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1198),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1199] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18335),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1199),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1200] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1200),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1201] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1201),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1202] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1202),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1203] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19906),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1203),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1204] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1204),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1205] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13282),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1205),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1206] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(11492),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1206),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1207] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19706),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1207),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1208] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19668),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1208),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1209] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12431),
    [sym__sequence_expression] = STATE(11613),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1209),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1210] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19663),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1210),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1211] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1211),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1212] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21352),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1212),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1213] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21348),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1213),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1214] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21345),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1214),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1215] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19478),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1215),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1216] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1216),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1217] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21300),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1217),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1218] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21295),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1218),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1219] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21294),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1219),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1220] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21235),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1220),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1221] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19445),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1221),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1222] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18511),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1222),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1223] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19441),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1223),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1224] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1224),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1225] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19304),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1225),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1226] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1226),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1227] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19316),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1227),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1228] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13677),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1228),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1229] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9637),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1229),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1230] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19318),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1230),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1231] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20998),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1231),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1232] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20977),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1232),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1233] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20988),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1233),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1234] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19302),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1234),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1235] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20918),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1235),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1236] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20970),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1236),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1237] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20862),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1237),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1238] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13971),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1238),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1239] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18723),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1239),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1240] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19360),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1240),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1241] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13804),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1241),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1242] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11075),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1242),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1243] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1243),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1244] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1244),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1245] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13112),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1245),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1246] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1246),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1247] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1247),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1248] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1248),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1249] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20544),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1249),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1250] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20543),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1250),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1251] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20542),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1251),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1252] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20447),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1252),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1253] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20442),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1253),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1254] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20433),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1254),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1255] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20311),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1255),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1256] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19374),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1256),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1257] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18916),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1257),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1258] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1258),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1259] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1259),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1260] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19376),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1260),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1261] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1261),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1262] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9373),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1262),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1263] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1263),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1264] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19423),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1264),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1265] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19437),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1265),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1266] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20034),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1266),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1267] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20033),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1267),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1268] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20029),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1268),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1269] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19984),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1269),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1270] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19982),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1270),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1271] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19981),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1271),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1272] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19866),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1272),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1273] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19439),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1273),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1274] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19099),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1274),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1275] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1275),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1276] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1276),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1277] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1277),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1278] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1278),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1279] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1279),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1280] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19486),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1280),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1281] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1281),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1282] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1282),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1283] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1283),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1284] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1284),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1285] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19510),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1285),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1286] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19491),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1286),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1287] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19484),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1287),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1288] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19382),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1288),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1289] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19377),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1289),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1290] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19367),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1290),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1291] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19333),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1291),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1292] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9407),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(1292),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1293] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19286),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1293),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1294] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1294),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1295] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19500),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1295),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1296] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19502),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1296),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1297] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1297),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1298] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19544),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1298),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1299] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1299),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1300] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19556),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1300),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1301] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1301),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1302] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19557),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1302),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1303] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19493),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1303),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1304] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1304),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1305] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19494),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1305),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1306] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19497),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1306),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1307] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1307),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1308] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19561),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1308),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1309] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19566),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1309),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1310] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19568),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1310),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1311] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1311),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1312] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(19632),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1312),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1313] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1313),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1314] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(19167),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1314),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1315] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(11441),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1315),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1316] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1316),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1317] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1317),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1318] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19599),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1318),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1319] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1319),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1320] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19611),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1320),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1321] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19612),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1321),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1322] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1322),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1323] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(11399),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1323),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1324] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1324),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1325] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1325),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1326] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19788),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1326),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1327] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19789),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1327),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1328] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19804),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1328),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1329] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19825),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1329),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1330] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19877),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1330),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1331] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19878),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1331),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1332] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19879),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1332),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1333] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1333),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1334] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19964),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1334),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1335] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19966),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1335),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1336] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19975),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1336),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1337] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14456),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1337),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1338] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1338),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1339] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20106),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1339),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1340] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14501),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1340),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1341] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1341),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1342] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18981),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1342),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1343] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14485),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1343),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1344] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(11555),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1344),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1345] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19979),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1345),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1346] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9334),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1346),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1347] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(11492),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1347),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1348] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1348),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1349] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1349),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1350] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1350),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1351] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(11474),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1351),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1352] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9434),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(1352),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1353] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19654),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1353),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1354] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11847),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1354),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1355] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20299),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1355),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1356] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14408),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1356),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1357] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20300),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1357),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1358] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20317),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1358),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1359] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14400),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1359),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1360] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20338),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1360),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1361] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20404),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1361),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1362] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1362),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1363] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20406),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1363),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1364] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20408),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1364),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1365] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14397),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1365),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1366] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19666),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1366),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1367] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20480),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1367),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1368] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20482),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1368),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1369] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21008),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1369),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1370] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20484),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1370),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1371] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19667),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1371),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1372] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(20587),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1372),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1373] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19709),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1373),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1374] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19721),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1374),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1375] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18813),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1375),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1376] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19722),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1376),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1377] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13233),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(1377),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1378] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19764),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1378),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1379] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10947),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(1379),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1380] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19773),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1380),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1381] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10167),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1381),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1382] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18750),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1382),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1383] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1383),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1384] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19774),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1384),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1385] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14104),
    [sym__sequence_expression] = STATE(21034),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(20427),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1385),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1386] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1386),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1387] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19806),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1387),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1388] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19815),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1388),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1389] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19816),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1389),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1390] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19847),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1390),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1391] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1391),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1392] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1392),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1393] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1393),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1394] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20756),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1394),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1395] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20758),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1395),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1396] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18756),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1396),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1397] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(11474),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1397),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1398] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1398),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1399] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20775),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1399),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1400] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18746),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1400),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1401] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20796),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1401),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1402] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20915),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1402),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1403] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20925),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1403),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1404] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20935),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1404),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1405] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1405),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1406] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21119),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1406),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1407] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21120),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1407),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1408] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21123),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1408),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1409] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1409),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1410] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21188),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1410),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1411] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1411),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1412] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18525),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1412),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1413] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18524),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1413),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1414] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1414),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1415] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1415),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1416] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1416),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1417] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19856),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1417),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1418] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19857),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1418),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1419] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1419),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1420] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1420),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1421] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9613),
    [sym__sequence_expression] = STATE(11441),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1421),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1422] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1422),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1423] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1423),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1424] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1424),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1425] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1425),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1426] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1426),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1427] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21278),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1427),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1428] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21279),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1428),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1429] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18480),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1429),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1430] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21286),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1430),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1431] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18476),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1431),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1432] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21302),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1432),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1433] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21325),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1433),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1434] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21326),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1434),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1435] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21334),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1435),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1436] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1436),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1437] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21378),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1437),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1438] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21379),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1438),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1439] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21380),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1439),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1440] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1440),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1441] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21458),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1441),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1442] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1442),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1443] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1443),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1444] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13324),
    [sym__sequence_expression] = STATE(11613),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1444),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1445] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18417),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1445),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1446] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18416),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1446),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1447] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1447),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1448] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19888),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1448),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1449] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1449),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1450] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1450),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1451] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1451),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1452] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1452),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1453] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19897),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1453),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1454] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1454),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1455] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19898),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1455),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1456] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1456),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1457] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1457),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1458] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19929),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1458),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1459] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11826),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(1459),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1460] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19938),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1460),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1461] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19939),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1461),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1462] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1462),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1463] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19970),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1463),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1464] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1464),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1465] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1465),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1466] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1466),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1467] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1467),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1468] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1468),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1469] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1469),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1470] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9553),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1470),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1471] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9567),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1471),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1472] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14048),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1472),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1473] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1473),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1474] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1474),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1475] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1475),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1476] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14500),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1476),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1477] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1477),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1478] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(19980),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1478),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1479] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1479),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1480] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13221),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1480),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1481] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20011),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1481),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1482] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(11441),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1482),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1483] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1483),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1484] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14319),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1484),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1485] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1485),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1486] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1486),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1487] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14372),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1487),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1488] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9406),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(1488),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1489] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(11399),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1489),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1490] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1490),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1491] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1491),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1492] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(11555),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1492),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1493] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20020),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1493),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1494] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14467),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1494),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1495] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20021),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1495),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1496] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1496),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1497] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14386),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1497),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1498] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9689),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1498),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1499] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(11492),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1499),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1500] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13632),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1500),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1501] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(11474),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1501),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1502] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1502),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1503] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11831),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1503),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1504] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1504),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1505] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(20003),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1505),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1506] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20255),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1506),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1507] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1507),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1508] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1508),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1509] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1509),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1510] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1510),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1511] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1511),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1512] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1512),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1513] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1513),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1514] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1514),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1515] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1515),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1516] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1516),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1517] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9516),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1517),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1518] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20052),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1518),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1519] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10043),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(1519),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1520] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13907),
    [sym__sequence_expression] = STATE(11613),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(1520),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1521] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1521),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1522] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20061),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1522),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1523] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1523),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1524] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1524),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1525] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13533),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(1525),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1526] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20062),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1526),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1527] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13543),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1527),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1528] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9246),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1528),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1529] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1529),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1530] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20093),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1530),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1531] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1531),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1532] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20102),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1532),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1533] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20103),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1533),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1534] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1534),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1535] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(21395),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1535),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1536] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20134),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1536),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1537] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1537),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1538] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1538),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1539] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11794),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1539),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1540] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1540),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1541] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20143),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1541),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1542] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9519),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(1542),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1543] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1543),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1544] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20144),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1544),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1545] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1545),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1546] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9925),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(1546),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1547] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1547),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1548] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1548),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1549] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1549),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1550] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1550),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1551] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1551),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1552] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1552),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1553] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1553),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1554] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1554),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1555] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1555),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1556] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1556),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1557] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1557),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1558] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1558),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1559] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11793),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1559),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1560] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13976),
    [sym__sequence_expression] = STATE(9058),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(1560),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1561] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21408),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1561),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1562] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20175),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1562),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1563] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11792),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1563),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1564] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11738),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1564),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1565] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1565),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1566] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14489),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1566),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1567] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20184),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1567),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1568] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13680),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1568),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1569] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14487),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1569),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1570] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1570),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1571] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21681),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1571),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1572] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21684),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1572),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1573] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18354),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1573),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1574] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21704),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1574),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1575] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18336),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1575),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1576] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21766),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1576),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1577] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9555),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(1577),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1578] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21873),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1578),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1579] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21875),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1579),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1580] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14469),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1580),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1581] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(21881),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1581),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1582] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20185),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1582),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1583] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11627),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1583),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1584] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22064),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1584),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1585] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22066),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1585),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1586] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(19351),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1586),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1587] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(22071),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1587),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1588] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21461),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1588),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1589] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20215),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1589),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1590] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12818),
    [sym__sequence_expression] = STATE(11735),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(1590),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1591] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12926),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1591),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1592] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20224),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1592),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1593] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18426),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1593),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1594] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14178),
    [sym__sequence_expression] = STATE(22327),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(1594),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1595] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20225),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1595),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1596] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18419),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1596),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1597] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14053),
    [sym__sequence_expression] = STATE(18197),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(1597),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1598] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14135),
    [sym__sequence_expression] = STATE(18196),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(1598),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1599] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(8920),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1599),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1600] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1600),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1601] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1601),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1602] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1602),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1603] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20525),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1603),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1604] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20264),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1604),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1605] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20265),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1605),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1606] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1606),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1607] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1607),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1608] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20294),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1608),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1609] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20303),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1609),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1610] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14490),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1610),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1611] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20304),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1611),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1612] = {
    [sym__simple_expression] = STATE(4647),
    [sym_typed_expression] = STATE(4670),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_labeled_argument] = STATE(5164),
    [sym_prefix_expression] = STATE(4670),
    [sym_hash_expression] = STATE(4670),
    [sym_field_get_expression] = STATE(4670),
    [sym_array_get_expression] = STATE(4670),
    [sym_string_get_expression] = STATE(4670),
    [sym_bigarray_get_expression] = STATE(4670),
    [sym_coercion_expression] = STATE(4670),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1612),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [aux_sym_class_application_repeat1] = STATE(2765),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__lowercase_identifier] = ACTIONS(3803),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3805),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_DOT] = ACTIONS(3807),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_POUND] = ACTIONS(3809),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3811),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1613] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1613),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1614] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20333),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1614),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1615] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1615),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1616] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20342),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1616),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1617] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20343),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1617),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1618] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11232),
    [sym__sequence_expression] = STATE(14436),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1618),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1619] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1619),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1620] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20372),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1620),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1621] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20381),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1621),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1622] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20382),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1622),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1623] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20411),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1623),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1624] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1624),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1625] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20420),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1625),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1626] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20421),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1626),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1627] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20449),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1627),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1628] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20458),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1628),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1629] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20459),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1629),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1630] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13375),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(1630),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1631] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20487),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1631),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1632] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20496),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1632),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1633] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20497),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1633),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1634] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18449),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1634),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1635] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12682),
    [sym__sequence_expression] = STATE(11613),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(11607),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(1635),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1636] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20534),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1636),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1637] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20535),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1637),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1638] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20563),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1638),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1639] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20572),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1639),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1640] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20573),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1640),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1641] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20601),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1641),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1642] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20610),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1642),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1643] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20611),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1643),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1644] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20639),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1644),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1645] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20648),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1645),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1646] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20649),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1646),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1647] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20677),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1647),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1648] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1648),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1649] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(11474),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1649),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1650] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9739),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1650),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1651] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11161),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(1651),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1652] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1652),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1653] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1653),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1654] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20686),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1654),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1655] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(11492),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1655),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1656] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(11555),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1656),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1657] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20687),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1657),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1658] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20715),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1658),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1659] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13922),
    [sym__sequence_expression] = STATE(9885),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(1659),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1660] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1660),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1661] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1661),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1662] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(11399),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1662),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1663] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1663),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1664] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10184),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1664),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1665] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20724),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1665),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1666] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20725),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1666),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1667] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1667),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1668] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1668),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1669] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1669),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1670] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9759),
    [sym__sequence_expression] = STATE(11441),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1670),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1671] = {
    [sym__simple_expression] = STATE(4492),
    [sym_typed_expression] = STATE(4455),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_labeled_argument] = STATE(5164),
    [sym_prefix_expression] = STATE(4455),
    [sym_hash_expression] = STATE(4455),
    [sym_field_get_expression] = STATE(4455),
    [sym_array_get_expression] = STATE(4455),
    [sym_string_get_expression] = STATE(4455),
    [sym_bigarray_get_expression] = STATE(4455),
    [sym_coercion_expression] = STATE(4455),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1671),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [aux_sym_class_application_repeat1] = STATE(2764),
    [sym__lowercase_identifier] = ACTIONS(3813),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_DOT] = ACTIONS(3817),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_POUND] = ACTIONS(3819),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(943),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3821),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1672] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1672),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1673] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20753),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1673),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1674] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13478),
    [sym__sequence_expression] = STATE(9224),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(1674),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1675] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1675),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1676] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1676),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1677] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1677),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1678] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1678),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1679] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1679),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1680] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1680),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1681] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9725),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1681),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1682] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9618),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(1682),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1683] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20762),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1683),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1684] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20763),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1684),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1685] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20790),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1685),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1686] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20799),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1686),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1687] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20800),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1687),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1688] = {
    [sym__simple_expression] = STATE(4631),
    [sym_typed_expression] = STATE(4578),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(4578),
    [sym_hash_expression] = STATE(4578),
    [sym_field_get_expression] = STATE(4578),
    [sym_array_get_expression] = STATE(4578),
    [sym_string_get_expression] = STATE(4578),
    [sym_bigarray_get_expression] = STATE(4578),
    [sym_coercion_expression] = STATE(4578),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(1688),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [aux_sym_class_application_repeat1] = STATE(2763),
    [sym__lowercase_identifier] = ACTIONS(3823),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_QMARK] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_DOT] = ACTIONS(3827),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_POUND] = ACTIONS(3829),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3831),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1689] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(6200),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1689),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1690] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(21931),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1690),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1691] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(11441),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1691),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1692] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1692),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1693] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1693),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1694] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(11399),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1694),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1695] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20827),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1695),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1696] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(11555),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1696),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1697] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20836),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1697),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1698] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(11492),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1698),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1699] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1699),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1700] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9734),
    [sym__sequence_expression] = STATE(11474),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(1700),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1701] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14020),
    [sym__sequence_expression] = STATE(20837),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1701),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1702] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1702),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1703] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9384),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1703),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1704] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9385),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1704),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1705] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9392),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1705),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1706] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9171),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1706),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1707] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9339),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1707),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1708] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9343),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1708),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1709] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9585),
    [sym__sequence_expression] = STATE(8426),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1709),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1710] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18539),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1710),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1711] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8993),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1711),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1712] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18531),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1712),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1713] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18479),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1713),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1714] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9152),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1714),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1715] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9145),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1715),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1716] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12209),
    [sym__sequence_expression] = STATE(9143),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1716),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1717] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13998),
    [sym__sequence_expression] = STATE(9016),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_sequence_expression] = STATE(10094),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(1717),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1718] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(10074),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(6213),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(1718),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1719] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9101),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1719),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1720] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9102),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1720),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1721] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18474),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1721),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1722] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9104),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1722),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1723] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9060),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1723),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1724] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(9107),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1724),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1725] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9464),
    [sym__sequence_expression] = STATE(8917),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(1725),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1726] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13738),
    [sym__sequence_expression] = STATE(18453),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_sequence_expression] = STATE(8462),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(1726),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1727] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11498),
    [sym__sequence_expression] = STATE(9234),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_sequence_expression] = STATE(9378),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(1727),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1728] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1728),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3833),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1729] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1729),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3835),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1730] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13749),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1730),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3837),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1731] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13902),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1731),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3839),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1732] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13961),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1732),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3841),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1733] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13935),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1733),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3843),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1734] = {
    [sym__simple_expression] = STATE(3826),
    [sym_typed_expression] = STATE(3631),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_labeled_argument] = STATE(4602),
    [sym_prefix_expression] = STATE(3631),
    [sym_hash_expression] = STATE(3631),
    [sym_field_get_expression] = STATE(3631),
    [sym_array_get_expression] = STATE(3631),
    [sym_string_get_expression] = STATE(3631),
    [sym_bigarray_get_expression] = STATE(3631),
    [sym_coercion_expression] = STATE(3631),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(1734),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [aux_sym_class_application_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(3847),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(3852),
    [anon_sym_QMARK] = ACTIONS(3852),
    [anon_sym_LPAREN] = ACTIONS(3855),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(3858),
    [anon_sym_true] = ACTIONS(3861),
    [anon_sym_false] = ACTIONS(3861),
    [anon_sym_LBRACE] = ACTIONS(3864),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(3867),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3870),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(3873),
    [anon_sym_LBRACE_LT] = ACTIONS(3876),
    [anon_sym_begin] = ACTIONS(3879),
    [sym_ocamlyacc_value] = ACTIONS(3882),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3885),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3888),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(3891),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(3894),
    [anon_sym_DQUOTE] = ACTIONS(3897),
    [sym_prefix_operator] = ACTIONS(3900),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(3903),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(3906),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1735] = {
    [sym__simple_expression] = STATE(3519),
    [sym_typed_expression] = STATE(3531),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_labeled_argument] = STATE(4828),
    [sym_prefix_expression] = STATE(3531),
    [sym_hash_expression] = STATE(3531),
    [sym_field_get_expression] = STATE(3531),
    [sym_array_get_expression] = STATE(3531),
    [sym_string_get_expression] = STATE(3531),
    [sym_bigarray_get_expression] = STATE(3531),
    [sym_coercion_expression] = STATE(3531),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1735),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [aux_sym_class_application_repeat1] = STATE(1757),
    [sym__lowercase_identifier] = ACTIONS(3623),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3625),
    [anon_sym_QMARK] = ACTIONS(3625),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(395),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(397),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1736] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13901),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1736),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3913),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1737] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1737),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3915),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1738] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1738),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3917),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1739] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1739),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3919),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1740] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1740),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3921),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1741] = {
    [sym__simple_expression] = STATE(3826),
    [sym_typed_expression] = STATE(3631),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_labeled_argument] = STATE(4602),
    [sym_prefix_expression] = STATE(3631),
    [sym_hash_expression] = STATE(3631),
    [sym_field_get_expression] = STATE(3631),
    [sym_array_get_expression] = STATE(3631),
    [sym_string_get_expression] = STATE(3631),
    [sym_bigarray_get_expression] = STATE(3631),
    [sym_coercion_expression] = STATE(3631),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(1741),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [aux_sym_class_application_repeat1] = STATE(1734),
    [ts_builtin_sym_end] = ACTIONS(3909),
    [sym__lowercase_identifier] = ACTIONS(3613),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3615),
    [anon_sym_QMARK] = ACTIONS(3615),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(503),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(505),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1742] = {
    [sym__simple_expression] = STATE(5022),
    [sym_typed_expression] = STATE(4943),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_labeled_argument] = STATE(5604),
    [sym_prefix_expression] = STATE(4943),
    [sym_hash_expression] = STATE(4943),
    [sym_field_get_expression] = STATE(4943),
    [sym_array_get_expression] = STATE(4943),
    [sym_string_get_expression] = STATE(4943),
    [sym_bigarray_get_expression] = STATE(4943),
    [sym_coercion_expression] = STATE(4943),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(1742),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [aux_sym_class_application_repeat1] = STATE(2767),
    [sym__lowercase_identifier] = ACTIONS(3923),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3925),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_DOT] = ACTIONS(3927),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_POUND] = ACTIONS(3929),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(3931),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1743] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13806),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1743),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3933),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1744] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13791),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1744),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3935),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1745] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1745),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3937),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1746] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1746),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3939),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1747] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1747),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3941),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1748] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13786),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1748),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3943),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1749] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1749),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3945),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1750] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1750),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3947),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1751] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1751),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3949),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1752] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1752),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3951),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1753] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1753),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3953),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1754] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1754),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3955),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1755] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1755),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3957),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1756] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1756),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3959),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1757] = {
    [sym__simple_expression] = STATE(3519),
    [sym_typed_expression] = STATE(3531),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_labeled_argument] = STATE(4828),
    [sym_prefix_expression] = STATE(3531),
    [sym_hash_expression] = STATE(3531),
    [sym_field_get_expression] = STATE(3531),
    [sym_array_get_expression] = STATE(3531),
    [sym_string_get_expression] = STATE(3531),
    [sym_bigarray_get_expression] = STATE(3531),
    [sym_coercion_expression] = STATE(3531),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(1757),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [aux_sym_class_application_repeat1] = STATE(1757),
    [sym__lowercase_identifier] = ACTIONS(3961),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(3964),
    [anon_sym_QMARK] = ACTIONS(3964),
    [anon_sym_LPAREN] = ACTIONS(3967),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(3970),
    [anon_sym_true] = ACTIONS(3973),
    [anon_sym_false] = ACTIONS(3973),
    [anon_sym_LBRACE] = ACTIONS(3976),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(3979),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3982),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(3985),
    [anon_sym_LBRACE_LT] = ACTIONS(3988),
    [anon_sym_begin] = ACTIONS(3991),
    [sym_ocamlyacc_value] = ACTIONS(3994),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3997),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4000),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4003),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4006),
    [anon_sym_DQUOTE] = ACTIONS(4009),
    [sym_prefix_operator] = ACTIONS(4012),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4015),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4018),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1758] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1758),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4021),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1759] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1759),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4023),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1760] = {
    [sym__simple_expression] = STATE(4776),
    [sym_typed_expression] = STATE(4768),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_labeled_argument] = STATE(5517),
    [sym_prefix_expression] = STATE(4768),
    [sym_hash_expression] = STATE(4768),
    [sym_field_get_expression] = STATE(4768),
    [sym_array_get_expression] = STATE(4768),
    [sym_string_get_expression] = STATE(4768),
    [sym_bigarray_get_expression] = STATE(4768),
    [sym_coercion_expression] = STATE(4768),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(1760),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [aux_sym_class_application_repeat1] = STATE(2771),
    [sym__lowercase_identifier] = ACTIONS(4025),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(4027),
    [anon_sym_QMARK] = ACTIONS(4027),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_DOT] = ACTIONS(4029),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_POUND] = ACTIONS(4031),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(4033),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1761] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13774),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1761),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4035),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1762] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1762),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4037),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1763] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1763),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4039),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1764] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1764),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4041),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1765] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13765),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1765),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4043),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1766] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13594),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1766),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4045),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1767] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13600),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1767),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4047),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1768] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1768),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4049),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1769] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13792),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1769),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4051),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1770] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1770),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4053),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1771] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1771),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4055),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1772] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13795),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1772),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4057),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1773] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1773),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4059),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1774] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13789),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1774),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4061),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1775] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13746),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1775),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4063),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1776] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13834),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1776),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4065),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1777] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13837),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1777),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4067),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1778] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1778),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4069),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1779] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1779),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4071),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1780] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1780),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4073),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1781] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1781),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4075),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1782] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13574),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1782),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4077),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1783] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13572),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1783),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4079),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1784] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1784),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4081),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1785] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1785),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4083),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1786] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1786),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4085),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1787] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1787),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4087),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1788] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13757),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1788),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4089),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1789] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1789),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4091),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1790] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1790),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4093),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1791] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13763),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1791),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4095),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1792] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1792),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4097),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1793] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1793),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4099),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1794] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1794),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4101),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1795] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1795),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4103),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1796] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1796),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4105),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1797] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1797),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4107),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1798] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1798),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4109),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1799] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1799),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4111),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1800] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1800),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4113),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1801] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13920),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1801),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4115),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1802] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13866),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1802),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4117),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1803] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13871),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1803),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4119),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1804] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13926),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1804),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4121),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1805] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1805),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4123),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1806] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1806),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4125),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1807] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1807),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4127),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1808] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1808),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4129),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1809] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1809),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4131),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1810] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1810),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4133),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1811] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1811),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4135),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1812] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1812),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4137),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1813] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1813),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4139),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1814] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1814),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4141),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1815] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1815),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4143),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1816] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13698),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1816),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4145),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1817] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13703),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1817),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4147),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1818] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1818),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4149),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1819] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1819),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4151),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1820] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1820),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4153),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1821] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13897),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1821),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4155),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1822] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13894),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1822),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4157),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1823] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1823),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4159),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1824] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1824),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4161),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1825] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1825),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4163),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1826] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13767),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1826),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4165),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1827] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13787),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1827),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4167),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1828] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1828),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4169),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1829] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13936),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1829),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4171),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1830] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13943),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1830),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4173),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1831] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13805),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1831),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4175),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1832] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13802),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1832),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4177),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1833] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1833),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4179),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1834] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1834),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4181),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1835] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1835),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4183),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1836] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1836),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4185),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1837] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1837),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4187),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1838] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1838),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4189),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1839] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1839),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4191),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1840] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1840),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4193),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1841] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1841),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4195),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1842] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1842),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4197),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1843] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1843),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4199),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1844] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1844),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4201),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1845] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13711),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1845),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4203),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1846] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1846),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4205),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1847] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1847),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4207),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1848] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13707),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1848),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4209),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1849] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13942),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1849),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4211),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1850] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13947),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1850),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4213),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1851] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1851),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4215),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1852] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1852),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4217),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1853] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1853),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4219),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1854] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1854),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4221),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1855] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1855),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4223),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1856] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1856),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4225),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1857] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13608),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1857),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4227),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1858] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13604),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1858),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4229),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1859] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1859),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4231),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1860] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1860),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4233),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1861] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1861),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4235),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1862] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1862),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4237),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1863] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1863),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4239),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1864] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13734),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1864),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4241),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1865] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13768),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1865),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4243),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1866] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13849),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1866),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4245),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1867] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13977),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1867),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4247),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1868] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1868),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4249),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1869] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1869),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4251),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1870] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1870),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4253),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1871] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1871),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4255),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1872] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1872),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4257),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1873] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1873),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4259),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1874] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1874),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4261),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1875] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1875),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4263),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1876] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13838),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1876),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4265),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1877] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1877),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4267),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1878] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13839),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1878),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4269),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1879] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1879),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4271),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1880] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1880),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4273),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1881] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1881),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4275),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1882] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1882),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4277),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1883] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1883),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4279),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1884] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13867),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1884),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4281),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1885] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13859),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1885),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4283),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1886] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1886),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4285),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1887] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1887),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4287),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1888] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13923),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1888),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4289),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1889] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13960),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1889),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4291),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1890] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13953),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1890),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4293),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1891] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13927),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1891),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4295),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1892] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1892),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4297),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1893] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1893),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4299),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1894] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1894),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4301),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1895] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1895),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4303),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1896] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13974),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1896),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4305),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1897] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13758),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1897),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4307),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1898] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1898),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4309),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1899] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1899),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4311),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1900] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1900),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4313),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1901] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1901),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4315),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1902] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1902),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4317),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1903] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1903),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4319),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1904] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1904),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4321),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1905] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13798),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1905),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4323),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1906] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1906),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4325),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1907] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1907),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4327),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1908] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13809),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1908),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4329),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1909] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1909),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4331),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1910] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1910),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4333),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1911] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1911),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4335),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1912] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1912),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4337),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1913] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13933),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1913),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4339),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1914] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13891),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1914),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4341),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1915] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13889),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1915),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4343),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1916] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13930),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1916),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4345),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1917] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1917),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4347),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1918] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1918),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4349),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1919] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1919),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4351),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1920] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1920),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4353),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1921] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1921),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4355),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1922] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13665),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1922),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4357),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1923] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13658),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1923),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4359),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1924] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1924),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4361),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1925] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1925),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4363),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1926] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1926),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4365),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1927] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1927),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4367),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1928] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1928),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4369),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1929] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1929),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4371),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1930] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1930),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4373),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1931] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13896),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1931),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4375),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1932] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13887),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1932),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4377),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1933] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1933),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4379),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1934] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1934),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4381),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1935] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1935),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4383),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1936] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1936),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4385),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1937] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1937),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4387),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1938] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1938),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4389),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1939] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13848),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1939),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4391),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1940] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13857),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1940),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4393),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1941] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13850),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1941),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4395),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1942] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13845),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1942),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4397),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1943] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1943),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4399),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1944] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1944),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4401),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1945] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1945),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4403),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1946] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13824),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1946),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4405),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1947] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13828),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1947),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4407),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1948] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1948),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4409),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1949] = {
    [sym__simple_expression] = STATE(3454),
    [sym_typed_expression] = STATE(3440),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_labeled_argument] = STATE(4602),
    [sym_prefix_expression] = STATE(3440),
    [sym_hash_expression] = STATE(3440),
    [sym_field_get_expression] = STATE(3440),
    [sym_array_get_expression] = STATE(3440),
    [sym_string_get_expression] = STATE(3440),
    [sym_bigarray_get_expression] = STATE(3440),
    [sym_coercion_expression] = STATE(3440),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1949),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [aux_sym_class_application_repeat1] = STATE(1953),
    [sym__lowercase_identifier] = ACTIONS(3571),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3577),
    [anon_sym_QMARK] = ACTIONS(3577),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(451),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(453),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1950] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1950),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4411),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1951] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1951),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4413),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1952] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1952),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4415),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1953] = {
    [sym__simple_expression] = STATE(3454),
    [sym_typed_expression] = STATE(3440),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_labeled_argument] = STATE(4602),
    [sym_prefix_expression] = STATE(3440),
    [sym_hash_expression] = STATE(3440),
    [sym_field_get_expression] = STATE(3440),
    [sym_array_get_expression] = STATE(3440),
    [sym_string_get_expression] = STATE(3440),
    [sym_bigarray_get_expression] = STATE(3440),
    [sym_coercion_expression] = STATE(3440),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(1953),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [aux_sym_class_application_repeat1] = STATE(1953),
    [sym__lowercase_identifier] = ACTIONS(4417),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4420),
    [anon_sym_QMARK] = ACTIONS(4420),
    [anon_sym_LPAREN] = ACTIONS(4423),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4426),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(4429),
    [anon_sym_false] = ACTIONS(4429),
    [anon_sym_LBRACE] = ACTIONS(4432),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4435),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4438),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(4441),
    [anon_sym_LBRACE_LT] = ACTIONS(4444),
    [anon_sym_begin] = ACTIONS(4447),
    [sym_ocamlyacc_value] = ACTIONS(4450),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4456),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4459),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4462),
    [anon_sym_DQUOTE] = ACTIONS(4465),
    [sym_prefix_operator] = ACTIONS(4468),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4471),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4474),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1954] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13777),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1954),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4477),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1955] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1955),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4479),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1956] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13816),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1956),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4481),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1957] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1957),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4483),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1958] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13822),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1958),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4485),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1959] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13818),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1959),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4487),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1960] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1960),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4489),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1961] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1961),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4491),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1962] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1962),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4493),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1963] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1963),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4495),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1964] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1964),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4497),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1965] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13800),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1965),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4499),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1966] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1966),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4501),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1967] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13797),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1967),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4503),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1968] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1968),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4505),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1969] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1969),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4507),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1970] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1970),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4509),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1971] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1971),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4511),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1972] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1972),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4513),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1973] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1973),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4515),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1974] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1974),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4517),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1975] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1975),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4519),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1976] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1976),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4521),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1977] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13737),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1977),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4523),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1978] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13717),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1978),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4525),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1979] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13965),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1979),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4527),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1980] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13890),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1980),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4529),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1981] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1981),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4531),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1982] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1982),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4533),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1983] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13908),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1983),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4535),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1984] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13968),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1984),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4537),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1985] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1985),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4539),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1986] = {
    [sym__simple_expression] = STATE(4792),
    [sym_typed_expression] = STATE(4769),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_labeled_argument] = STATE(5517),
    [sym_prefix_expression] = STATE(4769),
    [sym_hash_expression] = STATE(4769),
    [sym_field_get_expression] = STATE(4769),
    [sym_array_get_expression] = STATE(4769),
    [sym_string_get_expression] = STATE(4769),
    [sym_bigarray_get_expression] = STATE(4769),
    [sym_coercion_expression] = STATE(4769),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(1986),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [aux_sym_class_application_repeat1] = STATE(2768),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__lowercase_identifier] = ACTIONS(4541),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(4543),
    [anon_sym_QMARK] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_DOT] = ACTIONS(4545),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_POUND] = ACTIONS(4547),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(4549),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1987] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1987),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4551),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1988] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1988),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4553),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1989] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1989),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4555),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1990] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1990),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4557),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1991] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1991),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4559),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1992] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1992),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1993] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1993),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4563),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1994] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13596),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1994),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4565),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1995] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13570),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1995),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4567),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1996] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1996),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4569),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1997] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1997),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4571),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1998] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1998),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4573),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [1999] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(1999),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4575),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2000] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2000),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4577),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2001] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2001),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4579),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2002] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13784),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2002),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4581),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2003] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13780),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2003),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4583),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2004] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2004),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4585),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2005] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13672),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2005),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4587),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2006] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13646),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2006),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4589),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2007] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13975),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2007),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4591),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2008] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2008),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4593),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2009] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2009),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4595),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2010] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13973),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2010),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4597),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2011] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13606),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2011),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4599),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2012] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13613),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2012),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4601),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2013] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2013),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4603),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2014] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2014),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4605),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2015] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2015),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4607),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2016] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2016),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4609),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2017] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2017),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4611),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2018] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2018),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4613),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2019] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2019),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4615),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2020] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2020),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4617),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2021] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2021),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4619),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2022] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2022),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4621),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2023] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2023),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4623),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2024] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2024),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4625),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2025] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13663),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2025),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4627),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2026] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13741),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2026),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4629),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2027] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13733),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2027),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4631),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2028] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13667),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2028),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4633),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2029] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2029),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4635),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2030] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2030),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4637),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2031] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2031),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4639),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2032] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13929),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2032),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4641),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2033] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13928),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2033),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4643),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2034] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2034),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4645),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2035] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2035),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(4647),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2036] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2036),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(4649),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2037] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13568),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2037),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2038] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13621),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2038),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2039] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13941),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2039),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2040] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9448),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2040),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2041] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13932),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2041),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2042] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13931),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2042),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2043] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13948),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2043),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2044] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9698),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2044),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2045] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13924),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2045),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2046] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13892),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2046),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2047] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9688),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2047),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2048] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9644),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2048),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2049] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9411),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2049),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2050] = {
    [sym__simple_expression] = STATE(4250),
    [sym_typed_expression] = STATE(4406),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_labeled_argument] = STATE(5018),
    [sym_prefix_expression] = STATE(4406),
    [sym_hash_expression] = STATE(4406),
    [sym_field_get_expression] = STATE(4406),
    [sym_array_get_expression] = STATE(4406),
    [sym_string_get_expression] = STATE(4406),
    [sym_bigarray_get_expression] = STATE(4406),
    [sym_coercion_expression] = STATE(4406),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2050),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [aux_sym_class_application_repeat1] = STATE(2173),
    [ts_builtin_sym_end] = ACTIONS(3909),
    [sym__lowercase_identifier] = ACTIONS(3791),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3793),
    [anon_sym_QMARK] = ACTIONS(3793),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(675),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(677),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2051] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9679),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2051),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2052] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12833),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2052),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2053] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9462),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2053),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2054] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9461),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2054),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2055] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9455),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2055),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2056] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9454),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2056),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2057] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9672),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2057),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2058] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9661),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2058),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2059] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9452),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2059),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2060] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13949),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2060),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2061] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13950),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2061),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2062] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13713),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2062),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2063] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9459),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2063),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2064] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10981),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2064),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2065] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9447),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2065),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2066] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9656),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2066),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2067] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9648),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2067),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2068] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9446),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2068),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2069] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9439),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2069),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2070] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9437),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2070),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2071] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9600),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2071),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2072] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14093),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2072),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2073] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13951),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2073),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2074] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9645),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2074),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2075] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9631),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2075),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2076] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13955),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2076),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2077] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13762),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2077),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2078] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9634),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2078),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2079] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9635),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2079),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2080] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9534),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2080),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2081] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10110),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2081),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2082] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13366),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2082),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2083] = {
    [sym_value_definition] = STATE(19731),
    [sym__simple_expression] = STATE(633),
    [sym__expression] = STATE(9453),
    [sym_typed_expression] = STATE(4406),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4406),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4406),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3560),
    [sym_array_get_expression] = STATE(3560),
    [sym_string_get_expression] = STATE(3560),
    [sym_bigarray_get_expression] = STATE(3560),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4406),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2083),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym_sign_operator] = STATE(2049),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__instance_variable_name] = STATE(20156),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [sym__lowercase_identifier] = ACTIONS(641),
    [anon_sym_let] = ACTIONS(643),
    [anon_sym_LPAREN] = ACTIONS(645),
    [anon_sym_LBRACK] = ACTIONS(647),
    [anon_sym_true] = ACTIONS(649),
    [anon_sym_false] = ACTIONS(649),
    [anon_sym_LBRACE] = ACTIONS(651),
    [anon_sym_object] = ACTIONS(653),
    [anon_sym_fun] = ACTIONS(655),
    [anon_sym_LBRACK_PIPE] = ACTIONS(657),
    [anon_sym_if] = ACTIONS(659),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(661),
    [anon_sym_function] = ACTIONS(663),
    [anon_sym_try] = ACTIONS(665),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(667),
    [anon_sym_LBRACE_LT] = ACTIONS(669),
    [anon_sym_begin] = ACTIONS(671),
    [sym_ocamlyacc_value] = ACTIONS(673),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3541),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3543),
    [aux_sym_number_token1] = ACTIONS(679),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(681),
    [anon_sym_DQUOTE] = ACTIONS(683),
    [sym_prefix_operator] = ACTIONS(685),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(687),
    [sym__uppercase_identifier] = ACTIONS(689),
    [aux_sym_tag_token1] = ACTIONS(691),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2084] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10119),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2084),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2085] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10103),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2085),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2086] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9408),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2086),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2087] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12018),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2087),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2088] = {
    [sym__simple_expression] = STATE(4012),
    [sym_typed_expression] = STATE(3949),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_labeled_argument] = STATE(5287),
    [sym_prefix_expression] = STATE(3949),
    [sym_hash_expression] = STATE(3949),
    [sym_field_get_expression] = STATE(3949),
    [sym_array_get_expression] = STATE(3949),
    [sym_string_get_expression] = STATE(3949),
    [sym_bigarray_get_expression] = STATE(3949),
    [sym_coercion_expression] = STATE(3949),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2088),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [aux_sym_class_application_repeat1] = STATE(2088),
    [sym__lowercase_identifier] = ACTIONS(4651),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4654),
    [anon_sym_QMARK] = ACTIONS(4654),
    [anon_sym_LPAREN] = ACTIONS(4657),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4660),
    [anon_sym_true] = ACTIONS(4663),
    [anon_sym_false] = ACTIONS(4663),
    [anon_sym_LBRACE] = ACTIONS(4666),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4669),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4672),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(4675),
    [anon_sym_LBRACE_LT] = ACTIONS(4678),
    [anon_sym_begin] = ACTIONS(4681),
    [sym_ocamlyacc_value] = ACTIONS(4684),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4687),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4690),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4693),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4696),
    [anon_sym_DQUOTE] = ACTIONS(4699),
    [sym_prefix_operator] = ACTIONS(4702),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4705),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4708),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2089] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10100),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2089),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2090] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10099),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2090),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2091] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12019),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2091),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2092] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10098),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2092),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2093] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9629),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2093),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2094] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12020),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2094),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2095] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12446),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2095),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2096] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10073),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2096),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2097] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10071),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2097),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2098] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12444),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2098),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2099] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10065),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2099),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2100] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10062),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2100),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2101] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12443),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2101),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2102] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12441),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2102),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2103] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12440),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2103),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2104] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(10040),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2104),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2105] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12023),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2105),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2106] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13364),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2106),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2107] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13673),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2107),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2108] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(11024),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2108),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2109] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13735),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2109),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2110] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10788),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2110),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2111] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10787),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2111),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2112] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10786),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2112),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2113] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12436),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2113),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2114] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10781),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2114),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2115] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12432),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2115),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2116] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10778),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2116),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2117] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13736),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2117),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2118] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10777),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2118),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2119] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10776),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2119),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2120] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10775),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2120),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2121] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13739),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2121),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2122] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13311),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2122),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2123] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13359),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2123),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2124] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13740),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2124),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2125] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12429),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2125),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2126] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12024),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2126),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2127] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13479),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2127),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2128] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9953),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2128),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2129] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13743),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2129),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2130] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10772),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2130),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2131] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10770),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2131),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2132] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10768),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2132),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2133] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13747),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2133),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2134] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13751),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2134),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2135] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13755),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2135),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2136] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14187),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2136),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2137] = {
    [sym_value_definition] = STATE(22316),
    [sym__simple_expression] = STATE(1742),
    [sym__expression] = STATE(9700),
    [sym_typed_expression] = STATE(4943),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4943),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4943),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4640),
    [sym_array_get_expression] = STATE(4640),
    [sym_string_get_expression] = STATE(4640),
    [sym_bigarray_get_expression] = STATE(4640),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4943),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2137),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym_sign_operator] = STATE(2093),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__instance_variable_name] = STATE(22295),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [sym__lowercase_identifier] = ACTIONS(1181),
    [anon_sym_let] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_fun] = ACTIONS(1195),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_if] = ACTIONS(1199),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1201),
    [anon_sym_function] = ACTIONS(1203),
    [anon_sym_try] = ACTIONS(1205),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3609),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3611),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1227),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2138] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12428),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2138),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2139] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13756),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2139),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2140] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13759),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2140),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2141] = {
    [sym__simple_expression] = STATE(5135),
    [sym_typed_expression] = STATE(5409),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_labeled_argument] = STATE(5597),
    [sym_prefix_expression] = STATE(5409),
    [sym_hash_expression] = STATE(5409),
    [sym_field_get_expression] = STATE(5409),
    [sym_array_get_expression] = STATE(5409),
    [sym_string_get_expression] = STATE(5409),
    [sym_bigarray_get_expression] = STATE(5409),
    [sym_coercion_expression] = STATE(5409),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2141),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [aux_sym_class_application_repeat1] = STATE(2774),
    [sym__lowercase_identifier] = ACTIONS(4711),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(4713),
    [anon_sym_QMARK] = ACTIONS(4713),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_DOT] = ACTIONS(4715),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_POUND] = ACTIONS(4717),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(4719),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2142] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13771),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2142),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2143] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13967),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2143),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2144] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12427),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2144),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2145] = {
    [sym_value_definition] = STATE(22533),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10761),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5799),
    [sym_array_get_expression] = STATE(5799),
    [sym_string_get_expression] = STATE(5799),
    [sym_bigarray_get_expression] = STATE(5799),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2145),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2108),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(21135),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1353),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1361),
    [anon_sym_function] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1371),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2146] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12426),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2146),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2147] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12424),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2147),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2148] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9650),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2148),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2149] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9523),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2149),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2150] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12350),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2150),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2151] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9685),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2151),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2152] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13781),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2152),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2153] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9680),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2153),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2154] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9677),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2154),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2155] = {
    [sym__simple_expression] = STATE(4156),
    [sym_typed_expression] = STATE(4172),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_labeled_argument] = STATE(4965),
    [sym_prefix_expression] = STATE(4172),
    [sym_hash_expression] = STATE(4172),
    [sym_field_get_expression] = STATE(4172),
    [sym_array_get_expression] = STATE(4172),
    [sym_string_get_expression] = STATE(4172),
    [sym_bigarray_get_expression] = STATE(4172),
    [sym_coercion_expression] = STATE(4172),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2155),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [aux_sym_class_application_repeat1] = STATE(2627),
    [ts_builtin_sym_end] = ACTIONS(3909),
    [sym__lowercase_identifier] = ACTIONS(3765),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3767),
    [anon_sym_QMARK] = ACTIONS(3767),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(889),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2156] = {
    [sym_value_definition] = STATE(19950),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12329),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6625),
    [sym_array_get_expression] = STATE(6625),
    [sym_string_get_expression] = STATE(6625),
    [sym_bigarray_get_expression] = STATE(6625),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2156),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2150),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21138),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1601),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1617),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2157] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12835),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2157),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2158] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9758),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2158),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2159] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9639),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2159),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2160] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9653),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2160),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2161] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9429),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2161),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2162] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9662),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2162),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2163] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11288),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2163),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2164] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9226),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2164),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2165] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9664),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2165),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2166] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13912),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2166),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2167] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11445),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2167),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2168] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11443),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2168),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2169] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12836),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2169),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2170] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9704),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2170),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2171] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9705),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2171),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2172] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9711),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2172),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2173] = {
    [sym__simple_expression] = STATE(4250),
    [sym_typed_expression] = STATE(4406),
    [sym_list_expression] = STATE(4406),
    [sym_array_expression] = STATE(4406),
    [sym_record_expression] = STATE(4406),
    [sym_labeled_argument] = STATE(5018),
    [sym_prefix_expression] = STATE(4406),
    [sym_hash_expression] = STATE(4406),
    [sym_field_get_expression] = STATE(4406),
    [sym_array_get_expression] = STATE(4406),
    [sym_string_get_expression] = STATE(4406),
    [sym_bigarray_get_expression] = STATE(4406),
    [sym_coercion_expression] = STATE(4406),
    [sym_local_open_expression] = STATE(4406),
    [sym_package_expression] = STATE(4406),
    [sym_new_expression] = STATE(4406),
    [sym_object_copy_expression] = STATE(4406),
    [sym_method_invocation] = STATE(4406),
    [sym_object_expression] = STATE(4406),
    [sym_parenthesized_expression] = STATE(4406),
    [sym_attribute] = STATE(2173),
    [sym_extension] = STATE(4406),
    [sym_quoted_extension] = STATE(4406),
    [sym__constant] = STATE(4406),
    [sym_number] = STATE(3884),
    [sym_character] = STATE(3884),
    [sym_string] = STATE(3884),
    [sym_quoted_string] = STATE(3884),
    [sym_boolean] = STATE(3884),
    [sym_unit] = STATE(3884),
    [sym__value_name] = STATE(4323),
    [sym_parenthesized_operator] = STATE(4226),
    [sym_value_path] = STATE(4406),
    [sym_module_path] = STATE(19487),
    [sym_constructor_path] = STATE(4406),
    [sym__constructor_name] = STATE(3850),
    [sym_tag] = STATE(4406),
    [aux_sym_class_application_repeat1] = STATE(2173),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(4721),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4724),
    [anon_sym_QMARK] = ACTIONS(4724),
    [anon_sym_LPAREN] = ACTIONS(4727),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4730),
    [anon_sym_true] = ACTIONS(4733),
    [anon_sym_false] = ACTIONS(4733),
    [anon_sym_LBRACE] = ACTIONS(4736),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4739),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4742),
    [anon_sym_new] = ACTIONS(4745),
    [anon_sym_LBRACE_LT] = ACTIONS(4748),
    [anon_sym_begin] = ACTIONS(4751),
    [sym_ocamlyacc_value] = ACTIONS(4754),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4757),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4760),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4763),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4766),
    [anon_sym_DQUOTE] = ACTIONS(4769),
    [sym_prefix_operator] = ACTIONS(4772),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4775),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4778),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2174] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13301),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2174),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2175] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12025),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2175),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2176] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9436),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2176),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2177] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9438),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2177),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2178] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13298),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2178),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2179] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9541),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2179),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2180] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9655),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2180),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2181] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9557),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2181),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2182] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9556),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2182),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2183] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12029),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2183),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2184] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9545),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2184),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2185] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13536),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2185),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2186] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9566),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2186),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2187] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9569),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2187),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2188] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9580),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2188),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2189] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14069),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2189),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2190] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9466),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2190),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2191] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9589),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2191),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2192] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9590),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2192),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2193] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13465),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2193),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2194] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9483),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2194),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2195] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9610),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2195),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2196] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11442),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2196),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2197] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13295),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2197),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2198] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13776),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2198),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2199] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9611),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2199),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2200] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9625),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2200),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2201] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11439),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2201),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2202] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9485),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2202),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2203] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9486),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2203),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2204] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12837),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2204),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2205] = {
    [sym__simple_expression] = STATE(4066),
    [sym_typed_expression] = STATE(4026),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_labeled_argument] = STATE(4965),
    [sym_prefix_expression] = STATE(4026),
    [sym_hash_expression] = STATE(4026),
    [sym_field_get_expression] = STATE(4026),
    [sym_array_get_expression] = STATE(4026),
    [sym_string_get_expression] = STATE(4026),
    [sym_bigarray_get_expression] = STATE(4026),
    [sym_coercion_expression] = STATE(4026),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2205),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [aux_sym_class_application_repeat1] = STATE(2205),
    [sym__lowercase_identifier] = ACTIONS(4781),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4784),
    [anon_sym_QMARK] = ACTIONS(4784),
    [anon_sym_LPAREN] = ACTIONS(4787),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4790),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(4793),
    [anon_sym_false] = ACTIONS(4793),
    [anon_sym_LBRACE] = ACTIONS(4796),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4799),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4802),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(4805),
    [anon_sym_LBRACE_LT] = ACTIONS(4808),
    [anon_sym_begin] = ACTIONS(4811),
    [sym_ocamlyacc_value] = ACTIONS(4814),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4817),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4820),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4823),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4826),
    [anon_sym_DQUOTE] = ACTIONS(4829),
    [sym_prefix_operator] = ACTIONS(4832),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4835),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4838),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2206] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9495),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2206),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2207] = {
    [sym__simple_expression] = STATE(5271),
    [sym_typed_expression] = STATE(5318),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_labeled_argument] = STATE(5597),
    [sym_prefix_expression] = STATE(5318),
    [sym_hash_expression] = STATE(5318),
    [sym_field_get_expression] = STATE(5318),
    [sym_array_get_expression] = STATE(5318),
    [sym_string_get_expression] = STATE(5318),
    [sym_bigarray_get_expression] = STATE(5318),
    [sym_coercion_expression] = STATE(5318),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2207),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [aux_sym_class_application_repeat1] = STATE(2775),
    [ts_builtin_sym_end] = ACTIONS(3573),
    [sym__lowercase_identifier] = ACTIONS(4841),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_DOT] = ACTIONS(4845),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_POUND] = ACTIONS(4847),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(4849),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2208] = {
    [sym_value_definition] = STATE(22267),
    [sym__simple_expression] = STATE(1671),
    [sym__expression] = STATE(9612),
    [sym_typed_expression] = STATE(4455),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4455),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4455),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4264),
    [sym_array_get_expression] = STATE(4264),
    [sym_string_get_expression] = STATE(4264),
    [sym_bigarray_get_expression] = STATE(4264),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4455),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2208),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym_sign_operator] = STATE(2179),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__instance_variable_name] = STATE(22281),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [sym__lowercase_identifier] = ACTIONS(907),
    [anon_sym_let] = ACTIONS(909),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_fun] = ACTIONS(921),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_if] = ACTIONS(925),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(927),
    [anon_sym_function] = ACTIONS(929),
    [anon_sym_try] = ACTIONS(931),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3533),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3535),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(953),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2209] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13293),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2209),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2210] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9514),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2210),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2211] = {
    [sym__simple_expression] = STATE(4066),
    [sym_typed_expression] = STATE(4026),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_labeled_argument] = STATE(4965),
    [sym_prefix_expression] = STATE(4026),
    [sym_hash_expression] = STATE(4026),
    [sym_field_get_expression] = STATE(4026),
    [sym_array_get_expression] = STATE(4026),
    [sym_string_get_expression] = STATE(4026),
    [sym_bigarray_get_expression] = STATE(4026),
    [sym_coercion_expression] = STATE(4026),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2211),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [aux_sym_class_application_repeat1] = STATE(2205),
    [sym__lowercase_identifier] = ACTIONS(3651),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3653),
    [anon_sym_QMARK] = ACTIONS(3653),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(835),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(837),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2212] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11429),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2212),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2213] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12137),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2213),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2214] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9403),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2214),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2215] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9521),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2215),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2216] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11446),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2216),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2217] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13863),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2217),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2218] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9522),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2218),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2219] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12838),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2219),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2220] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13436),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2220),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2221] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11426),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2221),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2222] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13701),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2222),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2223] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13292),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2223),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2224] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13291),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2224),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2225] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13323),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2225),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2226] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13694),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2226),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2227] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13815),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2227),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2228] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13685),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2228),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2229] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13598),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2229),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2230] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13683),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2230),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2231] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14036),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2231),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2232] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14038),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2232),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2233] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13681),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2233),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2234] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14030),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2234),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2235] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14029),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2235),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2236] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14026),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2236),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2237] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14024),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2237),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2238] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14021),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2238),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2239] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14019),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2239),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2240] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14017),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2240),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2241] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14016),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2241),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2242] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14015),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2242),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2243] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13289),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2243),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2244] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14005),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2244),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2245] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13280),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2245),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2246] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13593),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2246),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2247] = {
    [sym_value_definition] = STATE(22134),
    [sym__simple_expression] = STATE(607),
    [sym__expression] = STATE(9493),
    [sym_typed_expression] = STATE(4325),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4325),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4325),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3418),
    [sym_array_get_expression] = STATE(3418),
    [sym_string_get_expression] = STATE(3418),
    [sym_bigarray_get_expression] = STATE(3418),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4325),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2247),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym_sign_operator] = STATE(2247),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__instance_variable_name] = STATE(22109),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [sym__lowercase_identifier] = ACTIONS(695),
    [anon_sym_let] = ACTIONS(697),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_fun] = ACTIONS(709),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_if] = ACTIONS(713),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(715),
    [anon_sym_function] = ACTIONS(717),
    [anon_sym_try] = ACTIONS(719),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3517),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(741),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2248] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13278),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2248),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2249] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13678),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2249),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2250] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13676),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2250),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2251] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14035),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2251),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2252] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13671),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2252),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2253] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13918),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2253),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2254] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14032),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2254),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2255] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13275),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2255),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2256] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13467),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2256),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2257] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13468),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2257),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2258] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14031),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2258),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2259] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13470),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2259),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2260] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13980),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2260),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2261] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9340),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2261),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2262] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13471),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2262),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2263] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9316),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2263),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2264] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9309),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2264),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2265] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9303),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2265),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2266] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13273),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2266),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2267] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9300),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2267),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2268] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9285),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2268),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2269] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14028),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2269),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2270] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14022),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2270),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2271] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13938),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2271),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2272] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13473),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2272),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2273] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9276),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2273),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2274] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9272),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2274),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2275] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13474),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2275),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2276] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9232),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2276),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2277] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9231),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2277),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2278] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9293),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2278),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2279] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13475),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2279),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2280] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13482),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2280),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2281] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12672),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2281),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2282] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13476),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2282),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2283] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9299),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2283),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2284] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13483),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2284),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2285] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13484),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2285),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2286] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13485),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2286),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2287] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13450),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2287),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2288] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13668),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2288),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2289] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14177),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2289),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2290] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13661),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2290),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2291] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12639),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2291),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2292] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13660),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2292),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2293] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12636),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2293),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2294] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13657),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2294),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2295] = {
    [sym_value_definition] = STATE(21058),
    [sym__simple_expression] = STATE(2843),
    [sym__expression] = STATE(13605),
    [sym_typed_expression] = STATE(7761),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7761),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7761),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7473),
    [sym_array_get_expression] = STATE(7473),
    [sym_string_get_expression] = STATE(7473),
    [sym_bigarray_get_expression] = STATE(7473),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7761),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2295),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym_sign_operator] = STATE(2217),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__instance_variable_name] = STATE(21037),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [sym__lowercase_identifier] = ACTIONS(3117),
    [anon_sym_let] = ACTIONS(3119),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_fun] = ACTIONS(3131),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_if] = ACTIONS(3135),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(3137),
    [anon_sym_function] = ACTIONS(3139),
    [anon_sym_try] = ACTIONS(3141),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3163),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2296] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13656),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2296),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2297] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13655),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2297),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2298] = {
    [sym_value_definition] = STATE(22163),
    [sym__simple_expression] = STATE(570),
    [sym__expression] = STATE(9368),
    [sym_typed_expression] = STATE(3631),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3631),
    [sym_array_expression] = STATE(3631),
    [sym_record_expression] = STATE(3631),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3631),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3631),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3355),
    [sym_array_get_expression] = STATE(3355),
    [sym_string_get_expression] = STATE(3355),
    [sym_bigarray_get_expression] = STATE(3355),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3631),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3631),
    [sym_package_expression] = STATE(3631),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3631),
    [sym_object_copy_expression] = STATE(3631),
    [sym_method_invocation] = STATE(3631),
    [sym_object_expression] = STATE(3631),
    [sym_parenthesized_expression] = STATE(3631),
    [sym_attribute] = STATE(2298),
    [sym_extension] = STATE(3631),
    [sym_quoted_extension] = STATE(3631),
    [sym__constant] = STATE(3631),
    [sym_number] = STATE(3637),
    [sym_character] = STATE(3637),
    [sym_string] = STATE(3637),
    [sym_quoted_string] = STATE(3637),
    [sym_boolean] = STATE(3637),
    [sym_unit] = STATE(3637),
    [sym_sign_operator] = STATE(2261),
    [sym__value_name] = STATE(3828),
    [sym_parenthesized_operator] = STATE(3463),
    [sym_value_path] = STATE(3631),
    [sym_module_path] = STATE(20368),
    [sym_constructor_path] = STATE(3631),
    [sym__instance_variable_name] = STATE(22177),
    [sym__constructor_name] = STATE(3829),
    [sym_tag] = STATE(3631),
    [sym__lowercase_identifier] = ACTIONS(469),
    [anon_sym_let] = ACTIONS(471),
    [anon_sym_LPAREN] = ACTIONS(473),
    [anon_sym_LBRACK] = ACTIONS(475),
    [anon_sym_true] = ACTIONS(477),
    [anon_sym_false] = ACTIONS(477),
    [anon_sym_LBRACE] = ACTIONS(479),
    [anon_sym_object] = ACTIONS(481),
    [anon_sym_fun] = ACTIONS(483),
    [anon_sym_LBRACK_PIPE] = ACTIONS(485),
    [anon_sym_if] = ACTIONS(487),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(489),
    [anon_sym_function] = ACTIONS(491),
    [anon_sym_try] = ACTIONS(493),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(495),
    [anon_sym_LBRACE_LT] = ACTIONS(497),
    [anon_sym_begin] = ACTIONS(499),
    [sym_ocamlyacc_value] = ACTIONS(501),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3559),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3561),
    [aux_sym_number_token1] = ACTIONS(507),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(509),
    [anon_sym_DQUOTE] = ACTIONS(511),
    [sym_prefix_operator] = ACTIONS(513),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(515),
    [sym__uppercase_identifier] = ACTIONS(517),
    [aux_sym_tag_token1] = ACTIONS(519),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2299] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12629),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2299),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2300] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13652),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2300),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2301] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13650),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2301),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2302] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14014),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2302),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2303] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13643),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2303),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2304] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9663),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2304),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2305] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12586),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2305),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2306] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13642),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2306),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2307] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14010),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2307),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2308] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13641),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2308),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2309] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14009),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2309),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2310] = {
    [sym_value_definition] = STATE(20378),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13635),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7329),
    [sym_array_get_expression] = STATE(7329),
    [sym_string_get_expression] = STATE(7329),
    [sym_bigarray_get_expression] = STATE(7329),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2310),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2253),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(20409),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(3339),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(3341),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(3343),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3345),
    [anon_sym_function] = ACTIONS(3347),
    [anon_sym_try] = ACTIONS(3349),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3351),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2311] = {
    [sym__simple_expression] = STATE(4232),
    [sym_typed_expression] = STATE(4260),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_labeled_argument] = STATE(5018),
    [sym_prefix_expression] = STATE(4260),
    [sym_hash_expression] = STATE(4260),
    [sym_field_get_expression] = STATE(4260),
    [sym_array_get_expression] = STATE(4260),
    [sym_string_get_expression] = STATE(4260),
    [sym_bigarray_get_expression] = STATE(4260),
    [sym_coercion_expression] = STATE(4260),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2311),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [aux_sym_class_application_repeat1] = STATE(2313),
    [sym__lowercase_identifier] = ACTIONS(3725),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3727),
    [anon_sym_QMARK] = ACTIONS(3727),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(557),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2312] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14002),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2312),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2313] = {
    [sym__simple_expression] = STATE(4232),
    [sym_typed_expression] = STATE(4260),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_labeled_argument] = STATE(5018),
    [sym_prefix_expression] = STATE(4260),
    [sym_hash_expression] = STATE(4260),
    [sym_field_get_expression] = STATE(4260),
    [sym_array_get_expression] = STATE(4260),
    [sym_string_get_expression] = STATE(4260),
    [sym_bigarray_get_expression] = STATE(4260),
    [sym_coercion_expression] = STATE(4260),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2313),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [aux_sym_class_application_repeat1] = STATE(2313),
    [sym__lowercase_identifier] = ACTIONS(4851),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4854),
    [anon_sym_QMARK] = ACTIONS(4854),
    [anon_sym_LPAREN] = ACTIONS(4857),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4860),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(4863),
    [anon_sym_false] = ACTIONS(4863),
    [anon_sym_LBRACE] = ACTIONS(4866),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4869),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4872),
    [anon_sym_new] = ACTIONS(4875),
    [anon_sym_LBRACE_LT] = ACTIONS(4878),
    [anon_sym_begin] = ACTIONS(4881),
    [sym_ocamlyacc_value] = ACTIONS(4884),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4890),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4893),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4896),
    [anon_sym_DQUOTE] = ACTIONS(4899),
    [sym_prefix_operator] = ACTIONS(4902),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4905),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4908),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2314] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13769),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2314),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2315] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12480),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2315),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2316] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12494),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2316),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2317] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13542),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2317),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2318] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13452),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2318),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2319] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12497),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2319),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2320] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10809),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2320),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2321] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13152),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2321),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2322] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(9917),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2322),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2323] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12502),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2323),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2324] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12513),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2324),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2325] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12514),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2325),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2326] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12522),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2326),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2327] = {
    [sym_value_definition] = STATE(21559),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(12770),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6651),
    [sym_array_get_expression] = STATE(6651),
    [sym_string_get_expression] = STATE(6651),
    [sym_bigarray_get_expression] = STATE(6651),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2327),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2327),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(21035),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1667),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1679),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1683),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2328] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10806),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2328),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2329] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10805),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2329),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2330] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10804),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2330),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2331] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10803),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2331),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2332] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9550),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2332),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2333] = {
    [sym_value_definition] = STATE(21082),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(13259),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7211),
    [sym_array_get_expression] = STATE(7211),
    [sym_string_get_expression] = STATE(7211),
    [sym_bigarray_get_expression] = STATE(7211),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2333),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2280),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(21039),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(2981),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(2983),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(2985),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(2987),
    [anon_sym_function] = ACTIONS(2989),
    [anon_sym_try] = ACTIONS(2991),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2993),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2334] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10802),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2334),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2335] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9713),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2335),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2336] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10800),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2336),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2337] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9562),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2337),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2338] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10799),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2338),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2339] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10798),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2339),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2340] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9558),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2340),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2341] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9561),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2341),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2342] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10795),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2342),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2343] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13999),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2343),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2344] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13882),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2344),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2345] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10794),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2345),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2346] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(9935),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2346),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2347] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9581),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2347),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2348] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10793),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2348),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2349] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9578),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2349),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2350] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9579),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2350),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2351] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9539),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2351),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2352] = {
    [sym__simple_expression] = STATE(5382),
    [sym_typed_expression] = STATE(5193),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_labeled_argument] = STATE(5641),
    [sym_prefix_expression] = STATE(5193),
    [sym_hash_expression] = STATE(5193),
    [sym_field_get_expression] = STATE(5193),
    [sym_array_get_expression] = STATE(5193),
    [sym_string_get_expression] = STATE(5193),
    [sym_bigarray_get_expression] = STATE(5193),
    [sym_coercion_expression] = STATE(5193),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2352),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [aux_sym_class_application_repeat1] = STATE(2776),
    [sym__lowercase_identifier] = ACTIONS(4911),
    [anon_sym_SEMI_SEMI] = ACTIONS(3573),
    [anon_sym_let] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(3575),
    [anon_sym_type] = ACTIONS(3575),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_DOT] = ACTIONS(4915),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_SEMI] = ACTIONS(3575),
    [anon_sym_exception] = ACTIONS(3575),
    [anon_sym_module] = ACTIONS(3575),
    [anon_sym_open] = ACTIONS(3575),
    [anon_sym_include] = ACTIONS(3575),
    [anon_sym_class] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_POUND] = ACTIONS(4917),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(4919),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(3575),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2353] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13876),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2353),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2354] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9586),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2354),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2355] = {
    [sym_value_definition] = STATE(22450),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(10984),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5832),
    [sym_array_get_expression] = STATE(5832),
    [sym_string_get_expression] = STATE(5832),
    [sym_bigarray_get_expression] = STATE(5832),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2355),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2355),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(22461),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1313),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1319),
    [anon_sym_function] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1345),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2356] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11391),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2356),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2357] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9593),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2357),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2358] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9594),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2358),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2359] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9604),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2359),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2360] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9848),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2360),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2361] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11395),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2361),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2362] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13875),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2362),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2363] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13576),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2363),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2364] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11390),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2364),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2365] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13491),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2365),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2366] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13486),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2366),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2367] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13577),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2367),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2368] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13578),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2368),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2369] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13579),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2369),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2370] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13580),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2370),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2371] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13874),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2371),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2372] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13872),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2372),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2373] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13581),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2373),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2374] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13583),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2374),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2375] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13410),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2375),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2376] = {
    [sym_value_definition] = STATE(22039),
    [sym__simple_expression] = STATE(1688),
    [sym__expression] = STATE(9614),
    [sym_typed_expression] = STATE(4578),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4578),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4578),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4328),
    [sym_array_get_expression] = STATE(4328),
    [sym_string_get_expression] = STATE(4328),
    [sym_bigarray_get_expression] = STATE(4328),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4578),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2376),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym_sign_operator] = STATE(2332),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__instance_variable_name] = STATE(22053),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [sym__lowercase_identifier] = ACTIONS(973),
    [anon_sym_let] = ACTIONS(975),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_fun] = ACTIONS(987),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_if] = ACTIONS(991),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(993),
    [anon_sym_function] = ACTIONS(995),
    [anon_sym_try] = ACTIONS(997),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3601),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3603),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1019),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2377] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13906),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2377),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2378] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13546),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2378),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2379] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13538),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2379),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2380] = {
    [sym_value_definition] = STATE(22466),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(14152),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8086),
    [sym_array_get_expression] = STATE(8086),
    [sym_string_get_expression] = STATE(8086),
    [sym_bigarray_get_expression] = STATE(8086),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2380),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2189),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(21635),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3353),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3357),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3359),
    [anon_sym_function] = ACTIONS(3361),
    [anon_sym_try] = ACTIONS(3363),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3365),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2381] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13392),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2381),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2382] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9717),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2382),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2383] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13870),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2383),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2384] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9718),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2384),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2385] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13537),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2385),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2386] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9719),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2386),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2387] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13532),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2387),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2388] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13388),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2388),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2389] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13868),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2389),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2390] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13530),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2390),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2391] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9722),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2391),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2392] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13526),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2392),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2393] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13524),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2393),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2394] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9724),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2394),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2395] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13522),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2395),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2396] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13520),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2396),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2397] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13516),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2397),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2398] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13585),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2398),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2399] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13865),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2399),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2400] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12650),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2400),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2401] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14147),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2401),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2402] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13586),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2402),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2403] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9727),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2403),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2404] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13587),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2404),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2405] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9728),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2405),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2406] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13588),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2406),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2407] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13589),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2407),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2408] = {
    [sym_value_definition] = STATE(21160),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(13807),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7370),
    [sym_array_get_expression] = STATE(7370),
    [sym_string_get_expression] = STATE(7370),
    [sym_bigarray_get_expression] = STATE(7370),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2408),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2408),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(21143),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3025),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3037),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3041),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3043),
    [anon_sym_function] = ACTIONS(3045),
    [anon_sym_try] = ACTIONS(3047),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3069),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2409] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14148),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2409),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2410] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13590),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2410),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2411] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14086),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2411),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2412] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9729),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2412),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2413] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13603),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2413),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2414] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13607),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2414),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2415] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14154),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2415),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2416] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14194),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2416),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2417] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13609),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2417),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2418] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13382),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2418),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2419] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14193),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2419),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2420] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14192),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2420),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2421] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14191),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2421),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2422] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13862),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2422),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2423] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9731),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2423),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2424] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14189),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2424),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2425] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13616),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2425),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2426] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13944),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2426),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2427] = {
    [sym_value_definition] = STATE(19408),
    [sym__simple_expression] = STATE(2141),
    [sym__expression] = STATE(9906),
    [sym_typed_expression] = STATE(5409),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5409),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5409),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4900),
    [sym_array_get_expression] = STATE(4900),
    [sym_string_get_expression] = STATE(4900),
    [sym_bigarray_get_expression] = STATE(4900),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5409),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2427),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym_sign_operator] = STATE(2427),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__instance_variable_name] = STATE(19756),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [sym__lowercase_identifier] = ACTIONS(101),
    [anon_sym_let] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_fun] = ACTIONS(123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_if] = ACTIONS(127),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(129),
    [anon_sym_function] = ACTIONS(131),
    [anon_sym_try] = ACTIONS(133),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3525),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3527),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(161),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2428] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13612),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2428),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2429] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9732),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2429),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2430] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14185),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2430),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2431] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9733),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2431),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2432] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13615),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2432),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2433] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13381),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2433),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2434] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9402),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2434),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2435] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13617),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2435),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2436] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13618),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2436),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2437] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14188),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2437),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2438] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13860),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2438),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2439] = {
    [sym_value_definition] = STATE(20444),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(13622),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7371),
    [sym_array_get_expression] = STATE(7371),
    [sym_string_get_expression] = STATE(7371),
    [sym_bigarray_get_expression] = STATE(7371),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2439),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2377),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20379),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3289),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3301),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3305),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3307),
    [anon_sym_function] = ACTIONS(3309),
    [anon_sym_try] = ACTIONS(3311),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3333),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2440] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13858),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2440),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2441] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13856),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2441),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2442] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13662),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2442),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2443] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13647),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2443),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2444] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9515),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2444),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2445] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13981),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2445),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2446] = {
    [sym_value_definition] = STATE(21920),
    [sym__simple_expression] = STATE(1760),
    [sym__expression] = STATE(9683),
    [sym_typed_expression] = STATE(4768),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4768),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4768),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4593),
    [sym_array_get_expression] = STATE(4593),
    [sym_string_get_expression] = STATE(4593),
    [sym_bigarray_get_expression] = STATE(4593),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4768),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2446),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym_sign_operator] = STATE(2446),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__instance_variable_name] = STATE(21885),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [sym__lowercase_identifier] = ACTIONS(1077),
    [anon_sym_let] = ACTIONS(1079),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_fun] = ACTIONS(1091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_if] = ACTIONS(1095),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1097),
    [anon_sym_function] = ACTIONS(1099),
    [anon_sym_try] = ACTIONS(1101),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3545),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3547),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1123),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2447] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13666),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2447),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2448] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13670),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2448),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2449] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13679),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2449),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2450] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13682),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2450),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2451] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9524),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2451),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2452] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9525),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2452),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2453] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9538),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2453),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2454] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9537),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2454),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2455] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9536),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2455),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2456] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9535),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2456),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2457] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9533),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2457),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2458] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9531),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2458),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2459] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13687),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2459),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2460] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9530),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2460),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2461] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9529),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2461),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2462] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9528),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2462),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2463] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13688),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2463),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2464] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9517),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2464),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2465] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13692),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2465),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2466] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13693),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2466),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2467] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13699),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2467),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2468] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13379),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2468),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2469] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13378),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2469),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2470] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13376),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2470),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2471] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13346),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2471),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2472] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13702),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2472),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2473] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13846),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2473),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2474] = {
    [sym_value_definition] = STATE(21094),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(14090),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7309),
    [sym_array_get_expression] = STATE(7309),
    [sym_string_get_expression] = STATE(7309),
    [sym_bigarray_get_expression] = STATE(7309),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2474),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2473),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(20924),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(3075),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(3077),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(3079),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3081),
    [anon_sym_function] = ACTIONS(3083),
    [anon_sym_try] = ACTIONS(3085),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3087),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2475] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13412),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2475),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2476] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13374),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2476),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2477] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13454),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2477),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2478] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13456),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2478),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2479] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13407),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2479),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2480] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13284),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2480),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2481] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13406),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2481),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2482] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13461),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2482),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2483] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13373),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2483),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2484] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13405),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2484),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2485] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13404),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2485),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2486] = {
    [sym_value_definition] = STATE(19630),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(13904),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7379),
    [sym_array_get_expression] = STATE(7379),
    [sym_string_get_expression] = STATE(7379),
    [sym_bigarray_get_expression] = STATE(7379),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2486),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2486),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(19781),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3223),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3235),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3239),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3241),
    [anon_sym_function] = ACTIONS(3243),
    [anon_sym_try] = ACTIONS(3245),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3267),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2487] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13403),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2487),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2488] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13402),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2488),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2489] = {
    [sym_value_definition] = STATE(21667),
    [sym__simple_expression] = STATE(2826),
    [sym__expression] = STATE(13459),
    [sym_typed_expression] = STATE(7567),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7567),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7567),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7024),
    [sym_array_get_expression] = STATE(7024),
    [sym_string_get_expression] = STATE(7024),
    [sym_bigarray_get_expression] = STATE(7024),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7567),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2489),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym_sign_operator] = STATE(2366),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__instance_variable_name] = STATE(21566),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [sym__lowercase_identifier] = ACTIONS(2689),
    [anon_sym_let] = ACTIONS(2691),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_fun] = ACTIONS(2703),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_if] = ACTIONS(2707),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2709),
    [anon_sym_function] = ACTIONS(2711),
    [anon_sym_try] = ACTIONS(2713),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2735),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2490] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9921),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2490),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2491] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11134),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2491),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2492] = {
    [sym_value_definition] = STATE(20710),
    [sym__simple_expression] = STATE(2834),
    [sym__expression] = STATE(14179),
    [sym_typed_expression] = STATE(7906),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7906),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7906),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8112),
    [sym_array_get_expression] = STATE(8112),
    [sym_string_get_expression] = STATE(8112),
    [sym_bigarray_get_expression] = STATE(8112),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7906),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2492),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym_sign_operator] = STATE(2492),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__instance_variable_name] = STATE(20261),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [sym__lowercase_identifier] = ACTIONS(3023),
    [anon_sym_let] = ACTIONS(3381),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_fun] = ACTIONS(3383),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_if] = ACTIONS(3385),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3387),
    [anon_sym_function] = ACTIONS(3389),
    [anon_sym_try] = ACTIONS(3391),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3393),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2493] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13715),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2493),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2494] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13370),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2494),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2495] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9425),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2495),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2496] = {
    [sym__simple_expression] = STATE(4337),
    [sym_typed_expression] = STATE(4325),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_labeled_argument] = STATE(5117),
    [sym_prefix_expression] = STATE(4325),
    [sym_hash_expression] = STATE(4325),
    [sym_field_get_expression] = STATE(4325),
    [sym_array_get_expression] = STATE(4325),
    [sym_string_get_expression] = STATE(4325),
    [sym_bigarray_get_expression] = STATE(4325),
    [sym_coercion_expression] = STATE(4325),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2496),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__lowercase_identifier] = ACTIONS(4921),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4924),
    [anon_sym_QMARK] = ACTIONS(4924),
    [anon_sym_LPAREN] = ACTIONS(4927),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4930),
    [anon_sym_true] = ACTIONS(4933),
    [anon_sym_false] = ACTIONS(4933),
    [anon_sym_LBRACE] = ACTIONS(4936),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4939),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(4942),
    [anon_sym_new] = ACTIONS(4945),
    [anon_sym_LBRACE_LT] = ACTIONS(4948),
    [anon_sym_begin] = ACTIONS(4951),
    [sym_ocamlyacc_value] = ACTIONS(4954),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(4957),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(4960),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(4963),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(4966),
    [anon_sym_DQUOTE] = ACTIONS(4969),
    [sym_prefix_operator] = ACTIONS(4972),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(4975),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(4978),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2497] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13462),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2497),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2498] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13489),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2498),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2499] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13718),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2499),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2500] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13720),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2500),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2501] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13721),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2501),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2502] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13723),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2502),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2503] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9422),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2503),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2504] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9420),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2504),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2505] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9417),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2505),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2506] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9412),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2506),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2507] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9405),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2507),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2508] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9404),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2508),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2509] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9413),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2509),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2510] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9410),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2510),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2511] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9409),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2511),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2512] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13400),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2512),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2513] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9415),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2513),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2514] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9416),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2514),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2515] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11404),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2515),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2516] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13724),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2516),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2517] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9443),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2517),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2518] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13399),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2518),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2519] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13398),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2519),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2520] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13725),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2520),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2521] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13497),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2521),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2522] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13397),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2522),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2523] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13726),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2523),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2524] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11409),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2524),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2525] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9922),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2525),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2526] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11150),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2526),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2527] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13498),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2527),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2528] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11388),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2528),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2529] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13499),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2529),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2530] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12030),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2530),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2531] = {
    [sym_value_definition] = STATE(21933),
    [sym__simple_expression] = STATE(2817),
    [sym__expression] = STATE(13377),
    [sym_typed_expression] = STATE(7327),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7327),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7327),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(7101),
    [sym_array_get_expression] = STATE(7101),
    [sym_string_get_expression] = STATE(7101),
    [sym_bigarray_get_expression] = STATE(7101),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7327),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2531),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym_sign_operator] = STATE(2471),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__instance_variable_name] = STATE(21946),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [sym__lowercase_identifier] = ACTIONS(2605),
    [anon_sym_let] = ACTIONS(2607),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_fun] = ACTIONS(2619),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_if] = ACTIONS(2623),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(2625),
    [anon_sym_function] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2651),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2532] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13368),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2532),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2533] = {
    [sym_value_definition] = STATE(20089),
    [sym__simple_expression] = STATE(590),
    [sym__expression] = STATE(9463),
    [sym_typed_expression] = STATE(3949),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3949),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3949),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3509),
    [sym_array_get_expression] = STATE(3509),
    [sym_string_get_expression] = STATE(3509),
    [sym_bigarray_get_expression] = STATE(3509),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3949),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2533),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym_sign_operator] = STATE(2464),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__instance_variable_name] = STATE(20259),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [sym__lowercase_identifier] = ACTIONS(749),
    [anon_sym_let] = ACTIONS(751),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_fun] = ACTIONS(763),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_if] = ACTIONS(767),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(769),
    [anon_sym_function] = ACTIONS(771),
    [anon_sym_try] = ACTIONS(773),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3597),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3599),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(795),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2534] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9928),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2534),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2535] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12031),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2535),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2536] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13727),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2536),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2537] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9930),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2537),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2538] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13728),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2538),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2539] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9932),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2539),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2540] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11149),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2540),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2541] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14054),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2541),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2542] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13500),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2542),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2543] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13729),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2543),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2544] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13730),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2544),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2545] = {
    [sym_value_definition] = STATE(20695),
    [sym__simple_expression] = STATE(2838),
    [sym__expression] = STATE(13732),
    [sym_typed_expression] = STATE(7783),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7783),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7783),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7388),
    [sym_array_get_expression] = STATE(7388),
    [sym_string_get_expression] = STATE(7388),
    [sym_bigarray_get_expression] = STATE(7388),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7783),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2545),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym_sign_operator] = STATE(2545),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__instance_variable_name] = STATE(20784),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [sym__lowercase_identifier] = ACTIONS(3169),
    [anon_sym_let] = ACTIONS(3171),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_fun] = ACTIONS(3183),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_if] = ACTIONS(3187),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(3189),
    [anon_sym_function] = ACTIONS(3191),
    [anon_sym_try] = ACTIONS(3193),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3215),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2546] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9946),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2546),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2547] = {
    [sym_value_definition] = STATE(21244),
    [sym__simple_expression] = STATE(2842),
    [sym__expression] = STATE(14136),
    [sym_typed_expression] = STATE(8118),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8118),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8118),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(8185),
    [sym_array_get_expression] = STATE(8185),
    [sym_string_get_expression] = STATE(8185),
    [sym_bigarray_get_expression] = STATE(8185),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8118),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2547),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym_sign_operator] = STATE(2547),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__instance_variable_name] = STATE(20620),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [sym__lowercase_identifier] = ACTIONS(3287),
    [anon_sym_let] = ACTIONS(3367),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_fun] = ACTIONS(3369),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_if] = ACTIONS(3371),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3373),
    [anon_sym_function] = ACTIONS(3375),
    [anon_sym_try] = ACTIONS(3377),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3379),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2548] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11147),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2548),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2549] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12032),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2549),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2550] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13503),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2550),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2551] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10653),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2551),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2552] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9499),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2552),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2553] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13760),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2553),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2554] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13714),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2554),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2555] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12033),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2555),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2556] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9949),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2556),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2557] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9955),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2557),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2558] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13712),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2558),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2559] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13708),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2559),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2560] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10652),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2560),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2561] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10648),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2561),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2562] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10646),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2562),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2563] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10645),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2563),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2564] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10643),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2564),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2565] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10641),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2565),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2566] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10640),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2566),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2567] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10638),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2567),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2568] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10637),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2568),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2569] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10636),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2569),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2570] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10624),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2570),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2571] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13100),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2571),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2572] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10628),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2572),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2573] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13192),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2573),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2574] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13706),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2574),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2575] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9467),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2575),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2576] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9959),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2576),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2577] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11848),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2577),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2578] = {
    [sym_value_definition] = STATE(21427),
    [sym__simple_expression] = STATE(2782),
    [sym__expression] = STATE(11575),
    [sym_typed_expression] = STATE(6205),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6205),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6205),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6127),
    [sym_array_get_expression] = STATE(6127),
    [sym_string_get_expression] = STATE(6127),
    [sym_bigarray_get_expression] = STATE(6127),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6205),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2578),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym_sign_operator] = STATE(2528),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__instance_variable_name] = STATE(21577),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [sym__lowercase_identifier] = ACTIONS(1387),
    [anon_sym_let] = ACTIONS(1389),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_fun] = ACTIONS(1401),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1405),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1407),
    [anon_sym_function] = ACTIONS(1409),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1435),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2579] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13193),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2579),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2580] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9962),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2580),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2581] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13504),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2581),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2582] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14127),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2582),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2583] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13219),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2583),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2584] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14119),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2584),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2585] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14117),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2585),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2586] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14116),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2586),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2587] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14114),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2587),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2588] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14112),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2588),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2589] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14110),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2589),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2590] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14105),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2590),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2591] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14095),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2591),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2592] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14091),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2592),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2593] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9969),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2593),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2594] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14078),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2594),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2595] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11142),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2595),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2596] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10044),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2596),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2597] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13201),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2597),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2598] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13207),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2598),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2599] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13209),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2599),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2600] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13211),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2600),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2601] = {
    [sym_value_definition] = STATE(20247),
    [sym__simple_expression] = STATE(583),
    [sym__expression] = STATE(9427),
    [sym_typed_expression] = STATE(4026),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4026),
    [sym_array_expression] = STATE(4026),
    [sym_record_expression] = STATE(4026),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4026),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4026),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3726),
    [sym_array_get_expression] = STATE(3726),
    [sym_string_get_expression] = STATE(3726),
    [sym_bigarray_get_expression] = STATE(3726),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4026),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4026),
    [sym_package_expression] = STATE(4026),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4026),
    [sym_object_copy_expression] = STATE(4026),
    [sym_method_invocation] = STATE(4026),
    [sym_object_expression] = STATE(4026),
    [sym_parenthesized_expression] = STATE(4026),
    [sym_attribute] = STATE(2601),
    [sym_extension] = STATE(4026),
    [sym_quoted_extension] = STATE(4026),
    [sym__constant] = STATE(4026),
    [sym_number] = STATE(4029),
    [sym_character] = STATE(4029),
    [sym_string] = STATE(4029),
    [sym_quoted_string] = STATE(4029),
    [sym_boolean] = STATE(4029),
    [sym_unit] = STATE(4029),
    [sym_sign_operator] = STATE(2517),
    [sym__value_name] = STATE(3948),
    [sym_parenthesized_operator] = STATE(3898),
    [sym_value_path] = STATE(4026),
    [sym_module_path] = STATE(20824),
    [sym_constructor_path] = STATE(4026),
    [sym__instance_variable_name] = STATE(20375),
    [sym__constructor_name] = STATE(4059),
    [sym_tag] = STATE(4026),
    [sym__lowercase_identifier] = ACTIONS(801),
    [anon_sym_let] = ACTIONS(803),
    [anon_sym_LPAREN] = ACTIONS(805),
    [anon_sym_LBRACK] = ACTIONS(807),
    [anon_sym_true] = ACTIONS(809),
    [anon_sym_false] = ACTIONS(809),
    [anon_sym_LBRACE] = ACTIONS(811),
    [anon_sym_object] = ACTIONS(813),
    [anon_sym_fun] = ACTIONS(815),
    [anon_sym_LBRACK_PIPE] = ACTIONS(817),
    [anon_sym_if] = ACTIONS(819),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(821),
    [anon_sym_function] = ACTIONS(823),
    [anon_sym_try] = ACTIONS(825),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(827),
    [anon_sym_LBRACE_LT] = ACTIONS(829),
    [anon_sym_begin] = ACTIONS(831),
    [sym_ocamlyacc_value] = ACTIONS(833),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3605),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3607),
    [aux_sym_number_token1] = ACTIONS(839),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(841),
    [anon_sym_DQUOTE] = ACTIONS(843),
    [sym_prefix_operator] = ACTIONS(845),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(847),
    [sym__uppercase_identifier] = ACTIONS(849),
    [aux_sym_tag_token1] = ACTIONS(851),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2602] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11087),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2602),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2603] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13212),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2603),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2604] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11090),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2604),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2605] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13213),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2605),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2606] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13214),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2606),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2607] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13190),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2607),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2608] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11858),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2608),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2609] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13109),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2609),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2610] = {
    [sym_value_definition] = STATE(20751),
    [sym__simple_expression] = STATE(1986),
    [sym__expression] = STATE(9642),
    [sym_typed_expression] = STATE(4769),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4769),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4769),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4669),
    [sym_array_get_expression] = STATE(4669),
    [sym_string_get_expression] = STATE(4669),
    [sym_bigarray_get_expression] = STATE(4669),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4769),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2610),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym_sign_operator] = STATE(2148),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__instance_variable_name] = STATE(20661),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [sym__lowercase_identifier] = ACTIONS(1129),
    [anon_sym_let] = ACTIONS(1131),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_fun] = ACTIONS(1143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_if] = ACTIONS(1147),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1149),
    [anon_sym_function] = ACTIONS(1151),
    [anon_sym_try] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3555),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3557),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1175),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2611] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9469),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2611),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2612] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13169),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2612),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2613] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13166),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2613),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2614] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11091),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2614),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2615] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11098),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2615),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2616] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11099),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2616),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2617] = {
    [sym_value_definition] = STATE(21190),
    [sym__simple_expression] = STATE(2819),
    [sym__expression] = STATE(13331),
    [sym_typed_expression] = STATE(7680),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7680),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7680),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7167),
    [sym_array_get_expression] = STATE(7167),
    [sym_string_get_expression] = STATE(7167),
    [sym_bigarray_get_expression] = STATE(7167),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7680),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2617),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym_sign_operator] = STATE(2365),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__instance_variable_name] = STATE(21319),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [sym__lowercase_identifier] = ACTIONS(2415),
    [anon_sym_let] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_fun] = ACTIONS(2429),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2435),
    [anon_sym_function] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2461),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2618] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9473),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2618),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2619] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13355),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2619),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2620] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11100),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2620),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2621] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9282),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2621),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2622] = {
    [sym_value_definition] = STATE(20994),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13265),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7175),
    [sym_array_get_expression] = STATE(7175),
    [sym_string_get_expression] = STATE(7175),
    [sym_bigarray_get_expression] = STATE(7175),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2622),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2220),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(21102),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(1949),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(1961),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(1965),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1967),
    [anon_sym_function] = ACTIONS(1969),
    [anon_sym_try] = ACTIONS(1971),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1993),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2623] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13347),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2623),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2624] = {
    [sym_value_definition] = STATE(22278),
    [sym__simple_expression] = STATE(2800),
    [sym__expression] = STATE(13225),
    [sym_typed_expression] = STATE(6772),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6772),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6772),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6843),
    [sym_array_get_expression] = STATE(6843),
    [sym_string_get_expression] = STATE(6843),
    [sym_bigarray_get_expression] = STATE(6843),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6772),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2624),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym_sign_operator] = STATE(2571),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__instance_variable_name] = STATE(22285),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [sym__lowercase_identifier] = ACTIONS(1665),
    [anon_sym_let] = ACTIONS(1769),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_fun] = ACTIONS(1771),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_if] = ACTIONS(1773),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1685),
    [anon_sym_function] = ACTIONS(1687),
    [anon_sym_try] = ACTIONS(1689),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1711),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2625] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9478),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2625),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2626] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9500),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2626),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2627] = {
    [sym__simple_expression] = STATE(4156),
    [sym_typed_expression] = STATE(4172),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_labeled_argument] = STATE(4965),
    [sym_prefix_expression] = STATE(4172),
    [sym_hash_expression] = STATE(4172),
    [sym_field_get_expression] = STATE(4172),
    [sym_array_get_expression] = STATE(4172),
    [sym_string_get_expression] = STATE(4172),
    [sym_bigarray_get_expression] = STATE(4172),
    [sym_coercion_expression] = STATE(4172),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2627),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [aux_sym_class_application_repeat1] = STATE(2627),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(4981),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(4984),
    [anon_sym_QMARK] = ACTIONS(4984),
    [anon_sym_LPAREN] = ACTIONS(4987),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(4990),
    [anon_sym_true] = ACTIONS(4993),
    [anon_sym_false] = ACTIONS(4993),
    [anon_sym_LBRACE] = ACTIONS(4996),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(4999),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5002),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5005),
    [anon_sym_LBRACE_LT] = ACTIONS(5008),
    [anon_sym_begin] = ACTIONS(5011),
    [sym_ocamlyacc_value] = ACTIONS(5014),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5017),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5020),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5023),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5026),
    [anon_sym_DQUOTE] = ACTIONS(5029),
    [sym_prefix_operator] = ACTIONS(5032),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5035),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5038),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2628] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9278),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2628),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2629] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9277),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2629),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2630] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9271),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2630),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2631] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9267),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2631),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2632] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10051),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2632),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2633] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9502),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2633),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2634] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9264),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2634),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2635] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9262),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2635),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2636] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9257),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2636),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2637] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9254),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2637),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2638] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9252),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2638),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2639] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9583),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2639),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2640] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9251),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2640),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2641] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9247),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2641),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2642] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12839),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2642),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2643] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9369),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2643),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2644] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13165),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2644),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2645] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13164),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2645),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2646] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11640),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2646),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2647] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13163),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2647),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2648] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13162),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2648),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2649] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13161),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2649),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2650] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9577),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2650),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2651] = {
    [sym_value_definition] = STATE(19978),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13873),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7413),
    [sym_array_get_expression] = STATE(7413),
    [sym_string_get_expression] = STATE(7413),
    [sym_bigarray_get_expression] = STATE(7413),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2651),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2143),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(19925),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(3103),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(3105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(3107),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3109),
    [anon_sym_function] = ACTIONS(3111),
    [anon_sym_try] = ACTIONS(3113),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3115),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2652] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13160),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2652),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2653] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9503),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2653),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2654] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12840),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2654),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2655] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13159),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2655),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2656] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11638),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2656),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2657] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13158),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2657),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2658] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13157),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2658),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2659] = {
    [sym_value_definition] = STATE(20260),
    [sym__simple_expression] = STATE(2779),
    [sym__expression] = STATE(10713),
    [sym_typed_expression] = STATE(5841),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(5841),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(5841),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(5724),
    [sym_array_get_expression] = STATE(5724),
    [sym_string_get_expression] = STATE(5724),
    [sym_bigarray_get_expression] = STATE(5724),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(5841),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2659),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym_sign_operator] = STATE(2572),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__instance_variable_name] = STATE(20524),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [sym__lowercase_identifier] = ACTIONS(1239),
    [anon_sym_let] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_fun] = ACTIONS(1253),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1263),
    [anon_sym_function] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3567),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3569),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1293),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2660] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9548),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2660),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2661] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10054),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2661),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2662] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9540),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2662),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2663] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9504),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2663),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2664] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11812),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2664),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2665] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11809),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2665),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2666] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11789),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2666),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2667] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11782),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2667),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2668] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11781),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2668),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2669] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13274),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2669),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2670] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12842),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2670),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2671] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9601),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2671),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2672] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11779),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2672),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2673] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12843),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2673),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2674] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9273),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2674),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2675] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11766),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2675),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2676] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11761),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2676),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2677] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11753),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2677),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2678] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(13984),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2678),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2679] = {
    [sym_value_definition] = STATE(21670),
    [sym__simple_expression] = STATE(608),
    [sym__expression] = STATE(9506),
    [sym_typed_expression] = STATE(4260),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4260),
    [sym_array_expression] = STATE(4260),
    [sym_record_expression] = STATE(4260),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4260),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4260),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3579),
    [sym_array_get_expression] = STATE(3579),
    [sym_string_get_expression] = STATE(3579),
    [sym_bigarray_get_expression] = STATE(3579),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4260),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4260),
    [sym_package_expression] = STATE(4260),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4260),
    [sym_object_copy_expression] = STATE(4260),
    [sym_method_invocation] = STATE(4260),
    [sym_object_expression] = STATE(4260),
    [sym_parenthesized_expression] = STATE(4260),
    [sym_attribute] = STATE(2679),
    [sym_extension] = STATE(4260),
    [sym_quoted_extension] = STATE(4260),
    [sym__constant] = STATE(4260),
    [sym_number] = STATE(4231),
    [sym_character] = STATE(4231),
    [sym_string] = STATE(4231),
    [sym_quoted_string] = STATE(4231),
    [sym_boolean] = STATE(4231),
    [sym_unit] = STATE(4231),
    [sym_sign_operator] = STATE(2552),
    [sym__value_name] = STATE(4304),
    [sym_parenthesized_operator] = STATE(4415),
    [sym_value_path] = STATE(4260),
    [sym_module_path] = STATE(20047),
    [sym_constructor_path] = STATE(4260),
    [sym__instance_variable_name] = STATE(21646),
    [sym__constructor_name] = STATE(4183),
    [sym_tag] = STATE(4260),
    [sym__lowercase_identifier] = ACTIONS(521),
    [anon_sym_let] = ACTIONS(523),
    [anon_sym_LPAREN] = ACTIONS(525),
    [anon_sym_LBRACK] = ACTIONS(527),
    [anon_sym_true] = ACTIONS(529),
    [anon_sym_false] = ACTIONS(529),
    [anon_sym_LBRACE] = ACTIONS(531),
    [anon_sym_object] = ACTIONS(533),
    [anon_sym_fun] = ACTIONS(535),
    [anon_sym_LBRACK_PIPE] = ACTIONS(537),
    [anon_sym_if] = ACTIONS(539),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(541),
    [anon_sym_function] = ACTIONS(543),
    [anon_sym_try] = ACTIONS(545),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(547),
    [anon_sym_LBRACE_LT] = ACTIONS(549),
    [anon_sym_begin] = ACTIONS(551),
    [sym_ocamlyacc_value] = ACTIONS(553),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3537),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3539),
    [aux_sym_number_token1] = ACTIONS(559),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(561),
    [anon_sym_DQUOTE] = ACTIONS(563),
    [sym_prefix_operator] = ACTIONS(565),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(567),
    [sym__uppercase_identifier] = ACTIONS(569),
    [aux_sym_tag_token1] = ACTIONS(571),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2680] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9279),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2680),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2681] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9225),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2681),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2682] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9286),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2682),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2683] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9287),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2683),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2684] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9291),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2684),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2685] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9294),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2685),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2686] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9297),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2686),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2687] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9298),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2687),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2688] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9301),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2688),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2689] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9304),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2689),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2690] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9306),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2690),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2691] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9619),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2691),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2692] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9233),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2692),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2693] = {
    [sym_value_definition] = STATE(21799),
    [sym__simple_expression] = STATE(2813),
    [sym__expression] = STATE(13155),
    [sym_typed_expression] = STATE(7224),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(7224),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(7224),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6824),
    [sym_array_get_expression] = STATE(6824),
    [sym_string_get_expression] = STATE(6824),
    [sym_bigarray_get_expression] = STATE(6824),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(7224),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2693),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym_sign_operator] = STATE(2609),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__instance_variable_name] = STATE(21814),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [sym__lowercase_identifier] = ACTIONS(1717),
    [anon_sym_let] = ACTIONS(1719),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_fun] = ACTIONS(1731),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_if] = ACTIONS(1735),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1737),
    [anon_sym_function] = ACTIONS(1739),
    [anon_sym_try] = ACTIONS(1741),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1763),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2694] = {
    [sym_value_definition] = STATE(21708),
    [sym__simple_expression] = STATE(2781),
    [sym__expression] = STATE(11637),
    [sym_typed_expression] = STATE(6108),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6108),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6108),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6169),
    [sym_array_get_expression] = STATE(6169),
    [sym_string_get_expression] = STATE(6169),
    [sym_bigarray_get_expression] = STATE(6169),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6108),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2694),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym_sign_operator] = STATE(2646),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__instance_variable_name] = STATE(22144),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [sym__lowercase_identifier] = ACTIONS(1441),
    [anon_sym_let] = ACTIONS(1443),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_fun] = ACTIONS(1455),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1459),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1461),
    [anon_sym_function] = ACTIONS(1463),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1487),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2695] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10055),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2695),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2696] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11893),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2696),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2697] = {
    [sym__simple_expression] = STATE(4012),
    [sym_typed_expression] = STATE(3949),
    [sym_list_expression] = STATE(3949),
    [sym_array_expression] = STATE(3949),
    [sym_record_expression] = STATE(3949),
    [sym_labeled_argument] = STATE(5287),
    [sym_prefix_expression] = STATE(3949),
    [sym_hash_expression] = STATE(3949),
    [sym_field_get_expression] = STATE(3949),
    [sym_array_get_expression] = STATE(3949),
    [sym_string_get_expression] = STATE(3949),
    [sym_bigarray_get_expression] = STATE(3949),
    [sym_coercion_expression] = STATE(3949),
    [sym_local_open_expression] = STATE(3949),
    [sym_package_expression] = STATE(3949),
    [sym_new_expression] = STATE(3949),
    [sym_object_copy_expression] = STATE(3949),
    [sym_method_invocation] = STATE(3949),
    [sym_object_expression] = STATE(3949),
    [sym_parenthesized_expression] = STATE(3949),
    [sym_attribute] = STATE(2697),
    [sym_extension] = STATE(3949),
    [sym_quoted_extension] = STATE(3949),
    [sym__constant] = STATE(3949),
    [sym_number] = STATE(4044),
    [sym_character] = STATE(4044),
    [sym_string] = STATE(4044),
    [sym_quoted_string] = STATE(4044),
    [sym_boolean] = STATE(4044),
    [sym_unit] = STATE(4044),
    [sym__value_name] = STATE(3845),
    [sym_parenthesized_operator] = STATE(3900),
    [sym_value_path] = STATE(3949),
    [sym_module_path] = STATE(20861),
    [sym_constructor_path] = STATE(3949),
    [sym__constructor_name] = STATE(4075),
    [sym_tag] = STATE(3949),
    [aux_sym_class_application_repeat1] = STATE(2088),
    [sym__lowercase_identifier] = ACTIONS(3673),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3675),
    [anon_sym_QMARK] = ACTIONS(3675),
    [anon_sym_LPAREN] = ACTIONS(753),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(755),
    [anon_sym_true] = ACTIONS(757),
    [anon_sym_false] = ACTIONS(757),
    [anon_sym_LBRACE] = ACTIONS(759),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(761),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(765),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(775),
    [anon_sym_LBRACE_LT] = ACTIONS(777),
    [anon_sym_begin] = ACTIONS(779),
    [sym_ocamlyacc_value] = ACTIONS(781),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(783),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(785),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(787),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(789),
    [anon_sym_DQUOTE] = ACTIONS(791),
    [sym_prefix_operator] = ACTIONS(793),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(797),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(799),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2698] = {
    [sym_value_definition] = STATE(20214),
    [sym__simple_expression] = STATE(2352),
    [sym__expression] = STATE(9856),
    [sym_typed_expression] = STATE(5193),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5193),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5193),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4970),
    [sym_array_get_expression] = STATE(4970),
    [sym_string_get_expression] = STATE(4970),
    [sym_bigarray_get_expression] = STATE(4970),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5193),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2698),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym_sign_operator] = STATE(2360),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__instance_variable_name] = STATE(19425),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [sym__lowercase_identifier] = ACTIONS(573),
    [anon_sym_let] = ACTIONS(1235),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_fun] = ACTIONS(599),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_if] = ACTIONS(603),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(605),
    [anon_sym_function] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(609),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3519),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3521),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(633),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2699] = {
    [sym_value_definition] = STATE(19734),
    [sym__simple_expression] = STATE(2780),
    [sym__expression] = STATE(11229),
    [sym_typed_expression] = STATE(5959),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(5959),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(5959),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(5950),
    [sym_array_get_expression] = STATE(5950),
    [sym_string_get_expression] = STATE(5950),
    [sym_bigarray_get_expression] = STATE(5950),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(5959),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2699),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym_sign_operator] = STATE(2699),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__instance_variable_name] = STATE(19665),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [sym__lowercase_identifier] = ACTIONS(1299),
    [anon_sym_let] = ACTIONS(1373),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_fun] = ACTIONS(1375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_if] = ACTIONS(1377),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1379),
    [anon_sym_function] = ACTIONS(1381),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3563),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3565),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1385),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2700] = {
    [sym_value_definition] = STATE(22088),
    [sym__simple_expression] = STATE(2783),
    [sym__expression] = STATE(12001),
    [sym_typed_expression] = STATE(6186),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(6186),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(6186),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(6455),
    [sym_array_get_expression] = STATE(6455),
    [sym_string_get_expression] = STATE(6455),
    [sym_bigarray_get_expression] = STATE(6455),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(6186),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2700),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym_sign_operator] = STATE(2700),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__instance_variable_name] = STATE(22485),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [sym__lowercase_identifier] = ACTIONS(1545),
    [anon_sym_let] = ACTIONS(1547),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_fun] = ACTIONS(1559),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1563),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(1565),
    [anon_sym_function] = ACTIONS(1567),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1591),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2701] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9626),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2701),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2702] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10048),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2702),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2703] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11606),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2703),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2704] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11853),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2704),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2705] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11854),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2705),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2706] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9592),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2706),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2707] = {
    [sym_value_definition] = STATE(20511),
    [sym__simple_expression] = STATE(573),
    [sym__expression] = STATE(9305),
    [sym_typed_expression] = STATE(3531),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3531),
    [sym_array_expression] = STATE(3531),
    [sym_record_expression] = STATE(3531),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3531),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3531),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3374),
    [sym_array_get_expression] = STATE(3374),
    [sym_string_get_expression] = STATE(3374),
    [sym_bigarray_get_expression] = STATE(3374),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3531),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3531),
    [sym_package_expression] = STATE(3531),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3531),
    [sym_object_copy_expression] = STATE(3531),
    [sym_method_invocation] = STATE(3531),
    [sym_object_expression] = STATE(3531),
    [sym_parenthesized_expression] = STATE(3531),
    [sym_attribute] = STATE(2707),
    [sym_extension] = STATE(3531),
    [sym_quoted_extension] = STATE(3531),
    [sym__constant] = STATE(3531),
    [sym_number] = STATE(3674),
    [sym_character] = STATE(3674),
    [sym_string] = STATE(3674),
    [sym_quoted_string] = STATE(3674),
    [sym_boolean] = STATE(3674),
    [sym_unit] = STATE(3674),
    [sym_sign_operator] = STATE(2643),
    [sym__value_name] = STATE(3639),
    [sym_parenthesized_operator] = STATE(3791),
    [sym_value_path] = STATE(3531),
    [sym_module_path] = STATE(20787),
    [sym_constructor_path] = STATE(3531),
    [sym__instance_variable_name] = STATE(20674),
    [sym__constructor_name] = STATE(3562),
    [sym_tag] = STATE(3531),
    [sym__lowercase_identifier] = ACTIONS(357),
    [anon_sym_let] = ACTIONS(361),
    [anon_sym_LPAREN] = ACTIONS(365),
    [anon_sym_LBRACK] = ACTIONS(367),
    [anon_sym_true] = ACTIONS(369),
    [anon_sym_false] = ACTIONS(369),
    [anon_sym_LBRACE] = ACTIONS(371),
    [anon_sym_object] = ACTIONS(373),
    [anon_sym_fun] = ACTIONS(375),
    [anon_sym_LBRACK_PIPE] = ACTIONS(377),
    [anon_sym_if] = ACTIONS(379),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(381),
    [anon_sym_function] = ACTIONS(383),
    [anon_sym_try] = ACTIONS(385),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(387),
    [anon_sym_LBRACE_LT] = ACTIONS(389),
    [anon_sym_begin] = ACTIONS(391),
    [sym_ocamlyacc_value] = ACTIONS(393),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3585),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3587),
    [aux_sym_number_token1] = ACTIONS(401),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(403),
    [anon_sym_DQUOTE] = ACTIONS(405),
    [sym_prefix_operator] = ACTIONS(407),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(411),
    [sym__uppercase_identifier] = ACTIONS(413),
    [aux_sym_tag_token1] = ACTIONS(415),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2708] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12844),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2708),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2709] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13260),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2709),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2710] = {
    [sym__simple_expression] = STATE(4337),
    [sym_typed_expression] = STATE(4325),
    [sym_list_expression] = STATE(4325),
    [sym_array_expression] = STATE(4325),
    [sym_record_expression] = STATE(4325),
    [sym_labeled_argument] = STATE(5117),
    [sym_prefix_expression] = STATE(4325),
    [sym_hash_expression] = STATE(4325),
    [sym_field_get_expression] = STATE(4325),
    [sym_array_get_expression] = STATE(4325),
    [sym_string_get_expression] = STATE(4325),
    [sym_bigarray_get_expression] = STATE(4325),
    [sym_coercion_expression] = STATE(4325),
    [sym_local_open_expression] = STATE(4325),
    [sym_package_expression] = STATE(4325),
    [sym_new_expression] = STATE(4325),
    [sym_object_copy_expression] = STATE(4325),
    [sym_method_invocation] = STATE(4325),
    [sym_object_expression] = STATE(4325),
    [sym_parenthesized_expression] = STATE(4325),
    [sym_attribute] = STATE(2710),
    [sym_extension] = STATE(4325),
    [sym_quoted_extension] = STATE(4325),
    [sym__constant] = STATE(4325),
    [sym_number] = STATE(4188),
    [sym_character] = STATE(4188),
    [sym_string] = STATE(4188),
    [sym_quoted_string] = STATE(4188),
    [sym_boolean] = STATE(4188),
    [sym_unit] = STATE(4188),
    [sym__value_name] = STATE(4399),
    [sym_parenthesized_operator] = STATE(4397),
    [sym_value_path] = STATE(4325),
    [sym_module_path] = STATE(20170),
    [sym_constructor_path] = STATE(4325),
    [sym__constructor_name] = STATE(4089),
    [sym_tag] = STATE(4325),
    [aux_sym_class_application_repeat1] = STATE(2496),
    [sym__lowercase_identifier] = ACTIONS(3715),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3717),
    [anon_sym_QMARK] = ACTIONS(3717),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(701),
    [anon_sym_true] = ACTIONS(703),
    [anon_sym_false] = ACTIONS(703),
    [anon_sym_LBRACE] = ACTIONS(705),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(707),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(711),
    [anon_sym_new] = ACTIONS(721),
    [anon_sym_LBRACE_LT] = ACTIONS(723),
    [anon_sym_begin] = ACTIONS(725),
    [sym_ocamlyacc_value] = ACTIONS(727),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(729),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(731),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(733),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(735),
    [anon_sym_DQUOTE] = ACTIONS(737),
    [sym_prefix_operator] = ACTIONS(739),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(743),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(745),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2711] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13327),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2711),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2712] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11878),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2712),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2713] = {
    [sym_value_definition] = STATE(21309),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13472),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7165),
    [sym_array_get_expression] = STATE(7165),
    [sym_string_get_expression] = STATE(7165),
    [sym_bigarray_get_expression] = STATE(7165),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2713),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2287),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21440),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(2777),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(2789),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(2793),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(2795),
    [anon_sym_function] = ACTIONS(2797),
    [anon_sym_try] = ACTIONS(2799),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(2821),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2714] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11954),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2714),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2715] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11924),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2715),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2716] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11932),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2716),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2717] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11804),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2717),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2718] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13812),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2718),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2719] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11941),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2719),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2720] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9564),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2720),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2721] = {
    [sym_value_definition] = STATE(21596),
    [sym__simple_expression] = STATE(2840),
    [sym__expression] = STATE(14039),
    [sym_typed_expression] = STATE(8182),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(8182),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(8182),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7843),
    [sym_array_get_expression] = STATE(7843),
    [sym_string_get_expression] = STATE(7843),
    [sym_bigarray_get_expression] = STATE(7843),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(8182),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2721),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym_sign_operator] = STATE(2541),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__instance_variable_name] = STATE(21260),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [sym__lowercase_identifier] = ACTIONS(3221),
    [anon_sym_let] = ACTIONS(3395),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_fun] = ACTIONS(3397),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_if] = ACTIONS(3399),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3401),
    [anon_sym_function] = ACTIONS(3403),
    [anon_sym_try] = ACTIONS(3405),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3407),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2722] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9607),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2722),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2723] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11943),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2723),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2724] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11944),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2724),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2725] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9508),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2725),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2726] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13332),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2726),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2727] = {
    [sym_value_definition] = STATE(21567),
    [sym__simple_expression] = STATE(2787),
    [sym__expression] = STATE(11767),
    [sym_typed_expression] = STATE(6441),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(6441),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(6441),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(6168),
    [sym_array_get_expression] = STATE(6168),
    [sym_string_get_expression] = STATE(6168),
    [sym_bigarray_get_expression] = STATE(6168),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(6441),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2727),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym_sign_operator] = STATE(2696),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__instance_variable_name] = STATE(21658),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [sym__lowercase_identifier] = ACTIONS(1493),
    [anon_sym_let] = ACTIONS(1495),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_fun] = ACTIONS(1507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1513),
    [anon_sym_function] = ACTIONS(1515),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1539),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2728] = {
    [sym_value_definition] = STATE(20883),
    [sym__simple_expression] = STATE(2825),
    [sym__expression] = STATE(13946),
    [sym_typed_expression] = STATE(7426),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7426),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7426),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7459),
    [sym_array_get_expression] = STATE(7459),
    [sym_string_get_expression] = STATE(7459),
    [sym_bigarray_get_expression] = STATE(7459),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7426),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2728),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym_sign_operator] = STATE(2046),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__instance_variable_name] = STATE(20826),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [sym__lowercase_identifier] = ACTIONS(1947),
    [anon_sym_let] = ACTIONS(3089),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_fun] = ACTIONS(3091),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_if] = ACTIONS(3093),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3095),
    [anon_sym_function] = ACTIONS(3097),
    [anon_sym_try] = ACTIONS(3099),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3101),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2729] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13880),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2729),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2730] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13334),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2730),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2731] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9498),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2731),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2732] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13675),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2732),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2733] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9490),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2733),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2734] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9489),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2734),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2735] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9488),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2735),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2736] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9487),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2736),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2737] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9484),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2737),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2738] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9477),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2738),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2739] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9475),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2739),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2740] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9474),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2740),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2741] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9471),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2741),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2742] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9442),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2742),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2743] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13689),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2743),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2744] = {
    [sym_value_definition] = STATE(20794),
    [sym__simple_expression] = STATE(624),
    [sym__expression] = STATE(9428),
    [sym_typed_expression] = STATE(4172),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4172),
    [sym_array_expression] = STATE(4172),
    [sym_record_expression] = STATE(4172),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4172),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4172),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3785),
    [sym_array_get_expression] = STATE(3785),
    [sym_string_get_expression] = STATE(3785),
    [sym_bigarray_get_expression] = STATE(3785),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4172),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4172),
    [sym_package_expression] = STATE(4172),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4172),
    [sym_object_copy_expression] = STATE(4172),
    [sym_method_invocation] = STATE(4172),
    [sym_object_expression] = STATE(4172),
    [sym_parenthesized_expression] = STATE(4172),
    [sym_attribute] = STATE(2744),
    [sym_extension] = STATE(4172),
    [sym_quoted_extension] = STATE(4172),
    [sym__constant] = STATE(4172),
    [sym_number] = STATE(3943),
    [sym_character] = STATE(3943),
    [sym_string] = STATE(3943),
    [sym_quoted_string] = STATE(3943),
    [sym_boolean] = STATE(3943),
    [sym_unit] = STATE(3943),
    [sym_sign_operator] = STATE(2744),
    [sym__value_name] = STATE(4090),
    [sym_parenthesized_operator] = STATE(4025),
    [sym_value_path] = STATE(4172),
    [sym_module_path] = STATE(20673),
    [sym_constructor_path] = STATE(4172),
    [sym__instance_variable_name] = STATE(21018),
    [sym__constructor_name] = STATE(3971),
    [sym_tag] = STATE(4172),
    [sym__lowercase_identifier] = ACTIONS(853),
    [anon_sym_let] = ACTIONS(855),
    [anon_sym_LPAREN] = ACTIONS(857),
    [anon_sym_LBRACK] = ACTIONS(859),
    [anon_sym_true] = ACTIONS(861),
    [anon_sym_false] = ACTIONS(861),
    [anon_sym_LBRACE] = ACTIONS(863),
    [anon_sym_object] = ACTIONS(865),
    [anon_sym_fun] = ACTIONS(867),
    [anon_sym_LBRACK_PIPE] = ACTIONS(869),
    [anon_sym_if] = ACTIONS(871),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(873),
    [anon_sym_function] = ACTIONS(875),
    [anon_sym_try] = ACTIONS(877),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(879),
    [anon_sym_LBRACE_LT] = ACTIONS(881),
    [anon_sym_begin] = ACTIONS(883),
    [sym_ocamlyacc_value] = ACTIONS(885),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3593),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3595),
    [aux_sym_number_token1] = ACTIONS(891),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(893),
    [anon_sym_DQUOTE] = ACTIONS(895),
    [sym_prefix_operator] = ACTIONS(897),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(899),
    [sym__uppercase_identifier] = ACTIONS(901),
    [aux_sym_tag_token1] = ACTIONS(903),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2745] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13339),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2745),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2746] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10078),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2746),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2747] = {
    [sym_value_definition] = STATE(21009),
    [sym__simple_expression] = STATE(2816),
    [sym__expression] = STATE(13704),
    [sym_typed_expression] = STATE(7679),
    [sym_product_expression] = STATE(8926),
    [sym_cons_expression] = STATE(8926),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_application_expression] = STATE(8926),
    [sym_prefix_expression] = STATE(7679),
    [sym_sign_expression] = STATE(8926),
    [sym_hash_expression] = STATE(7679),
    [sym_infix_expression] = STATE(8926),
    [sym_field_get_expression] = STATE(7566),
    [sym_array_get_expression] = STATE(7566),
    [sym_string_get_expression] = STATE(7566),
    [sym_bigarray_get_expression] = STATE(7566),
    [sym_set_expression] = STATE(8926),
    [sym_if_expression] = STATE(8926),
    [sym_while_expression] = STATE(8926),
    [sym_for_expression] = STATE(8926),
    [sym_match_expression] = STATE(8926),
    [sym_function_expression] = STATE(8926),
    [sym_fun_expression] = STATE(8926),
    [sym_try_expression] = STATE(8926),
    [sym_let_expression] = STATE(8926),
    [sym_coercion_expression] = STATE(7679),
    [sym_assert_expression] = STATE(8926),
    [sym_lazy_expression] = STATE(8926),
    [sym_let_module_expression] = STATE(8926),
    [sym_let_open_expression] = STATE(8926),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_let_exception_expression] = STATE(8926),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2747),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym_sign_operator] = STATE(2729),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__instance_variable_name] = STATE(21025),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [sym__lowercase_identifier] = ACTIONS(2775),
    [anon_sym_let] = ACTIONS(3273),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_fun] = ACTIONS(3275),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_if] = ACTIONS(3277),
    [anon_sym_while] = ACTIONS(1357),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_match] = ACTIONS(3279),
    [anon_sym_function] = ACTIONS(3281),
    [anon_sym_try] = ACTIONS(3283),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_lazy] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(3285),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2748] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10066),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2748),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2749] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10064),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2749),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2750] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10063),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2750),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2751] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13340),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2751),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2752] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9617),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2752),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2753] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12593),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2753),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2754] = {
    [sym_value_definition] = STATE(21090),
    [sym__simple_expression] = STATE(2821),
    [sym__expression] = STATE(13345),
    [sym_typed_expression] = STATE(7552),
    [sym_product_expression] = STATE(9330),
    [sym_cons_expression] = STATE(9330),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_application_expression] = STATE(9330),
    [sym_prefix_expression] = STATE(7552),
    [sym_sign_expression] = STATE(9330),
    [sym_hash_expression] = STATE(7552),
    [sym_infix_expression] = STATE(9330),
    [sym_field_get_expression] = STATE(7170),
    [sym_array_get_expression] = STATE(7170),
    [sym_string_get_expression] = STATE(7170),
    [sym_bigarray_get_expression] = STATE(7170),
    [sym_set_expression] = STATE(9330),
    [sym_if_expression] = STATE(9330),
    [sym_while_expression] = STATE(9330),
    [sym_for_expression] = STATE(9330),
    [sym_match_expression] = STATE(9330),
    [sym_function_expression] = STATE(9330),
    [sym_fun_expression] = STATE(9330),
    [sym_try_expression] = STATE(9330),
    [sym_let_expression] = STATE(9330),
    [sym_coercion_expression] = STATE(7552),
    [sym_assert_expression] = STATE(9330),
    [sym_lazy_expression] = STATE(9330),
    [sym_let_module_expression] = STATE(9330),
    [sym_let_open_expression] = STATE(9330),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_let_exception_expression] = STATE(9330),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2754),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym_sign_operator] = STATE(2709),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__instance_variable_name] = STATE(21206),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [sym__lowercase_identifier] = ACTIONS(1895),
    [anon_sym_let] = ACTIONS(1897),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_fun] = ACTIONS(1909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_if] = ACTIONS(1913),
    [anon_sym_while] = ACTIONS(1259),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_match] = ACTIONS(1915),
    [anon_sym_function] = ACTIONS(1917),
    [anon_sym_try] = ACTIONS(1919),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_lazy] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1941),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2755] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10057),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2755),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2756] = {
    [sym_value_definition] = STATE(20221),
    [sym__simple_expression] = STATE(2207),
    [sym__expression] = STATE(10056),
    [sym_typed_expression] = STATE(5318),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(5318),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(5318),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(4908),
    [sym_array_get_expression] = STATE(4908),
    [sym_string_get_expression] = STATE(4908),
    [sym_bigarray_get_expression] = STATE(4908),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(5318),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2756),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym_sign_operator] = STATE(2346),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__instance_variable_name] = STATE(22130),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [sym__lowercase_identifier] = ACTIONS(9),
    [anon_sym_let] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_fun] = ACTIONS(41),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_if] = ACTIONS(45),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(51),
    [anon_sym_function] = ACTIONS(53),
    [anon_sym_try] = ACTIONS(55),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3589),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3591),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(93),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2757] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12846),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2757),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2758] = {
    [sym_value_definition] = STATE(21673),
    [sym__simple_expression] = STATE(2795),
    [sym__expression] = STATE(12845),
    [sym_typed_expression] = STATE(6694),
    [sym_product_expression] = STATE(11925),
    [sym_cons_expression] = STATE(11925),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_application_expression] = STATE(11925),
    [sym_prefix_expression] = STATE(6694),
    [sym_sign_expression] = STATE(11925),
    [sym_hash_expression] = STATE(6694),
    [sym_infix_expression] = STATE(11925),
    [sym_field_get_expression] = STATE(6757),
    [sym_array_get_expression] = STATE(6757),
    [sym_string_get_expression] = STATE(6757),
    [sym_bigarray_get_expression] = STATE(6757),
    [sym_set_expression] = STATE(11925),
    [sym_if_expression] = STATE(11925),
    [sym_while_expression] = STATE(11925),
    [sym_for_expression] = STATE(11925),
    [sym_match_expression] = STATE(11925),
    [sym_function_expression] = STATE(11925),
    [sym_fun_expression] = STATE(11925),
    [sym_try_expression] = STATE(11925),
    [sym_let_expression] = STATE(11925),
    [sym_coercion_expression] = STATE(6694),
    [sym_assert_expression] = STATE(11925),
    [sym_lazy_expression] = STATE(11925),
    [sym_let_module_expression] = STATE(11925),
    [sym_let_open_expression] = STATE(11925),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_let_exception_expression] = STATE(11925),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2758),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym_sign_operator] = STATE(2753),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__instance_variable_name] = STATE(21689),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [sym__lowercase_identifier] = ACTIONS(1599),
    [anon_sym_let] = ACTIONS(1659),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_fun] = ACTIONS(1661),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_if] = ACTIONS(1663),
    [anon_sym_while] = ACTIONS(1619),
    [anon_sym_for] = ACTIONS(1621),
    [anon_sym_match] = ACTIONS(1623),
    [anon_sym_function] = ACTIONS(1625),
    [anon_sym_try] = ACTIONS(1627),
    [anon_sym_assert] = ACTIONS(1629),
    [anon_sym_lazy] = ACTIONS(1631),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1653),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2759] = {
    [sym_value_definition] = STATE(20646),
    [sym__simple_expression] = STATE(501),
    [sym__expression] = STATE(9243),
    [sym_typed_expression] = STATE(3440),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(3440),
    [sym_array_expression] = STATE(3440),
    [sym_record_expression] = STATE(3440),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(3440),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(3440),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3350),
    [sym_array_get_expression] = STATE(3350),
    [sym_string_get_expression] = STATE(3350),
    [sym_bigarray_get_expression] = STATE(3350),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(3440),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(3440),
    [sym_package_expression] = STATE(3440),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(3440),
    [sym_object_copy_expression] = STATE(3440),
    [sym_method_invocation] = STATE(3440),
    [sym_object_expression] = STATE(3440),
    [sym_parenthesized_expression] = STATE(3440),
    [sym_attribute] = STATE(2759),
    [sym_extension] = STATE(3440),
    [sym_quoted_extension] = STATE(3440),
    [sym__constant] = STATE(3440),
    [sym_number] = STATE(3723),
    [sym_character] = STATE(3723),
    [sym_string] = STATE(3723),
    [sym_quoted_string] = STATE(3723),
    [sym_boolean] = STATE(3723),
    [sym_unit] = STATE(3723),
    [sym_sign_operator] = STATE(2692),
    [sym__value_name] = STATE(3518),
    [sym_parenthesized_operator] = STATE(3739),
    [sym_value_path] = STATE(3440),
    [sym_module_path] = STATE(20711),
    [sym_constructor_path] = STATE(3440),
    [sym__instance_variable_name] = STATE(20809),
    [sym__constructor_name] = STATE(3666),
    [sym_tag] = STATE(3440),
    [sym__lowercase_identifier] = ACTIONS(417),
    [anon_sym_let] = ACTIONS(419),
    [anon_sym_LPAREN] = ACTIONS(421),
    [anon_sym_LBRACK] = ACTIONS(423),
    [anon_sym_true] = ACTIONS(425),
    [anon_sym_false] = ACTIONS(425),
    [anon_sym_LBRACE] = ACTIONS(427),
    [anon_sym_object] = ACTIONS(429),
    [anon_sym_fun] = ACTIONS(431),
    [anon_sym_LBRACK_PIPE] = ACTIONS(433),
    [anon_sym_if] = ACTIONS(435),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(437),
    [anon_sym_function] = ACTIONS(439),
    [anon_sym_try] = ACTIONS(441),
    [anon_sym_assert] = ACTIONS(135),
    [anon_sym_lazy] = ACTIONS(137),
    [anon_sym_new] = ACTIONS(443),
    [anon_sym_LBRACE_LT] = ACTIONS(445),
    [anon_sym_begin] = ACTIONS(447),
    [sym_ocamlyacc_value] = ACTIONS(449),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3551),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3553),
    [aux_sym_number_token1] = ACTIONS(455),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(457),
    [anon_sym_DQUOTE] = ACTIONS(459),
    [sym_prefix_operator] = ACTIONS(461),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(463),
    [sym__uppercase_identifier] = ACTIONS(465),
    [aux_sym_tag_token1] = ACTIONS(467),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2760] = {
    [sym_value_definition] = STATE(21426),
    [sym__simple_expression] = STATE(1612),
    [sym__expression] = STATE(9620),
    [sym_typed_expression] = STATE(4670),
    [sym_product_expression] = STATE(9149),
    [sym_cons_expression] = STATE(9149),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_application_expression] = STATE(9149),
    [sym_prefix_expression] = STATE(4670),
    [sym_sign_expression] = STATE(9149),
    [sym_hash_expression] = STATE(4670),
    [sym_infix_expression] = STATE(9149),
    [sym_field_get_expression] = STATE(3953),
    [sym_array_get_expression] = STATE(3953),
    [sym_string_get_expression] = STATE(3953),
    [sym_bigarray_get_expression] = STATE(3953),
    [sym_set_expression] = STATE(9149),
    [sym_if_expression] = STATE(9149),
    [sym_while_expression] = STATE(9149),
    [sym_for_expression] = STATE(9149),
    [sym_match_expression] = STATE(9149),
    [sym_function_expression] = STATE(9149),
    [sym_fun_expression] = STATE(9149),
    [sym_try_expression] = STATE(9149),
    [sym_let_expression] = STATE(9149),
    [sym_coercion_expression] = STATE(4670),
    [sym_assert_expression] = STATE(9149),
    [sym_lazy_expression] = STATE(9149),
    [sym_let_module_expression] = STATE(9149),
    [sym_let_open_expression] = STATE(9149),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_let_exception_expression] = STATE(9149),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2760),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym_sign_operator] = STATE(2639),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__instance_variable_name] = STATE(21405),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [sym__lowercase_identifier] = ACTIONS(1025),
    [anon_sym_let] = ACTIONS(1027),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_fun] = ACTIONS(1039),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_if] = ACTIONS(1043),
    [anon_sym_while] = ACTIONS(47),
    [anon_sym_for] = ACTIONS(49),
    [anon_sym_match] = ACTIONS(1045),
    [anon_sym_function] = ACTIONS(1047),
    [anon_sym_try] = ACTIONS(1049),
    [anon_sym_assert] = ACTIONS(57),
    [anon_sym_lazy] = ACTIONS(59),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3529),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3531),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(81),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(89),
    [sym_let_operator] = ACTIONS(409),
    [sym_match_operator] = ACTIONS(1071),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2761] = {
    [sym__simple_expression] = STATE(4492),
    [sym_typed_expression] = STATE(4455),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_labeled_argument] = STATE(5164),
    [sym_prefix_expression] = STATE(4455),
    [sym_hash_expression] = STATE(4455),
    [sym_field_get_expression] = STATE(4455),
    [sym_array_get_expression] = STATE(4455),
    [sym_string_get_expression] = STATE(4455),
    [sym_bigarray_get_expression] = STATE(4455),
    [sym_coercion_expression] = STATE(4455),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2761),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [aux_sym_class_application_repeat1] = STATE(2761),
    [sym__lowercase_identifier] = ACTIONS(5041),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5044),
    [anon_sym_QMARK] = ACTIONS(5044),
    [anon_sym_LPAREN] = ACTIONS(5047),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5050),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(5053),
    [anon_sym_false] = ACTIONS(5053),
    [anon_sym_LBRACE] = ACTIONS(5056),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5059),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5062),
    [anon_sym_new] = ACTIONS(5065),
    [anon_sym_LBRACE_LT] = ACTIONS(5068),
    [anon_sym_begin] = ACTIONS(5071),
    [sym_ocamlyacc_value] = ACTIONS(5074),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5077),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5080),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5083),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5086),
    [anon_sym_DQUOTE] = ACTIONS(5089),
    [sym_prefix_operator] = ACTIONS(5092),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5095),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5098),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2762] = {
    [sym__simple_expression] = STATE(4647),
    [sym_typed_expression] = STATE(4670),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_labeled_argument] = STATE(5164),
    [sym_prefix_expression] = STATE(4670),
    [sym_hash_expression] = STATE(4670),
    [sym_field_get_expression] = STATE(4670),
    [sym_array_get_expression] = STATE(4670),
    [sym_string_get_expression] = STATE(4670),
    [sym_bigarray_get_expression] = STATE(4670),
    [sym_coercion_expression] = STATE(4670),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2762),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [aux_sym_class_application_repeat1] = STATE(2762),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(5101),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5104),
    [anon_sym_QMARK] = ACTIONS(5104),
    [anon_sym_LPAREN] = ACTIONS(5107),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5110),
    [anon_sym_true] = ACTIONS(5113),
    [anon_sym_false] = ACTIONS(5113),
    [anon_sym_LBRACE] = ACTIONS(5116),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5119),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5122),
    [anon_sym_new] = ACTIONS(5125),
    [anon_sym_LBRACE_LT] = ACTIONS(5128),
    [anon_sym_begin] = ACTIONS(5131),
    [sym_ocamlyacc_value] = ACTIONS(5134),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5137),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5140),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5143),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5146),
    [anon_sym_DQUOTE] = ACTIONS(5149),
    [sym_prefix_operator] = ACTIONS(5152),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5155),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5158),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2763] = {
    [sym__simple_expression] = STATE(4631),
    [sym_typed_expression] = STATE(4578),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(4578),
    [sym_hash_expression] = STATE(4578),
    [sym_field_get_expression] = STATE(4578),
    [sym_array_get_expression] = STATE(4578),
    [sym_string_get_expression] = STATE(4578),
    [sym_bigarray_get_expression] = STATE(4578),
    [sym_coercion_expression] = STATE(4578),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2763),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [aux_sym_class_application_repeat1] = STATE(2766),
    [sym__lowercase_identifier] = ACTIONS(3823),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3825),
    [anon_sym_QMARK] = ACTIONS(3825),
    [anon_sym_LPAREN] = ACTIONS(977),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(979),
    [anon_sym_true] = ACTIONS(981),
    [anon_sym_false] = ACTIONS(981),
    [anon_sym_LBRACE] = ACTIONS(983),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(985),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(989),
    [anon_sym_new] = ACTIONS(999),
    [anon_sym_LBRACE_LT] = ACTIONS(1001),
    [anon_sym_begin] = ACTIONS(1003),
    [sym_ocamlyacc_value] = ACTIONS(1005),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1007),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1009),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1011),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1013),
    [anon_sym_DQUOTE] = ACTIONS(1015),
    [sym_prefix_operator] = ACTIONS(1017),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1021),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(1023),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2764] = {
    [sym__simple_expression] = STATE(4492),
    [sym_typed_expression] = STATE(4455),
    [sym_list_expression] = STATE(4455),
    [sym_array_expression] = STATE(4455),
    [sym_record_expression] = STATE(4455),
    [sym_labeled_argument] = STATE(5164),
    [sym_prefix_expression] = STATE(4455),
    [sym_hash_expression] = STATE(4455),
    [sym_field_get_expression] = STATE(4455),
    [sym_array_get_expression] = STATE(4455),
    [sym_string_get_expression] = STATE(4455),
    [sym_bigarray_get_expression] = STATE(4455),
    [sym_coercion_expression] = STATE(4455),
    [sym_local_open_expression] = STATE(4455),
    [sym_package_expression] = STATE(4455),
    [sym_new_expression] = STATE(4455),
    [sym_object_copy_expression] = STATE(4455),
    [sym_method_invocation] = STATE(4455),
    [sym_object_expression] = STATE(4455),
    [sym_parenthesized_expression] = STATE(4455),
    [sym_attribute] = STATE(2764),
    [sym_extension] = STATE(4455),
    [sym_quoted_extension] = STATE(4455),
    [sym__constant] = STATE(4455),
    [sym_number] = STATE(4571),
    [sym_character] = STATE(4571),
    [sym_string] = STATE(4571),
    [sym_quoted_string] = STATE(4571),
    [sym_boolean] = STATE(4571),
    [sym_unit] = STATE(4571),
    [sym__value_name] = STATE(4488),
    [sym_parenthesized_operator] = STATE(4674),
    [sym_value_path] = STATE(4455),
    [sym_module_path] = STATE(20329),
    [sym_constructor_path] = STATE(4455),
    [sym__constructor_name] = STATE(4540),
    [sym_tag] = STATE(4455),
    [aux_sym_class_application_repeat1] = STATE(2761),
    [sym__lowercase_identifier] = ACTIONS(3813),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3815),
    [anon_sym_QMARK] = ACTIONS(3815),
    [anon_sym_LPAREN] = ACTIONS(911),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(913),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(915),
    [anon_sym_false] = ACTIONS(915),
    [anon_sym_LBRACE] = ACTIONS(917),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(919),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(923),
    [anon_sym_new] = ACTIONS(933),
    [anon_sym_LBRACE_LT] = ACTIONS(935),
    [anon_sym_begin] = ACTIONS(937),
    [sym_ocamlyacc_value] = ACTIONS(939),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(941),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(943),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(945),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(947),
    [anon_sym_DQUOTE] = ACTIONS(949),
    [sym_prefix_operator] = ACTIONS(951),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(955),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(957),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2765] = {
    [sym__simple_expression] = STATE(4647),
    [sym_typed_expression] = STATE(4670),
    [sym_list_expression] = STATE(4670),
    [sym_array_expression] = STATE(4670),
    [sym_record_expression] = STATE(4670),
    [sym_labeled_argument] = STATE(5164),
    [sym_prefix_expression] = STATE(4670),
    [sym_hash_expression] = STATE(4670),
    [sym_field_get_expression] = STATE(4670),
    [sym_array_get_expression] = STATE(4670),
    [sym_string_get_expression] = STATE(4670),
    [sym_bigarray_get_expression] = STATE(4670),
    [sym_coercion_expression] = STATE(4670),
    [sym_local_open_expression] = STATE(4670),
    [sym_package_expression] = STATE(4670),
    [sym_new_expression] = STATE(4670),
    [sym_object_copy_expression] = STATE(4670),
    [sym_method_invocation] = STATE(4670),
    [sym_object_expression] = STATE(4670),
    [sym_parenthesized_expression] = STATE(4670),
    [sym_attribute] = STATE(2765),
    [sym_extension] = STATE(4670),
    [sym_quoted_extension] = STATE(4670),
    [sym__constant] = STATE(4670),
    [sym_number] = STATE(4600),
    [sym_character] = STATE(4600),
    [sym_string] = STATE(4600),
    [sym_quoted_string] = STATE(4600),
    [sym_boolean] = STATE(4600),
    [sym_unit] = STATE(4600),
    [sym__value_name] = STATE(4712),
    [sym_parenthesized_operator] = STATE(4570),
    [sym_value_path] = STATE(4670),
    [sym_module_path] = STATE(20006),
    [sym_constructor_path] = STATE(4670),
    [sym__constructor_name] = STATE(4657),
    [sym_tag] = STATE(4670),
    [aux_sym_class_application_repeat1] = STATE(2762),
    [ts_builtin_sym_end] = ACTIONS(3909),
    [sym__lowercase_identifier] = ACTIONS(3803),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3805),
    [anon_sym_QMARK] = ACTIONS(3805),
    [anon_sym_LPAREN] = ACTIONS(1029),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1031),
    [anon_sym_true] = ACTIONS(1033),
    [anon_sym_false] = ACTIONS(1033),
    [anon_sym_LBRACE] = ACTIONS(1035),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1037),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1041),
    [anon_sym_new] = ACTIONS(1051),
    [anon_sym_LBRACE_LT] = ACTIONS(1053),
    [anon_sym_begin] = ACTIONS(1055),
    [sym_ocamlyacc_value] = ACTIONS(1057),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1059),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1061),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1063),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1065),
    [anon_sym_DQUOTE] = ACTIONS(1067),
    [sym_prefix_operator] = ACTIONS(1069),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1073),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(1075),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2766] = {
    [sym__simple_expression] = STATE(4631),
    [sym_typed_expression] = STATE(4578),
    [sym_list_expression] = STATE(4578),
    [sym_array_expression] = STATE(4578),
    [sym_record_expression] = STATE(4578),
    [sym_labeled_argument] = STATE(5461),
    [sym_prefix_expression] = STATE(4578),
    [sym_hash_expression] = STATE(4578),
    [sym_field_get_expression] = STATE(4578),
    [sym_array_get_expression] = STATE(4578),
    [sym_string_get_expression] = STATE(4578),
    [sym_bigarray_get_expression] = STATE(4578),
    [sym_coercion_expression] = STATE(4578),
    [sym_local_open_expression] = STATE(4578),
    [sym_package_expression] = STATE(4578),
    [sym_new_expression] = STATE(4578),
    [sym_object_copy_expression] = STATE(4578),
    [sym_method_invocation] = STATE(4578),
    [sym_object_expression] = STATE(4578),
    [sym_parenthesized_expression] = STATE(4578),
    [sym_attribute] = STATE(2766),
    [sym_extension] = STATE(4578),
    [sym_quoted_extension] = STATE(4578),
    [sym__constant] = STATE(4578),
    [sym_number] = STATE(4505),
    [sym_character] = STATE(4505),
    [sym_string] = STATE(4505),
    [sym_quoted_string] = STATE(4505),
    [sym_boolean] = STATE(4505),
    [sym_unit] = STATE(4505),
    [sym__value_name] = STATE(4684),
    [sym_parenthesized_operator] = STATE(4626),
    [sym_value_path] = STATE(4578),
    [sym_module_path] = STATE(20445),
    [sym_constructor_path] = STATE(4578),
    [sym__constructor_name] = STATE(4487),
    [sym_tag] = STATE(4578),
    [aux_sym_class_application_repeat1] = STATE(2766),
    [sym__lowercase_identifier] = ACTIONS(5161),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5164),
    [anon_sym_QMARK] = ACTIONS(5164),
    [anon_sym_LPAREN] = ACTIONS(5167),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5170),
    [anon_sym_true] = ACTIONS(5173),
    [anon_sym_false] = ACTIONS(5173),
    [anon_sym_LBRACE] = ACTIONS(5176),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5179),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5182),
    [anon_sym_new] = ACTIONS(5185),
    [anon_sym_LBRACE_LT] = ACTIONS(5188),
    [anon_sym_begin] = ACTIONS(5191),
    [sym_ocamlyacc_value] = ACTIONS(5194),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5197),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5200),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5203),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5206),
    [anon_sym_DQUOTE] = ACTIONS(5209),
    [sym_prefix_operator] = ACTIONS(5212),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5215),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5218),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2767] = {
    [sym__simple_expression] = STATE(5022),
    [sym_typed_expression] = STATE(4943),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_labeled_argument] = STATE(5604),
    [sym_prefix_expression] = STATE(4943),
    [sym_hash_expression] = STATE(4943),
    [sym_field_get_expression] = STATE(4943),
    [sym_array_get_expression] = STATE(4943),
    [sym_string_get_expression] = STATE(4943),
    [sym_bigarray_get_expression] = STATE(4943),
    [sym_coercion_expression] = STATE(4943),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2767),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [aux_sym_class_application_repeat1] = STATE(2769),
    [sym__lowercase_identifier] = ACTIONS(3923),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(3925),
    [anon_sym_QMARK] = ACTIONS(3925),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_true] = ACTIONS(1189),
    [anon_sym_false] = ACTIONS(1189),
    [anon_sym_LBRACE] = ACTIONS(1191),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1193),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1197),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1207),
    [anon_sym_LBRACE_LT] = ACTIONS(1209),
    [anon_sym_begin] = ACTIONS(1211),
    [sym_ocamlyacc_value] = ACTIONS(1213),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1215),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1217),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1219),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1223),
    [sym_prefix_operator] = ACTIONS(1225),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1229),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(1231),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2768] = {
    [sym__simple_expression] = STATE(4792),
    [sym_typed_expression] = STATE(4769),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_labeled_argument] = STATE(5517),
    [sym_prefix_expression] = STATE(4769),
    [sym_hash_expression] = STATE(4769),
    [sym_field_get_expression] = STATE(4769),
    [sym_array_get_expression] = STATE(4769),
    [sym_string_get_expression] = STATE(4769),
    [sym_bigarray_get_expression] = STATE(4769),
    [sym_coercion_expression] = STATE(4769),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2768),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [aux_sym_class_application_repeat1] = STATE(2770),
    [ts_builtin_sym_end] = ACTIONS(3909),
    [sym__lowercase_identifier] = ACTIONS(4541),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(4543),
    [anon_sym_QMARK] = ACTIONS(4543),
    [anon_sym_LPAREN] = ACTIONS(1133),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1135),
    [anon_sym_true] = ACTIONS(1137),
    [anon_sym_false] = ACTIONS(1137),
    [anon_sym_LBRACE] = ACTIONS(1139),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1141),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1145),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACE_LT] = ACTIONS(1157),
    [anon_sym_begin] = ACTIONS(1159),
    [sym_ocamlyacc_value] = ACTIONS(1161),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1163),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1165),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1167),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [sym_prefix_operator] = ACTIONS(1173),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1177),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(1179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2769] = {
    [sym__simple_expression] = STATE(5022),
    [sym_typed_expression] = STATE(4943),
    [sym_list_expression] = STATE(4943),
    [sym_array_expression] = STATE(4943),
    [sym_record_expression] = STATE(4943),
    [sym_labeled_argument] = STATE(5604),
    [sym_prefix_expression] = STATE(4943),
    [sym_hash_expression] = STATE(4943),
    [sym_field_get_expression] = STATE(4943),
    [sym_array_get_expression] = STATE(4943),
    [sym_string_get_expression] = STATE(4943),
    [sym_bigarray_get_expression] = STATE(4943),
    [sym_coercion_expression] = STATE(4943),
    [sym_local_open_expression] = STATE(4943),
    [sym_package_expression] = STATE(4943),
    [sym_new_expression] = STATE(4943),
    [sym_object_copy_expression] = STATE(4943),
    [sym_method_invocation] = STATE(4943),
    [sym_object_expression] = STATE(4943),
    [sym_parenthesized_expression] = STATE(4943),
    [sym_attribute] = STATE(2769),
    [sym_extension] = STATE(4943),
    [sym_quoted_extension] = STATE(4943),
    [sym__constant] = STATE(4943),
    [sym_number] = STATE(4865),
    [sym_character] = STATE(4865),
    [sym_string] = STATE(4865),
    [sym_quoted_string] = STATE(4865),
    [sym_boolean] = STATE(4865),
    [sym_unit] = STATE(4865),
    [sym__value_name] = STATE(5016),
    [sym_parenthesized_operator] = STATE(5032),
    [sym_value_path] = STATE(4943),
    [sym_module_path] = STATE(20211),
    [sym_constructor_path] = STATE(4943),
    [sym__constructor_name] = STATE(4933),
    [sym_tag] = STATE(4943),
    [aux_sym_class_application_repeat1] = STATE(2769),
    [sym__lowercase_identifier] = ACTIONS(5221),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5224),
    [anon_sym_QMARK] = ACTIONS(5224),
    [anon_sym_LPAREN] = ACTIONS(5227),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5230),
    [anon_sym_true] = ACTIONS(5233),
    [anon_sym_false] = ACTIONS(5233),
    [anon_sym_LBRACE] = ACTIONS(5236),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5239),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5242),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5245),
    [anon_sym_LBRACE_LT] = ACTIONS(5248),
    [anon_sym_begin] = ACTIONS(5251),
    [sym_ocamlyacc_value] = ACTIONS(5254),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5257),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5260),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5263),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5266),
    [anon_sym_DQUOTE] = ACTIONS(5269),
    [sym_prefix_operator] = ACTIONS(5272),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5275),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5278),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2770] = {
    [sym__simple_expression] = STATE(4792),
    [sym_typed_expression] = STATE(4769),
    [sym_list_expression] = STATE(4769),
    [sym_array_expression] = STATE(4769),
    [sym_record_expression] = STATE(4769),
    [sym_labeled_argument] = STATE(5517),
    [sym_prefix_expression] = STATE(4769),
    [sym_hash_expression] = STATE(4769),
    [sym_field_get_expression] = STATE(4769),
    [sym_array_get_expression] = STATE(4769),
    [sym_string_get_expression] = STATE(4769),
    [sym_bigarray_get_expression] = STATE(4769),
    [sym_coercion_expression] = STATE(4769),
    [sym_local_open_expression] = STATE(4769),
    [sym_package_expression] = STATE(4769),
    [sym_new_expression] = STATE(4769),
    [sym_object_copy_expression] = STATE(4769),
    [sym_method_invocation] = STATE(4769),
    [sym_object_expression] = STATE(4769),
    [sym_parenthesized_expression] = STATE(4769),
    [sym_attribute] = STATE(2770),
    [sym_extension] = STATE(4769),
    [sym_quoted_extension] = STATE(4769),
    [sym__constant] = STATE(4769),
    [sym_number] = STATE(4918),
    [sym_character] = STATE(4918),
    [sym_string] = STATE(4918),
    [sym_quoted_string] = STATE(4918),
    [sym_boolean] = STATE(4918),
    [sym_unit] = STATE(4918),
    [sym__value_name] = STATE(4936),
    [sym_parenthesized_operator] = STATE(5037),
    [sym_value_path] = STATE(4769),
    [sym_module_path] = STATE(19354),
    [sym_constructor_path] = STATE(4769),
    [sym__constructor_name] = STATE(4815),
    [sym_tag] = STATE(4769),
    [aux_sym_class_application_repeat1] = STATE(2770),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(5281),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5284),
    [anon_sym_QMARK] = ACTIONS(5284),
    [anon_sym_LPAREN] = ACTIONS(5287),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5290),
    [anon_sym_true] = ACTIONS(5293),
    [anon_sym_false] = ACTIONS(5293),
    [anon_sym_LBRACE] = ACTIONS(5296),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5299),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5302),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5305),
    [anon_sym_LBRACE_LT] = ACTIONS(5308),
    [anon_sym_begin] = ACTIONS(5311),
    [sym_ocamlyacc_value] = ACTIONS(5314),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5317),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5320),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5323),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5326),
    [anon_sym_DQUOTE] = ACTIONS(5329),
    [sym_prefix_operator] = ACTIONS(5332),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5335),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5338),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2771] = {
    [sym__simple_expression] = STATE(4776),
    [sym_typed_expression] = STATE(4768),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_labeled_argument] = STATE(5517),
    [sym_prefix_expression] = STATE(4768),
    [sym_hash_expression] = STATE(4768),
    [sym_field_get_expression] = STATE(4768),
    [sym_array_get_expression] = STATE(4768),
    [sym_string_get_expression] = STATE(4768),
    [sym_bigarray_get_expression] = STATE(4768),
    [sym_coercion_expression] = STATE(4768),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2771),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [aux_sym_class_application_repeat1] = STATE(2772),
    [sym__lowercase_identifier] = ACTIONS(4025),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(4027),
    [anon_sym_QMARK] = ACTIONS(4027),
    [anon_sym_LPAREN] = ACTIONS(1081),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1083),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1085),
    [anon_sym_false] = ACTIONS(1085),
    [anon_sym_LBRACE] = ACTIONS(1087),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1089),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1093),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1103),
    [anon_sym_LBRACE_LT] = ACTIONS(1105),
    [anon_sym_begin] = ACTIONS(1107),
    [sym_ocamlyacc_value] = ACTIONS(1109),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1111),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1113),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1115),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1117),
    [anon_sym_DQUOTE] = ACTIONS(1119),
    [sym_prefix_operator] = ACTIONS(1121),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1125),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(1127),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2772] = {
    [sym__simple_expression] = STATE(4776),
    [sym_typed_expression] = STATE(4768),
    [sym_list_expression] = STATE(4768),
    [sym_array_expression] = STATE(4768),
    [sym_record_expression] = STATE(4768),
    [sym_labeled_argument] = STATE(5517),
    [sym_prefix_expression] = STATE(4768),
    [sym_hash_expression] = STATE(4768),
    [sym_field_get_expression] = STATE(4768),
    [sym_array_get_expression] = STATE(4768),
    [sym_string_get_expression] = STATE(4768),
    [sym_bigarray_get_expression] = STATE(4768),
    [sym_coercion_expression] = STATE(4768),
    [sym_local_open_expression] = STATE(4768),
    [sym_package_expression] = STATE(4768),
    [sym_new_expression] = STATE(4768),
    [sym_object_copy_expression] = STATE(4768),
    [sym_method_invocation] = STATE(4768),
    [sym_object_expression] = STATE(4768),
    [sym_parenthesized_expression] = STATE(4768),
    [sym_attribute] = STATE(2772),
    [sym_extension] = STATE(4768),
    [sym_quoted_extension] = STATE(4768),
    [sym__constant] = STATE(4768),
    [sym_number] = STATE(4808),
    [sym_character] = STATE(4808),
    [sym_string] = STATE(4808),
    [sym_quoted_string] = STATE(4808),
    [sym_boolean] = STATE(4808),
    [sym_unit] = STATE(4808),
    [sym__value_name] = STATE(4892),
    [sym_parenthesized_operator] = STATE(5029),
    [sym_value_path] = STATE(4768),
    [sym_module_path] = STATE(20088),
    [sym_constructor_path] = STATE(4768),
    [sym__constructor_name] = STATE(4867),
    [sym_tag] = STATE(4768),
    [aux_sym_class_application_repeat1] = STATE(2772),
    [sym__lowercase_identifier] = ACTIONS(5341),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5344),
    [anon_sym_QMARK] = ACTIONS(5344),
    [anon_sym_LPAREN] = ACTIONS(5347),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5350),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(5353),
    [anon_sym_false] = ACTIONS(5353),
    [anon_sym_LBRACE] = ACTIONS(5356),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5359),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5362),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5365),
    [anon_sym_LBRACE_LT] = ACTIONS(5368),
    [anon_sym_begin] = ACTIONS(5371),
    [sym_ocamlyacc_value] = ACTIONS(5374),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5377),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5380),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5383),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5386),
    [anon_sym_DQUOTE] = ACTIONS(5389),
    [sym_prefix_operator] = ACTIONS(5392),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5395),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5398),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2773] = {
    [sym__simple_expression] = STATE(5382),
    [sym_typed_expression] = STATE(5193),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_labeled_argument] = STATE(5641),
    [sym_prefix_expression] = STATE(5193),
    [sym_hash_expression] = STATE(5193),
    [sym_field_get_expression] = STATE(5193),
    [sym_array_get_expression] = STATE(5193),
    [sym_string_get_expression] = STATE(5193),
    [sym_bigarray_get_expression] = STATE(5193),
    [sym_coercion_expression] = STATE(5193),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2773),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [aux_sym_class_application_repeat1] = STATE(2773),
    [sym__lowercase_identifier] = ACTIONS(5401),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5404),
    [anon_sym_QMARK] = ACTIONS(5404),
    [anon_sym_LPAREN] = ACTIONS(5407),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5410),
    [anon_sym_true] = ACTIONS(5413),
    [anon_sym_false] = ACTIONS(5413),
    [anon_sym_LBRACE] = ACTIONS(5416),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5419),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5422),
    [anon_sym_new] = ACTIONS(5425),
    [anon_sym_LBRACE_LT] = ACTIONS(5428),
    [anon_sym_begin] = ACTIONS(5431),
    [sym_ocamlyacc_value] = ACTIONS(5434),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5437),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5440),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5443),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5446),
    [anon_sym_DQUOTE] = ACTIONS(5449),
    [sym_prefix_operator] = ACTIONS(5452),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5455),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5458),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2774] = {
    [sym__simple_expression] = STATE(5135),
    [sym_typed_expression] = STATE(5409),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_labeled_argument] = STATE(5597),
    [sym_prefix_expression] = STATE(5409),
    [sym_hash_expression] = STATE(5409),
    [sym_field_get_expression] = STATE(5409),
    [sym_array_get_expression] = STATE(5409),
    [sym_string_get_expression] = STATE(5409),
    [sym_bigarray_get_expression] = STATE(5409),
    [sym_coercion_expression] = STATE(5409),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2774),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [aux_sym_class_application_repeat1] = STATE(2777),
    [sym__lowercase_identifier] = ACTIONS(4711),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(4713),
    [anon_sym_QMARK] = ACTIONS(4713),
    [anon_sym_LPAREN] = ACTIONS(107),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(109),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(113),
    [anon_sym_false] = ACTIONS(113),
    [anon_sym_LBRACE] = ACTIONS(117),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(121),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(125),
    [anon_sym_new] = ACTIONS(139),
    [anon_sym_LBRACE_LT] = ACTIONS(141),
    [anon_sym_begin] = ACTIONS(143),
    [sym_ocamlyacc_value] = ACTIONS(145),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(147),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(149),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(151),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(153),
    [anon_sym_DQUOTE] = ACTIONS(155),
    [sym_prefix_operator] = ACTIONS(157),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(163),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2775] = {
    [sym__simple_expression] = STATE(5271),
    [sym_typed_expression] = STATE(5318),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_labeled_argument] = STATE(5597),
    [sym_prefix_expression] = STATE(5318),
    [sym_hash_expression] = STATE(5318),
    [sym_field_get_expression] = STATE(5318),
    [sym_array_get_expression] = STATE(5318),
    [sym_string_get_expression] = STATE(5318),
    [sym_bigarray_get_expression] = STATE(5318),
    [sym_coercion_expression] = STATE(5318),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2775),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [aux_sym_class_application_repeat1] = STATE(2778),
    [ts_builtin_sym_end] = ACTIONS(3909),
    [sym__lowercase_identifier] = ACTIONS(4841),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(4843),
    [anon_sym_QMARK] = ACTIONS(4843),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(23),
    [anon_sym_true] = ACTIONS(25),
    [anon_sym_false] = ACTIONS(25),
    [anon_sym_LBRACE] = ACTIONS(27),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(39),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(43),
    [anon_sym_new] = ACTIONS(61),
    [anon_sym_LBRACE_LT] = ACTIONS(63),
    [anon_sym_begin] = ACTIONS(65),
    [sym_ocamlyacc_value] = ACTIONS(67),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(71),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(73),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(79),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(83),
    [anon_sym_DQUOTE] = ACTIONS(85),
    [sym_prefix_operator] = ACTIONS(87),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(95),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(99),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2776] = {
    [sym__simple_expression] = STATE(5382),
    [sym_typed_expression] = STATE(5193),
    [sym_list_expression] = STATE(5193),
    [sym_array_expression] = STATE(5193),
    [sym_record_expression] = STATE(5193),
    [sym_labeled_argument] = STATE(5641),
    [sym_prefix_expression] = STATE(5193),
    [sym_hash_expression] = STATE(5193),
    [sym_field_get_expression] = STATE(5193),
    [sym_array_get_expression] = STATE(5193),
    [sym_string_get_expression] = STATE(5193),
    [sym_bigarray_get_expression] = STATE(5193),
    [sym_coercion_expression] = STATE(5193),
    [sym_local_open_expression] = STATE(5193),
    [sym_package_expression] = STATE(5193),
    [sym_new_expression] = STATE(5193),
    [sym_object_copy_expression] = STATE(5193),
    [sym_method_invocation] = STATE(5193),
    [sym_object_expression] = STATE(5193),
    [sym_parenthesized_expression] = STATE(5193),
    [sym_attribute] = STATE(2776),
    [sym_extension] = STATE(5193),
    [sym_quoted_extension] = STATE(5193),
    [sym__constant] = STATE(5193),
    [sym_number] = STATE(5288),
    [sym_character] = STATE(5288),
    [sym_string] = STATE(5288),
    [sym_quoted_string] = STATE(5288),
    [sym_boolean] = STATE(5288),
    [sym_unit] = STATE(5288),
    [sym__value_name] = STATE(5295),
    [sym_parenthesized_operator] = STATE(5299),
    [sym_value_path] = STATE(5193),
    [sym_module_path] = STATE(20220),
    [sym_constructor_path] = STATE(5193),
    [sym__constructor_name] = STATE(5283),
    [sym_tag] = STATE(5193),
    [aux_sym_class_application_repeat1] = STATE(2773),
    [sym__lowercase_identifier] = ACTIONS(4911),
    [anon_sym_SEMI_SEMI] = ACTIONS(3909),
    [anon_sym_let] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(4913),
    [anon_sym_QMARK] = ACTIONS(4913),
    [anon_sym_LPAREN] = ACTIONS(579),
    [anon_sym_external] = ACTIONS(3911),
    [anon_sym_type] = ACTIONS(3911),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(583),
    [anon_sym_true] = ACTIONS(585),
    [anon_sym_false] = ACTIONS(585),
    [anon_sym_LBRACE] = ACTIONS(587),
    [anon_sym_SEMI] = ACTIONS(3911),
    [anon_sym_exception] = ACTIONS(3911),
    [anon_sym_module] = ACTIONS(3911),
    [anon_sym_open] = ACTIONS(3911),
    [anon_sym_include] = ACTIONS(3911),
    [anon_sym_class] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(597),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(601),
    [anon_sym_new] = ACTIONS(611),
    [anon_sym_LBRACE_LT] = ACTIONS(613),
    [anon_sym_begin] = ACTIONS(615),
    [sym_ocamlyacc_value] = ACTIONS(617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(619),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(621),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(623),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(625),
    [anon_sym_DQUOTE] = ACTIONS(627),
    [sym_prefix_operator] = ACTIONS(629),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(635),
    [aux_sym_directive_token1] = ACTIONS(3909),
    [aux_sym_tag_token1] = ACTIONS(639),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2777] = {
    [sym__simple_expression] = STATE(5135),
    [sym_typed_expression] = STATE(5409),
    [sym_list_expression] = STATE(5409),
    [sym_array_expression] = STATE(5409),
    [sym_record_expression] = STATE(5409),
    [sym_labeled_argument] = STATE(5597),
    [sym_prefix_expression] = STATE(5409),
    [sym_hash_expression] = STATE(5409),
    [sym_field_get_expression] = STATE(5409),
    [sym_array_get_expression] = STATE(5409),
    [sym_string_get_expression] = STATE(5409),
    [sym_bigarray_get_expression] = STATE(5409),
    [sym_coercion_expression] = STATE(5409),
    [sym_local_open_expression] = STATE(5409),
    [sym_package_expression] = STATE(5409),
    [sym_new_expression] = STATE(5409),
    [sym_object_copy_expression] = STATE(5409),
    [sym_method_invocation] = STATE(5409),
    [sym_object_expression] = STATE(5409),
    [sym_parenthesized_expression] = STATE(5409),
    [sym_attribute] = STATE(2777),
    [sym_extension] = STATE(5409),
    [sym_quoted_extension] = STATE(5409),
    [sym__constant] = STATE(5409),
    [sym_number] = STATE(5187),
    [sym_character] = STATE(5187),
    [sym_string] = STATE(5187),
    [sym_quoted_string] = STATE(5187),
    [sym_boolean] = STATE(5187),
    [sym_unit] = STATE(5187),
    [sym__value_name] = STATE(5213),
    [sym_parenthesized_operator] = STATE(5326),
    [sym_value_path] = STATE(5409),
    [sym_module_path] = STATE(21004),
    [sym_constructor_path] = STATE(5409),
    [sym__constructor_name] = STATE(5172),
    [sym_tag] = STATE(5409),
    [aux_sym_class_application_repeat1] = STATE(2777),
    [sym__lowercase_identifier] = ACTIONS(5461),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5464),
    [anon_sym_QMARK] = ACTIONS(5464),
    [anon_sym_LPAREN] = ACTIONS(5467),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5470),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(5473),
    [anon_sym_false] = ACTIONS(5473),
    [anon_sym_LBRACE] = ACTIONS(5476),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5479),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5482),
    [anon_sym_new] = ACTIONS(5485),
    [anon_sym_LBRACE_LT] = ACTIONS(5488),
    [anon_sym_begin] = ACTIONS(5491),
    [sym_ocamlyacc_value] = ACTIONS(5494),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5497),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5500),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5503),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5506),
    [anon_sym_DQUOTE] = ACTIONS(5509),
    [sym_prefix_operator] = ACTIONS(5512),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5515),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5518),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2778] = {
    [sym__simple_expression] = STATE(5271),
    [sym_typed_expression] = STATE(5318),
    [sym_list_expression] = STATE(5318),
    [sym_array_expression] = STATE(5318),
    [sym_record_expression] = STATE(5318),
    [sym_labeled_argument] = STATE(5597),
    [sym_prefix_expression] = STATE(5318),
    [sym_hash_expression] = STATE(5318),
    [sym_field_get_expression] = STATE(5318),
    [sym_array_get_expression] = STATE(5318),
    [sym_string_get_expression] = STATE(5318),
    [sym_bigarray_get_expression] = STATE(5318),
    [sym_coercion_expression] = STATE(5318),
    [sym_local_open_expression] = STATE(5318),
    [sym_package_expression] = STATE(5318),
    [sym_new_expression] = STATE(5318),
    [sym_object_copy_expression] = STATE(5318),
    [sym_method_invocation] = STATE(5318),
    [sym_object_expression] = STATE(5318),
    [sym_parenthesized_expression] = STATE(5318),
    [sym_attribute] = STATE(2778),
    [sym_extension] = STATE(5318),
    [sym_quoted_extension] = STATE(5318),
    [sym__constant] = STATE(5318),
    [sym_number] = STATE(5344),
    [sym_character] = STATE(5344),
    [sym_string] = STATE(5344),
    [sym_quoted_string] = STATE(5344),
    [sym_boolean] = STATE(5344),
    [sym_unit] = STATE(5344),
    [sym__value_name] = STATE(5077),
    [sym_parenthesized_operator] = STATE(5153),
    [sym_value_path] = STATE(5318),
    [sym_module_path] = STATE(22132),
    [sym_constructor_path] = STATE(5318),
    [sym__constructor_name] = STATE(5234),
    [sym_tag] = STATE(5318),
    [aux_sym_class_application_repeat1] = STATE(2778),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(5521),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(5524),
    [anon_sym_QMARK] = ACTIONS(5524),
    [anon_sym_LPAREN] = ACTIONS(5527),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5530),
    [anon_sym_true] = ACTIONS(5533),
    [anon_sym_false] = ACTIONS(5533),
    [anon_sym_LBRACE] = ACTIONS(5536),
    [anon_sym_SEMI] = ACTIONS(3850),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5539),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5542),
    [anon_sym_new] = ACTIONS(5545),
    [anon_sym_LBRACE_LT] = ACTIONS(5548),
    [anon_sym_begin] = ACTIONS(5551),
    [sym_ocamlyacc_value] = ACTIONS(5554),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5557),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5560),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5563),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5566),
    [anon_sym_DQUOTE] = ACTIONS(5569),
    [sym_prefix_operator] = ACTIONS(5572),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5575),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(5578),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2779] = {
    [sym__simple_expression] = STATE(5869),
    [sym_typed_expression] = STATE(5841),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_labeled_argument] = STATE(6314),
    [sym_prefix_expression] = STATE(5841),
    [sym_hash_expression] = STATE(5841),
    [sym_field_get_expression] = STATE(5841),
    [sym_array_get_expression] = STATE(5841),
    [sym_string_get_expression] = STATE(5841),
    [sym_bigarray_get_expression] = STATE(5841),
    [sym_coercion_expression] = STATE(5841),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2779),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [aux_sym_class_application_repeat1] = STATE(2784),
    [sym__lowercase_identifier] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(5585),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_constraint] = ACTIONS(3575),
    [anon_sym_val] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(3575),
    [anon_sym_method] = ACTIONS(3575),
    [anon_sym_initializer] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(5587),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5589),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2780] = {
    [sym__simple_expression] = STATE(5963),
    [sym_typed_expression] = STATE(5959),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_labeled_argument] = STATE(6440),
    [sym_prefix_expression] = STATE(5959),
    [sym_hash_expression] = STATE(5959),
    [sym_field_get_expression] = STATE(5959),
    [sym_array_get_expression] = STATE(5959),
    [sym_string_get_expression] = STATE(5959),
    [sym_bigarray_get_expression] = STATE(5959),
    [sym_coercion_expression] = STATE(5959),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2780),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [aux_sym_class_application_repeat1] = STATE(2788),
    [sym__lowercase_identifier] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(5595),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_constraint] = ACTIONS(3575),
    [anon_sym_val] = ACTIONS(3575),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_inherit] = ACTIONS(3575),
    [anon_sym_method] = ACTIONS(3575),
    [anon_sym_initializer] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(5597),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3575),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3573),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3573),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5599),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2781] = {
    [sym__simple_expression] = STATE(6131),
    [sym_typed_expression] = STATE(6108),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_labeled_argument] = STATE(6577),
    [sym_prefix_expression] = STATE(6108),
    [sym_hash_expression] = STATE(6108),
    [sym_field_get_expression] = STATE(6108),
    [sym_array_get_expression] = STATE(6108),
    [sym_string_get_expression] = STATE(6108),
    [sym_bigarray_get_expression] = STATE(6108),
    [sym_coercion_expression] = STATE(6108),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2781),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [aux_sym_class_application_repeat1] = STATE(2790),
    [sym__lowercase_identifier] = ACTIONS(5601),
    [anon_sym_COLON_GT] = ACTIONS(3573),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(3573),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(3575),
    [anon_sym_DOT] = ACTIONS(5605),
    [anon_sym_DASH_GT] = ACTIONS(3575),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_POUND] = ACTIONS(5607),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3573),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(3573),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5609),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2782] = {
    [sym__simple_expression] = STATE(6322),
    [sym_typed_expression] = STATE(6205),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_labeled_argument] = STATE(6691),
    [sym_prefix_expression] = STATE(6205),
    [sym_hash_expression] = STATE(6205),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_coercion_expression] = STATE(6205),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2782),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [aux_sym_class_application_repeat1] = STATE(2791),
    [sym__lowercase_identifier] = ACTIONS(5611),
    [anon_sym_COLON_GT] = ACTIONS(3573),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(3573),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(3575),
    [anon_sym_DOT] = ACTIONS(5615),
    [anon_sym_DASH_GT] = ACTIONS(3575),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_POUND] = ACTIONS(5617),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(3573),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5619),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2783] = {
    [sym__simple_expression] = STATE(6300),
    [sym_typed_expression] = STATE(6186),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_labeled_argument] = STATE(6631),
    [sym_prefix_expression] = STATE(6186),
    [sym_hash_expression] = STATE(6186),
    [sym_field_get_expression] = STATE(6186),
    [sym_array_get_expression] = STATE(6186),
    [sym_string_get_expression] = STATE(6186),
    [sym_bigarray_get_expression] = STATE(6186),
    [sym_coercion_expression] = STATE(6186),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2783),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [aux_sym_class_application_repeat1] = STATE(2796),
    [sym__lowercase_identifier] = ACTIONS(5621),
    [anon_sym_COLON_GT] = ACTIONS(3573),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3573),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(3575),
    [anon_sym_DOT] = ACTIONS(5625),
    [anon_sym_DASH_GT] = ACTIONS(3575),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_POUND] = ACTIONS(5627),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3573),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(3573),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5629),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2784] = {
    [sym__simple_expression] = STATE(5869),
    [sym_typed_expression] = STATE(5841),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_labeled_argument] = STATE(6314),
    [sym_prefix_expression] = STATE(5841),
    [sym_hash_expression] = STATE(5841),
    [sym_field_get_expression] = STATE(5841),
    [sym_array_get_expression] = STATE(5841),
    [sym_string_get_expression] = STATE(5841),
    [sym_bigarray_get_expression] = STATE(5841),
    [sym_coercion_expression] = STATE(5841),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2784),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [aux_sym_class_application_repeat1] = STATE(2785),
    [sym__lowercase_identifier] = ACTIONS(5581),
    [anon_sym_TILDE] = ACTIONS(5583),
    [anon_sym_QMARK] = ACTIONS(5583),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_true] = ACTIONS(1247),
    [anon_sym_false] = ACTIONS(1247),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_constraint] = ACTIONS(3911),
    [anon_sym_val] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1251),
    [anon_sym_inherit] = ACTIONS(3911),
    [anon_sym_method] = ACTIONS(3911),
    [anon_sym_initializer] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1255),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACE_LT] = ACTIONS(1275),
    [anon_sym_begin] = ACTIONS(1277),
    [sym_ocamlyacc_value] = ACTIONS(1279),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1281),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1283),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1285),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [sym_prefix_operator] = ACTIONS(1291),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1295),
    [aux_sym_tag_token1] = ACTIONS(1297),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2785] = {
    [sym__simple_expression] = STATE(5869),
    [sym_typed_expression] = STATE(5841),
    [sym_list_expression] = STATE(5841),
    [sym_array_expression] = STATE(5841),
    [sym_record_expression] = STATE(5841),
    [sym_labeled_argument] = STATE(6314),
    [sym_prefix_expression] = STATE(5841),
    [sym_hash_expression] = STATE(5841),
    [sym_field_get_expression] = STATE(5841),
    [sym_array_get_expression] = STATE(5841),
    [sym_string_get_expression] = STATE(5841),
    [sym_bigarray_get_expression] = STATE(5841),
    [sym_coercion_expression] = STATE(5841),
    [sym_local_open_expression] = STATE(5841),
    [sym_package_expression] = STATE(5841),
    [sym_new_expression] = STATE(5841),
    [sym_object_copy_expression] = STATE(5841),
    [sym_method_invocation] = STATE(5841),
    [sym_object_expression] = STATE(5841),
    [sym_parenthesized_expression] = STATE(5841),
    [sym_attribute] = STATE(2785),
    [sym_extension] = STATE(5841),
    [sym_quoted_extension] = STATE(5841),
    [sym__constant] = STATE(5841),
    [sym_number] = STATE(5871),
    [sym_character] = STATE(5871),
    [sym_string] = STATE(5871),
    [sym_quoted_string] = STATE(5871),
    [sym_boolean] = STATE(5871),
    [sym_unit] = STATE(5871),
    [sym__value_name] = STATE(5864),
    [sym_parenthesized_operator] = STATE(5877),
    [sym_value_path] = STATE(5841),
    [sym_module_path] = STATE(20251),
    [sym_constructor_path] = STATE(5841),
    [sym__constructor_name] = STATE(5822),
    [sym_tag] = STATE(5841),
    [aux_sym_class_application_repeat1] = STATE(2785),
    [sym__lowercase_identifier] = ACTIONS(5631),
    [anon_sym_TILDE] = ACTIONS(5634),
    [anon_sym_QMARK] = ACTIONS(5634),
    [anon_sym_LPAREN] = ACTIONS(5637),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5640),
    [anon_sym_true] = ACTIONS(5643),
    [anon_sym_false] = ACTIONS(5643),
    [anon_sym_LBRACE] = ACTIONS(5646),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_constraint] = ACTIONS(3850),
    [anon_sym_val] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5649),
    [anon_sym_inherit] = ACTIONS(3850),
    [anon_sym_method] = ACTIONS(3850),
    [anon_sym_initializer] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5652),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5655),
    [anon_sym_LBRACE_LT] = ACTIONS(5658),
    [anon_sym_begin] = ACTIONS(5661),
    [sym_ocamlyacc_value] = ACTIONS(5664),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5670),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5673),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5676),
    [anon_sym_DQUOTE] = ACTIONS(5679),
    [sym_prefix_operator] = ACTIONS(5682),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5685),
    [aux_sym_tag_token1] = ACTIONS(5688),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2786] = {
    [sym__simple_expression] = STATE(5963),
    [sym_typed_expression] = STATE(5959),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_labeled_argument] = STATE(6440),
    [sym_prefix_expression] = STATE(5959),
    [sym_hash_expression] = STATE(5959),
    [sym_field_get_expression] = STATE(5959),
    [sym_array_get_expression] = STATE(5959),
    [sym_string_get_expression] = STATE(5959),
    [sym_bigarray_get_expression] = STATE(5959),
    [sym_coercion_expression] = STATE(5959),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2786),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [aux_sym_class_application_repeat1] = STATE(2786),
    [sym__lowercase_identifier] = ACTIONS(5691),
    [anon_sym_TILDE] = ACTIONS(5694),
    [anon_sym_QMARK] = ACTIONS(5694),
    [anon_sym_LPAREN] = ACTIONS(5697),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5700),
    [anon_sym_true] = ACTIONS(5703),
    [anon_sym_false] = ACTIONS(5703),
    [anon_sym_LBRACE] = ACTIONS(5706),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_constraint] = ACTIONS(3850),
    [anon_sym_val] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(5709),
    [anon_sym_inherit] = ACTIONS(3850),
    [anon_sym_method] = ACTIONS(3850),
    [anon_sym_initializer] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5712),
    [anon_sym_new] = ACTIONS(5715),
    [anon_sym_LBRACE_LT] = ACTIONS(5718),
    [anon_sym_begin] = ACTIONS(5721),
    [sym_ocamlyacc_value] = ACTIONS(5724),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5727),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5730),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(5733),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5736),
    [anon_sym_DQUOTE] = ACTIONS(5739),
    [sym_prefix_operator] = ACTIONS(5742),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5745),
    [aux_sym_tag_token1] = ACTIONS(5748),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2787] = {
    [sym__simple_expression] = STATE(6449),
    [sym_typed_expression] = STATE(6441),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_labeled_argument] = STATE(6791),
    [sym_prefix_expression] = STATE(6441),
    [sym_hash_expression] = STATE(6441),
    [sym_field_get_expression] = STATE(6441),
    [sym_array_get_expression] = STATE(6441),
    [sym_string_get_expression] = STATE(6441),
    [sym_bigarray_get_expression] = STATE(6441),
    [sym_coercion_expression] = STATE(6441),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2787),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [aux_sym_class_application_repeat1] = STATE(2812),
    [sym__lowercase_identifier] = ACTIONS(5751),
    [anon_sym_COLON_GT] = ACTIONS(3573),
    [anon_sym_TILDE] = ACTIONS(5753),
    [anon_sym_QMARK] = ACTIONS(5753),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(3573),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(3573),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(3575),
    [anon_sym_DOT] = ACTIONS(5755),
    [anon_sym_DASH_GT] = ACTIONS(3575),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_RBRACE] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_POUND] = ACTIONS(5757),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(3573),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5759),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2788] = {
    [sym__simple_expression] = STATE(5963),
    [sym_typed_expression] = STATE(5959),
    [sym_list_expression] = STATE(5959),
    [sym_array_expression] = STATE(5959),
    [sym_record_expression] = STATE(5959),
    [sym_labeled_argument] = STATE(6440),
    [sym_prefix_expression] = STATE(5959),
    [sym_hash_expression] = STATE(5959),
    [sym_field_get_expression] = STATE(5959),
    [sym_array_get_expression] = STATE(5959),
    [sym_string_get_expression] = STATE(5959),
    [sym_bigarray_get_expression] = STATE(5959),
    [sym_coercion_expression] = STATE(5959),
    [sym_local_open_expression] = STATE(5959),
    [sym_package_expression] = STATE(5959),
    [sym_new_expression] = STATE(5959),
    [sym_object_copy_expression] = STATE(5959),
    [sym_method_invocation] = STATE(5959),
    [sym_object_expression] = STATE(5959),
    [sym_parenthesized_expression] = STATE(5959),
    [sym_attribute] = STATE(2788),
    [sym_extension] = STATE(5959),
    [sym_quoted_extension] = STATE(5959),
    [sym__constant] = STATE(5959),
    [sym_number] = STATE(5986),
    [sym_character] = STATE(5986),
    [sym_string] = STATE(5986),
    [sym_quoted_string] = STATE(5986),
    [sym_boolean] = STATE(5986),
    [sym_unit] = STATE(5986),
    [sym__value_name] = STATE(5919),
    [sym_parenthesized_operator] = STATE(5914),
    [sym_value_path] = STATE(5959),
    [sym_module_path] = STATE(19987),
    [sym_constructor_path] = STATE(5959),
    [sym__constructor_name] = STATE(5982),
    [sym_tag] = STATE(5959),
    [aux_sym_class_application_repeat1] = STATE(2786),
    [sym__lowercase_identifier] = ACTIONS(5591),
    [anon_sym_TILDE] = ACTIONS(5593),
    [anon_sym_QMARK] = ACTIONS(5593),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_true] = ACTIONS(1307),
    [anon_sym_false] = ACTIONS(1307),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_constraint] = ACTIONS(3911),
    [anon_sym_val] = ACTIONS(3911),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1311),
    [anon_sym_inherit] = ACTIONS(3911),
    [anon_sym_method] = ACTIONS(3911),
    [anon_sym_initializer] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1315),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACE_LT] = ACTIONS(1327),
    [anon_sym_begin] = ACTIONS(1329),
    [sym_ocamlyacc_value] = ACTIONS(1331),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3911),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1333),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1335),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3909),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3909),
    [aux_sym_number_token1] = ACTIONS(1337),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1339),
    [anon_sym_DQUOTE] = ACTIONS(1341),
    [sym_prefix_operator] = ACTIONS(1343),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1347),
    [aux_sym_tag_token1] = ACTIONS(1349),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2789] = {
    [sym__simple_expression] = STATE(6131),
    [sym_typed_expression] = STATE(6108),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_labeled_argument] = STATE(6577),
    [sym_prefix_expression] = STATE(6108),
    [sym_hash_expression] = STATE(6108),
    [sym_field_get_expression] = STATE(6108),
    [sym_array_get_expression] = STATE(6108),
    [sym_string_get_expression] = STATE(6108),
    [sym_bigarray_get_expression] = STATE(6108),
    [sym_coercion_expression] = STATE(6108),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2789),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [aux_sym_class_application_repeat1] = STATE(2789),
    [sym__lowercase_identifier] = ACTIONS(5761),
    [anon_sym_COLON_GT] = ACTIONS(3845),
    [anon_sym_TILDE] = ACTIONS(5764),
    [anon_sym_QMARK] = ACTIONS(5764),
    [anon_sym_LPAREN] = ACTIONS(5767),
    [anon_sym_RPAREN] = ACTIONS(3845),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5770),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(5773),
    [anon_sym_false] = ACTIONS(5773),
    [anon_sym_COLON2] = ACTIONS(3850),
    [anon_sym_DASH_GT] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(5776),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_RBRACE] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(5779),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5782),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3845),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5785),
    [anon_sym_LBRACE_LT] = ACTIONS(5788),
    [anon_sym_GT_RBRACE] = ACTIONS(3845),
    [anon_sym_begin] = ACTIONS(5791),
    [sym_ocamlyacc_value] = ACTIONS(5794),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5797),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5800),
    [aux_sym_number_token1] = ACTIONS(5803),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5806),
    [anon_sym_DQUOTE] = ACTIONS(5809),
    [sym_prefix_operator] = ACTIONS(5812),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5815),
    [aux_sym_tag_token1] = ACTIONS(5818),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2790] = {
    [sym__simple_expression] = STATE(6131),
    [sym_typed_expression] = STATE(6108),
    [sym_list_expression] = STATE(6108),
    [sym_array_expression] = STATE(6108),
    [sym_record_expression] = STATE(6108),
    [sym_labeled_argument] = STATE(6577),
    [sym_prefix_expression] = STATE(6108),
    [sym_hash_expression] = STATE(6108),
    [sym_field_get_expression] = STATE(6108),
    [sym_array_get_expression] = STATE(6108),
    [sym_string_get_expression] = STATE(6108),
    [sym_bigarray_get_expression] = STATE(6108),
    [sym_coercion_expression] = STATE(6108),
    [sym_local_open_expression] = STATE(6108),
    [sym_package_expression] = STATE(6108),
    [sym_new_expression] = STATE(6108),
    [sym_object_copy_expression] = STATE(6108),
    [sym_method_invocation] = STATE(6108),
    [sym_object_expression] = STATE(6108),
    [sym_parenthesized_expression] = STATE(6108),
    [sym_attribute] = STATE(2790),
    [sym_extension] = STATE(6108),
    [sym_quoted_extension] = STATE(6108),
    [sym__constant] = STATE(6108),
    [sym_number] = STATE(6033),
    [sym_character] = STATE(6033),
    [sym_string] = STATE(6033),
    [sym_quoted_string] = STATE(6033),
    [sym_boolean] = STATE(6033),
    [sym_unit] = STATE(6033),
    [sym__value_name] = STATE(6077),
    [sym_parenthesized_operator] = STATE(6083),
    [sym_value_path] = STATE(6108),
    [sym_module_path] = STATE(19594),
    [sym_constructor_path] = STATE(6108),
    [sym__constructor_name] = STATE(6084),
    [sym_tag] = STATE(6108),
    [aux_sym_class_application_repeat1] = STATE(2789),
    [sym__lowercase_identifier] = ACTIONS(5601),
    [anon_sym_COLON_GT] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(5603),
    [anon_sym_QMARK] = ACTIONS(5603),
    [anon_sym_LPAREN] = ACTIONS(1445),
    [anon_sym_RPAREN] = ACTIONS(3909),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1449),
    [anon_sym_false] = ACTIONS(1449),
    [anon_sym_COLON2] = ACTIONS(3911),
    [anon_sym_DASH_GT] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_RBRACE] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1453),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1457),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3909),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1467),
    [anon_sym_LBRACE_LT] = ACTIONS(1469),
    [anon_sym_GT_RBRACE] = ACTIONS(3909),
    [anon_sym_begin] = ACTIONS(1471),
    [sym_ocamlyacc_value] = ACTIONS(1473),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1475),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1477),
    [aux_sym_number_token1] = ACTIONS(1479),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [sym_prefix_operator] = ACTIONS(1485),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1489),
    [aux_sym_tag_token1] = ACTIONS(1491),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2791] = {
    [sym__simple_expression] = STATE(6322),
    [sym_typed_expression] = STATE(6205),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_labeled_argument] = STATE(6691),
    [sym_prefix_expression] = STATE(6205),
    [sym_hash_expression] = STATE(6205),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_coercion_expression] = STATE(6205),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2791),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [aux_sym_class_application_repeat1] = STATE(2794),
    [sym__lowercase_identifier] = ACTIONS(5611),
    [anon_sym_COLON_GT] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(5613),
    [anon_sym_QMARK] = ACTIONS(5613),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_RPAREN] = ACTIONS(3909),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1395),
    [anon_sym_false] = ACTIONS(1395),
    [anon_sym_COLON2] = ACTIONS(3911),
    [anon_sym_DASH_GT] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_RBRACE] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1399),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1413),
    [anon_sym_LBRACE_LT] = ACTIONS(1415),
    [anon_sym_GT_RBRACE] = ACTIONS(3909),
    [anon_sym_begin] = ACTIONS(1417),
    [sym_ocamlyacc_value] = ACTIONS(1419),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1423),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1425),
    [aux_sym_number_token1] = ACTIONS(1427),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [sym_prefix_operator] = ACTIONS(1433),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1437),
    [aux_sym_tag_token1] = ACTIONS(1439),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2792] = {
    [sym__binding_pattern] = STATE(6350),
    [sym_alias_binding_pattern] = STATE(6425),
    [sym_typed_binding_pattern] = STATE(6425),
    [sym_or_binding_pattern] = STATE(6425),
    [sym_constructor_binding_pattern] = STATE(6425),
    [sym_tag_binding_pattern] = STATE(6425),
    [sym_polymorphic_variant_pattern] = STATE(6425),
    [sym_tuple_binding_pattern] = STATE(6425),
    [sym_record_binding_pattern] = STATE(6491),
    [sym_list_binding_pattern] = STATE(6497),
    [sym_cons_binding_pattern] = STATE(6425),
    [sym_array_binding_pattern] = STATE(6498),
    [sym_range_pattern] = STATE(6425),
    [sym_lazy_binding_pattern] = STATE(6425),
    [sym_local_open_binding_pattern] = STATE(6425),
    [sym_package_pattern] = STATE(6425),
    [sym_parenthesized_binding_pattern] = STATE(6425),
    [sym_attribute] = STATE(2792),
    [sym_extension] = STATE(6425),
    [sym_quoted_extension] = STATE(6425),
    [sym__constant] = STATE(6252),
    [sym__signed_constant] = STATE(6166),
    [sym_number] = STATE(6176),
    [sym_signed_number] = STATE(6252),
    [sym_character] = STATE(6176),
    [sym_string] = STATE(6176),
    [sym_quoted_string] = STATE(6176),
    [sym_boolean] = STATE(6176),
    [sym_unit] = STATE(6176),
    [sym__value_name] = STATE(6425),
    [sym_parenthesized_operator] = STATE(6492),
    [sym_module_path] = STATE(22104),
    [sym_constructor_path] = STATE(2793),
    [sym__constructor_name] = STATE(6217),
    [sym_tag] = STATE(2792),
    [ts_builtin_sym_end] = ACTIONS(5821),
    [sym__lowercase_identifier] = ACTIONS(5823),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(5827),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_true] = ACTIONS(5831),
    [anon_sym_false] = ACTIONS(5831),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_in] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(5835),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5837),
    [anon_sym_lazy] = ACTIONS(5839),
    [anon_sym_begin] = ACTIONS(5841),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5843),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5845),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(5847),
    [aux_sym_signed_number_token1] = ACTIONS(5849),
    [anon_sym_SQUOTE] = ACTIONS(5851),
    [anon_sym_DQUOTE] = ACTIONS(5853),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(5855),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(5857),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2793] = {
    [sym__binding_pattern] = STATE(6351),
    [sym_alias_binding_pattern] = STATE(6425),
    [sym_typed_binding_pattern] = STATE(6425),
    [sym_or_binding_pattern] = STATE(6425),
    [sym_constructor_binding_pattern] = STATE(6425),
    [sym_tag_binding_pattern] = STATE(6425),
    [sym_polymorphic_variant_pattern] = STATE(6425),
    [sym_tuple_binding_pattern] = STATE(6425),
    [sym_record_binding_pattern] = STATE(6491),
    [sym_list_binding_pattern] = STATE(6497),
    [sym_cons_binding_pattern] = STATE(6425),
    [sym_array_binding_pattern] = STATE(6498),
    [sym_range_pattern] = STATE(6425),
    [sym_lazy_binding_pattern] = STATE(6425),
    [sym_local_open_binding_pattern] = STATE(6425),
    [sym_package_pattern] = STATE(6425),
    [sym_parenthesized_binding_pattern] = STATE(6425),
    [sym_attribute] = STATE(2793),
    [sym_extension] = STATE(6425),
    [sym_quoted_extension] = STATE(6425),
    [sym__constant] = STATE(6252),
    [sym__signed_constant] = STATE(6166),
    [sym_number] = STATE(6176),
    [sym_signed_number] = STATE(6252),
    [sym_character] = STATE(6176),
    [sym_string] = STATE(6176),
    [sym_quoted_string] = STATE(6176),
    [sym_boolean] = STATE(6176),
    [sym_unit] = STATE(6176),
    [sym__value_name] = STATE(6425),
    [sym_parenthesized_operator] = STATE(6492),
    [sym_module_path] = STATE(22104),
    [sym_constructor_path] = STATE(2793),
    [sym__constructor_name] = STATE(6217),
    [sym_tag] = STATE(2792),
    [ts_builtin_sym_end] = ACTIONS(5821),
    [sym__lowercase_identifier] = ACTIONS(5823),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(5827),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_true] = ACTIONS(5831),
    [anon_sym_false] = ACTIONS(5831),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_in] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(5835),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5837),
    [anon_sym_lazy] = ACTIONS(5839),
    [anon_sym_begin] = ACTIONS(5841),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5843),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5845),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(5847),
    [aux_sym_signed_number_token1] = ACTIONS(5849),
    [anon_sym_SQUOTE] = ACTIONS(5851),
    [anon_sym_DQUOTE] = ACTIONS(5853),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(5855),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(5857),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2794] = {
    [sym__simple_expression] = STATE(6322),
    [sym_typed_expression] = STATE(6205),
    [sym_list_expression] = STATE(6205),
    [sym_array_expression] = STATE(6205),
    [sym_record_expression] = STATE(6205),
    [sym_labeled_argument] = STATE(6691),
    [sym_prefix_expression] = STATE(6205),
    [sym_hash_expression] = STATE(6205),
    [sym_field_get_expression] = STATE(6205),
    [sym_array_get_expression] = STATE(6205),
    [sym_string_get_expression] = STATE(6205),
    [sym_bigarray_get_expression] = STATE(6205),
    [sym_coercion_expression] = STATE(6205),
    [sym_local_open_expression] = STATE(6205),
    [sym_package_expression] = STATE(6205),
    [sym_new_expression] = STATE(6205),
    [sym_object_copy_expression] = STATE(6205),
    [sym_method_invocation] = STATE(6205),
    [sym_object_expression] = STATE(6205),
    [sym_parenthesized_expression] = STATE(6205),
    [sym_attribute] = STATE(2794),
    [sym_extension] = STATE(6205),
    [sym_quoted_extension] = STATE(6205),
    [sym__constant] = STATE(6205),
    [sym_number] = STATE(6326),
    [sym_character] = STATE(6326),
    [sym_string] = STATE(6326),
    [sym_quoted_string] = STATE(6326),
    [sym_boolean] = STATE(6326),
    [sym_unit] = STATE(6326),
    [sym__value_name] = STATE(6288),
    [sym_parenthesized_operator] = STATE(6332),
    [sym_value_path] = STATE(6205),
    [sym_module_path] = STATE(20635),
    [sym_constructor_path] = STATE(6205),
    [sym__constructor_name] = STATE(6262),
    [sym_tag] = STATE(6205),
    [aux_sym_class_application_repeat1] = STATE(2794),
    [sym__lowercase_identifier] = ACTIONS(5859),
    [anon_sym_COLON_GT] = ACTIONS(3845),
    [anon_sym_TILDE] = ACTIONS(5862),
    [anon_sym_QMARK] = ACTIONS(5862),
    [anon_sym_LPAREN] = ACTIONS(5865),
    [anon_sym_RPAREN] = ACTIONS(3845),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5868),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(5871),
    [anon_sym_false] = ACTIONS(5871),
    [anon_sym_COLON2] = ACTIONS(3850),
    [anon_sym_DASH_GT] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(5874),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_RBRACE] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(5877),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5880),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(5883),
    [anon_sym_LBRACE_LT] = ACTIONS(5886),
    [anon_sym_GT_RBRACE] = ACTIONS(3845),
    [anon_sym_begin] = ACTIONS(5889),
    [sym_ocamlyacc_value] = ACTIONS(5892),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5895),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5898),
    [aux_sym_number_token1] = ACTIONS(5901),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5904),
    [anon_sym_DQUOTE] = ACTIONS(5907),
    [sym_prefix_operator] = ACTIONS(5910),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5913),
    [aux_sym_tag_token1] = ACTIONS(5916),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2795] = {
    [sym__simple_expression] = STATE(6692),
    [sym_typed_expression] = STATE(6694),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_labeled_argument] = STATE(7744),
    [sym_prefix_expression] = STATE(6694),
    [sym_hash_expression] = STATE(6694),
    [sym_field_get_expression] = STATE(6694),
    [sym_array_get_expression] = STATE(6694),
    [sym_string_get_expression] = STATE(6694),
    [sym_bigarray_get_expression] = STATE(6694),
    [sym_coercion_expression] = STATE(6694),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2795),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [aux_sym_class_application_repeat1] = STATE(2829),
    [sym__lowercase_identifier] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_DOT] = ACTIONS(5923),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(5925),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(5927),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2796] = {
    [sym__simple_expression] = STATE(6300),
    [sym_typed_expression] = STATE(6186),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_labeled_argument] = STATE(6631),
    [sym_prefix_expression] = STATE(6186),
    [sym_hash_expression] = STATE(6186),
    [sym_field_get_expression] = STATE(6186),
    [sym_array_get_expression] = STATE(6186),
    [sym_string_get_expression] = STATE(6186),
    [sym_bigarray_get_expression] = STATE(6186),
    [sym_coercion_expression] = STATE(6186),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2796),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [aux_sym_class_application_repeat1] = STATE(2797),
    [sym__lowercase_identifier] = ACTIONS(5621),
    [anon_sym_COLON_GT] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(5623),
    [anon_sym_QMARK] = ACTIONS(5623),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_RPAREN] = ACTIONS(3909),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1553),
    [anon_sym_false] = ACTIONS(1553),
    [anon_sym_COLON2] = ACTIONS(3911),
    [anon_sym_DASH_GT] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_RBRACE] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1557),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1561),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3909),
    [anon_sym_new] = ACTIONS(1571),
    [anon_sym_LBRACE_LT] = ACTIONS(1573),
    [anon_sym_GT_RBRACE] = ACTIONS(3909),
    [anon_sym_begin] = ACTIONS(1575),
    [sym_ocamlyacc_value] = ACTIONS(1577),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1579),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1581),
    [aux_sym_number_token1] = ACTIONS(1583),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1587),
    [sym_prefix_operator] = ACTIONS(1589),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1593),
    [aux_sym_tag_token1] = ACTIONS(1595),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2797] = {
    [sym__simple_expression] = STATE(6300),
    [sym_typed_expression] = STATE(6186),
    [sym_list_expression] = STATE(6186),
    [sym_array_expression] = STATE(6186),
    [sym_record_expression] = STATE(6186),
    [sym_labeled_argument] = STATE(6631),
    [sym_prefix_expression] = STATE(6186),
    [sym_hash_expression] = STATE(6186),
    [sym_field_get_expression] = STATE(6186),
    [sym_array_get_expression] = STATE(6186),
    [sym_string_get_expression] = STATE(6186),
    [sym_bigarray_get_expression] = STATE(6186),
    [sym_coercion_expression] = STATE(6186),
    [sym_local_open_expression] = STATE(6186),
    [sym_package_expression] = STATE(6186),
    [sym_new_expression] = STATE(6186),
    [sym_object_copy_expression] = STATE(6186),
    [sym_method_invocation] = STATE(6186),
    [sym_object_expression] = STATE(6186),
    [sym_parenthesized_expression] = STATE(6186),
    [sym_attribute] = STATE(2797),
    [sym_extension] = STATE(6186),
    [sym_quoted_extension] = STATE(6186),
    [sym__constant] = STATE(6186),
    [sym_number] = STATE(6264),
    [sym_character] = STATE(6264),
    [sym_string] = STATE(6264),
    [sym_quoted_string] = STATE(6264),
    [sym_boolean] = STATE(6264),
    [sym_unit] = STATE(6264),
    [sym__value_name] = STATE(6201),
    [sym_parenthesized_operator] = STATE(6263),
    [sym_value_path] = STATE(6186),
    [sym_module_path] = STATE(19796),
    [sym_constructor_path] = STATE(6186),
    [sym__constructor_name] = STATE(6258),
    [sym_tag] = STATE(6186),
    [aux_sym_class_application_repeat1] = STATE(2797),
    [sym__lowercase_identifier] = ACTIONS(5929),
    [anon_sym_COLON_GT] = ACTIONS(3845),
    [anon_sym_TILDE] = ACTIONS(5932),
    [anon_sym_QMARK] = ACTIONS(5932),
    [anon_sym_LPAREN] = ACTIONS(5935),
    [anon_sym_RPAREN] = ACTIONS(3845),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(5938),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(5941),
    [anon_sym_false] = ACTIONS(5941),
    [anon_sym_COLON2] = ACTIONS(3850),
    [anon_sym_DASH_GT] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(5944),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_RBRACE] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(5947),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5950),
    [anon_sym_PIPE_RBRACK] = ACTIONS(3845),
    [anon_sym_new] = ACTIONS(5953),
    [anon_sym_LBRACE_LT] = ACTIONS(5956),
    [anon_sym_GT_RBRACE] = ACTIONS(3845),
    [anon_sym_begin] = ACTIONS(5959),
    [sym_ocamlyacc_value] = ACTIONS(5962),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(5965),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(5968),
    [aux_sym_number_token1] = ACTIONS(5971),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(5974),
    [anon_sym_DQUOTE] = ACTIONS(5977),
    [sym_prefix_operator] = ACTIONS(5980),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(5983),
    [aux_sym_tag_token1] = ACTIONS(5986),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2798] = {
    [sym__abstract_type] = STATE(21505),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14958),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2798),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(20712),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(5993),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6007),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6033),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6033),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6033),
    [sym_let_and_operator] = ACTIONS(6033),
    [sym_match_operator] = ACTIONS(6033),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2799] = {
    [sym__abstract_type] = STATE(20140),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15102),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2799),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21092),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6045),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2800] = {
    [sym__simple_expression] = STATE(6785),
    [sym_typed_expression] = STATE(6772),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_labeled_argument] = STATE(8113),
    [sym_prefix_expression] = STATE(6772),
    [sym_hash_expression] = STATE(6772),
    [sym_field_get_expression] = STATE(6772),
    [sym_array_get_expression] = STATE(6772),
    [sym_string_get_expression] = STATE(6772),
    [sym_bigarray_get_expression] = STATE(6772),
    [sym_coercion_expression] = STATE(6772),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2800),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [aux_sym_class_application_repeat1] = STATE(2837),
    [sym__lowercase_identifier] = ACTIONS(6049),
    [anon_sym_and] = ACTIONS(3575),
    [anon_sym_TILDE] = ACTIONS(6051),
    [anon_sym_QMARK] = ACTIONS(6051),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_DOT] = ACTIONS(6053),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(3575),
    [anon_sym_POUND] = ACTIONS(6055),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3573),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6057),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym_let_and_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2801] = {
    [sym__abstract_type] = STATE(21489),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2801),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21647),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6063),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6067),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6067),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6067),
    [sym_let_and_operator] = ACTIONS(6067),
    [sym_match_operator] = ACTIONS(6067),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2802] = {
    [sym__binding_pattern] = STATE(6524),
    [sym_alias_binding_pattern] = STATE(6557),
    [sym_typed_binding_pattern] = STATE(6557),
    [sym_or_binding_pattern] = STATE(6557),
    [sym_constructor_binding_pattern] = STATE(6557),
    [sym_tag_binding_pattern] = STATE(6557),
    [sym_polymorphic_variant_pattern] = STATE(6557),
    [sym_tuple_binding_pattern] = STATE(6557),
    [sym_record_binding_pattern] = STATE(6556),
    [sym_list_binding_pattern] = STATE(6553),
    [sym_cons_binding_pattern] = STATE(6557),
    [sym_array_binding_pattern] = STATE(6552),
    [sym_range_pattern] = STATE(6557),
    [sym_lazy_binding_pattern] = STATE(6557),
    [sym_local_open_binding_pattern] = STATE(6557),
    [sym_package_pattern] = STATE(6557),
    [sym_parenthesized_binding_pattern] = STATE(6557),
    [sym_attribute] = STATE(2802),
    [sym_extension] = STATE(6557),
    [sym_quoted_extension] = STATE(6557),
    [sym__constant] = STATE(6373),
    [sym__signed_constant] = STATE(6372),
    [sym_number] = STATE(6380),
    [sym_signed_number] = STATE(6373),
    [sym_character] = STATE(6380),
    [sym_string] = STATE(6380),
    [sym_quoted_string] = STATE(6380),
    [sym_boolean] = STATE(6380),
    [sym_unit] = STATE(6380),
    [sym__value_name] = STATE(6557),
    [sym_parenthesized_operator] = STATE(6515),
    [sym_module_path] = STATE(22300),
    [sym_constructor_path] = STATE(2805),
    [sym__constructor_name] = STATE(6437),
    [sym_tag] = STATE(2802),
    [ts_builtin_sym_end] = ACTIONS(5821),
    [sym__lowercase_identifier] = ACTIONS(6069),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(6071),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_true] = ACTIONS(6075),
    [anon_sym_false] = ACTIONS(6075),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(6077),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(6079),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6081),
    [anon_sym_lazy] = ACTIONS(6083),
    [anon_sym_begin] = ACTIONS(6085),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6089),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(6091),
    [aux_sym_signed_number_token1] = ACTIONS(6093),
    [anon_sym_SQUOTE] = ACTIONS(6095),
    [anon_sym_DQUOTE] = ACTIONS(6097),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(6099),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(6101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2803] = {
    [sym__abstract_type] = STATE(21489),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15059),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2803),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21245),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6103),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2109),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2109),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2109),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2804] = {
    [sym__abstract_type] = STATE(22346),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14948),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2804),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21010),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6107),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6109),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6111),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6113),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6115),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6115),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6115),
    [sym_let_and_operator] = ACTIONS(6115),
    [sym_match_operator] = ACTIONS(6115),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2805] = {
    [sym__binding_pattern] = STATE(6525),
    [sym_alias_binding_pattern] = STATE(6557),
    [sym_typed_binding_pattern] = STATE(6557),
    [sym_or_binding_pattern] = STATE(6557),
    [sym_constructor_binding_pattern] = STATE(6557),
    [sym_tag_binding_pattern] = STATE(6557),
    [sym_polymorphic_variant_pattern] = STATE(6557),
    [sym_tuple_binding_pattern] = STATE(6557),
    [sym_record_binding_pattern] = STATE(6556),
    [sym_list_binding_pattern] = STATE(6553),
    [sym_cons_binding_pattern] = STATE(6557),
    [sym_array_binding_pattern] = STATE(6552),
    [sym_range_pattern] = STATE(6557),
    [sym_lazy_binding_pattern] = STATE(6557),
    [sym_local_open_binding_pattern] = STATE(6557),
    [sym_package_pattern] = STATE(6557),
    [sym_parenthesized_binding_pattern] = STATE(6557),
    [sym_attribute] = STATE(2805),
    [sym_extension] = STATE(6557),
    [sym_quoted_extension] = STATE(6557),
    [sym__constant] = STATE(6373),
    [sym__signed_constant] = STATE(6372),
    [sym_number] = STATE(6380),
    [sym_signed_number] = STATE(6373),
    [sym_character] = STATE(6380),
    [sym_string] = STATE(6380),
    [sym_quoted_string] = STATE(6380),
    [sym_boolean] = STATE(6380),
    [sym_unit] = STATE(6380),
    [sym__value_name] = STATE(6557),
    [sym_parenthesized_operator] = STATE(6515),
    [sym_module_path] = STATE(22300),
    [sym_constructor_path] = STATE(2805),
    [sym__constructor_name] = STATE(6437),
    [sym_tag] = STATE(2802),
    [ts_builtin_sym_end] = ACTIONS(5821),
    [sym__lowercase_identifier] = ACTIONS(6069),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(6071),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(6073),
    [anon_sym_RBRACK] = ACTIONS(5821),
    [anon_sym_true] = ACTIONS(6075),
    [anon_sym_false] = ACTIONS(6075),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(6077),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(6079),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6081),
    [anon_sym_lazy] = ACTIONS(6083),
    [anon_sym_begin] = ACTIONS(6085),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6087),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6089),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(6091),
    [aux_sym_signed_number_token1] = ACTIONS(6093),
    [anon_sym_SQUOTE] = ACTIONS(6095),
    [anon_sym_DQUOTE] = ACTIONS(6097),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(6099),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(6101),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2806] = {
    [sym__abstract_type] = STATE(21203),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15043),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2806),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21159),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6119),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6121),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6125),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6125),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6125),
    [sym_let_and_operator] = ACTIONS(6125),
    [sym_match_operator] = ACTIONS(6125),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2807] = {
    [sym__abstract_type] = STATE(20623),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15238),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2807),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(22453),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6127),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6129),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6131),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6135),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6135),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6135),
    [sym_let_and_operator] = ACTIONS(6135),
    [sym_match_operator] = ACTIONS(6135),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2808] = {
    [sym__abstract_type] = STATE(19669),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14906),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2808),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(19841),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [anon_sym_type] = ACTIONS(5995),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6139),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6141),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6145),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6145),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6145),
    [sym_let_and_operator] = ACTIONS(6145),
    [sym_match_operator] = ACTIONS(6145),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2809] = {
    [sym__binding_pattern] = STATE(6554),
    [sym_alias_binding_pattern] = STATE(6510),
    [sym_typed_binding_pattern] = STATE(6510),
    [sym_or_binding_pattern] = STATE(6510),
    [sym_constructor_binding_pattern] = STATE(6510),
    [sym_tag_binding_pattern] = STATE(6510),
    [sym_polymorphic_variant_pattern] = STATE(6510),
    [sym_tuple_binding_pattern] = STATE(6510),
    [sym_record_binding_pattern] = STATE(6507),
    [sym_list_binding_pattern] = STATE(6506),
    [sym_cons_binding_pattern] = STATE(6510),
    [sym_array_binding_pattern] = STATE(6505),
    [sym_range_pattern] = STATE(6510),
    [sym_lazy_binding_pattern] = STATE(6510),
    [sym_local_open_binding_pattern] = STATE(6510),
    [sym_package_pattern] = STATE(6510),
    [sym_parenthesized_binding_pattern] = STATE(6510),
    [sym_attribute] = STATE(2809),
    [sym_extension] = STATE(6510),
    [sym_quoted_extension] = STATE(6510),
    [sym__constant] = STATE(6424),
    [sym__signed_constant] = STATE(6488),
    [sym_number] = STATE(6465),
    [sym_signed_number] = STATE(6424),
    [sym_character] = STATE(6465),
    [sym_string] = STATE(6465),
    [sym_quoted_string] = STATE(6465),
    [sym_boolean] = STATE(6465),
    [sym_unit] = STATE(6465),
    [sym__value_name] = STATE(6510),
    [sym_parenthesized_operator] = STATE(6549),
    [sym_module_path] = STATE(21682),
    [sym_constructor_path] = STATE(2810),
    [sym__constructor_name] = STATE(6466),
    [sym_tag] = STATE(2809),
    [sym__lowercase_identifier] = ACTIONS(6147),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(6149),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [anon_sym_true] = ACTIONS(6153),
    [anon_sym_false] = ACTIONS(6153),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(6155),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_end] = ACTIONS(5825),
    [anon_sym_in] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(6157),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6159),
    [anon_sym_lazy] = ACTIONS(6161),
    [anon_sym_begin] = ACTIONS(6163),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6167),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(6169),
    [aux_sym_signed_number_token1] = ACTIONS(6171),
    [anon_sym_SQUOTE] = ACTIONS(6173),
    [anon_sym_DQUOTE] = ACTIONS(6175),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(6177),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(6179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2810] = {
    [sym__binding_pattern] = STATE(6558),
    [sym_alias_binding_pattern] = STATE(6510),
    [sym_typed_binding_pattern] = STATE(6510),
    [sym_or_binding_pattern] = STATE(6510),
    [sym_constructor_binding_pattern] = STATE(6510),
    [sym_tag_binding_pattern] = STATE(6510),
    [sym_polymorphic_variant_pattern] = STATE(6510),
    [sym_tuple_binding_pattern] = STATE(6510),
    [sym_record_binding_pattern] = STATE(6507),
    [sym_list_binding_pattern] = STATE(6506),
    [sym_cons_binding_pattern] = STATE(6510),
    [sym_array_binding_pattern] = STATE(6505),
    [sym_range_pattern] = STATE(6510),
    [sym_lazy_binding_pattern] = STATE(6510),
    [sym_local_open_binding_pattern] = STATE(6510),
    [sym_package_pattern] = STATE(6510),
    [sym_parenthesized_binding_pattern] = STATE(6510),
    [sym_attribute] = STATE(2810),
    [sym_extension] = STATE(6510),
    [sym_quoted_extension] = STATE(6510),
    [sym__constant] = STATE(6424),
    [sym__signed_constant] = STATE(6488),
    [sym_number] = STATE(6465),
    [sym_signed_number] = STATE(6424),
    [sym_character] = STATE(6465),
    [sym_string] = STATE(6465),
    [sym_quoted_string] = STATE(6465),
    [sym_boolean] = STATE(6465),
    [sym_unit] = STATE(6465),
    [sym__value_name] = STATE(6510),
    [sym_parenthesized_operator] = STATE(6549),
    [sym_module_path] = STATE(21682),
    [sym_constructor_path] = STATE(2810),
    [sym__constructor_name] = STATE(6466),
    [sym_tag] = STATE(2809),
    [sym__lowercase_identifier] = ACTIONS(6147),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(6149),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [anon_sym_true] = ACTIONS(6153),
    [anon_sym_false] = ACTIONS(6153),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(6155),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_end] = ACTIONS(5825),
    [anon_sym_in] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(6157),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6159),
    [anon_sym_lazy] = ACTIONS(6161),
    [anon_sym_begin] = ACTIONS(6163),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6165),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6167),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(6169),
    [aux_sym_signed_number_token1] = ACTIONS(6171),
    [anon_sym_SQUOTE] = ACTIONS(6173),
    [anon_sym_DQUOTE] = ACTIONS(6175),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(6177),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(6179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2811] = {
    [sym__simple_expression] = STATE(6449),
    [sym_typed_expression] = STATE(6441),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_labeled_argument] = STATE(6791),
    [sym_prefix_expression] = STATE(6441),
    [sym_hash_expression] = STATE(6441),
    [sym_field_get_expression] = STATE(6441),
    [sym_array_get_expression] = STATE(6441),
    [sym_string_get_expression] = STATE(6441),
    [sym_bigarray_get_expression] = STATE(6441),
    [sym_coercion_expression] = STATE(6441),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2811),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [aux_sym_class_application_repeat1] = STATE(2811),
    [sym__lowercase_identifier] = ACTIONS(6181),
    [anon_sym_COLON_GT] = ACTIONS(3845),
    [anon_sym_TILDE] = ACTIONS(6184),
    [anon_sym_QMARK] = ACTIONS(6184),
    [anon_sym_LPAREN] = ACTIONS(6187),
    [anon_sym_RPAREN] = ACTIONS(3845),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6190),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(6193),
    [anon_sym_false] = ACTIONS(6193),
    [anon_sym_COLON2] = ACTIONS(3850),
    [anon_sym_DASH_GT] = ACTIONS(3850),
    [anon_sym_LBRACE] = ACTIONS(6196),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_RBRACE] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(6199),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6202),
    [anon_sym_new] = ACTIONS(6205),
    [anon_sym_LBRACE_LT] = ACTIONS(6208),
    [anon_sym_GT_RBRACE] = ACTIONS(3845),
    [anon_sym_begin] = ACTIONS(6211),
    [sym_ocamlyacc_value] = ACTIONS(6214),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6217),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6220),
    [aux_sym_number_token1] = ACTIONS(6223),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(6226),
    [anon_sym_DQUOTE] = ACTIONS(6229),
    [sym_prefix_operator] = ACTIONS(6232),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6235),
    [aux_sym_tag_token1] = ACTIONS(6238),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2812] = {
    [sym__simple_expression] = STATE(6449),
    [sym_typed_expression] = STATE(6441),
    [sym_list_expression] = STATE(6441),
    [sym_array_expression] = STATE(6441),
    [sym_record_expression] = STATE(6441),
    [sym_labeled_argument] = STATE(6791),
    [sym_prefix_expression] = STATE(6441),
    [sym_hash_expression] = STATE(6441),
    [sym_field_get_expression] = STATE(6441),
    [sym_array_get_expression] = STATE(6441),
    [sym_string_get_expression] = STATE(6441),
    [sym_bigarray_get_expression] = STATE(6441),
    [sym_coercion_expression] = STATE(6441),
    [sym_local_open_expression] = STATE(6441),
    [sym_package_expression] = STATE(6441),
    [sym_new_expression] = STATE(6441),
    [sym_object_copy_expression] = STATE(6441),
    [sym_method_invocation] = STATE(6441),
    [sym_object_expression] = STATE(6441),
    [sym_parenthesized_expression] = STATE(6441),
    [sym_attribute] = STATE(2812),
    [sym_extension] = STATE(6441),
    [sym_quoted_extension] = STATE(6441),
    [sym__constant] = STATE(6441),
    [sym_number] = STATE(6422),
    [sym_character] = STATE(6422),
    [sym_string] = STATE(6422),
    [sym_quoted_string] = STATE(6422),
    [sym_boolean] = STATE(6422),
    [sym_unit] = STATE(6422),
    [sym__value_name] = STATE(6445),
    [sym_parenthesized_operator] = STATE(6375),
    [sym_value_path] = STATE(6441),
    [sym_module_path] = STATE(19649),
    [sym_constructor_path] = STATE(6441),
    [sym__constructor_name] = STATE(6390),
    [sym_tag] = STATE(6441),
    [aux_sym_class_application_repeat1] = STATE(2811),
    [sym__lowercase_identifier] = ACTIONS(5751),
    [anon_sym_COLON_GT] = ACTIONS(3909),
    [anon_sym_TILDE] = ACTIONS(5753),
    [anon_sym_QMARK] = ACTIONS(5753),
    [anon_sym_LPAREN] = ACTIONS(1497),
    [anon_sym_RPAREN] = ACTIONS(3909),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1499),
    [anon_sym_RBRACK] = ACTIONS(3909),
    [anon_sym_true] = ACTIONS(1501),
    [anon_sym_false] = ACTIONS(1501),
    [anon_sym_COLON2] = ACTIONS(3911),
    [anon_sym_DASH_GT] = ACTIONS(3911),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_RBRACE] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1505),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1519),
    [anon_sym_LBRACE_LT] = ACTIONS(1521),
    [anon_sym_GT_RBRACE] = ACTIONS(3909),
    [anon_sym_begin] = ACTIONS(1523),
    [sym_ocamlyacc_value] = ACTIONS(1525),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1529),
    [aux_sym_number_token1] = ACTIONS(1531),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1533),
    [anon_sym_DQUOTE] = ACTIONS(1535),
    [sym_prefix_operator] = ACTIONS(1537),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1541),
    [aux_sym_tag_token1] = ACTIONS(1543),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2813] = {
    [sym__simple_expression] = STATE(7213),
    [sym_typed_expression] = STATE(7224),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_labeled_argument] = STATE(8423),
    [sym_prefix_expression] = STATE(7224),
    [sym_hash_expression] = STATE(7224),
    [sym_field_get_expression] = STATE(7224),
    [sym_array_get_expression] = STATE(7224),
    [sym_string_get_expression] = STATE(7224),
    [sym_bigarray_get_expression] = STATE(7224),
    [sym_coercion_expression] = STATE(7224),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2813),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [aux_sym_class_application_repeat1] = STATE(2855),
    [sym__lowercase_identifier] = ACTIONS(6241),
    [anon_sym_TILDE] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6243),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_DOT] = ACTIONS(6245),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_POUND] = ACTIONS(6247),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_to] = ACTIONS(3575),
    [anon_sym_downto] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6249),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2814] = {
    [sym__binding_pattern] = STATE(6645),
    [sym_alias_binding_pattern] = STATE(6629),
    [sym_typed_binding_pattern] = STATE(6629),
    [sym_or_binding_pattern] = STATE(6629),
    [sym_constructor_binding_pattern] = STATE(6629),
    [sym_tag_binding_pattern] = STATE(6629),
    [sym_polymorphic_variant_pattern] = STATE(6629),
    [sym_tuple_binding_pattern] = STATE(6629),
    [sym_record_binding_pattern] = STATE(6650),
    [sym_list_binding_pattern] = STATE(6686),
    [sym_cons_binding_pattern] = STATE(6629),
    [sym_array_binding_pattern] = STATE(6668),
    [sym_range_pattern] = STATE(6629),
    [sym_lazy_binding_pattern] = STATE(6629),
    [sym_local_open_binding_pattern] = STATE(6629),
    [sym_package_pattern] = STATE(6629),
    [sym_parenthesized_binding_pattern] = STATE(6629),
    [sym_attribute] = STATE(2814),
    [sym_extension] = STATE(6629),
    [sym_quoted_extension] = STATE(6629),
    [sym__constant] = STATE(6548),
    [sym__signed_constant] = STATE(6555),
    [sym_number] = STATE(6561),
    [sym_signed_number] = STATE(6548),
    [sym_character] = STATE(6561),
    [sym_string] = STATE(6561),
    [sym_quoted_string] = STATE(6561),
    [sym_boolean] = STATE(6561),
    [sym_unit] = STATE(6561),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6669),
    [sym_module_path] = STATE(21215),
    [sym_constructor_path] = STATE(2814),
    [sym__constructor_name] = STATE(6609),
    [sym_tag] = STATE(2815),
    [sym__lowercase_identifier] = ACTIONS(6251),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(6253),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(6255),
    [anon_sym_true] = ACTIONS(6257),
    [anon_sym_false] = ACTIONS(6257),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(6259),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_end] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(6261),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6263),
    [anon_sym_lazy] = ACTIONS(6265),
    [anon_sym_begin] = ACTIONS(6267),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6269),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6271),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(6273),
    [aux_sym_signed_number_token1] = ACTIONS(6275),
    [anon_sym_SQUOTE] = ACTIONS(6277),
    [anon_sym_DQUOTE] = ACTIONS(6279),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(6281),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(6283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2815] = {
    [sym__binding_pattern] = STATE(6702),
    [sym_alias_binding_pattern] = STATE(6629),
    [sym_typed_binding_pattern] = STATE(6629),
    [sym_or_binding_pattern] = STATE(6629),
    [sym_constructor_binding_pattern] = STATE(6629),
    [sym_tag_binding_pattern] = STATE(6629),
    [sym_polymorphic_variant_pattern] = STATE(6629),
    [sym_tuple_binding_pattern] = STATE(6629),
    [sym_record_binding_pattern] = STATE(6650),
    [sym_list_binding_pattern] = STATE(6686),
    [sym_cons_binding_pattern] = STATE(6629),
    [sym_array_binding_pattern] = STATE(6668),
    [sym_range_pattern] = STATE(6629),
    [sym_lazy_binding_pattern] = STATE(6629),
    [sym_local_open_binding_pattern] = STATE(6629),
    [sym_package_pattern] = STATE(6629),
    [sym_parenthesized_binding_pattern] = STATE(6629),
    [sym_attribute] = STATE(2815),
    [sym_extension] = STATE(6629),
    [sym_quoted_extension] = STATE(6629),
    [sym__constant] = STATE(6548),
    [sym__signed_constant] = STATE(6555),
    [sym_number] = STATE(6561),
    [sym_signed_number] = STATE(6548),
    [sym_character] = STATE(6561),
    [sym_string] = STATE(6561),
    [sym_quoted_string] = STATE(6561),
    [sym_boolean] = STATE(6561),
    [sym_unit] = STATE(6561),
    [sym__value_name] = STATE(6629),
    [sym_parenthesized_operator] = STATE(6669),
    [sym_module_path] = STATE(21215),
    [sym_constructor_path] = STATE(2814),
    [sym__constructor_name] = STATE(6609),
    [sym_tag] = STATE(2815),
    [sym__lowercase_identifier] = ACTIONS(6251),
    [anon_sym_SEMI_SEMI] = ACTIONS(5821),
    [anon_sym_let] = ACTIONS(5825),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(6253),
    [anon_sym_external] = ACTIONS(5825),
    [anon_sym_type] = ACTIONS(5825),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(6255),
    [anon_sym_true] = ACTIONS(6257),
    [anon_sym_false] = ACTIONS(6257),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(6259),
    [anon_sym_exception] = ACTIONS(5825),
    [anon_sym_module] = ACTIONS(5825),
    [anon_sym_open] = ACTIONS(5825),
    [anon_sym_include] = ACTIONS(5825),
    [anon_sym_class] = ACTIONS(5825),
    [anon_sym_end] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(6261),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6263),
    [anon_sym_lazy] = ACTIONS(6265),
    [anon_sym_begin] = ACTIONS(6267),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5825),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6269),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6271),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(5821),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(5821),
    [aux_sym_number_token1] = ACTIONS(6273),
    [aux_sym_signed_number_token1] = ACTIONS(6275),
    [anon_sym_SQUOTE] = ACTIONS(6277),
    [anon_sym_DQUOTE] = ACTIONS(6279),
    [sym_let_operator] = ACTIONS(5821),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(6281),
    [aux_sym_directive_token1] = ACTIONS(5825),
    [aux_sym_tag_token1] = ACTIONS(6283),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2816] = {
    [sym__simple_expression] = STATE(7614),
    [sym_typed_expression] = STATE(7679),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_labeled_argument] = STATE(8556),
    [sym_prefix_expression] = STATE(7679),
    [sym_hash_expression] = STATE(7679),
    [sym_field_get_expression] = STATE(7679),
    [sym_array_get_expression] = STATE(7679),
    [sym_string_get_expression] = STATE(7679),
    [sym_bigarray_get_expression] = STATE(7679),
    [sym_coercion_expression] = STATE(7679),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2816),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [aux_sym_class_application_repeat1] = STATE(2869),
    [sym__lowercase_identifier] = ACTIONS(6285),
    [anon_sym_TILDE] = ACTIONS(6287),
    [anon_sym_QMARK] = ACTIONS(6287),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_DOT] = ACTIONS(6289),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_POUND] = ACTIONS(6291),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_then] = ACTIONS(3575),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6293),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2817] = {
    [sym__simple_expression] = STATE(7286),
    [sym_typed_expression] = STATE(7327),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_labeled_argument] = STATE(8570),
    [sym_prefix_expression] = STATE(7327),
    [sym_hash_expression] = STATE(7327),
    [sym_field_get_expression] = STATE(7327),
    [sym_array_get_expression] = STATE(7327),
    [sym_string_get_expression] = STATE(7327),
    [sym_bigarray_get_expression] = STATE(7327),
    [sym_coercion_expression] = STATE(7327),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2817),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [aux_sym_class_application_repeat1] = STATE(2862),
    [sym__lowercase_identifier] = ACTIONS(6295),
    [anon_sym_TILDE] = ACTIONS(6297),
    [anon_sym_QMARK] = ACTIONS(6297),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_DOT] = ACTIONS(6299),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_POUND] = ACTIONS(6301),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_done] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6303),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2818] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2818),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21647),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6063),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6065),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6067),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6067),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6067),
    [sym_let_and_operator] = ACTIONS(6067),
    [sym_match_operator] = ACTIONS(6067),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2819] = {
    [sym__simple_expression] = STATE(7692),
    [sym_typed_expression] = STATE(7680),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_labeled_argument] = STATE(8595),
    [sym_prefix_expression] = STATE(7680),
    [sym_hash_expression] = STATE(7680),
    [sym_field_get_expression] = STATE(7680),
    [sym_array_get_expression] = STATE(7680),
    [sym_string_get_expression] = STATE(7680),
    [sym_bigarray_get_expression] = STATE(7680),
    [sym_coercion_expression] = STATE(7680),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2819),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [aux_sym_class_application_repeat1] = STATE(2863),
    [sym__lowercase_identifier] = ACTIONS(6305),
    [anon_sym_TILDE] = ACTIONS(6307),
    [anon_sym_QMARK] = ACTIONS(6307),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_DOT] = ACTIONS(6309),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_POUND] = ACTIONS(6311),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_do] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6313),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2820] = {
    [sym__simple_expression] = STATE(6692),
    [sym_typed_expression] = STATE(6694),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_labeled_argument] = STATE(7744),
    [sym_prefix_expression] = STATE(6694),
    [sym_hash_expression] = STATE(6694),
    [sym_field_get_expression] = STATE(6694),
    [sym_array_get_expression] = STATE(6694),
    [sym_string_get_expression] = STATE(6694),
    [sym_bigarray_get_expression] = STATE(6694),
    [sym_coercion_expression] = STATE(6694),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2820),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [aux_sym_class_application_repeat1] = STATE(2820),
    [sym__lowercase_identifier] = ACTIONS(6315),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(6318),
    [anon_sym_QMARK] = ACTIONS(6318),
    [anon_sym_LPAREN] = ACTIONS(6321),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6324),
    [anon_sym_true] = ACTIONS(6327),
    [anon_sym_false] = ACTIONS(6327),
    [anon_sym_LBRACE] = ACTIONS(6330),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(6333),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6336),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(6339),
    [anon_sym_LBRACE_LT] = ACTIONS(6342),
    [anon_sym_begin] = ACTIONS(6345),
    [sym_ocamlyacc_value] = ACTIONS(6348),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6351),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6354),
    [aux_sym_number_token1] = ACTIONS(6357),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(6360),
    [anon_sym_DQUOTE] = ACTIONS(6363),
    [sym_prefix_operator] = ACTIONS(6366),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6369),
    [aux_sym_tag_token1] = ACTIONS(6372),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2821] = {
    [sym__simple_expression] = STATE(7666),
    [sym_typed_expression] = STATE(7552),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_labeled_argument] = STATE(8714),
    [sym_prefix_expression] = STATE(7552),
    [sym_hash_expression] = STATE(7552),
    [sym_field_get_expression] = STATE(7552),
    [sym_array_get_expression] = STATE(7552),
    [sym_string_get_expression] = STATE(7552),
    [sym_bigarray_get_expression] = STATE(7552),
    [sym_coercion_expression] = STATE(7552),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2821),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [aux_sym_class_application_repeat1] = STATE(2864),
    [sym__lowercase_identifier] = ACTIONS(6375),
    [anon_sym_TILDE] = ACTIONS(6377),
    [anon_sym_QMARK] = ACTIONS(6377),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_DOT] = ACTIONS(6379),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_POUND] = ACTIONS(6381),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6383),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2822] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15059),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2822),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21245),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6103),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2109),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2109),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2109),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2823] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15059),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2823),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21245),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6103),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(2105),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2109),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2109),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2109),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2824] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14881),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2824),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(19841),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6137),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6139),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6141),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6143),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6145),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6145),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6145),
    [sym_let_and_operator] = ACTIONS(6145),
    [sym_match_operator] = ACTIONS(6145),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2825] = {
    [sym__simple_expression] = STATE(7531),
    [sym_typed_expression] = STATE(7426),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_labeled_argument] = STATE(8581),
    [sym_prefix_expression] = STATE(7426),
    [sym_hash_expression] = STATE(7426),
    [sym_field_get_expression] = STATE(7426),
    [sym_array_get_expression] = STATE(7426),
    [sym_string_get_expression] = STATE(7426),
    [sym_bigarray_get_expression] = STATE(7426),
    [sym_coercion_expression] = STATE(7426),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2825),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [aux_sym_class_application_repeat1] = STATE(2865),
    [sym__lowercase_identifier] = ACTIONS(6385),
    [anon_sym_TILDE] = ACTIONS(6387),
    [anon_sym_QMARK] = ACTIONS(6387),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_DOT] = ACTIONS(6389),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_POUND] = ACTIONS(6391),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6393),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2826] = {
    [sym__simple_expression] = STATE(7546),
    [sym_typed_expression] = STATE(7567),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_labeled_argument] = STATE(8599),
    [sym_prefix_expression] = STATE(7567),
    [sym_hash_expression] = STATE(7567),
    [sym_field_get_expression] = STATE(7567),
    [sym_array_get_expression] = STATE(7567),
    [sym_string_get_expression] = STATE(7567),
    [sym_bigarray_get_expression] = STATE(7567),
    [sym_coercion_expression] = STATE(7567),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2826),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [aux_sym_class_application_repeat1] = STATE(2861),
    [sym__lowercase_identifier] = ACTIONS(6395),
    [anon_sym_TILDE] = ACTIONS(6397),
    [anon_sym_QMARK] = ACTIONS(6397),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_DOT] = ACTIONS(6399),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_POUND] = ACTIONS(6401),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_to] = ACTIONS(3575),
    [anon_sym_downto] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6403),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2827] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14880),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2827),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21010),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6107),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6109),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6111),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6113),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6115),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6115),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6115),
    [sym_let_and_operator] = ACTIONS(6115),
    [sym_match_operator] = ACTIONS(6115),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2828] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14870),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2828),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(20712),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(5993),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6001),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6007),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6033),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6033),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6033),
    [sym_let_and_operator] = ACTIONS(6033),
    [sym_match_operator] = ACTIONS(6033),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2829] = {
    [sym__simple_expression] = STATE(6692),
    [sym_typed_expression] = STATE(6694),
    [sym_list_expression] = STATE(6694),
    [sym_array_expression] = STATE(6694),
    [sym_record_expression] = STATE(6694),
    [sym_labeled_argument] = STATE(7744),
    [sym_prefix_expression] = STATE(6694),
    [sym_hash_expression] = STATE(6694),
    [sym_field_get_expression] = STATE(6694),
    [sym_array_get_expression] = STATE(6694),
    [sym_string_get_expression] = STATE(6694),
    [sym_bigarray_get_expression] = STATE(6694),
    [sym_coercion_expression] = STATE(6694),
    [sym_local_open_expression] = STATE(6694),
    [sym_package_expression] = STATE(6694),
    [sym_new_expression] = STATE(6694),
    [sym_object_copy_expression] = STATE(6694),
    [sym_method_invocation] = STATE(6694),
    [sym_object_expression] = STATE(6694),
    [sym_parenthesized_expression] = STATE(6694),
    [sym_attribute] = STATE(2829),
    [sym_extension] = STATE(6694),
    [sym_quoted_extension] = STATE(6694),
    [sym__constant] = STATE(6694),
    [sym_number] = STATE(6718),
    [sym_character] = STATE(6718),
    [sym_string] = STATE(6718),
    [sym_quoted_string] = STATE(6718),
    [sym_boolean] = STATE(6718),
    [sym_unit] = STATE(6718),
    [sym__value_name] = STATE(6736),
    [sym_parenthesized_operator] = STATE(6670),
    [sym_value_path] = STATE(6694),
    [sym_module_path] = STATE(20597),
    [sym_constructor_path] = STATE(6694),
    [sym__constructor_name] = STATE(6652),
    [sym_tag] = STATE(6694),
    [aux_sym_class_application_repeat1] = STATE(2820),
    [sym__lowercase_identifier] = ACTIONS(5919),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(5921),
    [anon_sym_QMARK] = ACTIONS(5921),
    [anon_sym_LPAREN] = ACTIONS(1603),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1605),
    [anon_sym_true] = ACTIONS(1607),
    [anon_sym_false] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1609),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1611),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1615),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1633),
    [anon_sym_LBRACE_LT] = ACTIONS(1635),
    [anon_sym_begin] = ACTIONS(1637),
    [sym_ocamlyacc_value] = ACTIONS(1639),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1641),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1643),
    [aux_sym_number_token1] = ACTIONS(1645),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1647),
    [anon_sym_DQUOTE] = ACTIONS(1649),
    [sym_prefix_operator] = ACTIONS(1651),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1655),
    [aux_sym_tag_token1] = ACTIONS(1657),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2830] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14853),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2830),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21159),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6117),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6119),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6121),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6123),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6125),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6125),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6125),
    [sym_let_and_operator] = ACTIONS(6125),
    [sym_match_operator] = ACTIONS(6125),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2831] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14879),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2831),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21092),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6039),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6041),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6043),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6045),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6047),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6047),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6047),
    [sym_let_and_operator] = ACTIONS(6047),
    [sym_match_operator] = ACTIONS(6047),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2832] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14842),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2832),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(22453),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6127),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6129),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6131),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6133),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6135),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6135),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6135),
    [sym_let_and_operator] = ACTIONS(6135),
    [sym_match_operator] = ACTIONS(6135),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2833] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15051),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2833),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21647),
    [sym_add_operator] = STATE(22091),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_module] = ACTIONS(6063),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6405),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6067),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6067),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6067),
    [sym_let_and_operator] = ACTIONS(6067),
    [sym_match_operator] = ACTIONS(6067),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2834] = {
    [sym__simple_expression] = STATE(8065),
    [sym_typed_expression] = STATE(7906),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_labeled_argument] = STATE(8830),
    [sym_prefix_expression] = STATE(7906),
    [sym_hash_expression] = STATE(7906),
    [sym_field_get_expression] = STATE(7906),
    [sym_array_get_expression] = STATE(7906),
    [sym_string_get_expression] = STATE(7906),
    [sym_bigarray_get_expression] = STATE(7906),
    [sym_coercion_expression] = STATE(7906),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2834),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [aux_sym_class_application_repeat1] = STATE(2883),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_TILDE] = ACTIONS(6409),
    [anon_sym_QMARK] = ACTIONS(6409),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_DOT] = ACTIONS(6411),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_end] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_POUND] = ACTIONS(6413),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6415),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2835] = {
    [sym__simple_expression] = STATE(6785),
    [sym_typed_expression] = STATE(6772),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_labeled_argument] = STATE(8113),
    [sym_prefix_expression] = STATE(6772),
    [sym_hash_expression] = STATE(6772),
    [sym_field_get_expression] = STATE(6772),
    [sym_array_get_expression] = STATE(6772),
    [sym_string_get_expression] = STATE(6772),
    [sym_bigarray_get_expression] = STATE(6772),
    [sym_coercion_expression] = STATE(6772),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2835),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [aux_sym_class_application_repeat1] = STATE(2835),
    [sym__lowercase_identifier] = ACTIONS(6417),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(6420),
    [anon_sym_QMARK] = ACTIONS(6420),
    [anon_sym_LPAREN] = ACTIONS(6423),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6426),
    [anon_sym_true] = ACTIONS(6429),
    [anon_sym_false] = ACTIONS(6429),
    [anon_sym_LBRACE] = ACTIONS(6432),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(6435),
    [anon_sym_in] = ACTIONS(3850),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6438),
    [anon_sym_new] = ACTIONS(6441),
    [anon_sym_LBRACE_LT] = ACTIONS(6444),
    [anon_sym_begin] = ACTIONS(6447),
    [sym_ocamlyacc_value] = ACTIONS(6450),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6453),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6456),
    [aux_sym_number_token1] = ACTIONS(6459),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(6462),
    [anon_sym_DQUOTE] = ACTIONS(6465),
    [sym_prefix_operator] = ACTIONS(6468),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym_let_and_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6471),
    [aux_sym_tag_token1] = ACTIONS(6474),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2836] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18273),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(2836),
    [sym_item_attribute] = STATE(11683),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(11552),
    [aux_sym_let_binding_repeat1] = STATE(5631),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_SEMI_SEMI] = ACTIONS(6479),
    [anon_sym_let] = ACTIONS(6481),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(6483),
    [anon_sym_EQ] = ACTIONS(6485),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_type] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6491),
    [anon_sym_PIPE] = ACTIONS(6493),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_RBRACK] = ACTIONS(6479),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_exception] = ACTIONS(6481),
    [anon_sym_module] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_include] = ACTIONS(6481),
    [anon_sym_class] = ACTIONS(6481),
    [anon_sym_in] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(6503),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(6507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6513),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6479),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6517),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6479),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6479),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_operator] = ACTIONS(6479),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_directive_token1] = ACTIONS(6481),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2837] = {
    [sym__simple_expression] = STATE(6785),
    [sym_typed_expression] = STATE(6772),
    [sym_list_expression] = STATE(6772),
    [sym_array_expression] = STATE(6772),
    [sym_record_expression] = STATE(6772),
    [sym_labeled_argument] = STATE(8113),
    [sym_prefix_expression] = STATE(6772),
    [sym_hash_expression] = STATE(6772),
    [sym_field_get_expression] = STATE(6772),
    [sym_array_get_expression] = STATE(6772),
    [sym_string_get_expression] = STATE(6772),
    [sym_bigarray_get_expression] = STATE(6772),
    [sym_coercion_expression] = STATE(6772),
    [sym_local_open_expression] = STATE(6772),
    [sym_package_expression] = STATE(6772),
    [sym_new_expression] = STATE(6772),
    [sym_object_copy_expression] = STATE(6772),
    [sym_method_invocation] = STATE(6772),
    [sym_object_expression] = STATE(6772),
    [sym_parenthesized_expression] = STATE(6772),
    [sym_attribute] = STATE(2837),
    [sym_extension] = STATE(6772),
    [sym_quoted_extension] = STATE(6772),
    [sym__constant] = STATE(6772),
    [sym_number] = STATE(6854),
    [sym_character] = STATE(6854),
    [sym_string] = STATE(6854),
    [sym_quoted_string] = STATE(6854),
    [sym_boolean] = STATE(6854),
    [sym_unit] = STATE(6854),
    [sym__value_name] = STATE(6773),
    [sym_parenthesized_operator] = STATE(6856),
    [sym_value_path] = STATE(6772),
    [sym_module_path] = STATE(19539),
    [sym_constructor_path] = STATE(6772),
    [sym__constructor_name] = STATE(6806),
    [sym_tag] = STATE(6772),
    [aux_sym_class_application_repeat1] = STATE(2835),
    [sym__lowercase_identifier] = ACTIONS(6049),
    [anon_sym_and] = ACTIONS(3911),
    [anon_sym_TILDE] = ACTIONS(6051),
    [anon_sym_QMARK] = ACTIONS(6051),
    [anon_sym_LPAREN] = ACTIONS(1669),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1671),
    [anon_sym_true] = ACTIONS(1673),
    [anon_sym_false] = ACTIONS(1673),
    [anon_sym_LBRACE] = ACTIONS(1675),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1677),
    [anon_sym_in] = ACTIONS(3911),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1681),
    [anon_sym_new] = ACTIONS(1691),
    [anon_sym_LBRACE_LT] = ACTIONS(1693),
    [anon_sym_begin] = ACTIONS(1695),
    [sym_ocamlyacc_value] = ACTIONS(1697),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3909),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1699),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1701),
    [aux_sym_number_token1] = ACTIONS(1703),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1705),
    [anon_sym_DQUOTE] = ACTIONS(1707),
    [sym_prefix_operator] = ACTIONS(1709),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym_let_and_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1713),
    [aux_sym_tag_token1] = ACTIONS(1715),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2838] = {
    [sym__simple_expression] = STATE(7989),
    [sym_typed_expression] = STATE(7783),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_labeled_argument] = STATE(8773),
    [sym_prefix_expression] = STATE(7783),
    [sym_hash_expression] = STATE(7783),
    [sym_field_get_expression] = STATE(7783),
    [sym_array_get_expression] = STATE(7783),
    [sym_string_get_expression] = STATE(7783),
    [sym_bigarray_get_expression] = STATE(7783),
    [sym_coercion_expression] = STATE(7783),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2838),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [aux_sym_class_application_repeat1] = STATE(2875),
    [sym__lowercase_identifier] = ACTIONS(6531),
    [anon_sym_TILDE] = ACTIONS(6533),
    [anon_sym_QMARK] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_DOT] = ACTIONS(6535),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_POUND] = ACTIONS(6537),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_then] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6539),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2839] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18223),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(2839),
    [sym_item_attribute] = STATE(11683),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(11552),
    [aux_sym_let_binding_repeat1] = STATE(5639),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_SEMI_SEMI] = ACTIONS(6479),
    [anon_sym_let] = ACTIONS(6481),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(6541),
    [anon_sym_EQ] = ACTIONS(6543),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_type] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6545),
    [anon_sym_PIPE] = ACTIONS(6547),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_exception] = ACTIONS(6481),
    [anon_sym_module] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_include] = ACTIONS(6481),
    [anon_sym_class] = ACTIONS(6481),
    [anon_sym_end] = ACTIONS(6481),
    [anon_sym_in] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(6549),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(6551),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6513),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6479),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6517),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6479),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6479),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_operator] = ACTIONS(6479),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_directive_token1] = ACTIONS(6481),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2840] = {
    [sym__simple_expression] = STATE(7894),
    [sym_typed_expression] = STATE(8182),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_labeled_argument] = STATE(8810),
    [sym_prefix_expression] = STATE(8182),
    [sym_hash_expression] = STATE(8182),
    [sym_field_get_expression] = STATE(8182),
    [sym_array_get_expression] = STATE(8182),
    [sym_string_get_expression] = STATE(8182),
    [sym_bigarray_get_expression] = STATE(8182),
    [sym_coercion_expression] = STATE(8182),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2840),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [aux_sym_class_application_repeat1] = STATE(2885),
    [sym__lowercase_identifier] = ACTIONS(6553),
    [anon_sym_TILDE] = ACTIONS(6555),
    [anon_sym_QMARK] = ACTIONS(6555),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_DOT] = ACTIONS(6557),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_POUND] = ACTIONS(6559),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6561),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2841] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18322),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(2841),
    [sym_item_attribute] = STATE(11683),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(11552),
    [aux_sym_let_binding_repeat1] = STATE(5653),
    [ts_builtin_sym_end] = ACTIONS(6479),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_SEMI_SEMI] = ACTIONS(6479),
    [anon_sym_let] = ACTIONS(6481),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(6563),
    [anon_sym_EQ] = ACTIONS(6565),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_type] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6491),
    [anon_sym_PIPE] = ACTIONS(6493),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_exception] = ACTIONS(6481),
    [anon_sym_module] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_include] = ACTIONS(6481),
    [anon_sym_class] = ACTIONS(6481),
    [anon_sym_in] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(6503),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(6507),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6513),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6479),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6517),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6479),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6479),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_operator] = ACTIONS(6479),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_directive_token1] = ACTIONS(6481),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2842] = {
    [sym__simple_expression] = STATE(8213),
    [sym_typed_expression] = STATE(8118),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_labeled_argument] = STATE(8819),
    [sym_prefix_expression] = STATE(8118),
    [sym_hash_expression] = STATE(8118),
    [sym_field_get_expression] = STATE(8118),
    [sym_array_get_expression] = STATE(8118),
    [sym_string_get_expression] = STATE(8118),
    [sym_bigarray_get_expression] = STATE(8118),
    [sym_coercion_expression] = STATE(8118),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2842),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [aux_sym_class_application_repeat1] = STATE(2870),
    [sym__lowercase_identifier] = ACTIONS(6567),
    [anon_sym_TILDE] = ACTIONS(6569),
    [anon_sym_QMARK] = ACTIONS(6569),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_DOT] = ACTIONS(6571),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_with] = ACTIONS(3575),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_POUND] = ACTIONS(6573),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6575),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2843] = {
    [sym__simple_expression] = STATE(7865),
    [sym_typed_expression] = STATE(7761),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_labeled_argument] = STATE(8746),
    [sym_prefix_expression] = STATE(7761),
    [sym_hash_expression] = STATE(7761),
    [sym_field_get_expression] = STATE(7761),
    [sym_array_get_expression] = STATE(7761),
    [sym_string_get_expression] = STATE(7761),
    [sym_bigarray_get_expression] = STATE(7761),
    [sym_coercion_expression] = STATE(7761),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2843),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [aux_sym_class_application_repeat1] = STATE(2877),
    [sym__lowercase_identifier] = ACTIONS(6577),
    [anon_sym_TILDE] = ACTIONS(6579),
    [anon_sym_QMARK] = ACTIONS(6579),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_COMMA] = ACTIONS(3573),
    [anon_sym_PIPE] = ACTIONS(3575),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_DOT] = ACTIONS(6581),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3573),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_POUND] = ACTIONS(6583),
    [anon_sym_COLON_COLON] = ACTIONS(3573),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_done] = ACTIONS(3575),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(3575),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(3575),
    [sym_hash_operator] = ACTIONS(6585),
    [sym_pow_operator] = ACTIONS(3575),
    [sym_mult_operator] = ACTIONS(3575),
    [aux_sym_add_operator_token1] = ACTIONS(3575),
    [sym_concat_operator] = ACTIONS(3573),
    [sym_rel_operator] = ACTIONS(3575),
    [sym_and_operator] = ACTIONS(3575),
    [sym_or_operator] = ACTIONS(3575),
    [sym_assign_operator] = ACTIONS(3573),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2844] = {
    [sym__simple_expression] = STATE(7177),
    [sym_typed_expression] = STATE(6977),
    [sym_list_expression] = STATE(6977),
    [sym_array_expression] = STATE(6977),
    [sym_record_expression] = STATE(6977),
    [sym_labeled_argument] = STATE(8256),
    [sym_prefix_expression] = STATE(6977),
    [sym_hash_expression] = STATE(6977),
    [sym_field_get_expression] = STATE(6977),
    [sym_array_get_expression] = STATE(6977),
    [sym_string_get_expression] = STATE(6977),
    [sym_bigarray_get_expression] = STATE(6977),
    [sym_coercion_expression] = STATE(6977),
    [sym_local_open_expression] = STATE(6977),
    [sym_package_expression] = STATE(6977),
    [sym_new_expression] = STATE(6977),
    [sym_object_copy_expression] = STATE(6977),
    [sym_method_invocation] = STATE(6977),
    [sym_object_expression] = STATE(6977),
    [sym_parenthesized_expression] = STATE(6977),
    [sym_attribute] = STATE(2844),
    [sym_extension] = STATE(6977),
    [sym_quoted_extension] = STATE(6977),
    [sym__constant] = STATE(6977),
    [sym_number] = STATE(6873),
    [sym_character] = STATE(6873),
    [sym_string] = STATE(6873),
    [sym_quoted_string] = STATE(6873),
    [sym_boolean] = STATE(6873),
    [sym_unit] = STATE(6873),
    [sym__value_name] = STATE(6877),
    [sym_parenthesized_operator] = STATE(7125),
    [sym_value_path] = STATE(6977),
    [sym_module_path] = STATE(20290),
    [sym_constructor_path] = STATE(6977),
    [sym__constructor_name] = STATE(6934),
    [sym_tag] = STATE(6977),
    [aux_sym_class_application_repeat1] = STATE(2854),
    [sym__lowercase_identifier] = ACTIONS(6587),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_let] = ACTIONS(6591),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(6593),
    [anon_sym_QMARK] = ACTIONS(6593),
    [anon_sym_LPAREN] = ACTIONS(6595),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym_RBRACK] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(6599),
    [anon_sym_false] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6601),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(6603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6605),
    [anon_sym_new] = ACTIONS(6607),
    [anon_sym_LBRACE_LT] = ACTIONS(6609),
    [anon_sym_begin] = ACTIONS(6611),
    [sym_ocamlyacc_value] = ACTIONS(6613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(6619),
    [anon_sym_SQUOTE] = ACTIONS(6621),
    [anon_sym_DQUOTE] = ACTIONS(6623),
    [sym_prefix_operator] = ACTIONS(6625),
    [sym_let_operator] = ACTIONS(6589),
    [sym__uppercase_identifier] = ACTIONS(6627),
    [aux_sym_directive_token1] = ACTIONS(6589),
    [aux_sym_tag_token1] = ACTIONS(6629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2845] = {
    [sym__simple_expression] = STATE(7177),
    [sym_typed_expression] = STATE(6977),
    [sym_list_expression] = STATE(6977),
    [sym_array_expression] = STATE(6977),
    [sym_record_expression] = STATE(6977),
    [sym_labeled_argument] = STATE(8256),
    [sym_prefix_expression] = STATE(6977),
    [sym_hash_expression] = STATE(6977),
    [sym_field_get_expression] = STATE(6977),
    [sym_array_get_expression] = STATE(6977),
    [sym_string_get_expression] = STATE(6977),
    [sym_bigarray_get_expression] = STATE(6977),
    [sym_coercion_expression] = STATE(6977),
    [sym_local_open_expression] = STATE(6977),
    [sym_package_expression] = STATE(6977),
    [sym_new_expression] = STATE(6977),
    [sym_object_copy_expression] = STATE(6977),
    [sym_method_invocation] = STATE(6977),
    [sym_object_expression] = STATE(6977),
    [sym_parenthesized_expression] = STATE(6977),
    [sym_attribute] = STATE(2845),
    [sym_extension] = STATE(6977),
    [sym_quoted_extension] = STATE(6977),
    [sym__constant] = STATE(6977),
    [sym_number] = STATE(6873),
    [sym_character] = STATE(6873),
    [sym_string] = STATE(6873),
    [sym_quoted_string] = STATE(6873),
    [sym_boolean] = STATE(6873),
    [sym_unit] = STATE(6873),
    [sym__value_name] = STATE(6877),
    [sym_parenthesized_operator] = STATE(7125),
    [sym_value_path] = STATE(6977),
    [sym_module_path] = STATE(20290),
    [sym_constructor_path] = STATE(6977),
    [sym__constructor_name] = STATE(6934),
    [sym_tag] = STATE(6977),
    [aux_sym_class_application_repeat1] = STATE(2845),
    [sym__lowercase_identifier] = ACTIONS(6631),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(6634),
    [anon_sym_QMARK] = ACTIONS(6634),
    [anon_sym_LPAREN] = ACTIONS(6637),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6640),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(6643),
    [anon_sym_false] = ACTIONS(6643),
    [anon_sym_LBRACE] = ACTIONS(6646),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6649),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6652),
    [anon_sym_new] = ACTIONS(6655),
    [anon_sym_LBRACE_LT] = ACTIONS(6658),
    [anon_sym_begin] = ACTIONS(6661),
    [sym_ocamlyacc_value] = ACTIONS(6664),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6667),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6670),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(6673),
    [anon_sym_SQUOTE] = ACTIONS(6676),
    [anon_sym_DQUOTE] = ACTIONS(6679),
    [sym_prefix_operator] = ACTIONS(6682),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6685),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(6688),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2846] = {
    [sym__simple_expression] = STATE(7066),
    [sym_typed_expression] = STATE(7028),
    [sym_list_expression] = STATE(7028),
    [sym_array_expression] = STATE(7028),
    [sym_record_expression] = STATE(7028),
    [sym_labeled_argument] = STATE(8431),
    [sym_prefix_expression] = STATE(7028),
    [sym_hash_expression] = STATE(7028),
    [sym_field_get_expression] = STATE(7028),
    [sym_array_get_expression] = STATE(7028),
    [sym_string_get_expression] = STATE(7028),
    [sym_bigarray_get_expression] = STATE(7028),
    [sym_coercion_expression] = STATE(7028),
    [sym_local_open_expression] = STATE(7028),
    [sym_package_expression] = STATE(7028),
    [sym_new_expression] = STATE(7028),
    [sym_object_copy_expression] = STATE(7028),
    [sym_method_invocation] = STATE(7028),
    [sym_object_expression] = STATE(7028),
    [sym_parenthesized_expression] = STATE(7028),
    [sym_attribute] = STATE(2846),
    [sym_extension] = STATE(7028),
    [sym_quoted_extension] = STATE(7028),
    [sym__constant] = STATE(7028),
    [sym_number] = STATE(7046),
    [sym_character] = STATE(7046),
    [sym_string] = STATE(7046),
    [sym_quoted_string] = STATE(7046),
    [sym_boolean] = STATE(7046),
    [sym_unit] = STATE(7046),
    [sym__value_name] = STATE(7124),
    [sym_parenthesized_operator] = STATE(7147),
    [sym_value_path] = STATE(7028),
    [sym_module_path] = STATE(20407),
    [sym_constructor_path] = STATE(7028),
    [sym__constructor_name] = STATE(7149),
    [sym_tag] = STATE(7028),
    [aux_sym_class_application_repeat1] = STATE(2853),
    [sym__lowercase_identifier] = ACTIONS(6691),
    [anon_sym_SEMI_SEMI] = ACTIONS(6693),
    [anon_sym_let] = ACTIONS(6695),
    [anon_sym_and] = ACTIONS(6695),
    [anon_sym_TILDE] = ACTIONS(6697),
    [anon_sym_QMARK] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_external] = ACTIONS(6695),
    [anon_sym_type] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(6703),
    [anon_sym_false] = ACTIONS(6703),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_exception] = ACTIONS(6695),
    [anon_sym_module] = ACTIONS(6695),
    [anon_sym_open] = ACTIONS(6695),
    [anon_sym_include] = ACTIONS(6695),
    [anon_sym_class] = ACTIONS(6695),
    [anon_sym_end] = ACTIONS(6695),
    [anon_sym_object] = ACTIONS(6707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6709),
    [anon_sym_new] = ACTIONS(6711),
    [anon_sym_LBRACE_LT] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(6715),
    [sym_ocamlyacc_value] = ACTIONS(6717),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6719),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6721),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6693),
    [aux_sym_number_token1] = ACTIONS(6723),
    [anon_sym_SQUOTE] = ACTIONS(6725),
    [anon_sym_DQUOTE] = ACTIONS(6727),
    [sym_prefix_operator] = ACTIONS(6729),
    [sym_let_operator] = ACTIONS(6693),
    [sym__uppercase_identifier] = ACTIONS(6731),
    [aux_sym_directive_token1] = ACTIONS(6693),
    [aux_sym_tag_token1] = ACTIONS(6733),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2847] = {
    [sym__simple_expression] = STATE(7213),
    [sym_typed_expression] = STATE(7224),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_labeled_argument] = STATE(8423),
    [sym_prefix_expression] = STATE(7224),
    [sym_hash_expression] = STATE(7224),
    [sym_field_get_expression] = STATE(7224),
    [sym_array_get_expression] = STATE(7224),
    [sym_string_get_expression] = STATE(7224),
    [sym_bigarray_get_expression] = STATE(7224),
    [sym_coercion_expression] = STATE(7224),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2847),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [sym__lowercase_identifier] = ACTIONS(6735),
    [anon_sym_TILDE] = ACTIONS(6738),
    [anon_sym_QMARK] = ACTIONS(6738),
    [anon_sym_LPAREN] = ACTIONS(6741),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6744),
    [anon_sym_true] = ACTIONS(6747),
    [anon_sym_false] = ACTIONS(6747),
    [anon_sym_LBRACE] = ACTIONS(6750),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(6753),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6756),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_to] = ACTIONS(3850),
    [anon_sym_downto] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(6759),
    [anon_sym_LBRACE_LT] = ACTIONS(6762),
    [anon_sym_begin] = ACTIONS(6765),
    [sym_ocamlyacc_value] = ACTIONS(6768),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6771),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6774),
    [aux_sym_number_token1] = ACTIONS(6777),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(6780),
    [anon_sym_DQUOTE] = ACTIONS(6783),
    [sym_prefix_operator] = ACTIONS(6786),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6789),
    [aux_sym_tag_token1] = ACTIONS(6792),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2848] = {
    [sym__simple_expression] = STATE(7049),
    [sym_typed_expression] = STATE(7085),
    [sym_list_expression] = STATE(7085),
    [sym_array_expression] = STATE(7085),
    [sym_record_expression] = STATE(7085),
    [sym_labeled_argument] = STATE(8256),
    [sym_prefix_expression] = STATE(7085),
    [sym_hash_expression] = STATE(7085),
    [sym_field_get_expression] = STATE(7085),
    [sym_array_get_expression] = STATE(7085),
    [sym_string_get_expression] = STATE(7085),
    [sym_bigarray_get_expression] = STATE(7085),
    [sym_coercion_expression] = STATE(7085),
    [sym_local_open_expression] = STATE(7085),
    [sym_package_expression] = STATE(7085),
    [sym_new_expression] = STATE(7085),
    [sym_object_copy_expression] = STATE(7085),
    [sym_method_invocation] = STATE(7085),
    [sym_object_expression] = STATE(7085),
    [sym_parenthesized_expression] = STATE(7085),
    [sym_attribute] = STATE(2848),
    [sym_extension] = STATE(7085),
    [sym_quoted_extension] = STATE(7085),
    [sym__constant] = STATE(7085),
    [sym_number] = STATE(7015),
    [sym_character] = STATE(7015),
    [sym_string] = STATE(7015),
    [sym_quoted_string] = STATE(7015),
    [sym_boolean] = STATE(7015),
    [sym_unit] = STATE(7015),
    [sym__value_name] = STATE(6971),
    [sym_parenthesized_operator] = STATE(7006),
    [sym_value_path] = STATE(7085),
    [sym_module_path] = STATE(19704),
    [sym_constructor_path] = STATE(7085),
    [sym__constructor_name] = STATE(6970),
    [sym_tag] = STATE(7085),
    [aux_sym_class_application_repeat1] = STATE(2852),
    [ts_builtin_sym_end] = ACTIONS(6589),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_let] = ACTIONS(6591),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(6797),
    [anon_sym_QMARK] = ACTIONS(6797),
    [anon_sym_LPAREN] = ACTIONS(6799),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6801),
    [anon_sym_true] = ACTIONS(6803),
    [anon_sym_false] = ACTIONS(6803),
    [anon_sym_LBRACE] = ACTIONS(6805),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(6807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6809),
    [anon_sym_new] = ACTIONS(6811),
    [anon_sym_LBRACE_LT] = ACTIONS(6813),
    [anon_sym_begin] = ACTIONS(6815),
    [sym_ocamlyacc_value] = ACTIONS(6817),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6821),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(6823),
    [anon_sym_SQUOTE] = ACTIONS(6825),
    [anon_sym_DQUOTE] = ACTIONS(6827),
    [sym_prefix_operator] = ACTIONS(6829),
    [sym_let_operator] = ACTIONS(6589),
    [sym__uppercase_identifier] = ACTIONS(6831),
    [aux_sym_directive_token1] = ACTIONS(6589),
    [aux_sym_tag_token1] = ACTIONS(6833),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2849] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18380),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(2849),
    [sym_item_attribute] = STATE(11683),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(11552),
    [aux_sym_let_binding_repeat1] = STATE(5615),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_SEMI_SEMI] = ACTIONS(6479),
    [anon_sym_let] = ACTIONS(6481),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(6835),
    [anon_sym_EQ] = ACTIONS(6837),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_type] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6839),
    [anon_sym_PIPE] = ACTIONS(6841),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_RBRACK] = ACTIONS(6479),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_exception] = ACTIONS(6481),
    [anon_sym_module] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_include] = ACTIONS(6481),
    [anon_sym_class] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(6845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6513),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6479),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6517),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6479),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6479),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_operator] = ACTIONS(6479),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_directive_token1] = ACTIONS(6481),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2850] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18503),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(2850),
    [sym_item_attribute] = STATE(11683),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(11552),
    [aux_sym_let_binding_repeat1] = STATE(5654),
    [ts_builtin_sym_end] = ACTIONS(6479),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_SEMI_SEMI] = ACTIONS(6479),
    [anon_sym_let] = ACTIONS(6481),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(6847),
    [anon_sym_EQ] = ACTIONS(6849),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_type] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6839),
    [anon_sym_PIPE] = ACTIONS(6841),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_exception] = ACTIONS(6481),
    [anon_sym_module] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_include] = ACTIONS(6481),
    [anon_sym_class] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(6843),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(6845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6513),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6479),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6517),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6479),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6479),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_operator] = ACTIONS(6479),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_directive_token1] = ACTIONS(6481),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2851] = {
    [sym__simple_expression] = STATE(7049),
    [sym_typed_expression] = STATE(7085),
    [sym_list_expression] = STATE(7085),
    [sym_array_expression] = STATE(7085),
    [sym_record_expression] = STATE(7085),
    [sym_labeled_argument] = STATE(8256),
    [sym_prefix_expression] = STATE(7085),
    [sym_hash_expression] = STATE(7085),
    [sym_field_get_expression] = STATE(7085),
    [sym_array_get_expression] = STATE(7085),
    [sym_string_get_expression] = STATE(7085),
    [sym_bigarray_get_expression] = STATE(7085),
    [sym_coercion_expression] = STATE(7085),
    [sym_local_open_expression] = STATE(7085),
    [sym_package_expression] = STATE(7085),
    [sym_new_expression] = STATE(7085),
    [sym_object_copy_expression] = STATE(7085),
    [sym_method_invocation] = STATE(7085),
    [sym_object_expression] = STATE(7085),
    [sym_parenthesized_expression] = STATE(7085),
    [sym_attribute] = STATE(2851),
    [sym_extension] = STATE(7085),
    [sym_quoted_extension] = STATE(7085),
    [sym__constant] = STATE(7085),
    [sym_number] = STATE(7015),
    [sym_character] = STATE(7015),
    [sym_string] = STATE(7015),
    [sym_quoted_string] = STATE(7015),
    [sym_boolean] = STATE(7015),
    [sym_unit] = STATE(7015),
    [sym__value_name] = STATE(6971),
    [sym_parenthesized_operator] = STATE(7006),
    [sym_value_path] = STATE(7085),
    [sym_module_path] = STATE(19704),
    [sym_constructor_path] = STATE(7085),
    [sym__constructor_name] = STATE(6970),
    [sym_tag] = STATE(7085),
    [aux_sym_class_application_repeat1] = STATE(2851),
    [ts_builtin_sym_end] = ACTIONS(3845),
    [sym__lowercase_identifier] = ACTIONS(6851),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(6854),
    [anon_sym_QMARK] = ACTIONS(6854),
    [anon_sym_LPAREN] = ACTIONS(6857),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6860),
    [anon_sym_true] = ACTIONS(6863),
    [anon_sym_false] = ACTIONS(6863),
    [anon_sym_LBRACE] = ACTIONS(6866),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6869),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6872),
    [anon_sym_new] = ACTIONS(6875),
    [anon_sym_LBRACE_LT] = ACTIONS(6878),
    [anon_sym_begin] = ACTIONS(6881),
    [sym_ocamlyacc_value] = ACTIONS(6884),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6887),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6890),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(6893),
    [anon_sym_SQUOTE] = ACTIONS(6896),
    [anon_sym_DQUOTE] = ACTIONS(6899),
    [sym_prefix_operator] = ACTIONS(6902),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6905),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(6908),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2852] = {
    [sym__simple_expression] = STATE(7049),
    [sym_typed_expression] = STATE(7085),
    [sym_list_expression] = STATE(7085),
    [sym_array_expression] = STATE(7085),
    [sym_record_expression] = STATE(7085),
    [sym_labeled_argument] = STATE(8256),
    [sym_prefix_expression] = STATE(7085),
    [sym_hash_expression] = STATE(7085),
    [sym_field_get_expression] = STATE(7085),
    [sym_array_get_expression] = STATE(7085),
    [sym_string_get_expression] = STATE(7085),
    [sym_bigarray_get_expression] = STATE(7085),
    [sym_coercion_expression] = STATE(7085),
    [sym_local_open_expression] = STATE(7085),
    [sym_package_expression] = STATE(7085),
    [sym_new_expression] = STATE(7085),
    [sym_object_copy_expression] = STATE(7085),
    [sym_method_invocation] = STATE(7085),
    [sym_object_expression] = STATE(7085),
    [sym_parenthesized_expression] = STATE(7085),
    [sym_attribute] = STATE(2852),
    [sym_extension] = STATE(7085),
    [sym_quoted_extension] = STATE(7085),
    [sym__constant] = STATE(7085),
    [sym_number] = STATE(7015),
    [sym_character] = STATE(7015),
    [sym_string] = STATE(7015),
    [sym_quoted_string] = STATE(7015),
    [sym_boolean] = STATE(7015),
    [sym_unit] = STATE(7015),
    [sym__value_name] = STATE(6971),
    [sym_parenthesized_operator] = STATE(7006),
    [sym_value_path] = STATE(7085),
    [sym_module_path] = STATE(19704),
    [sym_constructor_path] = STATE(7085),
    [sym__constructor_name] = STATE(6970),
    [sym_tag] = STATE(7085),
    [aux_sym_class_application_repeat1] = STATE(2851),
    [ts_builtin_sym_end] = ACTIONS(6693),
    [sym__lowercase_identifier] = ACTIONS(6795),
    [anon_sym_SEMI_SEMI] = ACTIONS(6693),
    [anon_sym_let] = ACTIONS(6695),
    [anon_sym_and] = ACTIONS(6695),
    [anon_sym_TILDE] = ACTIONS(6797),
    [anon_sym_QMARK] = ACTIONS(6797),
    [anon_sym_LPAREN] = ACTIONS(6799),
    [anon_sym_external] = ACTIONS(6695),
    [anon_sym_type] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6801),
    [anon_sym_true] = ACTIONS(6803),
    [anon_sym_false] = ACTIONS(6803),
    [anon_sym_LBRACE] = ACTIONS(6805),
    [anon_sym_exception] = ACTIONS(6695),
    [anon_sym_module] = ACTIONS(6695),
    [anon_sym_open] = ACTIONS(6695),
    [anon_sym_include] = ACTIONS(6695),
    [anon_sym_class] = ACTIONS(6695),
    [anon_sym_object] = ACTIONS(6807),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6809),
    [anon_sym_new] = ACTIONS(6811),
    [anon_sym_LBRACE_LT] = ACTIONS(6813),
    [anon_sym_begin] = ACTIONS(6815),
    [sym_ocamlyacc_value] = ACTIONS(6817),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6821),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6693),
    [aux_sym_number_token1] = ACTIONS(6823),
    [anon_sym_SQUOTE] = ACTIONS(6825),
    [anon_sym_DQUOTE] = ACTIONS(6827),
    [sym_prefix_operator] = ACTIONS(6829),
    [sym_let_operator] = ACTIONS(6693),
    [sym__uppercase_identifier] = ACTIONS(6831),
    [aux_sym_directive_token1] = ACTIONS(6693),
    [aux_sym_tag_token1] = ACTIONS(6833),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2853] = {
    [sym__simple_expression] = STATE(7066),
    [sym_typed_expression] = STATE(7028),
    [sym_list_expression] = STATE(7028),
    [sym_array_expression] = STATE(7028),
    [sym_record_expression] = STATE(7028),
    [sym_labeled_argument] = STATE(8431),
    [sym_prefix_expression] = STATE(7028),
    [sym_hash_expression] = STATE(7028),
    [sym_field_get_expression] = STATE(7028),
    [sym_array_get_expression] = STATE(7028),
    [sym_string_get_expression] = STATE(7028),
    [sym_bigarray_get_expression] = STATE(7028),
    [sym_coercion_expression] = STATE(7028),
    [sym_local_open_expression] = STATE(7028),
    [sym_package_expression] = STATE(7028),
    [sym_new_expression] = STATE(7028),
    [sym_object_copy_expression] = STATE(7028),
    [sym_method_invocation] = STATE(7028),
    [sym_object_expression] = STATE(7028),
    [sym_parenthesized_expression] = STATE(7028),
    [sym_attribute] = STATE(2853),
    [sym_extension] = STATE(7028),
    [sym_quoted_extension] = STATE(7028),
    [sym__constant] = STATE(7028),
    [sym_number] = STATE(7046),
    [sym_character] = STATE(7046),
    [sym_string] = STATE(7046),
    [sym_quoted_string] = STATE(7046),
    [sym_boolean] = STATE(7046),
    [sym_unit] = STATE(7046),
    [sym__value_name] = STATE(7124),
    [sym_parenthesized_operator] = STATE(7147),
    [sym_value_path] = STATE(7028),
    [sym_module_path] = STATE(20407),
    [sym_constructor_path] = STATE(7028),
    [sym__constructor_name] = STATE(7149),
    [sym_tag] = STATE(7028),
    [aux_sym_class_application_repeat1] = STATE(2853),
    [sym__lowercase_identifier] = ACTIONS(6911),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_let] = ACTIONS(3850),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(6914),
    [anon_sym_QMARK] = ACTIONS(6914),
    [anon_sym_LPAREN] = ACTIONS(6917),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6920),
    [anon_sym_true] = ACTIONS(6923),
    [anon_sym_false] = ACTIONS(6923),
    [anon_sym_LBRACE] = ACTIONS(6926),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(6929),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6932),
    [anon_sym_new] = ACTIONS(6935),
    [anon_sym_LBRACE_LT] = ACTIONS(6938),
    [anon_sym_begin] = ACTIONS(6941),
    [sym_ocamlyacc_value] = ACTIONS(6944),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6947),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6950),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(6953),
    [anon_sym_SQUOTE] = ACTIONS(6956),
    [anon_sym_DQUOTE] = ACTIONS(6959),
    [sym_prefix_operator] = ACTIONS(6962),
    [sym_let_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(6965),
    [aux_sym_directive_token1] = ACTIONS(3845),
    [aux_sym_tag_token1] = ACTIONS(6968),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2854] = {
    [sym__simple_expression] = STATE(7177),
    [sym_typed_expression] = STATE(6977),
    [sym_list_expression] = STATE(6977),
    [sym_array_expression] = STATE(6977),
    [sym_record_expression] = STATE(6977),
    [sym_labeled_argument] = STATE(8256),
    [sym_prefix_expression] = STATE(6977),
    [sym_hash_expression] = STATE(6977),
    [sym_field_get_expression] = STATE(6977),
    [sym_array_get_expression] = STATE(6977),
    [sym_string_get_expression] = STATE(6977),
    [sym_bigarray_get_expression] = STATE(6977),
    [sym_coercion_expression] = STATE(6977),
    [sym_local_open_expression] = STATE(6977),
    [sym_package_expression] = STATE(6977),
    [sym_new_expression] = STATE(6977),
    [sym_object_copy_expression] = STATE(6977),
    [sym_method_invocation] = STATE(6977),
    [sym_object_expression] = STATE(6977),
    [sym_parenthesized_expression] = STATE(6977),
    [sym_attribute] = STATE(2854),
    [sym_extension] = STATE(6977),
    [sym_quoted_extension] = STATE(6977),
    [sym__constant] = STATE(6977),
    [sym_number] = STATE(6873),
    [sym_character] = STATE(6873),
    [sym_string] = STATE(6873),
    [sym_quoted_string] = STATE(6873),
    [sym_boolean] = STATE(6873),
    [sym_unit] = STATE(6873),
    [sym__value_name] = STATE(6877),
    [sym_parenthesized_operator] = STATE(7125),
    [sym_value_path] = STATE(6977),
    [sym_module_path] = STATE(20290),
    [sym_constructor_path] = STATE(6977),
    [sym__constructor_name] = STATE(6934),
    [sym_tag] = STATE(6977),
    [aux_sym_class_application_repeat1] = STATE(2845),
    [sym__lowercase_identifier] = ACTIONS(6587),
    [anon_sym_SEMI_SEMI] = ACTIONS(6693),
    [anon_sym_let] = ACTIONS(6695),
    [anon_sym_and] = ACTIONS(6695),
    [anon_sym_TILDE] = ACTIONS(6593),
    [anon_sym_QMARK] = ACTIONS(6593),
    [anon_sym_LPAREN] = ACTIONS(6595),
    [anon_sym_external] = ACTIONS(6695),
    [anon_sym_type] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(6597),
    [anon_sym_RBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(6599),
    [anon_sym_false] = ACTIONS(6599),
    [anon_sym_LBRACE] = ACTIONS(6601),
    [anon_sym_exception] = ACTIONS(6695),
    [anon_sym_module] = ACTIONS(6695),
    [anon_sym_open] = ACTIONS(6695),
    [anon_sym_include] = ACTIONS(6695),
    [anon_sym_class] = ACTIONS(6695),
    [anon_sym_object] = ACTIONS(6603),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6605),
    [anon_sym_new] = ACTIONS(6607),
    [anon_sym_LBRACE_LT] = ACTIONS(6609),
    [anon_sym_begin] = ACTIONS(6611),
    [sym_ocamlyacc_value] = ACTIONS(6613),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6615),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6617),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6693),
    [aux_sym_number_token1] = ACTIONS(6619),
    [anon_sym_SQUOTE] = ACTIONS(6621),
    [anon_sym_DQUOTE] = ACTIONS(6623),
    [sym_prefix_operator] = ACTIONS(6625),
    [sym_let_operator] = ACTIONS(6693),
    [sym__uppercase_identifier] = ACTIONS(6627),
    [aux_sym_directive_token1] = ACTIONS(6693),
    [aux_sym_tag_token1] = ACTIONS(6629),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2855] = {
    [sym__simple_expression] = STATE(7213),
    [sym_typed_expression] = STATE(7224),
    [sym_list_expression] = STATE(7224),
    [sym_array_expression] = STATE(7224),
    [sym_record_expression] = STATE(7224),
    [sym_labeled_argument] = STATE(8423),
    [sym_prefix_expression] = STATE(7224),
    [sym_hash_expression] = STATE(7224),
    [sym_field_get_expression] = STATE(7224),
    [sym_array_get_expression] = STATE(7224),
    [sym_string_get_expression] = STATE(7224),
    [sym_bigarray_get_expression] = STATE(7224),
    [sym_coercion_expression] = STATE(7224),
    [sym_local_open_expression] = STATE(7224),
    [sym_package_expression] = STATE(7224),
    [sym_new_expression] = STATE(7224),
    [sym_object_copy_expression] = STATE(7224),
    [sym_method_invocation] = STATE(7224),
    [sym_object_expression] = STATE(7224),
    [sym_parenthesized_expression] = STATE(7224),
    [sym_attribute] = STATE(2855),
    [sym_extension] = STATE(7224),
    [sym_quoted_extension] = STATE(7224),
    [sym__constant] = STATE(7224),
    [sym_number] = STATE(7201),
    [sym_character] = STATE(7201),
    [sym_string] = STATE(7201),
    [sym_quoted_string] = STATE(7201),
    [sym_boolean] = STATE(7201),
    [sym_unit] = STATE(7201),
    [sym__value_name] = STATE(7148),
    [sym_parenthesized_operator] = STATE(6942),
    [sym_value_path] = STATE(7224),
    [sym_module_path] = STATE(20521),
    [sym_constructor_path] = STATE(7224),
    [sym__constructor_name] = STATE(7144),
    [sym_tag] = STATE(7224),
    [aux_sym_class_application_repeat1] = STATE(2847),
    [sym__lowercase_identifier] = ACTIONS(6241),
    [anon_sym_TILDE] = ACTIONS(6243),
    [anon_sym_QMARK] = ACTIONS(6243),
    [anon_sym_LPAREN] = ACTIONS(1721),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1723),
    [anon_sym_true] = ACTIONS(1725),
    [anon_sym_false] = ACTIONS(1725),
    [anon_sym_LBRACE] = ACTIONS(1727),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(1729),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1733),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_to] = ACTIONS(3911),
    [anon_sym_downto] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1743),
    [anon_sym_LBRACE_LT] = ACTIONS(1745),
    [anon_sym_begin] = ACTIONS(1747),
    [sym_ocamlyacc_value] = ACTIONS(1749),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1751),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1753),
    [aux_sym_number_token1] = ACTIONS(1755),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1757),
    [anon_sym_DQUOTE] = ACTIONS(1759),
    [sym_prefix_operator] = ACTIONS(1761),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1765),
    [aux_sym_tag_token1] = ACTIONS(1767),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2856] = {
    [sym__simple_expression] = STATE(7066),
    [sym_typed_expression] = STATE(7028),
    [sym_list_expression] = STATE(7028),
    [sym_array_expression] = STATE(7028),
    [sym_record_expression] = STATE(7028),
    [sym_labeled_argument] = STATE(8431),
    [sym_prefix_expression] = STATE(7028),
    [sym_hash_expression] = STATE(7028),
    [sym_field_get_expression] = STATE(7028),
    [sym_array_get_expression] = STATE(7028),
    [sym_string_get_expression] = STATE(7028),
    [sym_bigarray_get_expression] = STATE(7028),
    [sym_coercion_expression] = STATE(7028),
    [sym_local_open_expression] = STATE(7028),
    [sym_package_expression] = STATE(7028),
    [sym_new_expression] = STATE(7028),
    [sym_object_copy_expression] = STATE(7028),
    [sym_method_invocation] = STATE(7028),
    [sym_object_expression] = STATE(7028),
    [sym_parenthesized_expression] = STATE(7028),
    [sym_attribute] = STATE(2856),
    [sym_extension] = STATE(7028),
    [sym_quoted_extension] = STATE(7028),
    [sym__constant] = STATE(7028),
    [sym_number] = STATE(7046),
    [sym_character] = STATE(7046),
    [sym_string] = STATE(7046),
    [sym_quoted_string] = STATE(7046),
    [sym_boolean] = STATE(7046),
    [sym_unit] = STATE(7046),
    [sym__value_name] = STATE(7124),
    [sym_parenthesized_operator] = STATE(7147),
    [sym_value_path] = STATE(7028),
    [sym_module_path] = STATE(20407),
    [sym_constructor_path] = STATE(7028),
    [sym__constructor_name] = STATE(7149),
    [sym_tag] = STATE(7028),
    [aux_sym_class_application_repeat1] = STATE(2846),
    [sym__lowercase_identifier] = ACTIONS(6691),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_let] = ACTIONS(6591),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(6697),
    [anon_sym_QMARK] = ACTIONS(6697),
    [anon_sym_LPAREN] = ACTIONS(6699),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(6701),
    [anon_sym_true] = ACTIONS(6703),
    [anon_sym_false] = ACTIONS(6703),
    [anon_sym_LBRACE] = ACTIONS(6705),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_end] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(6707),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6709),
    [anon_sym_new] = ACTIONS(6711),
    [anon_sym_LBRACE_LT] = ACTIONS(6713),
    [anon_sym_begin] = ACTIONS(6715),
    [sym_ocamlyacc_value] = ACTIONS(6717),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6719),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6721),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(6723),
    [anon_sym_SQUOTE] = ACTIONS(6725),
    [anon_sym_DQUOTE] = ACTIONS(6727),
    [sym_prefix_operator] = ACTIONS(6729),
    [sym_let_operator] = ACTIONS(6589),
    [sym__uppercase_identifier] = ACTIONS(6731),
    [aux_sym_directive_token1] = ACTIONS(6589),
    [aux_sym_tag_token1] = ACTIONS(6733),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2857] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18530),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(2857),
    [sym_item_attribute] = STATE(11683),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(11552),
    [aux_sym_let_binding_repeat1] = STATE(5626),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_SEMI_SEMI] = ACTIONS(6479),
    [anon_sym_let] = ACTIONS(6481),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(6971),
    [anon_sym_EQ] = ACTIONS(6973),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_external] = ACTIONS(6481),
    [anon_sym_type] = ACTIONS(6481),
    [anon_sym_COMMA] = ACTIONS(6975),
    [anon_sym_PIPE] = ACTIONS(6977),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_exception] = ACTIONS(6481),
    [anon_sym_module] = ACTIONS(6481),
    [anon_sym_open] = ACTIONS(6481),
    [anon_sym_include] = ACTIONS(6481),
    [anon_sym_class] = ACTIONS(6481),
    [anon_sym_end] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(6979),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(6981),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6513),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6479),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6515),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6517),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6479),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6479),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_operator] = ACTIONS(6479),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_directive_token1] = ACTIONS(6481),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2858] = {
    [sym__simple_expression] = STATE(7692),
    [sym_typed_expression] = STATE(7680),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_labeled_argument] = STATE(8595),
    [sym_prefix_expression] = STATE(7680),
    [sym_hash_expression] = STATE(7680),
    [sym_field_get_expression] = STATE(7680),
    [sym_array_get_expression] = STATE(7680),
    [sym_string_get_expression] = STATE(7680),
    [sym_bigarray_get_expression] = STATE(7680),
    [sym_coercion_expression] = STATE(7680),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2858),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [aux_sym_class_application_repeat1] = STATE(2858),
    [sym__lowercase_identifier] = ACTIONS(6983),
    [anon_sym_TILDE] = ACTIONS(6986),
    [anon_sym_QMARK] = ACTIONS(6986),
    [anon_sym_LPAREN] = ACTIONS(6989),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(6992),
    [anon_sym_true] = ACTIONS(6995),
    [anon_sym_false] = ACTIONS(6995),
    [anon_sym_LBRACE] = ACTIONS(6998),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7001),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7004),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_do] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7007),
    [anon_sym_LBRACE_LT] = ACTIONS(7010),
    [anon_sym_begin] = ACTIONS(7013),
    [sym_ocamlyacc_value] = ACTIONS(7016),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7019),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7022),
    [aux_sym_number_token1] = ACTIONS(7025),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7028),
    [anon_sym_DQUOTE] = ACTIONS(7031),
    [sym_prefix_operator] = ACTIONS(7034),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7037),
    [aux_sym_tag_token1] = ACTIONS(7040),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2859] = {
    [sym__simple_expression] = STATE(7546),
    [sym_typed_expression] = STATE(7567),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_labeled_argument] = STATE(8599),
    [sym_prefix_expression] = STATE(7567),
    [sym_hash_expression] = STATE(7567),
    [sym_field_get_expression] = STATE(7567),
    [sym_array_get_expression] = STATE(7567),
    [sym_string_get_expression] = STATE(7567),
    [sym_bigarray_get_expression] = STATE(7567),
    [sym_coercion_expression] = STATE(7567),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2859),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [aux_sym_class_application_repeat1] = STATE(2859),
    [sym__lowercase_identifier] = ACTIONS(7043),
    [anon_sym_TILDE] = ACTIONS(7046),
    [anon_sym_QMARK] = ACTIONS(7046),
    [anon_sym_LPAREN] = ACTIONS(7049),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7052),
    [anon_sym_true] = ACTIONS(7055),
    [anon_sym_false] = ACTIONS(7055),
    [anon_sym_LBRACE] = ACTIONS(7058),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7061),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7064),
    [anon_sym_to] = ACTIONS(3850),
    [anon_sym_downto] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7067),
    [anon_sym_LBRACE_LT] = ACTIONS(7070),
    [anon_sym_begin] = ACTIONS(7073),
    [sym_ocamlyacc_value] = ACTIONS(7076),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7079),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7082),
    [aux_sym_number_token1] = ACTIONS(7085),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7088),
    [anon_sym_DQUOTE] = ACTIONS(7091),
    [sym_prefix_operator] = ACTIONS(7094),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7097),
    [aux_sym_tag_token1] = ACTIONS(7100),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2860] = {
    [sym__simple_expression] = STATE(7531),
    [sym_typed_expression] = STATE(7426),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_labeled_argument] = STATE(8581),
    [sym_prefix_expression] = STATE(7426),
    [sym_hash_expression] = STATE(7426),
    [sym_field_get_expression] = STATE(7426),
    [sym_array_get_expression] = STATE(7426),
    [sym_string_get_expression] = STATE(7426),
    [sym_bigarray_get_expression] = STATE(7426),
    [sym_coercion_expression] = STATE(7426),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2860),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [aux_sym_class_application_repeat1] = STATE(2860),
    [sym__lowercase_identifier] = ACTIONS(7103),
    [anon_sym_TILDE] = ACTIONS(7106),
    [anon_sym_QMARK] = ACTIONS(7106),
    [anon_sym_LPAREN] = ACTIONS(7109),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7112),
    [anon_sym_true] = ACTIONS(7115),
    [anon_sym_false] = ACTIONS(7115),
    [anon_sym_LBRACE] = ACTIONS(7118),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7121),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7124),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7127),
    [anon_sym_LBRACE_LT] = ACTIONS(7130),
    [anon_sym_begin] = ACTIONS(7133),
    [sym_ocamlyacc_value] = ACTIONS(7136),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7139),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7142),
    [aux_sym_number_token1] = ACTIONS(7145),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7148),
    [anon_sym_DQUOTE] = ACTIONS(7151),
    [sym_prefix_operator] = ACTIONS(7154),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7157),
    [aux_sym_tag_token1] = ACTIONS(7160),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2861] = {
    [sym__simple_expression] = STATE(7546),
    [sym_typed_expression] = STATE(7567),
    [sym_list_expression] = STATE(7567),
    [sym_array_expression] = STATE(7567),
    [sym_record_expression] = STATE(7567),
    [sym_labeled_argument] = STATE(8599),
    [sym_prefix_expression] = STATE(7567),
    [sym_hash_expression] = STATE(7567),
    [sym_field_get_expression] = STATE(7567),
    [sym_array_get_expression] = STATE(7567),
    [sym_string_get_expression] = STATE(7567),
    [sym_bigarray_get_expression] = STATE(7567),
    [sym_coercion_expression] = STATE(7567),
    [sym_local_open_expression] = STATE(7567),
    [sym_package_expression] = STATE(7567),
    [sym_new_expression] = STATE(7567),
    [sym_object_copy_expression] = STATE(7567),
    [sym_method_invocation] = STATE(7567),
    [sym_object_expression] = STATE(7567),
    [sym_parenthesized_expression] = STATE(7567),
    [sym_attribute] = STATE(2861),
    [sym_extension] = STATE(7567),
    [sym_quoted_extension] = STATE(7567),
    [sym__constant] = STATE(7567),
    [sym_number] = STATE(7420),
    [sym_character] = STATE(7420),
    [sym_string] = STATE(7420),
    [sym_quoted_string] = STATE(7420),
    [sym_boolean] = STATE(7420),
    [sym_unit] = STATE(7420),
    [sym__value_name] = STATE(7328),
    [sym_parenthesized_operator] = STATE(7460),
    [sym_value_path] = STATE(7567),
    [sym_module_path] = STATE(19480),
    [sym_constructor_path] = STATE(7567),
    [sym__constructor_name] = STATE(7353),
    [sym_tag] = STATE(7567),
    [aux_sym_class_application_repeat1] = STATE(2859),
    [sym__lowercase_identifier] = ACTIONS(6395),
    [anon_sym_TILDE] = ACTIONS(6397),
    [anon_sym_QMARK] = ACTIONS(6397),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(2695),
    [anon_sym_true] = ACTIONS(2697),
    [anon_sym_false] = ACTIONS(2697),
    [anon_sym_LBRACE] = ACTIONS(2699),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(2701),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2705),
    [anon_sym_to] = ACTIONS(3911),
    [anon_sym_downto] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(2715),
    [anon_sym_LBRACE_LT] = ACTIONS(2717),
    [anon_sym_begin] = ACTIONS(2719),
    [sym_ocamlyacc_value] = ACTIONS(2721),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2723),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2725),
    [aux_sym_number_token1] = ACTIONS(2727),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(2729),
    [anon_sym_DQUOTE] = ACTIONS(2731),
    [sym_prefix_operator] = ACTIONS(2733),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(2737),
    [aux_sym_tag_token1] = ACTIONS(2739),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2862] = {
    [sym__simple_expression] = STATE(7286),
    [sym_typed_expression] = STATE(7327),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_labeled_argument] = STATE(8570),
    [sym_prefix_expression] = STATE(7327),
    [sym_hash_expression] = STATE(7327),
    [sym_field_get_expression] = STATE(7327),
    [sym_array_get_expression] = STATE(7327),
    [sym_string_get_expression] = STATE(7327),
    [sym_bigarray_get_expression] = STATE(7327),
    [sym_coercion_expression] = STATE(7327),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2862),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(6295),
    [anon_sym_TILDE] = ACTIONS(6297),
    [anon_sym_QMARK] = ACTIONS(6297),
    [anon_sym_LPAREN] = ACTIONS(2609),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_true] = ACTIONS(2613),
    [anon_sym_false] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(2617),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2621),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_done] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACE_LT] = ACTIONS(2633),
    [anon_sym_begin] = ACTIONS(2635),
    [sym_ocamlyacc_value] = ACTIONS(2637),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2639),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2641),
    [aux_sym_number_token1] = ACTIONS(2643),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [sym_prefix_operator] = ACTIONS(2649),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(2653),
    [aux_sym_tag_token1] = ACTIONS(2655),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2863] = {
    [sym__simple_expression] = STATE(7692),
    [sym_typed_expression] = STATE(7680),
    [sym_list_expression] = STATE(7680),
    [sym_array_expression] = STATE(7680),
    [sym_record_expression] = STATE(7680),
    [sym_labeled_argument] = STATE(8595),
    [sym_prefix_expression] = STATE(7680),
    [sym_hash_expression] = STATE(7680),
    [sym_field_get_expression] = STATE(7680),
    [sym_array_get_expression] = STATE(7680),
    [sym_string_get_expression] = STATE(7680),
    [sym_bigarray_get_expression] = STATE(7680),
    [sym_coercion_expression] = STATE(7680),
    [sym_local_open_expression] = STATE(7680),
    [sym_package_expression] = STATE(7680),
    [sym_new_expression] = STATE(7680),
    [sym_object_copy_expression] = STATE(7680),
    [sym_method_invocation] = STATE(7680),
    [sym_object_expression] = STATE(7680),
    [sym_parenthesized_expression] = STATE(7680),
    [sym_attribute] = STATE(2863),
    [sym_extension] = STATE(7680),
    [sym_quoted_extension] = STATE(7680),
    [sym__constant] = STATE(7680),
    [sym_number] = STATE(7722),
    [sym_character] = STATE(7722),
    [sym_string] = STATE(7722),
    [sym_quoted_string] = STATE(7722),
    [sym_boolean] = STATE(7722),
    [sym_unit] = STATE(7722),
    [sym__value_name] = STATE(7547),
    [sym_parenthesized_operator] = STATE(7352),
    [sym_value_path] = STATE(7680),
    [sym_module_path] = STATE(19842),
    [sym_constructor_path] = STATE(7680),
    [sym__constructor_name] = STATE(7494),
    [sym_tag] = STATE(7680),
    [aux_sym_class_application_repeat1] = STATE(2858),
    [sym__lowercase_identifier] = ACTIONS(6305),
    [anon_sym_TILDE] = ACTIONS(6307),
    [anon_sym_QMARK] = ACTIONS(6307),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(2421),
    [anon_sym_true] = ACTIONS(2423),
    [anon_sym_false] = ACTIONS(2423),
    [anon_sym_LBRACE] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(2427),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2431),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_do] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACE_LT] = ACTIONS(2443),
    [anon_sym_begin] = ACTIONS(2445),
    [sym_ocamlyacc_value] = ACTIONS(2447),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2449),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2451),
    [aux_sym_number_token1] = ACTIONS(2453),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [sym_prefix_operator] = ACTIONS(2459),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(2463),
    [aux_sym_tag_token1] = ACTIONS(2465),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2864] = {
    [sym__simple_expression] = STATE(7666),
    [sym_typed_expression] = STATE(7552),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_labeled_argument] = STATE(8714),
    [sym_prefix_expression] = STATE(7552),
    [sym_hash_expression] = STATE(7552),
    [sym_field_get_expression] = STATE(7552),
    [sym_array_get_expression] = STATE(7552),
    [sym_string_get_expression] = STATE(7552),
    [sym_bigarray_get_expression] = STATE(7552),
    [sym_coercion_expression] = STATE(7552),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2864),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__lowercase_identifier] = ACTIONS(6375),
    [anon_sym_TILDE] = ACTIONS(6377),
    [anon_sym_QMARK] = ACTIONS(6377),
    [anon_sym_LPAREN] = ACTIONS(1899),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1901),
    [anon_sym_true] = ACTIONS(1903),
    [anon_sym_false] = ACTIONS(1903),
    [anon_sym_LBRACE] = ACTIONS(1905),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_with] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1907),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1911),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1921),
    [anon_sym_LBRACE_LT] = ACTIONS(1923),
    [anon_sym_begin] = ACTIONS(1925),
    [sym_ocamlyacc_value] = ACTIONS(1927),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1929),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1931),
    [aux_sym_number_token1] = ACTIONS(1933),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1935),
    [anon_sym_DQUOTE] = ACTIONS(1937),
    [sym_prefix_operator] = ACTIONS(1939),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1943),
    [aux_sym_tag_token1] = ACTIONS(1945),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2865] = {
    [sym__simple_expression] = STATE(7531),
    [sym_typed_expression] = STATE(7426),
    [sym_list_expression] = STATE(7426),
    [sym_array_expression] = STATE(7426),
    [sym_record_expression] = STATE(7426),
    [sym_labeled_argument] = STATE(8581),
    [sym_prefix_expression] = STATE(7426),
    [sym_hash_expression] = STATE(7426),
    [sym_field_get_expression] = STATE(7426),
    [sym_array_get_expression] = STATE(7426),
    [sym_string_get_expression] = STATE(7426),
    [sym_bigarray_get_expression] = STATE(7426),
    [sym_coercion_expression] = STATE(7426),
    [sym_local_open_expression] = STATE(7426),
    [sym_package_expression] = STATE(7426),
    [sym_new_expression] = STATE(7426),
    [sym_object_copy_expression] = STATE(7426),
    [sym_method_invocation] = STATE(7426),
    [sym_object_expression] = STATE(7426),
    [sym_parenthesized_expression] = STATE(7426),
    [sym_attribute] = STATE(2865),
    [sym_extension] = STATE(7426),
    [sym_quoted_extension] = STATE(7426),
    [sym__constant] = STATE(7426),
    [sym_number] = STATE(7496),
    [sym_character] = STATE(7496),
    [sym_string] = STATE(7496),
    [sym_quoted_string] = STATE(7496),
    [sym_boolean] = STATE(7496),
    [sym_unit] = STATE(7496),
    [sym__value_name] = STATE(7345),
    [sym_parenthesized_operator] = STATE(7411),
    [sym_value_path] = STATE(7426),
    [sym_module_path] = STATE(19965),
    [sym_constructor_path] = STATE(7426),
    [sym__constructor_name] = STATE(7314),
    [sym_tag] = STATE(7426),
    [aux_sym_class_application_repeat1] = STATE(2860),
    [sym__lowercase_identifier] = ACTIONS(6385),
    [anon_sym_TILDE] = ACTIONS(6387),
    [anon_sym_QMARK] = ACTIONS(6387),
    [anon_sym_LPAREN] = ACTIONS(1951),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(1953),
    [anon_sym_true] = ACTIONS(1955),
    [anon_sym_false] = ACTIONS(1955),
    [anon_sym_LBRACE] = ACTIONS(1957),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(1959),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1963),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(1973),
    [anon_sym_LBRACE_LT] = ACTIONS(1975),
    [anon_sym_begin] = ACTIONS(1977),
    [sym_ocamlyacc_value] = ACTIONS(1979),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(1981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(1983),
    [aux_sym_number_token1] = ACTIONS(1985),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(1987),
    [anon_sym_DQUOTE] = ACTIONS(1989),
    [sym_prefix_operator] = ACTIONS(1991),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(1995),
    [aux_sym_tag_token1] = ACTIONS(1997),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2866] = {
    [sym__simple_expression] = STATE(7614),
    [sym_typed_expression] = STATE(7679),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_labeled_argument] = STATE(8556),
    [sym_prefix_expression] = STATE(7679),
    [sym_hash_expression] = STATE(7679),
    [sym_field_get_expression] = STATE(7679),
    [sym_array_get_expression] = STATE(7679),
    [sym_string_get_expression] = STATE(7679),
    [sym_bigarray_get_expression] = STATE(7679),
    [sym_coercion_expression] = STATE(7679),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2866),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [aux_sym_class_application_repeat1] = STATE(2866),
    [sym__lowercase_identifier] = ACTIONS(7163),
    [anon_sym_TILDE] = ACTIONS(7166),
    [anon_sym_QMARK] = ACTIONS(7166),
    [anon_sym_LPAREN] = ACTIONS(7169),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7172),
    [anon_sym_true] = ACTIONS(7175),
    [anon_sym_false] = ACTIONS(7175),
    [anon_sym_LBRACE] = ACTIONS(7178),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7181),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7184),
    [anon_sym_then] = ACTIONS(3850),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7187),
    [anon_sym_LBRACE_LT] = ACTIONS(7190),
    [anon_sym_begin] = ACTIONS(7193),
    [sym_ocamlyacc_value] = ACTIONS(7196),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7199),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7202),
    [aux_sym_number_token1] = ACTIONS(7205),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7208),
    [anon_sym_DQUOTE] = ACTIONS(7211),
    [sym_prefix_operator] = ACTIONS(7214),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7217),
    [aux_sym_tag_token1] = ACTIONS(7220),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2867] = {
    [sym__simple_expression] = STATE(7286),
    [sym_typed_expression] = STATE(7327),
    [sym_list_expression] = STATE(7327),
    [sym_array_expression] = STATE(7327),
    [sym_record_expression] = STATE(7327),
    [sym_labeled_argument] = STATE(8570),
    [sym_prefix_expression] = STATE(7327),
    [sym_hash_expression] = STATE(7327),
    [sym_field_get_expression] = STATE(7327),
    [sym_array_get_expression] = STATE(7327),
    [sym_string_get_expression] = STATE(7327),
    [sym_bigarray_get_expression] = STATE(7327),
    [sym_coercion_expression] = STATE(7327),
    [sym_local_open_expression] = STATE(7327),
    [sym_package_expression] = STATE(7327),
    [sym_new_expression] = STATE(7327),
    [sym_object_copy_expression] = STATE(7327),
    [sym_method_invocation] = STATE(7327),
    [sym_object_expression] = STATE(7327),
    [sym_parenthesized_expression] = STATE(7327),
    [sym_attribute] = STATE(2867),
    [sym_extension] = STATE(7327),
    [sym_quoted_extension] = STATE(7327),
    [sym__constant] = STATE(7327),
    [sym_number] = STATE(7396),
    [sym_character] = STATE(7396),
    [sym_string] = STATE(7396),
    [sym_quoted_string] = STATE(7396),
    [sym_boolean] = STATE(7396),
    [sym_unit] = STATE(7396),
    [sym__value_name] = STATE(7302),
    [sym_parenthesized_operator] = STATE(7561),
    [sym_value_path] = STATE(7327),
    [sym_module_path] = STATE(20483),
    [sym_constructor_path] = STATE(7327),
    [sym__constructor_name] = STATE(7342),
    [sym_tag] = STATE(7327),
    [aux_sym_class_application_repeat1] = STATE(2867),
    [sym__lowercase_identifier] = ACTIONS(7223),
    [anon_sym_TILDE] = ACTIONS(7226),
    [anon_sym_QMARK] = ACTIONS(7226),
    [anon_sym_LPAREN] = ACTIONS(7229),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7232),
    [anon_sym_true] = ACTIONS(7235),
    [anon_sym_false] = ACTIONS(7235),
    [anon_sym_LBRACE] = ACTIONS(7238),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7241),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7244),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_done] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7247),
    [anon_sym_LBRACE_LT] = ACTIONS(7250),
    [anon_sym_begin] = ACTIONS(7253),
    [sym_ocamlyacc_value] = ACTIONS(7256),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7259),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7262),
    [aux_sym_number_token1] = ACTIONS(7265),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7268),
    [anon_sym_DQUOTE] = ACTIONS(7271),
    [sym_prefix_operator] = ACTIONS(7274),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7277),
    [aux_sym_tag_token1] = ACTIONS(7280),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2868] = {
    [sym__simple_expression] = STATE(7666),
    [sym_typed_expression] = STATE(7552),
    [sym_list_expression] = STATE(7552),
    [sym_array_expression] = STATE(7552),
    [sym_record_expression] = STATE(7552),
    [sym_labeled_argument] = STATE(8714),
    [sym_prefix_expression] = STATE(7552),
    [sym_hash_expression] = STATE(7552),
    [sym_field_get_expression] = STATE(7552),
    [sym_array_get_expression] = STATE(7552),
    [sym_string_get_expression] = STATE(7552),
    [sym_bigarray_get_expression] = STATE(7552),
    [sym_coercion_expression] = STATE(7552),
    [sym_local_open_expression] = STATE(7552),
    [sym_package_expression] = STATE(7552),
    [sym_new_expression] = STATE(7552),
    [sym_object_copy_expression] = STATE(7552),
    [sym_method_invocation] = STATE(7552),
    [sym_object_expression] = STATE(7552),
    [sym_parenthesized_expression] = STATE(7552),
    [sym_attribute] = STATE(2868),
    [sym_extension] = STATE(7552),
    [sym_quoted_extension] = STATE(7552),
    [sym__constant] = STATE(7552),
    [sym_number] = STATE(7650),
    [sym_character] = STATE(7650),
    [sym_string] = STATE(7650),
    [sym_quoted_string] = STATE(7650),
    [sym_boolean] = STATE(7650),
    [sym_unit] = STATE(7650),
    [sym__value_name] = STATE(7415),
    [sym_parenthesized_operator] = STATE(7372),
    [sym_value_path] = STATE(7552),
    [sym_module_path] = STATE(19924),
    [sym_constructor_path] = STATE(7552),
    [sym__constructor_name] = STATE(7421),
    [sym_tag] = STATE(7552),
    [aux_sym_class_application_repeat1] = STATE(2868),
    [sym__lowercase_identifier] = ACTIONS(7283),
    [anon_sym_TILDE] = ACTIONS(7286),
    [anon_sym_QMARK] = ACTIONS(7286),
    [anon_sym_LPAREN] = ACTIONS(7289),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7292),
    [anon_sym_true] = ACTIONS(7295),
    [anon_sym_false] = ACTIONS(7295),
    [anon_sym_LBRACE] = ACTIONS(7298),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_with] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7301),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7304),
    [anon_sym_else] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7307),
    [anon_sym_LBRACE_LT] = ACTIONS(7310),
    [anon_sym_begin] = ACTIONS(7313),
    [sym_ocamlyacc_value] = ACTIONS(7316),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7319),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7322),
    [aux_sym_number_token1] = ACTIONS(7325),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7328),
    [anon_sym_DQUOTE] = ACTIONS(7331),
    [sym_prefix_operator] = ACTIONS(7334),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7337),
    [aux_sym_tag_token1] = ACTIONS(7340),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2869] = {
    [sym__simple_expression] = STATE(7614),
    [sym_typed_expression] = STATE(7679),
    [sym_list_expression] = STATE(7679),
    [sym_array_expression] = STATE(7679),
    [sym_record_expression] = STATE(7679),
    [sym_labeled_argument] = STATE(8556),
    [sym_prefix_expression] = STATE(7679),
    [sym_hash_expression] = STATE(7679),
    [sym_field_get_expression] = STATE(7679),
    [sym_array_get_expression] = STATE(7679),
    [sym_string_get_expression] = STATE(7679),
    [sym_bigarray_get_expression] = STATE(7679),
    [sym_coercion_expression] = STATE(7679),
    [sym_local_open_expression] = STATE(7679),
    [sym_package_expression] = STATE(7679),
    [sym_new_expression] = STATE(7679),
    [sym_object_copy_expression] = STATE(7679),
    [sym_method_invocation] = STATE(7679),
    [sym_object_expression] = STATE(7679),
    [sym_parenthesized_expression] = STATE(7679),
    [sym_attribute] = STATE(2869),
    [sym_extension] = STATE(7679),
    [sym_quoted_extension] = STATE(7679),
    [sym__constant] = STATE(7679),
    [sym_number] = STATE(7605),
    [sym_character] = STATE(7605),
    [sym_string] = STATE(7605),
    [sym_quoted_string] = STATE(7605),
    [sym_boolean] = STATE(7605),
    [sym_unit] = STATE(7605),
    [sym__value_name] = STATE(7678),
    [sym_parenthesized_operator] = STATE(7307),
    [sym_value_path] = STATE(7679),
    [sym_module_path] = STATE(19801),
    [sym_constructor_path] = STATE(7679),
    [sym__constructor_name] = STATE(7644),
    [sym_tag] = STATE(7679),
    [aux_sym_class_application_repeat1] = STATE(2866),
    [sym__lowercase_identifier] = ACTIONS(6285),
    [anon_sym_TILDE] = ACTIONS(6287),
    [anon_sym_QMARK] = ACTIONS(6287),
    [anon_sym_LPAREN] = ACTIONS(2779),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(2781),
    [anon_sym_true] = ACTIONS(2783),
    [anon_sym_false] = ACTIONS(2783),
    [anon_sym_LBRACE] = ACTIONS(2785),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(2787),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(2791),
    [anon_sym_then] = ACTIONS(3911),
    [anon_sym_else] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(2801),
    [anon_sym_LBRACE_LT] = ACTIONS(2803),
    [anon_sym_begin] = ACTIONS(2805),
    [sym_ocamlyacc_value] = ACTIONS(2807),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(2809),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(2811),
    [aux_sym_number_token1] = ACTIONS(2813),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(2815),
    [anon_sym_DQUOTE] = ACTIONS(2817),
    [sym_prefix_operator] = ACTIONS(2819),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(2823),
    [aux_sym_tag_token1] = ACTIONS(2825),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2870] = {
    [sym__simple_expression] = STATE(8213),
    [sym_typed_expression] = STATE(8118),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_labeled_argument] = STATE(8819),
    [sym_prefix_expression] = STATE(8118),
    [sym_hash_expression] = STATE(8118),
    [sym_field_get_expression] = STATE(8118),
    [sym_array_get_expression] = STATE(8118),
    [sym_string_get_expression] = STATE(8118),
    [sym_bigarray_get_expression] = STATE(8118),
    [sym_coercion_expression] = STATE(8118),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2870),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [aux_sym_class_application_repeat1] = STATE(2884),
    [sym__lowercase_identifier] = ACTIONS(6567),
    [anon_sym_TILDE] = ACTIONS(6569),
    [anon_sym_QMARK] = ACTIONS(6569),
    [anon_sym_LPAREN] = ACTIONS(3291),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(3293),
    [anon_sym_true] = ACTIONS(3295),
    [anon_sym_false] = ACTIONS(3295),
    [anon_sym_LBRACE] = ACTIONS(3297),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_with] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(3299),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3303),
    [anon_sym_new] = ACTIONS(3313),
    [anon_sym_LBRACE_LT] = ACTIONS(3315),
    [anon_sym_begin] = ACTIONS(3317),
    [sym_ocamlyacc_value] = ACTIONS(3319),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3321),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3323),
    [aux_sym_number_token1] = ACTIONS(3325),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(3327),
    [anon_sym_DQUOTE] = ACTIONS(3329),
    [sym_prefix_operator] = ACTIONS(3331),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(3335),
    [aux_sym_tag_token1] = ACTIONS(3337),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2871] = {
    [sym__simple_expression] = STATE(7774),
    [sym_typed_expression] = STATE(8229),
    [sym_list_expression] = STATE(8229),
    [sym_array_expression] = STATE(8229),
    [sym_record_expression] = STATE(8229),
    [sym_labeled_argument] = STATE(8844),
    [sym_prefix_expression] = STATE(8229),
    [sym_hash_expression] = STATE(8229),
    [sym_field_get_expression] = STATE(8229),
    [sym_array_get_expression] = STATE(8229),
    [sym_string_get_expression] = STATE(8229),
    [sym_bigarray_get_expression] = STATE(8229),
    [sym_coercion_expression] = STATE(8229),
    [sym_local_open_expression] = STATE(8229),
    [sym_package_expression] = STATE(8229),
    [sym_new_expression] = STATE(8229),
    [sym_object_copy_expression] = STATE(8229),
    [sym_method_invocation] = STATE(8229),
    [sym_object_expression] = STATE(8229),
    [sym_parenthesized_expression] = STATE(8229),
    [sym_attribute] = STATE(2871),
    [sym_extension] = STATE(8229),
    [sym_quoted_extension] = STATE(8229),
    [sym__constant] = STATE(8229),
    [sym_number] = STATE(8267),
    [sym_character] = STATE(8267),
    [sym_string] = STATE(8267),
    [sym_quoted_string] = STATE(8267),
    [sym_boolean] = STATE(8267),
    [sym_unit] = STATE(8267),
    [sym__value_name] = STATE(8057),
    [sym_parenthesized_operator] = STATE(7812),
    [sym_value_path] = STATE(8229),
    [sym_module_path] = STATE(20559),
    [sym_constructor_path] = STATE(8229),
    [sym__constructor_name] = STATE(8192),
    [sym_tag] = STATE(8229),
    [aux_sym_class_application_repeat1] = STATE(2876),
    [sym__lowercase_identifier] = ACTIONS(7343),
    [anon_sym_SEMI_SEMI] = ACTIONS(6693),
    [anon_sym_and] = ACTIONS(6695),
    [anon_sym_TILDE] = ACTIONS(7345),
    [anon_sym_QMARK] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7347),
    [anon_sym_external] = ACTIONS(6695),
    [anon_sym_type] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(6693),
    [anon_sym_true] = ACTIONS(7351),
    [anon_sym_false] = ACTIONS(7351),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [anon_sym_exception] = ACTIONS(6695),
    [anon_sym_module] = ACTIONS(6695),
    [anon_sym_open] = ACTIONS(6695),
    [anon_sym_include] = ACTIONS(6695),
    [anon_sym_class] = ACTIONS(6695),
    [anon_sym_val] = ACTIONS(6695),
    [anon_sym_object] = ACTIONS(7355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7357),
    [anon_sym_new] = ACTIONS(7359),
    [anon_sym_LBRACE_LT] = ACTIONS(7361),
    [anon_sym_begin] = ACTIONS(7363),
    [sym_ocamlyacc_value] = ACTIONS(7365),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7367),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7369),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6693),
    [aux_sym_number_token1] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7373),
    [anon_sym_DQUOTE] = ACTIONS(7375),
    [sym_prefix_operator] = ACTIONS(7377),
    [sym__uppercase_identifier] = ACTIONS(7379),
    [aux_sym_tag_token1] = ACTIONS(7381),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2872] = {
    [sym__simple_expression] = STATE(7989),
    [sym_typed_expression] = STATE(7783),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_labeled_argument] = STATE(8773),
    [sym_prefix_expression] = STATE(7783),
    [sym_hash_expression] = STATE(7783),
    [sym_field_get_expression] = STATE(7783),
    [sym_array_get_expression] = STATE(7783),
    [sym_string_get_expression] = STATE(7783),
    [sym_bigarray_get_expression] = STATE(7783),
    [sym_coercion_expression] = STATE(7783),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2872),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [aux_sym_class_application_repeat1] = STATE(2872),
    [sym__lowercase_identifier] = ACTIONS(7383),
    [anon_sym_TILDE] = ACTIONS(7386),
    [anon_sym_QMARK] = ACTIONS(7386),
    [anon_sym_LPAREN] = ACTIONS(7389),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7392),
    [anon_sym_true] = ACTIONS(7395),
    [anon_sym_false] = ACTIONS(7395),
    [anon_sym_LBRACE] = ACTIONS(7398),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7401),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7404),
    [anon_sym_then] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7407),
    [anon_sym_LBRACE_LT] = ACTIONS(7410),
    [anon_sym_begin] = ACTIONS(7413),
    [sym_ocamlyacc_value] = ACTIONS(7416),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7419),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7422),
    [aux_sym_number_token1] = ACTIONS(7425),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7428),
    [anon_sym_DQUOTE] = ACTIONS(7431),
    [sym_prefix_operator] = ACTIONS(7434),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7437),
    [aux_sym_tag_token1] = ACTIONS(7440),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2873] = {
    [sym__simple_expression] = STATE(7865),
    [sym_typed_expression] = STATE(7761),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_labeled_argument] = STATE(8746),
    [sym_prefix_expression] = STATE(7761),
    [sym_hash_expression] = STATE(7761),
    [sym_field_get_expression] = STATE(7761),
    [sym_array_get_expression] = STATE(7761),
    [sym_string_get_expression] = STATE(7761),
    [sym_bigarray_get_expression] = STATE(7761),
    [sym_coercion_expression] = STATE(7761),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2873),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [aux_sym_class_application_repeat1] = STATE(2873),
    [sym__lowercase_identifier] = ACTIONS(7443),
    [anon_sym_TILDE] = ACTIONS(7446),
    [anon_sym_QMARK] = ACTIONS(7446),
    [anon_sym_LPAREN] = ACTIONS(7449),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7452),
    [anon_sym_true] = ACTIONS(7455),
    [anon_sym_false] = ACTIONS(7455),
    [anon_sym_LBRACE] = ACTIONS(7458),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7461),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7464),
    [anon_sym_done] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7467),
    [anon_sym_LBRACE_LT] = ACTIONS(7470),
    [anon_sym_begin] = ACTIONS(7473),
    [sym_ocamlyacc_value] = ACTIONS(7476),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7479),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7482),
    [aux_sym_number_token1] = ACTIONS(7485),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7488),
    [anon_sym_DQUOTE] = ACTIONS(7491),
    [sym_prefix_operator] = ACTIONS(7494),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7497),
    [aux_sym_tag_token1] = ACTIONS(7500),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2874] = {
    [sym__simple_expression] = STATE(8052),
    [sym_typed_expression] = STATE(7818),
    [sym_list_expression] = STATE(7818),
    [sym_array_expression] = STATE(7818),
    [sym_record_expression] = STATE(7818),
    [sym_labeled_argument] = STATE(8802),
    [sym_prefix_expression] = STATE(7818),
    [sym_hash_expression] = STATE(7818),
    [sym_field_get_expression] = STATE(7818),
    [sym_array_get_expression] = STATE(7818),
    [sym_string_get_expression] = STATE(7818),
    [sym_bigarray_get_expression] = STATE(7818),
    [sym_coercion_expression] = STATE(7818),
    [sym_local_open_expression] = STATE(7818),
    [sym_package_expression] = STATE(7818),
    [sym_new_expression] = STATE(7818),
    [sym_object_copy_expression] = STATE(7818),
    [sym_method_invocation] = STATE(7818),
    [sym_object_expression] = STATE(7818),
    [sym_parenthesized_expression] = STATE(7818),
    [sym_attribute] = STATE(2874),
    [sym_extension] = STATE(7818),
    [sym_quoted_extension] = STATE(7818),
    [sym__constant] = STATE(7818),
    [sym_number] = STATE(8140),
    [sym_character] = STATE(8140),
    [sym_string] = STATE(8140),
    [sym_quoted_string] = STATE(8140),
    [sym_boolean] = STATE(8140),
    [sym_unit] = STATE(8140),
    [sym__value_name] = STATE(7807),
    [sym_parenthesized_operator] = STATE(8054),
    [sym_value_path] = STATE(7818),
    [sym_module_path] = STATE(20749),
    [sym_constructor_path] = STATE(7818),
    [sym__constructor_name] = STATE(8048),
    [sym_tag] = STATE(7818),
    [aux_sym_class_application_repeat1] = STATE(2874),
    [sym__lowercase_identifier] = ACTIONS(7503),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(7506),
    [anon_sym_QMARK] = ACTIONS(7506),
    [anon_sym_LPAREN] = ACTIONS(7509),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7512),
    [anon_sym_true] = ACTIONS(7515),
    [anon_sym_false] = ACTIONS(7515),
    [anon_sym_LBRACE] = ACTIONS(7518),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_val] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7521),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7524),
    [anon_sym_new] = ACTIONS(7527),
    [anon_sym_LBRACE_LT] = ACTIONS(7530),
    [anon_sym_begin] = ACTIONS(7533),
    [sym_ocamlyacc_value] = ACTIONS(7536),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7539),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7542),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(7545),
    [anon_sym_SQUOTE] = ACTIONS(7548),
    [anon_sym_DQUOTE] = ACTIONS(7551),
    [sym_prefix_operator] = ACTIONS(7554),
    [sym__uppercase_identifier] = ACTIONS(7557),
    [aux_sym_tag_token1] = ACTIONS(7560),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2875] = {
    [sym__simple_expression] = STATE(7989),
    [sym_typed_expression] = STATE(7783),
    [sym_list_expression] = STATE(7783),
    [sym_array_expression] = STATE(7783),
    [sym_record_expression] = STATE(7783),
    [sym_labeled_argument] = STATE(8773),
    [sym_prefix_expression] = STATE(7783),
    [sym_hash_expression] = STATE(7783),
    [sym_field_get_expression] = STATE(7783),
    [sym_array_get_expression] = STATE(7783),
    [sym_string_get_expression] = STATE(7783),
    [sym_bigarray_get_expression] = STATE(7783),
    [sym_coercion_expression] = STATE(7783),
    [sym_local_open_expression] = STATE(7783),
    [sym_package_expression] = STATE(7783),
    [sym_new_expression] = STATE(7783),
    [sym_object_copy_expression] = STATE(7783),
    [sym_method_invocation] = STATE(7783),
    [sym_object_expression] = STATE(7783),
    [sym_parenthesized_expression] = STATE(7783),
    [sym_attribute] = STATE(2875),
    [sym_extension] = STATE(7783),
    [sym_quoted_extension] = STATE(7783),
    [sym__constant] = STATE(7783),
    [sym_number] = STATE(8111),
    [sym_character] = STATE(8111),
    [sym_string] = STATE(8111),
    [sym_quoted_string] = STATE(8111),
    [sym_boolean] = STATE(8111),
    [sym_unit] = STATE(8111),
    [sym__value_name] = STATE(7856),
    [sym_parenthesized_operator] = STATE(8190),
    [sym_value_path] = STATE(7783),
    [sym_module_path] = STATE(21165),
    [sym_constructor_path] = STATE(7783),
    [sym__constructor_name] = STATE(8102),
    [sym_tag] = STATE(7783),
    [aux_sym_class_application_repeat1] = STATE(2872),
    [sym__lowercase_identifier] = ACTIONS(6531),
    [anon_sym_TILDE] = ACTIONS(6533),
    [anon_sym_QMARK] = ACTIONS(6533),
    [anon_sym_LPAREN] = ACTIONS(3173),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(3175),
    [anon_sym_true] = ACTIONS(3177),
    [anon_sym_false] = ACTIONS(3177),
    [anon_sym_LBRACE] = ACTIONS(3179),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(3181),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3185),
    [anon_sym_then] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(3195),
    [anon_sym_LBRACE_LT] = ACTIONS(3197),
    [anon_sym_begin] = ACTIONS(3199),
    [sym_ocamlyacc_value] = ACTIONS(3201),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3203),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3205),
    [aux_sym_number_token1] = ACTIONS(3207),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(3209),
    [anon_sym_DQUOTE] = ACTIONS(3211),
    [sym_prefix_operator] = ACTIONS(3213),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(3217),
    [aux_sym_tag_token1] = ACTIONS(3219),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2876] = {
    [sym__simple_expression] = STATE(7774),
    [sym_typed_expression] = STATE(8229),
    [sym_list_expression] = STATE(8229),
    [sym_array_expression] = STATE(8229),
    [sym_record_expression] = STATE(8229),
    [sym_labeled_argument] = STATE(8844),
    [sym_prefix_expression] = STATE(8229),
    [sym_hash_expression] = STATE(8229),
    [sym_field_get_expression] = STATE(8229),
    [sym_array_get_expression] = STATE(8229),
    [sym_string_get_expression] = STATE(8229),
    [sym_bigarray_get_expression] = STATE(8229),
    [sym_coercion_expression] = STATE(8229),
    [sym_local_open_expression] = STATE(8229),
    [sym_package_expression] = STATE(8229),
    [sym_new_expression] = STATE(8229),
    [sym_object_copy_expression] = STATE(8229),
    [sym_method_invocation] = STATE(8229),
    [sym_object_expression] = STATE(8229),
    [sym_parenthesized_expression] = STATE(8229),
    [sym_attribute] = STATE(2876),
    [sym_extension] = STATE(8229),
    [sym_quoted_extension] = STATE(8229),
    [sym__constant] = STATE(8229),
    [sym_number] = STATE(8267),
    [sym_character] = STATE(8267),
    [sym_string] = STATE(8267),
    [sym_quoted_string] = STATE(8267),
    [sym_boolean] = STATE(8267),
    [sym_unit] = STATE(8267),
    [sym__value_name] = STATE(8057),
    [sym_parenthesized_operator] = STATE(7812),
    [sym_value_path] = STATE(8229),
    [sym_module_path] = STATE(20559),
    [sym_constructor_path] = STATE(8229),
    [sym__constructor_name] = STATE(8192),
    [sym_tag] = STATE(8229),
    [aux_sym_class_application_repeat1] = STATE(2876),
    [sym__lowercase_identifier] = ACTIONS(7563),
    [anon_sym_SEMI_SEMI] = ACTIONS(3845),
    [anon_sym_and] = ACTIONS(3850),
    [anon_sym_TILDE] = ACTIONS(7566),
    [anon_sym_QMARK] = ACTIONS(7566),
    [anon_sym_LPAREN] = ACTIONS(7569),
    [anon_sym_external] = ACTIONS(3850),
    [anon_sym_type] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7572),
    [anon_sym_RBRACK] = ACTIONS(3845),
    [anon_sym_true] = ACTIONS(7575),
    [anon_sym_false] = ACTIONS(7575),
    [anon_sym_LBRACE] = ACTIONS(7578),
    [anon_sym_exception] = ACTIONS(3850),
    [anon_sym_module] = ACTIONS(3850),
    [anon_sym_open] = ACTIONS(3850),
    [anon_sym_include] = ACTIONS(3850),
    [anon_sym_class] = ACTIONS(3850),
    [anon_sym_val] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7581),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7584),
    [anon_sym_new] = ACTIONS(7587),
    [anon_sym_LBRACE_LT] = ACTIONS(7590),
    [anon_sym_begin] = ACTIONS(7593),
    [sym_ocamlyacc_value] = ACTIONS(7596),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7599),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7602),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(7605),
    [anon_sym_SQUOTE] = ACTIONS(7608),
    [anon_sym_DQUOTE] = ACTIONS(7611),
    [sym_prefix_operator] = ACTIONS(7614),
    [sym__uppercase_identifier] = ACTIONS(7617),
    [aux_sym_tag_token1] = ACTIONS(7620),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2877] = {
    [sym__simple_expression] = STATE(7865),
    [sym_typed_expression] = STATE(7761),
    [sym_list_expression] = STATE(7761),
    [sym_array_expression] = STATE(7761),
    [sym_record_expression] = STATE(7761),
    [sym_labeled_argument] = STATE(8746),
    [sym_prefix_expression] = STATE(7761),
    [sym_hash_expression] = STATE(7761),
    [sym_field_get_expression] = STATE(7761),
    [sym_array_get_expression] = STATE(7761),
    [sym_string_get_expression] = STATE(7761),
    [sym_bigarray_get_expression] = STATE(7761),
    [sym_coercion_expression] = STATE(7761),
    [sym_local_open_expression] = STATE(7761),
    [sym_package_expression] = STATE(7761),
    [sym_new_expression] = STATE(7761),
    [sym_object_copy_expression] = STATE(7761),
    [sym_method_invocation] = STATE(7761),
    [sym_object_expression] = STATE(7761),
    [sym_parenthesized_expression] = STATE(7761),
    [sym_attribute] = STATE(2877),
    [sym_extension] = STATE(7761),
    [sym_quoted_extension] = STATE(7761),
    [sym__constant] = STATE(7761),
    [sym_number] = STATE(8053),
    [sym_character] = STATE(8053),
    [sym_string] = STATE(8053),
    [sym_quoted_string] = STATE(8053),
    [sym_boolean] = STATE(8053),
    [sym_unit] = STATE(8053),
    [sym__value_name] = STATE(8097),
    [sym_parenthesized_operator] = STATE(8167),
    [sym_value_path] = STATE(7761),
    [sym_module_path] = STATE(19417),
    [sym_constructor_path] = STATE(7761),
    [sym__constructor_name] = STATE(8292),
    [sym_tag] = STATE(7761),
    [aux_sym_class_application_repeat1] = STATE(2873),
    [sym__lowercase_identifier] = ACTIONS(6577),
    [anon_sym_TILDE] = ACTIONS(6579),
    [anon_sym_QMARK] = ACTIONS(6579),
    [anon_sym_LPAREN] = ACTIONS(3121),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(3123),
    [anon_sym_true] = ACTIONS(3125),
    [anon_sym_false] = ACTIONS(3125),
    [anon_sym_LBRACE] = ACTIONS(3127),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(3129),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3133),
    [anon_sym_done] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(3143),
    [anon_sym_LBRACE_LT] = ACTIONS(3145),
    [anon_sym_begin] = ACTIONS(3147),
    [sym_ocamlyacc_value] = ACTIONS(3149),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3151),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3153),
    [aux_sym_number_token1] = ACTIONS(3155),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(3157),
    [anon_sym_DQUOTE] = ACTIONS(3159),
    [sym_prefix_operator] = ACTIONS(3161),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(3165),
    [aux_sym_tag_token1] = ACTIONS(3167),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2878] = {
    [sym__simple_expression] = STATE(7894),
    [sym_typed_expression] = STATE(8182),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_labeled_argument] = STATE(8810),
    [sym_prefix_expression] = STATE(8182),
    [sym_hash_expression] = STATE(8182),
    [sym_field_get_expression] = STATE(8182),
    [sym_array_get_expression] = STATE(8182),
    [sym_string_get_expression] = STATE(8182),
    [sym_bigarray_get_expression] = STATE(8182),
    [sym_coercion_expression] = STATE(8182),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2878),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [aux_sym_class_application_repeat1] = STATE(2878),
    [sym__lowercase_identifier] = ACTIONS(7623),
    [anon_sym_TILDE] = ACTIONS(7626),
    [anon_sym_QMARK] = ACTIONS(7626),
    [anon_sym_LPAREN] = ACTIONS(7629),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7632),
    [anon_sym_true] = ACTIONS(7635),
    [anon_sym_false] = ACTIONS(7635),
    [anon_sym_LBRACE] = ACTIONS(7638),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_object] = ACTIONS(7641),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7644),
    [anon_sym_do] = ACTIONS(3850),
    [anon_sym_new] = ACTIONS(7647),
    [anon_sym_LBRACE_LT] = ACTIONS(7650),
    [anon_sym_begin] = ACTIONS(7653),
    [sym_ocamlyacc_value] = ACTIONS(7656),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7659),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7662),
    [aux_sym_number_token1] = ACTIONS(7665),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7668),
    [anon_sym_DQUOTE] = ACTIONS(7671),
    [sym_prefix_operator] = ACTIONS(7674),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7677),
    [aux_sym_tag_token1] = ACTIONS(7680),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2879] = {
    [sym__simple_expression] = STATE(8052),
    [sym_typed_expression] = STATE(7818),
    [sym_list_expression] = STATE(7818),
    [sym_array_expression] = STATE(7818),
    [sym_record_expression] = STATE(7818),
    [sym_labeled_argument] = STATE(8802),
    [sym_prefix_expression] = STATE(7818),
    [sym_hash_expression] = STATE(7818),
    [sym_field_get_expression] = STATE(7818),
    [sym_array_get_expression] = STATE(7818),
    [sym_string_get_expression] = STATE(7818),
    [sym_bigarray_get_expression] = STATE(7818),
    [sym_coercion_expression] = STATE(7818),
    [sym_local_open_expression] = STATE(7818),
    [sym_package_expression] = STATE(7818),
    [sym_new_expression] = STATE(7818),
    [sym_object_copy_expression] = STATE(7818),
    [sym_method_invocation] = STATE(7818),
    [sym_object_expression] = STATE(7818),
    [sym_parenthesized_expression] = STATE(7818),
    [sym_attribute] = STATE(2879),
    [sym_extension] = STATE(7818),
    [sym_quoted_extension] = STATE(7818),
    [sym__constant] = STATE(7818),
    [sym_number] = STATE(8140),
    [sym_character] = STATE(8140),
    [sym_string] = STATE(8140),
    [sym_quoted_string] = STATE(8140),
    [sym_boolean] = STATE(8140),
    [sym_unit] = STATE(8140),
    [sym__value_name] = STATE(7807),
    [sym_parenthesized_operator] = STATE(8054),
    [sym_value_path] = STATE(7818),
    [sym_module_path] = STATE(20749),
    [sym_constructor_path] = STATE(7818),
    [sym__constructor_name] = STATE(8048),
    [sym_tag] = STATE(7818),
    [aux_sym_class_application_repeat1] = STATE(2881),
    [sym__lowercase_identifier] = ACTIONS(7683),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(7685),
    [anon_sym_QMARK] = ACTIONS(7685),
    [anon_sym_LPAREN] = ACTIONS(7687),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(7689),
    [anon_sym_true] = ACTIONS(7691),
    [anon_sym_false] = ACTIONS(7691),
    [anon_sym_LBRACE] = ACTIONS(7693),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_val] = ACTIONS(6591),
    [anon_sym_end] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(7695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7697),
    [anon_sym_new] = ACTIONS(7699),
    [anon_sym_LBRACE_LT] = ACTIONS(7701),
    [anon_sym_begin] = ACTIONS(7703),
    [sym_ocamlyacc_value] = ACTIONS(7705),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7707),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7709),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(7711),
    [anon_sym_SQUOTE] = ACTIONS(7713),
    [anon_sym_DQUOTE] = ACTIONS(7715),
    [sym_prefix_operator] = ACTIONS(7717),
    [sym__uppercase_identifier] = ACTIONS(7719),
    [aux_sym_tag_token1] = ACTIONS(7721),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2880] = {
    [sym__simple_expression] = STATE(7774),
    [sym_typed_expression] = STATE(8229),
    [sym_list_expression] = STATE(8229),
    [sym_array_expression] = STATE(8229),
    [sym_record_expression] = STATE(8229),
    [sym_labeled_argument] = STATE(8844),
    [sym_prefix_expression] = STATE(8229),
    [sym_hash_expression] = STATE(8229),
    [sym_field_get_expression] = STATE(8229),
    [sym_array_get_expression] = STATE(8229),
    [sym_string_get_expression] = STATE(8229),
    [sym_bigarray_get_expression] = STATE(8229),
    [sym_coercion_expression] = STATE(8229),
    [sym_local_open_expression] = STATE(8229),
    [sym_package_expression] = STATE(8229),
    [sym_new_expression] = STATE(8229),
    [sym_object_copy_expression] = STATE(8229),
    [sym_method_invocation] = STATE(8229),
    [sym_object_expression] = STATE(8229),
    [sym_parenthesized_expression] = STATE(8229),
    [sym_attribute] = STATE(2880),
    [sym_extension] = STATE(8229),
    [sym_quoted_extension] = STATE(8229),
    [sym__constant] = STATE(8229),
    [sym_number] = STATE(8267),
    [sym_character] = STATE(8267),
    [sym_string] = STATE(8267),
    [sym_quoted_string] = STATE(8267),
    [sym_boolean] = STATE(8267),
    [sym_unit] = STATE(8267),
    [sym__value_name] = STATE(8057),
    [sym_parenthesized_operator] = STATE(7812),
    [sym_value_path] = STATE(8229),
    [sym_module_path] = STATE(20559),
    [sym_constructor_path] = STATE(8229),
    [sym__constructor_name] = STATE(8192),
    [sym_tag] = STATE(8229),
    [aux_sym_class_application_repeat1] = STATE(2871),
    [sym__lowercase_identifier] = ACTIONS(7343),
    [anon_sym_SEMI_SEMI] = ACTIONS(6589),
    [anon_sym_and] = ACTIONS(6591),
    [anon_sym_TILDE] = ACTIONS(7345),
    [anon_sym_QMARK] = ACTIONS(7345),
    [anon_sym_LPAREN] = ACTIONS(7347),
    [anon_sym_external] = ACTIONS(6591),
    [anon_sym_type] = ACTIONS(6591),
    [anon_sym_LBRACK] = ACTIONS(7349),
    [anon_sym_RBRACK] = ACTIONS(6589),
    [anon_sym_true] = ACTIONS(7351),
    [anon_sym_false] = ACTIONS(7351),
    [anon_sym_LBRACE] = ACTIONS(7353),
    [anon_sym_exception] = ACTIONS(6591),
    [anon_sym_module] = ACTIONS(6591),
    [anon_sym_open] = ACTIONS(6591),
    [anon_sym_include] = ACTIONS(6591),
    [anon_sym_class] = ACTIONS(6591),
    [anon_sym_val] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(7355),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7357),
    [anon_sym_new] = ACTIONS(7359),
    [anon_sym_LBRACE_LT] = ACTIONS(7361),
    [anon_sym_begin] = ACTIONS(7363),
    [sym_ocamlyacc_value] = ACTIONS(7365),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7367),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7369),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(7371),
    [anon_sym_SQUOTE] = ACTIONS(7373),
    [anon_sym_DQUOTE] = ACTIONS(7375),
    [sym_prefix_operator] = ACTIONS(7377),
    [sym__uppercase_identifier] = ACTIONS(7379),
    [aux_sym_tag_token1] = ACTIONS(7381),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2881] = {
    [sym__simple_expression] = STATE(8052),
    [sym_typed_expression] = STATE(7818),
    [sym_list_expression] = STATE(7818),
    [sym_array_expression] = STATE(7818),
    [sym_record_expression] = STATE(7818),
    [sym_labeled_argument] = STATE(8802),
    [sym_prefix_expression] = STATE(7818),
    [sym_hash_expression] = STATE(7818),
    [sym_field_get_expression] = STATE(7818),
    [sym_array_get_expression] = STATE(7818),
    [sym_string_get_expression] = STATE(7818),
    [sym_bigarray_get_expression] = STATE(7818),
    [sym_coercion_expression] = STATE(7818),
    [sym_local_open_expression] = STATE(7818),
    [sym_package_expression] = STATE(7818),
    [sym_new_expression] = STATE(7818),
    [sym_object_copy_expression] = STATE(7818),
    [sym_method_invocation] = STATE(7818),
    [sym_object_expression] = STATE(7818),
    [sym_parenthesized_expression] = STATE(7818),
    [sym_attribute] = STATE(2881),
    [sym_extension] = STATE(7818),
    [sym_quoted_extension] = STATE(7818),
    [sym__constant] = STATE(7818),
    [sym_number] = STATE(8140),
    [sym_character] = STATE(8140),
    [sym_string] = STATE(8140),
    [sym_quoted_string] = STATE(8140),
    [sym_boolean] = STATE(8140),
    [sym_unit] = STATE(8140),
    [sym__value_name] = STATE(7807),
    [sym_parenthesized_operator] = STATE(8054),
    [sym_value_path] = STATE(7818),
    [sym_module_path] = STATE(20749),
    [sym_constructor_path] = STATE(7818),
    [sym__constructor_name] = STATE(8048),
    [sym_tag] = STATE(7818),
    [aux_sym_class_application_repeat1] = STATE(2874),
    [sym__lowercase_identifier] = ACTIONS(7683),
    [anon_sym_SEMI_SEMI] = ACTIONS(6693),
    [anon_sym_and] = ACTIONS(6695),
    [anon_sym_TILDE] = ACTIONS(7685),
    [anon_sym_QMARK] = ACTIONS(7685),
    [anon_sym_LPAREN] = ACTIONS(7687),
    [anon_sym_external] = ACTIONS(6695),
    [anon_sym_type] = ACTIONS(6695),
    [anon_sym_LBRACK] = ACTIONS(7689),
    [anon_sym_true] = ACTIONS(7691),
    [anon_sym_false] = ACTIONS(7691),
    [anon_sym_LBRACE] = ACTIONS(7693),
    [anon_sym_exception] = ACTIONS(6695),
    [anon_sym_module] = ACTIONS(6695),
    [anon_sym_open] = ACTIONS(6695),
    [anon_sym_include] = ACTIONS(6695),
    [anon_sym_class] = ACTIONS(6695),
    [anon_sym_val] = ACTIONS(6695),
    [anon_sym_end] = ACTIONS(6695),
    [anon_sym_object] = ACTIONS(7695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7697),
    [anon_sym_new] = ACTIONS(7699),
    [anon_sym_LBRACE_LT] = ACTIONS(7701),
    [anon_sym_begin] = ACTIONS(7703),
    [sym_ocamlyacc_value] = ACTIONS(7705),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7707),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7709),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6693),
    [aux_sym_number_token1] = ACTIONS(7711),
    [anon_sym_SQUOTE] = ACTIONS(7713),
    [anon_sym_DQUOTE] = ACTIONS(7715),
    [sym_prefix_operator] = ACTIONS(7717),
    [sym__uppercase_identifier] = ACTIONS(7719),
    [aux_sym_tag_token1] = ACTIONS(7721),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2882] = {
    [sym__simple_expression] = STATE(8065),
    [sym_typed_expression] = STATE(7906),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_labeled_argument] = STATE(8830),
    [sym_prefix_expression] = STATE(7906),
    [sym_hash_expression] = STATE(7906),
    [sym_field_get_expression] = STATE(7906),
    [sym_array_get_expression] = STATE(7906),
    [sym_string_get_expression] = STATE(7906),
    [sym_bigarray_get_expression] = STATE(7906),
    [sym_coercion_expression] = STATE(7906),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2882),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [aux_sym_class_application_repeat1] = STATE(2882),
    [sym__lowercase_identifier] = ACTIONS(7723),
    [anon_sym_TILDE] = ACTIONS(7726),
    [anon_sym_QMARK] = ACTIONS(7726),
    [anon_sym_LPAREN] = ACTIONS(7729),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7732),
    [anon_sym_true] = ACTIONS(7735),
    [anon_sym_false] = ACTIONS(7735),
    [anon_sym_LBRACE] = ACTIONS(7738),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7741),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7744),
    [anon_sym_new] = ACTIONS(7747),
    [anon_sym_LBRACE_LT] = ACTIONS(7750),
    [anon_sym_begin] = ACTIONS(7753),
    [sym_ocamlyacc_value] = ACTIONS(7756),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7762),
    [aux_sym_number_token1] = ACTIONS(7765),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7768),
    [anon_sym_DQUOTE] = ACTIONS(7771),
    [sym_prefix_operator] = ACTIONS(7774),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7777),
    [aux_sym_tag_token1] = ACTIONS(7780),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2883] = {
    [sym__simple_expression] = STATE(8065),
    [sym_typed_expression] = STATE(7906),
    [sym_list_expression] = STATE(7906),
    [sym_array_expression] = STATE(7906),
    [sym_record_expression] = STATE(7906),
    [sym_labeled_argument] = STATE(8830),
    [sym_prefix_expression] = STATE(7906),
    [sym_hash_expression] = STATE(7906),
    [sym_field_get_expression] = STATE(7906),
    [sym_array_get_expression] = STATE(7906),
    [sym_string_get_expression] = STATE(7906),
    [sym_bigarray_get_expression] = STATE(7906),
    [sym_coercion_expression] = STATE(7906),
    [sym_local_open_expression] = STATE(7906),
    [sym_package_expression] = STATE(7906),
    [sym_new_expression] = STATE(7906),
    [sym_object_copy_expression] = STATE(7906),
    [sym_method_invocation] = STATE(7906),
    [sym_object_expression] = STATE(7906),
    [sym_parenthesized_expression] = STATE(7906),
    [sym_attribute] = STATE(2883),
    [sym_extension] = STATE(7906),
    [sym_quoted_extension] = STATE(7906),
    [sym__constant] = STATE(7906),
    [sym_number] = STATE(8168),
    [sym_character] = STATE(8168),
    [sym_string] = STATE(8168),
    [sym_quoted_string] = STATE(8168),
    [sym_boolean] = STATE(8168),
    [sym_unit] = STATE(8168),
    [sym__value_name] = STATE(7885),
    [sym_parenthesized_operator] = STATE(7875),
    [sym_value_path] = STATE(7906),
    [sym_module_path] = STATE(21223),
    [sym_constructor_path] = STATE(7906),
    [sym__constructor_name] = STATE(8262),
    [sym_tag] = STATE(7906),
    [aux_sym_class_application_repeat1] = STATE(2882),
    [sym__lowercase_identifier] = ACTIONS(6407),
    [anon_sym_TILDE] = ACTIONS(6409),
    [anon_sym_QMARK] = ACTIONS(6409),
    [anon_sym_LPAREN] = ACTIONS(3027),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(3029),
    [anon_sym_true] = ACTIONS(3031),
    [anon_sym_false] = ACTIONS(3031),
    [anon_sym_LBRACE] = ACTIONS(3033),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_end] = ACTIONS(3911),
    [anon_sym_object] = ACTIONS(3035),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3039),
    [anon_sym_new] = ACTIONS(3049),
    [anon_sym_LBRACE_LT] = ACTIONS(3051),
    [anon_sym_begin] = ACTIONS(3053),
    [sym_ocamlyacc_value] = ACTIONS(3055),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3057),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3059),
    [aux_sym_number_token1] = ACTIONS(3061),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(3063),
    [anon_sym_DQUOTE] = ACTIONS(3065),
    [sym_prefix_operator] = ACTIONS(3067),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(3071),
    [aux_sym_tag_token1] = ACTIONS(3073),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2884] = {
    [sym__simple_expression] = STATE(8213),
    [sym_typed_expression] = STATE(8118),
    [sym_list_expression] = STATE(8118),
    [sym_array_expression] = STATE(8118),
    [sym_record_expression] = STATE(8118),
    [sym_labeled_argument] = STATE(8819),
    [sym_prefix_expression] = STATE(8118),
    [sym_hash_expression] = STATE(8118),
    [sym_field_get_expression] = STATE(8118),
    [sym_array_get_expression] = STATE(8118),
    [sym_string_get_expression] = STATE(8118),
    [sym_bigarray_get_expression] = STATE(8118),
    [sym_coercion_expression] = STATE(8118),
    [sym_local_open_expression] = STATE(8118),
    [sym_package_expression] = STATE(8118),
    [sym_new_expression] = STATE(8118),
    [sym_object_copy_expression] = STATE(8118),
    [sym_method_invocation] = STATE(8118),
    [sym_object_expression] = STATE(8118),
    [sym_parenthesized_expression] = STATE(8118),
    [sym_attribute] = STATE(2884),
    [sym_extension] = STATE(8118),
    [sym_quoted_extension] = STATE(8118),
    [sym__constant] = STATE(8118),
    [sym_number] = STATE(7887),
    [sym_character] = STATE(7887),
    [sym_string] = STATE(7887),
    [sym_quoted_string] = STATE(7887),
    [sym_boolean] = STATE(7887),
    [sym_unit] = STATE(7887),
    [sym__value_name] = STATE(8110),
    [sym_parenthesized_operator] = STATE(7912),
    [sym_value_path] = STATE(8118),
    [sym_module_path] = STATE(22319),
    [sym_constructor_path] = STATE(8118),
    [sym__constructor_name] = STATE(7852),
    [sym_tag] = STATE(8118),
    [aux_sym_class_application_repeat1] = STATE(2884),
    [sym__lowercase_identifier] = ACTIONS(7783),
    [anon_sym_TILDE] = ACTIONS(7786),
    [anon_sym_QMARK] = ACTIONS(7786),
    [anon_sym_LPAREN] = ACTIONS(7789),
    [anon_sym_COMMA] = ACTIONS(3845),
    [anon_sym_PIPE] = ACTIONS(3850),
    [anon_sym_LBRACK] = ACTIONS(7792),
    [anon_sym_true] = ACTIONS(7795),
    [anon_sym_false] = ACTIONS(7795),
    [anon_sym_LBRACE] = ACTIONS(7798),
    [anon_sym_SEMI] = ACTIONS(3845),
    [anon_sym_with] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(7801),
    [anon_sym_COLON_COLON] = ACTIONS(3845),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7804),
    [anon_sym_new] = ACTIONS(7807),
    [anon_sym_LBRACE_LT] = ACTIONS(7810),
    [anon_sym_begin] = ACTIONS(7813),
    [sym_ocamlyacc_value] = ACTIONS(7816),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7819),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7822),
    [aux_sym_number_token1] = ACTIONS(7825),
    [aux_sym_signed_number_token1] = ACTIONS(3850),
    [anon_sym_SQUOTE] = ACTIONS(7828),
    [anon_sym_DQUOTE] = ACTIONS(7831),
    [sym_prefix_operator] = ACTIONS(7834),
    [aux_sym_sign_operator_token1] = ACTIONS(3850),
    [sym_pow_operator] = ACTIONS(3850),
    [sym_mult_operator] = ACTIONS(3850),
    [aux_sym_add_operator_token1] = ACTIONS(3850),
    [sym_concat_operator] = ACTIONS(3845),
    [sym_rel_operator] = ACTIONS(3850),
    [sym_and_operator] = ACTIONS(3850),
    [sym_or_operator] = ACTIONS(3850),
    [sym_assign_operator] = ACTIONS(3845),
    [sym__uppercase_identifier] = ACTIONS(7837),
    [aux_sym_tag_token1] = ACTIONS(7840),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2885] = {
    [sym__simple_expression] = STATE(7894),
    [sym_typed_expression] = STATE(8182),
    [sym_list_expression] = STATE(8182),
    [sym_array_expression] = STATE(8182),
    [sym_record_expression] = STATE(8182),
    [sym_labeled_argument] = STATE(8810),
    [sym_prefix_expression] = STATE(8182),
    [sym_hash_expression] = STATE(8182),
    [sym_field_get_expression] = STATE(8182),
    [sym_array_get_expression] = STATE(8182),
    [sym_string_get_expression] = STATE(8182),
    [sym_bigarray_get_expression] = STATE(8182),
    [sym_coercion_expression] = STATE(8182),
    [sym_local_open_expression] = STATE(8182),
    [sym_package_expression] = STATE(8182),
    [sym_new_expression] = STATE(8182),
    [sym_object_copy_expression] = STATE(8182),
    [sym_method_invocation] = STATE(8182),
    [sym_object_expression] = STATE(8182),
    [sym_parenthesized_expression] = STATE(8182),
    [sym_attribute] = STATE(2885),
    [sym_extension] = STATE(8182),
    [sym_quoted_extension] = STATE(8182),
    [sym__constant] = STATE(8182),
    [sym_number] = STATE(7904),
    [sym_character] = STATE(7904),
    [sym_string] = STATE(7904),
    [sym_quoted_string] = STATE(7904),
    [sym_boolean] = STATE(7904),
    [sym_unit] = STATE(7904),
    [sym__value_name] = STATE(8188),
    [sym_parenthesized_operator] = STATE(8109),
    [sym_value_path] = STATE(8182),
    [sym_module_path] = STATE(21912),
    [sym_constructor_path] = STATE(8182),
    [sym__constructor_name] = STATE(7918),
    [sym_tag] = STATE(8182),
    [aux_sym_class_application_repeat1] = STATE(2878),
    [sym__lowercase_identifier] = ACTIONS(6553),
    [anon_sym_TILDE] = ACTIONS(6555),
    [anon_sym_QMARK] = ACTIONS(6555),
    [anon_sym_LPAREN] = ACTIONS(3225),
    [anon_sym_COMMA] = ACTIONS(3909),
    [anon_sym_PIPE] = ACTIONS(3911),
    [anon_sym_LBRACK] = ACTIONS(3227),
    [anon_sym_true] = ACTIONS(3229),
    [anon_sym_false] = ACTIONS(3229),
    [anon_sym_LBRACE] = ACTIONS(3231),
    [anon_sym_SEMI] = ACTIONS(3909),
    [anon_sym_object] = ACTIONS(3233),
    [anon_sym_COLON_COLON] = ACTIONS(3909),
    [anon_sym_LBRACK_PIPE] = ACTIONS(3237),
    [anon_sym_do] = ACTIONS(3911),
    [anon_sym_new] = ACTIONS(3247),
    [anon_sym_LBRACE_LT] = ACTIONS(3249),
    [anon_sym_begin] = ACTIONS(3251),
    [sym_ocamlyacc_value] = ACTIONS(3253),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(3255),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(3257),
    [aux_sym_number_token1] = ACTIONS(3259),
    [aux_sym_signed_number_token1] = ACTIONS(3911),
    [anon_sym_SQUOTE] = ACTIONS(3261),
    [anon_sym_DQUOTE] = ACTIONS(3263),
    [sym_prefix_operator] = ACTIONS(3265),
    [aux_sym_sign_operator_token1] = ACTIONS(3911),
    [sym_pow_operator] = ACTIONS(3911),
    [sym_mult_operator] = ACTIONS(3911),
    [aux_sym_add_operator_token1] = ACTIONS(3911),
    [sym_concat_operator] = ACTIONS(3909),
    [sym_rel_operator] = ACTIONS(3911),
    [sym_and_operator] = ACTIONS(3911),
    [sym_or_operator] = ACTIONS(3911),
    [sym_assign_operator] = ACTIONS(3909),
    [sym__uppercase_identifier] = ACTIONS(3269),
    [aux_sym_tag_token1] = ACTIONS(3271),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2886] = {
    [sym__binding_pattern] = STATE(15196),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2886),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(20419),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7847),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7851),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7855),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7857),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7863),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7863),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7863),
    [sym_let_and_operator] = ACTIONS(7863),
    [sym_match_operator] = ACTIONS(7863),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2887] = {
    [sym__binding_pattern] = STATE(15131),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2887),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(22467),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7865),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7867),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7869),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7871),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7873),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7873),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7873),
    [sym_let_and_operator] = ACTIONS(7873),
    [sym_match_operator] = ACTIONS(7873),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2888] = {
    [sym__binding_pattern] = STATE(15023),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2888),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(22351),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7875),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7877),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7879),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7883),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7883),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7883),
    [sym_let_and_operator] = ACTIONS(7883),
    [sym_match_operator] = ACTIONS(7883),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2889] = {
    [sym__binding_pattern] = STATE(15112),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2889),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(22273),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7885),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7887),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7889),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7891),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7893),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7893),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7893),
    [sym_let_and_operator] = ACTIONS(7893),
    [sym_match_operator] = ACTIONS(7893),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2890] = {
    [sym__binding_pattern] = STATE(15034),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2890),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21245),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(2099),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(2101),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(6103),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(6011),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(2109),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(2109),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(2109),
    [sym_let_and_operator] = ACTIONS(2109),
    [sym_match_operator] = ACTIONS(2109),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2891] = {
    [sym__binding_pattern] = STATE(15146),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2891),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(20383),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(7895),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(7897),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(7899),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(7901),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(7903),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(7903),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(7903),
    [sym_let_and_operator] = ACTIONS(7903),
    [sym_match_operator] = ACTIONS(7903),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2892] = {
    [sym__binding_pattern] = STATE(14967),
    [sym_alias_binding_pattern] = STATE(14827),
    [sym_typed_binding_pattern] = STATE(14827),
    [sym_or_binding_pattern] = STATE(14827),
    [sym_constructor_binding_pattern] = STATE(14827),
    [sym_tag_binding_pattern] = STATE(14827),
    [sym_polymorphic_variant_pattern] = STATE(14827),
    [sym_tuple_binding_pattern] = STATE(14827),
    [sym_record_binding_pattern] = STATE(14822),
    [sym_list_binding_pattern] = STATE(14817),
    [sym_cons_binding_pattern] = STATE(14827),
    [sym_array_binding_pattern] = STATE(14809),
    [sym_range_pattern] = STATE(14827),
    [sym_lazy_binding_pattern] = STATE(14827),
    [sym_local_open_binding_pattern] = STATE(14827),
    [sym_package_pattern] = STATE(14827),
    [sym_parenthesized_binding_pattern] = STATE(14827),
    [sym_attribute] = STATE(2892),
    [sym_extension] = STATE(14827),
    [sym_quoted_extension] = STATE(14827),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14605),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__infix_operator] = STATE(21647),
    [sym_add_operator] = STATE(22091),
    [sym__value_name] = STATE(14827),
    [sym_parenthesized_operator] = STATE(14291),
    [sym_module_path] = STATE(19799),
    [sym_constructor_path] = STATE(3854),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(3853),
    [sym__lowercase_identifier] = ACTIONS(7843),
    [anon_sym_LPAREN] = ACTIONS(7845),
    [anon_sym_RPAREN] = ACTIONS(6059),
    [anon_sym_LBRACK] = ACTIONS(7849),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_DOT] = ACTIONS(6061),
    [anon_sym_LBRACE] = ACTIONS(7853),
    [anon_sym_module] = ACTIONS(6063),
    [anon_sym_POUND] = ACTIONS(6009),
    [anon_sym_COLON_COLON] = ACTIONS(2303),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7859),
    [anon_sym_lazy] = ACTIONS(7861),
    [anon_sym_begin] = ACTIONS(6017),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(6027),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym_prefix_operator] = ACTIONS(6067),
    [aux_sym_sign_operator_token1] = ACTIONS(1791),
    [sym_hash_operator] = ACTIONS(6067),
    [sym_pow_operator] = ACTIONS(1789),
    [sym_mult_operator] = ACTIONS(1789),
    [aux_sym_add_operator_token1] = ACTIONS(1791),
    [sym_concat_operator] = ACTIONS(1793),
    [sym_rel_operator] = ACTIONS(1789),
    [sym_and_operator] = ACTIONS(1789),
    [sym_or_operator] = ACTIONS(1789),
    [sym_assign_operator] = ACTIONS(1793),
    [sym_let_operator] = ACTIONS(6067),
    [sym_let_and_operator] = ACTIONS(6067),
    [sym_match_operator] = ACTIONS(6067),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2893] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12449),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2893),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11930),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [ts_builtin_sym_end] = ACTIONS(7905),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7905),
    [anon_sym_let] = ACTIONS(7909),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(7911),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7905),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7905),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7909),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2894] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12287),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2894),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11691),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [ts_builtin_sym_end] = ACTIONS(7949),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7949),
    [anon_sym_let] = ACTIONS(7951),
    [anon_sym_and] = ACTIONS(7951),
    [anon_sym_EQ] = ACTIONS(7953),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7951),
    [anon_sym_type] = ACTIONS(7951),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7951),
    [anon_sym_module] = ACTIONS(7951),
    [anon_sym_open] = ACTIONS(7951),
    [anon_sym_include] = ACTIONS(7951),
    [anon_sym_class] = ACTIONS(7951),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7949),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7949),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7949),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7949),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7951),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2895] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12296),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2895),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11873),
    [aux_sym_let_binding_repeat1] = STATE(2898),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(7957),
    [anon_sym_let] = ACTIONS(7959),
    [anon_sym_and] = ACTIONS(7959),
    [anon_sym_EQ] = ACTIONS(7961),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(7959),
    [anon_sym_type] = ACTIONS(7959),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(7959),
    [anon_sym_module] = ACTIONS(7959),
    [anon_sym_open] = ACTIONS(7959),
    [anon_sym_include] = ACTIONS(7959),
    [anon_sym_class] = ACTIONS(7959),
    [anon_sym_end] = ACTIONS(7959),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7957),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(7957),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(7959),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2896] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12402),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2896),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11734),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [ts_builtin_sym_end] = ACTIONS(7997),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7997),
    [anon_sym_let] = ACTIONS(7999),
    [anon_sym_and] = ACTIONS(7999),
    [anon_sym_EQ] = ACTIONS(8001),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7999),
    [anon_sym_type] = ACTIONS(7999),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7999),
    [anon_sym_module] = ACTIONS(7999),
    [anon_sym_open] = ACTIONS(7999),
    [anon_sym_include] = ACTIONS(7999),
    [anon_sym_class] = ACTIONS(7999),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7997),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7997),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7999),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2897] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12317),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2897),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11927),
    [aux_sym_let_binding_repeat1] = STATE(2900),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8003),
    [anon_sym_let] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8005),
    [anon_sym_EQ] = ACTIONS(8007),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8005),
    [anon_sym_type] = ACTIONS(8005),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8003),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8005),
    [anon_sym_module] = ACTIONS(8005),
    [anon_sym_open] = ACTIONS(8005),
    [anon_sym_include] = ACTIONS(8005),
    [anon_sym_class] = ACTIONS(8005),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8003),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8003),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8003),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8003),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8005),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2898] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12310),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2898),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11691),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(7949),
    [anon_sym_let] = ACTIONS(7951),
    [anon_sym_and] = ACTIONS(7951),
    [anon_sym_EQ] = ACTIONS(8009),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(7951),
    [anon_sym_type] = ACTIONS(7951),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(7951),
    [anon_sym_module] = ACTIONS(7951),
    [anon_sym_open] = ACTIONS(7951),
    [anon_sym_include] = ACTIONS(7951),
    [anon_sym_class] = ACTIONS(7951),
    [anon_sym_end] = ACTIONS(7951),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7949),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7949),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7949),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(7949),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(7951),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2899] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12312),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2899),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11736),
    [aux_sym_let_binding_repeat1] = STATE(2916),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8015),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_end] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(8011),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2900] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12302),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2900),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11930),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7905),
    [anon_sym_let] = ACTIONS(7909),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8017),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7905),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7905),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7905),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7909),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2901] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12309),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2901),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11927),
    [aux_sym_let_binding_repeat1] = STATE(2893),
    [ts_builtin_sym_end] = ACTIONS(8003),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8003),
    [anon_sym_let] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8005),
    [anon_sym_EQ] = ACTIONS(8019),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8005),
    [anon_sym_type] = ACTIONS(8005),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8005),
    [anon_sym_module] = ACTIONS(8005),
    [anon_sym_open] = ACTIONS(8005),
    [anon_sym_include] = ACTIONS(8005),
    [anon_sym_class] = ACTIONS(8005),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8003),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8003),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8003),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8003),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8005),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2902] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12233),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2902),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11938),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [ts_builtin_sym_end] = ACTIONS(8021),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8021),
    [anon_sym_let] = ACTIONS(8023),
    [anon_sym_and] = ACTIONS(8023),
    [anon_sym_EQ] = ACTIONS(8025),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8023),
    [anon_sym_type] = ACTIONS(8023),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8023),
    [anon_sym_module] = ACTIONS(8023),
    [anon_sym_open] = ACTIONS(8023),
    [anon_sym_include] = ACTIONS(8023),
    [anon_sym_class] = ACTIONS(8023),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8021),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8021),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8023),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2903] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12297),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2903),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11938),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8021),
    [anon_sym_let] = ACTIONS(8023),
    [anon_sym_and] = ACTIONS(8023),
    [anon_sym_EQ] = ACTIONS(8027),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8023),
    [anon_sym_type] = ACTIONS(8023),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8021),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8023),
    [anon_sym_module] = ACTIONS(8023),
    [anon_sym_open] = ACTIONS(8023),
    [anon_sym_include] = ACTIONS(8023),
    [anon_sym_class] = ACTIONS(8023),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8021),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8021),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8023),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2904] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12289),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2904),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11725),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [ts_builtin_sym_end] = ACTIONS(8029),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_let] = ACTIONS(8031),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8033),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8029),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8031),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2905] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12274),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2905),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11873),
    [aux_sym_let_binding_repeat1] = STATE(2911),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7957),
    [anon_sym_let] = ACTIONS(7959),
    [anon_sym_and] = ACTIONS(7959),
    [anon_sym_EQ] = ACTIONS(8035),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7959),
    [anon_sym_type] = ACTIONS(7959),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7957),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7959),
    [anon_sym_module] = ACTIONS(7959),
    [anon_sym_open] = ACTIONS(7959),
    [anon_sym_include] = ACTIONS(7959),
    [anon_sym_class] = ACTIONS(7959),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7957),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7957),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7959),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2906] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12395),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2906),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11703),
    [aux_sym_let_binding_repeat1] = STATE(2904),
    [ts_builtin_sym_end] = ACTIONS(8037),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8037),
    [anon_sym_let] = ACTIONS(8039),
    [anon_sym_and] = ACTIONS(8039),
    [anon_sym_EQ] = ACTIONS(8041),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8039),
    [anon_sym_type] = ACTIONS(8039),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8039),
    [anon_sym_module] = ACTIONS(8039),
    [anon_sym_open] = ACTIONS(8039),
    [anon_sym_include] = ACTIONS(8039),
    [anon_sym_class] = ACTIONS(8039),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8037),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8037),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8037),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8037),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8039),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2907] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12263),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2907),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11736),
    [aux_sym_let_binding_repeat1] = STATE(2896),
    [ts_builtin_sym_end] = ACTIONS(8011),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8043),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8011),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2908] = {
    [sym__simple_expression] = STATE(8982),
    [sym_typed_expression] = STATE(9204),
    [sym_list_expression] = STATE(9204),
    [sym_array_expression] = STATE(9204),
    [sym_record_expression] = STATE(9204),
    [sym_labeled_argument] = STATE(9622),
    [sym_prefix_expression] = STATE(9204),
    [sym_hash_expression] = STATE(9204),
    [sym_field_get_expression] = STATE(9204),
    [sym_array_get_expression] = STATE(9204),
    [sym_string_get_expression] = STATE(9204),
    [sym_bigarray_get_expression] = STATE(9204),
    [sym_coercion_expression] = STATE(9204),
    [sym_local_open_expression] = STATE(9204),
    [sym_package_expression] = STATE(9204),
    [sym_new_expression] = STATE(9204),
    [sym_object_copy_expression] = STATE(9204),
    [sym_method_invocation] = STATE(9204),
    [sym_object_expression] = STATE(9204),
    [sym_parenthesized_expression] = STATE(9204),
    [sym_attribute] = STATE(2908),
    [sym_extension] = STATE(9204),
    [sym_quoted_extension] = STATE(9204),
    [sym__constant] = STATE(9204),
    [sym_number] = STATE(8998),
    [sym_character] = STATE(8998),
    [sym_string] = STATE(8998),
    [sym_quoted_string] = STATE(8998),
    [sym_boolean] = STATE(8998),
    [sym_unit] = STATE(8998),
    [sym__value_name] = STATE(9075),
    [sym_parenthesized_operator] = STATE(9157),
    [sym_value_path] = STATE(9204),
    [sym_module_path] = STATE(19330),
    [sym_constructor_path] = STATE(9204),
    [sym__constructor_name] = STATE(8900),
    [sym_tag] = STATE(9204),
    [aux_sym_class_application_repeat1] = STATE(2922),
    [sym__lowercase_identifier] = ACTIONS(8045),
    [anon_sym_TILDE] = ACTIONS(8047),
    [anon_sym_QMARK] = ACTIONS(8047),
    [anon_sym_LPAREN] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(8051),
    [anon_sym_true] = ACTIONS(8053),
    [anon_sym_false] = ACTIONS(8053),
    [anon_sym_LBRACE] = ACTIONS(8055),
    [anon_sym_constraint] = ACTIONS(6695),
    [anon_sym_val] = ACTIONS(6695),
    [anon_sym_end] = ACTIONS(6695),
    [anon_sym_object] = ACTIONS(8057),
    [anon_sym_inherit] = ACTIONS(6695),
    [anon_sym_method] = ACTIONS(6695),
    [anon_sym_as] = ACTIONS(6695),
    [anon_sym_initializer] = ACTIONS(6695),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8059),
    [anon_sym_new] = ACTIONS(8061),
    [anon_sym_LBRACE_LT] = ACTIONS(8063),
    [anon_sym_begin] = ACTIONS(8065),
    [sym_ocamlyacc_value] = ACTIONS(8067),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6695),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6693),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6693),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6693),
    [aux_sym_number_token1] = ACTIONS(8073),
    [anon_sym_SQUOTE] = ACTIONS(8075),
    [anon_sym_DQUOTE] = ACTIONS(8077),
    [sym_prefix_operator] = ACTIONS(8079),
    [sym__uppercase_identifier] = ACTIONS(8081),
    [aux_sym_tag_token1] = ACTIONS(8083),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2909] = {
    [sym__simple_expression] = STATE(8982),
    [sym_typed_expression] = STATE(9204),
    [sym_list_expression] = STATE(9204),
    [sym_array_expression] = STATE(9204),
    [sym_record_expression] = STATE(9204),
    [sym_labeled_argument] = STATE(9622),
    [sym_prefix_expression] = STATE(9204),
    [sym_hash_expression] = STATE(9204),
    [sym_field_get_expression] = STATE(9204),
    [sym_array_get_expression] = STATE(9204),
    [sym_string_get_expression] = STATE(9204),
    [sym_bigarray_get_expression] = STATE(9204),
    [sym_coercion_expression] = STATE(9204),
    [sym_local_open_expression] = STATE(9204),
    [sym_package_expression] = STATE(9204),
    [sym_new_expression] = STATE(9204),
    [sym_object_copy_expression] = STATE(9204),
    [sym_method_invocation] = STATE(9204),
    [sym_object_expression] = STATE(9204),
    [sym_parenthesized_expression] = STATE(9204),
    [sym_attribute] = STATE(2909),
    [sym_extension] = STATE(9204),
    [sym_quoted_extension] = STATE(9204),
    [sym__constant] = STATE(9204),
    [sym_number] = STATE(8998),
    [sym_character] = STATE(8998),
    [sym_string] = STATE(8998),
    [sym_quoted_string] = STATE(8998),
    [sym_boolean] = STATE(8998),
    [sym_unit] = STATE(8998),
    [sym__value_name] = STATE(9075),
    [sym_parenthesized_operator] = STATE(9157),
    [sym_value_path] = STATE(9204),
    [sym_module_path] = STATE(19330),
    [sym_constructor_path] = STATE(9204),
    [sym__constructor_name] = STATE(8900),
    [sym_tag] = STATE(9204),
    [aux_sym_class_application_repeat1] = STATE(2908),
    [sym__lowercase_identifier] = ACTIONS(8045),
    [anon_sym_TILDE] = ACTIONS(8047),
    [anon_sym_QMARK] = ACTIONS(8047),
    [anon_sym_LPAREN] = ACTIONS(8049),
    [anon_sym_LBRACK] = ACTIONS(8051),
    [anon_sym_true] = ACTIONS(8053),
    [anon_sym_false] = ACTIONS(8053),
    [anon_sym_LBRACE] = ACTIONS(8055),
    [anon_sym_constraint] = ACTIONS(6591),
    [anon_sym_val] = ACTIONS(6591),
    [anon_sym_end] = ACTIONS(6591),
    [anon_sym_object] = ACTIONS(8057),
    [anon_sym_inherit] = ACTIONS(6591),
    [anon_sym_method] = ACTIONS(6591),
    [anon_sym_as] = ACTIONS(6591),
    [anon_sym_initializer] = ACTIONS(6591),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8059),
    [anon_sym_new] = ACTIONS(8061),
    [anon_sym_LBRACE_LT] = ACTIONS(8063),
    [anon_sym_begin] = ACTIONS(8065),
    [sym_ocamlyacc_value] = ACTIONS(8067),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(6591),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(6589),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8069),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8071),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(6589),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(6589),
    [aux_sym_number_token1] = ACTIONS(8073),
    [anon_sym_SQUOTE] = ACTIONS(8075),
    [anon_sym_DQUOTE] = ACTIONS(8077),
    [sym_prefix_operator] = ACTIONS(8079),
    [sym__uppercase_identifier] = ACTIONS(8081),
    [aux_sym_tag_token1] = ACTIONS(8083),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2910] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12430),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2910),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11642),
    [aux_sym_let_binding_repeat1] = STATE(2902),
    [ts_builtin_sym_end] = ACTIONS(8085),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8085),
    [anon_sym_let] = ACTIONS(8087),
    [anon_sym_and] = ACTIONS(8087),
    [anon_sym_EQ] = ACTIONS(8089),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8087),
    [anon_sym_type] = ACTIONS(8087),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8087),
    [anon_sym_module] = ACTIONS(8087),
    [anon_sym_open] = ACTIONS(8087),
    [anon_sym_include] = ACTIONS(8087),
    [anon_sym_class] = ACTIONS(8087),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8085),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8085),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8085),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8085),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8087),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2911] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12265),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2911),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11691),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7949),
    [anon_sym_let] = ACTIONS(7951),
    [anon_sym_and] = ACTIONS(7951),
    [anon_sym_EQ] = ACTIONS(8091),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7951),
    [anon_sym_type] = ACTIONS(7951),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7949),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7951),
    [anon_sym_module] = ACTIONS(7951),
    [anon_sym_open] = ACTIONS(7951),
    [anon_sym_include] = ACTIONS(7951),
    [anon_sym_class] = ACTIONS(7951),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7949),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7949),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7949),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7949),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7951),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2912] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12262),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2912),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11736),
    [aux_sym_let_binding_repeat1] = STATE(2913),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_let] = ACTIONS(8013),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8093),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8011),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8011),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8013),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2913] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12257),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2913),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11734),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7997),
    [anon_sym_let] = ACTIONS(7999),
    [anon_sym_and] = ACTIONS(7999),
    [anon_sym_EQ] = ACTIONS(8095),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7999),
    [anon_sym_type] = ACTIONS(7999),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(7997),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7999),
    [anon_sym_module] = ACTIONS(7999),
    [anon_sym_open] = ACTIONS(7999),
    [anon_sym_include] = ACTIONS(7999),
    [anon_sym_class] = ACTIONS(7999),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7997),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7997),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7999),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2914] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12255),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2914),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11703),
    [aux_sym_let_binding_repeat1] = STATE(2915),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8037),
    [anon_sym_let] = ACTIONS(8039),
    [anon_sym_and] = ACTIONS(8039),
    [anon_sym_EQ] = ACTIONS(8097),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8039),
    [anon_sym_type] = ACTIONS(8039),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8037),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8039),
    [anon_sym_module] = ACTIONS(8039),
    [anon_sym_open] = ACTIONS(8039),
    [anon_sym_include] = ACTIONS(8039),
    [anon_sym_class] = ACTIONS(8039),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8037),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8037),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8037),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8037),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8039),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2915] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12247),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2915),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11725),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_let] = ACTIONS(8031),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8099),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8029),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8029),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8031),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2916] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12320),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2916),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11734),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(7997),
    [anon_sym_let] = ACTIONS(7999),
    [anon_sym_and] = ACTIONS(7999),
    [anon_sym_EQ] = ACTIONS(8101),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(7999),
    [anon_sym_type] = ACTIONS(7999),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(7999),
    [anon_sym_module] = ACTIONS(7999),
    [anon_sym_open] = ACTIONS(7999),
    [anon_sym_include] = ACTIONS(7999),
    [anon_sym_class] = ACTIONS(7999),
    [anon_sym_end] = ACTIONS(7999),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7997),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(7997),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(7999),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2917] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12327),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2917),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11703),
    [aux_sym_let_binding_repeat1] = STATE(2919),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(8037),
    [anon_sym_let] = ACTIONS(8039),
    [anon_sym_and] = ACTIONS(8039),
    [anon_sym_EQ] = ACTIONS(8103),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(8039),
    [anon_sym_type] = ACTIONS(8039),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(8039),
    [anon_sym_module] = ACTIONS(8039),
    [anon_sym_open] = ACTIONS(8039),
    [anon_sym_include] = ACTIONS(8039),
    [anon_sym_class] = ACTIONS(8039),
    [anon_sym_end] = ACTIONS(8039),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8037),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8037),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8037),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(8037),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(8039),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2918] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12216),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2918),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11938),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(8021),
    [anon_sym_let] = ACTIONS(8023),
    [anon_sym_and] = ACTIONS(8023),
    [anon_sym_EQ] = ACTIONS(8105),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(8023),
    [anon_sym_type] = ACTIONS(8023),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(8023),
    [anon_sym_module] = ACTIONS(8023),
    [anon_sym_open] = ACTIONS(8023),
    [anon_sym_include] = ACTIONS(8023),
    [anon_sym_class] = ACTIONS(8023),
    [anon_sym_end] = ACTIONS(8023),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8021),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(8021),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(8023),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2919] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12339),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2919),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11725),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_let] = ACTIONS(8031),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8107),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_end] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(8029),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(8031),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2920] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12239),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2920),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11927),
    [aux_sym_let_binding_repeat1] = STATE(2925),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(8003),
    [anon_sym_let] = ACTIONS(8005),
    [anon_sym_and] = ACTIONS(8005),
    [anon_sym_EQ] = ACTIONS(8109),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(8005),
    [anon_sym_type] = ACTIONS(8005),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(8005),
    [anon_sym_module] = ACTIONS(8005),
    [anon_sym_open] = ACTIONS(8005),
    [anon_sym_include] = ACTIONS(8005),
    [anon_sym_class] = ACTIONS(8005),
    [anon_sym_end] = ACTIONS(8005),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8003),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8003),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8003),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(8003),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(8005),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2921] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12227),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2921),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11642),
    [aux_sym_let_binding_repeat1] = STATE(2918),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(8085),
    [anon_sym_let] = ACTIONS(8087),
    [anon_sym_and] = ACTIONS(8087),
    [anon_sym_EQ] = ACTIONS(8111),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(8087),
    [anon_sym_type] = ACTIONS(8087),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(8087),
    [anon_sym_module] = ACTIONS(8087),
    [anon_sym_open] = ACTIONS(8087),
    [anon_sym_include] = ACTIONS(8087),
    [anon_sym_class] = ACTIONS(8087),
    [anon_sym_end] = ACTIONS(8087),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8085),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8085),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8085),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(8085),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(8087),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2922] = {
    [sym__simple_expression] = STATE(8982),
    [sym_typed_expression] = STATE(9204),
    [sym_list_expression] = STATE(9204),
    [sym_array_expression] = STATE(9204),
    [sym_record_expression] = STATE(9204),
    [sym_labeled_argument] = STATE(9622),
    [sym_prefix_expression] = STATE(9204),
    [sym_hash_expression] = STATE(9204),
    [sym_field_get_expression] = STATE(9204),
    [sym_array_get_expression] = STATE(9204),
    [sym_string_get_expression] = STATE(9204),
    [sym_bigarray_get_expression] = STATE(9204),
    [sym_coercion_expression] = STATE(9204),
    [sym_local_open_expression] = STATE(9204),
    [sym_package_expression] = STATE(9204),
    [sym_new_expression] = STATE(9204),
    [sym_object_copy_expression] = STATE(9204),
    [sym_method_invocation] = STATE(9204),
    [sym_object_expression] = STATE(9204),
    [sym_parenthesized_expression] = STATE(9204),
    [sym_attribute] = STATE(2922),
    [sym_extension] = STATE(9204),
    [sym_quoted_extension] = STATE(9204),
    [sym__constant] = STATE(9204),
    [sym_number] = STATE(8998),
    [sym_character] = STATE(8998),
    [sym_string] = STATE(8998),
    [sym_quoted_string] = STATE(8998),
    [sym_boolean] = STATE(8998),
    [sym_unit] = STATE(8998),
    [sym__value_name] = STATE(9075),
    [sym_parenthesized_operator] = STATE(9157),
    [sym_value_path] = STATE(9204),
    [sym_module_path] = STATE(19330),
    [sym_constructor_path] = STATE(9204),
    [sym__constructor_name] = STATE(8900),
    [sym_tag] = STATE(9204),
    [aux_sym_class_application_repeat1] = STATE(2922),
    [sym__lowercase_identifier] = ACTIONS(8113),
    [anon_sym_TILDE] = ACTIONS(8116),
    [anon_sym_QMARK] = ACTIONS(8116),
    [anon_sym_LPAREN] = ACTIONS(8119),
    [anon_sym_LBRACK] = ACTIONS(8122),
    [anon_sym_true] = ACTIONS(8125),
    [anon_sym_false] = ACTIONS(8125),
    [anon_sym_LBRACE] = ACTIONS(8128),
    [anon_sym_constraint] = ACTIONS(3850),
    [anon_sym_val] = ACTIONS(3850),
    [anon_sym_end] = ACTIONS(3850),
    [anon_sym_object] = ACTIONS(8131),
    [anon_sym_inherit] = ACTIONS(3850),
    [anon_sym_method] = ACTIONS(3850),
    [anon_sym_as] = ACTIONS(3850),
    [anon_sym_initializer] = ACTIONS(3850),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8134),
    [anon_sym_new] = ACTIONS(8137),
    [anon_sym_LBRACE_LT] = ACTIONS(8140),
    [anon_sym_begin] = ACTIONS(8143),
    [sym_ocamlyacc_value] = ACTIONS(8146),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(3850),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(3845),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8149),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8152),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(3845),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(3845),
    [aux_sym_number_token1] = ACTIONS(8155),
    [anon_sym_SQUOTE] = ACTIONS(8158),
    [anon_sym_DQUOTE] = ACTIONS(8161),
    [sym_prefix_operator] = ACTIONS(8164),
    [sym__uppercase_identifier] = ACTIONS(8167),
    [aux_sym_tag_token1] = ACTIONS(8170),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2923] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12337),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2923),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11873),
    [aux_sym_let_binding_repeat1] = STATE(2894),
    [ts_builtin_sym_end] = ACTIONS(7957),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(7957),
    [anon_sym_let] = ACTIONS(7959),
    [anon_sym_and] = ACTIONS(7959),
    [anon_sym_EQ] = ACTIONS(8173),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(7959),
    [anon_sym_type] = ACTIONS(7959),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(7959),
    [anon_sym_module] = ACTIONS(7959),
    [anon_sym_open] = ACTIONS(7959),
    [anon_sym_include] = ACTIONS(7959),
    [anon_sym_class] = ACTIONS(7959),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7957),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(7957),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(7959),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2924] = {
    [sym_parameter] = STATE(8434),
    [sym__class_typed] = STATE(12303),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2924),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_expression_item_repeat1] = STATE(11642),
    [aux_sym_let_binding_repeat1] = STATE(2903),
    [sym__lowercase_identifier] = ACTIONS(7907),
    [anon_sym_SEMI_SEMI] = ACTIONS(8085),
    [anon_sym_let] = ACTIONS(8087),
    [anon_sym_and] = ACTIONS(8087),
    [anon_sym_EQ] = ACTIONS(8175),
    [anon_sym_TILDE] = ACTIONS(7913),
    [anon_sym_QMARK] = ACTIONS(7913),
    [anon_sym_LPAREN] = ACTIONS(7915),
    [anon_sym_external] = ACTIONS(8087),
    [anon_sym_type] = ACTIONS(8087),
    [anon_sym_LBRACK] = ACTIONS(7917),
    [anon_sym_RBRACK] = ACTIONS(8085),
    [anon_sym_true] = ACTIONS(7919),
    [anon_sym_false] = ACTIONS(7919),
    [anon_sym_COLON2] = ACTIONS(7921),
    [anon_sym_LBRACE] = ACTIONS(7923),
    [anon_sym_exception] = ACTIONS(8087),
    [anon_sym_module] = ACTIONS(8087),
    [anon_sym_open] = ACTIONS(8087),
    [anon_sym_include] = ACTIONS(8087),
    [anon_sym_class] = ACTIONS(8087),
    [anon_sym_POUND] = ACTIONS(7925),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7927),
    [anon_sym_begin] = ACTIONS(7929),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8085),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7933),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7935),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8085),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8085),
    [aux_sym_number_token1] = ACTIONS(7937),
    [aux_sym_signed_number_token1] = ACTIONS(7939),
    [anon_sym_SQUOTE] = ACTIONS(7941),
    [anon_sym_DQUOTE] = ACTIONS(7943),
    [sym_let_operator] = ACTIONS(8085),
    [sym__uppercase_identifier] = ACTIONS(7945),
    [aux_sym_directive_token1] = ACTIONS(8087),
    [aux_sym_tag_token1] = ACTIONS(7947),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2925] = {
    [sym_parameter] = STATE(8641),
    [sym__class_typed] = STATE(12223),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2925),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_expression_item_repeat1] = STATE(11930),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(7955),
    [anon_sym_SEMI_SEMI] = ACTIONS(7905),
    [anon_sym_let] = ACTIONS(7909),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8177),
    [anon_sym_TILDE] = ACTIONS(7963),
    [anon_sym_QMARK] = ACTIONS(7963),
    [anon_sym_LPAREN] = ACTIONS(7965),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(7967),
    [anon_sym_true] = ACTIONS(7969),
    [anon_sym_false] = ACTIONS(7969),
    [anon_sym_COLON2] = ACTIONS(7971),
    [anon_sym_LBRACE] = ACTIONS(7973),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_end] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(7975),
    [anon_sym_LBRACK_PIPE] = ACTIONS(7977),
    [anon_sym_begin] = ACTIONS(7979),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(7981),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(7983),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7905),
    [aux_sym_number_token1] = ACTIONS(7985),
    [aux_sym_signed_number_token1] = ACTIONS(7987),
    [anon_sym_SQUOTE] = ACTIONS(7989),
    [anon_sym_DQUOTE] = ACTIONS(7991),
    [sym_let_operator] = ACTIONS(7905),
    [sym__uppercase_identifier] = ACTIONS(7993),
    [aux_sym_directive_token1] = ACTIONS(7909),
    [aux_sym_tag_token1] = ACTIONS(7995),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2926] = {
    [sym__parenthesized_abstract_type] = STATE(4208),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14425),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2926),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_EQ] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_RPAREN] = ACTIONS(8179),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_COLON2] = ACTIONS(8183),
    [anon_sym_DASH_GT] = ACTIONS(8179),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_when] = ACTIONS(8183),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8187),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2927] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13151),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2927),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11642),
    [aux_sym_let_binding_repeat1] = STATE(2933),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8085),
    [anon_sym_and] = ACTIONS(8087),
    [anon_sym_EQ] = ACTIONS(8191),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8087),
    [anon_sym_type] = ACTIONS(8087),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8087),
    [anon_sym_module] = ACTIONS(8087),
    [anon_sym_open] = ACTIONS(8087),
    [anon_sym_include] = ACTIONS(8087),
    [anon_sym_class] = ACTIONS(8087),
    [anon_sym_val] = ACTIONS(8087),
    [anon_sym_end] = ACTIONS(8087),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8085),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8085),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8085),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2928] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13088),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2928),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11734),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(7997),
    [anon_sym_and] = ACTIONS(7999),
    [anon_sym_EQ] = ACTIONS(8229),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(7999),
    [anon_sym_type] = ACTIONS(7999),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(7997),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(7999),
    [anon_sym_module] = ACTIONS(7999),
    [anon_sym_open] = ACTIONS(7999),
    [anon_sym_include] = ACTIONS(7999),
    [anon_sym_class] = ACTIONS(7999),
    [anon_sym_val] = ACTIONS(7999),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7997),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2929] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13087),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2929),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11736),
    [aux_sym_let_binding_repeat1] = STATE(2928),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8265),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(8011),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_val] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2930] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14305),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2930),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_EQ] = ACTIONS(8179),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_RPAREN] = ACTIONS(8179),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_COLON2] = ACTIONS(8183),
    [anon_sym_DASH_GT] = ACTIONS(8179),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_when] = ACTIONS(8183),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8187),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2931] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13180),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2931),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11725),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8267),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_val] = ACTIONS(8031),
    [anon_sym_end] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2932] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13062),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2932),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11927),
    [aux_sym_let_binding_repeat1] = STATE(2944),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(8003),
    [anon_sym_and] = ACTIONS(8005),
    [anon_sym_EQ] = ACTIONS(8269),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(8005),
    [anon_sym_type] = ACTIONS(8005),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(8003),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(8005),
    [anon_sym_module] = ACTIONS(8005),
    [anon_sym_open] = ACTIONS(8005),
    [anon_sym_include] = ACTIONS(8005),
    [anon_sym_class] = ACTIONS(8005),
    [anon_sym_val] = ACTIONS(8005),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8003),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8003),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8003),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2933] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13173),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2933),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11938),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8021),
    [anon_sym_and] = ACTIONS(8023),
    [anon_sym_EQ] = ACTIONS(8271),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8023),
    [anon_sym_type] = ACTIONS(8023),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8023),
    [anon_sym_module] = ACTIONS(8023),
    [anon_sym_open] = ACTIONS(8023),
    [anon_sym_include] = ACTIONS(8023),
    [anon_sym_class] = ACTIONS(8023),
    [anon_sym_val] = ACTIONS(8023),
    [anon_sym_end] = ACTIONS(8023),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8021),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2934] = {
    [sym_parameter] = STATE(8434),
    [sym__parenthesized_abstract_type] = STATE(8434),
    [sym__simple_pattern] = STATE(8433),
    [sym_typed_pattern] = STATE(8429),
    [sym_polymorphic_variant_pattern] = STATE(8429),
    [sym_record_pattern] = STATE(8429),
    [sym_list_pattern] = STATE(8429),
    [sym_array_pattern] = STATE(8429),
    [sym_local_open_pattern] = STATE(8429),
    [sym_package_pattern] = STATE(8429),
    [sym_parenthesized_pattern] = STATE(8429),
    [sym_attribute] = STATE(2934),
    [sym_extension] = STATE(8429),
    [sym_quoted_extension] = STATE(8429),
    [sym__constant] = STATE(8467),
    [sym__signed_constant] = STATE(8429),
    [sym_number] = STATE(8324),
    [sym_signed_number] = STATE(8467),
    [sym_character] = STATE(8324),
    [sym_string] = STATE(8324),
    [sym_quoted_string] = STATE(8324),
    [sym_boolean] = STATE(8324),
    [sym_unit] = STATE(8324),
    [sym__simple_value_pattern] = STATE(8429),
    [sym_parenthesized_operator] = STATE(8429),
    [sym_module_path] = STATE(21193),
    [sym_constructor_path] = STATE(8429),
    [sym__constructor_name] = STATE(8327),
    [sym_tag] = STATE(8429),
    [aux_sym_let_binding_repeat1] = STATE(2934),
    [ts_builtin_sym_end] = ACTIONS(8273),
    [sym__lowercase_identifier] = ACTIONS(8275),
    [anon_sym_SEMI_SEMI] = ACTIONS(8273),
    [anon_sym_let] = ACTIONS(8278),
    [anon_sym_and] = ACTIONS(8278),
    [anon_sym_EQ] = ACTIONS(8273),
    [anon_sym_TILDE] = ACTIONS(8280),
    [anon_sym_QMARK] = ACTIONS(8280),
    [anon_sym_LPAREN] = ACTIONS(8283),
    [anon_sym_external] = ACTIONS(8278),
    [anon_sym_type] = ACTIONS(8278),
    [anon_sym_LBRACK] = ACTIONS(8286),
    [anon_sym_RBRACK] = ACTIONS(8273),
    [anon_sym_true] = ACTIONS(8289),
    [anon_sym_false] = ACTIONS(8289),
    [anon_sym_COLON2] = ACTIONS(8273),
    [anon_sym_LBRACE] = ACTIONS(8292),
    [anon_sym_exception] = ACTIONS(8278),
    [anon_sym_module] = ACTIONS(8278),
    [anon_sym_open] = ACTIONS(8278),
    [anon_sym_include] = ACTIONS(8278),
    [anon_sym_class] = ACTIONS(8278),
    [anon_sym_POUND] = ACTIONS(8295),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8298),
    [anon_sym_begin] = ACTIONS(8301),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8273),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8304),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8307),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8273),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8273),
    [aux_sym_number_token1] = ACTIONS(8310),
    [aux_sym_signed_number_token1] = ACTIONS(8313),
    [anon_sym_SQUOTE] = ACTIONS(8316),
    [anon_sym_DQUOTE] = ACTIONS(8319),
    [sym_let_operator] = ACTIONS(8273),
    [sym__uppercase_identifier] = ACTIONS(8322),
    [aux_sym_directive_token1] = ACTIONS(8278),
    [aux_sym_tag_token1] = ACTIONS(8325),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2935] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13090),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2935),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11725),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(8029),
    [anon_sym_and] = ACTIONS(8031),
    [anon_sym_EQ] = ACTIONS(8328),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(8031),
    [anon_sym_type] = ACTIONS(8031),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(8029),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(8031),
    [anon_sym_module] = ACTIONS(8031),
    [anon_sym_open] = ACTIONS(8031),
    [anon_sym_include] = ACTIONS(8031),
    [anon_sym_class] = ACTIONS(8031),
    [anon_sym_val] = ACTIONS(8031),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8029),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8029),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8029),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2936] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13060),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2936),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11930),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7905),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8330),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_val] = ACTIONS(7909),
    [anon_sym_end] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7905),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2937] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13086),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2937),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11691),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(7949),
    [anon_sym_and] = ACTIONS(7951),
    [anon_sym_EQ] = ACTIONS(8332),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(7951),
    [anon_sym_type] = ACTIONS(7951),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(7949),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(7951),
    [anon_sym_module] = ACTIONS(7951),
    [anon_sym_open] = ACTIONS(7951),
    [anon_sym_include] = ACTIONS(7951),
    [anon_sym_class] = ACTIONS(7951),
    [anon_sym_val] = ACTIONS(7951),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7949),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7949),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7949),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2938] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13174),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2938),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11873),
    [aux_sym_let_binding_repeat1] = STATE(2943),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7957),
    [anon_sym_and] = ACTIONS(7959),
    [anon_sym_EQ] = ACTIONS(8334),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7959),
    [anon_sym_type] = ACTIONS(7959),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7959),
    [anon_sym_module] = ACTIONS(7959),
    [anon_sym_open] = ACTIONS(7959),
    [anon_sym_include] = ACTIONS(7959),
    [anon_sym_class] = ACTIONS(7959),
    [anon_sym_val] = ACTIONS(7959),
    [anon_sym_end] = ACTIONS(7959),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7957),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2939] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13142),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2939),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11927),
    [aux_sym_let_binding_repeat1] = STATE(2936),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8003),
    [anon_sym_and] = ACTIONS(8005),
    [anon_sym_EQ] = ACTIONS(8336),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8005),
    [anon_sym_type] = ACTIONS(8005),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8005),
    [anon_sym_module] = ACTIONS(8005),
    [anon_sym_open] = ACTIONS(8005),
    [anon_sym_include] = ACTIONS(8005),
    [anon_sym_class] = ACTIONS(8005),
    [anon_sym_val] = ACTIONS(8005),
    [anon_sym_end] = ACTIONS(8005),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8003),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8003),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8003),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2940] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13179),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2940),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11703),
    [aux_sym_let_binding_repeat1] = STATE(2931),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8037),
    [anon_sym_and] = ACTIONS(8039),
    [anon_sym_EQ] = ACTIONS(8338),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8039),
    [anon_sym_type] = ACTIONS(8039),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8039),
    [anon_sym_module] = ACTIONS(8039),
    [anon_sym_open] = ACTIONS(8039),
    [anon_sym_include] = ACTIONS(8039),
    [anon_sym_class] = ACTIONS(8039),
    [anon_sym_val] = ACTIONS(8039),
    [anon_sym_end] = ACTIONS(8039),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8037),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8037),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8037),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2941] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13178),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2941),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11734),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7997),
    [anon_sym_and] = ACTIONS(7999),
    [anon_sym_EQ] = ACTIONS(8340),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7999),
    [anon_sym_type] = ACTIONS(7999),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7999),
    [anon_sym_module] = ACTIONS(7999),
    [anon_sym_open] = ACTIONS(7999),
    [anon_sym_include] = ACTIONS(7999),
    [anon_sym_class] = ACTIONS(7999),
    [anon_sym_val] = ACTIONS(7999),
    [anon_sym_end] = ACTIONS(7999),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7997),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7997),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7997),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2942] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13082),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2942),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11642),
    [aux_sym_let_binding_repeat1] = STATE(2947),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(8085),
    [anon_sym_and] = ACTIONS(8087),
    [anon_sym_EQ] = ACTIONS(8342),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(8087),
    [anon_sym_type] = ACTIONS(8087),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(8085),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(8087),
    [anon_sym_module] = ACTIONS(8087),
    [anon_sym_open] = ACTIONS(8087),
    [anon_sym_include] = ACTIONS(8087),
    [anon_sym_class] = ACTIONS(8087),
    [anon_sym_val] = ACTIONS(8087),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8085),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8085),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8085),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2943] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13176),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2943),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11691),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(7949),
    [anon_sym_and] = ACTIONS(7951),
    [anon_sym_EQ] = ACTIONS(8344),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(7951),
    [anon_sym_type] = ACTIONS(7951),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(7951),
    [anon_sym_module] = ACTIONS(7951),
    [anon_sym_open] = ACTIONS(7951),
    [anon_sym_include] = ACTIONS(7951),
    [anon_sym_class] = ACTIONS(7951),
    [anon_sym_val] = ACTIONS(7951),
    [anon_sym_end] = ACTIONS(7951),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7949),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7949),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7949),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2944] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13083),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2944),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11930),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(7905),
    [anon_sym_and] = ACTIONS(7909),
    [anon_sym_EQ] = ACTIONS(8346),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(7909),
    [anon_sym_type] = ACTIONS(7909),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(7905),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(7909),
    [anon_sym_module] = ACTIONS(7909),
    [anon_sym_open] = ACTIONS(7909),
    [anon_sym_include] = ACTIONS(7909),
    [anon_sym_class] = ACTIONS(7909),
    [anon_sym_val] = ACTIONS(7909),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7905),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7905),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7905),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2945] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13085),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2945),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11873),
    [aux_sym_let_binding_repeat1] = STATE(2937),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(7957),
    [anon_sym_and] = ACTIONS(7959),
    [anon_sym_EQ] = ACTIONS(8348),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(7959),
    [anon_sym_type] = ACTIONS(7959),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(7957),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(7959),
    [anon_sym_module] = ACTIONS(7959),
    [anon_sym_open] = ACTIONS(7959),
    [anon_sym_include] = ACTIONS(7959),
    [anon_sym_class] = ACTIONS(7959),
    [anon_sym_val] = ACTIONS(7959),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(7957),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(7957),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(7957),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2946] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13089),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2946),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11703),
    [aux_sym_let_binding_repeat1] = STATE(2935),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(8037),
    [anon_sym_and] = ACTIONS(8039),
    [anon_sym_EQ] = ACTIONS(8350),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(8039),
    [anon_sym_type] = ACTIONS(8039),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(8037),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(8039),
    [anon_sym_module] = ACTIONS(8039),
    [anon_sym_open] = ACTIONS(8039),
    [anon_sym_include] = ACTIONS(8039),
    [anon_sym_class] = ACTIONS(8039),
    [anon_sym_val] = ACTIONS(8039),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8037),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8037),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8037),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2947] = {
    [sym_parameter] = STATE(8964),
    [sym__class_typed] = STATE(13084),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2947),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_expression_item_repeat1] = STATE(11938),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(8227),
    [anon_sym_SEMI_SEMI] = ACTIONS(8021),
    [anon_sym_and] = ACTIONS(8023),
    [anon_sym_EQ] = ACTIONS(8352),
    [anon_sym_TILDE] = ACTIONS(8231),
    [anon_sym_QMARK] = ACTIONS(8231),
    [anon_sym_LPAREN] = ACTIONS(8233),
    [anon_sym_external] = ACTIONS(8023),
    [anon_sym_type] = ACTIONS(8023),
    [anon_sym_LBRACK] = ACTIONS(8235),
    [anon_sym_RBRACK] = ACTIONS(8021),
    [anon_sym_true] = ACTIONS(8237),
    [anon_sym_false] = ACTIONS(8237),
    [anon_sym_COLON2] = ACTIONS(8239),
    [anon_sym_LBRACE] = ACTIONS(8241),
    [anon_sym_exception] = ACTIONS(8023),
    [anon_sym_module] = ACTIONS(8023),
    [anon_sym_open] = ACTIONS(8023),
    [anon_sym_include] = ACTIONS(8023),
    [anon_sym_class] = ACTIONS(8023),
    [anon_sym_val] = ACTIONS(8023),
    [anon_sym_POUND] = ACTIONS(8243),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8245),
    [anon_sym_begin] = ACTIONS(8247),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8021),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8249),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8251),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8021),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8021),
    [aux_sym_number_token1] = ACTIONS(8253),
    [aux_sym_signed_number_token1] = ACTIONS(8255),
    [anon_sym_SQUOTE] = ACTIONS(8257),
    [anon_sym_DQUOTE] = ACTIONS(8259),
    [sym__uppercase_identifier] = ACTIONS(8261),
    [aux_sym_tag_token1] = ACTIONS(8263),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2948] = {
    [sym_parameter] = STATE(9038),
    [sym__class_typed] = STATE(13177),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2948),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_expression_item_repeat1] = STATE(11736),
    [aux_sym_let_binding_repeat1] = STATE(2941),
    [sym__lowercase_identifier] = ACTIONS(8189),
    [anon_sym_SEMI_SEMI] = ACTIONS(8011),
    [anon_sym_and] = ACTIONS(8013),
    [anon_sym_EQ] = ACTIONS(8354),
    [anon_sym_TILDE] = ACTIONS(8193),
    [anon_sym_QMARK] = ACTIONS(8193),
    [anon_sym_LPAREN] = ACTIONS(8195),
    [anon_sym_external] = ACTIONS(8013),
    [anon_sym_type] = ACTIONS(8013),
    [anon_sym_LBRACK] = ACTIONS(8197),
    [anon_sym_true] = ACTIONS(8199),
    [anon_sym_false] = ACTIONS(8199),
    [anon_sym_COLON2] = ACTIONS(8201),
    [anon_sym_LBRACE] = ACTIONS(8203),
    [anon_sym_exception] = ACTIONS(8013),
    [anon_sym_module] = ACTIONS(8013),
    [anon_sym_open] = ACTIONS(8013),
    [anon_sym_include] = ACTIONS(8013),
    [anon_sym_class] = ACTIONS(8013),
    [anon_sym_val] = ACTIONS(8013),
    [anon_sym_end] = ACTIONS(8013),
    [anon_sym_POUND] = ACTIONS(8205),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8207),
    [anon_sym_begin] = ACTIONS(8209),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8011),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8211),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8213),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8011),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8011),
    [aux_sym_number_token1] = ACTIONS(8215),
    [aux_sym_signed_number_token1] = ACTIONS(8217),
    [anon_sym_SQUOTE] = ACTIONS(8219),
    [anon_sym_DQUOTE] = ACTIONS(8221),
    [sym__uppercase_identifier] = ACTIONS(8223),
    [aux_sym_tag_token1] = ACTIONS(8225),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2949] = {
    [sym_parameter] = STATE(8641),
    [sym__parenthesized_abstract_type] = STATE(8641),
    [sym__simple_pattern] = STATE(8596),
    [sym_typed_pattern] = STATE(8579),
    [sym_polymorphic_variant_pattern] = STATE(8579),
    [sym_record_pattern] = STATE(8579),
    [sym_list_pattern] = STATE(8579),
    [sym_array_pattern] = STATE(8579),
    [sym_local_open_pattern] = STATE(8579),
    [sym_package_pattern] = STATE(8579),
    [sym_parenthesized_pattern] = STATE(8579),
    [sym_attribute] = STATE(2949),
    [sym_extension] = STATE(8579),
    [sym_quoted_extension] = STATE(8579),
    [sym__constant] = STATE(8523),
    [sym__signed_constant] = STATE(8579),
    [sym_number] = STATE(8624),
    [sym_signed_number] = STATE(8523),
    [sym_character] = STATE(8624),
    [sym_string] = STATE(8624),
    [sym_quoted_string] = STATE(8624),
    [sym_boolean] = STATE(8624),
    [sym_unit] = STATE(8624),
    [sym__simple_value_pattern] = STATE(8579),
    [sym_parenthesized_operator] = STATE(8579),
    [sym_module_path] = STATE(21649),
    [sym_constructor_path] = STATE(8579),
    [sym__constructor_name] = STATE(8519),
    [sym_tag] = STATE(8579),
    [aux_sym_let_binding_repeat1] = STATE(2949),
    [sym__lowercase_identifier] = ACTIONS(8356),
    [anon_sym_SEMI_SEMI] = ACTIONS(8273),
    [anon_sym_let] = ACTIONS(8278),
    [anon_sym_and] = ACTIONS(8278),
    [anon_sym_EQ] = ACTIONS(8273),
    [anon_sym_TILDE] = ACTIONS(8359),
    [anon_sym_QMARK] = ACTIONS(8359),
    [anon_sym_LPAREN] = ACTIONS(8362),
    [anon_sym_external] = ACTIONS(8278),
    [anon_sym_type] = ACTIONS(8278),
    [anon_sym_LBRACK] = ACTIONS(8365),
    [anon_sym_true] = ACTIONS(8368),
    [anon_sym_false] = ACTIONS(8368),
    [anon_sym_COLON2] = ACTIONS(8273),
    [anon_sym_LBRACE] = ACTIONS(8371),
    [anon_sym_exception] = ACTIONS(8278),
    [anon_sym_module] = ACTIONS(8278),
    [anon_sym_open] = ACTIONS(8278),
    [anon_sym_include] = ACTIONS(8278),
    [anon_sym_class] = ACTIONS(8278),
    [anon_sym_end] = ACTIONS(8278),
    [anon_sym_POUND] = ACTIONS(8374),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8377),
    [anon_sym_begin] = ACTIONS(8380),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8273),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8383),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8386),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8273),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8273),
    [aux_sym_number_token1] = ACTIONS(8389),
    [aux_sym_signed_number_token1] = ACTIONS(8392),
    [anon_sym_SQUOTE] = ACTIONS(8395),
    [anon_sym_DQUOTE] = ACTIONS(8398),
    [sym_let_operator] = ACTIONS(8273),
    [sym__uppercase_identifier] = ACTIONS(8401),
    [aux_sym_directive_token1] = ACTIONS(8278),
    [aux_sym_tag_token1] = ACTIONS(8404),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2950] = {
    [sym__parenthesized_abstract_type] = STATE(4261),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14425),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2950),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2950),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2955),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(8181),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_RBRACE] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8407),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(8409),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(8411),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2951] = {
    [sym_parameter] = STATE(9038),
    [sym__parenthesized_abstract_type] = STATE(9038),
    [sym__simple_pattern] = STATE(9032),
    [sym_typed_pattern] = STATE(8876),
    [sym_polymorphic_variant_pattern] = STATE(8876),
    [sym_record_pattern] = STATE(8876),
    [sym_list_pattern] = STATE(8876),
    [sym_array_pattern] = STATE(8876),
    [sym_local_open_pattern] = STATE(8876),
    [sym_package_pattern] = STATE(8876),
    [sym_parenthesized_pattern] = STATE(8876),
    [sym_attribute] = STATE(2951),
    [sym_extension] = STATE(8876),
    [sym_quoted_extension] = STATE(8876),
    [sym__constant] = STATE(9215),
    [sym__signed_constant] = STATE(8876),
    [sym_number] = STATE(8939),
    [sym_signed_number] = STATE(9215),
    [sym_character] = STATE(8939),
    [sym_string] = STATE(8939),
    [sym_quoted_string] = STATE(8939),
    [sym_boolean] = STATE(8939),
    [sym_unit] = STATE(8939),
    [sym__simple_value_pattern] = STATE(8876),
    [sym_parenthesized_operator] = STATE(8876),
    [sym_module_path] = STATE(20213),
    [sym_constructor_path] = STATE(8876),
    [sym__constructor_name] = STATE(9160),
    [sym_tag] = STATE(8876),
    [aux_sym_let_binding_repeat1] = STATE(2951),
    [sym__lowercase_identifier] = ACTIONS(8415),
    [anon_sym_SEMI_SEMI] = ACTIONS(8273),
    [anon_sym_and] = ACTIONS(8278),
    [anon_sym_EQ] = ACTIONS(8273),
    [anon_sym_TILDE] = ACTIONS(8418),
    [anon_sym_QMARK] = ACTIONS(8418),
    [anon_sym_LPAREN] = ACTIONS(8421),
    [anon_sym_external] = ACTIONS(8278),
    [anon_sym_type] = ACTIONS(8278),
    [anon_sym_LBRACK] = ACTIONS(8424),
    [anon_sym_true] = ACTIONS(8427),
    [anon_sym_false] = ACTIONS(8427),
    [anon_sym_COLON2] = ACTIONS(8273),
    [anon_sym_LBRACE] = ACTIONS(8430),
    [anon_sym_exception] = ACTIONS(8278),
    [anon_sym_module] = ACTIONS(8278),
    [anon_sym_open] = ACTIONS(8278),
    [anon_sym_include] = ACTIONS(8278),
    [anon_sym_class] = ACTIONS(8278),
    [anon_sym_val] = ACTIONS(8278),
    [anon_sym_end] = ACTIONS(8278),
    [anon_sym_POUND] = ACTIONS(8433),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8436),
    [anon_sym_begin] = ACTIONS(8439),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8273),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8442),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8445),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8273),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8273),
    [aux_sym_number_token1] = ACTIONS(8448),
    [aux_sym_signed_number_token1] = ACTIONS(8451),
    [anon_sym_SQUOTE] = ACTIONS(8454),
    [anon_sym_DQUOTE] = ACTIONS(8457),
    [sym__uppercase_identifier] = ACTIONS(8460),
    [aux_sym_tag_token1] = ACTIONS(8463),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2952] = {
    [sym__binding_pattern] = STATE(10182),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(2952),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_in] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2953] = {
    [sym_parameter] = STATE(8964),
    [sym__parenthesized_abstract_type] = STATE(8964),
    [sym__simple_pattern] = STATE(8959),
    [sym_typed_pattern] = STATE(8911),
    [sym_polymorphic_variant_pattern] = STATE(8911),
    [sym_record_pattern] = STATE(8911),
    [sym_list_pattern] = STATE(8911),
    [sym_array_pattern] = STATE(8911),
    [sym_local_open_pattern] = STATE(8911),
    [sym_package_pattern] = STATE(8911),
    [sym_parenthesized_pattern] = STATE(8911),
    [sym_attribute] = STATE(2953),
    [sym_extension] = STATE(8911),
    [sym_quoted_extension] = STATE(8911),
    [sym__constant] = STATE(9085),
    [sym__signed_constant] = STATE(8911),
    [sym_number] = STATE(8970),
    [sym_signed_number] = STATE(9085),
    [sym_character] = STATE(8970),
    [sym_string] = STATE(8970),
    [sym_quoted_string] = STATE(8970),
    [sym_boolean] = STATE(8970),
    [sym_unit] = STATE(8970),
    [sym__simple_value_pattern] = STATE(8911),
    [sym_parenthesized_operator] = STATE(8911),
    [sym_module_path] = STATE(20989),
    [sym_constructor_path] = STATE(8911),
    [sym__constructor_name] = STATE(9222),
    [sym_tag] = STATE(8911),
    [aux_sym_let_binding_repeat1] = STATE(2953),
    [sym__lowercase_identifier] = ACTIONS(8500),
    [anon_sym_SEMI_SEMI] = ACTIONS(8273),
    [anon_sym_and] = ACTIONS(8278),
    [anon_sym_EQ] = ACTIONS(8273),
    [anon_sym_TILDE] = ACTIONS(8503),
    [anon_sym_QMARK] = ACTIONS(8503),
    [anon_sym_LPAREN] = ACTIONS(8506),
    [anon_sym_external] = ACTIONS(8278),
    [anon_sym_type] = ACTIONS(8278),
    [anon_sym_LBRACK] = ACTIONS(8509),
    [anon_sym_RBRACK] = ACTIONS(8273),
    [anon_sym_true] = ACTIONS(8512),
    [anon_sym_false] = ACTIONS(8512),
    [anon_sym_COLON2] = ACTIONS(8273),
    [anon_sym_LBRACE] = ACTIONS(8515),
    [anon_sym_exception] = ACTIONS(8278),
    [anon_sym_module] = ACTIONS(8278),
    [anon_sym_open] = ACTIONS(8278),
    [anon_sym_include] = ACTIONS(8278),
    [anon_sym_class] = ACTIONS(8278),
    [anon_sym_val] = ACTIONS(8278),
    [anon_sym_POUND] = ACTIONS(8518),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8521),
    [anon_sym_begin] = ACTIONS(8524),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8278),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8273),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8527),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8530),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8273),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8273),
    [aux_sym_number_token1] = ACTIONS(8533),
    [aux_sym_signed_number_token1] = ACTIONS(8536),
    [anon_sym_SQUOTE] = ACTIONS(8539),
    [anon_sym_DQUOTE] = ACTIONS(8542),
    [sym__uppercase_identifier] = ACTIONS(8545),
    [aux_sym_tag_token1] = ACTIONS(8548),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2954] = {
    [sym__binding_pattern] = STATE(10177),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(2954),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_and] = ACTIONS(5825),
    [anon_sym_COLON_GT] = ACTIONS(5821),
    [anon_sym_EQ] = ACTIONS(5821),
    [anon_sym_TILDE] = ACTIONS(5821),
    [anon_sym_QMARK] = ACTIONS(5821),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_COMMA] = ACTIONS(5821),
    [anon_sym_PIPE] = ACTIONS(5821),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_COLON2] = ACTIONS(5825),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_in] = ACTIONS(5825),
    [anon_sym_as] = ACTIONS(5825),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_COLON_COLON] = ACTIONS(5821),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(5821),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym_let_and_operator] = ACTIONS(5821),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2955] = {
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14305),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2955),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2950),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2955),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8179),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_RBRACK] = ACTIONS(8179),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_RBRACE] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8407),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(8409),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(8411),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2956] = {
    [sym__parenthesized_abstract_type] = STATE(4227),
    [sym__simple_pattern] = STATE(15308),
    [sym__effect_pattern] = STATE(15303),
    [sym__pattern] = STATE(15549),
    [sym_alias_pattern] = STATE(15303),
    [sym_typed_pattern] = STATE(15283),
    [sym_or_pattern] = STATE(15303),
    [sym_constructor_pattern] = STATE(15308),
    [sym_tag_pattern] = STATE(15308),
    [sym_polymorphic_variant_pattern] = STATE(15283),
    [sym_tuple_pattern] = STATE(15303),
    [sym_record_pattern] = STATE(15283),
    [sym_list_pattern] = STATE(15283),
    [sym_cons_pattern] = STATE(15303),
    [sym_array_pattern] = STATE(15283),
    [sym_range_pattern] = STATE(15303),
    [sym_lazy_pattern] = STATE(15308),
    [sym_local_open_pattern] = STATE(15283),
    [sym_package_pattern] = STATE(15283),
    [sym_parenthesized_pattern] = STATE(15283),
    [sym_exception_pattern] = STATE(15303),
    [sym_effect_pattern] = STATE(15303),
    [sym_attribute] = STATE(2956),
    [sym_extension] = STATE(15283),
    [sym_quoted_extension] = STATE(15283),
    [sym__constant] = STATE(14916),
    [sym__signed_constant] = STATE(15237),
    [sym_number] = STATE(14930),
    [sym_signed_number] = STATE(14916),
    [sym_character] = STATE(14930),
    [sym_string] = STATE(14930),
    [sym_quoted_string] = STATE(14930),
    [sym_boolean] = STATE(14930),
    [sym_unit] = STATE(14930),
    [sym__simple_value_pattern] = STATE(15283),
    [sym_parenthesized_operator] = STATE(15283),
    [sym_module_path] = STATE(21929),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(10630),
    [sym_tag] = STATE(2957),
    [sym__lowercase_identifier] = ACTIONS(8551),
    [anon_sym_LPAREN] = ACTIONS(8553),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8183),
    [anon_sym_LBRACK] = ACTIONS(8555),
    [anon_sym_true] = ACTIONS(8557),
    [anon_sym_false] = ACTIONS(8557),
    [anon_sym_LBRACE] = ACTIONS(8559),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8561),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8563),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8565),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8179),
    [anon_sym_lazy] = ACTIONS(8567),
    [anon_sym_begin] = ACTIONS(8569),
    [anon_sym_effect] = ACTIONS(8571),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8575),
    [aux_sym_number_token1] = ACTIONS(8577),
    [aux_sym_signed_number_token1] = ACTIONS(8579),
    [anon_sym_SQUOTE] = ACTIONS(8581),
    [anon_sym_DQUOTE] = ACTIONS(8583),
    [sym__uppercase_identifier] = ACTIONS(8585),
    [aux_sym_tag_token1] = ACTIONS(8587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2957] = {
    [sym__simple_pattern] = STATE(15308),
    [sym__effect_pattern] = STATE(15303),
    [sym__pattern] = STATE(15555),
    [sym_alias_pattern] = STATE(15303),
    [sym_typed_pattern] = STATE(15283),
    [sym_or_pattern] = STATE(15303),
    [sym_constructor_pattern] = STATE(15308),
    [sym_tag_pattern] = STATE(15308),
    [sym_polymorphic_variant_pattern] = STATE(15283),
    [sym_tuple_pattern] = STATE(15303),
    [sym_record_pattern] = STATE(15283),
    [sym_list_pattern] = STATE(15283),
    [sym_cons_pattern] = STATE(15303),
    [sym_array_pattern] = STATE(15283),
    [sym_range_pattern] = STATE(15303),
    [sym_lazy_pattern] = STATE(15308),
    [sym_local_open_pattern] = STATE(15283),
    [sym_package_pattern] = STATE(15283),
    [sym_parenthesized_pattern] = STATE(15283),
    [sym_exception_pattern] = STATE(15303),
    [sym_effect_pattern] = STATE(15303),
    [sym_attribute] = STATE(2957),
    [sym_extension] = STATE(15283),
    [sym_quoted_extension] = STATE(15283),
    [sym__constant] = STATE(14916),
    [sym__signed_constant] = STATE(15237),
    [sym_number] = STATE(14930),
    [sym_signed_number] = STATE(14916),
    [sym_character] = STATE(14930),
    [sym_string] = STATE(14930),
    [sym_quoted_string] = STATE(14930),
    [sym_boolean] = STATE(14930),
    [sym_unit] = STATE(14930),
    [sym__simple_value_pattern] = STATE(15283),
    [sym_parenthesized_operator] = STATE(15283),
    [sym_module_path] = STATE(21929),
    [sym_constructor_path] = STATE(2956),
    [sym__constructor_name] = STATE(10630),
    [sym_tag] = STATE(2957),
    [sym__lowercase_identifier] = ACTIONS(8551),
    [anon_sym_LPAREN] = ACTIONS(8589),
    [anon_sym_COMMA] = ACTIONS(8179),
    [anon_sym_PIPE] = ACTIONS(8183),
    [anon_sym_LBRACK] = ACTIONS(8555),
    [anon_sym_true] = ACTIONS(8557),
    [anon_sym_false] = ACTIONS(8557),
    [anon_sym_LBRACE] = ACTIONS(8559),
    [anon_sym_SEMI] = ACTIONS(8179),
    [anon_sym_exception] = ACTIONS(8561),
    [anon_sym_as] = ACTIONS(8183),
    [anon_sym_POUND] = ACTIONS(8563),
    [anon_sym_COLON_COLON] = ACTIONS(8179),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8565),
    [anon_sym_PIPE_RBRACK] = ACTIONS(8179),
    [anon_sym_lazy] = ACTIONS(8567),
    [anon_sym_begin] = ACTIONS(8569),
    [anon_sym_effect] = ACTIONS(8571),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8573),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8575),
    [aux_sym_number_token1] = ACTIONS(8577),
    [aux_sym_signed_number_token1] = ACTIONS(8579),
    [anon_sym_SQUOTE] = ACTIONS(8581),
    [anon_sym_DQUOTE] = ACTIONS(8583),
    [sym__uppercase_identifier] = ACTIONS(8585),
    [aux_sym_tag_token1] = ACTIONS(8587),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2958] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2958),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3227),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2959] = {
    [sym_parameter] = STATE(9788),
    [sym__polymorphic_typed] = STATE(14247),
    [sym__parenthesized_abstract_type] = STATE(9788),
    [sym__simple_pattern] = STATE(9786),
    [sym_typed_pattern] = STATE(9838),
    [sym_polymorphic_variant_pattern] = STATE(9838),
    [sym_record_pattern] = STATE(9838),
    [sym_list_pattern] = STATE(9838),
    [sym_array_pattern] = STATE(9838),
    [sym_local_open_pattern] = STATE(9838),
    [sym_package_pattern] = STATE(9838),
    [sym_parenthesized_pattern] = STATE(9838),
    [sym_attribute] = STATE(2959),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(9838),
    [sym_quoted_extension] = STATE(9838),
    [sym__constant] = STATE(9886),
    [sym__signed_constant] = STATE(9838),
    [sym_number] = STATE(10002),
    [sym_signed_number] = STATE(9886),
    [sym_character] = STATE(10002),
    [sym_string] = STATE(10002),
    [sym_quoted_string] = STATE(10002),
    [sym_boolean] = STATE(10002),
    [sym_unit] = STATE(10002),
    [sym__simple_value_pattern] = STATE(9838),
    [sym_parenthesized_operator] = STATE(9838),
    [sym_module_path] = STATE(22260),
    [sym_constructor_path] = STATE(9838),
    [sym__constructor_name] = STATE(10013),
    [sym_tag] = STATE(9838),
    [aux_sym_expression_item_repeat1] = STATE(14422),
    [aux_sym_let_binding_repeat1] = STATE(3328),
    [sym__lowercase_identifier] = ACTIONS(8595),
    [anon_sym_EQ] = ACTIONS(8597),
    [anon_sym_TILDE] = ACTIONS(8599),
    [anon_sym_QMARK] = ACTIONS(8599),
    [anon_sym_LPAREN] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(8603),
    [anon_sym_true] = ACTIONS(8605),
    [anon_sym_false] = ACTIONS(8605),
    [anon_sym_COLON2] = ACTIONS(8607),
    [anon_sym_LBRACE] = ACTIONS(8609),
    [anon_sym_constraint] = ACTIONS(8611),
    [anon_sym_val] = ACTIONS(8611),
    [anon_sym_end] = ACTIONS(8611),
    [anon_sym_inherit] = ACTIONS(8611),
    [anon_sym_method] = ACTIONS(8611),
    [anon_sym_initializer] = ACTIONS(8611),
    [anon_sym_POUND] = ACTIONS(8613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8615),
    [anon_sym_begin] = ACTIONS(8617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8619),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8619),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8619),
    [aux_sym_number_token1] = ACTIONS(8625),
    [aux_sym_signed_number_token1] = ACTIONS(8627),
    [anon_sym_SQUOTE] = ACTIONS(8629),
    [anon_sym_DQUOTE] = ACTIONS(8631),
    [sym__uppercase_identifier] = ACTIONS(8633),
    [aux_sym_tag_token1] = ACTIONS(8635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2960] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9948),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14942),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2960),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3215),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8637),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2961] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2961),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3194),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2962] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2962),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3074),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2963] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13343),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15209),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2963),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3173),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8643),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2964] = {
    [sym_parameter] = STATE(9788),
    [sym__polymorphic_typed] = STATE(14246),
    [sym__parenthesized_abstract_type] = STATE(9788),
    [sym__simple_pattern] = STATE(9786),
    [sym_typed_pattern] = STATE(9838),
    [sym_polymorphic_variant_pattern] = STATE(9838),
    [sym_record_pattern] = STATE(9838),
    [sym_list_pattern] = STATE(9838),
    [sym_array_pattern] = STATE(9838),
    [sym_local_open_pattern] = STATE(9838),
    [sym_package_pattern] = STATE(9838),
    [sym_parenthesized_pattern] = STATE(9838),
    [sym_attribute] = STATE(2964),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(9838),
    [sym_quoted_extension] = STATE(9838),
    [sym__constant] = STATE(9886),
    [sym__signed_constant] = STATE(9838),
    [sym_number] = STATE(10002),
    [sym_signed_number] = STATE(9886),
    [sym_character] = STATE(10002),
    [sym_string] = STATE(10002),
    [sym_quoted_string] = STATE(10002),
    [sym_boolean] = STATE(10002),
    [sym_unit] = STATE(10002),
    [sym__simple_value_pattern] = STATE(9838),
    [sym_parenthesized_operator] = STATE(9838),
    [sym_module_path] = STATE(22260),
    [sym_constructor_path] = STATE(9838),
    [sym__constructor_name] = STATE(10013),
    [sym_tag] = STATE(9838),
    [aux_sym_expression_item_repeat1] = STATE(14427),
    [aux_sym_let_binding_repeat1] = STATE(2994),
    [sym__lowercase_identifier] = ACTIONS(8595),
    [anon_sym_EQ] = ACTIONS(8645),
    [anon_sym_TILDE] = ACTIONS(8599),
    [anon_sym_QMARK] = ACTIONS(8599),
    [anon_sym_LPAREN] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(8603),
    [anon_sym_true] = ACTIONS(8605),
    [anon_sym_false] = ACTIONS(8605),
    [anon_sym_COLON2] = ACTIONS(8607),
    [anon_sym_LBRACE] = ACTIONS(8609),
    [anon_sym_constraint] = ACTIONS(8647),
    [anon_sym_val] = ACTIONS(8647),
    [anon_sym_end] = ACTIONS(8647),
    [anon_sym_inherit] = ACTIONS(8647),
    [anon_sym_method] = ACTIONS(8647),
    [anon_sym_initializer] = ACTIONS(8647),
    [anon_sym_POUND] = ACTIONS(8613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8615),
    [anon_sym_begin] = ACTIONS(8617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8649),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8649),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8649),
    [aux_sym_number_token1] = ACTIONS(8625),
    [aux_sym_signed_number_token1] = ACTIONS(8627),
    [anon_sym_SQUOTE] = ACTIONS(8629),
    [anon_sym_DQUOTE] = ACTIONS(8631),
    [sym__uppercase_identifier] = ACTIONS(8633),
    [aux_sym_tag_token1] = ACTIONS(8635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2965] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9331),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15109),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2965),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3142),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8651),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2966] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13836),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14981),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2966),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3132),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8653),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2967] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9445),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15047),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2967),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3081),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8655),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2968] = {
    [sym__match_cases] = STATE(11900),
    [sym_match_case] = STATE(13326),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14982),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2968),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3213),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2969] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9507),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15210),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2969),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3184),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8659),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2970] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2970),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3274),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2971] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2971),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3264),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2972] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(10107),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14964),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2972),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3270),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8665),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2973] = {
    [sym_parameter] = STATE(9788),
    [sym__polymorphic_typed] = STATE(14267),
    [sym__parenthesized_abstract_type] = STATE(9788),
    [sym__simple_pattern] = STATE(9786),
    [sym_typed_pattern] = STATE(9838),
    [sym_polymorphic_variant_pattern] = STATE(9838),
    [sym_record_pattern] = STATE(9838),
    [sym_list_pattern] = STATE(9838),
    [sym_array_pattern] = STATE(9838),
    [sym_local_open_pattern] = STATE(9838),
    [sym_package_pattern] = STATE(9838),
    [sym_parenthesized_pattern] = STATE(9838),
    [sym_attribute] = STATE(2973),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(9838),
    [sym_quoted_extension] = STATE(9838),
    [sym__constant] = STATE(9886),
    [sym__signed_constant] = STATE(9838),
    [sym_number] = STATE(10002),
    [sym_signed_number] = STATE(9886),
    [sym_character] = STATE(10002),
    [sym_string] = STATE(10002),
    [sym_quoted_string] = STATE(10002),
    [sym_boolean] = STATE(10002),
    [sym_unit] = STATE(10002),
    [sym__simple_value_pattern] = STATE(9838),
    [sym_parenthesized_operator] = STATE(9838),
    [sym_module_path] = STATE(22260),
    [sym_constructor_path] = STATE(9838),
    [sym__constructor_name] = STATE(10013),
    [sym_tag] = STATE(9838),
    [aux_sym_expression_item_repeat1] = STATE(14517),
    [aux_sym_let_binding_repeat1] = STATE(3328),
    [sym__lowercase_identifier] = ACTIONS(8595),
    [anon_sym_EQ] = ACTIONS(8667),
    [anon_sym_TILDE] = ACTIONS(8599),
    [anon_sym_QMARK] = ACTIONS(8599),
    [anon_sym_LPAREN] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(8603),
    [anon_sym_true] = ACTIONS(8605),
    [anon_sym_false] = ACTIONS(8605),
    [anon_sym_COLON2] = ACTIONS(8607),
    [anon_sym_LBRACE] = ACTIONS(8609),
    [anon_sym_constraint] = ACTIONS(8669),
    [anon_sym_val] = ACTIONS(8669),
    [anon_sym_end] = ACTIONS(8669),
    [anon_sym_inherit] = ACTIONS(8669),
    [anon_sym_method] = ACTIONS(8669),
    [anon_sym_initializer] = ACTIONS(8669),
    [anon_sym_POUND] = ACTIONS(8613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8615),
    [anon_sym_begin] = ACTIONS(8617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8671),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8671),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8671),
    [aux_sym_number_token1] = ACTIONS(8625),
    [aux_sym_signed_number_token1] = ACTIONS(8627),
    [anon_sym_SQUOTE] = ACTIONS(8629),
    [anon_sym_DQUOTE] = ACTIONS(8631),
    [sym__uppercase_identifier] = ACTIONS(8633),
    [aux_sym_tag_token1] = ACTIONS(8635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2974] = {
    [sym_parameter] = STATE(9788),
    [sym__polymorphic_typed] = STATE(14241),
    [sym__parenthesized_abstract_type] = STATE(9788),
    [sym__simple_pattern] = STATE(9786),
    [sym_typed_pattern] = STATE(9838),
    [sym_polymorphic_variant_pattern] = STATE(9838),
    [sym_record_pattern] = STATE(9838),
    [sym_list_pattern] = STATE(9838),
    [sym_array_pattern] = STATE(9838),
    [sym_local_open_pattern] = STATE(9838),
    [sym_package_pattern] = STATE(9838),
    [sym_parenthesized_pattern] = STATE(9838),
    [sym_attribute] = STATE(2974),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(9838),
    [sym_quoted_extension] = STATE(9838),
    [sym__constant] = STATE(9886),
    [sym__signed_constant] = STATE(9838),
    [sym_number] = STATE(10002),
    [sym_signed_number] = STATE(9886),
    [sym_character] = STATE(10002),
    [sym_string] = STATE(10002),
    [sym_quoted_string] = STATE(10002),
    [sym_boolean] = STATE(10002),
    [sym_unit] = STATE(10002),
    [sym__simple_value_pattern] = STATE(9838),
    [sym_parenthesized_operator] = STATE(9838),
    [sym_module_path] = STATE(22260),
    [sym_constructor_path] = STATE(9838),
    [sym__constructor_name] = STATE(10013),
    [sym_tag] = STATE(9838),
    [aux_sym_expression_item_repeat1] = STATE(14535),
    [aux_sym_let_binding_repeat1] = STATE(2959),
    [sym__lowercase_identifier] = ACTIONS(8595),
    [anon_sym_EQ] = ACTIONS(8673),
    [anon_sym_TILDE] = ACTIONS(8599),
    [anon_sym_QMARK] = ACTIONS(8599),
    [anon_sym_LPAREN] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(8603),
    [anon_sym_true] = ACTIONS(8605),
    [anon_sym_false] = ACTIONS(8605),
    [anon_sym_COLON2] = ACTIONS(8607),
    [anon_sym_LBRACE] = ACTIONS(8609),
    [anon_sym_constraint] = ACTIONS(8675),
    [anon_sym_val] = ACTIONS(8675),
    [anon_sym_end] = ACTIONS(8675),
    [anon_sym_inherit] = ACTIONS(8675),
    [anon_sym_method] = ACTIONS(8675),
    [anon_sym_initializer] = ACTIONS(8675),
    [anon_sym_POUND] = ACTIONS(8613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8615),
    [anon_sym_begin] = ACTIONS(8617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8677),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8677),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8677),
    [aux_sym_number_token1] = ACTIONS(8625),
    [aux_sym_signed_number_token1] = ACTIONS(8627),
    [anon_sym_SQUOTE] = ACTIONS(8629),
    [anon_sym_DQUOTE] = ACTIONS(8631),
    [sym__uppercase_identifier] = ACTIONS(8633),
    [aux_sym_tag_token1] = ACTIONS(8635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2975] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2975),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3174),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2976] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9283),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15159),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2976),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3167),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2977] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2977),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3109),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2978] = {
    [sym__match_cases] = STATE(11900),
    [sym_match_case] = STATE(12501),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15053),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2978),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3130),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2979] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9588),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14925),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2979),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3073),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2980] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2980),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3261),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2981] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9532),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15165),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2981),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3146),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8687),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2982] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2982),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3306),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2983] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9741),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15078),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2983),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3231),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8691),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2984] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9241),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15068),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2984),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3129),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2985] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2985),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3079),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2986] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2986),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3157),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2987] = {
    [sym__match_cases] = STATE(11900),
    [sym_match_case] = STATE(13460),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15030),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2987),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3300),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2988] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9472),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14973),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2988),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3240),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2989] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2989),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3239),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2990] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2990),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3258),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2991] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9747),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15235),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2991),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3266),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2992] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(10053),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15157),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2992),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3110),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2993] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2993),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3138),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2994] = {
    [sym_parameter] = STATE(9788),
    [sym__polymorphic_typed] = STATE(14279),
    [sym__parenthesized_abstract_type] = STATE(9788),
    [sym__simple_pattern] = STATE(9786),
    [sym_typed_pattern] = STATE(9838),
    [sym_polymorphic_variant_pattern] = STATE(9838),
    [sym_record_pattern] = STATE(9838),
    [sym_list_pattern] = STATE(9838),
    [sym_array_pattern] = STATE(9838),
    [sym_local_open_pattern] = STATE(9838),
    [sym_package_pattern] = STATE(9838),
    [sym_parenthesized_pattern] = STATE(9838),
    [sym_attribute] = STATE(2994),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(9838),
    [sym_quoted_extension] = STATE(9838),
    [sym__constant] = STATE(9886),
    [sym__signed_constant] = STATE(9838),
    [sym_number] = STATE(10002),
    [sym_signed_number] = STATE(9886),
    [sym_character] = STATE(10002),
    [sym_string] = STATE(10002),
    [sym_quoted_string] = STATE(10002),
    [sym_boolean] = STATE(10002),
    [sym_unit] = STATE(10002),
    [sym__simple_value_pattern] = STATE(9838),
    [sym_parenthesized_operator] = STATE(9838),
    [sym_module_path] = STATE(22260),
    [sym_constructor_path] = STATE(9838),
    [sym__constructor_name] = STATE(10013),
    [sym_tag] = STATE(9838),
    [aux_sym_expression_item_repeat1] = STATE(14398),
    [aux_sym_let_binding_repeat1] = STATE(3328),
    [sym__lowercase_identifier] = ACTIONS(8595),
    [anon_sym_EQ] = ACTIONS(8711),
    [anon_sym_TILDE] = ACTIONS(8599),
    [anon_sym_QMARK] = ACTIONS(8599),
    [anon_sym_LPAREN] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(8603),
    [anon_sym_true] = ACTIONS(8605),
    [anon_sym_false] = ACTIONS(8605),
    [anon_sym_COLON2] = ACTIONS(8607),
    [anon_sym_LBRACE] = ACTIONS(8609),
    [anon_sym_constraint] = ACTIONS(8713),
    [anon_sym_val] = ACTIONS(8713),
    [anon_sym_end] = ACTIONS(8713),
    [anon_sym_inherit] = ACTIONS(8713),
    [anon_sym_method] = ACTIONS(8713),
    [anon_sym_initializer] = ACTIONS(8713),
    [anon_sym_POUND] = ACTIONS(8613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8615),
    [anon_sym_begin] = ACTIONS(8617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8715),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8715),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8715),
    [aux_sym_number_token1] = ACTIONS(8625),
    [aux_sym_signed_number_token1] = ACTIONS(8627),
    [anon_sym_SQUOTE] = ACTIONS(8629),
    [anon_sym_DQUOTE] = ACTIONS(8631),
    [sym__uppercase_identifier] = ACTIONS(8633),
    [aux_sym_tag_token1] = ACTIONS(8635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2995] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9565),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15251),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2995),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3229),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2996] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2996),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3145),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2997] = {
    [sym__match_cases] = STATE(11900),
    [sym_match_case] = STATE(13181),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15135),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2997),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3309),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2998] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2998),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3211),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [2999] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9573),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14972),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(2999),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3185),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3000] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3000),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3093),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3001] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3001),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3310),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3002] = {
    [sym__match_cases] = STATE(11900),
    [sym_match_case] = STATE(12282),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15240),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3002),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3285),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3003] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3003),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3199),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3004] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9458),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15201),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3004),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3212),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8727),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3005] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9641),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15054),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3005),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3287),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3006] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3006),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3195),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3007] = {
    [sym_parameter] = STATE(9788),
    [sym__polymorphic_typed] = STATE(14231),
    [sym__parenthesized_abstract_type] = STATE(9788),
    [sym__simple_pattern] = STATE(9786),
    [sym_typed_pattern] = STATE(9838),
    [sym_polymorphic_variant_pattern] = STATE(9838),
    [sym_record_pattern] = STATE(9838),
    [sym_list_pattern] = STATE(9838),
    [sym_array_pattern] = STATE(9838),
    [sym_local_open_pattern] = STATE(9838),
    [sym_package_pattern] = STATE(9838),
    [sym_parenthesized_pattern] = STATE(9838),
    [sym_attribute] = STATE(3007),
    [sym_item_attribute] = STATE(11126),
    [sym_extension] = STATE(9838),
    [sym_quoted_extension] = STATE(9838),
    [sym__constant] = STATE(9886),
    [sym__signed_constant] = STATE(9838),
    [sym_number] = STATE(10002),
    [sym_signed_number] = STATE(9886),
    [sym_character] = STATE(10002),
    [sym_string] = STATE(10002),
    [sym_quoted_string] = STATE(10002),
    [sym_boolean] = STATE(10002),
    [sym_unit] = STATE(10002),
    [sym__simple_value_pattern] = STATE(9838),
    [sym_parenthesized_operator] = STATE(9838),
    [sym_module_path] = STATE(22260),
    [sym_constructor_path] = STATE(9838),
    [sym__constructor_name] = STATE(10013),
    [sym_tag] = STATE(9838),
    [aux_sym_expression_item_repeat1] = STATE(14445),
    [aux_sym_let_binding_repeat1] = STATE(2973),
    [sym__lowercase_identifier] = ACTIONS(8595),
    [anon_sym_EQ] = ACTIONS(8731),
    [anon_sym_TILDE] = ACTIONS(8599),
    [anon_sym_QMARK] = ACTIONS(8599),
    [anon_sym_LPAREN] = ACTIONS(8601),
    [anon_sym_LBRACK] = ACTIONS(8603),
    [anon_sym_true] = ACTIONS(8605),
    [anon_sym_false] = ACTIONS(8605),
    [anon_sym_COLON2] = ACTIONS(8607),
    [anon_sym_LBRACE] = ACTIONS(8609),
    [anon_sym_constraint] = ACTIONS(8733),
    [anon_sym_val] = ACTIONS(8733),
    [anon_sym_end] = ACTIONS(8733),
    [anon_sym_inherit] = ACTIONS(8733),
    [anon_sym_method] = ACTIONS(8733),
    [anon_sym_initializer] = ACTIONS(8733),
    [anon_sym_POUND] = ACTIONS(8613),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8615),
    [anon_sym_begin] = ACTIONS(8617),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(7931),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(8735),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8621),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8623),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(8735),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(8735),
    [aux_sym_number_token1] = ACTIONS(8625),
    [aux_sym_signed_number_token1] = ACTIONS(8627),
    [anon_sym_SQUOTE] = ACTIONS(8629),
    [anon_sym_DQUOTE] = ACTIONS(8631),
    [sym__uppercase_identifier] = ACTIONS(8633),
    [aux_sym_tag_token1] = ACTIONS(8635),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3008] = {
    [sym__match_cases] = STATE(9223),
    [sym_match_case] = STATE(9465),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14928),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3008),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3245),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8737),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3009] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3009),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3077),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3010] = {
    [sym__match_cases] = STATE(11900),
    [sym_match_case] = STATE(13766),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15148),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3010),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3280),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3011] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3011),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3125),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3012] = {
    [sym__match_cases] = STATE(9130),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3012),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3230),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3013] = {
    [sym__match_cases] = STATE(9395),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3013),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__attribute] = STATE(3271),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [anon_sym_PERCENT] = ACTIONS(8593),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3014] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21250),
    [sym_module_definition] = STATE(21249),
    [sym_open_module] = STATE(21247),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3014),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3015] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22296),
    [sym_module_definition] = STATE(22299),
    [sym_open_module] = STATE(22301),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3015),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3016] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(19418),
    [sym_module_definition] = STATE(19416),
    [sym_open_module] = STATE(19412),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3016),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3017] = {
    [sym_let_binding] = STATE(12747),
    [sym_exception_definition] = STATE(19418),
    [sym_module_definition] = STATE(19416),
    [sym_open_module] = STATE(19412),
    [sym__binding_pattern] = STATE(2839),
    [sym_alias_binding_pattern] = STATE(6510),
    [sym_typed_binding_pattern] = STATE(6510),
    [sym_or_binding_pattern] = STATE(6510),
    [sym_constructor_binding_pattern] = STATE(6510),
    [sym_tag_binding_pattern] = STATE(6510),
    [sym_polymorphic_variant_pattern] = STATE(6510),
    [sym_tuple_binding_pattern] = STATE(6510),
    [sym_record_binding_pattern] = STATE(6507),
    [sym_list_binding_pattern] = STATE(6506),
    [sym_cons_binding_pattern] = STATE(6510),
    [sym_array_binding_pattern] = STATE(6505),
    [sym_range_pattern] = STATE(6510),
    [sym_lazy_binding_pattern] = STATE(6510),
    [sym_local_open_binding_pattern] = STATE(6510),
    [sym_package_pattern] = STATE(6510),
    [sym_parenthesized_binding_pattern] = STATE(6510),
    [sym_attribute] = STATE(3017),
    [sym_extension] = STATE(6510),
    [sym_quoted_extension] = STATE(6510),
    [sym__attribute] = STATE(5513),
    [sym__constant] = STATE(6424),
    [sym__signed_constant] = STATE(6488),
    [sym_number] = STATE(6465),
    [sym_signed_number] = STATE(6424),
    [sym_character] = STATE(6465),
    [sym_string] = STATE(6465),
    [sym_quoted_string] = STATE(6465),
    [sym_boolean] = STATE(6465),
    [sym_unit] = STATE(6465),
    [sym__value_name] = STATE(6510),
    [sym_parenthesized_operator] = STATE(6549),
    [sym_module_path] = STATE(21682),
    [sym_constructor_path] = STATE(2810),
    [sym__constructor_name] = STATE(6466),
    [sym_tag] = STATE(2809),
    [sym__lowercase_identifier] = ACTIONS(6147),
    [anon_sym_rec] = ACTIONS(8751),
    [anon_sym_LPAREN] = ACTIONS(6149),
    [anon_sym_LBRACK] = ACTIONS(6151),
    [anon_sym_true] = ACTIONS(6153),
    [anon_sym_false] = ACTIONS(6153),
    [anon_sym_LBRACE] = ACTIONS(6155),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(6157),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6159),
    [anon_sym_lazy] = ACTIONS(6161),
    [anon_sym_begin] = ACTIONS(6163),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8753),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8755),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(6169),
    [aux_sym_signed_number_token1] = ACTIONS(6171),
    [anon_sym_SQUOTE] = ACTIONS(6173),
    [anon_sym_DQUOTE] = ACTIONS(6175),
    [sym__uppercase_identifier] = ACTIONS(6177),
    [aux_sym_tag_token1] = ACTIONS(6179),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3018] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22476),
    [sym_module_definition] = STATE(22475),
    [sym_open_module] = STATE(22474),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3018),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3019] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20688),
    [sym_module_definition] = STATE(20691),
    [sym_open_module] = STATE(20726),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3019),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3020] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(19675),
    [sym_module_definition] = STATE(19684),
    [sym_open_module] = STATE(19687),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3020),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3021] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20245),
    [sym_module_definition] = STATE(20240),
    [sym_open_module] = STATE(20238),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3021),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3022] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21046),
    [sym_module_definition] = STATE(21048),
    [sym_open_module] = STATE(21049),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3022),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3023] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20830),
    [sym_module_definition] = STATE(20835),
    [sym_open_module] = STATE(20839),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3023),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3024] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(19744),
    [sym_module_definition] = STATE(19742),
    [sym_open_module] = STATE(19740),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3024),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3025] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20927),
    [sym_module_definition] = STATE(20936),
    [sym_open_module] = STATE(20937),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3025),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3026] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21582),
    [sym_module_definition] = STATE(21595),
    [sym_open_module] = STATE(21543),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3026),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3027] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20720),
    [sym_module_definition] = STATE(20718),
    [sym_open_module] = STATE(20714),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3027),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3028] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20394),
    [sym_module_definition] = STATE(20390),
    [sym_open_module] = STATE(20388),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3028),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3029] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(19963),
    [sym_module_definition] = STATE(19961),
    [sym_open_module] = STATE(19960),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3029),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3030] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20056),
    [sym_module_definition] = STATE(20107),
    [sym_open_module] = STATE(20105),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3030),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3031] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20258),
    [sym_module_definition] = STATE(20253),
    [sym_open_module] = STATE(20252),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3031),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3032] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20371),
    [sym_module_definition] = STATE(20370),
    [sym_open_module] = STATE(20369),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3032),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3033] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20523),
    [sym_module_definition] = STATE(20522),
    [sym_open_module] = STATE(20519),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3033),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3034] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20671),
    [sym_module_definition] = STATE(20660),
    [sym_open_module] = STATE(20658),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3034),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3035] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20804),
    [sym_module_definition] = STATE(20803),
    [sym_open_module] = STATE(20802),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3035),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3036] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21017),
    [sym_module_definition] = STATE(21015),
    [sym_open_module] = STATE(21014),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3036),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3037] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(19778),
    [sym_module_definition] = STATE(19762),
    [sym_open_module] = STATE(19752),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3037),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3038] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21101),
    [sym_module_definition] = STATE(21100),
    [sym_open_module] = STATE(21097),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3038),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3039] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22297),
    [sym_module_definition] = STATE(22331),
    [sym_open_module] = STATE(22337),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3039),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3040] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20173),
    [sym_module_definition] = STATE(20310),
    [sym_open_module] = STATE(20193),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3040),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3041] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21205),
    [sym_module_definition] = STATE(21202),
    [sym_open_module] = STATE(21201),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3041),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3042] = {
    [sym_let_binding] = STATE(12890),
    [sym_exception_definition] = STATE(19744),
    [sym_module_definition] = STATE(19742),
    [sym_open_module] = STATE(19740),
    [sym__binding_pattern] = STATE(2836),
    [sym_alias_binding_pattern] = STATE(6425),
    [sym_typed_binding_pattern] = STATE(6425),
    [sym_or_binding_pattern] = STATE(6425),
    [sym_constructor_binding_pattern] = STATE(6425),
    [sym_tag_binding_pattern] = STATE(6425),
    [sym_polymorphic_variant_pattern] = STATE(6425),
    [sym_tuple_binding_pattern] = STATE(6425),
    [sym_record_binding_pattern] = STATE(6491),
    [sym_list_binding_pattern] = STATE(6497),
    [sym_cons_binding_pattern] = STATE(6425),
    [sym_array_binding_pattern] = STATE(6498),
    [sym_range_pattern] = STATE(6425),
    [sym_lazy_binding_pattern] = STATE(6425),
    [sym_local_open_binding_pattern] = STATE(6425),
    [sym_package_pattern] = STATE(6425),
    [sym_parenthesized_binding_pattern] = STATE(6425),
    [sym_attribute] = STATE(3042),
    [sym_extension] = STATE(6425),
    [sym_quoted_extension] = STATE(6425),
    [sym__attribute] = STATE(5463),
    [sym__constant] = STATE(6252),
    [sym__signed_constant] = STATE(6166),
    [sym_number] = STATE(6176),
    [sym_signed_number] = STATE(6252),
    [sym_character] = STATE(6176),
    [sym_string] = STATE(6176),
    [sym_quoted_string] = STATE(6176),
    [sym_boolean] = STATE(6176),
    [sym_unit] = STATE(6176),
    [sym__value_name] = STATE(6425),
    [sym_parenthesized_operator] = STATE(6492),
    [sym_module_path] = STATE(22104),
    [sym_constructor_path] = STATE(2793),
    [sym__constructor_name] = STATE(6217),
    [sym_tag] = STATE(2792),
    [sym__lowercase_identifier] = ACTIONS(5823),
    [anon_sym_rec] = ACTIONS(8757),
    [anon_sym_LPAREN] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_true] = ACTIONS(5831),
    [anon_sym_false] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(5835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5837),
    [anon_sym_lazy] = ACTIONS(5839),
    [anon_sym_begin] = ACTIONS(5841),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8761),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(5847),
    [aux_sym_signed_number_token1] = ACTIONS(5849),
    [anon_sym_SQUOTE] = ACTIONS(5851),
    [anon_sym_DQUOTE] = ACTIONS(5853),
    [sym__uppercase_identifier] = ACTIONS(5855),
    [aux_sym_tag_token1] = ACTIONS(5857),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3043] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21318),
    [sym_module_definition] = STATE(21317),
    [sym_open_module] = STATE(21316),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3043),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3044] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21437),
    [sym_module_definition] = STATE(21434),
    [sym_open_module] = STATE(21432),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3044),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3045] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21571),
    [sym_module_definition] = STATE(21568),
    [sym_open_module] = STATE(21565),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3045),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3046] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21687),
    [sym_module_definition] = STATE(21686),
    [sym_open_module] = STATE(21685),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3046),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3047] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21813),
    [sym_module_definition] = STATE(21811),
    [sym_open_module] = STATE(21810),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3047),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3048] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21945),
    [sym_module_definition] = STATE(21944),
    [sym_open_module] = STATE(21943),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3048),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3049] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(19934),
    [sym_module_definition] = STATE(20142),
    [sym_open_module] = STATE(19937),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3049),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3050] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21144),
    [sym_module_definition] = STATE(21146),
    [sym_open_module] = STATE(21149),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3050),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3051] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20386),
    [sym_module_definition] = STATE(20397),
    [sym_open_module] = STATE(20403),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3051),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3052] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22051),
    [sym_module_definition] = STATE(22049),
    [sym_open_module] = STATE(22048),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3052),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3053] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22176),
    [sym_module_definition] = STATE(22172),
    [sym_open_module] = STATE(22171),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3053),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3054] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21613),
    [sym_module_definition] = STATE(21605),
    [sym_open_module] = STATE(21603),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3054),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3055] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22280),
    [sym_module_definition] = STATE(22279),
    [sym_open_module] = STATE(22277),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3055),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3056] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22252),
    [sym_module_definition] = STATE(22214),
    [sym_open_module] = STATE(22193),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3056),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3057] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22459),
    [sym_module_definition] = STATE(22458),
    [sym_open_module] = STATE(22456),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3057),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3058] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21841),
    [sym_module_definition] = STATE(22537),
    [sym_open_module] = STATE(22536),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3058),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3059] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(20771),
    [sym_module_definition] = STATE(20767),
    [sym_open_module] = STATE(20764),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3059),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3060] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22115),
    [sym_module_definition] = STATE(22121),
    [sym_open_module] = STATE(22123),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3060),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3061] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21890),
    [sym_module_definition] = STATE(21899),
    [sym_open_module] = STATE(21901),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3061),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3062] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21022),
    [sym_module_definition] = STATE(21021),
    [sym_open_module] = STATE(21019),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3062),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3063] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21412),
    [sym_module_definition] = STATE(21413),
    [sym_open_module] = STATE(21419),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3063),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3064] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21390),
    [sym_module_definition] = STATE(21652),
    [sym_open_module] = STATE(21588),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3064),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3065] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(22108),
    [sym_module_definition] = STATE(22106),
    [sym_open_module] = STATE(22105),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3065),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3066] = {
    [sym_let_binding] = STATE(12737),
    [sym_exception_definition] = STATE(22108),
    [sym_module_definition] = STATE(22106),
    [sym_open_module] = STATE(22105),
    [sym__binding_pattern] = STATE(2841),
    [sym_alias_binding_pattern] = STATE(6425),
    [sym_typed_binding_pattern] = STATE(6425),
    [sym_or_binding_pattern] = STATE(6425),
    [sym_constructor_binding_pattern] = STATE(6425),
    [sym_tag_binding_pattern] = STATE(6425),
    [sym_polymorphic_variant_pattern] = STATE(6425),
    [sym_tuple_binding_pattern] = STATE(6425),
    [sym_record_binding_pattern] = STATE(6491),
    [sym_list_binding_pattern] = STATE(6497),
    [sym_cons_binding_pattern] = STATE(6425),
    [sym_array_binding_pattern] = STATE(6498),
    [sym_range_pattern] = STATE(6425),
    [sym_lazy_binding_pattern] = STATE(6425),
    [sym_local_open_binding_pattern] = STATE(6425),
    [sym_package_pattern] = STATE(6425),
    [sym_parenthesized_binding_pattern] = STATE(6425),
    [sym_attribute] = STATE(3066),
    [sym_extension] = STATE(6425),
    [sym_quoted_extension] = STATE(6425),
    [sym__attribute] = STATE(5501),
    [sym__constant] = STATE(6252),
    [sym__signed_constant] = STATE(6166),
    [sym_number] = STATE(6176),
    [sym_signed_number] = STATE(6252),
    [sym_character] = STATE(6176),
    [sym_string] = STATE(6176),
    [sym_quoted_string] = STATE(6176),
    [sym_boolean] = STATE(6176),
    [sym_unit] = STATE(6176),
    [sym__value_name] = STATE(6425),
    [sym_parenthesized_operator] = STATE(6492),
    [sym_module_path] = STATE(22104),
    [sym_constructor_path] = STATE(2793),
    [sym__constructor_name] = STATE(6217),
    [sym_tag] = STATE(2792),
    [sym__lowercase_identifier] = ACTIONS(5823),
    [anon_sym_rec] = ACTIONS(8763),
    [anon_sym_LPAREN] = ACTIONS(5827),
    [anon_sym_LBRACK] = ACTIONS(5829),
    [anon_sym_true] = ACTIONS(5831),
    [anon_sym_false] = ACTIONS(5831),
    [anon_sym_LBRACE] = ACTIONS(5833),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(5835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(5837),
    [anon_sym_lazy] = ACTIONS(5839),
    [anon_sym_begin] = ACTIONS(5841),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8759),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8761),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(5847),
    [aux_sym_signed_number_token1] = ACTIONS(5849),
    [anon_sym_SQUOTE] = ACTIONS(5851),
    [anon_sym_DQUOTE] = ACTIONS(5853),
    [sym__uppercase_identifier] = ACTIONS(5855),
    [aux_sym_tag_token1] = ACTIONS(5857),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3067] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21653),
    [sym_module_definition] = STATE(21654),
    [sym_open_module] = STATE(21656),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3067),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3068] = {
    [sym_let_binding] = STATE(16191),
    [sym_exception_definition] = STATE(21061),
    [sym_module_definition] = STATE(21064),
    [sym_open_module] = STATE(21076),
    [sym__binding_pattern] = STATE(3069),
    [sym_alias_binding_pattern] = STATE(10176),
    [sym_typed_binding_pattern] = STATE(10176),
    [sym_or_binding_pattern] = STATE(10176),
    [sym_constructor_binding_pattern] = STATE(10176),
    [sym_tag_binding_pattern] = STATE(10176),
    [sym_polymorphic_variant_pattern] = STATE(10176),
    [sym_tuple_binding_pattern] = STATE(10176),
    [sym_record_binding_pattern] = STATE(10181),
    [sym_list_binding_pattern] = STATE(10183),
    [sym_cons_binding_pattern] = STATE(10176),
    [sym_array_binding_pattern] = STATE(10195),
    [sym_range_pattern] = STATE(10176),
    [sym_lazy_binding_pattern] = STATE(10176),
    [sym_local_open_binding_pattern] = STATE(10176),
    [sym_package_pattern] = STATE(10176),
    [sym_parenthesized_binding_pattern] = STATE(10176),
    [sym_attribute] = STATE(3068),
    [sym_extension] = STATE(10176),
    [sym_quoted_extension] = STATE(10176),
    [sym__attribute] = STATE(5514),
    [sym__constant] = STATE(9847),
    [sym__signed_constant] = STATE(9841),
    [sym_number] = STATE(10003),
    [sym_signed_number] = STATE(9847),
    [sym_character] = STATE(10003),
    [sym_string] = STATE(10003),
    [sym_quoted_string] = STATE(10003),
    [sym_boolean] = STATE(10003),
    [sym_unit] = STATE(10003),
    [sym__value_name] = STATE(10176),
    [sym_parenthesized_operator] = STATE(10131),
    [sym_module_path] = STATE(21914),
    [sym_constructor_path] = STATE(2952),
    [sym__constructor_name] = STATE(10005),
    [sym_tag] = STATE(2954),
    [sym__lowercase_identifier] = ACTIONS(8466),
    [anon_sym_rec] = ACTIONS(8741),
    [anon_sym_LPAREN] = ACTIONS(8468),
    [anon_sym_LBRACK] = ACTIONS(8470),
    [anon_sym_true] = ACTIONS(8472),
    [anon_sym_false] = ACTIONS(8472),
    [anon_sym_LBRACE] = ACTIONS(8474),
    [anon_sym_exception] = ACTIONS(8743),
    [anon_sym_module] = ACTIONS(8745),
    [anon_sym_open] = ACTIONS(8747),
    [anon_sym_POUND] = ACTIONS(8476),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8478),
    [anon_sym_lazy] = ACTIONS(8480),
    [anon_sym_begin] = ACTIONS(8482),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8484),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8486),
    [anon_sym_PERCENT] = ACTIONS(8749),
    [aux_sym_number_token1] = ACTIONS(8488),
    [aux_sym_signed_number_token1] = ACTIONS(8490),
    [anon_sym_SQUOTE] = ACTIONS(8492),
    [anon_sym_DQUOTE] = ACTIONS(8494),
    [sym__uppercase_identifier] = ACTIONS(8496),
    [aux_sym_tag_token1] = ACTIONS(8498),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3069] = {
    [sym_parameter] = STATE(11527),
    [sym__polymorphic_typed] = STATE(18956),
    [sym__parenthesized_abstract_type] = STATE(11527),
    [sym__simple_pattern] = STATE(11529),
    [sym_typed_pattern] = STATE(11532),
    [sym_polymorphic_variant_pattern] = STATE(11532),
    [sym_record_pattern] = STATE(11532),
    [sym_list_pattern] = STATE(11532),
    [sym_array_pattern] = STATE(11532),
    [sym_local_open_pattern] = STATE(11532),
    [sym_package_pattern] = STATE(11532),
    [sym_parenthesized_pattern] = STATE(11532),
    [sym_attribute] = STATE(3069),
    [sym_item_attribute] = STATE(15964),
    [sym_extension] = STATE(11532),
    [sym_quoted_extension] = STATE(11532),
    [sym__constant] = STATE(11586),
    [sym__signed_constant] = STATE(11532),
    [sym_number] = STATE(11458),
    [sym_signed_number] = STATE(11586),
    [sym_character] = STATE(11458),
    [sym_string] = STATE(11458),
    [sym_quoted_string] = STATE(11458),
    [sym_boolean] = STATE(11458),
    [sym_unit] = STATE(11458),
    [sym__simple_value_pattern] = STATE(11532),
    [sym_parenthesized_operator] = STATE(11532),
    [sym_module_path] = STATE(21866),
    [sym_constructor_path] = STATE(11532),
    [sym__constructor_name] = STATE(9706),
    [sym_tag] = STATE(11532),
    [aux_sym_expression_item_repeat1] = STATE(15461),
    [aux_sym_let_binding_repeat1] = STATE(5636),
    [sym__lowercase_identifier] = ACTIONS(6477),
    [anon_sym_and] = ACTIONS(6481),
    [anon_sym_COLON_GT] = ACTIONS(8765),
    [anon_sym_EQ] = ACTIONS(8767),
    [anon_sym_TILDE] = ACTIONS(6487),
    [anon_sym_QMARK] = ACTIONS(6487),
    [anon_sym_LPAREN] = ACTIONS(6489),
    [anon_sym_COMMA] = ACTIONS(8769),
    [anon_sym_PIPE] = ACTIONS(8771),
    [anon_sym_LBRACK] = ACTIONS(6495),
    [anon_sym_true] = ACTIONS(6497),
    [anon_sym_false] = ACTIONS(6497),
    [anon_sym_COLON2] = ACTIONS(6499),
    [anon_sym_LBRACE] = ACTIONS(6501),
    [anon_sym_in] = ACTIONS(6481),
    [anon_sym_as] = ACTIONS(8773),
    [anon_sym_POUND] = ACTIONS(6505),
    [anon_sym_COLON_COLON] = ACTIONS(8775),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6509),
    [anon_sym_begin] = ACTIONS(6511),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT] = ACTIONS(8777),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8779),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8781),
    [aux_sym_number_token1] = ACTIONS(6519),
    [aux_sym_signed_number_token1] = ACTIONS(6521),
    [anon_sym_SQUOTE] = ACTIONS(6523),
    [anon_sym_DQUOTE] = ACTIONS(6525),
    [sym_let_and_operator] = ACTIONS(6479),
    [sym__uppercase_identifier] = ACTIONS(6527),
    [aux_sym_tag_token1] = ACTIONS(6529),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3070] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9948),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14942),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3070),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8637),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3071] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9458),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15201),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3071),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8727),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3072] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3072),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3073] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9588),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14925),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3073),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3074] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3074),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3075] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3075),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3076] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3076),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3077] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3077),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3078] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9445),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15047),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3078),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8655),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3079] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3079),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3080] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9445),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15047),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3080),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8655),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3081] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9445),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15047),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3081),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8655),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3082] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3082),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3083] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3083),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3084] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3084),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3085] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3085),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3086] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3086),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3087] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3087),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3088] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3088),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3089] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3089),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3090] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3090),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3091] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3091),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3092] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9445),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15047),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3092),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8655),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3093] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3093),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3094] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9445),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15047),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3094),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8655),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3095] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3095),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3096] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9472),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14973),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3096),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3097] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3097),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3098] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3098),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3099] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3099),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3100] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3100),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3101] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9241),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15068),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3101),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3102] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3102),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3103] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9472),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14973),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3103),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3104] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9472),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14973),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3104),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3105] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9472),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14973),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3105),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3106] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9241),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15068),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3106),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3107] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9241),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15068),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3107),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3108] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3108),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3109] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3109),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3110] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(10053),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15157),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3110),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3111] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3111),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3112] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3112),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3113] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13343),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15209),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3113),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8643),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3114] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3114),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3115] = {
    [sym__match_cases] = STATE(11617),
    [sym_match_case] = STATE(12501),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15053),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3115),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3116] = {
    [sym__match_cases] = STATE(11620),
    [sym_match_case] = STATE(12501),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15053),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3116),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3117] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3117),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3118] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9241),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15068),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3118),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3119] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3119),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3120] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3120),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3121] = {
    [sym__match_cases] = STATE(11689),
    [sym_match_case] = STATE(12501),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15053),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3121),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3122] = {
    [sym__signature] = STATE(21200),
    [sym_external] = STATE(14199),
    [sym_type_definition] = STATE(14199),
    [sym_exception_definition] = STATE(14199),
    [sym_module_definition] = STATE(14199),
    [sym_module_type_definition] = STATE(14199),
    [sym_open_module] = STATE(14199),
    [sym_class_definition] = STATE(14199),
    [sym_class_type_definition] = STATE(14199),
    [sym__signature_item] = STATE(14208),
    [sym_value_specification] = STATE(14199),
    [sym_include_module_type] = STATE(14199),
    [sym__simple_type] = STATE(13097),
    [sym__tuple_type] = STATE(14588),
    [sym__type] = STATE(17068),
    [sym_function_type] = STATE(9347),
    [sym_typed_label] = STATE(21576),
    [sym_tuple_type] = STATE(8989),
    [sym_constructed_type] = STATE(13817),
    [sym_aliased_type] = STATE(9347),
    [sym_local_open_type] = STATE(13817),
    [sym_polymorphic_variant_type] = STATE(13817),
    [sym_package_type] = STATE(13817),
    [sym_object_type] = STATE(13817),
    [sym_hash_type] = STATE(13817),
    [sym_parenthesized_type] = STATE(13817),
    [sym_attribute] = STATE(3122),
    [sym_floating_attribute] = STATE(14199),
    [sym_extension] = STATE(13817),
    [sym_quoted_extension] = STATE(13817),
    [sym_item_extension] = STATE(14199),
    [sym_quoted_item_extension] = STATE(14199),
    [sym_extended_module_path] = STATE(18385),
    [sym_type_constructor_path] = STATE(13817),
    [sym_type_variable] = STATE(13817),
    [aux_sym__structure_repeat1] = STATE(10222),
    [aux_sym__signature_repeat1] = STATE(10206),
    [sym__lowercase_identifier] = ACTIONS(8783),
    [anon_sym_SEMI_SEMI] = ACTIONS(8785),
    [anon_sym_QMARK] = ACTIONS(8787),
    [anon_sym_LPAREN] = ACTIONS(8789),
    [anon_sym_external] = ACTIONS(19),
    [anon_sym_type] = ACTIONS(8791),
    [anon_sym_LBRACK] = ACTIONS(8793),
    [anon_sym_RBRACK] = ACTIONS(8795),
    [anon_sym_exception] = ACTIONS(8797),
    [anon_sym_module] = ACTIONS(8799),
    [anon_sym_open] = ACTIONS(33),
    [anon_sym_include] = ACTIONS(8801),
    [anon_sym_class] = ACTIONS(8803),
    [anon_sym_val] = ACTIONS(8805),
    [anon_sym_LBRACK_GT] = ACTIONS(8807),
    [anon_sym_LBRACK_LT] = ACTIONS(8809),
    [anon_sym_LT] = ACTIONS(8811),
    [anon_sym_POUND] = ACTIONS(8813),
    [aux_sym_attribute_token1] = ACTIONS(3),
    [anon_sym_LBRACK_AT_AT_AT] = ACTIONS(69),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8815),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8817),
    [anon_sym_LBRACK_PERCENT_PERCENT] = ACTIONS(75),
    [anon_sym_LBRACE_PERCENT_PERCENT] = ACTIONS(77),
    [sym__uppercase_identifier] = ACTIONS(8819),
    [aux_sym_type_variable_token1] = ACTIONS(8821),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3123] = {
    [sym__match_cases] = STATE(11701),
    [sym_match_case] = STATE(12501),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15053),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3123),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3124] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13963),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15186),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3124),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8681),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3125] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3125),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3126] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13343),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15209),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3126),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8643),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3127] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3127),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3128] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3128),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3129] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9241),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15068),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3129),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8693),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3130] = {
    [sym__match_cases] = STATE(11842),
    [sym_match_case] = STATE(12501),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15053),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3130),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8683),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3131] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9331),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15109),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3131),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8651),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3132] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13836),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14981),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3132),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8653),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3133] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3133),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3134] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9331),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15109),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3134),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8651),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3135] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3135),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3136] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9331),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15109),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3136),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8651),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3137] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9331),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15109),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3137),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8651),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3138] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3138),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3139] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3139),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3140] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3140),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3141] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3141),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3142] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9331),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15109),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3142),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8651),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3143] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3143),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3144] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(10053),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15157),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3144),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3145] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3145),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3146] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9532),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15165),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3146),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8687),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3147] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3147),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3148] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3148),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3149] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9283),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15159),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3149),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3150] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9565),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15251),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3150),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3151] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9283),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15159),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3151),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3152] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3152),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3153] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3153),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3154] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13836),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14981),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3154),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8653),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3155] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3155),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3156] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9283),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15159),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3156),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3157] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3157),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3158] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(10053),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15157),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3158),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3159] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3159),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3160] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9532),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15165),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3160),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8687),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3161] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9283),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15159),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3161),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3162] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9532),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15165),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3162),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8687),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3163] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3163),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3164] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3164),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3165] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3165),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3166] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3166),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3167] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9283),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15159),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3167),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8679),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3168] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3168),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3169] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3169),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3170] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3170),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3171] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13864),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15115),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3171),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8695),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3172] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(13836),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14981),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3172),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8653),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3173] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13343),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15209),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3173),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8643),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3174] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13691),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15155),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3174),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8641),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3175] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9507),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15210),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3175),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8659),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3176] = {
    [sym__match_cases] = STATE(11617),
    [sym_match_case] = STATE(13326),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14982),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3176),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3177] = {
    [sym__match_cases] = STATE(11620),
    [sym_match_case] = STATE(13326),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14982),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3177),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3178] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9507),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15210),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3178),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8659),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3179] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3179),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3180] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9507),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15210),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3180),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8659),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3181] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3181),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3182] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9507),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15210),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3182),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8659),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3183] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9465),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14928),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3183),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8737),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3184] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9507),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15210),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3184),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8659),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3185] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9573),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14972),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3185),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3186] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9565),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15251),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3186),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3187] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9573),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14972),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3187),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3188] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3188),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3189] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9573),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14972),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3189),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3190] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3190),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3191] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9573),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14972),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3191),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3192] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9573),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14972),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3192),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8723),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3193] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3193),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3194] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3194),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3195] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3195),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3196] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9565),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15251),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3196),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3197] = {
    [sym__match_cases] = STATE(11689),
    [sym_match_case] = STATE(13326),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14982),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3197),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3198] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3198),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3199] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13297),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15189),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3199),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8709),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3200] = {
    [sym__match_cases] = STATE(11701),
    [sym_match_case] = STATE(13326),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14982),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3200),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3201] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13343),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15209),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3201),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8643),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3202] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13343),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15209),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3202),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8643),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3203] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13836),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14981),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3203),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8653),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3204] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9532),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15165),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3204),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8687),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3205] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3205),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3206] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9532),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15165),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3206),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8687),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3207] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3207),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3208] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3208),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3209] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3209),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3210] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9565),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15251),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3210),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3211] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13264),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14931),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3211),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8721),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3212] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9458),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15201),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3212),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8727),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3213] = {
    [sym__match_cases] = STATE(11842),
    [sym_match_case] = STATE(13326),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14982),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3213),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8657),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3214] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(13836),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14981),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3214),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8653),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3215] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9948),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14942),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3215),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8637),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3216] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3216),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3217] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3217),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3218] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9458),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15201),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3218),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8727),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3219] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9948),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14942),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3219),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8637),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3220] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9458),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15201),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3220),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8727),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3221] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9948),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14942),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3221),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8637),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3222] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9458),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15201),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3222),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8727),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3223] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9588),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14925),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3223),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3224] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3224),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3225] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3225),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3226] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3226),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3227] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3227),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3228] = {
    [sym__simple_expression] = STATE(10368),
    [sym_typed_expression] = STATE(10519),
    [sym_list_expression] = STATE(10519),
    [sym_array_expression] = STATE(10519),
    [sym_record_expression] = STATE(10519),
    [sym_labeled_argument] = STATE(11369),
    [sym_prefix_expression] = STATE(10519),
    [sym_hash_expression] = STATE(10519),
    [sym_field_get_expression] = STATE(10519),
    [sym_array_get_expression] = STATE(10519),
    [sym_string_get_expression] = STATE(10519),
    [sym_bigarray_get_expression] = STATE(10519),
    [sym_coercion_expression] = STATE(10519),
    [sym_local_open_expression] = STATE(10519),
    [sym_package_expression] = STATE(10519),
    [sym_new_expression] = STATE(10519),
    [sym_object_copy_expression] = STATE(10519),
    [sym_method_invocation] = STATE(10519),
    [sym_object_expression] = STATE(10519),
    [sym_parenthesized_expression] = STATE(10519),
    [sym_attribute] = STATE(3228),
    [sym_extension] = STATE(10519),
    [sym_quoted_extension] = STATE(10519),
    [sym__constant] = STATE(10519),
    [sym_number] = STATE(10584),
    [sym_character] = STATE(10584),
    [sym_string] = STATE(10584),
    [sym_quoted_string] = STATE(10584),
    [sym_boolean] = STATE(10584),
    [sym_unit] = STATE(10584),
    [sym__value_name] = STATE(10416),
    [sym_parenthesized_operator] = STATE(10350),
    [sym_value_path] = STATE(10519),
    [sym_module_path] = STATE(19759),
    [sym_constructor_path] = STATE(10519),
    [sym__constructor_name] = STATE(9381),
    [sym_tag] = STATE(10519),
    [aux_sym_class_application_repeat1] = STATE(3257),
    [sym__lowercase_identifier] = ACTIONS(8823),
    [anon_sym_TILDE] = ACTIONS(8825),
    [anon_sym_QMARK] = ACTIONS(8825),
    [anon_sym_LPAREN] = ACTIONS(8827),
    [anon_sym_RPAREN] = ACTIONS(6693),
    [anon_sym_LBRACK] = ACTIONS(8829),
    [anon_sym_true] = ACTIONS(8831),
    [anon_sym_false] = ACTIONS(8831),
    [anon_sym_COLON2] = ACTIONS(6693),
    [anon_sym_LBRACE] = ACTIONS(8833),
    [anon_sym_object] = ACTIONS(8835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8837),
    [anon_sym_new] = ACTIONS(8839),
    [anon_sym_LBRACE_LT] = ACTIONS(8841),
    [anon_sym_begin] = ACTIONS(8843),
    [sym_ocamlyacc_value] = ACTIONS(8845),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8847),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8849),
    [aux_sym_number_token1] = ACTIONS(8851),
    [anon_sym_SQUOTE] = ACTIONS(8853),
    [anon_sym_DQUOTE] = ACTIONS(8855),
    [sym_prefix_operator] = ACTIONS(8857),
    [sym__uppercase_identifier] = ACTIONS(8859),
    [aux_sym_tag_token1] = ACTIONS(8861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3229] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9565),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15251),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3229),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8717),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3230] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3230),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3231] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9741),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15078),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3231),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8691),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3232] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(10053),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15157),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3232),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3233] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9741),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15078),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3233),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8691),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3234] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3234),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3235] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9741),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15078),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3235),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8691),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3236] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3236),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3237] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9741),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15078),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3237),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8691),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3238] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9741),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15078),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3238),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8691),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3239] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3239),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3240] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9472),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14973),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3240),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8699),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3241] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9948),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14942),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3241),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8637),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3242] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3242),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3243] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3243),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3244] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3244),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3245] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9465),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14928),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3245),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8737),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3246] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3246),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3247] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3247),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3248] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3248),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3249] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9465),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14928),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3249),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8737),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3250] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3250),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3251] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9465),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14928),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3251),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8737),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3252] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3252),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3253] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3253),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3254] = {
    [sym__match_cases] = STATE(11617),
    [sym_match_case] = STATE(13766),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15148),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3254),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3255] = {
    [sym__match_cases] = STATE(11620),
    [sym_match_case] = STATE(13766),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15148),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3255),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3256] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3256),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3257] = {
    [sym__simple_expression] = STATE(10368),
    [sym_typed_expression] = STATE(10519),
    [sym_list_expression] = STATE(10519),
    [sym_array_expression] = STATE(10519),
    [sym_record_expression] = STATE(10519),
    [sym_labeled_argument] = STATE(11369),
    [sym_prefix_expression] = STATE(10519),
    [sym_hash_expression] = STATE(10519),
    [sym_field_get_expression] = STATE(10519),
    [sym_array_get_expression] = STATE(10519),
    [sym_string_get_expression] = STATE(10519),
    [sym_bigarray_get_expression] = STATE(10519),
    [sym_coercion_expression] = STATE(10519),
    [sym_local_open_expression] = STATE(10519),
    [sym_package_expression] = STATE(10519),
    [sym_new_expression] = STATE(10519),
    [sym_object_copy_expression] = STATE(10519),
    [sym_method_invocation] = STATE(10519),
    [sym_object_expression] = STATE(10519),
    [sym_parenthesized_expression] = STATE(10519),
    [sym_attribute] = STATE(3257),
    [sym_extension] = STATE(10519),
    [sym_quoted_extension] = STATE(10519),
    [sym__constant] = STATE(10519),
    [sym_number] = STATE(10584),
    [sym_character] = STATE(10584),
    [sym_string] = STATE(10584),
    [sym_quoted_string] = STATE(10584),
    [sym_boolean] = STATE(10584),
    [sym_unit] = STATE(10584),
    [sym__value_name] = STATE(10416),
    [sym_parenthesized_operator] = STATE(10350),
    [sym_value_path] = STATE(10519),
    [sym_module_path] = STATE(19759),
    [sym_constructor_path] = STATE(10519),
    [sym__constructor_name] = STATE(9381),
    [sym_tag] = STATE(10519),
    [aux_sym_class_application_repeat1] = STATE(3257),
    [sym__lowercase_identifier] = ACTIONS(8863),
    [anon_sym_TILDE] = ACTIONS(8866),
    [anon_sym_QMARK] = ACTIONS(8866),
    [anon_sym_LPAREN] = ACTIONS(8869),
    [anon_sym_RPAREN] = ACTIONS(3845),
    [anon_sym_LBRACK] = ACTIONS(8872),
    [anon_sym_true] = ACTIONS(8875),
    [anon_sym_false] = ACTIONS(8875),
    [anon_sym_COLON2] = ACTIONS(3845),
    [anon_sym_LBRACE] = ACTIONS(8878),
    [anon_sym_object] = ACTIONS(8881),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8884),
    [anon_sym_new] = ACTIONS(8887),
    [anon_sym_LBRACE_LT] = ACTIONS(8890),
    [anon_sym_begin] = ACTIONS(8893),
    [sym_ocamlyacc_value] = ACTIONS(8896),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8899),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8902),
    [aux_sym_number_token1] = ACTIONS(8905),
    [anon_sym_SQUOTE] = ACTIONS(8908),
    [anon_sym_DQUOTE] = ACTIONS(8911),
    [sym_prefix_operator] = ACTIONS(8914),
    [sym__uppercase_identifier] = ACTIONS(8917),
    [aux_sym_tag_token1] = ACTIONS(8920),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3258] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3258),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3259] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9465),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14928),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3259),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8737),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3260] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3260),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3261] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3261),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3262] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3262),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3263] = {
    [sym__match_cases] = STATE(9336),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3263),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3264] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3264),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3265] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3265),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3266] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9747),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15235),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3266),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3267] = {
    [sym__match_cases] = STATE(11689),
    [sym_match_case] = STATE(13766),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15148),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3267),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3268] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3268),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3269] = {
    [sym__match_cases] = STATE(9380),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3269),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3270] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(10107),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14964),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3270),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8665),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3271] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(13823),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15021),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3271),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8639),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3272] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9747),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15235),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3272),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3273] = {
    [sym__match_cases] = STATE(11701),
    [sym_match_case] = STATE(13766),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15148),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3273),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3274] = {
    [sym__match_cases] = STATE(9265),
    [sym_match_case] = STATE(11428),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15175),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3274),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8661),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3275] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(10107),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14964),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3275),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8665),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3276] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(10107),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14964),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3276),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8665),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3277] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(10053),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15157),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3277),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8707),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3278] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(10107),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14964),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3278),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8665),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3279] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(10107),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14964),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3279),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8665),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3280] = {
    [sym__match_cases] = STATE(11842),
    [sym_match_case] = STATE(13766),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15148),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3280),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8739),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3281] = {
    [sym__match_cases] = STATE(11617),
    [sym_match_case] = STATE(12282),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15240),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3281),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3282] = {
    [sym__match_cases] = STATE(11620),
    [sym_match_case] = STATE(12282),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15240),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3282),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3283] = {
    [sym__match_cases] = STATE(11689),
    [sym_match_case] = STATE(12282),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15240),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3283),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3284] = {
    [sym__match_cases] = STATE(11701),
    [sym_match_case] = STATE(12282),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15240),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3284),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3285] = {
    [sym__match_cases] = STATE(11842),
    [sym_match_case] = STATE(12282),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15240),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3285),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8725),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3286] = {
    [sym__match_cases] = STATE(9398),
    [sym_match_case] = STATE(13243),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15101),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3286),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8701),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3287] = {
    [sym__match_cases] = STATE(8924),
    [sym_match_case] = STATE(9641),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15054),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3287),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3288] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9747),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15235),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3288),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3289] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3289),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3290] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3290),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3291] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9588),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14925),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3291),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3292] = {
    [sym__match_cases] = STATE(9118),
    [sym_match_case] = STATE(9641),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15054),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3292),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3293] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9588),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14925),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3293),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3294] = {
    [sym__match_cases] = STATE(9175),
    [sym_match_case] = STATE(9641),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15054),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3294),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3295] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9588),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(14925),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3295),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8685),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3296] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9641),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15054),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3296),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3297] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9641),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15054),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3297),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8729),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3298] = {
    [sym__match_cases] = STATE(11617),
    [sym_match_case] = STATE(13181),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15135),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3298),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3299] = {
    [sym__match_cases] = STATE(11620),
    [sym_match_case] = STATE(13181),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15135),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3299),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3300] = {
    [sym__match_cases] = STATE(11842),
    [sym_match_case] = STATE(13460),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15030),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3300),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3301] = {
    [sym__match_cases] = STATE(11689),
    [sym_match_case] = STATE(13181),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15135),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3301),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3302] = {
    [sym__match_cases] = STATE(11701),
    [sym_match_case] = STATE(13181),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15135),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3302),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3303] = {
    [sym__simple_expression] = STATE(10368),
    [sym_typed_expression] = STATE(10519),
    [sym_list_expression] = STATE(10519),
    [sym_array_expression] = STATE(10519),
    [sym_record_expression] = STATE(10519),
    [sym_labeled_argument] = STATE(11369),
    [sym_prefix_expression] = STATE(10519),
    [sym_hash_expression] = STATE(10519),
    [sym_field_get_expression] = STATE(10519),
    [sym_array_get_expression] = STATE(10519),
    [sym_string_get_expression] = STATE(10519),
    [sym_bigarray_get_expression] = STATE(10519),
    [sym_coercion_expression] = STATE(10519),
    [sym_local_open_expression] = STATE(10519),
    [sym_package_expression] = STATE(10519),
    [sym_new_expression] = STATE(10519),
    [sym_object_copy_expression] = STATE(10519),
    [sym_method_invocation] = STATE(10519),
    [sym_object_expression] = STATE(10519),
    [sym_parenthesized_expression] = STATE(10519),
    [sym_attribute] = STATE(3303),
    [sym_extension] = STATE(10519),
    [sym_quoted_extension] = STATE(10519),
    [sym__constant] = STATE(10519),
    [sym_number] = STATE(10584),
    [sym_character] = STATE(10584),
    [sym_string] = STATE(10584),
    [sym_quoted_string] = STATE(10584),
    [sym_boolean] = STATE(10584),
    [sym_unit] = STATE(10584),
    [sym__value_name] = STATE(10416),
    [sym_parenthesized_operator] = STATE(10350),
    [sym_value_path] = STATE(10519),
    [sym_module_path] = STATE(19759),
    [sym_constructor_path] = STATE(10519),
    [sym__constructor_name] = STATE(9381),
    [sym_tag] = STATE(10519),
    [aux_sym_class_application_repeat1] = STATE(3228),
    [sym__lowercase_identifier] = ACTIONS(8823),
    [anon_sym_TILDE] = ACTIONS(8825),
    [anon_sym_QMARK] = ACTIONS(8825),
    [anon_sym_LPAREN] = ACTIONS(8827),
    [anon_sym_RPAREN] = ACTIONS(6589),
    [anon_sym_LBRACK] = ACTIONS(8829),
    [anon_sym_true] = ACTIONS(8831),
    [anon_sym_false] = ACTIONS(8831),
    [anon_sym_COLON2] = ACTIONS(6589),
    [anon_sym_LBRACE] = ACTIONS(8833),
    [anon_sym_object] = ACTIONS(8835),
    [anon_sym_LBRACK_PIPE] = ACTIONS(8837),
    [anon_sym_new] = ACTIONS(8839),
    [anon_sym_LBRACE_LT] = ACTIONS(8841),
    [anon_sym_begin] = ACTIONS(8843),
    [sym_ocamlyacc_value] = ACTIONS(8845),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(8847),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(8849),
    [aux_sym_number_token1] = ACTIONS(8851),
    [anon_sym_SQUOTE] = ACTIONS(8853),
    [anon_sym_DQUOTE] = ACTIONS(8855),
    [sym_prefix_operator] = ACTIONS(8857),
    [sym__uppercase_identifier] = ACTIONS(8859),
    [aux_sym_tag_token1] = ACTIONS(8861),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3304] = {
    [sym__match_cases] = STATE(9138),
    [sym_match_case] = STATE(9747),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15235),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3304),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3305] = {
    [sym__match_cases] = STATE(9156),
    [sym_match_case] = STATE(9747),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15235),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3305),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8705),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3306] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3306),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3307] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3307),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3308] = {
    [sym__match_cases] = STATE(11701),
    [sym_match_case] = STATE(13460),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15030),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3308),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3309] = {
    [sym__match_cases] = STATE(11842),
    [sym_match_case] = STATE(13181),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15135),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3309),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8719),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3310] = {
    [sym__match_cases] = STATE(9185),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3310),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3311] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(13287),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15149),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3311),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8591),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3312] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3312),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3313] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3313),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3314] = {
    [sym__match_cases] = STATE(9006),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3314),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3315] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3315),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3316] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(11061),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15095),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3316),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8703),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3317] = {
    [sym__match_cases] = STATE(11617),
    [sym_match_case] = STATE(13460),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15030),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3317),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3318] = {
    [sym__match_cases] = STATE(11620),
    [sym_match_case] = STATE(13460),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15030),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3318),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3319] = {
    [sym__match_cases] = STATE(8897),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3319),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3320] = {
    [sym__match_cases] = STATE(8991),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3320),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3321] = {
    [sym__match_cases] = STATE(11689),
    [sym_match_case] = STATE(13460),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15030),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3321),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8697),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3322] = {
    [sym__match_cases] = STATE(8899),
    [sym_match_case] = STATE(10725),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15167),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3322),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8689),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
  [3323] = {
    [sym__match_cases] = STATE(9315),
    [sym_match_case] = STATE(11643),
    [sym__simple_pattern] = STATE(14499),
    [sym__effect_pattern] = STATE(14515),
    [sym__pattern] = STATE(15027),
    [sym_alias_pattern] = STATE(14515),
    [sym_typed_pattern] = STATE(14378),
    [sym_or_pattern] = STATE(14515),
    [sym_constructor_pattern] = STATE(14499),
    [sym_tag_pattern] = STATE(14499),
    [sym_polymorphic_variant_pattern] = STATE(14378),
    [sym_tuple_pattern] = STATE(14515),
    [sym_record_pattern] = STATE(14378),
    [sym_list_pattern] = STATE(14378),
    [sym_cons_pattern] = STATE(14515),
    [sym_array_pattern] = STATE(14378),
    [sym_range_pattern] = STATE(14515),
    [sym_lazy_pattern] = STATE(14499),
    [sym_local_open_pattern] = STATE(14378),
    [sym_package_pattern] = STATE(14378),
    [sym_parenthesized_pattern] = STATE(14378),
    [sym_exception_pattern] = STATE(14515),
    [sym_effect_pattern] = STATE(14515),
    [sym_attribute] = STATE(3323),
    [sym_extension] = STATE(14378),
    [sym_quoted_extension] = STATE(14378),
    [sym__constant] = STATE(14257),
    [sym__signed_constant] = STATE(14262),
    [sym_number] = STATE(13493),
    [sym_signed_number] = STATE(14257),
    [sym_character] = STATE(13493),
    [sym_string] = STATE(13493),
    [sym_quoted_string] = STATE(13493),
    [sym_boolean] = STATE(13493),
    [sym_unit] = STATE(13493),
    [sym__simple_value_pattern] = STATE(14378),
    [sym_parenthesized_operator] = STATE(14378),
    [sym_module_path] = STATE(19813),
    [sym_constructor_path] = STATE(2926),
    [sym__constructor_name] = STATE(9684),
    [sym_tag] = STATE(2930),
    [sym__lowercase_identifier] = ACTIONS(5989),
    [anon_sym_LPAREN] = ACTIONS(5991),
    [anon_sym_PIPE] = ACTIONS(8663),
    [anon_sym_LBRACK] = ACTIONS(5997),
    [anon_sym_true] = ACTIONS(5999),
    [anon_sym_false] = ACTIONS(5999),
    [anon_sym_LBRACE] = ACTIONS(6003),
    [anon_sym_exception] = ACTIONS(6005),
    [anon_sym_POUND] = ACTIONS(8185),
    [anon_sym_LBRACK_PIPE] = ACTIONS(6013),
    [anon_sym_lazy] = ACTIONS(6015),
    [anon_sym_begin] = ACTIONS(6017),
    [anon_sym_effect] = ACTIONS(6019),
    [aux_sym_attribute_token1] = ACTIONS(1421),
    [anon_sym_LBRACK_PERCENT] = ACTIONS(6021),
    [anon_sym_LBRACE_PERCENT] = ACTIONS(6023),
    [aux_sym_number_token1] = ACTIONS(6025),
    [aux_sym_signed_number_token1] = ACTIONS(8413),
    [anon_sym_SQUOTE] = ACTIONS(6029),
    [anon_sym_DQUOTE] = ACTIONS(6031),
    [sym__uppercase_identifier] = ACTIONS(6035),
    [aux_sym_tag_token1] = ACTIONS(6037),
    [sym_comment] = ACTIONS(5),
    [sym_line_number_directive] = ACTIONS(5),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300] = 29,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8939), 1,
      sym__lowercase_identifier,
    ACTIONS(8945), 1,
      anon_sym_LPAREN,
    ACTIONS(8948), 1,
      anon_sym_LBRACK,
    ACTIONS(8954), 1,
      anon_sym_LBRACE,
    ACTIONS(8957), 1,
      anon_sym_POUND,
    ACTIONS(8960), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8963), 1,
      anon_sym_begin,
    ACTIONS(8966), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8969), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8972), 1,
      aux_sym_number_token1,
    ACTIONS(8975), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8978), 1,
      anon_sym_SQUOTE,
    ACTIONS(8981), 1,
      anon_sym_DQUOTE,
    ACTIONS(8984), 1,
      sym__uppercase_identifier,
    ACTIONS(8987), 1,
      aux_sym_tag_token1,
    STATE(9786), 1,
      sym__simple_pattern,
    STATE(10013), 1,
      sym__constructor_name,
    STATE(22260), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8942), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(8951), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3328), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(9788), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(9886), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(8273), 5,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(10002), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(8278), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
    STATE(9838), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [573] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6105), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3331), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15722), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [933] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3335), 1,
      sym_attribute,
    STATE(4268), 1,
      sym__attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14443), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1593] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6143), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9012), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3343), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15835), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [1803] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8179), 1,
      anon_sym_COMMA,
    ACTIONS(8181), 1,
      anon_sym_LPAREN,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3345), 1,
      sym_attribute,
    STATE(4334), 1,
      sym__parenthesized_abstract_type,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(16488), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [1938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2013] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3347), 1,
      sym_attribute,
    STATE(4187), 1,
      sym__attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15524), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2148] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3348), 1,
      sym_attribute,
    STATE(4186), 1,
      sym__attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15501), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2358] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9018), 1,
      anon_sym_LT_DASH,
    STATE(3350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2435] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2587] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3353), 1,
      sym_attribute,
    STATE(4270), 1,
      sym__attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15119), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [2722] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2799] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9026), 1,
      anon_sym_LT_DASH,
    STATE(3355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [2876] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6113), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9028), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3356), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15806), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3086] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6405), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3358), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15808), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3221] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6045), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9032), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3359), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15700), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3356] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9034), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3360), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15847), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3566] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2105), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8998), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3362), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15722), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3701] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6123), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9036), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3363), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15874), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [3836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [3911] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3365), 1,
      sym_attribute,
    STATE(4343), 1,
      sym__attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(16479), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4046] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3366), 1,
      sym_attribute,
    STATE(4217), 1,
      sym__attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14443), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 38,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4481] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9038), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3371), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15747), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4616] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(6065), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9030), 1,
      anon_sym_RPAREN,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3372), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15808), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4751] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8593), 1,
      anon_sym_PERCENT,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3373), 1,
      sym_attribute,
    STATE(4195), 1,
      sym__attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14633), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [4886] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9040), 1,
      anon_sym_LT_DASH,
    STATE(3374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [4963] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [5114] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3377), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16296), 1,
      sym__simple_expression,
    STATE(16789), 1,
      sym_field_expression,
    STATE(19553), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [5244] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3378), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13861), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15209), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5376] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3379), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15940), 1,
      sym__simple_expression,
    STATE(17310), 1,
      sym_field_expression,
    STATE(21103), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [5506] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9074), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3380), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15060), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5638] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3381), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11700), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15240), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5770] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3382), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15210), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [5902] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3383), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13285), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15149), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6108] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3385), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15235), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6240] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3386), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13819), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15148), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6446] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3388), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15157), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [6652] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3390), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15165), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6784] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3391), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11413), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15175), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [6916] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3392), 1,
      sym_attribute,
    STATE(9496), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7418] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8179), 1,
      anon_sym_COMMA,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3398), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(16490), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [7550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7624] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3400), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15912), 1,
      sym__simple_expression,
    STATE(17030), 1,
      sym_field_expression,
    STATE(19758), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [7754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_DOT,
    STATE(3402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [7904] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3403), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(12281), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15240), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8036] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3404), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(9726), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15078), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [8538] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3410), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15021), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8670] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3411), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15101), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8802] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3412), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15027), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [8934] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3413), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15159), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9140] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3415), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11745), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15027), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9272] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3416), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11063), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15095), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9404] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9116), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3417), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15064), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9536] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9118), 1,
      anon_sym_LT_DASH,
    STATE(3418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9686] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [9762] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3421), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [9894] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9126), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3422), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10026] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3423), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15930), 1,
      sym__simple_expression,
    STATE(17188), 1,
      sym_field_expression,
    STATE(20232), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [10156] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3424), 1,
      sym_attribute,
    STATE(9609), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14972), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10288] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9128), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3425), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15062), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10420] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3426), 1,
      sym_attribute,
    STATE(9418), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14928), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [10848] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9134), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3431), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [10980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11054] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9136), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3433), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [11186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11704] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3441), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15901), 1,
      sym__simple_expression,
    STATE(16732), 1,
      sym_field_expression,
    STATE(19395), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [11834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [11908] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3443), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13183), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15135), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12188] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3446), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15109), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12320] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3447), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13244), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15101), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12600] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3450), 1,
      sym_attribute,
    STATE(9584), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14925), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [12732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [12880] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3453), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15175), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_DOT,
    ACTIONS(3581), 1,
      anon_sym_POUND,
    ACTIONS(3583), 1,
      sym_hash_operator,
    STATE(3454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13092] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3455), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13788), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15115), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [13224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13372] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3458), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15999), 1,
      sym__simple_expression,
    STATE(17350), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22120), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [13502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [13946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14020] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3466), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15047), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [14152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14522] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_DOT,
    STATE(3472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [14968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15042] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3479), 1,
      sym_attribute,
    STATE(9667), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15235), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15322] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3482), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11700), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15135), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15454] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3483), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15095), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15586] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3484), 1,
      sym_attribute,
    STATE(9665), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15054), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [15718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [15940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16902] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3579), 1,
      anon_sym_DOT,
    ACTIONS(3581), 1,
      anon_sym_POUND,
    ACTIONS(3583), 1,
      sym_hash_operator,
    STATE(3501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [16982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17130] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3504), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13266), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14931), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17410] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3507), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15946), 1,
      sym__simple_expression,
    STATE(17474), 1,
      sym_field_expression,
    STATE(21563), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [17540] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3508), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14973), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [17672] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9270), 1,
      anon_sym_LT_DASH,
    STATE(3509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [17896] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9280), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3512), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18028] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18104] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9282), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3514), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18310] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3516), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11700), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15030), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [18442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18590] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3627), 1,
      anon_sym_DOT,
    ACTIONS(3629), 1,
      anon_sym_POUND,
    ACTIONS(3631), 1,
      sym_hash_operator,
    STATE(3519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18670] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3520), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15906), 1,
      sym__simple_expression,
    STATE(16742), 1,
      sym_field_expression,
    STATE(19719), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [18800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [18948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19096] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3627), 1,
      anon_sym_DOT,
    ACTIONS(3629), 1,
      anon_sym_POUND,
    ACTIONS(3631), 1,
      sym_hash_operator,
    STATE(3525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19324] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9308), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3528), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19678] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9318), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3532), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [19810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [19958] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3535), 1,
      sym_attribute,
    STATE(9559), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15251), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20090] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3536), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13458), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15030), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20296] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3538), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16082), 1,
      sym__simple_expression,
    STATE(16842), 1,
      sym_field_expression,
    STATE(21928), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20648] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3542), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13300), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15189), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [20780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [20854] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3544), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15950), 1,
      sym__simple_expression,
    STATE(17618), 1,
      sym_field_expression,
    STATE(20682), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [20984] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_as,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3552), 1,
      sym_tag,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14747), 1,
      sym__binding_pattern,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3545), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5821), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [21116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21264] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(3548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [21562] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_as,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14814), 1,
      sym__binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3552), 2,
      sym_attribute,
      sym_tag,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5821), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [21694] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3553), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14964), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21826] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3554), 1,
      sym_attribute,
    STATE(9333), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15068), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [21958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22328] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9338), 1,
      anon_sym_LT_DASH,
    STATE(3560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22700] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3627), 1,
      anon_sym_DOT,
    STATE(3565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22776] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3566), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11700), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15148), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [22908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [22982] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3568), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(10724), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23262] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3571), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15975), 1,
      sym__simple_expression,
    STATE(17756), 1,
      sym_field_expression,
    STATE(19537), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [23614] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3575), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16350), 1,
      sym__simple_expression,
    STATE(16899), 1,
      sym_field_expression,
    STATE(19357), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [23744] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3576), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13959), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15186), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [23876] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3577), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14931), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24082] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9344), 1,
      anon_sym_LT_DASH,
    STATE(3579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24158] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24234] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24310] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(3582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24608] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3586), 1,
      sym_attribute,
    STATE(9482), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14973), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [24740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [24888] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3589), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16330), 1,
      sym__simple_expression,
    STATE(16715), 1,
      sym_field_expression,
    STATE(19435), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25092] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3591), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16321), 1,
      sym__simple_expression,
    STATE(16622), 1,
      sym_field_expression,
    STATE(19471), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [25222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [25962] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3602), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16313), 1,
      sym__simple_expression,
    STATE(16634), 1,
      sym_field_expression,
    STATE(19501), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26092] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3603), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14925), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26224] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3604), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16218), 1,
      sym__simple_expression,
    STATE(16703), 1,
      sym_field_expression,
    STATE(19532), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [26354] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9360), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3605), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15056), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26782] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3610), 1,
      sym_attribute,
    STATE(9456), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15165), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [26914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [26988] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9362), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3612), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27120] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9364), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3613), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27252] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3614), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16289), 1,
      sym__simple_expression,
    STATE(16877), 1,
      sym_field_expression,
    STATE(19590), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27382] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [27456] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3616), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16283), 1,
      sym__simple_expression,
    STATE(17006), 1,
      sym_field_expression,
    STATE(19623), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27586] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3617), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16033), 1,
      sym__simple_expression,
    STATE(17722), 1,
      sym_field_expression,
    STATE(21927), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [27716] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9366), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3618), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27848] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3619), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15068), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [27980] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9368), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3620), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28112] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3621), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16270), 1,
      sym__simple_expression,
    STATE(17105), 1,
      sym_field_expression,
    STATE(19657), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28316] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9370), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3623), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28448] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9372), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3624), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28580] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3625), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15989), 1,
      sym__simple_expression,
    STATE(17930), 1,
      sym_field_expression,
    STATE(19991), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [28710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28784] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3627), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14942), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [28916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [28990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29064] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3630), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15935), 1,
      sym__simple_expression,
    STATE(17142), 1,
      sym_field_expression,
    STATE(20210), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29268] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3632), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15251), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29474] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3634), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16262), 1,
      sym__simple_expression,
    STATE(17171), 1,
      sym_field_expression,
    STATE(19685), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [29604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29678] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9382), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3636), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(14909), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [29810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [29884] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9388), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3638), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14907), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30090] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3640), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(12562), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15053), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30296] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3642), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16043), 1,
      sym__simple_expression,
    STATE(17613), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22137), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30500] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3644), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13695), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15155), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [30632] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3645), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16052), 1,
      sym__simple_expression,
    STATE(17509), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22339), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [30762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [30910] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3648), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16253), 1,
      sym__simple_expression,
    STATE(17258), 1,
      sym_field_expression,
    STATE(19717), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31262] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3652), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16058), 1,
      sym__simple_expression,
    STATE(17281), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22532), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [31392] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(3653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31542] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3655), 1,
      sym_attribute,
    STATE(9491), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15210), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31748] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3657), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(10095), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14964), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [31880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [31954] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3659), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16342), 1,
      sym__simple_expression,
    STATE(16807), 1,
      sym_field_expression,
    STATE(19400), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32158] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3661), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15999), 1,
      sym__simple_expression,
    STATE(17350), 1,
      sym_field_expression,
    STATE(21240), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32362] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32436] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3664), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16239), 1,
      sym__simple_expression,
    STATE(17333), 1,
      sym_field_expression,
    STATE(19772), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [32566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [32862] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3669), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11700), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14982), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [32994] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3670), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16230), 1,
      sym__simple_expression,
    STATE(17416), 1,
      sym_field_expression,
    STATE(19943), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33198] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3672), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16225), 1,
      sym__simple_expression,
    STATE(17525), 1,
      sym_field_expression,
    STATE(20087), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33328] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9402), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3673), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [33460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33534] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(3675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [33832] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3679), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16067), 1,
      sym__simple_expression,
    STATE(16875), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22161), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [33962] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34036] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3681), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15167), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34168] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3682), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13322), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14982), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34300] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9404), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3683), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15125), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34506] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9406), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3685), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [34638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34786] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3688), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16212), 1,
      sym__simple_expression,
    STATE(17623), 1,
      sym_field_expression,
    STATE(20246), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [34916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [34990] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3690), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15189), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35122] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3691), 1,
      sym_attribute,
    STATE(9426), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15047), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35254] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9408), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3692), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15121), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [35386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35460] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3694), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16205), 1,
      sym__simple_expression,
    STATE(17734), 1,
      sym_field_expression,
    STATE(20358), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [35590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [35886] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9410), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3699), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(14951), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36018] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3700), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13337), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15209), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [36150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36372] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [36818] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3710), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16022), 1,
      sym__simple_expression,
    STATE(17920), 1,
      sym_field_expression,
    STATE(21672), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [36948] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9412), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3711), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37080] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9414), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3712), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37212] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3713), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15155), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37344] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3714), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37476] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9418), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3715), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [37682] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3717), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13861), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14981), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37814] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3718), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15054), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [37946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38020] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3720), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16189), 1,
      sym__simple_expression,
    STATE(17822), 1,
      sym_field_expression,
    STATE(20509), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [38150] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9420), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3721), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38282] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9422), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3722), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [38414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38636] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9424), 1,
      anon_sym_LT_DASH,
    STATE(3726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [38934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39082] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3732), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16181), 1,
      sym__simple_expression,
    STATE(17982), 1,
      sym_field_expression,
    STATE(20643), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [39212] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3733), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15115), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [39788] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9426), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3740), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [39920] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3741), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15996), 1,
      sym__simple_expression,
    STATE(18076), 1,
      sym_field_expression,
    STATE(20934), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [40050] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9428), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3742), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40182] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9430), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3743), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15098), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40314] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9432), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3744), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15100), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40446] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3745), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16172), 1,
      sym__simple_expression,
    STATE(18063), 1,
      sym_field_expression,
    STATE(20783), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [40576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40650] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3747), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14928), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [40856] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3749), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13853), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15021), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [40988] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41138] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3752), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16094), 1,
      sym__simple_expression,
    STATE(17081), 1,
      sym_field_expression,
    STATE(21797), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41342] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3754), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16280), 1,
      sym__simple_expression,
    STATE(17736), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22036), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41546] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41620] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3757), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16163), 1,
      sym__simple_expression,
    STATE(18125), 1,
      sym_field_expression,
    STATE(20984), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [41750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [41824] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9434), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3759), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14955), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [41956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42326] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3765), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16151), 1,
      sym__simple_expression,
    STATE(18024), 1,
      sym_field_expression,
    STATE(21183), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [42456] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3766), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15149), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42588] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9436), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3767), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [42720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [42942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [43016] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3772), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(13917), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14981), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43148] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9438), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3773), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43280] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9440), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3774), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(14943), 1,
      sym__pattern,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43412] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3775), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(11700), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15053), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43544] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9442), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3776), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14947), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43676] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3777), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(9936), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14942), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43808] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9444), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3778), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [43940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44014] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3780), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15078), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [44146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44220] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3782), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16136), 1,
      sym__simple_expression,
    STATE(18068), 1,
      sym_field_expression,
    STATE(21584), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [44350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44498] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9446), 1,
      anon_sym_LT_DASH,
    STATE(3785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [44796] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3789), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16132), 1,
      sym__simple_expression,
    STATE(17792), 1,
      sym_field_expression,
    STATE(21308), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [44926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45074] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3792), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16128), 1,
      sym__simple_expression,
    STATE(17526), 1,
      sym_field_expression,
    STATE(21425), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [45204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45352] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3795), 1,
      sym_attribute,
    STATE(9302), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15159), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45558] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9448), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3797), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45690] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9450), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3798), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [45822] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(3799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [45972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [46416] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3807), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15201), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46548] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9452), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3808), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46680] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3809), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16079), 1,
      sym__simple_expression,
    STATE(17259), 1,
      sym_field_expression,
    STATE(21671), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [46810] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9454), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3810), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [46942] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9456), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3811), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47074] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3812), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16007), 1,
      sym__simple_expression,
    STATE(18048), 1,
      sym_field_expression,
    STATE(21429), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47204] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_DOT,
    ACTIONS(3619), 1,
      anon_sym_POUND,
    ACTIONS(3621), 1,
      sym_hash_operator,
    STATE(3813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [47580] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3818), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16076), 1,
      sym__simple_expression,
    STATE(16605), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    STATE(22038), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47710] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(3819), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16112), 1,
      sym__simple_expression,
    STATE(17414), 1,
      sym_field_expression,
    STATE(21552), 1,
      sym__quoted_string,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [47840] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3820), 1,
      sym_attribute,
    STATE(9341), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15186), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [47972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48046] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3822), 1,
      sym_attribute,
    STATE(9348), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15109), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 37,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48326] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(3825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48402] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3617), 1,
      anon_sym_DOT,
    ACTIONS(3619), 1,
      anon_sym_POUND,
    ACTIONS(3621), 1,
      sym_hash_operator,
    STATE(3826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48704] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    ACTIONS(9458), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(3830), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15247), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [48836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [48910] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9460), 1,
      anon_sym_RBRACK,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(3832), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15239), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49042] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3833), 1,
      sym_attribute,
    STATE(9129), 1,
      sym_match_case,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14972), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49174] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3834), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(9774), 1,
      sym_match_case,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15157), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [49306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49453] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(3837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [49893] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3843), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15160), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50168] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3846), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15169), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [50297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50589] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(3851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [50737] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14814), 1,
      sym__binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3853), 2,
      sym_attribute,
      sym_tag,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5821), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [50868] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(3853), 1,
      sym_tag,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14747), 1,
      sym__binding_pattern,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 2,
      anon_sym_COLON2,
      anon_sym_as,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3854), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5821), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_COLON_COLON,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [50999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51145] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3677), 1,
      anon_sym_DOT,
    STATE(3857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [51950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52169] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52242] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52607] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3877), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15187), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [52809] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3879), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15191), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [52938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53303] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53741] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53814] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [53960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54544] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3902), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15224), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [54746] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3904), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15226), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [54875] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3905), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15249), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55004] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3906), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15234), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55133] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3907), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15220), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55262] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3908), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15218), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55391] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3909), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15202), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55520] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3910), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15185), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55649] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3911), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15183), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55778] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3912), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15035), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [55907] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [55980] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3914), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15178), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56328] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3918), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15174), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [56457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [56968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57041] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3927), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15211), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [57170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57900] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [57973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58630] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58849] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(3951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [58997] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9462), 1,
      anon_sym_LT_DASH,
    STATE(3953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3677), 1,
      anon_sym_DOT,
    ACTIONS(3679), 1,
      anon_sym_POUND,
    ACTIONS(3681), 1,
      sym_hash_operator,
    STATE(3959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [59808] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3964), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15124), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [59937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60083] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3967), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15156), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [60212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60285] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(3969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60433] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [60871] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3977), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15145), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61000] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3978), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15143), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61202] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3980), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15139), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61477] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3983), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15138), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61606] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3984), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15134), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [61735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [61881] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3987), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15133), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62083] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(3989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62669] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3997), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15123), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [62798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(3998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [62871] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(3999), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15113), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3655), 1,
      anon_sym_DOT,
    STATE(4000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63075] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4001), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15103), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63423] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4005), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15161), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [63552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [63917] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4011), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14997), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [64046] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3677), 1,
      anon_sym_DOT,
    ACTIONS(3679), 1,
      anon_sym_POUND,
    ACTIONS(3681), 1,
      sym_hash_operator,
    STATE(4012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [64928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65658] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3655), 1,
      anon_sym_DOT,
    ACTIONS(3657), 1,
      anon_sym_POUND,
    ACTIONS(3659), 1,
      sym_hash_operator,
    STATE(4034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65737] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4035), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15099), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [65866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [65939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66596] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4046), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15071), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [66725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [66944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67090] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4052), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15031), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67513] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4057), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14996), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [67642] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67863] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [67936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68082] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4064), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15087), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68211] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4065), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15076), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68340] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3655), 1,
      anon_sym_DOT,
    ACTIONS(3657), 1,
      anon_sym_POUND,
    ACTIONS(3659), 1,
      sym_hash_operator,
    STATE(4066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68492] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68786] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4072), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15010), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [68915] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [68990] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4074), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14987), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69265] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4077), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15273), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [69540] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4080), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14927), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69669] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4185), 1,
      sym_tag,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15433), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4081), 2,
      sym_attribute,
      sym_constructor_path,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5821), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [69800] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4082), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14926), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [69929] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70077] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4085), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14919), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70279] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4087), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14924), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70408] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4088), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14963), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [70537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [70904] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4094), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15061), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71033] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4095), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15057), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71235] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4097), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15028), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [71437] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4099), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15006), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71566] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4100), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14990), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71695] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4101), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15106), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71824] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4102), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14941), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [71953] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4103), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14939), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72082] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4104), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14912), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72211] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4105), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14915), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72413] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    ACTIONS(3771), 1,
      anon_sym_POUND,
    ACTIONS(3773), 1,
      sym_hash_operator,
    STATE(4107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [72492] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4108), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14918), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72621] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4109), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14922), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72750] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4110), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14936), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [72879] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4111), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14953), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73081] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4113), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14995), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73210] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4114), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15015), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73631] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4119), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14986), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [73760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [73979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74782] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4134), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15093), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [74911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [74984] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4136), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15004), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [75113] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    STATE(4137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75334] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4140), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(20292), 1,
      sym_open_module,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [75475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [75986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76351] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4153), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14998), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76626] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3769), 1,
      anon_sym_DOT,
    ACTIONS(3771), 1,
      anon_sym_POUND,
    ACTIONS(3773), 1,
      sym_hash_operator,
    STATE(4156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [76778] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4158), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15105), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [76907] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4159), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15128), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77182] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4162), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15151), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77384] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4164), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15141), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [77586] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4166), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15162), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77715] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4167), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15184), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77844] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4168), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15195), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [77973] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4169), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15250), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78321] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4173), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15111), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78450] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4174), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15040), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78579] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4175), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15046), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78708] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4176), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15077), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [78837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [78983] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4179), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15080), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79112] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4180), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21110), 1,
      sym_open_module,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [79253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79326] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4182), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14905), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [79528] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4184), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15190), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79657] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15438), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 2,
      anon_sym_PIPE,
      anon_sym_as,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4185), 2,
      sym_attribute,
      sym_tag,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(5821), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [79788] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4186), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15589), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [79917] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4187), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15593), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80338] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4192), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21472), 1,
      sym_open_module,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [80479] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80554] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4194), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15127), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80683] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4195), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14603), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [80812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [80885] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4197), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15066), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81014] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4198), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15392), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81216] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4200), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15140), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81345] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4201), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15172), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81474] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4202), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14599), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81603] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4203), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14595), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81732] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4204), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15147), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [81861] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [81936] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4206), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14597), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82138] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4208), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14320), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82340] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4210), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15063), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [82469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [82907] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4217), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14309), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83109] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4219), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    STATE(22015), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [83250] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4220), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15041), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83379] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4221), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15624), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83654] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4224), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15615), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83783] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4225), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14975), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [83912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [83985] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4227), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15611), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84114] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4228), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    STATE(22420), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [84255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      sym_hash_operator,
    STATE(4232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84553] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4233), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15055), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [84755] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4235), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15197), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [84884] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4236), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15168), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85013] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4237), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15179), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85507] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4243), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21389), 1,
      sym_open_module,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [85648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [85794] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8561), 1,
      anon_sym_exception,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8567), 1,
      anon_sym_lazy,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8571), 1,
      anon_sym_effect,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8585), 1,
      sym__uppercase_identifier,
    ACTIONS(8587), 1,
      aux_sym_tag_token1,
    ACTIONS(8589), 1,
      anon_sym_LPAREN,
    STATE(2956), 1,
      sym_constructor_path,
    STATE(2957), 1,
      sym_tag,
    STATE(4246), 1,
      sym_attribute,
    STATE(10630), 1,
      sym__constructor_name,
    STATE(15237), 1,
      sym__signed_constant,
    STATE(15323), 1,
      sym__pattern,
    STATE(21929), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(15308), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15303), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(15283), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [85923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    ACTIONS(3731), 1,
      anon_sym_POUND,
    ACTIONS(3733), 1,
      sym_hash_operator,
    STATE(4247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86148] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3795), 1,
      anon_sym_DOT,
    ACTIONS(3797), 1,
      anon_sym_POUND,
    ACTIONS(3799), 1,
      sym_hash_operator,
    STATE(4250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86738] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4258), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15231), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [86867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [86940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87013] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4261), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14320), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87142] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4262), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15085), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87346] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9476), 1,
      anon_sym_LT_DASH,
    STATE(4264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87421] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4265), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15091), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87623] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4267), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15092), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87752] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4268), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(14309), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [87881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [87954] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4270), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15094), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88083] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4271), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15075), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88285] = 39,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8741), 1,
      anon_sym_rec,
    ACTIONS(8747), 1,
      anon_sym_open,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(4273), 1,
      sym_attribute,
    STATE(5514), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(20116), 1,
      sym_open_module,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [88426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88499] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4275), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15007), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [88628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88847] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [88920] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4280), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15192), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [89049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3729), 1,
      anon_sym_DOT,
    STATE(4288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [89927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90000] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [90949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91168] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4310), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15204), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91297] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4311), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15245), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [91426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [91937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92448] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92523] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4327), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15253), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [92652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9478), 1,
      anon_sym_LT_DASH,
    STATE(4328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [92946] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4332), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15292), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93148] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4334), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(16355), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93423] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    ACTIONS(3723), 1,
      sym_hash_operator,
    STATE(4337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [93867] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4343), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(16372), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [93996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94142] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4346), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15236), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94344] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_DOT,
    STATE(4348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94419] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4349), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15241), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [94548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [94986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95059] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3795), 1,
      anon_sym_DOT,
    ACTIONS(3797), 1,
      anon_sym_POUND,
    ACTIONS(3799), 1,
      sym_hash_operator,
    STATE(4357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95649] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [95941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96379] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96817] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3719), 1,
      anon_sym_DOT,
    ACTIONS(3721), 1,
      anon_sym_POUND,
    ACTIONS(3723), 1,
      sym_hash_operator,
    STATE(4381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [96969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97042] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8407), 1,
      anon_sym_exception,
    ACTIONS(8409), 1,
      anon_sym_lazy,
    ACTIONS(8411), 1,
      anon_sym_effect,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2950), 1,
      sym_constructor_path,
    STATE(2955), 1,
      sym_tag,
    STATE(4384), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15510), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [97171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [97974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98558] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4404), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15221), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [98687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [98979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99052] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3795), 1,
      anon_sym_DOT,
    STATE(4410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99346] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4414), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15230), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [99840] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4420), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15227), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [99969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100042] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4422), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15222), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100536] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4428), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15217), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100738] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6005), 1,
      anon_sym_exception,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6015), 1,
      anon_sym_lazy,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6019), 1,
      anon_sym_effect,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(2926), 1,
      sym_constructor_path,
    STATE(2930), 1,
      sym_tag,
    STATE(4430), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(14262), 1,
      sym__signed_constant,
    STATE(15216), 1,
      sym__pattern,
    STATE(19813), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14515), 8,
      sym__effect_pattern,
      sym_alias_pattern,
      sym_or_pattern,
      sym_tuple_pattern,
      sym_cons_pattern,
      sym_range_pattern,
      sym_exception_pattern,
      sym_effect_pattern,
    STATE(14378), 12,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [100867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [100940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 36,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101669] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4442), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16136), 1,
      sym__simple_expression,
    STATE(18068), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [101793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [101937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102009] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      sym__lowercase_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_object,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9494), 1,
      anon_sym_new,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9498), 1,
      anon_sym_begin,
    ACTIONS(9500), 1,
      sym_ocamlyacc_value,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9508), 1,
      aux_sym_number_token1,
    ACTIONS(9510), 1,
      anon_sym_SQUOTE,
    ACTIONS(9512), 1,
      anon_sym_DQUOTE,
    ACTIONS(9514), 1,
      sym_prefix_operator,
    ACTIONS(9516), 1,
      sym__uppercase_identifier,
    ACTIONS(9518), 1,
      aux_sym_tag_token1,
    STATE(4446), 1,
      sym_attribute,
    STATE(5139), 1,
      sym__attribute,
    STATE(8584), 1,
      sym__value_name,
    STATE(8603), 1,
      sym__simple_expression,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8653), 1,
      sym__constructor_name,
    STATE(20129), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8690), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8580), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102349] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      sym__lowercase_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_object,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9494), 1,
      anon_sym_new,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9498), 1,
      anon_sym_begin,
    ACTIONS(9500), 1,
      sym_ocamlyacc_value,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9508), 1,
      aux_sym_number_token1,
    ACTIONS(9510), 1,
      anon_sym_SQUOTE,
    ACTIONS(9512), 1,
      anon_sym_DQUOTE,
    ACTIONS(9514), 1,
      sym_prefix_operator,
    ACTIONS(9516), 1,
      sym__uppercase_identifier,
    ACTIONS(9518), 1,
      aux_sym_tag_token1,
    STATE(4450), 1,
      sym_attribute,
    STATE(5140), 1,
      sym__attribute,
    STATE(8584), 1,
      sym__value_name,
    STATE(8605), 1,
      sym__simple_expression,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8653), 1,
      sym__constructor_name,
    STATE(20129), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8690), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8580), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102689] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4454), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16043), 1,
      sym__simple_expression,
    STATE(17613), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [102813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [102885] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4456), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15906), 1,
      sym__simple_expression,
    STATE(16742), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [103009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    STATE(4461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103371] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9524), 1,
      anon_sym_COLON,
    STATE(4462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [103445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [103949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104093] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104599] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [104959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105319] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105537] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      sym_hash_operator,
    STATE(4492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [105615] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9526), 1,
      sym__lowercase_identifier,
    ACTIONS(9528), 1,
      anon_sym_LPAREN,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACE,
    ACTIONS(9536), 1,
      anon_sym_object,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9540), 1,
      anon_sym_new,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9544), 1,
      anon_sym_begin,
    ACTIONS(9546), 1,
      sym_ocamlyacc_value,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9552), 1,
      aux_sym_number_token1,
    ACTIONS(9554), 1,
      anon_sym_SQUOTE,
    ACTIONS(9556), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym_prefix_operator,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(9562), 1,
      aux_sym_tag_token1,
    STATE(4493), 1,
      sym_attribute,
    STATE(5395), 1,
      sym__attribute,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(8786), 1,
      sym__simple_expression,
    STATE(8792), 1,
      sym__value_name,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(21690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105739] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9564), 1,
      sym__lowercase_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_object,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9578), 1,
      anon_sym_new,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9582), 1,
      anon_sym_begin,
    ACTIONS(9584), 1,
      sym_ocamlyacc_value,
    ACTIONS(9586), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9588), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9590), 1,
      aux_sym_number_token1,
    ACTIONS(9592), 1,
      anon_sym_SQUOTE,
    ACTIONS(9594), 1,
      anon_sym_DQUOTE,
    ACTIONS(9596), 1,
      sym_prefix_operator,
    ACTIONS(9598), 1,
      sym__uppercase_identifier,
    ACTIONS(9600), 1,
      aux_sym_tag_token1,
    STATE(4494), 1,
      sym_attribute,
    STATE(5374), 1,
      sym__attribute,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8586), 1,
      sym__value_name,
    STATE(8643), 1,
      sym__simple_expression,
    STATE(8726), 1,
      sym__constructor_name,
    STATE(19730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8725), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105863] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9564), 1,
      sym__lowercase_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_object,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9578), 1,
      anon_sym_new,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9582), 1,
      anon_sym_begin,
    ACTIONS(9584), 1,
      sym_ocamlyacc_value,
    ACTIONS(9586), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9588), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9590), 1,
      aux_sym_number_token1,
    ACTIONS(9592), 1,
      anon_sym_SQUOTE,
    ACTIONS(9594), 1,
      anon_sym_DQUOTE,
    ACTIONS(9596), 1,
      sym_prefix_operator,
    ACTIONS(9598), 1,
      sym__uppercase_identifier,
    ACTIONS(9600), 1,
      aux_sym_tag_token1,
    STATE(4495), 1,
      sym_attribute,
    STATE(5387), 1,
      sym__attribute,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8586), 1,
      sym__value_name,
    STATE(8645), 1,
      sym__simple_expression,
    STATE(8726), 1,
      sym__constructor_name,
    STATE(19730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8725), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [105987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106203] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9526), 1,
      sym__lowercase_identifier,
    ACTIONS(9528), 1,
      anon_sym_LPAREN,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACE,
    ACTIONS(9536), 1,
      anon_sym_object,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9540), 1,
      anon_sym_new,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9544), 1,
      anon_sym_begin,
    ACTIONS(9546), 1,
      sym_ocamlyacc_value,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9552), 1,
      aux_sym_number_token1,
    ACTIONS(9554), 1,
      anon_sym_SQUOTE,
    ACTIONS(9556), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym_prefix_operator,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(9562), 1,
      aux_sym_tag_token1,
    STATE(4499), 1,
      sym_attribute,
    STATE(5369), 1,
      sym__attribute,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(8787), 1,
      sym__simple_expression,
    STATE(8792), 1,
      sym__value_name,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(21690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106327] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4500), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16033), 1,
      sym__simple_expression,
    STATE(17722), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [106451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [106883] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4507), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16058), 1,
      sym__simple_expression,
    STATE(17281), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107079] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3817), 1,
      anon_sym_DOT,
    ACTIONS(3819), 1,
      anon_sym_POUND,
    ACTIONS(3821), 1,
      sym_hash_operator,
    STATE(4509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107445] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4514), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16067), 1,
      sym__simple_expression,
    STATE(16875), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [107857] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4519), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16342), 1,
      sym__simple_expression,
    STATE(16807), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [107981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108197] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4523), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15901), 1,
      sym__simple_expression,
    STATE(16732), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108537] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4527), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16022), 1,
      sym__simple_expression,
    STATE(17920), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [108661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [108877] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4531), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16350), 1,
      sym__simple_expression,
    STATE(16899), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109001] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4532), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16330), 1,
      sym__simple_expression,
    STATE(16715), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109197] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109559] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4539), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16321), 1,
      sym__simple_expression,
    STATE(16622), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [109683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109899] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [109973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110189] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4547), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16313), 1,
      sym__simple_expression,
    STATE(16634), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110313] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4548), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15912), 1,
      sym__simple_expression,
    STATE(17030), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110437] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4549), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16296), 1,
      sym__simple_expression,
    STATE(16789), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 36,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110633] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4551), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16218), 1,
      sym__simple_expression,
    STATE(16703), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [110757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [110901] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4554), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16052), 1,
      sym__simple_expression,
    STATE(17509), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111097] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4556), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16289), 1,
      sym__simple_expression,
    STATE(16877), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111221] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4557), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16283), 1,
      sym__simple_expression,
    STATE(17006), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111345] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4558), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15930), 1,
      sym__simple_expression,
    STATE(17188), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111541] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4560), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16270), 1,
      sym__simple_expression,
    STATE(17105), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111665] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4561), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16262), 1,
      sym__simple_expression,
    STATE(17171), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [111789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [111933] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4564), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15940), 1,
      sym__simple_expression,
    STATE(17310), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112057] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4565), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16253), 1,
      sym__simple_expression,
    STATE(17258), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112181] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4566), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15935), 1,
      sym__simple_expression,
    STATE(17142), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112305] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4567), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16076), 1,
      sym__simple_expression,
    STATE(16605), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [112861] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4574), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16082), 1,
      sym__simple_expression,
    STATE(16842), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [112985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [113489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113633] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4584), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16094), 1,
      sym__simple_expression,
    STATE(17081), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113757] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4585), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16007), 1,
      sym__simple_expression,
    STATE(18048), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [113881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [113953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114025] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4588), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16079), 1,
      sym__simple_expression,
    STATE(17259), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114149] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4589), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16239), 1,
      sym__simple_expression,
    STATE(17333), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114345] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114419] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4592), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15946), 1,
      sym__simple_expression,
    STATE(17474), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114543] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9606), 1,
      anon_sym_LT_DASH,
    STATE(4593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114617] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4594), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16230), 1,
      sym__simple_expression,
    STATE(17416), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [114741] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9608), 1,
      anon_sym_COLON,
    STATE(4595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [114815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [114887] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4597), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15999), 1,
      sym__simple_expression,
    STATE(17350), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115227] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4601), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16225), 1,
      sym__simple_expression,
    STATE(17525), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [115423] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4603), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16112), 1,
      sym__simple_expression,
    STATE(17414), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115547] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4604), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16212), 1,
      sym__simple_expression,
    STATE(17623), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [115671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115743] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [115959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116103] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9610), 1,
      sym__lowercase_identifier,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_LBRACE,
    ACTIONS(9618), 1,
      anon_sym_begin,
    ACTIONS(9620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9624), 1,
      aux_sym_number_token1,
    ACTIONS(9626), 1,
      anon_sym_SQUOTE,
    ACTIONS(9628), 1,
      anon_sym_DQUOTE,
    ACTIONS(9630), 1,
      sym_prefix_operator,
    STATE(4611), 1,
      sym_attribute,
    STATE(5165), 1,
      sym__attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8432), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8393), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116227] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9610), 1,
      sym__lowercase_identifier,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_LBRACE,
    ACTIONS(9618), 1,
      anon_sym_begin,
    ACTIONS(9620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9624), 1,
      aux_sym_number_token1,
    ACTIONS(9626), 1,
      anon_sym_SQUOTE,
    ACTIONS(9628), 1,
      anon_sym_DQUOTE,
    ACTIONS(9630), 1,
      sym_prefix_operator,
    STATE(4612), 1,
      sym_attribute,
    STATE(5106), 1,
      sym__attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8430), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8393), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116495] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4615), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15950), 1,
      sym__simple_expression,
    STATE(17618), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [116835] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4619), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16205), 1,
      sym__simple_expression,
    STATE(17734), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [116959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117679] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4630), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16189), 1,
      sym__simple_expression,
    STATE(17822), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [117803] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    ACTIONS(3829), 1,
      anon_sym_POUND,
    ACTIONS(3831), 1,
      sym_hash_operator,
    STATE(4631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [117953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118025] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4634), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16128), 1,
      sym__simple_expression,
    STATE(17526), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118437] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118511] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9632), 1,
      anon_sym_LT_DASH,
    STATE(4640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118657] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9634), 1,
      sym__lowercase_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      anon_sym_object,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9648), 1,
      anon_sym_new,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9652), 1,
      anon_sym_begin,
    ACTIONS(9654), 1,
      sym_ocamlyacc_value,
    ACTIONS(9656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9660), 1,
      aux_sym_number_token1,
    ACTIONS(9662), 1,
      anon_sym_SQUOTE,
    ACTIONS(9664), 1,
      anon_sym_DQUOTE,
    ACTIONS(9666), 1,
      sym_prefix_operator,
    ACTIONS(9668), 1,
      sym__uppercase_identifier,
    ACTIONS(9670), 1,
      aux_sym_tag_token1,
    STATE(4642), 1,
      sym_attribute,
    STATE(5235), 1,
      sym__attribute,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10830), 1,
      sym__constructor_name,
    STATE(10860), 1,
      sym__value_name,
    STATE(10914), 1,
      sym__simple_expression,
    STATE(19883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10868), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11080), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [118853] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9506), 1,
      anon_sym_PERCENT,
    ACTIONS(9634), 1,
      sym__lowercase_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      anon_sym_object,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9648), 1,
      anon_sym_new,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9652), 1,
      anon_sym_begin,
    ACTIONS(9654), 1,
      sym_ocamlyacc_value,
    ACTIONS(9656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9660), 1,
      aux_sym_number_token1,
    ACTIONS(9662), 1,
      anon_sym_SQUOTE,
    ACTIONS(9664), 1,
      anon_sym_DQUOTE,
    ACTIONS(9666), 1,
      sym_prefix_operator,
    ACTIONS(9668), 1,
      sym__uppercase_identifier,
    ACTIONS(9670), 1,
      aux_sym_tag_token1,
    STATE(4644), 1,
      sym_attribute,
    STATE(5212), 1,
      sym__attribute,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10830), 1,
      sym__constructor_name,
    STATE(10860), 1,
      sym__value_name,
    STATE(10906), 1,
      sym__simple_expression,
    STATE(19883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10868), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11080), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [118977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119121] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      sym_hash_operator,
    STATE(4647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119199] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119271] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119417] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4651), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15975), 1,
      sym__simple_expression,
    STATE(17756), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [119541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [119973] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120047] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4659), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16181), 1,
      sym__simple_expression,
    STATE(17982), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [120171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    ACTIONS(3809), 1,
      anon_sym_POUND,
    ACTIONS(3811), 1,
      sym_hash_operator,
    STATE(4661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120393] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120827] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9672), 1,
      anon_sym_LT_DASH,
    STATE(4669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [120973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121333] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9674), 1,
      anon_sym_COLON,
    STATE(4676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [121407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121479] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    STATE(4678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [121841] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4683), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15996), 1,
      sym__simple_expression,
    STATE(18076), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [121965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122037] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4685), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16132), 1,
      sym__simple_expression,
    STATE(17792), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122449] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4690), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16151), 1,
      sym__simple_expression,
    STATE(18024), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [122573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122717] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [122933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123365] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4702), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16163), 1,
      sym__simple_expression,
    STATE(18125), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123561] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4704), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(15989), 1,
      sym__simple_expression,
    STATE(17930), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [123685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [123973] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124477] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3827), 1,
      anon_sym_DOT,
    ACTIONS(3829), 1,
      anon_sym_POUND,
    ACTIONS(3831), 1,
      sym_hash_operator,
    STATE(4716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124627] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4718), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16280), 1,
      sym__simple_expression,
    STATE(17736), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [124751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [124967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [125975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126047] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126407] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126623] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3807), 1,
      anon_sym_DOT,
    STATE(4745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126769] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9046), 1,
      sym__lowercase_identifier,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(4747), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15818), 1,
      sym_field_path,
    STATE(16172), 1,
      sym__simple_expression,
    STATE(18063), 1,
      sym_field_expression,
    STATE(22035), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [126893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [126965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [127610] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4758), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127802] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4760), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [127923] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [127994] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4762), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128186] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9676), 1,
      anon_sym_rec,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2849), 1,
      sym__binding_pattern,
    STATE(4764), 1,
      sym_attribute,
    STATE(5511), 1,
      sym__attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13064), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [128321] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4765), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128442] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4766), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128563] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4767), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [128684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [128968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129252] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    ACTIONS(4031), 1,
      anon_sym_POUND,
    ACTIONS(4033), 1,
      sym_hash_operator,
    STATE(4776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129329] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9682), 1,
      anon_sym_COLON,
    STATE(4777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [129402] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4778), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [129523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [129949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130446] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_POUND,
    ACTIONS(4549), 1,
      sym_hash_operator,
    STATE(4792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130736] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4796), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [130857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [130928] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131001] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    STATE(4799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131287] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131358] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4804), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131479] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4805), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [131600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [131884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [131955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [132949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133091] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 35,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [133235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133519] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    STATE(4833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [133876] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9684), 1,
      anon_sym_rec,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(2857), 1,
      sym__binding_pattern,
    STATE(4838), 1,
      sym_attribute,
    STATE(5530), 1,
      sym__attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(13115), 1,
      sym_let_binding,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [134011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134508] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4029), 1,
      anon_sym_DOT,
    ACTIONS(4031), 1,
      anon_sym_POUND,
    ACTIONS(4033), 1,
      sym_hash_operator,
    STATE(4846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [134940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135295] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9690), 1,
      anon_sym_COLON,
    STATE(4857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [135368] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4858), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [135489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [135988] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4866), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136322] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136535] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4873), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [136656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [136940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137295] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4883), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137416] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4884), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137608] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137752] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3787), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4888), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [137873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [137944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138015] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4545), 1,
      anon_sym_DOT,
    ACTIONS(4547), 1,
      anon_sym_POUND,
    ACTIONS(4549), 1,
      sym_hash_operator,
    STATE(4891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138376] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138662] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9692), 1,
      anon_sym_LT_DASH,
    STATE(4900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138806] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4902), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [138927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [138998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139282] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9694), 1,
      anon_sym_LT_DASH,
    STATE(4908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139497] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4911), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [139831] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4915), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [139952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140307] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4921), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [140570] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4924), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140691] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4925), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140812] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4926), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [140933] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3711), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4927), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141338] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(4932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141695] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(4937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [141839] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4939), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [141960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142031] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142102] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4942), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [142365] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4945), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142628] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4948), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [142749] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9696), 1,
      anon_sym_COLON,
    STATE(4949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [142822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [142964] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4952), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143227] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4955), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143561] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9698), 1,
      anon_sym_COLON,
    STATE(4959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [143634] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4960), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143755] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [143826] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4962), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [143947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144018] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [144162] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4966), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144283] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4967), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144475] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(4969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144548] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9700), 1,
      anon_sym_LT_DASH,
    STATE(4970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144763] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4973), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [144884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [144955] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4975), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145218] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4978), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145552] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3927), 1,
      anon_sym_DOT,
    STATE(4982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145625] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4983), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [145746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [145959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146101] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146172] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4990), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146506] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(4994), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [146627] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146769] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(4999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [146982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147266] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5004), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147387] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5005), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147792] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3737), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5010), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [147913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [147984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148055] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5013), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148389] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5017), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [148581] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5019), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148702] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5020), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [148823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148894] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3927), 1,
      anon_sym_DOT,
    ACTIONS(3929), 1,
      anon_sym_POUND,
    ACTIONS(3931), 1,
      sym_hash_operator,
    STATE(5022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [148971] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5023), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149234] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5026), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149426] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(3927), 1,
      anon_sym_DOT,
    ACTIONS(3929), 1,
      anon_sym_POUND,
    ACTIONS(3931), 1,
      sym_hash_operator,
    STATE(5028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149645] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5031), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [149766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [149979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150050] = 37,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9702), 1,
      anon_sym_rec,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5036), 1,
      sym_attribute,
    STATE(5471), 1,
      sym__attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13222), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [150185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150753] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9704), 1,
      anon_sym_COLON,
    STATE(5045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [150826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [150968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151749] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9706), 1,
      anon_sym_COLON,
    STATE(5059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [151822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [151964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152177] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5065), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 35,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152652] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5071), 1,
      sym_attribute,
    STATE(6184), 1,
      sym__simple_expression,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [152770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [152910] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      anon_sym_LBRACE,
    ACTIONS(2787), 1,
      anon_sym_object,
    ACTIONS(2791), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2801), 1,
      anon_sym_new,
    ACTIONS(2803), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2805), 1,
      anon_sym_begin,
    ACTIONS(2807), 1,
      sym_ocamlyacc_value,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2813), 1,
      aux_sym_number_token1,
    ACTIONS(2815), 1,
      anon_sym_SQUOTE,
    ACTIONS(2817), 1,
      anon_sym_DQUOTE,
    ACTIONS(2819), 1,
      sym_prefix_operator,
    ACTIONS(2823), 1,
      sym__uppercase_identifier,
    ACTIONS(2825), 1,
      aux_sym_tag_token1,
    ACTIONS(6285), 1,
      sym__lowercase_identifier,
    STATE(5074), 1,
      sym_attribute,
    STATE(7307), 1,
      sym_parenthesized_operator,
    STATE(7644), 1,
      sym__constructor_name,
    STATE(7678), 1,
      sym__value_name,
    STATE(7726), 1,
      sym__simple_expression,
    STATE(19801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2783), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7605), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153238] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6691), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6707), 1,
      anon_sym_object,
    ACTIONS(6709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6711), 1,
      anon_sym_new,
    ACTIONS(6713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6715), 1,
      anon_sym_begin,
    ACTIONS(6717), 1,
      sym_ocamlyacc_value,
    ACTIONS(6723), 1,
      aux_sym_number_token1,
    ACTIONS(6725), 1,
      anon_sym_SQUOTE,
    ACTIONS(6727), 1,
      anon_sym_DQUOTE,
    ACTIONS(6729), 1,
      sym_prefix_operator,
    ACTIONS(6731), 1,
      sym__uppercase_identifier,
    ACTIONS(6733), 1,
      aux_sym_tag_token1,
    ACTIONS(9708), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5078), 1,
      sym_attribute,
    STATE(7021), 1,
      sym__simple_expression,
    STATE(7124), 1,
      sym__value_name,
    STATE(7147), 1,
      sym_parenthesized_operator,
    STATE(7149), 1,
      sym__constructor_name,
    STATE(20407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7046), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7028), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153776] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      anon_sym_LBRACE,
    ACTIONS(2787), 1,
      anon_sym_object,
    ACTIONS(2791), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2801), 1,
      anon_sym_new,
    ACTIONS(2803), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2805), 1,
      anon_sym_begin,
    ACTIONS(2807), 1,
      sym_ocamlyacc_value,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2813), 1,
      aux_sym_number_token1,
    ACTIONS(2815), 1,
      anon_sym_SQUOTE,
    ACTIONS(2817), 1,
      anon_sym_DQUOTE,
    ACTIONS(2819), 1,
      sym_prefix_operator,
    ACTIONS(2823), 1,
      sym__uppercase_identifier,
    ACTIONS(2825), 1,
      aux_sym_tag_token1,
    ACTIONS(6285), 1,
      sym__lowercase_identifier,
    STATE(5085), 1,
      sym_attribute,
    STATE(7307), 1,
      sym_parenthesized_operator,
    STATE(7644), 1,
      sym__constructor_name,
    STATE(7678), 1,
      sym__value_name,
    STATE(7688), 1,
      sym__simple_expression,
    STATE(19801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2783), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7605), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [153894] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [153964] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8823), 1,
      sym__lowercase_identifier,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8839), 1,
      anon_sym_new,
    ACTIONS(8841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8843), 1,
      anon_sym_begin,
    ACTIONS(8845), 1,
      sym_ocamlyacc_value,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8851), 1,
      aux_sym_number_token1,
    ACTIONS(8853), 1,
      anon_sym_SQUOTE,
    ACTIONS(8855), 1,
      anon_sym_DQUOTE,
    ACTIONS(8857), 1,
      sym_prefix_operator,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    STATE(5087), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(10350), 1,
      sym_parenthesized_operator,
    STATE(10375), 1,
      sym__simple_expression,
    STATE(10416), 1,
      sym__value_name,
    STATE(19759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10584), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10519), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [154222] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3033), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      anon_sym_object,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3049), 1,
      anon_sym_new,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3053), 1,
      anon_sym_begin,
    ACTIONS(3055), 1,
      sym_ocamlyacc_value,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3061), 1,
      aux_sym_number_token1,
    ACTIONS(3063), 1,
      anon_sym_SQUOTE,
    ACTIONS(3065), 1,
      anon_sym_DQUOTE,
    ACTIONS(3067), 1,
      sym_prefix_operator,
    ACTIONS(3071), 1,
      sym__uppercase_identifier,
    ACTIONS(3073), 1,
      aux_sym_tag_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    STATE(5090), 1,
      sym_attribute,
    STATE(7806), 1,
      sym__simple_expression,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(7885), 1,
      sym__value_name,
    STATE(8262), 1,
      sym__constructor_name,
    STATE(21223), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8168), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7906), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154340] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_DOT,
    ACTIONS(4917), 1,
      anon_sym_POUND,
    ACTIONS(4919), 1,
      sym_hash_operator,
    STATE(5091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154416] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    ACTIONS(2611), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_object,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2631), 1,
      anon_sym_new,
    ACTIONS(2633), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2635), 1,
      anon_sym_begin,
    ACTIONS(2637), 1,
      sym_ocamlyacc_value,
    ACTIONS(2639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2643), 1,
      aux_sym_number_token1,
    ACTIONS(2645), 1,
      anon_sym_SQUOTE,
    ACTIONS(2647), 1,
      anon_sym_DQUOTE,
    ACTIONS(2649), 1,
      sym_prefix_operator,
    ACTIONS(2653), 1,
      sym__uppercase_identifier,
    ACTIONS(2655), 1,
      aux_sym_tag_token1,
    ACTIONS(6295), 1,
      sym__lowercase_identifier,
    STATE(5092), 1,
      sym_attribute,
    STATE(7274), 1,
      sym__simple_expression,
    STATE(7302), 1,
      sym__value_name,
    STATE(7342), 1,
      sym__constructor_name,
    STATE(7561), 1,
      sym_parenthesized_operator,
    STATE(20483), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2613), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7396), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7327), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154534] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__uppercase_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3553), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3571), 1,
      sym__lowercase_identifier,
    STATE(3376), 1,
      sym__simple_expression,
    STATE(3518), 1,
      sym__value_name,
    STATE(3666), 1,
      sym__constructor_name,
    STATE(3739), 1,
      sym_parenthesized_operator,
    STATE(5093), 1,
      sym_attribute,
    STATE(20711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3723), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3440), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [154652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [154932] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__uppercase_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3553), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3571), 1,
      sym__lowercase_identifier,
    STATE(3472), 1,
      sym__simple_expression,
    STATE(3518), 1,
      sym__value_name,
    STATE(3666), 1,
      sym__constructor_name,
    STATE(3739), 1,
      sym_parenthesized_operator,
    STATE(5098), 1,
      sym_attribute,
    STATE(20711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3723), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3440), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155190] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__lowercase_identifier,
    ACTIONS(9528), 1,
      anon_sym_LPAREN,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACE,
    ACTIONS(9536), 1,
      anon_sym_object,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9540), 1,
      anon_sym_new,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9544), 1,
      anon_sym_begin,
    ACTIONS(9546), 1,
      sym_ocamlyacc_value,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9552), 1,
      aux_sym_number_token1,
    ACTIONS(9554), 1,
      anon_sym_SQUOTE,
    ACTIONS(9556), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym_prefix_operator,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(9562), 1,
      aux_sym_tag_token1,
    STATE(5101), 1,
      sym_attribute,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(8792), 1,
      sym__value_name,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(8842), 1,
      sym__simple_expression,
    STATE(21690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155588] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9610), 1,
      sym__lowercase_identifier,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_LBRACE,
    ACTIONS(9618), 1,
      anon_sym_begin,
    ACTIONS(9620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9624), 1,
      aux_sym_number_token1,
    ACTIONS(9626), 1,
      anon_sym_SQUOTE,
    ACTIONS(9628), 1,
      anon_sym_DQUOTE,
    ACTIONS(9630), 1,
      sym_prefix_operator,
    STATE(5106), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8402), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8393), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155706] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1721), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_LBRACK,
    ACTIONS(1727), 1,
      anon_sym_LBRACE,
    ACTIONS(1729), 1,
      anon_sym_object,
    ACTIONS(1733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1743), 1,
      anon_sym_new,
    ACTIONS(1745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1747), 1,
      anon_sym_begin,
    ACTIONS(1749), 1,
      sym_ocamlyacc_value,
    ACTIONS(1751), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1753), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1755), 1,
      aux_sym_number_token1,
    ACTIONS(1757), 1,
      anon_sym_SQUOTE,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      sym_prefix_operator,
    ACTIONS(1765), 1,
      sym__uppercase_identifier,
    ACTIONS(1767), 1,
      aux_sym_tag_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    STATE(5107), 1,
      sym_attribute,
    STATE(6942), 1,
      sym_parenthesized_operator,
    STATE(7144), 1,
      sym__constructor_name,
    STATE(7148), 1,
      sym__value_name,
    STATE(7163), 1,
      sym__simple_expression,
    STATE(20521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1725), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7201), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7224), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [155824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [155894] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7683), 1,
      sym__lowercase_identifier,
    ACTIONS(7687), 1,
      anon_sym_LPAREN,
    ACTIONS(7689), 1,
      anon_sym_LBRACK,
    ACTIONS(7693), 1,
      anon_sym_LBRACE,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7699), 1,
      anon_sym_new,
    ACTIONS(7701), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7703), 1,
      anon_sym_begin,
    ACTIONS(7705), 1,
      sym_ocamlyacc_value,
    ACTIONS(7711), 1,
      aux_sym_number_token1,
    ACTIONS(7713), 1,
      anon_sym_SQUOTE,
    ACTIONS(7715), 1,
      anon_sym_DQUOTE,
    ACTIONS(7717), 1,
      sym_prefix_operator,
    ACTIONS(7719), 1,
      sym__uppercase_identifier,
    ACTIONS(7721), 1,
      aux_sym_tag_token1,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5109), 1,
      sym_attribute,
    STATE(7782), 1,
      sym__simple_expression,
    STATE(7807), 1,
      sym__value_name,
    STATE(8048), 1,
      sym__constructor_name,
    STATE(8054), 1,
      sym_parenthesized_operator,
    STATE(20749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7691), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8140), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7818), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156012] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7683), 1,
      sym__lowercase_identifier,
    ACTIONS(7687), 1,
      anon_sym_LPAREN,
    ACTIONS(7689), 1,
      anon_sym_LBRACK,
    ACTIONS(7693), 1,
      anon_sym_LBRACE,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7699), 1,
      anon_sym_new,
    ACTIONS(7701), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7703), 1,
      anon_sym_begin,
    ACTIONS(7705), 1,
      sym_ocamlyacc_value,
    ACTIONS(7711), 1,
      aux_sym_number_token1,
    ACTIONS(7713), 1,
      anon_sym_SQUOTE,
    ACTIONS(7715), 1,
      anon_sym_DQUOTE,
    ACTIONS(7717), 1,
      sym_prefix_operator,
    ACTIONS(7719), 1,
      sym__uppercase_identifier,
    ACTIONS(7721), 1,
      aux_sym_tag_token1,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5110), 1,
      sym_attribute,
    STATE(7758), 1,
      sym__simple_expression,
    STATE(7807), 1,
      sym__value_name,
    STATE(8048), 1,
      sym__constructor_name,
    STATE(8054), 1,
      sym_parenthesized_operator,
    STATE(20749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7691), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8140), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7818), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156130] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__uppercase_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__lowercase_identifier,
    STATE(4487), 1,
      sym__constructor_name,
    STATE(4625), 1,
      sym__simple_expression,
    STATE(4626), 1,
      sym_parenthesized_operator,
    STATE(4684), 1,
      sym__value_name,
    STATE(5111), 1,
      sym_attribute,
    STATE(20445), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4505), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4578), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156248] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_LPAREN,
    ACTIONS(3123), 1,
      anon_sym_LBRACK,
    ACTIONS(3127), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      anon_sym_object,
    ACTIONS(3133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3143), 1,
      anon_sym_new,
    ACTIONS(3145), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3147), 1,
      anon_sym_begin,
    ACTIONS(3149), 1,
      sym_ocamlyacc_value,
    ACTIONS(3151), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3153), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3155), 1,
      aux_sym_number_token1,
    ACTIONS(3157), 1,
      anon_sym_SQUOTE,
    ACTIONS(3159), 1,
      anon_sym_DQUOTE,
    ACTIONS(3161), 1,
      sym_prefix_operator,
    ACTIONS(3165), 1,
      sym__uppercase_identifier,
    ACTIONS(3167), 1,
      aux_sym_tag_token1,
    ACTIONS(6577), 1,
      sym__lowercase_identifier,
    STATE(5112), 1,
      sym_attribute,
    STATE(7945), 1,
      sym__simple_expression,
    STATE(8097), 1,
      sym__value_name,
    STATE(8167), 1,
      sym_parenthesized_operator,
    STATE(8292), 1,
      sym__constructor_name,
    STATE(19417), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3125), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8053), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7761), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [156716] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9564), 1,
      sym__lowercase_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_object,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9578), 1,
      anon_sym_new,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9582), 1,
      anon_sym_begin,
    ACTIONS(9584), 1,
      sym_ocamlyacc_value,
    ACTIONS(9586), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9588), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9590), 1,
      aux_sym_number_token1,
    ACTIONS(9592), 1,
      anon_sym_SQUOTE,
    ACTIONS(9594), 1,
      anon_sym_DQUOTE,
    ACTIONS(9596), 1,
      sym_prefix_operator,
    ACTIONS(9598), 1,
      sym__uppercase_identifier,
    ACTIONS(9600), 1,
      aux_sym_tag_token1,
    STATE(5118), 1,
      sym_attribute,
    STATE(8541), 1,
      sym__simple_expression,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8586), 1,
      sym__value_name,
    STATE(8726), 1,
      sym__constructor_name,
    STATE(19730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8725), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [156834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [156974] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__uppercase_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__lowercase_identifier,
    STATE(5121), 1,
      sym_attribute,
    STATE(5805), 1,
      sym__simple_expression,
    STATE(5822), 1,
      sym__constructor_name,
    STATE(5864), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(20251), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5871), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5841), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157232] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_LPAREN,
    ACTIONS(3123), 1,
      anon_sym_LBRACK,
    ACTIONS(3127), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      anon_sym_object,
    ACTIONS(3133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3143), 1,
      anon_sym_new,
    ACTIONS(3145), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3147), 1,
      anon_sym_begin,
    ACTIONS(3149), 1,
      sym_ocamlyacc_value,
    ACTIONS(3151), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3153), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3155), 1,
      aux_sym_number_token1,
    ACTIONS(3157), 1,
      anon_sym_SQUOTE,
    ACTIONS(3159), 1,
      anon_sym_DQUOTE,
    ACTIONS(3161), 1,
      sym_prefix_operator,
    ACTIONS(3165), 1,
      sym__uppercase_identifier,
    ACTIONS(3167), 1,
      aux_sym_tag_token1,
    ACTIONS(6577), 1,
      sym__lowercase_identifier,
    STATE(5124), 1,
      sym_attribute,
    STATE(7826), 1,
      sym__simple_expression,
    STATE(8097), 1,
      sym__value_name,
    STATE(8167), 1,
      sym_parenthesized_operator,
    STATE(8292), 1,
      sym__constructor_name,
    STATE(19417), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3125), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8053), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7761), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157420] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_LPAREN,
    ACTIONS(3293), 1,
      anon_sym_LBRACK,
    ACTIONS(3297), 1,
      anon_sym_LBRACE,
    ACTIONS(3299), 1,
      anon_sym_object,
    ACTIONS(3303), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3313), 1,
      anon_sym_new,
    ACTIONS(3315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3317), 1,
      anon_sym_begin,
    ACTIONS(3319), 1,
      sym_ocamlyacc_value,
    ACTIONS(3321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3325), 1,
      aux_sym_number_token1,
    ACTIONS(3327), 1,
      anon_sym_SQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DQUOTE,
    ACTIONS(3331), 1,
      sym_prefix_operator,
    ACTIONS(3335), 1,
      sym__uppercase_identifier,
    ACTIONS(3337), 1,
      aux_sym_tag_token1,
    ACTIONS(6567), 1,
      sym__lowercase_identifier,
    STATE(5126), 1,
      sym_attribute,
    STATE(7852), 1,
      sym__constructor_name,
    STATE(7912), 1,
      sym_parenthesized_operator,
    STATE(7964), 1,
      sym__simple_expression,
    STATE(8110), 1,
      sym__value_name,
    STATE(22319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7887), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8118), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157678] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8823), 1,
      sym__lowercase_identifier,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8839), 1,
      anon_sym_new,
    ACTIONS(8841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8843), 1,
      anon_sym_begin,
    ACTIONS(8845), 1,
      sym_ocamlyacc_value,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8851), 1,
      aux_sym_number_token1,
    ACTIONS(8853), 1,
      anon_sym_SQUOTE,
    ACTIONS(8855), 1,
      anon_sym_DQUOTE,
    ACTIONS(8857), 1,
      sym_prefix_operator,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    STATE(5129), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(10350), 1,
      sym_parenthesized_operator,
    STATE(10416), 1,
      sym__value_name,
    STATE(10478), 1,
      sym__simple_expression,
    STATE(19759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10584), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10519), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [157796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [157936] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8823), 1,
      sym__lowercase_identifier,
    ACTIONS(8827), 1,
      anon_sym_LPAREN,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    ACTIONS(8833), 1,
      anon_sym_LBRACE,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8839), 1,
      anon_sym_new,
    ACTIONS(8841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8843), 1,
      anon_sym_begin,
    ACTIONS(8845), 1,
      sym_ocamlyacc_value,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8851), 1,
      aux_sym_number_token1,
    ACTIONS(8853), 1,
      anon_sym_SQUOTE,
    ACTIONS(8855), 1,
      anon_sym_DQUOTE,
    ACTIONS(8857), 1,
      sym_prefix_operator,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    STATE(5132), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(10350), 1,
      sym_parenthesized_operator,
    STATE(10416), 1,
      sym__value_name,
    STATE(10430), 1,
      sym__simple_expression,
    STATE(19759), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10584), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10519), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158124] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__lowercase_identifier,
    ACTIONS(9528), 1,
      anon_sym_LPAREN,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACE,
    ACTIONS(9536), 1,
      anon_sym_object,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9540), 1,
      anon_sym_new,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9544), 1,
      anon_sym_begin,
    ACTIONS(9546), 1,
      sym_ocamlyacc_value,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9552), 1,
      aux_sym_number_token1,
    ACTIONS(9554), 1,
      anon_sym_SQUOTE,
    ACTIONS(9556), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym_prefix_operator,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(9562), 1,
      aux_sym_tag_token1,
    STATE(5134), 1,
      sym_attribute,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(8774), 1,
      sym__simple_expression,
    STATE(8792), 1,
      sym__value_name,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(21690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158242] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    ACTIONS(4717), 1,
      anon_sym_POUND,
    ACTIONS(4719), 1,
      sym_hash_operator,
    STATE(5135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158528] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      sym__lowercase_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_object,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9494), 1,
      anon_sym_new,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9498), 1,
      anon_sym_begin,
    ACTIONS(9500), 1,
      sym_ocamlyacc_value,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9508), 1,
      aux_sym_number_token1,
    ACTIONS(9510), 1,
      anon_sym_SQUOTE,
    ACTIONS(9512), 1,
      anon_sym_DQUOTE,
    ACTIONS(9514), 1,
      sym_prefix_operator,
    ACTIONS(9516), 1,
      sym__uppercase_identifier,
    ACTIONS(9518), 1,
      aux_sym_tag_token1,
    STATE(5139), 1,
      sym_attribute,
    STATE(8584), 1,
      sym__value_name,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8653), 1,
      sym__constructor_name,
    STATE(8685), 1,
      sym__simple_expression,
    STATE(20129), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8690), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8580), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158646] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      sym__lowercase_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_object,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9494), 1,
      anon_sym_new,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9498), 1,
      anon_sym_begin,
    ACTIONS(9500), 1,
      sym_ocamlyacc_value,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9508), 1,
      aux_sym_number_token1,
    ACTIONS(9510), 1,
      anon_sym_SQUOTE,
    ACTIONS(9512), 1,
      anon_sym_DQUOTE,
    ACTIONS(9514), 1,
      sym_prefix_operator,
    ACTIONS(9516), 1,
      sym__uppercase_identifier,
    ACTIONS(9518), 1,
      aux_sym_tag_token1,
    STATE(5140), 1,
      sym_attribute,
    STATE(8584), 1,
      sym__value_name,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8653), 1,
      sym__constructor_name,
    STATE(8688), 1,
      sym__simple_expression,
    STATE(20129), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8690), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8580), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [158764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [158974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9716), 1,
      anon_sym_COLON,
    STATE(5144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [159046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159256] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__uppercase_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5919), 1,
      sym__lowercase_identifier,
    STATE(5148), 1,
      sym_attribute,
    STATE(6652), 1,
      sym__constructor_name,
    STATE(6666), 1,
      sym__simple_expression,
    STATE(6670), 1,
      sym_parenthesized_operator,
    STATE(6736), 1,
      sym__value_name,
    STATE(20597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6718), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6694), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159374] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__uppercase_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3623), 1,
      sym__lowercase_identifier,
    STATE(3546), 1,
      sym__simple_expression,
    STATE(3562), 1,
      sym__constructor_name,
    STATE(3639), 1,
      sym__value_name,
    STATE(3791), 1,
      sym_parenthesized_operator,
    STATE(5149), 1,
      sym_attribute,
    STATE(20787), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3674), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3531), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159492] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__uppercase_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3623), 1,
      sym__lowercase_identifier,
    STATE(3562), 1,
      sym__constructor_name,
    STATE(3565), 1,
      sym__simple_expression,
    STATE(3639), 1,
      sym__value_name,
    STATE(3791), 1,
      sym_parenthesized_operator,
    STATE(5150), 1,
      sym_attribute,
    STATE(20787), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3674), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3531), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159680] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__uppercase_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3765), 1,
      sym__lowercase_identifier,
    STATE(3971), 1,
      sym__constructor_name,
    STATE(4025), 1,
      sym_parenthesized_operator,
    STATE(4090), 1,
      sym__value_name,
    STATE(4137), 1,
      sym__simple_expression,
    STATE(5152), 1,
      sym_attribute,
    STATE(20673), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3943), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [159868] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__uppercase_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3765), 1,
      sym__lowercase_identifier,
    STATE(3971), 1,
      sym__constructor_name,
    STATE(4025), 1,
      sym_parenthesized_operator,
    STATE(4090), 1,
      sym__value_name,
    STATE(4160), 1,
      sym__simple_expression,
    STATE(5154), 1,
      sym_attribute,
    STATE(20673), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3943), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [159986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160406] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__uppercase_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__lowercase_identifier,
    STATE(4487), 1,
      sym__constructor_name,
    STATE(4626), 1,
      sym_parenthesized_operator,
    STATE(4684), 1,
      sym__value_name,
    STATE(4716), 1,
      sym__simple_expression,
    STATE(5161), 1,
      sym_attribute,
    STATE(20445), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4505), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4578), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160524] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(5162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [160736] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9610), 1,
      sym__lowercase_identifier,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_LBRACE,
    ACTIONS(9618), 1,
      anon_sym_begin,
    ACTIONS(9620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9624), 1,
      aux_sym_number_token1,
    ACTIONS(9626), 1,
      anon_sym_SQUOTE,
    ACTIONS(9628), 1,
      anon_sym_DQUOTE,
    ACTIONS(9630), 1,
      sym_prefix_operator,
    STATE(5165), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8406), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8393), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [160854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [160994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [161134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161484] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6691), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6707), 1,
      anon_sym_object,
    ACTIONS(6709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6711), 1,
      anon_sym_new,
    ACTIONS(6713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6715), 1,
      anon_sym_begin,
    ACTIONS(6717), 1,
      sym_ocamlyacc_value,
    ACTIONS(6723), 1,
      aux_sym_number_token1,
    ACTIONS(6725), 1,
      anon_sym_SQUOTE,
    ACTIONS(6727), 1,
      anon_sym_DQUOTE,
    ACTIONS(6729), 1,
      sym_prefix_operator,
    ACTIONS(6731), 1,
      sym__uppercase_identifier,
    ACTIONS(6733), 1,
      aux_sym_tag_token1,
    ACTIONS(9708), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5175), 1,
      sym_attribute,
    STATE(7069), 1,
      sym__simple_expression,
    STATE(7124), 1,
      sym__value_name,
    STATE(7147), 1,
      sym_parenthesized_operator,
    STATE(7149), 1,
      sym__constructor_name,
    STATE(20407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7046), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7028), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161602] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6795), 1,
      sym__lowercase_identifier,
    ACTIONS(6799), 1,
      anon_sym_LPAREN,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6805), 1,
      anon_sym_LBRACE,
    ACTIONS(6807), 1,
      anon_sym_object,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_new,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6815), 1,
      anon_sym_begin,
    ACTIONS(6817), 1,
      sym_ocamlyacc_value,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      anon_sym_SQUOTE,
    ACTIONS(6827), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      sym_prefix_operator,
    ACTIONS(6831), 1,
      sym__uppercase_identifier,
    ACTIONS(6833), 1,
      aux_sym_tag_token1,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5176), 1,
      sym_attribute,
    STATE(6970), 1,
      sym__constructor_name,
    STATE(6971), 1,
      sym__value_name,
    STATE(7006), 1,
      sym_parenthesized_operator,
    STATE(7035), 1,
      sym__simple_expression,
    STATE(19704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7015), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7085), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [161860] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__uppercase_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5611), 1,
      sym__lowercase_identifier,
    STATE(5179), 1,
      sym_attribute,
    STATE(6262), 1,
      sym__constructor_name,
    STATE(6270), 1,
      sym__simple_expression,
    STATE(6288), 1,
      sym__value_name,
    STATE(6332), 1,
      sym_parenthesized_operator,
    STATE(20635), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [161978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162258] = 29,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_LBRACK,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_object,
    ACTIONS(817), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(827), 1,
      anon_sym_new,
    ACTIONS(829), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(831), 1,
      anon_sym_begin,
    ACTIONS(833), 1,
      sym_ocamlyacc_value,
    ACTIONS(839), 1,
      aux_sym_number_token1,
    ACTIONS(841), 1,
      anon_sym_SQUOTE,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(845), 1,
      sym_prefix_operator,
    ACTIONS(849), 1,
      sym__uppercase_identifier,
    ACTIONS(851), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3651), 1,
      sym__lowercase_identifier,
    STATE(3898), 1,
      sym_parenthesized_operator,
    STATE(3948), 1,
      sym__value_name,
    STATE(4013), 1,
      sym__simple_expression,
    STATE(4059), 1,
      sym__constructor_name,
    STATE(5184), 1,
      sym_attribute,
    STATE(20824), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(809), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4029), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162656] = 29,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_LBRACK,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_object,
    ACTIONS(817), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(827), 1,
      anon_sym_new,
    ACTIONS(829), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(831), 1,
      anon_sym_begin,
    ACTIONS(833), 1,
      sym_ocamlyacc_value,
    ACTIONS(839), 1,
      aux_sym_number_token1,
    ACTIONS(841), 1,
      anon_sym_SQUOTE,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(845), 1,
      sym_prefix_operator,
    ACTIONS(849), 1,
      sym__uppercase_identifier,
    ACTIONS(851), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3651), 1,
      sym__lowercase_identifier,
    STATE(3898), 1,
      sym_parenthesized_operator,
    STATE(3948), 1,
      sym__value_name,
    STATE(4000), 1,
      sym__simple_expression,
    STATE(4059), 1,
      sym__constructor_name,
    STATE(5189), 1,
      sym_attribute,
    STATE(20824), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(809), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4029), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [162774] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(5190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [162986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163196] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9564), 1,
      sym__lowercase_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_object,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9578), 1,
      anon_sym_new,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9582), 1,
      anon_sym_begin,
    ACTIONS(9584), 1,
      sym_ocamlyacc_value,
    ACTIONS(9586), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9588), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9590), 1,
      aux_sym_number_token1,
    ACTIONS(9592), 1,
      anon_sym_SQUOTE,
    ACTIONS(9594), 1,
      anon_sym_DQUOTE,
    ACTIONS(9596), 1,
      sym_prefix_operator,
    ACTIONS(9598), 1,
      sym__uppercase_identifier,
    ACTIONS(9600), 1,
      aux_sym_tag_token1,
    STATE(5196), 1,
      sym_attribute,
    STATE(8558), 1,
      sym__simple_expression,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8586), 1,
      sym__value_name,
    STATE(8726), 1,
      sym__constructor_name,
    STATE(19730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8725), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163384] = 29,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(635), 1,
      sym__uppercase_identifier,
    ACTIONS(639), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3521), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    STATE(5198), 1,
      sym_attribute,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5295), 1,
      sym__value_name,
    STATE(5299), 1,
      sym_parenthesized_operator,
    STATE(5418), 1,
      sym__simple_expression,
    STATE(20220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(585), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5288), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5193), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163502] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2779), 1,
      anon_sym_LPAREN,
    ACTIONS(2781), 1,
      anon_sym_LBRACK,
    ACTIONS(2785), 1,
      anon_sym_LBRACE,
    ACTIONS(2787), 1,
      anon_sym_object,
    ACTIONS(2791), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2801), 1,
      anon_sym_new,
    ACTIONS(2803), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2805), 1,
      anon_sym_begin,
    ACTIONS(2807), 1,
      sym_ocamlyacc_value,
    ACTIONS(2809), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2811), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2813), 1,
      aux_sym_number_token1,
    ACTIONS(2815), 1,
      anon_sym_SQUOTE,
    ACTIONS(2817), 1,
      anon_sym_DQUOTE,
    ACTIONS(2819), 1,
      sym_prefix_operator,
    ACTIONS(2823), 1,
      sym__uppercase_identifier,
    ACTIONS(2825), 1,
      aux_sym_tag_token1,
    ACTIONS(6285), 1,
      sym__lowercase_identifier,
    STATE(5199), 1,
      sym_attribute,
    STATE(7307), 1,
      sym_parenthesized_operator,
    STATE(7644), 1,
      sym__constructor_name,
    STATE(7667), 1,
      sym__simple_expression,
    STATE(7678), 1,
      sym__value_name,
    STATE(19801), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2783), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7605), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7679), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163620] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__uppercase_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4025), 1,
      sym__lowercase_identifier,
    STATE(4774), 1,
      sym__simple_expression,
    STATE(4867), 1,
      sym__constructor_name,
    STATE(4892), 1,
      sym__value_name,
    STATE(5029), 1,
      sym_parenthesized_operator,
    STATE(5200), 1,
      sym_attribute,
    STATE(20088), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4808), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4768), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    STATE(5201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163810] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      anon_sym_object,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3247), 1,
      anon_sym_new,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3251), 1,
      anon_sym_begin,
    ACTIONS(3253), 1,
      sym_ocamlyacc_value,
    ACTIONS(3255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      aux_sym_number_token1,
    ACTIONS(3261), 1,
      anon_sym_SQUOTE,
    ACTIONS(3263), 1,
      anon_sym_DQUOTE,
    ACTIONS(3265), 1,
      sym_prefix_operator,
    ACTIONS(3269), 1,
      sym__uppercase_identifier,
    ACTIONS(3271), 1,
      aux_sym_tag_token1,
    ACTIONS(6553), 1,
      sym__lowercase_identifier,
    STATE(5202), 1,
      sym_attribute,
    STATE(7918), 1,
      sym__constructor_name,
    STATE(8109), 1,
      sym_parenthesized_operator,
    STATE(8188), 1,
      sym__value_name,
    STATE(8242), 1,
      sym__simple_expression,
    STATE(21912), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7904), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8182), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [163928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [163998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164138] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__uppercase_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4025), 1,
      sym__lowercase_identifier,
    STATE(4799), 1,
      sym__simple_expression,
    STATE(4867), 1,
      sym__constructor_name,
    STATE(4892), 1,
      sym__value_name,
    STATE(5029), 1,
      sym_parenthesized_operator,
    STATE(5206), 1,
      sym_attribute,
    STATE(20088), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4808), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4768), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164396] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__uppercase_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3525), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3527), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4711), 1,
      sym__lowercase_identifier,
    STATE(5172), 1,
      sym__constructor_name,
    STATE(5209), 1,
      sym_attribute,
    STATE(5213), 1,
      sym__value_name,
    STATE(5326), 1,
      sym_parenthesized_operator,
    STATE(5414), 1,
      sym__simple_expression,
    STATE(21004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5409), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164584] = 29,
    ACTIONS(977), 1,
      anon_sym_LPAREN,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(985), 1,
      anon_sym_object,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(999), 1,
      anon_sym_new,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1003), 1,
      anon_sym_begin,
    ACTIONS(1005), 1,
      sym_ocamlyacc_value,
    ACTIONS(1011), 1,
      aux_sym_number_token1,
    ACTIONS(1013), 1,
      anon_sym_SQUOTE,
    ACTIONS(1015), 1,
      anon_sym_DQUOTE,
    ACTIONS(1017), 1,
      sym_prefix_operator,
    ACTIONS(1021), 1,
      sym__uppercase_identifier,
    ACTIONS(1023), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3601), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3603), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3823), 1,
      sym__lowercase_identifier,
    STATE(4487), 1,
      sym__constructor_name,
    STATE(4626), 1,
      sym_parenthesized_operator,
    STATE(4678), 1,
      sym__simple_expression,
    STATE(4684), 1,
      sym__value_name,
    STATE(5211), 1,
      sym_attribute,
    STATE(20445), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(981), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4505), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4578), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164702] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9634), 1,
      sym__lowercase_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      anon_sym_object,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9648), 1,
      anon_sym_new,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9652), 1,
      anon_sym_begin,
    ACTIONS(9654), 1,
      sym_ocamlyacc_value,
    ACTIONS(9656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9660), 1,
      aux_sym_number_token1,
    ACTIONS(9662), 1,
      anon_sym_SQUOTE,
    ACTIONS(9664), 1,
      anon_sym_DQUOTE,
    ACTIONS(9666), 1,
      sym_prefix_operator,
    ACTIONS(9668), 1,
      sym__uppercase_identifier,
    ACTIONS(9670), 1,
      aux_sym_tag_token1,
    STATE(5212), 1,
      sym_attribute,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10830), 1,
      sym__constructor_name,
    STATE(10860), 1,
      sym__value_name,
    STATE(11032), 1,
      sym__simple_expression,
    STATE(19883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10868), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11080), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [164820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [164960] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__uppercase_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(4183), 1,
      sym__constructor_name,
    STATE(4288), 1,
      sym__simple_expression,
    STATE(4304), 1,
      sym__value_name,
    STATE(4415), 1,
      sym_parenthesized_operator,
    STATE(5215), 1,
      sym_attribute,
    STATE(20047), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4231), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4260), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165078] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__uppercase_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(4183), 1,
      sym__constructor_name,
    STATE(4279), 1,
      sym__simple_expression,
    STATE(4304), 1,
      sym__value_name,
    STATE(4415), 1,
      sym_parenthesized_operator,
    STATE(5216), 1,
      sym_attribute,
    STATE(20047), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4231), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4260), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165266] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(5218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165408] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__uppercase_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5751), 1,
      sym__lowercase_identifier,
    STATE(5220), 1,
      sym_attribute,
    STATE(6370), 1,
      sym__simple_expression,
    STATE(6375), 1,
      sym_parenthesized_operator,
    STATE(6390), 1,
      sym__constructor_name,
    STATE(6445), 1,
      sym__value_name,
    STATE(19649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6422), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6441), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [165526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [165946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166086] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7683), 1,
      sym__lowercase_identifier,
    ACTIONS(7687), 1,
      anon_sym_LPAREN,
    ACTIONS(7689), 1,
      anon_sym_LBRACK,
    ACTIONS(7693), 1,
      anon_sym_LBRACE,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7699), 1,
      anon_sym_new,
    ACTIONS(7701), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7703), 1,
      anon_sym_begin,
    ACTIONS(7705), 1,
      sym_ocamlyacc_value,
    ACTIONS(7711), 1,
      aux_sym_number_token1,
    ACTIONS(7713), 1,
      anon_sym_SQUOTE,
    ACTIONS(7715), 1,
      anon_sym_DQUOTE,
    ACTIONS(7717), 1,
      sym_prefix_operator,
    ACTIONS(7719), 1,
      sym__uppercase_identifier,
    ACTIONS(7721), 1,
      aux_sym_tag_token1,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5229), 1,
      sym_attribute,
    STATE(7807), 1,
      sym__value_name,
    STATE(8016), 1,
      sym__simple_expression,
    STATE(8048), 1,
      sym__constructor_name,
    STATE(8054), 1,
      sym_parenthesized_operator,
    STATE(20749), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7691), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8140), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7818), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166344] = 29,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      anon_sym_object,
    ACTIONS(765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(775), 1,
      anon_sym_new,
    ACTIONS(777), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(779), 1,
      anon_sym_begin,
    ACTIONS(781), 1,
      sym_ocamlyacc_value,
    ACTIONS(787), 1,
      aux_sym_number_token1,
    ACTIONS(789), 1,
      anon_sym_SQUOTE,
    ACTIONS(791), 1,
      anon_sym_DQUOTE,
    ACTIONS(793), 1,
      sym_prefix_operator,
    ACTIONS(797), 1,
      sym__uppercase_identifier,
    ACTIONS(799), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3673), 1,
      sym__lowercase_identifier,
    STATE(3845), 1,
      sym__value_name,
    STATE(3900), 1,
      sym_parenthesized_operator,
    STATE(3936), 1,
      sym__simple_expression,
    STATE(4075), 1,
      sym__constructor_name,
    STATE(5232), 1,
      sym_attribute,
    STATE(20861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(757), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4044), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3949), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166602] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9634), 1,
      sym__lowercase_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      anon_sym_object,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9648), 1,
      anon_sym_new,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9652), 1,
      anon_sym_begin,
    ACTIONS(9654), 1,
      sym_ocamlyacc_value,
    ACTIONS(9656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9660), 1,
      aux_sym_number_token1,
    ACTIONS(9662), 1,
      anon_sym_SQUOTE,
    ACTIONS(9664), 1,
      anon_sym_DQUOTE,
    ACTIONS(9666), 1,
      sym_prefix_operator,
    ACTIONS(9668), 1,
      sym__uppercase_identifier,
    ACTIONS(9670), 1,
      aux_sym_tag_token1,
    STATE(5235), 1,
      sym_attribute,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10830), 1,
      sym__constructor_name,
    STATE(10860), 1,
      sym__value_name,
    STATE(11035), 1,
      sym__simple_expression,
    STATE(19883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10868), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11080), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [166790] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_object,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_new,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2719), 1,
      anon_sym_begin,
    ACTIONS(2721), 1,
      sym_ocamlyacc_value,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2725), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2727), 1,
      aux_sym_number_token1,
    ACTIONS(2729), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DQUOTE,
    ACTIONS(2733), 1,
      sym_prefix_operator,
    ACTIONS(2737), 1,
      sym__uppercase_identifier,
    ACTIONS(2739), 1,
      aux_sym_tag_token1,
    ACTIONS(6395), 1,
      sym__lowercase_identifier,
    STATE(5237), 1,
      sym_attribute,
    STATE(7328), 1,
      sym__value_name,
    STATE(7353), 1,
      sym__constructor_name,
    STATE(7403), 1,
      sym__simple_expression,
    STATE(7460), 1,
      sym_parenthesized_operator,
    STATE(19480), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7420), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7567), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [166908] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      anon_sym_object,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3247), 1,
      anon_sym_new,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3251), 1,
      anon_sym_begin,
    ACTIONS(3253), 1,
      sym_ocamlyacc_value,
    ACTIONS(3255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      aux_sym_number_token1,
    ACTIONS(3261), 1,
      anon_sym_SQUOTE,
    ACTIONS(3263), 1,
      anon_sym_DQUOTE,
    ACTIONS(3265), 1,
      sym_prefix_operator,
    ACTIONS(3269), 1,
      sym__uppercase_identifier,
    ACTIONS(3271), 1,
      aux_sym_tag_token1,
    ACTIONS(6553), 1,
      sym__lowercase_identifier,
    STATE(5238), 1,
      sym_attribute,
    STATE(7918), 1,
      sym__constructor_name,
    STATE(8109), 1,
      sym_parenthesized_operator,
    STATE(8188), 1,
      sym__value_name,
    STATE(8204), 1,
      sym__simple_expression,
    STATE(21912), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7904), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8182), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167026] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167306] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    STATE(5243), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(16584), 1,
      sym__simple_expression,
    STATE(20529), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167564] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__uppercase_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5611), 1,
      sym__lowercase_identifier,
    STATE(5246), 1,
      sym_attribute,
    STATE(6230), 1,
      sym__simple_expression,
    STATE(6262), 1,
      sym__constructor_name,
    STATE(6288), 1,
      sym__value_name,
    STATE(6332), 1,
      sym_parenthesized_operator,
    STATE(20635), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167682] = 29,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      anon_sym_object,
    ACTIONS(765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(775), 1,
      anon_sym_new,
    ACTIONS(777), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(779), 1,
      anon_sym_begin,
    ACTIONS(781), 1,
      sym_ocamlyacc_value,
    ACTIONS(787), 1,
      aux_sym_number_token1,
    ACTIONS(789), 1,
      anon_sym_SQUOTE,
    ACTIONS(791), 1,
      anon_sym_DQUOTE,
    ACTIONS(793), 1,
      sym_prefix_operator,
    ACTIONS(797), 1,
      sym__uppercase_identifier,
    ACTIONS(799), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3673), 1,
      sym__lowercase_identifier,
    STATE(3845), 1,
      sym__value_name,
    STATE(3857), 1,
      sym__simple_expression,
    STATE(3900), 1,
      sym_parenthesized_operator,
    STATE(4075), 1,
      sym__constructor_name,
    STATE(5247), 1,
      sym_attribute,
    STATE(20861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(757), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4044), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3949), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [167870] = 29,
    ACTIONS(1391), 1,
      anon_sym_LPAREN,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1397), 1,
      anon_sym_LBRACE,
    ACTIONS(1399), 1,
      anon_sym_object,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1413), 1,
      anon_sym_new,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1417), 1,
      anon_sym_begin,
    ACTIONS(1419), 1,
      sym_ocamlyacc_value,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1423), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1425), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1427), 1,
      aux_sym_number_token1,
    ACTIONS(1429), 1,
      anon_sym_SQUOTE,
    ACTIONS(1431), 1,
      anon_sym_DQUOTE,
    ACTIONS(1433), 1,
      sym_prefix_operator,
    ACTIONS(1437), 1,
      sym__uppercase_identifier,
    ACTIONS(1439), 1,
      aux_sym_tag_token1,
    ACTIONS(5611), 1,
      sym__lowercase_identifier,
    STATE(5249), 1,
      sym_attribute,
    STATE(6210), 1,
      sym__simple_expression,
    STATE(6262), 1,
      sym__constructor_name,
    STATE(6288), 1,
      sym__value_name,
    STATE(6332), 1,
      sym_parenthesized_operator,
    STATE(20635), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1395), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6326), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6205), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [167988] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6691), 1,
      sym__lowercase_identifier,
    ACTIONS(6699), 1,
      anon_sym_LPAREN,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6705), 1,
      anon_sym_LBRACE,
    ACTIONS(6707), 1,
      anon_sym_object,
    ACTIONS(6709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6711), 1,
      anon_sym_new,
    ACTIONS(6713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6715), 1,
      anon_sym_begin,
    ACTIONS(6717), 1,
      sym_ocamlyacc_value,
    ACTIONS(6723), 1,
      aux_sym_number_token1,
    ACTIONS(6725), 1,
      anon_sym_SQUOTE,
    ACTIONS(6727), 1,
      anon_sym_DQUOTE,
    ACTIONS(6729), 1,
      sym_prefix_operator,
    ACTIONS(6731), 1,
      sym__uppercase_identifier,
    ACTIONS(6733), 1,
      aux_sym_tag_token1,
    ACTIONS(9708), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9710), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5250), 1,
      sym_attribute,
    STATE(7047), 1,
      sym__simple_expression,
    STATE(7124), 1,
      sym__value_name,
    STATE(7147), 1,
      sym_parenthesized_operator,
    STATE(7149), 1,
      sym__constructor_name,
    STATE(20407), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7046), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7028), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168316] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      sym__lowercase_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_object,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9494), 1,
      anon_sym_new,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9498), 1,
      anon_sym_begin,
    ACTIONS(9500), 1,
      sym_ocamlyacc_value,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9508), 1,
      aux_sym_number_token1,
    ACTIONS(9510), 1,
      anon_sym_SQUOTE,
    ACTIONS(9512), 1,
      anon_sym_DQUOTE,
    ACTIONS(9514), 1,
      sym_prefix_operator,
    ACTIONS(9516), 1,
      sym__uppercase_identifier,
    ACTIONS(9518), 1,
      aux_sym_tag_token1,
    STATE(5254), 1,
      sym_attribute,
    STATE(8584), 1,
      sym__value_name,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8653), 1,
      sym__constructor_name,
    STATE(8670), 1,
      sym__simple_expression,
    STATE(20129), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8690), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8580), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168434] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__uppercase_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3561), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3613), 1,
      sym__lowercase_identifier,
    STATE(3463), 1,
      sym_parenthesized_operator,
    STATE(3813), 1,
      sym__simple_expression,
    STATE(3828), 1,
      sym__value_name,
    STATE(3829), 1,
      sym__constructor_name,
    STATE(5255), 1,
      sym_attribute,
    STATE(20368), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3637), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3631), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168622] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__uppercase_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3557), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__lowercase_identifier,
    STATE(4815), 1,
      sym__constructor_name,
    STATE(4891), 1,
      sym__simple_expression,
    STATE(4936), 1,
      sym__value_name,
    STATE(5037), 1,
      sym_parenthesized_operator,
    STATE(5257), 1,
      sym_attribute,
    STATE(19354), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4918), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4769), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168810] = 29,
    ACTIONS(699), 1,
      anon_sym_LPAREN,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_object,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(721), 1,
      anon_sym_new,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(725), 1,
      anon_sym_begin,
    ACTIONS(727), 1,
      sym_ocamlyacc_value,
    ACTIONS(733), 1,
      aux_sym_number_token1,
    ACTIONS(735), 1,
      anon_sym_SQUOTE,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(739), 1,
      sym_prefix_operator,
    ACTIONS(743), 1,
      sym__uppercase_identifier,
    ACTIONS(745), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3715), 1,
      sym__lowercase_identifier,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(4381), 1,
      sym__simple_expression,
    STATE(4397), 1,
      sym_parenthesized_operator,
    STATE(4399), 1,
      sym__value_name,
    STATE(5259), 1,
      sym_attribute,
    STATE(20170), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4188), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4325), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [168928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [168998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [169068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169138] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_object,
    ACTIONS(1911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1921), 1,
      anon_sym_new,
    ACTIONS(1923), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1925), 1,
      anon_sym_begin,
    ACTIONS(1927), 1,
      sym_ocamlyacc_value,
    ACTIONS(1929), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1931), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1933), 1,
      aux_sym_number_token1,
    ACTIONS(1935), 1,
      anon_sym_SQUOTE,
    ACTIONS(1937), 1,
      anon_sym_DQUOTE,
    ACTIONS(1939), 1,
      sym_prefix_operator,
    ACTIONS(1943), 1,
      sym__uppercase_identifier,
    ACTIONS(1945), 1,
      aux_sym_tag_token1,
    ACTIONS(6375), 1,
      sym__lowercase_identifier,
    STATE(5263), 1,
      sym_attribute,
    STATE(7372), 1,
      sym_parenthesized_operator,
    STATE(7415), 1,
      sym__value_name,
    STATE(7421), 1,
      sym__constructor_name,
    STATE(7533), 1,
      sym__simple_expression,
    STATE(19924), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1903), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7650), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7552), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169326] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__uppercase_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3557), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__lowercase_identifier,
    STATE(4815), 1,
      sym__constructor_name,
    STATE(4833), 1,
      sym__simple_expression,
    STATE(4936), 1,
      sym__value_name,
    STATE(5037), 1,
      sym_parenthesized_operator,
    STATE(5265), 1,
      sym_attribute,
    STATE(19354), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4918), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4769), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169724] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2419), 1,
      anon_sym_LPAREN,
    ACTIONS(2421), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_LBRACE,
    ACTIONS(2427), 1,
      anon_sym_object,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2441), 1,
      anon_sym_new,
    ACTIONS(2443), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2445), 1,
      anon_sym_begin,
    ACTIONS(2447), 1,
      sym_ocamlyacc_value,
    ACTIONS(2449), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2453), 1,
      aux_sym_number_token1,
    ACTIONS(2455), 1,
      anon_sym_SQUOTE,
    ACTIONS(2457), 1,
      anon_sym_DQUOTE,
    ACTIONS(2459), 1,
      sym_prefix_operator,
    ACTIONS(2463), 1,
      sym__uppercase_identifier,
    ACTIONS(2465), 1,
      aux_sym_tag_token1,
    ACTIONS(6305), 1,
      sym__lowercase_identifier,
    STATE(5270), 1,
      sym_attribute,
    STATE(7352), 1,
      sym_parenthesized_operator,
    STATE(7494), 1,
      sym__constructor_name,
    STATE(7547), 1,
      sym__value_name,
    STATE(7668), 1,
      sym__simple_expression,
    STATE(19842), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2423), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7722), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7680), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [169842] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    ACTIONS(4847), 1,
      anon_sym_POUND,
    ACTIONS(4849), 1,
      sym_hash_operator,
    STATE(5271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [169918] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__uppercase_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      sym__lowercase_identifier,
    STATE(5077), 1,
      sym__value_name,
    STATE(5153), 1,
      sym_parenthesized_operator,
    STATE(5234), 1,
      sym__constructor_name,
    STATE(5272), 1,
      sym_attribute,
    STATE(5367), 1,
      sym__simple_expression,
    STATE(22132), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5318), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170036] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6795), 1,
      sym__lowercase_identifier,
    ACTIONS(6799), 1,
      anon_sym_LPAREN,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6805), 1,
      anon_sym_LBRACE,
    ACTIONS(6807), 1,
      anon_sym_object,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_new,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6815), 1,
      anon_sym_begin,
    ACTIONS(6817), 1,
      sym_ocamlyacc_value,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      anon_sym_SQUOTE,
    ACTIONS(6827), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      sym_prefix_operator,
    ACTIONS(6831), 1,
      sym__uppercase_identifier,
    ACTIONS(6833), 1,
      aux_sym_tag_token1,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5273), 1,
      sym_attribute,
    STATE(6970), 1,
      sym__constructor_name,
    STATE(6971), 1,
      sym__value_name,
    STATE(7006), 1,
      sym_parenthesized_operator,
    STATE(7020), 1,
      sym__simple_expression,
    STATE(19704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7015), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7085), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170154] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6795), 1,
      sym__lowercase_identifier,
    ACTIONS(6799), 1,
      anon_sym_LPAREN,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6805), 1,
      anon_sym_LBRACE,
    ACTIONS(6807), 1,
      anon_sym_object,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6811), 1,
      anon_sym_new,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6815), 1,
      anon_sym_begin,
    ACTIONS(6817), 1,
      sym_ocamlyacc_value,
    ACTIONS(6823), 1,
      aux_sym_number_token1,
    ACTIONS(6825), 1,
      anon_sym_SQUOTE,
    ACTIONS(6827), 1,
      anon_sym_DQUOTE,
    ACTIONS(6829), 1,
      sym_prefix_operator,
    ACTIONS(6831), 1,
      sym__uppercase_identifier,
    ACTIONS(6833), 1,
      aux_sym_tag_token1,
    ACTIONS(9718), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9720), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5274), 1,
      sym_attribute,
    STATE(6970), 1,
      sym__constructor_name,
    STATE(6971), 1,
      sym__value_name,
    STATE(7006), 1,
      sym_parenthesized_operator,
    STATE(7058), 1,
      sym__simple_expression,
    STATE(19704), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6803), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7015), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7085), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170412] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2419), 1,
      anon_sym_LPAREN,
    ACTIONS(2421), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_LBRACE,
    ACTIONS(2427), 1,
      anon_sym_object,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2441), 1,
      anon_sym_new,
    ACTIONS(2443), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2445), 1,
      anon_sym_begin,
    ACTIONS(2447), 1,
      sym_ocamlyacc_value,
    ACTIONS(2449), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2453), 1,
      aux_sym_number_token1,
    ACTIONS(2455), 1,
      anon_sym_SQUOTE,
    ACTIONS(2457), 1,
      anon_sym_DQUOTE,
    ACTIONS(2459), 1,
      sym_prefix_operator,
    ACTIONS(2463), 1,
      sym__uppercase_identifier,
    ACTIONS(2465), 1,
      aux_sym_tag_token1,
    ACTIONS(6305), 1,
      sym__lowercase_identifier,
    STATE(5277), 1,
      sym_attribute,
    STATE(7352), 1,
      sym_parenthesized_operator,
    STATE(7494), 1,
      sym__constructor_name,
    STATE(7547), 1,
      sym__value_name,
    STATE(7648), 1,
      sym__simple_expression,
    STATE(19842), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2423), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7722), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7680), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170530] = 29,
    ACTIONS(645), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      anon_sym_object,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(667), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(671), 1,
      anon_sym_begin,
    ACTIONS(673), 1,
      sym_ocamlyacc_value,
    ACTIONS(679), 1,
      aux_sym_number_token1,
    ACTIONS(681), 1,
      anon_sym_SQUOTE,
    ACTIONS(683), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      sym_prefix_operator,
    ACTIONS(689), 1,
      sym__uppercase_identifier,
    ACTIONS(691), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3791), 1,
      sym__lowercase_identifier,
    STATE(3850), 1,
      sym__constructor_name,
    STATE(4226), 1,
      sym_parenthesized_operator,
    STATE(4323), 1,
      sym__value_name,
    STATE(4357), 1,
      sym__simple_expression,
    STATE(5278), 1,
      sym_attribute,
    STATE(19487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(649), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3884), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4406), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [170788] = 29,
    ACTIONS(857), 1,
      anon_sym_LPAREN,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(863), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      anon_sym_object,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(879), 1,
      anon_sym_new,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(883), 1,
      anon_sym_begin,
    ACTIONS(885), 1,
      sym_ocamlyacc_value,
    ACTIONS(891), 1,
      aux_sym_number_token1,
    ACTIONS(893), 1,
      anon_sym_SQUOTE,
    ACTIONS(895), 1,
      anon_sym_DQUOTE,
    ACTIONS(897), 1,
      sym_prefix_operator,
    ACTIONS(901), 1,
      sym__uppercase_identifier,
    ACTIONS(903), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3593), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3595), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3765), 1,
      sym__lowercase_identifier,
    STATE(3971), 1,
      sym__constructor_name,
    STATE(4025), 1,
      sym_parenthesized_operator,
    STATE(4090), 1,
      sym__value_name,
    STATE(4107), 1,
      sym__simple_expression,
    STATE(5281), 1,
      sym_attribute,
    STATE(20673), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(861), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3943), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4172), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [170906] = 29,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1309), 1,
      anon_sym_LBRACE,
    ACTIONS(1311), 1,
      anon_sym_object,
    ACTIONS(1315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1325), 1,
      anon_sym_new,
    ACTIONS(1327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1329), 1,
      anon_sym_begin,
    ACTIONS(1331), 1,
      sym_ocamlyacc_value,
    ACTIONS(1337), 1,
      aux_sym_number_token1,
    ACTIONS(1339), 1,
      anon_sym_SQUOTE,
    ACTIONS(1341), 1,
      anon_sym_DQUOTE,
    ACTIONS(1343), 1,
      sym_prefix_operator,
    ACTIONS(1347), 1,
      sym__uppercase_identifier,
    ACTIONS(1349), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3563), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3565), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__lowercase_identifier,
    STATE(5282), 1,
      sym_attribute,
    STATE(5914), 1,
      sym_parenthesized_operator,
    STATE(5919), 1,
      sym__value_name,
    STATE(5949), 1,
      sym__simple_expression,
    STATE(5982), 1,
      sym__constructor_name,
    STATE(19987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5986), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5959), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171094] = 29,
    ACTIONS(1133), 1,
      anon_sym_LPAREN,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1139), 1,
      anon_sym_LBRACE,
    ACTIONS(1141), 1,
      anon_sym_object,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1155), 1,
      anon_sym_new,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1159), 1,
      anon_sym_begin,
    ACTIONS(1161), 1,
      sym_ocamlyacc_value,
    ACTIONS(1167), 1,
      aux_sym_number_token1,
    ACTIONS(1169), 1,
      anon_sym_SQUOTE,
    ACTIONS(1171), 1,
      anon_sym_DQUOTE,
    ACTIONS(1173), 1,
      sym_prefix_operator,
    ACTIONS(1177), 1,
      sym__uppercase_identifier,
    ACTIONS(1179), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3555), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3557), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4541), 1,
      sym__lowercase_identifier,
    STATE(4789), 1,
      sym__simple_expression,
    STATE(4815), 1,
      sym__constructor_name,
    STATE(4936), 1,
      sym__value_name,
    STATE(5037), 1,
      sym_parenthesized_operator,
    STATE(5284), 1,
      sym_attribute,
    STATE(19354), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1137), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4918), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4769), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171212] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2419), 1,
      anon_sym_LPAREN,
    ACTIONS(2421), 1,
      anon_sym_LBRACK,
    ACTIONS(2425), 1,
      anon_sym_LBRACE,
    ACTIONS(2427), 1,
      anon_sym_object,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2441), 1,
      anon_sym_new,
    ACTIONS(2443), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2445), 1,
      anon_sym_begin,
    ACTIONS(2447), 1,
      sym_ocamlyacc_value,
    ACTIONS(2449), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2451), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2453), 1,
      aux_sym_number_token1,
    ACTIONS(2455), 1,
      anon_sym_SQUOTE,
    ACTIONS(2457), 1,
      anon_sym_DQUOTE,
    ACTIONS(2459), 1,
      sym_prefix_operator,
    ACTIONS(2463), 1,
      sym__uppercase_identifier,
    ACTIONS(2465), 1,
      aux_sym_tag_token1,
    ACTIONS(6305), 1,
      sym__lowercase_identifier,
    STATE(5285), 1,
      sym_attribute,
    STATE(7352), 1,
      sym_parenthesized_operator,
    STATE(7494), 1,
      sym__constructor_name,
    STATE(7547), 1,
      sym__value_name,
    STATE(7719), 1,
      sym__simple_expression,
    STATE(19842), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2423), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7722), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7680), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 34,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [171470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171540] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(5289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171612] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9480), 1,
      sym__lowercase_identifier,
    ACTIONS(9482), 1,
      anon_sym_LPAREN,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9488), 1,
      anon_sym_LBRACE,
    ACTIONS(9490), 1,
      anon_sym_object,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9494), 1,
      anon_sym_new,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9498), 1,
      anon_sym_begin,
    ACTIONS(9500), 1,
      sym_ocamlyacc_value,
    ACTIONS(9502), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9504), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9508), 1,
      aux_sym_number_token1,
    ACTIONS(9510), 1,
      anon_sym_SQUOTE,
    ACTIONS(9512), 1,
      anon_sym_DQUOTE,
    ACTIONS(9514), 1,
      sym_prefix_operator,
    ACTIONS(9516), 1,
      sym__uppercase_identifier,
    ACTIONS(9518), 1,
      aux_sym_tag_token1,
    STATE(5290), 1,
      sym_attribute,
    STATE(8584), 1,
      sym__value_name,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8638), 1,
      sym__simple_expression,
    STATE(8653), 1,
      sym__constructor_name,
    STATE(20129), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9486), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8690), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8580), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [171730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [171940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172080] = 29,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(635), 1,
      sym__uppercase_identifier,
    ACTIONS(639), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3521), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    STATE(5091), 1,
      sym__simple_expression,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5295), 1,
      sym__value_name,
    STATE(5296), 1,
      sym_attribute,
    STATE(5299), 1,
      sym_parenthesized_operator,
    STATE(20220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(585), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5288), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5193), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172198] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_object,
    ACTIONS(1911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1921), 1,
      anon_sym_new,
    ACTIONS(1923), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1925), 1,
      anon_sym_begin,
    ACTIONS(1927), 1,
      sym_ocamlyacc_value,
    ACTIONS(1929), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1931), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1933), 1,
      aux_sym_number_token1,
    ACTIONS(1935), 1,
      anon_sym_SQUOTE,
    ACTIONS(1937), 1,
      anon_sym_DQUOTE,
    ACTIONS(1939), 1,
      sym_prefix_operator,
    ACTIONS(1943), 1,
      sym__uppercase_identifier,
    ACTIONS(1945), 1,
      aux_sym_tag_token1,
    ACTIONS(6375), 1,
      sym__lowercase_identifier,
    STATE(5297), 1,
      sym_attribute,
    STATE(7372), 1,
      sym_parenthesized_operator,
    STATE(7415), 1,
      sym__value_name,
    STATE(7421), 1,
      sym__constructor_name,
    STATE(7508), 1,
      sym__simple_expression,
    STATE(19924), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1903), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7650), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7552), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172316] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__uppercase_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__lowercase_identifier,
    STATE(5298), 1,
      sym_attribute,
    STATE(5787), 1,
      sym__simple_expression,
    STATE(5822), 1,
      sym__constructor_name,
    STATE(5864), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(20251), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5871), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5841), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172504] = 29,
    ACTIONS(421), 1,
      anon_sym_LPAREN,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(427), 1,
      anon_sym_LBRACE,
    ACTIONS(429), 1,
      anon_sym_object,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(443), 1,
      anon_sym_new,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(447), 1,
      anon_sym_begin,
    ACTIONS(449), 1,
      sym_ocamlyacc_value,
    ACTIONS(455), 1,
      aux_sym_number_token1,
    ACTIONS(457), 1,
      anon_sym_SQUOTE,
    ACTIONS(459), 1,
      anon_sym_DQUOTE,
    ACTIONS(461), 1,
      sym_prefix_operator,
    ACTIONS(465), 1,
      sym__uppercase_identifier,
    ACTIONS(467), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3551), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3553), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3571), 1,
      sym__lowercase_identifier,
    STATE(3501), 1,
      sym__simple_expression,
    STATE(3518), 1,
      sym__value_name,
    STATE(3666), 1,
      sym__constructor_name,
    STATE(3739), 1,
      sym_parenthesized_operator,
    STATE(5300), 1,
      sym_attribute,
    STATE(20711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(425), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3723), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3440), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9722), 1,
      anon_sym_COLON,
    STATE(5302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 32,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [172764] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5303), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6283), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [172882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [172952] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__uppercase_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5919), 1,
      sym__lowercase_identifier,
    STATE(5305), 1,
      sym_attribute,
    STATE(6652), 1,
      sym__constructor_name,
    STATE(6670), 1,
      sym_parenthesized_operator,
    STATE(6736), 1,
      sym__value_name,
    STATE(6747), 1,
      sym__simple_expression,
    STATE(20597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6718), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6694), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173070] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1603), 1,
      anon_sym_LPAREN,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1609), 1,
      anon_sym_LBRACE,
    ACTIONS(1611), 1,
      anon_sym_object,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1633), 1,
      anon_sym_new,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1637), 1,
      anon_sym_begin,
    ACTIONS(1639), 1,
      sym_ocamlyacc_value,
    ACTIONS(1641), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1643), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1645), 1,
      aux_sym_number_token1,
    ACTIONS(1647), 1,
      anon_sym_SQUOTE,
    ACTIONS(1649), 1,
      anon_sym_DQUOTE,
    ACTIONS(1651), 1,
      sym_prefix_operator,
    ACTIONS(1655), 1,
      sym__uppercase_identifier,
    ACTIONS(1657), 1,
      aux_sym_tag_token1,
    ACTIONS(5919), 1,
      sym__lowercase_identifier,
    STATE(5306), 1,
      sym_attribute,
    STATE(6652), 1,
      sym__constructor_name,
    STATE(6670), 1,
      sym_parenthesized_operator,
    STATE(6715), 1,
      sym__simple_expression,
    STATE(6736), 1,
      sym__value_name,
    STATE(20597), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1607), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6718), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6694), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173258] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_DOT,
    STATE(5308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173610] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4715), 1,
      anon_sym_DOT,
    ACTIONS(4717), 1,
      anon_sym_POUND,
    ACTIONS(4719), 1,
      sym_hash_operator,
    STATE(5313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [173756] = 29,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(913), 1,
      anon_sym_LBRACK,
    ACTIONS(917), 1,
      anon_sym_LBRACE,
    ACTIONS(919), 1,
      anon_sym_object,
    ACTIONS(923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(933), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(937), 1,
      anon_sym_begin,
    ACTIONS(939), 1,
      sym_ocamlyacc_value,
    ACTIONS(945), 1,
      aux_sym_number_token1,
    ACTIONS(947), 1,
      anon_sym_SQUOTE,
    ACTIONS(949), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym_prefix_operator,
    ACTIONS(955), 1,
      sym__uppercase_identifier,
    ACTIONS(957), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__lowercase_identifier,
    STATE(4488), 1,
      sym__value_name,
    STATE(4509), 1,
      sym__simple_expression,
    STATE(4540), 1,
      sym__constructor_name,
    STATE(4674), 1,
      sym_parenthesized_operator,
    STATE(5315), 1,
      sym_attribute,
    STATE(20329), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4571), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4455), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173874] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1899), 1,
      anon_sym_LPAREN,
    ACTIONS(1901), 1,
      anon_sym_LBRACK,
    ACTIONS(1905), 1,
      anon_sym_LBRACE,
    ACTIONS(1907), 1,
      anon_sym_object,
    ACTIONS(1911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1921), 1,
      anon_sym_new,
    ACTIONS(1923), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1925), 1,
      anon_sym_begin,
    ACTIONS(1927), 1,
      sym_ocamlyacc_value,
    ACTIONS(1929), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1931), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1933), 1,
      aux_sym_number_token1,
    ACTIONS(1935), 1,
      anon_sym_SQUOTE,
    ACTIONS(1937), 1,
      anon_sym_DQUOTE,
    ACTIONS(1939), 1,
      sym_prefix_operator,
    ACTIONS(1943), 1,
      sym__uppercase_identifier,
    ACTIONS(1945), 1,
      aux_sym_tag_token1,
    ACTIONS(6375), 1,
      sym__lowercase_identifier,
    STATE(5316), 1,
      sym_attribute,
    STATE(7372), 1,
      sym_parenthesized_operator,
    STATE(7415), 1,
      sym__value_name,
    STATE(7421), 1,
      sym__constructor_name,
    STATE(7595), 1,
      sym__simple_expression,
    STATE(19924), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1903), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7650), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7552), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [173992] = 29,
    ACTIONS(699), 1,
      anon_sym_LPAREN,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_object,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(721), 1,
      anon_sym_new,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(725), 1,
      anon_sym_begin,
    ACTIONS(727), 1,
      sym_ocamlyacc_value,
    ACTIONS(733), 1,
      aux_sym_number_token1,
    ACTIONS(735), 1,
      anon_sym_SQUOTE,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(739), 1,
      sym_prefix_operator,
    ACTIONS(743), 1,
      sym__uppercase_identifier,
    ACTIONS(745), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3715), 1,
      sym__lowercase_identifier,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(4336), 1,
      sym__simple_expression,
    STATE(4397), 1,
      sym_parenthesized_operator,
    STATE(4399), 1,
      sym__value_name,
    STATE(5317), 1,
      sym_attribute,
    STATE(20170), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4188), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4325), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174250] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__uppercase_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6049), 1,
      sym__lowercase_identifier,
    STATE(5320), 1,
      sym_attribute,
    STATE(6773), 1,
      sym__value_name,
    STATE(6784), 1,
      sym__simple_expression,
    STATE(6806), 1,
      sym__constructor_name,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(19539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6854), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6772), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174508] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__uppercase_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6049), 1,
      sym__lowercase_identifier,
    STATE(5323), 1,
      sym_attribute,
    STATE(6773), 1,
      sym__value_name,
    STATE(6806), 1,
      sym__constructor_name,
    STATE(6808), 1,
      sym__simple_expression,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(19539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6854), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6772), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174626] = 29,
    ACTIONS(365), 1,
      anon_sym_LPAREN,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(371), 1,
      anon_sym_LBRACE,
    ACTIONS(373), 1,
      anon_sym_object,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(387), 1,
      anon_sym_new,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(391), 1,
      anon_sym_begin,
    ACTIONS(393), 1,
      sym_ocamlyacc_value,
    ACTIONS(401), 1,
      aux_sym_number_token1,
    ACTIONS(403), 1,
      anon_sym_SQUOTE,
    ACTIONS(405), 1,
      anon_sym_DQUOTE,
    ACTIONS(407), 1,
      sym_prefix_operator,
    ACTIONS(413), 1,
      sym__uppercase_identifier,
    ACTIONS(415), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3623), 1,
      sym__lowercase_identifier,
    STATE(3525), 1,
      sym__simple_expression,
    STATE(3562), 1,
      sym__constructor_name,
    STATE(3639), 1,
      sym__value_name,
    STATE(3791), 1,
      sym_parenthesized_operator,
    STATE(5324), 1,
      sym_attribute,
    STATE(20787), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(369), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3674), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3531), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174744] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__uppercase_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5751), 1,
      sym__lowercase_identifier,
    STATE(5325), 1,
      sym_attribute,
    STATE(6375), 1,
      sym_parenthesized_operator,
    STATE(6390), 1,
      sym__constructor_name,
    STATE(6445), 1,
      sym__value_name,
    STATE(6481), 1,
      sym__simple_expression,
    STATE(19649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6422), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6441), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [174862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [174932] = 29,
    ACTIONS(699), 1,
      anon_sym_LPAREN,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(705), 1,
      anon_sym_LBRACE,
    ACTIONS(707), 1,
      anon_sym_object,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(721), 1,
      anon_sym_new,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(725), 1,
      anon_sym_begin,
    ACTIONS(727), 1,
      sym_ocamlyacc_value,
    ACTIONS(733), 1,
      aux_sym_number_token1,
    ACTIONS(735), 1,
      anon_sym_SQUOTE,
    ACTIONS(737), 1,
      anon_sym_DQUOTE,
    ACTIONS(739), 1,
      sym_prefix_operator,
    ACTIONS(743), 1,
      sym__uppercase_identifier,
    ACTIONS(745), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3515), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3517), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3715), 1,
      sym__lowercase_identifier,
    STATE(4089), 1,
      sym__constructor_name,
    STATE(4348), 1,
      sym__simple_expression,
    STATE(4397), 1,
      sym_parenthesized_operator,
    STATE(4399), 1,
      sym__value_name,
    STATE(5327), 1,
      sym_attribute,
    STATE(20170), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(703), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4188), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4325), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175050] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1497), 1,
      anon_sym_LPAREN,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1503), 1,
      anon_sym_LBRACE,
    ACTIONS(1505), 1,
      anon_sym_object,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1519), 1,
      anon_sym_new,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1523), 1,
      anon_sym_begin,
    ACTIONS(1525), 1,
      sym_ocamlyacc_value,
    ACTIONS(1527), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1529), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1531), 1,
      aux_sym_number_token1,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
    ACTIONS(1537), 1,
      sym_prefix_operator,
    ACTIONS(1541), 1,
      sym__uppercase_identifier,
    ACTIONS(1543), 1,
      aux_sym_tag_token1,
    ACTIONS(5751), 1,
      sym__lowercase_identifier,
    STATE(5328), 1,
      sym_attribute,
    STATE(6375), 1,
      sym_parenthesized_operator,
    STATE(6390), 1,
      sym__constructor_name,
    STATE(6445), 1,
      sym__value_name,
    STATE(6461), 1,
      sym__simple_expression,
    STATE(19649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1501), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6422), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6441), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175378] = 29,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1309), 1,
      anon_sym_LBRACE,
    ACTIONS(1311), 1,
      anon_sym_object,
    ACTIONS(1315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1325), 1,
      anon_sym_new,
    ACTIONS(1327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1329), 1,
      anon_sym_begin,
    ACTIONS(1331), 1,
      sym_ocamlyacc_value,
    ACTIONS(1337), 1,
      aux_sym_number_token1,
    ACTIONS(1339), 1,
      anon_sym_SQUOTE,
    ACTIONS(1341), 1,
      anon_sym_DQUOTE,
    ACTIONS(1343), 1,
      sym_prefix_operator,
    ACTIONS(1347), 1,
      sym__uppercase_identifier,
    ACTIONS(1349), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3563), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3565), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__lowercase_identifier,
    STATE(5332), 1,
      sym_attribute,
    STATE(5914), 1,
      sym_parenthesized_operator,
    STATE(5919), 1,
      sym__value_name,
    STATE(5928), 1,
      sym__simple_expression,
    STATE(5982), 1,
      sym__constructor_name,
    STATE(19987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5986), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5959), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175496] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_LPAREN,
    ACTIONS(3175), 1,
      anon_sym_LBRACK,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_object,
    ACTIONS(3185), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3195), 1,
      anon_sym_new,
    ACTIONS(3197), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3199), 1,
      anon_sym_begin,
    ACTIONS(3201), 1,
      sym_ocamlyacc_value,
    ACTIONS(3203), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3205), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3207), 1,
      aux_sym_number_token1,
    ACTIONS(3209), 1,
      anon_sym_SQUOTE,
    ACTIONS(3211), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_prefix_operator,
    ACTIONS(3217), 1,
      sym__uppercase_identifier,
    ACTIONS(3219), 1,
      aux_sym_tag_token1,
    ACTIONS(6531), 1,
      sym__lowercase_identifier,
    STATE(5333), 1,
      sym_attribute,
    STATE(7856), 1,
      sym__value_name,
    STATE(8102), 1,
      sym__constructor_name,
    STATE(8190), 1,
      sym_parenthesized_operator,
    STATE(8218), 1,
      sym__simple_expression,
    STATE(21165), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3177), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8111), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7783), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [175754] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__uppercase_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3529), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3531), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__lowercase_identifier,
    STATE(4570), 1,
      sym_parenthesized_operator,
    STATE(4657), 1,
      sym__constructor_name,
    STATE(4712), 1,
      sym__value_name,
    STATE(4745), 1,
      sym__simple_expression,
    STATE(5336), 1,
      sym_attribute,
    STATE(20006), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4600), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4670), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175872] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__uppercase_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3525), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3527), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4711), 1,
      sym__lowercase_identifier,
    STATE(5172), 1,
      sym__constructor_name,
    STATE(5213), 1,
      sym__value_name,
    STATE(5313), 1,
      sym__simple_expression,
    STATE(5326), 1,
      sym_parenthesized_operator,
    STATE(5337), 1,
      sym_attribute,
    STATE(21004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5409), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [175990] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__uppercase_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3529), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3531), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__lowercase_identifier,
    STATE(4570), 1,
      sym_parenthesized_operator,
    STATE(4657), 1,
      sym__constructor_name,
    STATE(4696), 1,
      sym__simple_expression,
    STATE(4712), 1,
      sym__value_name,
    STATE(5338), 1,
      sym_attribute,
    STATE(20006), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4600), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4670), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176108] = 29,
    ACTIONS(753), 1,
      anon_sym_LPAREN,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(759), 1,
      anon_sym_LBRACE,
    ACTIONS(761), 1,
      anon_sym_object,
    ACTIONS(765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(775), 1,
      anon_sym_new,
    ACTIONS(777), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(779), 1,
      anon_sym_begin,
    ACTIONS(781), 1,
      sym_ocamlyacc_value,
    ACTIONS(787), 1,
      aux_sym_number_token1,
    ACTIONS(789), 1,
      anon_sym_SQUOTE,
    ACTIONS(791), 1,
      anon_sym_DQUOTE,
    ACTIONS(793), 1,
      sym_prefix_operator,
    ACTIONS(797), 1,
      sym__uppercase_identifier,
    ACTIONS(799), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3597), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3599), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3673), 1,
      sym__lowercase_identifier,
    STATE(3845), 1,
      sym__value_name,
    STATE(3900), 1,
      sym_parenthesized_operator,
    STATE(3959), 1,
      sym__simple_expression,
    STATE(4075), 1,
      sym__constructor_name,
    STATE(5339), 1,
      sym_attribute,
    STATE(20861), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(757), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4044), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3949), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176226] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__uppercase_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__lowercase_identifier,
    STATE(5340), 1,
      sym_attribute,
    STATE(6077), 1,
      sym__value_name,
    STATE(6083), 1,
      sym_parenthesized_operator,
    STATE(6084), 1,
      sym__constructor_name,
    STATE(6097), 1,
      sym__simple_expression,
    STATE(19594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6033), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6108), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176414] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    ACTIONS(1959), 1,
      anon_sym_object,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1973), 1,
      anon_sym_new,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1977), 1,
      anon_sym_begin,
    ACTIONS(1979), 1,
      sym_ocamlyacc_value,
    ACTIONS(1981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1985), 1,
      aux_sym_number_token1,
    ACTIONS(1987), 1,
      anon_sym_SQUOTE,
    ACTIONS(1989), 1,
      anon_sym_DQUOTE,
    ACTIONS(1991), 1,
      sym_prefix_operator,
    ACTIONS(1995), 1,
      sym__uppercase_identifier,
    ACTIONS(1997), 1,
      aux_sym_tag_token1,
    ACTIONS(6385), 1,
      sym__lowercase_identifier,
    STATE(5342), 1,
      sym_attribute,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(7345), 1,
      sym__value_name,
    STATE(7411), 1,
      sym_parenthesized_operator,
    STATE(7476), 1,
      sym__simple_expression,
    STATE(19965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7496), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7426), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176532] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176742] = 29,
    ACTIONS(805), 1,
      anon_sym_LPAREN,
    ACTIONS(807), 1,
      anon_sym_LBRACK,
    ACTIONS(811), 1,
      anon_sym_LBRACE,
    ACTIONS(813), 1,
      anon_sym_object,
    ACTIONS(817), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(827), 1,
      anon_sym_new,
    ACTIONS(829), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(831), 1,
      anon_sym_begin,
    ACTIONS(833), 1,
      sym_ocamlyacc_value,
    ACTIONS(839), 1,
      aux_sym_number_token1,
    ACTIONS(841), 1,
      anon_sym_SQUOTE,
    ACTIONS(843), 1,
      anon_sym_DQUOTE,
    ACTIONS(845), 1,
      sym_prefix_operator,
    ACTIONS(849), 1,
      sym__uppercase_identifier,
    ACTIONS(851), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3605), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3607), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3651), 1,
      sym__lowercase_identifier,
    STATE(3898), 1,
      sym_parenthesized_operator,
    STATE(3948), 1,
      sym__value_name,
    STATE(4034), 1,
      sym__simple_expression,
    STATE(4059), 1,
      sym__constructor_name,
    STATE(5346), 1,
      sym_attribute,
    STATE(20824), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(809), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4029), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4026), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [176860] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    ACTIONS(4847), 1,
      anon_sym_POUND,
    ACTIONS(4849), 1,
      sym_hash_operator,
    STATE(5347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [176936] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__uppercase_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3561), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3613), 1,
      sym__lowercase_identifier,
    STATE(3402), 1,
      sym__simple_expression,
    STATE(3463), 1,
      sym_parenthesized_operator,
    STATE(3828), 1,
      sym__value_name,
    STATE(3829), 1,
      sym__constructor_name,
    STATE(5348), 1,
      sym_attribute,
    STATE(20368), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3637), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3631), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177054] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__uppercase_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3611), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3923), 1,
      sym__lowercase_identifier,
    STATE(4933), 1,
      sym__constructor_name,
    STATE(4954), 1,
      sym__simple_expression,
    STATE(5016), 1,
      sym__value_name,
    STATE(5032), 1,
      sym_parenthesized_operator,
    STATE(5349), 1,
      sym_attribute,
    STATE(20211), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4943), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [177242] = 29,
    ACTIONS(473), 1,
      anon_sym_LPAREN,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(479), 1,
      anon_sym_LBRACE,
    ACTIONS(481), 1,
      anon_sym_object,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(495), 1,
      anon_sym_new,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(499), 1,
      anon_sym_begin,
    ACTIONS(501), 1,
      sym_ocamlyacc_value,
    ACTIONS(507), 1,
      aux_sym_number_token1,
    ACTIONS(509), 1,
      anon_sym_SQUOTE,
    ACTIONS(511), 1,
      anon_sym_DQUOTE,
    ACTIONS(513), 1,
      sym_prefix_operator,
    ACTIONS(517), 1,
      sym__uppercase_identifier,
    ACTIONS(519), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3559), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3561), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3613), 1,
      sym__lowercase_identifier,
    STATE(3463), 1,
      sym_parenthesized_operator,
    STATE(3500), 1,
      sym__simple_expression,
    STATE(3828), 1,
      sym__value_name,
    STATE(3829), 1,
      sym__constructor_name,
    STATE(5351), 1,
      sym_attribute,
    STATE(20368), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(477), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3637), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(3631), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177360] = 29,
    ACTIONS(1081), 1,
      anon_sym_LPAREN,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1087), 1,
      anon_sym_LBRACE,
    ACTIONS(1089), 1,
      anon_sym_object,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1103), 1,
      anon_sym_new,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1107), 1,
      anon_sym_begin,
    ACTIONS(1109), 1,
      sym_ocamlyacc_value,
    ACTIONS(1115), 1,
      aux_sym_number_token1,
    ACTIONS(1117), 1,
      anon_sym_SQUOTE,
    ACTIONS(1119), 1,
      anon_sym_DQUOTE,
    ACTIONS(1121), 1,
      sym_prefix_operator,
    ACTIONS(1125), 1,
      sym__uppercase_identifier,
    ACTIONS(1127), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3545), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3547), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4025), 1,
      sym__lowercase_identifier,
    STATE(4846), 1,
      sym__simple_expression,
    STATE(4867), 1,
      sym__constructor_name,
    STATE(4892), 1,
      sym__value_name,
    STATE(5029), 1,
      sym_parenthesized_operator,
    STATE(5352), 1,
      sym_attribute,
    STATE(20088), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1085), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4808), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4768), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177478] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_LPAREN,
    ACTIONS(3293), 1,
      anon_sym_LBRACK,
    ACTIONS(3297), 1,
      anon_sym_LBRACE,
    ACTIONS(3299), 1,
      anon_sym_object,
    ACTIONS(3303), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3313), 1,
      anon_sym_new,
    ACTIONS(3315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3317), 1,
      anon_sym_begin,
    ACTIONS(3319), 1,
      sym_ocamlyacc_value,
    ACTIONS(3321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3325), 1,
      aux_sym_number_token1,
    ACTIONS(3327), 1,
      anon_sym_SQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DQUOTE,
    ACTIONS(3331), 1,
      sym_prefix_operator,
    ACTIONS(3335), 1,
      sym__uppercase_identifier,
    ACTIONS(3337), 1,
      aux_sym_tag_token1,
    ACTIONS(6567), 1,
      sym__lowercase_identifier,
    STATE(5353), 1,
      sym_attribute,
    STATE(7852), 1,
      sym__constructor_name,
    STATE(7912), 1,
      sym_parenthesized_operator,
    STATE(8073), 1,
      sym__simple_expression,
    STATE(8110), 1,
      sym__value_name,
    STATE(22319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7887), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8118), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177596] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__uppercase_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3611), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3923), 1,
      sym__lowercase_identifier,
    STATE(4933), 1,
      sym__constructor_name,
    STATE(4982), 1,
      sym__simple_expression,
    STATE(5016), 1,
      sym__value_name,
    STATE(5032), 1,
      sym_parenthesized_operator,
    STATE(5354), 1,
      sym_attribute,
    STATE(20211), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4943), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177714] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_LPAREN,
    ACTIONS(3175), 1,
      anon_sym_LBRACK,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_object,
    ACTIONS(3185), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3195), 1,
      anon_sym_new,
    ACTIONS(3197), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3199), 1,
      anon_sym_begin,
    ACTIONS(3201), 1,
      sym_ocamlyacc_value,
    ACTIONS(3203), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3205), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3207), 1,
      aux_sym_number_token1,
    ACTIONS(3209), 1,
      anon_sym_SQUOTE,
    ACTIONS(3211), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_prefix_operator,
    ACTIONS(3217), 1,
      sym__uppercase_identifier,
    ACTIONS(3219), 1,
      aux_sym_tag_token1,
    ACTIONS(6531), 1,
      sym__lowercase_identifier,
    STATE(5355), 1,
      sym_attribute,
    STATE(7856), 1,
      sym__value_name,
    STATE(7890), 1,
      sym__simple_expression,
    STATE(8102), 1,
      sym__constructor_name,
    STATE(8190), 1,
      sym_parenthesized_operator,
    STATE(21165), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3177), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8111), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7783), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177832] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3033), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      anon_sym_object,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3049), 1,
      anon_sym_new,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3053), 1,
      anon_sym_begin,
    ACTIONS(3055), 1,
      sym_ocamlyacc_value,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3061), 1,
      aux_sym_number_token1,
    ACTIONS(3063), 1,
      anon_sym_SQUOTE,
    ACTIONS(3065), 1,
      anon_sym_DQUOTE,
    ACTIONS(3067), 1,
      sym_prefix_operator,
    ACTIONS(3071), 1,
      sym__uppercase_identifier,
    ACTIONS(3073), 1,
      aux_sym_tag_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    STATE(5356), 1,
      sym_attribute,
    STATE(7829), 1,
      sym__simple_expression,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(7885), 1,
      sym__value_name,
    STATE(8262), 1,
      sym__constructor_name,
    STATE(21223), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8168), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7906), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [177950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178160] = 29,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1309), 1,
      anon_sym_LBRACE,
    ACTIONS(1311), 1,
      anon_sym_object,
    ACTIONS(1315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1325), 1,
      anon_sym_new,
    ACTIONS(1327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1329), 1,
      anon_sym_begin,
    ACTIONS(1331), 1,
      sym_ocamlyacc_value,
    ACTIONS(1337), 1,
      aux_sym_number_token1,
    ACTIONS(1339), 1,
      anon_sym_SQUOTE,
    ACTIONS(1341), 1,
      anon_sym_DQUOTE,
    ACTIONS(1343), 1,
      sym_prefix_operator,
    ACTIONS(1347), 1,
      sym__uppercase_identifier,
    ACTIONS(1349), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3563), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3565), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5591), 1,
      sym__lowercase_identifier,
    STATE(5360), 1,
      sym_attribute,
    STATE(5914), 1,
      sym_parenthesized_operator,
    STATE(5919), 1,
      sym__value_name,
    STATE(5939), 1,
      sym__simple_expression,
    STATE(5982), 1,
      sym__constructor_name,
    STATE(19987), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1307), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5986), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5959), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178278] = 29,
    ACTIONS(1185), 1,
      anon_sym_LPAREN,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1191), 1,
      anon_sym_LBRACE,
    ACTIONS(1193), 1,
      anon_sym_object,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1207), 1,
      anon_sym_new,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1211), 1,
      anon_sym_begin,
    ACTIONS(1213), 1,
      sym_ocamlyacc_value,
    ACTIONS(1219), 1,
      aux_sym_number_token1,
    ACTIONS(1221), 1,
      anon_sym_SQUOTE,
    ACTIONS(1223), 1,
      anon_sym_DQUOTE,
    ACTIONS(1225), 1,
      sym_prefix_operator,
    ACTIONS(1229), 1,
      sym__uppercase_identifier,
    ACTIONS(1231), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3609), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3611), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3923), 1,
      sym__lowercase_identifier,
    STATE(4933), 1,
      sym__constructor_name,
    STATE(5016), 1,
      sym__value_name,
    STATE(5028), 1,
      sym__simple_expression,
    STATE(5032), 1,
      sym_parenthesized_operator,
    STATE(5361), 1,
      sym_attribute,
    STATE(20211), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1189), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4865), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4943), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178466] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    ACTIONS(2611), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_object,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2631), 1,
      anon_sym_new,
    ACTIONS(2633), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2635), 1,
      anon_sym_begin,
    ACTIONS(2637), 1,
      sym_ocamlyacc_value,
    ACTIONS(2639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2643), 1,
      aux_sym_number_token1,
    ACTIONS(2645), 1,
      anon_sym_SQUOTE,
    ACTIONS(2647), 1,
      anon_sym_DQUOTE,
    ACTIONS(2649), 1,
      sym_prefix_operator,
    ACTIONS(2653), 1,
      sym__uppercase_identifier,
    ACTIONS(2655), 1,
      aux_sym_tag_token1,
    ACTIONS(6295), 1,
      sym__lowercase_identifier,
    STATE(5363), 1,
      sym_attribute,
    STATE(7295), 1,
      sym__simple_expression,
    STATE(7302), 1,
      sym__value_name,
    STATE(7342), 1,
      sym__constructor_name,
    STATE(7561), 1,
      sym_parenthesized_operator,
    STATE(20483), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2613), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7396), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7327), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [178584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178794] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4845), 1,
      anon_sym_DOT,
    STATE(5367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [178936] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__lowercase_identifier,
    ACTIONS(9528), 1,
      anon_sym_LPAREN,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACE,
    ACTIONS(9536), 1,
      anon_sym_object,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9540), 1,
      anon_sym_new,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9544), 1,
      anon_sym_begin,
    ACTIONS(9546), 1,
      sym_ocamlyacc_value,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9552), 1,
      aux_sym_number_token1,
    ACTIONS(9554), 1,
      anon_sym_SQUOTE,
    ACTIONS(9556), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym_prefix_operator,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(9562), 1,
      aux_sym_tag_token1,
    STATE(5369), 1,
      sym_attribute,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(8792), 1,
      sym__value_name,
    STATE(8808), 1,
      sym__simple_expression,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(21690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179054] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(9048), 1,
      anon_sym_LPAREN,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9052), 1,
      anon_sym_LBRACE,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9062), 1,
      anon_sym_begin,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9066), 1,
      sym_prefix_operator,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    STATE(5370), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8410), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(20529), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179172] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__uppercase_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      sym__lowercase_identifier,
    STATE(5077), 1,
      sym__value_name,
    STATE(5153), 1,
      sym_parenthesized_operator,
    STATE(5234), 1,
      sym__constructor_name,
    STATE(5347), 1,
      sym__simple_expression,
    STATE(5371), 1,
      sym_attribute,
    STATE(22132), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5318), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179290] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__uppercase_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__lowercase_identifier,
    STATE(5372), 1,
      sym_attribute,
    STATE(6077), 1,
      sym__value_name,
    STATE(6083), 1,
      sym_parenthesized_operator,
    STATE(6084), 1,
      sym__constructor_name,
    STATE(6144), 1,
      sym__simple_expression,
    STATE(19594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6033), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6108), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179478] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9564), 1,
      sym__lowercase_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_object,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9578), 1,
      anon_sym_new,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9582), 1,
      anon_sym_begin,
    ACTIONS(9584), 1,
      sym_ocamlyacc_value,
    ACTIONS(9586), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9588), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9590), 1,
      aux_sym_number_token1,
    ACTIONS(9592), 1,
      anon_sym_SQUOTE,
    ACTIONS(9594), 1,
      anon_sym_DQUOTE,
    ACTIONS(9596), 1,
      sym_prefix_operator,
    ACTIONS(9598), 1,
      sym__uppercase_identifier,
    ACTIONS(9600), 1,
      aux_sym_tag_token1,
    STATE(5374), 1,
      sym_attribute,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8586), 1,
      sym__value_name,
    STATE(8593), 1,
      sym__simple_expression,
    STATE(8726), 1,
      sym__constructor_name,
    STATE(19730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8725), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [179736] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1445), 1,
      anon_sym_LPAREN,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1451), 1,
      anon_sym_LBRACE,
    ACTIONS(1453), 1,
      anon_sym_object,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1467), 1,
      anon_sym_new,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1471), 1,
      anon_sym_begin,
    ACTIONS(1473), 1,
      sym_ocamlyacc_value,
    ACTIONS(1475), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1477), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1479), 1,
      aux_sym_number_token1,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
    ACTIONS(1483), 1,
      anon_sym_DQUOTE,
    ACTIONS(1485), 1,
      sym_prefix_operator,
    ACTIONS(1489), 1,
      sym__uppercase_identifier,
    ACTIONS(1491), 1,
      aux_sym_tag_token1,
    ACTIONS(5601), 1,
      sym__lowercase_identifier,
    STATE(5377), 1,
      sym_attribute,
    STATE(6077), 1,
      sym__value_name,
    STATE(6083), 1,
      sym_parenthesized_operator,
    STATE(6084), 1,
      sym__constructor_name,
    STATE(6129), 1,
      sym__simple_expression,
    STATE(19594), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1449), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6033), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6108), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179854] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2609), 1,
      anon_sym_LPAREN,
    ACTIONS(2611), 1,
      anon_sym_LBRACK,
    ACTIONS(2615), 1,
      anon_sym_LBRACE,
    ACTIONS(2617), 1,
      anon_sym_object,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2631), 1,
      anon_sym_new,
    ACTIONS(2633), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2635), 1,
      anon_sym_begin,
    ACTIONS(2637), 1,
      sym_ocamlyacc_value,
    ACTIONS(2639), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2641), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2643), 1,
      aux_sym_number_token1,
    ACTIONS(2645), 1,
      anon_sym_SQUOTE,
    ACTIONS(2647), 1,
      anon_sym_DQUOTE,
    ACTIONS(2649), 1,
      sym_prefix_operator,
    ACTIONS(2653), 1,
      sym__uppercase_identifier,
    ACTIONS(2655), 1,
      aux_sym_tag_token1,
    ACTIONS(6295), 1,
      sym__lowercase_identifier,
    STATE(5378), 1,
      sym_attribute,
    STATE(7247), 1,
      sym__simple_expression,
    STATE(7302), 1,
      sym__value_name,
    STATE(7342), 1,
      sym__constructor_name,
    STATE(7561), 1,
      sym_parenthesized_operator,
    STATE(20483), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2613), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7396), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7327), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [179972] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3027), 1,
      anon_sym_LPAREN,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3033), 1,
      anon_sym_LBRACE,
    ACTIONS(3035), 1,
      anon_sym_object,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3049), 1,
      anon_sym_new,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3053), 1,
      anon_sym_begin,
    ACTIONS(3055), 1,
      sym_ocamlyacc_value,
    ACTIONS(3057), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3059), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3061), 1,
      aux_sym_number_token1,
    ACTIONS(3063), 1,
      anon_sym_SQUOTE,
    ACTIONS(3065), 1,
      anon_sym_DQUOTE,
    ACTIONS(3067), 1,
      sym_prefix_operator,
    ACTIONS(3071), 1,
      sym__uppercase_identifier,
    ACTIONS(3073), 1,
      aux_sym_tag_token1,
    ACTIONS(6407), 1,
      sym__lowercase_identifier,
    STATE(5379), 1,
      sym_attribute,
    STATE(7837), 1,
      sym__simple_expression,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(7885), 1,
      sym__value_name,
    STATE(8262), 1,
      sym__constructor_name,
    STATE(21223), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3031), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8168), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7906), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180090] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180230] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(4915), 1,
      anon_sym_DOT,
    ACTIONS(4917), 1,
      anon_sym_POUND,
    ACTIONS(4919), 1,
      sym_hash_operator,
    STATE(5382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180446] = 29,
    ACTIONS(645), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      anon_sym_object,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(667), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(671), 1,
      anon_sym_begin,
    ACTIONS(673), 1,
      sym_ocamlyacc_value,
    ACTIONS(679), 1,
      aux_sym_number_token1,
    ACTIONS(681), 1,
      anon_sym_SQUOTE,
    ACTIONS(683), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      sym_prefix_operator,
    ACTIONS(689), 1,
      sym__uppercase_identifier,
    ACTIONS(691), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3791), 1,
      sym__lowercase_identifier,
    STATE(3850), 1,
      sym__constructor_name,
    STATE(4226), 1,
      sym_parenthesized_operator,
    STATE(4323), 1,
      sym__value_name,
    STATE(4426), 1,
      sym__simple_expression,
    STATE(5385), 1,
      sym_attribute,
    STATE(19487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(649), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3884), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4406), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180564] = 29,
    ACTIONS(1243), 1,
      anon_sym_LPAREN,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1249), 1,
      anon_sym_LBRACE,
    ACTIONS(1251), 1,
      anon_sym_object,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1273), 1,
      anon_sym_new,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1277), 1,
      anon_sym_begin,
    ACTIONS(1279), 1,
      sym_ocamlyacc_value,
    ACTIONS(1285), 1,
      aux_sym_number_token1,
    ACTIONS(1287), 1,
      anon_sym_SQUOTE,
    ACTIONS(1289), 1,
      anon_sym_DQUOTE,
    ACTIONS(1291), 1,
      sym_prefix_operator,
    ACTIONS(1295), 1,
      sym__uppercase_identifier,
    ACTIONS(1297), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3567), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3569), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(5581), 1,
      sym__lowercase_identifier,
    STATE(5386), 1,
      sym_attribute,
    STATE(5822), 1,
      sym__constructor_name,
    STATE(5864), 1,
      sym__value_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(5903), 1,
      sym__simple_expression,
    STATE(20251), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1247), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5871), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5841), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180682] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9564), 1,
      sym__lowercase_identifier,
    ACTIONS(9566), 1,
      anon_sym_LPAREN,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9572), 1,
      anon_sym_LBRACE,
    ACTIONS(9574), 1,
      anon_sym_object,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9578), 1,
      anon_sym_new,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9582), 1,
      anon_sym_begin,
    ACTIONS(9584), 1,
      sym_ocamlyacc_value,
    ACTIONS(9586), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9588), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9590), 1,
      aux_sym_number_token1,
    ACTIONS(9592), 1,
      anon_sym_SQUOTE,
    ACTIONS(9594), 1,
      anon_sym_DQUOTE,
    ACTIONS(9596), 1,
      sym_prefix_operator,
    ACTIONS(9598), 1,
      sym__uppercase_identifier,
    ACTIONS(9600), 1,
      aux_sym_tag_token1,
    STATE(5387), 1,
      sym_attribute,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8586), 1,
      sym__value_name,
    STATE(8592), 1,
      sym__simple_expression,
    STATE(8726), 1,
      sym__constructor_name,
    STATE(19730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9570), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8725), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8568), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180800] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [180870] = 29,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(913), 1,
      anon_sym_LBRACK,
    ACTIONS(917), 1,
      anon_sym_LBRACE,
    ACTIONS(919), 1,
      anon_sym_object,
    ACTIONS(923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(933), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(937), 1,
      anon_sym_begin,
    ACTIONS(939), 1,
      sym_ocamlyacc_value,
    ACTIONS(945), 1,
      aux_sym_number_token1,
    ACTIONS(947), 1,
      anon_sym_SQUOTE,
    ACTIONS(949), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym_prefix_operator,
    ACTIONS(955), 1,
      sym__uppercase_identifier,
    ACTIONS(957), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__lowercase_identifier,
    STATE(4447), 1,
      sym__simple_expression,
    STATE(4488), 1,
      sym__value_name,
    STATE(4540), 1,
      sym__constructor_name,
    STATE(4674), 1,
      sym_parenthesized_operator,
    STATE(5389), 1,
      sym_attribute,
    STATE(20329), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4571), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4455), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [180988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181058] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9724), 1,
      anon_sym_COLON,
    STATE(5391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [181130] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6587), 1,
      sym__lowercase_identifier,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      anon_sym_object,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6607), 1,
      anon_sym_new,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6611), 1,
      anon_sym_begin,
    ACTIONS(6613), 1,
      sym_ocamlyacc_value,
    ACTIONS(6619), 1,
      aux_sym_number_token1,
    ACTIONS(6621), 1,
      anon_sym_SQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      sym_prefix_operator,
    ACTIONS(6627), 1,
      sym__uppercase_identifier,
    ACTIONS(6629), 1,
      aux_sym_tag_token1,
    ACTIONS(9726), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9728), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5392), 1,
      sym_attribute,
    STATE(6877), 1,
      sym__value_name,
    STATE(6934), 1,
      sym__constructor_name,
    STATE(7125), 1,
      sym_parenthesized_operator,
    STATE(7164), 1,
      sym__simple_expression,
    STATE(20290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6873), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6977), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181248] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181388] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9526), 1,
      sym__lowercase_identifier,
    ACTIONS(9528), 1,
      anon_sym_LPAREN,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9534), 1,
      anon_sym_LBRACE,
    ACTIONS(9536), 1,
      anon_sym_object,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9540), 1,
      anon_sym_new,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9544), 1,
      anon_sym_begin,
    ACTIONS(9546), 1,
      sym_ocamlyacc_value,
    ACTIONS(9548), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9550), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9552), 1,
      aux_sym_number_token1,
    ACTIONS(9554), 1,
      anon_sym_SQUOTE,
    ACTIONS(9556), 1,
      anon_sym_DQUOTE,
    ACTIONS(9558), 1,
      sym_prefix_operator,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(9562), 1,
      aux_sym_tag_token1,
    STATE(5395), 1,
      sym_attribute,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(8792), 1,
      sym__value_name,
    STATE(8811), 1,
      sym__simple_expression,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(21690), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9532), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8744), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8809), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181506] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7343), 1,
      sym__lowercase_identifier,
    ACTIONS(7347), 1,
      anon_sym_LPAREN,
    ACTIONS(7349), 1,
      anon_sym_LBRACK,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(7357), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7359), 1,
      anon_sym_new,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7363), 1,
      anon_sym_begin,
    ACTIONS(7365), 1,
      sym_ocamlyacc_value,
    ACTIONS(7371), 1,
      aux_sym_number_token1,
    ACTIONS(7373), 1,
      anon_sym_SQUOTE,
    ACTIONS(7375), 1,
      anon_sym_DQUOTE,
    ACTIONS(7377), 1,
      sym_prefix_operator,
    ACTIONS(7379), 1,
      sym__uppercase_identifier,
    ACTIONS(7381), 1,
      aux_sym_tag_token1,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5396), 1,
      sym_attribute,
    STATE(7812), 1,
      sym_parenthesized_operator,
    STATE(8057), 1,
      sym__value_name,
    STATE(8146), 1,
      sym__simple_expression,
    STATE(8192), 1,
      sym__constructor_name,
    STATE(20559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8267), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181624] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7343), 1,
      sym__lowercase_identifier,
    ACTIONS(7347), 1,
      anon_sym_LPAREN,
    ACTIONS(7349), 1,
      anon_sym_LBRACK,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(7357), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7359), 1,
      anon_sym_new,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7363), 1,
      anon_sym_begin,
    ACTIONS(7365), 1,
      sym_ocamlyacc_value,
    ACTIONS(7371), 1,
      aux_sym_number_token1,
    ACTIONS(7373), 1,
      anon_sym_SQUOTE,
    ACTIONS(7375), 1,
      anon_sym_DQUOTE,
    ACTIONS(7377), 1,
      sym_prefix_operator,
    ACTIONS(7379), 1,
      sym__uppercase_identifier,
    ACTIONS(7381), 1,
      aux_sym_tag_token1,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5397), 1,
      sym_attribute,
    STATE(7812), 1,
      sym_parenthesized_operator,
    STATE(8057), 1,
      sym__value_name,
    STATE(8192), 1,
      sym__constructor_name,
    STATE(8207), 1,
      sym__simple_expression,
    STATE(20559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8267), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181742] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8045), 1,
      sym__lowercase_identifier,
    ACTIONS(8049), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(8059), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8061), 1,
      anon_sym_new,
    ACTIONS(8063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8065), 1,
      anon_sym_begin,
    ACTIONS(8067), 1,
      sym_ocamlyacc_value,
    ACTIONS(8073), 1,
      aux_sym_number_token1,
    ACTIONS(8075), 1,
      anon_sym_SQUOTE,
    ACTIONS(8077), 1,
      anon_sym_DQUOTE,
    ACTIONS(8079), 1,
      sym_prefix_operator,
    ACTIONS(8081), 1,
      sym__uppercase_identifier,
    ACTIONS(8083), 1,
      aux_sym_tag_token1,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5398), 1,
      sym_attribute,
    STATE(8900), 1,
      sym__constructor_name,
    STATE(9037), 1,
      sym__simple_expression,
    STATE(9075), 1,
      sym__value_name,
    STATE(9157), 1,
      sym_parenthesized_operator,
    STATE(19330), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8053), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8998), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9204), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [181860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [181930] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8045), 1,
      sym__lowercase_identifier,
    ACTIONS(8049), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(8059), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8061), 1,
      anon_sym_new,
    ACTIONS(8063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8065), 1,
      anon_sym_begin,
    ACTIONS(8067), 1,
      sym_ocamlyacc_value,
    ACTIONS(8073), 1,
      aux_sym_number_token1,
    ACTIONS(8075), 1,
      anon_sym_SQUOTE,
    ACTIONS(8077), 1,
      anon_sym_DQUOTE,
    ACTIONS(8079), 1,
      sym_prefix_operator,
    ACTIONS(8081), 1,
      sym__uppercase_identifier,
    ACTIONS(8083), 1,
      aux_sym_tag_token1,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5400), 1,
      sym_attribute,
    STATE(8883), 1,
      sym__simple_expression,
    STATE(8900), 1,
      sym__constructor_name,
    STATE(9075), 1,
      sym__value_name,
    STATE(9157), 1,
      sym_parenthesized_operator,
    STATE(19330), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8053), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8998), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9204), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182188] = 29,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(27), 1,
      anon_sym_LBRACE,
    ACTIONS(39), 1,
      anon_sym_object,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(61), 1,
      anon_sym_new,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(65), 1,
      anon_sym_begin,
    ACTIONS(67), 1,
      sym_ocamlyacc_value,
    ACTIONS(79), 1,
      aux_sym_number_token1,
    ACTIONS(83), 1,
      anon_sym_SQUOTE,
    ACTIONS(85), 1,
      anon_sym_DQUOTE,
    ACTIONS(87), 1,
      sym_prefix_operator,
    ACTIONS(95), 1,
      sym__uppercase_identifier,
    ACTIONS(99), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3589), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3591), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4841), 1,
      sym__lowercase_identifier,
    STATE(5077), 1,
      sym__value_name,
    STATE(5153), 1,
      sym_parenthesized_operator,
    STATE(5234), 1,
      sym__constructor_name,
    STATE(5276), 1,
      sym__simple_expression,
    STATE(5403), 1,
      sym_attribute,
    STATE(22132), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5344), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5318), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182306] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(5404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182378] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9610), 1,
      sym__lowercase_identifier,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_LBRACE,
    ACTIONS(9618), 1,
      anon_sym_begin,
    ACTIONS(9620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9624), 1,
      aux_sym_number_token1,
    ACTIONS(9626), 1,
      anon_sym_SQUOTE,
    ACTIONS(9628), 1,
      anon_sym_DQUOTE,
    ACTIONS(9630), 1,
      sym_prefix_operator,
    STATE(5405), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8410), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8393), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182496] = 29,
    ACTIONS(107), 1,
      anon_sym_LPAREN,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(117), 1,
      anon_sym_LBRACE,
    ACTIONS(121), 1,
      anon_sym_object,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(139), 1,
      anon_sym_new,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(143), 1,
      anon_sym_begin,
    ACTIONS(145), 1,
      sym_ocamlyacc_value,
    ACTIONS(151), 1,
      aux_sym_number_token1,
    ACTIONS(153), 1,
      anon_sym_SQUOTE,
    ACTIONS(155), 1,
      anon_sym_DQUOTE,
    ACTIONS(157), 1,
      sym_prefix_operator,
    ACTIONS(163), 1,
      sym__uppercase_identifier,
    ACTIONS(167), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3525), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3527), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4711), 1,
      sym__lowercase_identifier,
    STATE(5172), 1,
      sym__constructor_name,
    STATE(5201), 1,
      sym__simple_expression,
    STATE(5213), 1,
      sym__value_name,
    STATE(5326), 1,
      sym_parenthesized_operator,
    STATE(5406), 1,
      sym_attribute,
    STATE(21004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(113), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5187), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5409), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [182614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182684] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [182894] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7343), 1,
      sym__lowercase_identifier,
    ACTIONS(7347), 1,
      anon_sym_LPAREN,
    ACTIONS(7349), 1,
      anon_sym_LBRACK,
    ACTIONS(7353), 1,
      anon_sym_LBRACE,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(7357), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7359), 1,
      anon_sym_new,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(7363), 1,
      anon_sym_begin,
    ACTIONS(7365), 1,
      sym_ocamlyacc_value,
    ACTIONS(7371), 1,
      aux_sym_number_token1,
    ACTIONS(7373), 1,
      anon_sym_SQUOTE,
    ACTIONS(7375), 1,
      anon_sym_DQUOTE,
    ACTIONS(7377), 1,
      sym_prefix_operator,
    ACTIONS(7379), 1,
      sym__uppercase_identifier,
    ACTIONS(7381), 1,
      aux_sym_tag_token1,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5411), 1,
      sym_attribute,
    STATE(7812), 1,
      sym_parenthesized_operator,
    STATE(7941), 1,
      sym__simple_expression,
    STATE(8057), 1,
      sym__value_name,
    STATE(8192), 1,
      sym__constructor_name,
    STATE(20559), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7351), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8267), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8229), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183012] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183082] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_object,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_new,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2719), 1,
      anon_sym_begin,
    ACTIONS(2721), 1,
      sym_ocamlyacc_value,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2725), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2727), 1,
      aux_sym_number_token1,
    ACTIONS(2729), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DQUOTE,
    ACTIONS(2733), 1,
      sym_prefix_operator,
    ACTIONS(2737), 1,
      sym__uppercase_identifier,
    ACTIONS(2739), 1,
      aux_sym_tag_token1,
    ACTIONS(6395), 1,
      sym__lowercase_identifier,
    STATE(5413), 1,
      sym_attribute,
    STATE(7328), 1,
      sym__value_name,
    STATE(7353), 1,
      sym__constructor_name,
    STATE(7460), 1,
      sym_parenthesized_operator,
    STATE(7549), 1,
      sym__simple_expression,
    STATE(19480), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7420), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7567), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183270] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2693), 1,
      anon_sym_LPAREN,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2699), 1,
      anon_sym_LBRACE,
    ACTIONS(2701), 1,
      anon_sym_object,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2715), 1,
      anon_sym_new,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(2719), 1,
      anon_sym_begin,
    ACTIONS(2721), 1,
      sym_ocamlyacc_value,
    ACTIONS(2723), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(2725), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(2727), 1,
      aux_sym_number_token1,
    ACTIONS(2729), 1,
      anon_sym_SQUOTE,
    ACTIONS(2731), 1,
      anon_sym_DQUOTE,
    ACTIONS(2733), 1,
      sym_prefix_operator,
    ACTIONS(2737), 1,
      sym__uppercase_identifier,
    ACTIONS(2739), 1,
      aux_sym_tag_token1,
    ACTIONS(6395), 1,
      sym__lowercase_identifier,
    STATE(5415), 1,
      sym_attribute,
    STATE(7328), 1,
      sym__value_name,
    STATE(7353), 1,
      sym__constructor_name,
    STATE(7460), 1,
      sym_parenthesized_operator,
    STATE(7499), 1,
      sym__simple_expression,
    STATE(19480), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(2697), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7420), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7567), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183598] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1549), 1,
      anon_sym_LPAREN,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1555), 1,
      anon_sym_LBRACE,
    ACTIONS(1557), 1,
      anon_sym_object,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1571), 1,
      anon_sym_new,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1575), 1,
      anon_sym_begin,
    ACTIONS(1577), 1,
      sym_ocamlyacc_value,
    ACTIONS(1579), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1581), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1583), 1,
      aux_sym_number_token1,
    ACTIONS(1585), 1,
      anon_sym_SQUOTE,
    ACTIONS(1587), 1,
      anon_sym_DQUOTE,
    ACTIONS(1589), 1,
      sym_prefix_operator,
    ACTIONS(1593), 1,
      sym__uppercase_identifier,
    ACTIONS(1595), 1,
      aux_sym_tag_token1,
    ACTIONS(5621), 1,
      sym__lowercase_identifier,
    STATE(5419), 1,
      sym_attribute,
    STATE(6201), 1,
      sym__value_name,
    STATE(6258), 1,
      sym__constructor_name,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6292), 1,
      sym__simple_expression,
    STATE(19796), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1553), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6264), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6186), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [183716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [183996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184066] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(5425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184138] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8045), 1,
      sym__lowercase_identifier,
    ACTIONS(8049), 1,
      anon_sym_LPAREN,
    ACTIONS(8051), 1,
      anon_sym_LBRACK,
    ACTIONS(8055), 1,
      anon_sym_LBRACE,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(8059), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8061), 1,
      anon_sym_new,
    ACTIONS(8063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(8065), 1,
      anon_sym_begin,
    ACTIONS(8067), 1,
      sym_ocamlyacc_value,
    ACTIONS(8073), 1,
      aux_sym_number_token1,
    ACTIONS(8075), 1,
      anon_sym_SQUOTE,
    ACTIONS(8077), 1,
      anon_sym_DQUOTE,
    ACTIONS(8079), 1,
      sym_prefix_operator,
    ACTIONS(8081), 1,
      sym__uppercase_identifier,
    ACTIONS(8083), 1,
      aux_sym_tag_token1,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5426), 1,
      sym_attribute,
    STATE(8900), 1,
      sym__constructor_name,
    STATE(9075), 1,
      sym__value_name,
    STATE(9108), 1,
      sym__simple_expression,
    STATE(9157), 1,
      sym_parenthesized_operator,
    STATE(19330), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8053), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8998), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9204), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184256] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3225), 1,
      anon_sym_LPAREN,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3231), 1,
      anon_sym_LBRACE,
    ACTIONS(3233), 1,
      anon_sym_object,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3247), 1,
      anon_sym_new,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3251), 1,
      anon_sym_begin,
    ACTIONS(3253), 1,
      sym_ocamlyacc_value,
    ACTIONS(3255), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3257), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3259), 1,
      aux_sym_number_token1,
    ACTIONS(3261), 1,
      anon_sym_SQUOTE,
    ACTIONS(3263), 1,
      anon_sym_DQUOTE,
    ACTIONS(3265), 1,
      sym_prefix_operator,
    ACTIONS(3269), 1,
      sym__uppercase_identifier,
    ACTIONS(3271), 1,
      aux_sym_tag_token1,
    ACTIONS(6553), 1,
      sym__lowercase_identifier,
    STATE(5427), 1,
      sym_attribute,
    STATE(7918), 1,
      sym__constructor_name,
    STATE(8046), 1,
      sym__simple_expression,
    STATE(8109), 1,
      sym_parenthesized_operator,
    STATE(8188), 1,
      sym__value_name,
    STATE(21912), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3229), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7904), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8182), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184374] = 29,
    ACTIONS(1029), 1,
      anon_sym_LPAREN,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1035), 1,
      anon_sym_LBRACE,
    ACTIONS(1037), 1,
      anon_sym_object,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1051), 1,
      anon_sym_new,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1055), 1,
      anon_sym_begin,
    ACTIONS(1057), 1,
      sym_ocamlyacc_value,
    ACTIONS(1063), 1,
      aux_sym_number_token1,
    ACTIONS(1065), 1,
      anon_sym_SQUOTE,
    ACTIONS(1067), 1,
      anon_sym_DQUOTE,
    ACTIONS(1069), 1,
      sym_prefix_operator,
    ACTIONS(1073), 1,
      sym__uppercase_identifier,
    ACTIONS(1075), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3529), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3531), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3803), 1,
      sym__lowercase_identifier,
    STATE(4570), 1,
      sym_parenthesized_operator,
    STATE(4657), 1,
      sym__constructor_name,
    STATE(4661), 1,
      sym__simple_expression,
    STATE(4712), 1,
      sym__value_name,
    STATE(5428), 1,
      sym_attribute,
    STATE(20006), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1033), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4600), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4670), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184492] = 29,
    ACTIONS(911), 1,
      anon_sym_LPAREN,
    ACTIONS(913), 1,
      anon_sym_LBRACK,
    ACTIONS(917), 1,
      anon_sym_LBRACE,
    ACTIONS(919), 1,
      anon_sym_object,
    ACTIONS(923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(933), 1,
      anon_sym_new,
    ACTIONS(935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(937), 1,
      anon_sym_begin,
    ACTIONS(939), 1,
      sym_ocamlyacc_value,
    ACTIONS(945), 1,
      aux_sym_number_token1,
    ACTIONS(947), 1,
      anon_sym_SQUOTE,
    ACTIONS(949), 1,
      anon_sym_DQUOTE,
    ACTIONS(951), 1,
      sym_prefix_operator,
    ACTIONS(955), 1,
      sym__uppercase_identifier,
    ACTIONS(957), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3533), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3535), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3813), 1,
      sym__lowercase_identifier,
    STATE(4461), 1,
      sym__simple_expression,
    STATE(4488), 1,
      sym__value_name,
    STATE(4540), 1,
      sym__constructor_name,
    STATE(4674), 1,
      sym_parenthesized_operator,
    STATE(5429), 1,
      sym_attribute,
    STATE(20329), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(915), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4571), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4455), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184610] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9054), 1,
      anon_sym_object,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9058), 1,
      anon_sym_new,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9064), 1,
      sym_ocamlyacc_value,
    ACTIONS(9068), 1,
      sym__uppercase_identifier,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(9610), 1,
      sym__lowercase_identifier,
    ACTIONS(9612), 1,
      anon_sym_LPAREN,
    ACTIONS(9616), 1,
      anon_sym_LBRACE,
    ACTIONS(9618), 1,
      anon_sym_begin,
    ACTIONS(9620), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9622), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9624), 1,
      aux_sym_number_token1,
    ACTIONS(9626), 1,
      anon_sym_SQUOTE,
    ACTIONS(9628), 1,
      anon_sym_DQUOTE,
    ACTIONS(9630), 1,
      sym_prefix_operator,
    STATE(5430), 1,
      sym_attribute,
    STATE(8344), 1,
      sym__constructor_name,
    STATE(8440), 1,
      sym__simple_expression,
    STATE(8460), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(20820), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9614), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8393), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8445), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [184868] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3173), 1,
      anon_sym_LPAREN,
    ACTIONS(3175), 1,
      anon_sym_LBRACK,
    ACTIONS(3179), 1,
      anon_sym_LBRACE,
    ACTIONS(3181), 1,
      anon_sym_object,
    ACTIONS(3185), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3195), 1,
      anon_sym_new,
    ACTIONS(3197), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3199), 1,
      anon_sym_begin,
    ACTIONS(3201), 1,
      sym_ocamlyacc_value,
    ACTIONS(3203), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3205), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3207), 1,
      aux_sym_number_token1,
    ACTIONS(3209), 1,
      anon_sym_SQUOTE,
    ACTIONS(3211), 1,
      anon_sym_DQUOTE,
    ACTIONS(3213), 1,
      sym_prefix_operator,
    ACTIONS(3217), 1,
      sym__uppercase_identifier,
    ACTIONS(3219), 1,
      aux_sym_tag_token1,
    ACTIONS(6531), 1,
      sym__lowercase_identifier,
    STATE(5433), 1,
      sym_attribute,
    STATE(7856), 1,
      sym__value_name,
    STATE(7957), 1,
      sym__simple_expression,
    STATE(8102), 1,
      sym__constructor_name,
    STATE(8190), 1,
      sym_parenthesized_operator,
    STATE(21165), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3177), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8111), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7783), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [184986] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3291), 1,
      anon_sym_LPAREN,
    ACTIONS(3293), 1,
      anon_sym_LBRACK,
    ACTIONS(3297), 1,
      anon_sym_LBRACE,
    ACTIONS(3299), 1,
      anon_sym_object,
    ACTIONS(3303), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3313), 1,
      anon_sym_new,
    ACTIONS(3315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3317), 1,
      anon_sym_begin,
    ACTIONS(3319), 1,
      sym_ocamlyacc_value,
    ACTIONS(3321), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3323), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3325), 1,
      aux_sym_number_token1,
    ACTIONS(3327), 1,
      anon_sym_SQUOTE,
    ACTIONS(3329), 1,
      anon_sym_DQUOTE,
    ACTIONS(3331), 1,
      sym_prefix_operator,
    ACTIONS(3335), 1,
      sym__uppercase_identifier,
    ACTIONS(3337), 1,
      aux_sym_tag_token1,
    ACTIONS(6567), 1,
      sym__lowercase_identifier,
    STATE(5434), 1,
      sym_attribute,
    STATE(7852), 1,
      sym__constructor_name,
    STATE(7912), 1,
      sym_parenthesized_operator,
    STATE(8110), 1,
      sym__value_name,
    STATE(8311), 1,
      sym__simple_expression,
    STATE(22319), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3295), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7887), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8118), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185104] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3121), 1,
      anon_sym_LPAREN,
    ACTIONS(3123), 1,
      anon_sym_LBRACK,
    ACTIONS(3127), 1,
      anon_sym_LBRACE,
    ACTIONS(3129), 1,
      anon_sym_object,
    ACTIONS(3133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3143), 1,
      anon_sym_new,
    ACTIONS(3145), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(3147), 1,
      anon_sym_begin,
    ACTIONS(3149), 1,
      sym_ocamlyacc_value,
    ACTIONS(3151), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3153), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3155), 1,
      aux_sym_number_token1,
    ACTIONS(3157), 1,
      anon_sym_SQUOTE,
    ACTIONS(3159), 1,
      anon_sym_DQUOTE,
    ACTIONS(3161), 1,
      sym_prefix_operator,
    ACTIONS(3165), 1,
      sym__uppercase_identifier,
    ACTIONS(3167), 1,
      aux_sym_tag_token1,
    ACTIONS(6577), 1,
      sym__lowercase_identifier,
    STATE(5435), 1,
      sym_attribute,
    STATE(8032), 1,
      sym__simple_expression,
    STATE(8097), 1,
      sym__value_name,
    STATE(8167), 1,
      sym_parenthesized_operator,
    STATE(8292), 1,
      sym__constructor_name,
    STATE(19417), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3125), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8053), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7761), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185222] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9634), 1,
      sym__lowercase_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      anon_sym_object,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9648), 1,
      anon_sym_new,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9652), 1,
      anon_sym_begin,
    ACTIONS(9654), 1,
      sym_ocamlyacc_value,
    ACTIONS(9656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9660), 1,
      aux_sym_number_token1,
    ACTIONS(9662), 1,
      anon_sym_SQUOTE,
    ACTIONS(9664), 1,
      anon_sym_DQUOTE,
    ACTIONS(9666), 1,
      sym_prefix_operator,
    ACTIONS(9668), 1,
      sym__uppercase_identifier,
    ACTIONS(9670), 1,
      aux_sym_tag_token1,
    STATE(5436), 1,
      sym_attribute,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10830), 1,
      sym__constructor_name,
    STATE(10860), 1,
      sym__value_name,
    STATE(11071), 1,
      sym__simple_expression,
    STATE(19883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10868), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11080), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185340] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1721), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_LBRACK,
    ACTIONS(1727), 1,
      anon_sym_LBRACE,
    ACTIONS(1729), 1,
      anon_sym_object,
    ACTIONS(1733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1743), 1,
      anon_sym_new,
    ACTIONS(1745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1747), 1,
      anon_sym_begin,
    ACTIONS(1749), 1,
      sym_ocamlyacc_value,
    ACTIONS(1751), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1753), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1755), 1,
      aux_sym_number_token1,
    ACTIONS(1757), 1,
      anon_sym_SQUOTE,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      sym_prefix_operator,
    ACTIONS(1765), 1,
      sym__uppercase_identifier,
    ACTIONS(1767), 1,
      aux_sym_tag_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    STATE(5437), 1,
      sym_attribute,
    STATE(6942), 1,
      sym_parenthesized_operator,
    STATE(7144), 1,
      sym__constructor_name,
    STATE(7148), 1,
      sym__value_name,
    STATE(7214), 1,
      sym__simple_expression,
    STATE(20521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1725), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7201), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7224), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185458] = 29,
    ACTIONS(579), 1,
      anon_sym_LPAREN,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(587), 1,
      anon_sym_LBRACE,
    ACTIONS(597), 1,
      anon_sym_object,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(611), 1,
      anon_sym_new,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(615), 1,
      anon_sym_begin,
    ACTIONS(617), 1,
      sym_ocamlyacc_value,
    ACTIONS(623), 1,
      aux_sym_number_token1,
    ACTIONS(625), 1,
      anon_sym_SQUOTE,
    ACTIONS(627), 1,
      anon_sym_DQUOTE,
    ACTIONS(629), 1,
      sym_prefix_operator,
    ACTIONS(635), 1,
      sym__uppercase_identifier,
    ACTIONS(639), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3519), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3521), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(4911), 1,
      sym__lowercase_identifier,
    STATE(5283), 1,
      sym__constructor_name,
    STATE(5295), 1,
      sym__value_name,
    STATE(5299), 1,
      sym_parenthesized_operator,
    STATE(5308), 1,
      sym__simple_expression,
    STATE(5438), 1,
      sym_attribute,
    STATE(20220), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(585), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5288), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(5193), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185576] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9634), 1,
      sym__lowercase_identifier,
    ACTIONS(9636), 1,
      anon_sym_LPAREN,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9642), 1,
      anon_sym_LBRACE,
    ACTIONS(9644), 1,
      anon_sym_object,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9648), 1,
      anon_sym_new,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(9652), 1,
      anon_sym_begin,
    ACTIONS(9654), 1,
      sym_ocamlyacc_value,
    ACTIONS(9656), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9658), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9660), 1,
      aux_sym_number_token1,
    ACTIONS(9662), 1,
      anon_sym_SQUOTE,
    ACTIONS(9664), 1,
      anon_sym_DQUOTE,
    ACTIONS(9666), 1,
      sym_prefix_operator,
    ACTIONS(9668), 1,
      sym__uppercase_identifier,
    ACTIONS(9670), 1,
      aux_sym_tag_token1,
    STATE(5439), 1,
      sym_attribute,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10830), 1,
      sym__constructor_name,
    STATE(10860), 1,
      sym__value_name,
    STATE(11084), 1,
      sym__simple_expression,
    STATE(19883), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9640), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(10868), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11080), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185694] = 29,
    ACTIONS(525), 1,
      anon_sym_LPAREN,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(531), 1,
      anon_sym_LBRACE,
    ACTIONS(533), 1,
      anon_sym_object,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(547), 1,
      anon_sym_new,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(551), 1,
      anon_sym_begin,
    ACTIONS(553), 1,
      sym_ocamlyacc_value,
    ACTIONS(559), 1,
      aux_sym_number_token1,
    ACTIONS(561), 1,
      anon_sym_SQUOTE,
    ACTIONS(563), 1,
      anon_sym_DQUOTE,
    ACTIONS(565), 1,
      sym_prefix_operator,
    ACTIONS(569), 1,
      sym__uppercase_identifier,
    ACTIONS(571), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3537), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3539), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3725), 1,
      sym__lowercase_identifier,
    STATE(4183), 1,
      sym__constructor_name,
    STATE(4247), 1,
      sym__simple_expression,
    STATE(4304), 1,
      sym__value_name,
    STATE(4415), 1,
      sym_parenthesized_operator,
    STATE(5440), 1,
      sym_attribute,
    STATE(20047), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(529), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(4231), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4260), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [185812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [185952] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186022] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6587), 1,
      sym__lowercase_identifier,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      anon_sym_object,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6607), 1,
      anon_sym_new,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6611), 1,
      anon_sym_begin,
    ACTIONS(6613), 1,
      sym_ocamlyacc_value,
    ACTIONS(6619), 1,
      aux_sym_number_token1,
    ACTIONS(6621), 1,
      anon_sym_SQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      sym_prefix_operator,
    ACTIONS(6627), 1,
      sym__uppercase_identifier,
    ACTIONS(6629), 1,
      aux_sym_tag_token1,
    ACTIONS(9726), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9728), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5444), 1,
      sym_attribute,
    STATE(6877), 1,
      sym__value_name,
    STATE(6934), 1,
      sym__constructor_name,
    STATE(6955), 1,
      sym__simple_expression,
    STATE(7125), 1,
      sym_parenthesized_operator,
    STATE(20290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6873), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6977), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186140] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6587), 1,
      sym__lowercase_identifier,
    ACTIONS(6595), 1,
      anon_sym_LPAREN,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6601), 1,
      anon_sym_LBRACE,
    ACTIONS(6603), 1,
      anon_sym_object,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6607), 1,
      anon_sym_new,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(6611), 1,
      anon_sym_begin,
    ACTIONS(6613), 1,
      sym_ocamlyacc_value,
    ACTIONS(6619), 1,
      aux_sym_number_token1,
    ACTIONS(6621), 1,
      anon_sym_SQUOTE,
    ACTIONS(6623), 1,
      anon_sym_DQUOTE,
    ACTIONS(6625), 1,
      sym_prefix_operator,
    ACTIONS(6627), 1,
      sym__uppercase_identifier,
    ACTIONS(6629), 1,
      aux_sym_tag_token1,
    ACTIONS(9726), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9728), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5445), 1,
      sym_attribute,
    STATE(6877), 1,
      sym__value_name,
    STATE(6924), 1,
      sym__simple_expression,
    STATE(6934), 1,
      sym__constructor_name,
    STATE(7125), 1,
      sym_parenthesized_operator,
    STATE(20290), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6599), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6873), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6977), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186258] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1669), 1,
      anon_sym_LPAREN,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1675), 1,
      anon_sym_LBRACE,
    ACTIONS(1677), 1,
      anon_sym_object,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1691), 1,
      anon_sym_new,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1695), 1,
      anon_sym_begin,
    ACTIONS(1697), 1,
      sym_ocamlyacc_value,
    ACTIONS(1699), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1701), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1703), 1,
      aux_sym_number_token1,
    ACTIONS(1705), 1,
      anon_sym_SQUOTE,
    ACTIONS(1707), 1,
      anon_sym_DQUOTE,
    ACTIONS(1709), 1,
      sym_prefix_operator,
    ACTIONS(1713), 1,
      sym__uppercase_identifier,
    ACTIONS(1715), 1,
      aux_sym_tag_token1,
    ACTIONS(6049), 1,
      sym__lowercase_identifier,
    STATE(5446), 1,
      sym_attribute,
    STATE(6773), 1,
      sym__value_name,
    STATE(6806), 1,
      sym__constructor_name,
    STATE(6850), 1,
      sym__simple_expression,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(19539), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1673), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6854), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6772), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186376] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1721), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_LBRACK,
    ACTIONS(1727), 1,
      anon_sym_LBRACE,
    ACTIONS(1729), 1,
      anon_sym_object,
    ACTIONS(1733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1743), 1,
      anon_sym_new,
    ACTIONS(1745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1747), 1,
      anon_sym_begin,
    ACTIONS(1749), 1,
      sym_ocamlyacc_value,
    ACTIONS(1751), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1753), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1755), 1,
      aux_sym_number_token1,
    ACTIONS(1757), 1,
      anon_sym_SQUOTE,
    ACTIONS(1759), 1,
      anon_sym_DQUOTE,
    ACTIONS(1761), 1,
      sym_prefix_operator,
    ACTIONS(1765), 1,
      sym__uppercase_identifier,
    ACTIONS(1767), 1,
      aux_sym_tag_token1,
    ACTIONS(6241), 1,
      sym__lowercase_identifier,
    STATE(5447), 1,
      sym_attribute,
    STATE(6942), 1,
      sym_parenthesized_operator,
    STATE(7144), 1,
      sym__constructor_name,
    STATE(7148), 1,
      sym__value_name,
    STATE(7196), 1,
      sym__simple_expression,
    STATE(20521), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1725), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7201), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7224), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 34,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [186564] = 29,
    ACTIONS(645), 1,
      anon_sym_LPAREN,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(651), 1,
      anon_sym_LBRACE,
    ACTIONS(653), 1,
      anon_sym_object,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(667), 1,
      anon_sym_new,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(671), 1,
      anon_sym_begin,
    ACTIONS(673), 1,
      sym_ocamlyacc_value,
    ACTIONS(679), 1,
      aux_sym_number_token1,
    ACTIONS(681), 1,
      anon_sym_SQUOTE,
    ACTIONS(683), 1,
      anon_sym_DQUOTE,
    ACTIONS(685), 1,
      sym_prefix_operator,
    ACTIONS(689), 1,
      sym__uppercase_identifier,
    ACTIONS(691), 1,
      aux_sym_tag_token1,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3541), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(3543), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(3791), 1,
      sym__lowercase_identifier,
    STATE(3850), 1,
      sym__constructor_name,
    STATE(4226), 1,
      sym_parenthesized_operator,
    STATE(4323), 1,
      sym__value_name,
    STATE(4410), 1,
      sym__simple_expression,
    STATE(5449), 1,
      sym_attribute,
    STATE(19487), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(649), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(3884), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(4406), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186682] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    ACTIONS(1959), 1,
      anon_sym_object,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1973), 1,
      anon_sym_new,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1977), 1,
      anon_sym_begin,
    ACTIONS(1979), 1,
      sym_ocamlyacc_value,
    ACTIONS(1981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1985), 1,
      aux_sym_number_token1,
    ACTIONS(1987), 1,
      anon_sym_SQUOTE,
    ACTIONS(1989), 1,
      anon_sym_DQUOTE,
    ACTIONS(1991), 1,
      sym_prefix_operator,
    ACTIONS(1995), 1,
      sym__uppercase_identifier,
    ACTIONS(1997), 1,
      aux_sym_tag_token1,
    ACTIONS(6385), 1,
      sym__lowercase_identifier,
    STATE(5450), 1,
      sym_attribute,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(7345), 1,
      sym__value_name,
    STATE(7393), 1,
      sym__simple_expression,
    STATE(7411), 1,
      sym_parenthesized_operator,
    STATE(19965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7496), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7426), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186800] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1951), 1,
      anon_sym_LPAREN,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1957), 1,
      anon_sym_LBRACE,
    ACTIONS(1959), 1,
      anon_sym_object,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1973), 1,
      anon_sym_new,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1977), 1,
      anon_sym_begin,
    ACTIONS(1979), 1,
      sym_ocamlyacc_value,
    ACTIONS(1981), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(1983), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(1985), 1,
      aux_sym_number_token1,
    ACTIONS(1987), 1,
      anon_sym_SQUOTE,
    ACTIONS(1989), 1,
      anon_sym_DQUOTE,
    ACTIONS(1991), 1,
      sym_prefix_operator,
    ACTIONS(1995), 1,
      sym__uppercase_identifier,
    ACTIONS(1997), 1,
      aux_sym_tag_token1,
    ACTIONS(6385), 1,
      sym__lowercase_identifier,
    STATE(5451), 1,
      sym_attribute,
    STATE(7314), 1,
      sym__constructor_name,
    STATE(7341), 1,
      sym__simple_expression,
    STATE(7345), 1,
      sym__value_name,
    STATE(7411), 1,
      sym_parenthesized_operator,
    STATE(19965), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1955), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(7496), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(7426), 24,
      sym_typed_expression,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_prefix_expression,
      sym_hash_expression,
      sym_field_get_expression,
      sym_array_get_expression,
      sym_string_get_expression,
      sym_bigarray_get_expression,
      sym_coercion_expression,
      sym_local_open_expression,
      sym_package_expression,
      sym_new_expression,
      sym_object_copy_expression,
      sym_method_invocation,
      sym_object_expression,
      sym_parenthesized_expression,
      sym_extension,
      sym_quoted_extension,
      sym__constant,
      sym_value_path,
      sym_constructor_path,
      sym_tag,
  [186918] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5452), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187047] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5453), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187176] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5454), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187305] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5455), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187434] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7891), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9738), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5456), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15664), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187563] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(5457), 1,
      sym_attribute,
    STATE(5624), 1,
      sym__attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(6584), 1,
      sym__binding_pattern,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187692] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5458), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187821] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5459), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [187950] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(5460), 1,
      sym_attribute,
    STATE(5640), 1,
      sym__attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6356), 1,
      sym__binding_pattern,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [188148] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5462), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188277] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9740), 1,
      anon_sym_rec,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5463), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12908), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188406] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5464), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188535] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5465), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188664] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3711), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5466), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188793] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5467), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [188922] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5468), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189051] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5469), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189180] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5470), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189309] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9742), 1,
      anon_sym_rec,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5471), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13206), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189438] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5472), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189567] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5473), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189696] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5474), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189825] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5475), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [189954] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3787), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5476), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190083] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3737), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5477), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190212] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5478), 1,
      sym_attribute,
    STATE(5628), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14648), 1,
      sym__binding_pattern,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190341] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(5479), 1,
      sym_attribute,
    STATE(5648), 1,
      sym__attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6643), 1,
      sym__binding_pattern,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 33,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [190539] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5481), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190668] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5482), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190797] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5483), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [190926] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5484), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191124] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5486), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191253] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5487), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191382] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5488), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191511] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7871), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9744), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5489), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15795), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191640] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9746), 1,
      anon_sym_COLON,
    STATE(5490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [191711] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6011), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9748), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5491), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15814), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191840] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5492), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [191969] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5493), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192098] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5494), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192227] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2303), 1,
      anon_sym_COLON_COLON,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9750), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5495), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15868), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192356] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7881), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9752), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5496), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15726), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192485] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5497), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192614] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5498), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192743] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5499), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [192872] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5500), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193001] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9754), 1,
      anon_sym_rec,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2841), 1,
      sym__binding_pattern,
    STATE(5501), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12783), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193130] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5502), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193259] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5503), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193388] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5504), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193517] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5505), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193646] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5506), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193775] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(7901), 1,
      anon_sym_COLON_COLON,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9756), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5507), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15776), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [193904] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9758), 1,
      anon_sym_COLON,
    STATE(5508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [193975] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5509), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194104] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5510), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194233] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9760), 1,
      anon_sym_rec,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2849), 1,
      sym__binding_pattern,
    STATE(5511), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13068), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194362] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5512), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194491] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9762), 1,
      anon_sym_rec,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2839), 1,
      sym__binding_pattern,
    STATE(5513), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(12781), 1,
      sym_let_binding,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194620] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(9764), 1,
      anon_sym_rec,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5514), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16380), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194749] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5515), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [194878] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5516), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [195076] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7857), 1,
      anon_sym_COLON_COLON,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9766), 1,
      anon_sym_RPAREN,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5518), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15767), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195205] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9768), 1,
      anon_sym_COLON,
    STATE(5519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [195276] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5520), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195405] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(5521), 1,
      sym_attribute,
    STATE(5634), 1,
      sym__attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10187), 1,
      sym__binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195534] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(5522), 1,
      sym_attribute,
    STATE(5625), 1,
      sym__attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6528), 1,
      sym__binding_pattern,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195663] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5523), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195792] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5524), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [195921] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5525), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196050] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5526), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196179] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5527), 1,
      sym_attribute,
    STATE(5613), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14648), 1,
      sym__binding_pattern,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196308] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5528), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196437] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5529), 1,
      sym_attribute,
    STATE(5643), 1,
      sym__attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15391), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196566] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9770), 1,
      anon_sym_rec,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(2857), 1,
      sym__binding_pattern,
    STATE(5530), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(13116), 1,
      sym_let_binding,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196695] = 35,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5531), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196824] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9772), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5532), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [196950] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5533), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16334), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197076] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9774), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5534), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197202] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9776), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5535), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197328] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9778), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5536), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15038), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197454] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9780), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5537), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15036), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197580] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5538), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16380), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197706] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5539), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16191), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197832] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(2857), 1,
      sym__binding_pattern,
    STATE(5540), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(13115), 1,
      sym_let_binding,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [197958] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(2857), 1,
      sym__binding_pattern,
    STATE(5541), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(13116), 1,
      sym_let_binding,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198084] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9782), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5542), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15142), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198210] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9784), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5543), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15137), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198336] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9786), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5544), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15037), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198462] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2841), 1,
      sym__binding_pattern,
    STATE(5545), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12855), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198588] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9788), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5546), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15130), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198714] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9790), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5547), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198840] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9792), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5548), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [198966] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9794), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5549), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199092] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9796), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5550), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199218] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9798), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5551), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15118), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199344] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9800), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5552), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15029), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199470] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9802), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5553), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(14904), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199596] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2841), 1,
      sym__binding_pattern,
    STATE(5554), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12326), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199722] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9804), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5555), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15215), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199848] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2841), 1,
      sym__binding_pattern,
    STATE(5556), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12737), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [199974] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2839), 1,
      sym__binding_pattern,
    STATE(5557), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(12781), 1,
      sym_let_binding,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [200168] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2849), 1,
      sym__binding_pattern,
    STATE(5559), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13068), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200294] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2849), 1,
      sym__binding_pattern,
    STATE(5560), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13064), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200420] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5561), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13182), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200546] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2849), 1,
      sym__binding_pattern,
    STATE(5562), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13071), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200672] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2849), 1,
      sym__binding_pattern,
    STATE(5563), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(12326), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200798] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5564), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12326), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [200924] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2839), 1,
      sym__binding_pattern,
    STATE(5565), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(12747), 1,
      sym_let_binding,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201050] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2839), 1,
      sym__binding_pattern,
    STATE(5566), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(12326), 1,
      sym_let_binding,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201176] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9806), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5567), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15108), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201302] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9808), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5568), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15110), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201428] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9810), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5569), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201554] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5570), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(13038), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201680] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9812), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5571), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201806] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9814), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5572), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [201932] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9816), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5573), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202058] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9818), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5574), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202184] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(2857), 1,
      sym__binding_pattern,
    STATE(5575), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(12326), 1,
      sym_let_binding,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202310] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5576), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202436] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5577), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(12326), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202562] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9822), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5578), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202688] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9824), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5579), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [202814] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9826), 1,
      anon_sym_COLON,
    STATE(5580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [202884] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5581), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12908), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [203078] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5583), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13222), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203204] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(2839), 1,
      sym__binding_pattern,
    STATE(5584), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(12738), 1,
      sym_let_binding,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203330] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(2850), 1,
      sym__binding_pattern,
    STATE(5585), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(13206), 1,
      sym_let_binding,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203456] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9828), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5586), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203582] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9830), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5587), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203708] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9832), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5588), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203834] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9834), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5589), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(14962), 1,
      sym__binding_pattern,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [203960] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2836), 1,
      sym__binding_pattern,
    STATE(5590), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12890), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204086] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9836), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5591), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204212] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9838), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5592), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204338] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(2857), 1,
      sym__binding_pattern,
    STATE(5593), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(13096), 1,
      sym_let_binding,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204464] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9840), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5594), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(14966), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204590] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(3069), 1,
      sym__binding_pattern,
    STATE(5595), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(16749), 1,
      sym_let_binding,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204716] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9842), 1,
      anon_sym_COLON,
    STATE(5596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [204786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [204854] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5598), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [204980] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9846), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5599), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205106] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9848), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5600), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205232] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9850), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5601), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205358] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9852), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5602), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205484] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9854), 1,
      anon_sym_COLON,
    STATE(5603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 31,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [205554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 33,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [205622] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    ACTIONS(9856), 1,
      anon_sym_PIPE_RBRACK,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5605), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205748] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(2841), 1,
      sym__binding_pattern,
    STATE(5606), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(12783), 1,
      sym_let_binding,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [205874] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5607), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206000] = 34,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    ACTIONS(9860), 1,
      anon_sym_RBRACK,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5608), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206126] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(5609), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10150), 1,
      sym__binding_pattern,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206249] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5610), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15390), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206372] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(5611), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6567), 1,
      sym__binding_pattern,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [206562] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5613), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14692), 1,
      sym__binding_pattern,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206685] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(5614), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6565), 1,
      sym__binding_pattern,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [206808] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9862), 1,
      anon_sym_COLON_GT,
    ACTIONS(9864), 1,
      anon_sym_EQ,
    STATE(5615), 1,
      sym_attribute,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(18404), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [206929] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5616), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15349), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207052] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(5617), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6564), 1,
      sym__binding_pattern,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207175] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5618), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15342), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207298] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(5619), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(6580), 1,
      sym__binding_pattern,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207421] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5620), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15345), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207544] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7861), 1,
      anon_sym_lazy,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    STATE(3853), 1,
      sym_tag,
    STATE(3854), 1,
      sym_constructor_path,
    STATE(5621), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15261), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207667] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(5622), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(6576), 1,
      sym__binding_pattern,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207790] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(5623), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6547), 1,
      sym__binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [207913] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6147), 1,
      sym__lowercase_identifier,
    ACTIONS(6149), 1,
      anon_sym_LPAREN,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6155), 1,
      anon_sym_LBRACE,
    ACTIONS(6157), 1,
      anon_sym_POUND,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6161), 1,
      anon_sym_lazy,
    ACTIONS(6163), 1,
      anon_sym_begin,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(6177), 1,
      sym__uppercase_identifier,
    ACTIONS(6179), 1,
      aux_sym_tag_token1,
    ACTIONS(8753), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8755), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2809), 1,
      sym_tag,
    STATE(2810), 1,
      sym_constructor_path,
    STATE(5624), 1,
      sym_attribute,
    STATE(6466), 1,
      sym__constructor_name,
    STATE(6488), 1,
      sym__signed_constant,
    STATE(6505), 1,
      sym_array_binding_pattern,
    STATE(6506), 1,
      sym_list_binding_pattern,
    STATE(6507), 1,
      sym_record_binding_pattern,
    STATE(6537), 1,
      sym__binding_pattern,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(21682), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6153), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6510), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208036] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6069), 1,
      sym__lowercase_identifier,
    ACTIONS(6071), 1,
      anon_sym_LPAREN,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6077), 1,
      anon_sym_LBRACE,
    ACTIONS(6079), 1,
      anon_sym_POUND,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6083), 1,
      anon_sym_lazy,
    ACTIONS(6085), 1,
      anon_sym_begin,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(6099), 1,
      sym__uppercase_identifier,
    ACTIONS(6101), 1,
      aux_sym_tag_token1,
    ACTIONS(9678), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9680), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2802), 1,
      sym_tag,
    STATE(2805), 1,
      sym_constructor_path,
    STATE(5625), 1,
      sym_attribute,
    STATE(6372), 1,
      sym__signed_constant,
    STATE(6437), 1,
      sym__constructor_name,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6552), 1,
      sym_array_binding_pattern,
    STATE(6553), 1,
      sym_list_binding_pattern,
    STATE(6556), 1,
      sym_record_binding_pattern,
    STATE(6563), 1,
      sym__binding_pattern,
    STATE(22300), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6075), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6557), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208159] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9866), 1,
      anon_sym_COLON_GT,
    ACTIONS(9868), 1,
      anon_sym_EQ,
    STATE(5626), 1,
      sym_attribute,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(18552), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208280] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5627), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15536), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208403] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5628), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14692), 1,
      sym__binding_pattern,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208526] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5629), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15297), 1,
      sym__binding_pattern,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208649] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5630), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15050), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [208772] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9870), 1,
      anon_sym_COLON_GT,
    ACTIONS(9872), 1,
      anon_sym_EQ,
    STATE(5631), 1,
      sym_attribute,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(18229), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [208893] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5632), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15049), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209016] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5633), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15048), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209139] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(5634), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10155), 1,
      sym__binding_pattern,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209262] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5635), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15277), 1,
      sym__binding_pattern,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209385] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9874), 1,
      anon_sym_COLON_GT,
    ACTIONS(9876), 1,
      anon_sym_EQ,
    STATE(5636), 1,
      sym_attribute,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19028), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209506] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8278), 1,
      anon_sym_COLON2,
    ACTIONS(9878), 1,
      sym__lowercase_identifier,
    ACTIONS(9884), 1,
      anon_sym_LPAREN,
    ACTIONS(9887), 1,
      anon_sym_LBRACK,
    ACTIONS(9893), 1,
      anon_sym_LBRACE,
    ACTIONS(9896), 1,
      anon_sym_POUND,
    ACTIONS(9899), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9902), 1,
      anon_sym_begin,
    ACTIONS(9905), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9908), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9911), 1,
      aux_sym_number_token1,
    ACTIONS(9914), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9917), 1,
      anon_sym_SQUOTE,
    ACTIONS(9920), 1,
      anon_sym_DQUOTE,
    ACTIONS(9923), 1,
      sym__uppercase_identifier,
    ACTIONS(9926), 1,
      aux_sym_tag_token1,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9881), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(9890), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(5637), 2,
      sym_attribute,
      aux_sym_let_binding_repeat1,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    ACTIONS(8273), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209621] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5638), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15282), 1,
      sym__binding_pattern,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209744] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9929), 1,
      anon_sym_COLON_GT,
    ACTIONS(9931), 1,
      anon_sym_EQ,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5639), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(18247), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [209865] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(5640), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6355), 1,
      sym__binding_pattern,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [209988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 32,
      anon_sym_let,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [210055] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(5642), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10153), 1,
      sym__binding_pattern,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210178] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(8859), 1,
      sym__uppercase_identifier,
    ACTIONS(8861), 1,
      aux_sym_tag_token1,
    ACTIONS(9464), 1,
      sym__lowercase_identifier,
    ACTIONS(9466), 1,
      anon_sym_LPAREN,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9470), 1,
      anon_sym_LBRACE,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9474), 1,
      anon_sym_lazy,
    STATE(4081), 1,
      sym_constructor_path,
    STATE(4185), 1,
      sym_tag,
    STATE(5643), 1,
      sym_attribute,
    STATE(9381), 1,
      sym__constructor_name,
    STATE(15219), 1,
      sym__signed_constant,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15317), 1,
      sym_array_binding_pattern,
    STATE(15318), 1,
      sym_list_binding_pattern,
    STATE(15319), 1,
      sym_record_binding_pattern,
    STATE(15350), 1,
      sym__binding_pattern,
    STATE(21166), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15321), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210301] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8466), 1,
      sym__lowercase_identifier,
    ACTIONS(8468), 1,
      anon_sym_LPAREN,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8474), 1,
      anon_sym_LBRACE,
    ACTIONS(8476), 1,
      anon_sym_POUND,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8480), 1,
      anon_sym_lazy,
    ACTIONS(8482), 1,
      anon_sym_begin,
    ACTIONS(8484), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8486), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(8496), 1,
      sym__uppercase_identifier,
    ACTIONS(8498), 1,
      aux_sym_tag_token1,
    STATE(2952), 1,
      sym_constructor_path,
    STATE(2954), 1,
      sym_tag,
    STATE(5644), 1,
      sym_attribute,
    STATE(9841), 1,
      sym__signed_constant,
    STATE(10005), 1,
      sym__constructor_name,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10154), 1,
      sym__binding_pattern,
    STATE(10181), 1,
      sym_record_binding_pattern,
    STATE(10183), 1,
      sym_list_binding_pattern,
    STATE(10195), 1,
      sym_array_binding_pattern,
    STATE(21914), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8472), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(10176), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210424] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(5645), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(6711), 1,
      sym__binding_pattern,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210547] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(5646), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(6723), 1,
      sym__binding_pattern,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210670] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(5647), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(6732), 1,
      sym__binding_pattern,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210793] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6251), 1,
      sym__lowercase_identifier,
    ACTIONS(6253), 1,
      anon_sym_LPAREN,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6259), 1,
      anon_sym_LBRACE,
    ACTIONS(6261), 1,
      anon_sym_POUND,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6265), 1,
      anon_sym_lazy,
    ACTIONS(6267), 1,
      anon_sym_begin,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(6281), 1,
      sym__uppercase_identifier,
    ACTIONS(6283), 1,
      aux_sym_tag_token1,
    ACTIONS(9686), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9688), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2814), 1,
      sym_constructor_path,
    STATE(2815), 1,
      sym_tag,
    STATE(5648), 1,
      sym_attribute,
    STATE(6555), 1,
      sym__signed_constant,
    STATE(6609), 1,
      sym__constructor_name,
    STATE(6650), 1,
      sym_record_binding_pattern,
    STATE(6668), 1,
      sym_array_binding_pattern,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6686), 1,
      sym_list_binding_pattern,
    STATE(6734), 1,
      sym__binding_pattern,
    STATE(21215), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6257), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6629), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [210916] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(5649), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6366), 1,
      sym__binding_pattern,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [211039] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(5650), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6367), 1,
      sym__binding_pattern,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [211162] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(7845), 1,
      anon_sym_LPAREN,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7853), 1,
      anon_sym_LBRACE,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9320), 1,
      sym__lowercase_identifier,
    ACTIONS(9322), 1,
      anon_sym_lazy,
    STATE(3545), 1,
      sym_constructor_path,
    STATE(3552), 1,
      sym_tag,
    STATE(5651), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14605), 1,
      sym__signed_constant,
    STATE(14809), 1,
      sym_array_binding_pattern,
    STATE(14817), 1,
      sym_list_binding_pattern,
    STATE(14822), 1,
      sym_record_binding_pattern,
    STATE(15365), 1,
      sym__binding_pattern,
    STATE(19799), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14827), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [211285] = 33,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5823), 1,
      sym__lowercase_identifier,
    ACTIONS(5827), 1,
      anon_sym_LPAREN,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5833), 1,
      anon_sym_LBRACE,
    ACTIONS(5835), 1,
      anon_sym_POUND,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(5839), 1,
      anon_sym_lazy,
    ACTIONS(5841), 1,
      anon_sym_begin,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(5855), 1,
      sym__uppercase_identifier,
    ACTIONS(5857), 1,
      aux_sym_tag_token1,
    ACTIONS(8759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2792), 1,
      sym_tag,
    STATE(2793), 1,
      sym_constructor_path,
    STATE(5652), 1,
      sym_attribute,
    STATE(6166), 1,
      sym__signed_constant,
    STATE(6217), 1,
      sym__constructor_name,
    STATE(6409), 1,
      sym__binding_pattern,
    STATE(6491), 1,
      sym_record_binding_pattern,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(6497), 1,
      sym_list_binding_pattern,
    STATE(6498), 1,
      sym_array_binding_pattern,
    STATE(22104), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5831), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(6425), 16,
      sym_alias_binding_pattern,
      sym_typed_binding_pattern,
      sym_or_binding_pattern,
      sym_constructor_binding_pattern,
      sym_tag_binding_pattern,
      sym_polymorphic_variant_pattern,
      sym_tuple_binding_pattern,
      sym_cons_binding_pattern,
      sym_range_pattern,
      sym_lazy_binding_pattern,
      sym_local_open_binding_pattern,
      sym_package_pattern,
      sym_parenthesized_binding_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__value_name,
  [211408] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9933), 1,
      anon_sym_COLON_GT,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5653), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(18717), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211529] = 32,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6499), 1,
      anon_sym_COLON2,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9937), 1,
      anon_sym_COLON_GT,
    ACTIONS(9939), 1,
      anon_sym_EQ,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5654), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(18468), 1,
      sym__polymorphic_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211650] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9943), 1,
      anon_sym_DASH_GT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5655), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20291), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211768] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9947), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5656), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22250), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [211886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [211952] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9949), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5658), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(21993), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212070] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9951), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5659), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20889), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212188] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9953), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5660), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21068), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212306] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9955), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5661), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20446), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212424] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9957), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5662), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20206), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212542] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9959), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5663), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21086), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212660] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9961), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5664), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20470), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212778] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9963), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5665), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21027), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [212896] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9965), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5666), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19900), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213014] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9967), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5667), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20845), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213132] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9969), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5668), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19576), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213250] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9971), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5669), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(21964), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213368] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9977), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5670), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9975), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9973), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [213436] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9980), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5671), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(21896), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213554] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9982), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5672), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21858), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213672] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9984), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5673), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20332), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213790] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9986), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5674), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21083), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [213908] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9988), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5675), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22009), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214026] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9990), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5676), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22101), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214144] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9992), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5677), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19918), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214262] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9994), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5678), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21213), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214380] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9996), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5679), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22418), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214498] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(9998), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5680), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22011), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214616] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10000), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5681), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21651), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214734] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10002), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5682), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21385), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214852] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10004), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5683), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21748), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [214970] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10006), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5684), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19659), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215088] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10008), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5685), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20562), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215206] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10010), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5686), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21842), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215324] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10012), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5687), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20306), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215442] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10014), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5688), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20607), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215560] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10016), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5689), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21631), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215678] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10018), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5690), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21277), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215796] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10020), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5691), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20128), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [215914] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10022), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5692), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20575), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216032] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10024), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5693), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22340), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216150] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10026), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5694), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20500), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216268] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10028), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5695), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20200), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216386] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10030), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5696), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20207), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216504] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10032), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5697), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20609), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216622] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10034), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5698), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21815), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216740] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10036), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5699), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21475), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216858] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10038), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5700), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21449), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [216976] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10040), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5701), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20612), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217094] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10042), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5702), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20636), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217212] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10044), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5703), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21297), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217330] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10046), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5704), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22338), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217448] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10048), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5705), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(21930), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217566] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10050), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5706), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20727), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217684] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10052), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5707), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20750), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217802] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10054), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5708), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20024), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [217920] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10056), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5709), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21477), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218038] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10058), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5710), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22470), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218156] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10060), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5711), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22444), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218274] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10062), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5712), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21650), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218392] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10064), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5713), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21632), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218510] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10066), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5714), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20531), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218628] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10068), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5715), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19993), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218746] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10070), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5716), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22113), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218864] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10072), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5717), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19983), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [218982] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10074), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5718), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20950), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219100] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10076), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5719), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21197), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219218] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10078), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5720), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20947), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219402] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10080), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5722), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20424), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219520] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10082), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5723), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21496), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10084), 1,
      anon_sym_LT_DASH,
    STATE(5724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [219706] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10086), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5725), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22133), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219824] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10088), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5726), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20882), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [219942] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10090), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5727), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20926), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220060] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5728), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21495), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220178] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10094), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5729), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21214), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220296] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10096), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5730), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21276), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220414] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10098), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5731), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21494), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220532] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10100), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5732), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20273), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220650] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10102), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5733), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20125), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220768] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10104), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5734), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21525), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [220886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [220952] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10106), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5736), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19348), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221070] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10108), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5737), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19355), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221188] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [221320] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10110), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5740), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21136), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221438] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10112), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5741), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22246), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221556] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10114), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5742), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22445), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221674] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10116), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5743), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20900), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221792] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10118), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5744), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21050), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [221910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10124), 1,
      aux_sym_attribute_id_token1,
    STATE(5745), 1,
      sym_attribute,
    STATE(5755), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10122), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10120), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [221980] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10126), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5746), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21066), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222098] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10128), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5747), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20969), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222348] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10130), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5750), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20064), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [222532] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10132), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5752), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22179), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222650] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10134), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5753), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21393), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222768] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10136), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5754), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22505), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [222886] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10124), 1,
      aux_sym_attribute_id_token1,
    STATE(5670), 1,
      aux_sym_attribute_id_repeat1,
    STATE(5755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10140), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10138), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [222956] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10142), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5756), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21368), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223074] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10144), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5757), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(20169), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223192] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10146), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5758), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21778), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223310] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10148), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5759), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21273), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223428] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10150), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5760), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22234), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223546] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5761), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19947), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223664] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(5762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [223732] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10154), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5763), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21722), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223850] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10156), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5764), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21255), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [223968] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10158), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5765), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19812), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224086] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10160), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5766), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22495), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224204] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10162), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5767), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21142), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224322] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10164), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5768), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    STATE(22517), 1,
      sym__simple_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224440] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10166), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5769), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21164), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 31,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224624] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10168), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5771), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19399), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224742] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9941), 1,
      anon_sym_COLON2,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10170), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5772), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(19743), 1,
      sym__simple_typed,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [224860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [224990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225120] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5732), 1,
      aux_sym_let_binding_repeat1,
    STATE(5777), 1,
      sym_attribute,
    STATE(6005), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225430] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5720), 1,
      aux_sym_let_binding_repeat1,
    STATE(5781), 1,
      sym_attribute,
    STATE(6004), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225545] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5717), 1,
      aux_sym_let_binding_repeat1,
    STATE(5782), 1,
      sym_attribute,
    STATE(6025), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225725] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5655), 1,
      aux_sym_let_binding_repeat1,
    STATE(5784), 1,
      sym_attribute,
    STATE(6063), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [225840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [225905] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5679), 1,
      aux_sym_let_binding_repeat1,
    STATE(5786), 1,
      sym_attribute,
    STATE(6148), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226020] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    STATE(5787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(5790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226284] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5681), 1,
      aux_sym_let_binding_repeat1,
    STATE(5791), 1,
      sym_attribute,
    STATE(6079), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226399] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5709), 1,
      aux_sym_let_binding_repeat1,
    STATE(5792), 1,
      sym_attribute,
    STATE(6007), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226514] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5669), 1,
      aux_sym_let_binding_repeat1,
    STATE(5793), 1,
      sym_attribute,
    STATE(6096), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [226629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [226954] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10172), 1,
      anon_sym_LT_DASH,
    STATE(5799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227086] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5677), 1,
      aux_sym_let_binding_repeat1,
    STATE(5801), 1,
      sym_attribute,
    STATE(6020), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227591] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227656] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5729), 1,
      aux_sym_let_binding_repeat1,
    STATE(5809), 1,
      sym_attribute,
    STATE(6018), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [227771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [227966] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5747), 1,
      aux_sym_let_binding_repeat1,
    STATE(5813), 1,
      sym_attribute,
    STATE(6012), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228276] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5771), 1,
      aux_sym_let_binding_repeat1,
    STATE(5817), 1,
      sym_attribute,
    STATE(6011), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9975), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(9973), 29,
      anon_sym_let,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [228586] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5662), 1,
      aux_sym_let_binding_repeat1,
    STATE(5821), 1,
      sym_attribute,
    STATE(6027), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228701] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228766] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5712), 1,
      aux_sym_let_binding_repeat1,
    STATE(5823), 1,
      sym_attribute,
    STATE(6141), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [228881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [228946] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5675), 1,
      aux_sym_let_binding_repeat1,
    STATE(5825), 1,
      sym_attribute,
    STATE(6088), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229061] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(5826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229193] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229258] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5671), 1,
      aux_sym_let_binding_repeat1,
    STATE(5829), 1,
      sym_attribute,
    STATE(6085), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229373] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5699), 1,
      aux_sym_let_binding_repeat1,
    STATE(5830), 1,
      sym_attribute,
    STATE(6006), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [229488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229553] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10174), 1,
      anon_sym_LT_DASH,
    STATE(5832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [229945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230075] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5723), 1,
      aux_sym_let_binding_repeat1,
    STATE(5840), 1,
      sym_attribute,
    STATE(6076), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230385] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5664), 1,
      aux_sym_let_binding_repeat1,
    STATE(5844), 1,
      sym_attribute,
    STATE(6039), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230500] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(5845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [230567] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5768), 1,
      aux_sym_let_binding_repeat1,
    STATE(5846), 1,
      sym_attribute,
    STATE(6137), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230682] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5753), 1,
      aux_sym_let_binding_repeat1,
    STATE(5847), 1,
      sym_attribute,
    STATE(6074), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230797] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5742), 1,
      aux_sym_let_binding_repeat1,
    STATE(5848), 1,
      sym_attribute,
    STATE(6102), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [230912] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5689), 1,
      aux_sym_let_binding_repeat1,
    STATE(5849), 1,
      sym_attribute,
    STATE(6101), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231157] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5759), 1,
      aux_sym_let_binding_repeat1,
    STATE(5852), 1,
      sym_attribute,
    STATE(6072), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231272] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5691), 1,
      aux_sym_let_binding_repeat1,
    STATE(5853), 1,
      sym_attribute,
    STATE(6149), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231387] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5674), 1,
      aux_sym_let_binding_repeat1,
    STATE(5854), 1,
      sym_attribute,
    STATE(6015), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231502] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5765), 1,
      aux_sym_let_binding_repeat1,
    STATE(5855), 1,
      sym_attribute,
    STATE(6154), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231682] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5769), 1,
      aux_sym_let_binding_repeat1,
    STATE(5857), 1,
      sym_attribute,
    STATE(6070), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231797] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5746), 1,
      aux_sym_let_binding_repeat1,
    STATE(5858), 1,
      sym_attribute,
    STATE(6068), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [231912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [231977] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5763), 1,
      aux_sym_let_binding_repeat1,
    STATE(5860), 1,
      sym_attribute,
    STATE(6114), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232092] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5750), 1,
      aux_sym_let_binding_repeat1,
    STATE(5861), 1,
      sym_attribute,
    STATE(6055), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232272] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5736), 1,
      aux_sym_let_binding_repeat1,
    STATE(5863), 1,
      sym_attribute,
    STATE(6146), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232387] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232517] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5719), 1,
      aux_sym_let_binding_repeat1,
    STATE(5866), 1,
      sym_attribute,
    STATE(6069), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232632] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5673), 1,
      aux_sym_let_binding_repeat1,
    STATE(5867), 1,
      sym_attribute,
    STATE(6001), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232747] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5705), 1,
      aux_sym_let_binding_repeat1,
    STATE(5868), 1,
      sym_attribute,
    STATE(6038), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [232862] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    ACTIONS(5587), 1,
      anon_sym_POUND,
    ACTIONS(5589), 1,
      sym_hash_operator,
    STATE(5869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [232933] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5656), 1,
      aux_sym_let_binding_repeat1,
    STATE(5870), 1,
      sym_attribute,
    STATE(6153), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233113] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233178] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5678), 1,
      aux_sym_let_binding_repeat1,
    STATE(5873), 1,
      sym_attribute,
    STATE(6029), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233293] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5684), 1,
      aux_sym_let_binding_repeat1,
    STATE(5874), 1,
      sym_attribute,
    STATE(6126), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233473] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233603] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5693), 1,
      aux_sym_let_binding_repeat1,
    STATE(5878), 1,
      sym_attribute,
    STATE(6106), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233718] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5688), 1,
      aux_sym_let_binding_repeat1,
    STATE(5879), 1,
      sym_attribute,
    STATE(6066), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [233833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [233898] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5727), 1,
      aux_sym_let_binding_repeat1,
    STATE(5881), 1,
      sym_attribute,
    STATE(6065), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234078] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5701), 1,
      aux_sym_let_binding_repeat1,
    STATE(5883), 1,
      sym_attribute,
    STATE(6030), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234193] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5711), 1,
      aux_sym_let_binding_repeat1,
    STATE(5884), 1,
      sym_attribute,
    STATE(6107), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234308] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5731), 1,
      aux_sym_let_binding_repeat1,
    STATE(5885), 1,
      sym_attribute,
    STATE(6037), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234553] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5725), 1,
      aux_sym_let_binding_repeat1,
    STATE(5888), 1,
      sym_attribute,
    STATE(6116), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234668] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5700), 1,
      aux_sym_let_binding_repeat1,
    STATE(5889), 1,
      sym_attribute,
    STATE(6022), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [234783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234913] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [234978] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5665), 1,
      aux_sym_let_binding_repeat1,
    STATE(5893), 1,
      sym_attribute,
    STATE(6023), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235093] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5752), 1,
      aux_sym_let_binding_repeat1,
    STATE(5894), 1,
      sym_attribute,
    STATE(6103), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235208] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235273] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235598] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5697), 1,
      aux_sym_let_binding_repeat1,
    STATE(5901), 1,
      sym_attribute,
    STATE(6046), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [235713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235778] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5585), 1,
      anon_sym_DOT,
    ACTIONS(5587), 1,
      anon_sym_POUND,
    ACTIONS(5589), 1,
      sym_hash_operator,
    STATE(5903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [235914] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5714), 1,
      aux_sym_let_binding_repeat1,
    STATE(5905), 1,
      sym_attribute,
    STATE(6017), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236094] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5667), 1,
      aux_sym_let_binding_repeat1,
    STATE(5907), 1,
      sym_attribute,
    STATE(6057), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 30,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236274] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8749), 1,
      anon_sym_PERCENT,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5707), 1,
      aux_sym_let_binding_repeat1,
    STATE(5909), 1,
      sym_attribute,
    STATE(6062), 1,
      sym__attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [236389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8992), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [236453] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236645] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236901] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [236965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237285] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9002), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237541] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_POUND,
    ACTIONS(5599), 1,
      sym_hash_operator,
    STATE(5928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [237867] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237931] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [237995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238251] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    STATE(5939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238509] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10176), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5943), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [238621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [238877] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(5948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [238943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239007] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10178), 1,
      anon_sym_LT_DASH,
    STATE(5950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239201] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10180), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5953), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239313] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10182), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5954), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [239425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239489] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(5956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9006), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [239619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [239939] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5595), 1,
      anon_sym_DOT,
    ACTIONS(5597), 1,
      anon_sym_POUND,
    ACTIONS(5599), 1,
      sym_hash_operator,
    STATE(5963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240137] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10188), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5966), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10184), 19,
      ts_builtin_sym_end,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10186), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [240203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240587] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240651] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [240715] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10191), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5975), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240827] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10193), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5976), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [240939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8937), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8933), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8925), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [241451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241771] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(5990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [241837] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10195), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(5991), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [241949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242333] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(5999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [242461] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9945), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10197), 1,
      anon_sym_DASH_GT,
    STATE(5637), 1,
      aux_sym_let_binding_repeat1,
    STATE(6000), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242573] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5687), 1,
      aux_sym_let_binding_repeat1,
    STATE(6001), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242682] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [242745] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5953), 1,
      aux_sym_let_binding_repeat1,
    STATE(6003), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242854] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5718), 1,
      aux_sym_let_binding_repeat1,
    STATE(6004), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [242963] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5733), 1,
      aux_sym_let_binding_repeat1,
    STATE(6005), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243072] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5696), 1,
      aux_sym_let_binding_repeat1,
    STATE(6006), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243181] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5682), 1,
      aux_sym_let_binding_repeat1,
    STATE(6007), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243290] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10199), 1,
      anon_sym_COLON,
    STATE(6008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [243355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9350), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243418] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243481] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5772), 1,
      aux_sym_let_binding_repeat1,
    STATE(6011), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243590] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5743), 1,
      aux_sym_let_binding_repeat1,
    STATE(6012), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [243825] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5663), 1,
      aux_sym_let_binding_repeat1,
    STATE(6015), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [243934] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10201), 1,
      anon_sym_lazy,
    STATE(3345), 1,
      sym_constructor_path,
    STATE(3398), 1,
      sym_tag,
    STATE(6016), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(19813), 1,
      sym_module_path,
    STATE(19945), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14378), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [244045] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5702), 1,
      aux_sym_let_binding_repeat1,
    STATE(6017), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244154] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5730), 1,
      aux_sym_let_binding_repeat1,
    STATE(6018), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9242), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244326] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5666), 1,
      aux_sym_let_binding_repeat1,
    STATE(6020), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9358), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [244498] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5703), 1,
      aux_sym_let_binding_repeat1,
    STATE(6022), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244607] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5660), 1,
      aux_sym_let_binding_repeat1,
    STATE(6023), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244716] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5954), 1,
      aux_sym_let_binding_repeat1,
    STATE(6024), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244825] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5708), 1,
      aux_sym_let_binding_repeat1,
    STATE(6025), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [244934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10203), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6026), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10184), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10186), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [244999] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5757), 1,
      aux_sym_let_binding_repeat1,
    STATE(6027), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9390), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245171] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5690), 1,
      aux_sym_let_binding_repeat1,
    STATE(6029), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245280] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5685), 1,
      aux_sym_let_binding_repeat1,
    STATE(6030), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245452] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [245515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245578] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9006), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9378), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9374), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [245767] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5734), 1,
      aux_sym_let_binding_repeat1,
    STATE(6037), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245876] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5698), 1,
      aux_sym_let_binding_repeat1,
    STATE(6038), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [245985] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5661), 1,
      aux_sym_let_binding_repeat1,
    STATE(6039), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8925), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246220] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9002), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246346] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8992), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246472] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5692), 1,
      aux_sym_let_binding_repeat1,
    STATE(6046), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [246581] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9330), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10208), 28,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [246835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8937), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246898] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9002), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [246961] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8996), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247087] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5695), 1,
      aux_sym_let_binding_repeat1,
    STATE(6055), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247259] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5659), 1,
      aux_sym_let_binding_repeat1,
    STATE(6057), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247368] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8992), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9008), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [247620] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5706), 1,
      aux_sym_let_binding_repeat1,
    STATE(6062), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247729] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5722), 1,
      aux_sym_let_binding_repeat1,
    STATE(6063), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [247838] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10201), 1,
      anon_sym_lazy,
    STATE(3345), 1,
      sym_constructor_path,
    STATE(3398), 1,
      sym_tag,
    STATE(6064), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(19813), 1,
      sym_module_path,
    STATE(21267), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14378), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [247949] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5726), 1,
      aux_sym_let_binding_repeat1,
    STATE(6065), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248058] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5694), 1,
      aux_sym_let_binding_repeat1,
    STATE(6066), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248230] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5744), 1,
      aux_sym_let_binding_repeat1,
    STATE(6068), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248339] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5740), 1,
      aux_sym_let_binding_repeat1,
    STATE(6069), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248448] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5767), 1,
      aux_sym_let_binding_repeat1,
    STATE(6070), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248620] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5764), 1,
      aux_sym_let_binding_repeat1,
    STATE(6072), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248792] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5756), 1,
      aux_sym_let_binding_repeat1,
    STATE(6074), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [248901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [248964] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5728), 1,
      aux_sym_let_binding_repeat1,
    STATE(6076), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249136] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6000), 1,
      aux_sym_let_binding_repeat1,
    STATE(6078), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249245] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5683), 1,
      aux_sym_let_binding_repeat1,
    STATE(6079), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9080), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249417] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9182), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249671] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5672), 1,
      aux_sym_let_binding_repeat1,
    STATE(6085), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [249780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8925), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [249906] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5658), 1,
      aux_sym_let_binding_repeat1,
    STATE(6088), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250078] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9086), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250204] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9268), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250267] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5976), 1,
      aux_sym_let_binding_repeat1,
    STATE(6093), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250502] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5680), 1,
      aux_sym_let_binding_repeat1,
    STATE(6096), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250611] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    ACTIONS(5607), 1,
      anon_sym_POUND,
    ACTIONS(5609), 1,
      sym_hash_operator,
    STATE(6097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9256), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250680] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250806] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [250871] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5686), 1,
      aux_sym_let_binding_repeat1,
    STATE(6101), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [250980] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5766), 1,
      aux_sym_let_binding_repeat1,
    STATE(6102), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251089] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5741), 1,
      aux_sym_let_binding_repeat1,
    STATE(6103), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251324] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5716), 1,
      aux_sym_let_binding_repeat1,
    STATE(6106), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251433] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5710), 1,
      aux_sym_let_binding_repeat1,
    STATE(6107), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9304), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251731] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5975), 1,
      aux_sym_let_binding_repeat1,
    STATE(6111), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [251840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9236), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [251966] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5758), 1,
      aux_sym_let_binding_repeat1,
    STATE(6114), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252075] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5991), 1,
      aux_sym_let_binding_repeat1,
    STATE(6115), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252184] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5676), 1,
      aux_sym_let_binding_repeat1,
    STATE(6116), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9232), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9160), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8937), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8933), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9300), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [252860] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5668), 1,
      aux_sym_let_binding_repeat1,
    STATE(6126), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [252969] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10210), 1,
      anon_sym_LT_DASH,
    STATE(6127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253223] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    ACTIONS(5607), 1,
      anon_sym_POUND,
    ACTIONS(5609), 1,
      sym_hash_operator,
    STATE(6131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253355] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253420] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9172), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253609] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5754), 1,
      aux_sym_let_binding_repeat1,
    STATE(6137), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [253718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [253907] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5713), 1,
      aux_sym_let_binding_repeat1,
    STATE(6141), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254016] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254144] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5605), 1,
      anon_sym_DOT,
    STATE(6144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254209] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5991), 1,
      anon_sym_LPAREN,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(6035), 1,
      sym__uppercase_identifier,
    ACTIONS(6037), 1,
      aux_sym_tag_token1,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10201), 1,
      anon_sym_lazy,
    STATE(3345), 1,
      sym_constructor_path,
    STATE(3398), 1,
      sym_tag,
    STATE(6145), 1,
      sym_attribute,
    STATE(9684), 1,
      sym__constructor_name,
    STATE(19813), 1,
      sym_module_path,
    STATE(21439), 1,
      sym__effect_pattern,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(14499), 4,
      sym__simple_pattern,
      sym_constructor_pattern,
      sym_tag_pattern,
      sym_lazy_pattern,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14378), 13,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [254320] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5737), 1,
      aux_sym_let_binding_repeat1,
    STATE(6146), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254429] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9330), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254494] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5704), 1,
      aux_sym_let_binding_repeat1,
    STATE(6148), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254603] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5715), 1,
      aux_sym_let_binding_repeat1,
    STATE(6149), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [254712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [254901] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5760), 1,
      aux_sym_let_binding_repeat1,
    STATE(6153), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255010] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5761), 1,
      aux_sym_let_binding_repeat1,
    STATE(6154), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255119] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9006), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255245] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6489), 1,
      anon_sym_LPAREN,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(5943), 1,
      aux_sym_let_binding_repeat1,
    STATE(6157), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11529), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6487), 2,
      anon_sym_TILDE,
      anon_sym_QMARK,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11527), 2,
      sym_parameter,
      sym__parenthesized_abstract_type,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [255354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255480] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255543] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9358), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255731] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9330), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255857] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10212), 1,
      anon_sym_DOT_DOT,
    STATE(6166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5821), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9002), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [255983] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10214), 1,
      anon_sym_LT_DASH,
    STATE(6168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256047] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10216), 1,
      anon_sym_LT_DASH,
    STATE(6169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8937), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9300), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8996), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8933), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8929), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8992), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9384), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256545] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9330), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256795] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [256859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9172), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [256983] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    ACTIONS(5627), 1,
      anon_sym_POUND,
    ACTIONS(5629), 1,
      sym_hash_operator,
    STATE(6184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9256), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9378), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9374), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257299] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9236), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9268), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9160), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9232), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10208), 29,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [257919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9006), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [257981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10218), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [258043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9008), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9304), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258601] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10222), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [258849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258911] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [258973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9342), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9390), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9076), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(8925), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9300), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259593] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [259657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9216), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259843] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5615), 1,
      anon_sym_DOT,
    STATE(6230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [259907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9086), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [259969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9390), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260589] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9086), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [260961] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261023] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261085] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9232), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9350), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9236), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261457] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9142), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9182), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [261955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9138), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9080), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9120), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262327] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5615), 1,
      anon_sym_DOT,
    ACTIONS(5617), 1,
      anon_sym_POUND,
    ACTIONS(5619), 1,
      sym_hash_operator,
    STATE(6270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9256), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9108), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262457] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9326), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 35,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [262705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9096), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9268), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [262953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9242), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9350), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263139] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    STATE(6283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9104), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9112), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263513] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9358), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9358), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9044), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263823] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9350), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [263947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9354), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264009] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9130), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264197] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5625), 1,
      anon_sym_DOT,
    ACTIONS(5627), 1,
      anon_sym_POUND,
    ACTIONS(5629), 1,
      sym_hash_operator,
    STATE(6300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264389] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10234), 1,
      anon_sym_COLON,
    STATE(6303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9242), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264577] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [264887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [264949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9374), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 29,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [265135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9378), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9168), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9172), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265569] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5615), 1,
      anon_sym_DOT,
    ACTIONS(5617), 1,
      anon_sym_POUND,
    ACTIONS(5619), 1,
      sym_hash_operator,
    STATE(6322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9176), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265699] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9400), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [265949] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9390), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10236), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9182), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9160), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9378), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9374), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9146), 25,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9304), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [266942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [267003] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [267125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10244), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9022), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10248), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10252), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10256), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9292), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10260), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10264), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267674] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10268), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10272), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10280), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10284), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [267979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9300), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9304), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9292), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9310), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6507), 1,
      anon_sym_COLON_COLON,
    STATE(6366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268347] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6491), 1,
      anon_sym_COMMA,
    ACTIONS(6507), 1,
      anon_sym_COLON_COLON,
    STATE(6367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [268412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9314), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9374), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268534] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    ACTIONS(5757), 1,
      anon_sym_POUND,
    ACTIONS(5759), 1,
      sym_hash_operator,
    STATE(6370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9256), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10300), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268662] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10304), 1,
      anon_sym_DOT_DOT,
    STATE(6372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5821), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9326), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9182), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9304), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [268969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9374), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269030] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9378), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9384), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9390), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9400), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9350), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269642] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10318), 1,
      anon_sym_COLON,
    STATE(6388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9522), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9336), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9342), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269827] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9330), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [269890] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [269953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9086), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270075] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10324), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9090), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9358), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10332), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10236), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9094), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270624] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [270687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9378), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9102), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [270870] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9190), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270931] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6507), 1,
      anon_sym_COLON_COLON,
    STATE(6409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [270994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9194), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9198), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271116] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9202), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10238), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [271299] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10348), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10352), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10356), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9130), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10360), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9206), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9210), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9384), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9218), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [271909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5821), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [271970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9390), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9350), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9242), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10364), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9258), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9300), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9298), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9354), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10368), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9342), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9358), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9400), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 28,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [272885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [272946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10372), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9354), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273129] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9290), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9400), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9396), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10376), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273373] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    ACTIONS(5757), 1,
      anon_sym_POUND,
    ACTIONS(5759), 1,
      sym_hash_operator,
    STATE(6449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273440] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9152), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273501] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9358), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273623] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9142), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273684] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9286), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273745] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10380), 1,
      anon_sym_LT_DASH,
    STATE(6455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273808] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9278), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9156), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [273930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [273991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9274), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9160), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9044), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9268), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9326), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9264), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9252), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [274662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9168), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9172), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9176), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9146), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9248), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [274967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9240), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9188), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9112), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275333] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    STATE(6481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9104), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275396] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9096), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275457] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9120), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9076), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9080), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9138), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9108), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275762] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10382), 1,
      anon_sym_DOT_DOT,
    STATE(6488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5825), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [275825] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9178), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275886] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9216), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [275947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10384), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276008] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9224), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9228), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276252] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9232), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10388), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9236), 24,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10324), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10244), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9292), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [276736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10358), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10394), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10390), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10386), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [276976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9400), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10274), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5825), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9182), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10316), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10360), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9378), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10376), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10370), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [277756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10372), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [277876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10236), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10248), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [277996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10252), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9390), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10242), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10268), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10246), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10262), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10276), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9300), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10266), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278776] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [278836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [278896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10300), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [278956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9374), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10314), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9304), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279316] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6551), 1,
      anon_sym_COLON_COLON,
    STATE(6547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [279558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10272), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10394), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10392), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10388), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10250), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10396), 1,
      anon_sym_DOT_DOT,
    STATE(6555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5825), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [279860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10384), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(5821), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [279980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10368), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10240), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9384), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10260), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10264), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6845), 1,
      anon_sym_COLON_COLON,
    STATE(6564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280402] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6839), 1,
      anon_sym_COMMA,
    ACTIONS(6845), 1,
      anon_sym_COLON_COLON,
    STATE(6565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10296), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280526] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6845), 1,
      anon_sym_COLON_COLON,
    STATE(6567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10344), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280648] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10328), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10332), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [280768] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [280830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [280950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10256), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6545), 1,
      anon_sym_COMMA,
    ACTIONS(6551), 1,
      anon_sym_COLON_COLON,
    STATE(6576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10308), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281314] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6551), 1,
      anon_sym_COLON_COLON,
    STATE(6580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10346), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10270), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [281676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9358), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [281916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10354), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [281976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10350), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10284), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10280), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [282396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10356), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10352), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [282696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10336), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10320), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10348), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9350), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [282996] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10258), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10398), 1,
      anon_sym_COLON,
    STATE(6612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9522), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10334), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10364), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283658] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10302), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10342), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9602), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [283898] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [283958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284018] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10400), 1,
      anon_sym_LT_DASH,
    STATE(6625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10402), 1,
      anon_sym_COLON,
    STATE(6627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9522), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(5825), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284379] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284438] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10358), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [284617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [284912] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [284971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10270), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10254), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285384] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10386), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285563] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10404), 1,
      anon_sym_LT_DASH,
    STATE(6651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285683] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [285921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10322), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [285980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10338), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10350), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5923), 1,
      anon_sym_DOT,
    ACTIONS(5925), 1,
      anon_sym_POUND,
    ACTIONS(5927), 1,
      sym_hash_operator,
    STATE(6666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286517] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [286576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10394), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [286694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [286989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10308), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287107] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [287166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287284] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10354), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287579] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10316), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10390), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10274), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10278), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [287874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10326), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [287933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [287992] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5923), 1,
      anon_sym_DOT,
    ACTIONS(5925), 1,
      anon_sym_POUND,
    ACTIONS(5927), 1,
      sym_hash_operator,
    STATE(6692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10302), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10250), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [288765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10334), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10370), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [288942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10242), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289001] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10330), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289119] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6981), 1,
      anon_sym_COLON_COLON,
    STATE(6711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10346), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289416] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289829] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6975), 1,
      anon_sym_COMMA,
    ACTIONS(6981), 1,
      anon_sym_COLON_COLON,
    STATE(6723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10298), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [289892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [289951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9602), 23,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [290010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10246), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290364] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6981), 1,
      anon_sym_COLON_COLON,
    STATE(6732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10294), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10266), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10258), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [290602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [290897] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9022), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [290956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291015] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291251] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(5923), 1,
      anon_sym_DOT,
    STATE(6747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10342), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [291725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10406), 1,
      anon_sym_LT_DASH,
    STATE(6757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [291963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292081] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10262), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [292140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292199] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10408), 1,
      anon_sym_COLON,
    STATE(6763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9522), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [292260] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [292900] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8551), 1,
      sym__lowercase_identifier,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8559), 1,
      anon_sym_LBRACE,
    ACTIONS(8563), 1,
      anon_sym_POUND,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8569), 1,
      anon_sym_begin,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(10410), 1,
      anon_sym_LPAREN,
    ACTIONS(10412), 1,
      sym__uppercase_identifier,
    ACTIONS(10414), 1,
      aux_sym_tag_token1,
    STATE(6775), 1,
      sym_attribute,
    STATE(15397), 1,
      sym__simple_pattern,
    STATE(15436), 1,
      sym__constructor_name,
    STATE(20505), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8557), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(15283), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [292998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293520] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6053), 1,
      anon_sym_DOT,
    ACTIONS(6055), 1,
      anon_sym_POUND,
    ACTIONS(6057), 1,
      sym_hash_operator,
    STATE(6785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293584] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10416), 1,
      anon_sym_LPAREN,
    ACTIONS(10418), 1,
      sym__uppercase_identifier,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    STATE(6786), 1,
      sym_attribute,
    STATE(14385), 1,
      sym__simple_pattern,
    STATE(14733), 1,
      sym__constructor_name,
    STATE(20807), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14378), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293740] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [293798] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8227), 1,
      sym__lowercase_identifier,
    ACTIONS(8235), 1,
      anon_sym_LBRACK,
    ACTIONS(8241), 1,
      anon_sym_LBRACE,
    ACTIONS(8243), 1,
      anon_sym_POUND,
    ACTIONS(8245), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8247), 1,
      anon_sym_begin,
    ACTIONS(8253), 1,
      aux_sym_number_token1,
    ACTIONS(8255), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8257), 1,
      anon_sym_SQUOTE,
    ACTIONS(8259), 1,
      anon_sym_DQUOTE,
    ACTIONS(8261), 1,
      sym__uppercase_identifier,
    ACTIONS(8263), 1,
      aux_sym_tag_token1,
    ACTIONS(10422), 1,
      anon_sym_LPAREN,
    ACTIONS(10424), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10426), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6789), 1,
      sym_attribute,
    STATE(9079), 1,
      sym__simple_pattern,
    STATE(9222), 1,
      sym__constructor_name,
    STATE(20989), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8237), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9085), 2,
      sym__constant,
      sym_signed_number,
    STATE(8970), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8911), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293896] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8189), 1,
      sym__lowercase_identifier,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8203), 1,
      anon_sym_LBRACE,
    ACTIONS(8205), 1,
      anon_sym_POUND,
    ACTIONS(8207), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8209), 1,
      anon_sym_begin,
    ACTIONS(8215), 1,
      aux_sym_number_token1,
    ACTIONS(8217), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8219), 1,
      anon_sym_SQUOTE,
    ACTIONS(8221), 1,
      anon_sym_DQUOTE,
    ACTIONS(8223), 1,
      sym__uppercase_identifier,
    ACTIONS(8225), 1,
      aux_sym_tag_token1,
    ACTIONS(10428), 1,
      anon_sym_LPAREN,
    ACTIONS(10430), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10432), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6790), 1,
      sym_attribute,
    STATE(9011), 1,
      sym__simple_pattern,
    STATE(9160), 1,
      sym__constructor_name,
    STATE(20213), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8199), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9215), 2,
      sym__constant,
      sym_signed_number,
    STATE(8939), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8876), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [293994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9164), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [294052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294168] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294400] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5989), 1,
      sym__lowercase_identifier,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6003), 1,
      anon_sym_LBRACE,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6017), 1,
      anon_sym_begin,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(8185), 1,
      anon_sym_POUND,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(10416), 1,
      anon_sym_LPAREN,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10434), 1,
      sym__uppercase_identifier,
    STATE(6798), 1,
      sym_attribute,
    STATE(10173), 1,
      sym__constructor_name,
    STATE(14385), 1,
      sym__simple_pattern,
    STATE(21209), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5999), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(14378), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [294498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294846] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [294964] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6053), 1,
      anon_sym_DOT,
    STATE(6808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295256] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295314] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7907), 1,
      sym__lowercase_identifier,
    ACTIONS(7917), 1,
      anon_sym_LBRACK,
    ACTIONS(7923), 1,
      anon_sym_LBRACE,
    ACTIONS(7925), 1,
      anon_sym_POUND,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7929), 1,
      anon_sym_begin,
    ACTIONS(7937), 1,
      aux_sym_number_token1,
    ACTIONS(7939), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7941), 1,
      anon_sym_SQUOTE,
    ACTIONS(7943), 1,
      anon_sym_DQUOTE,
    ACTIONS(7945), 1,
      sym__uppercase_identifier,
    ACTIONS(7947), 1,
      aux_sym_tag_token1,
    ACTIONS(10436), 1,
      anon_sym_LPAREN,
    ACTIONS(10438), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10440), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6813), 1,
      sym_attribute,
    STATE(8327), 1,
      sym__constructor_name,
    STATE(8337), 1,
      sym__simple_pattern,
    STATE(21193), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7919), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8467), 2,
      sym__constant,
      sym_signed_number,
    STATE(8324), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8429), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [295412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9602), 22,
      anon_sym_COLON_GT,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      anon_sym_GT_RBRACE,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [295470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295760] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7955), 1,
      sym__lowercase_identifier,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    ACTIONS(7973), 1,
      anon_sym_LBRACE,
    ACTIONS(7975), 1,
      anon_sym_POUND,
    ACTIONS(7977), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7979), 1,
      anon_sym_begin,
    ACTIONS(7985), 1,
      aux_sym_number_token1,
    ACTIONS(7987), 1,
      aux_sym_signed_number_token1,
    ACTIONS(7989), 1,
      anon_sym_SQUOTE,
    ACTIONS(7991), 1,
      anon_sym_DQUOTE,
    ACTIONS(7993), 1,
      sym__uppercase_identifier,
    ACTIONS(7995), 1,
      aux_sym_tag_token1,
    ACTIONS(10442), 1,
      anon_sym_LPAREN,
    ACTIONS(10444), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10446), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6820), 1,
      sym_attribute,
    STATE(8519), 1,
      sym__constructor_name,
    STATE(8614), 1,
      sym__simple_pattern,
    STATE(21649), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7969), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(8523), 2,
      sym__constant,
      sym_signed_number,
    STATE(8624), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(8579), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [295858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [295974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296032] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10448), 1,
      anon_sym_LT_DASH,
    STATE(6824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296150] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6477), 1,
      sym__lowercase_identifier,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6501), 1,
      anon_sym_LBRACE,
    ACTIONS(6505), 1,
      anon_sym_POUND,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6511), 1,
      anon_sym_begin,
    ACTIONS(6519), 1,
      aux_sym_number_token1,
    ACTIONS(6521), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6523), 1,
      anon_sym_SQUOTE,
    ACTIONS(6525), 1,
      anon_sym_DQUOTE,
    ACTIONS(6527), 1,
      sym__uppercase_identifier,
    ACTIONS(6529), 1,
      aux_sym_tag_token1,
    ACTIONS(8779), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8781), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10450), 1,
      anon_sym_LPAREN,
    STATE(6826), 1,
      sym_attribute,
    STATE(9706), 1,
      sym__constructor_name,
    STATE(11407), 1,
      sym__simple_pattern,
    STATE(21866), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6497), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11586), 2,
      sym__constant,
      sym_signed_number,
    STATE(11458), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(11532), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [296248] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296540] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [296946] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297062] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10452), 1,
      anon_sym_LT_DASH,
    STATE(6843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [297240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297588] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6053), 1,
      anon_sym_DOT,
    ACTIONS(6055), 1,
      anon_sym_POUND,
    ACTIONS(6057), 1,
      sym_hash_operator,
    STATE(6850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [297884] = 25,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8595), 1,
      sym__lowercase_identifier,
    ACTIONS(8603), 1,
      anon_sym_LBRACK,
    ACTIONS(8609), 1,
      anon_sym_LBRACE,
    ACTIONS(8613), 1,
      anon_sym_POUND,
    ACTIONS(8615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8617), 1,
      anon_sym_begin,
    ACTIONS(8625), 1,
      aux_sym_number_token1,
    ACTIONS(8627), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8629), 1,
      anon_sym_SQUOTE,
    ACTIONS(8631), 1,
      anon_sym_DQUOTE,
    ACTIONS(8633), 1,
      sym__uppercase_identifier,
    ACTIONS(8635), 1,
      aux_sym_tag_token1,
    ACTIONS(10454), 1,
      anon_sym_LPAREN,
    ACTIONS(10456), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10458), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(6855), 1,
      sym_attribute,
    STATE(9961), 1,
      sym__simple_pattern,
    STATE(10013), 1,
      sym__constructor_name,
    STATE(22260), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8605), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9886), 2,
      sym__constant,
      sym_signed_number,
    STATE(10002), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    STATE(9838), 15,
      sym_typed_pattern,
      sym_polymorphic_variant_pattern,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
      sym_local_open_pattern,
      sym_package_pattern,
      sym_parenthesized_pattern,
      sym_extension,
      sym_quoted_extension,
      sym__signed_constant,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
      sym_constructor_path,
      sym_tag,
  [297982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298214] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 21,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [298728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298842] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [298956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299070] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299355] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299583] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10460), 1,
      anon_sym_COLON,
    STATE(6884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [299642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299699] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [299984] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300041] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300212] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300554] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [300611] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [300953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301010] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [301694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301808] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301867] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_DOT,
    STATE(6924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [301983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302325] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302783] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [302840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [302954] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303125] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303581] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [303752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303809] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(6958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303925] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [303982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304324] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304495] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(6972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [304725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [304953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305010] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305238] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [305922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [305979] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(6996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [306038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(6999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [306950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307007] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307178] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307349] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_DOT,
    STATE(7020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307408] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10468), 1,
      anon_sym_POUND,
    ACTIONS(10470), 1,
      sym_hash_operator,
    STATE(7021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10472), 1,
      anon_sym_LT_DASH,
    STATE(7024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [307815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [307986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308100] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308216] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_DOT,
    ACTIONS(10474), 1,
      anon_sym_POUND,
    ACTIONS(10476), 1,
      sym_hash_operator,
    STATE(7035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308393] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308450] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [308507] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [308963] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10464), 1,
      anon_sym_DOT,
    ACTIONS(10474), 1,
      anon_sym_POUND,
    ACTIONS(10476), 1,
      sym_hash_operator,
    STATE(7049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [309368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309767] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [309995] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    ACTIONS(10468), 1,
      anon_sym_POUND,
    ACTIONS(10470), 1,
      sym_hash_operator,
    STATE(7066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310172] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10466), 1,
      anon_sym_DOT,
    STATE(7069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310459] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [310518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310689] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [310974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311601] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [311715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [311943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10478), 1,
      anon_sym_LT_DASH,
    STATE(7101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312344] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312515] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [312916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [312973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313144] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313258] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313429] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313486] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313545] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [313775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [313946] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314345] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314516] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314575] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314634] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [314919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [314976] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315204] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315546] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6245), 1,
      anon_sym_DOT,
    ACTIONS(6247), 1,
      anon_sym_POUND,
    ACTIONS(6249), 1,
      sym_hash_operator,
    STATE(7163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315609] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_DOT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      sym_hash_operator,
    STATE(7164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [315672] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10484), 1,
      anon_sym_LT_DASH,
    STATE(7165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10486), 1,
      anon_sym_LT_DASH,
    STATE(7167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315904] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [315961] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10488), 1,
      anon_sym_LT_DASH,
    STATE(7170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316191] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316248] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10490), 1,
      anon_sym_LT_DASH,
    STATE(7175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316364] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10462), 1,
      anon_sym_DOT,
    ACTIONS(10480), 1,
      anon_sym_POUND,
    ACTIONS(10482), 1,
      sym_hash_operator,
    STATE(7177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316541] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316600] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [316942] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [316999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317170] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317284] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317455] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6245), 1,
      anon_sym_DOT,
    STATE(7196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317514] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317742] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317799] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317856] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [317972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318200] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318314] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10492), 1,
      anon_sym_LT_DASH,
    STATE(7211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318430] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6245), 1,
      anon_sym_DOT,
    ACTIONS(6247), 1,
      anon_sym_POUND,
    ACTIONS(6249), 1,
      sym_hash_operator,
    STATE(7213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318550] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [318892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [318949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319120] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319177] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319234] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319348] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319405] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319690] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319747] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319861] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [319918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 25,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [319975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [320203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320259] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320371] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6299), 1,
      anon_sym_DOT,
    STATE(7247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320485] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [320991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321887] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6299), 1,
      anon_sym_DOT,
    ACTIONS(6301), 1,
      anon_sym_POUND,
    ACTIONS(6303), 1,
      sym_hash_operator,
    STATE(7274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [321949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322565] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6299), 1,
      anon_sym_DOT,
    ACTIONS(6301), 1,
      anon_sym_POUND,
    ACTIONS(6303), 1,
      sym_hash_operator,
    STATE(7286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322627] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10498), 1,
      anon_sym_private,
    ACTIONS(10500), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    STATE(7287), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(12956), 1,
      sym__type,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12379), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [322735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322847] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [322959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323463] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10526), 1,
      anon_sym_private,
    ACTIONS(10528), 1,
      anon_sym_DOT_DOT,
    STATE(7301), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(12956), 1,
      sym__type,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12458), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [323571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [323963] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10530), 1,
      anon_sym_LT_DASH,
    STATE(7309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
    ACTIONS(9016), 20,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [324021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324301] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324805] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [324975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325087] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10532), 1,
      anon_sym_LT_DASH,
    STATE(7329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325257] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325371] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325539] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325763] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6389), 1,
      anon_sym_DOT,
    STATE(7341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [325989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326325] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326719] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326777] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326835] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [326947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327397] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10534), 1,
      anon_sym_LT_DASH,
    STATE(7370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327455] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10536), 1,
      anon_sym_LT_DASH,
    STATE(7371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327905] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10538), 1,
      anon_sym_LT_DASH,
    STATE(7379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [327963] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328019] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328243] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10540), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10544), 1,
      anon_sym_private,
    ACTIONS(10546), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    STATE(7385), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(12784), 1,
      sym__type,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10552), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12469), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [328351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328463] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10568), 1,
      anon_sym_LT_DASH,
    STATE(7388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328577] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328689] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328745] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328913] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [328969] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329081] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329305] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6399), 1,
      anon_sym_DOT,
    ACTIONS(6401), 1,
      anon_sym_POUND,
    ACTIONS(6403), 1,
      sym_hash_operator,
    STATE(7403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329871] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10570), 1,
      anon_sym_LT_DASH,
    STATE(7413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [329985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330153] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330433] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330545] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330715] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10572), 1,
      sym__lowercase_identifier,
    ACTIONS(10574), 1,
      anon_sym_LPAREN,
    ACTIONS(10576), 1,
      anon_sym_private,
    ACTIONS(10578), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(10582), 1,
      anon_sym_LBRACK,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    STATE(7428), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(11945), 1,
      sym__type,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10584), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11557), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [330823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330879] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [330991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331215] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331497] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331833] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331891] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [331947] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332115] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10540), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10600), 1,
      anon_sym_private,
    ACTIONS(10602), 1,
      anon_sym_DOT_DOT,
    STATE(7452), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(12784), 1,
      sym__type,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10552), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12378), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [332223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332391] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332447] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332505] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332561] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10604), 1,
      anon_sym_LT_DASH,
    STATE(7459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332731] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [332957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333013] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333351] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10606), 1,
      anon_sym_LT_DASH,
    STATE(7473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333521] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6389), 1,
      anon_sym_DOT,
    ACTIONS(6391), 1,
      anon_sym_POUND,
    ACTIONS(6393), 1,
      sym_hash_operator,
    STATE(7476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [333975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334759] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334815] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6399), 1,
      anon_sym_DOT,
    STATE(7499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334873] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [334985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335041] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335267] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335323] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6379), 1,
      anon_sym_DOT,
    STATE(7508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335549] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10608), 1,
      anon_sym_COLON,
    STATE(7512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [335999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336111] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336223] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336279] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336391] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336503] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336615] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6389), 1,
      anon_sym_DOT,
    ACTIONS(6391), 1,
      anon_sym_POUND,
    ACTIONS(6393), 1,
      sym_hash_operator,
    STATE(7531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336733] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [336957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337293] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337461] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6399), 1,
      anon_sym_DOT,
    ACTIONS(6401), 1,
      anon_sym_POUND,
    ACTIONS(6403), 1,
      sym_hash_operator,
    STATE(7546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337523] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337579] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337635] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337747] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337859] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [337971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338139] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338363] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10610), 1,
      anon_sym_LT_DASH,
    STATE(7566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338813] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338869] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338925] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [338981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339597] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339709] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [339989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340045] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340215] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6379), 1,
      anon_sym_DOT,
    ACTIONS(6381), 1,
      anon_sym_POUND,
    ACTIONS(6383), 1,
      sym_hash_operator,
    STATE(7595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340893] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [340949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341285] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_DOT,
    ACTIONS(6291), 1,
      anon_sym_POUND,
    ACTIONS(6293), 1,
      sym_hash_operator,
    STATE(7614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341739] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9024), 1,
      anon_sym_LT_DASH,
    STATE(7622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [341965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342077] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10572), 1,
      sym__lowercase_identifier,
    ACTIONS(10574), 1,
      anon_sym_LPAREN,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(10582), 1,
      anon_sym_LBRACK,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10612), 1,
      anon_sym_private,
    ACTIONS(10614), 1,
      anon_sym_DOT_DOT,
    STATE(7628), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(11945), 1,
      sym__type,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10584), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11482), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342185] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342521] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10616), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_LPAREN,
    ACTIONS(10620), 1,
      anon_sym_private,
    ACTIONS(10622), 1,
      anon_sym_DOT_DOT,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(10626), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    STATE(7635), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12057), 1,
      sym__type,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11622), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [342629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [342965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343301] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6309), 1,
      anon_sym_DOT,
    STATE(7648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343359] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343695] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [343977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344145] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344313] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6379), 1,
      anon_sym_DOT,
    ACTIONS(6381), 1,
      anon_sym_POUND,
    ACTIONS(6383), 1,
      sym_hash_operator,
    STATE(7666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344375] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_DOT,
    ACTIONS(6291), 1,
      anon_sym_POUND,
    ACTIONS(6293), 1,
      sym_hash_operator,
    STATE(7667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [344997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345725] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345781] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6309), 1,
      anon_sym_DOT,
    ACTIONS(6311), 1,
      anon_sym_POUND,
    ACTIONS(6313), 1,
      sym_hash_operator,
    STATE(7692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [345955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346291] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346627] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346795] = 31,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10616), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(10626), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10644), 1,
      anon_sym_private,
    ACTIONS(10646), 1,
      anon_sym_DOT_DOT,
    STATE(7710), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12057), 1,
      sym__type,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11762), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [346903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [346959] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_LT_DASH,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347351] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6309), 1,
      anon_sym_DOT,
    ACTIONS(6311), 1,
      anon_sym_POUND,
    ACTIONS(6313), 1,
      sym_hash_operator,
    STATE(7719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347525] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347749] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6289), 1,
      anon_sym_DOT,
    STATE(7726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347919] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [347975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348087] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348703] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348759] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [348927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [348982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349037] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    STATE(7758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349644] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349699] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [349754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [349974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350029] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350084] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350414] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_DOT,
    ACTIONS(10652), 1,
      anon_sym_POUND,
    ACTIONS(10654), 1,
      sym_hash_operator,
    STATE(7774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350860] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [350915] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [350970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351190] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9330), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [351247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351302] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351577] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351632] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9196), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [351907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [351962] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352127] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352182] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6411), 1,
      anon_sym_DOT,
    ACTIONS(6413), 1,
      anon_sym_POUND,
    ACTIONS(6415), 1,
      sym_hash_operator,
    STATE(7806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352463] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352683] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [352903] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [352958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353068] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353178] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353233] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353563] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353673] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [353893] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6411), 1,
      anon_sym_DOT,
    STATE(7837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [353950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354225] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10656), 1,
      anon_sym_LT_DASH,
    STATE(7843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354282] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354447] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354614] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354724] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354779] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9200), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10658), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10660), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [354944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [354999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355054] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9204), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355274] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355439] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6581), 1,
      anon_sym_DOT,
    ACTIONS(6583), 1,
      anon_sym_POUND,
    ACTIONS(6585), 1,
      sym_hash_operator,
    STATE(7865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355555] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9212), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [355665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355830] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [355995] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356050] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356710] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356822] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [356932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [356987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9354), 28,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      aux_sym_tag_token1,
  [357042] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6557), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_POUND,
    ACTIONS(6561), 1,
      sym_hash_operator,
    STATE(7894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357268] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357323] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(7902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [357712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357822] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357932] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [357987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358207] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10572), 1,
      sym__lowercase_identifier,
    ACTIONS(10574), 1,
      anon_sym_LPAREN,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(10582), 1,
      anon_sym_LBRACK,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10662), 1,
      anon_sym_DOT_DOT,
    STATE(7915), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(11911), 1,
      sym__type,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10584), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11544), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [358312] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358367] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358422] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358477] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358642] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358917] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [358972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359082] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359302] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359577] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359687] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_DOT,
    ACTIONS(10652), 1,
      anon_sym_POUND,
    ACTIONS(10654), 1,
      sym_hash_operator,
    STATE(7941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [359748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359913] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6581), 1,
      anon_sym_DOT,
    STATE(7945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [359970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360245] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360300] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360355] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9220), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9260), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [360575] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_DOT,
    STATE(7957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360632] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10664), 1,
      anon_sym_COLON,
    STATE(7960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360799] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [360964] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6571), 1,
      anon_sym_DOT,
    STATE(7964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [361076] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361296] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10616), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(10626), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10666), 1,
      anon_sym_DOT_DOT,
    STATE(7970), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12014), 1,
      sym__type,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11603), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [361401] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [361951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10668), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10670), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362171] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(7985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9330), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [362228] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362338] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362393] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_DOT,
    ACTIONS(6537), 1,
      anon_sym_POUND,
    ACTIONS(6539), 1,
      sym_hash_operator,
    STATE(7989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362454] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362564] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362674] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(7995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [362784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [362839] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10616), 1,
      sym__lowercase_identifier,
    ACTIONS(10618), 1,
      anon_sym_LPAREN,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(10626), 1,
      anon_sym_LBRACK,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10672), 1,
      anon_sym_DOT_DOT,
    STATE(7997), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12014), 1,
      sym__type,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10628), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11681), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [362944] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10678), 1,
      anon_sym_COLON,
    STATE(7998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [363001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10682), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10684), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10686), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363166] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363386] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363551] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363606] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363661] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363716] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363771] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [363936] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    ACTIONS(10688), 1,
      anon_sym_POUND,
    ACTIONS(10690), 1,
      sym_hash_operator,
    STATE(8016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [363997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364382] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [364657] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364822] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6581), 1,
      anon_sym_DOT,
    ACTIONS(6583), 1,
      anon_sym_POUND,
    ACTIONS(6585), 1,
      sym_hash_operator,
    STATE(8032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364938] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [364993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365048] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365600] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6557), 1,
      anon_sym_DOT,
    ACTIONS(6559), 1,
      anon_sym_POUND,
    ACTIONS(6561), 1,
      sym_hash_operator,
    STATE(8046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365661] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365771] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365828] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [365883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365938] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10648), 1,
      anon_sym_DOT,
    ACTIONS(10688), 1,
      anon_sym_POUND,
    ACTIONS(10690), 1,
      sym_hash_operator,
    STATE(8052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [365999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366439] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366659] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6411), 1,
      anon_sym_DOT,
    ACTIONS(6413), 1,
      anon_sym_POUND,
    ACTIONS(6415), 1,
      sym_hash_operator,
    STATE(8065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [366830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [366995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367050] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367160] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367765] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367820] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10692), 1,
      anon_sym_LT_DASH,
    STATE(8086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [367932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [367987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368537] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10572), 1,
      sym__lowercase_identifier,
    ACTIONS(10574), 1,
      anon_sym_LPAREN,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(10582), 1,
      anon_sym_LBRACK,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10694), 1,
      anon_sym_DOT_DOT,
    STATE(8099), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(11911), 1,
      sym__type,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10584), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11427), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [368642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368862] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [368917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [368972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369302] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10696), 1,
      anon_sym_LT_DASH,
    STATE(8112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369469] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369636] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369691] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [369856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [369966] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370076] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370406] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [370901] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [370956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371066] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371121] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371176] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10650), 1,
      anon_sym_DOT,
    STATE(8146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9330), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [371400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [371785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371840] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [371950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9208), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372170] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372225] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9244), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372555] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372665] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [372775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [372940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9342), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [372995] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10700), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10702), 1,
      anon_sym_LT_DASH,
    STATE(8185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373879] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [373936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [373991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374156] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374211] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374321] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374541] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374596] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374871] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6571), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_POUND,
    ACTIONS(6575), 1,
      sym_hash_operator,
    STATE(8213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [374932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [374987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375152] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6535), 1,
      anon_sym_DOT,
    ACTIONS(6537), 1,
      anon_sym_POUND,
    ACTIONS(6539), 1,
      sym_hash_operator,
    STATE(8218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375268] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10540), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10704), 1,
      anon_sym_DOT_DOT,
    STATE(8220), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(12529), 1,
      sym__type,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10552), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12438), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [375373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375483] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375595] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10706), 1,
      anon_sym_COLON,
    STATE(8225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [375927] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [375982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376037] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10540), 1,
      sym__lowercase_identifier,
    ACTIONS(10542), 1,
      anon_sym_LPAREN,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(10550), 1,
      anon_sym_LBRACK,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10708), 1,
      anon_sym_DOT_DOT,
    STATE(8233), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(12529), 1,
      sym__type,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10552), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12328), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [376142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9084), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376252] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9100), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376527] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10710), 1,
      anon_sym_COLON,
    STATE(8241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376584] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6557), 1,
      anon_sym_DOT,
    STATE(8242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376696] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376751] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376808] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376863] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10712), 1,
      anon_sym_COLON,
    STATE(8247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9520), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [376920] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [376975] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377085] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377140] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377195] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377305] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377415] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_in,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377747] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377802] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [377912] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [377967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9192), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378242] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378517] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378574] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378684] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [378849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [378904] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10714), 1,
      anon_sym_DOT_DOT,
    STATE(8284), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(12895), 1,
      sym__type,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12397), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [379009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379064] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [379229] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379284] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379394] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379614] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9326), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [379836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [379891] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9330), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [379948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380058] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 24,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9092), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380443] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6571), 1,
      anon_sym_DOT,
    ACTIONS(6573), 1,
      anon_sym_POUND,
    ACTIONS(6575), 1,
      sym_hash_operator,
    STATE(8311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9088), 22,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 19,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [380614] = 30,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10496), 1,
      anon_sym_LPAREN,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10504), 1,
      anon_sym_LBRACK,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10522), 1,
      sym__uppercase_identifier,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10716), 1,
      anon_sym_DOT_DOT,
    STATE(8314), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(12895), 1,
      sym__type,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10506), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12461), 2,
      sym_variant_declaration,
      sym_record_declaration,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [380719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10718), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [380773] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9374), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [380881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [380935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9100), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [380989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9208), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9172), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9378), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9384), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381259] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10724), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10722), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381367] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9342), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381421] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9604), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381531] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9390), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10726), 1,
      anon_sym_COLON,
    STATE(8331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [381641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9358), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381695] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9190), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9086), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [381803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10728), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9244), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [381911] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10732), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [381965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9092), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9088), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10736), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9130), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9008), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9342), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9354), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10740), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382505] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9146), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [382559] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9084), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [382613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10746), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10744), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382667] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10748), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10752), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10756), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382829] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10760), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10764), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10360), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [382991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9108), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10770), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10768), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10772), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383207] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9400), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10668), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10670), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [383315] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9120), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383369] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10776), 1,
      anon_sym_COLON,
    STATE(8364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 21,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [383425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9076), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383479] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10372), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10376), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383587] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10778), 1,
      anon_sym_COLON,
    STATE(8368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9080), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [383805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10780), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9350), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [383913] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10784), 1,
      anon_sym_COLON,
    STATE(8374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [383969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9396), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384131] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9350), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9314), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384295] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9336), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384349] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9002), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9358), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9176), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9326), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9310), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [384619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8996), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9396), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9400), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9168), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8992), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9390), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384943] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [384997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9378), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9374), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385105] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10364), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9304), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385321] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9300), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385375] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9326), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385429] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(10794), 1,
      sym_hash_operator,
    STATE(8402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10786), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385489] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [385543] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10796), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385651] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(10794), 1,
      sym_hash_operator,
    STATE(8406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10800), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9304), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10804), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385873] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9044), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [385927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10808), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [385981] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10812), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386035] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10816), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386089] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10820), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10288), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9160), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10824), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386305] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9206), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386467] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [386629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9242), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386683] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9216), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10218), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [386791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9112), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386845] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9142), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [386899] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8183), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(8179), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [386953] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(10794), 1,
      sym_hash_operator,
    STATE(8430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10828), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387013] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9162), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387067] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(10794), 1,
      sym_hash_operator,
    STATE(8432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10832), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10836), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10840), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9224), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387289] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10236), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387397] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9192), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387451] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10280), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387505] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10790), 1,
      anon_sym_DOT,
    STATE(8440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9104), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10676), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10674), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9300), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [387669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10658), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10660), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [387723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9016), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9228), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387885] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9232), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [387939] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10844), 1,
      anon_sym_COLON,
    STATE(8448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [387995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9236), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388049] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10846), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9138), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8925), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9200), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9240), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10284), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [388373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9196), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9212), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9152), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388697] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10222), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [388751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10682), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388805] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8929), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [388859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10684), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10686), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [388913] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10850), 1,
      anon_sym_COLON,
    STATE(8466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [388969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10226), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9220), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389077] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10854), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10852), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389131] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9264), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9006), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10856), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9022), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389347] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9268), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389401] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10860), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389455] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10864), 1,
      anon_sym_COLON,
    STATE(8476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [389511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9260), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9298), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(10700), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389673] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9336), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [389727] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389781] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [389837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8933), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8937), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [389945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
      aux_sym_tag_token1,
    ACTIONS(9204), 23,
      anon_sym_let,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [389999] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(10866), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390053] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [390109] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9096), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390163] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9182), 27,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390271] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 19,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9292), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [390325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9400), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9400), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9002), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8996), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390590] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8992), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390643] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10858), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [390696] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9006), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [390749] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9242), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390802] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [390855] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [390961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10724), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [391014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9274), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9298), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [391120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9268), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [391226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9264), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8937), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8933), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8929), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9252), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9248), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9240), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9236), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9232), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [391756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [391809] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9228), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9224), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [391915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [391968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392021] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9216), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10848), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392127] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9178), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10852), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10854), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9086), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392339] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9108), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9138), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392445] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10868), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9080), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9076), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9120), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9096), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10730), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392816] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10870), 1,
      anon_sym_COLON,
    STATE(8539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [392871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [392924] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_DOT,
    STATE(8541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9104), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [392979] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10826), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9112), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9090), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8925), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10766), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10862), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393297] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9130), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9188), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9146), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393509] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9210), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9176), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393615] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9172), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9168), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [393774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [393827] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9044), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9160), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9156), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [393986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9094), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394039] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9142), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9152), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9022), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9102), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9206), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394357] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9016), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394463] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [394516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9006), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394569] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10822), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [394781] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [394834] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394887] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9182), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [394940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8183), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [394993] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9016), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [395099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [395152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9086), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9290), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9022), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9008), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [395470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395523] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10238), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_DOT,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    ACTIONS(10876), 1,
      sym_hash_operator,
    STATE(8592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10786), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_DOT,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    ACTIONS(10876), 1,
      sym_hash_operator,
    STATE(8593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10800), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395747] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9202), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [395800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [395853] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10838), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [395906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [395959] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396012] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [396065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9152), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396118] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10878), 1,
      anon_sym_COLON,
    STATE(8601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [396173] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [396226] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_DOT,
    ACTIONS(10882), 1,
      anon_sym_POUND,
    ACTIONS(10884), 1,
      sym_hash_operator,
    STATE(8603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10832), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [396338] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_DOT,
    ACTIONS(10882), 1,
      anon_sym_POUND,
    ACTIONS(10884), 1,
      sym_hash_operator,
    STATE(8605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10828), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_else,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [396450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9002), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [396556] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9336), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9008), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [396662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8996), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396715] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [396768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8992), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10732), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10734), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [396874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [396927] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [396980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9190), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10738), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9240), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397245] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9142), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397404] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10886), 1,
      anon_sym_COLON,
    STATE(8625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [397459] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397565] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10762), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9182), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9022), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10758), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [397883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9160), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [397989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9326), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398042] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9044), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9168), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398203] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9350), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10842), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398309] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9172), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398362] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_DOT,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    ACTIONS(10876), 1,
      sym_hash_operator,
    STATE(8643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10832), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [398421] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9198), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [398474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10872), 1,
      anon_sym_DOT,
    ACTIONS(10874), 1,
      anon_sym_POUND,
    ACTIONS(10876), 1,
      sym_hash_operator,
    STATE(8645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10828), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [398533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9268), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9358), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10754), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [398798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9176), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398851] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9342), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [398957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10746), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399010] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399065] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9264), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399171] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9304), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9146), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399383] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10888), 1,
      anon_sym_COLON,
    STATE(8662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [399438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9130), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8925), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9300), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10742), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [399650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9206), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9112), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399809] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_DOT,
    STATE(8670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9104), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [399917] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8937), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [399970] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10806), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10798), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9396), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400129] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9096), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9190), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400447] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8933), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400553] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9354), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400606] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_DOT,
    ACTIONS(10882), 1,
      anon_sym_POUND,
    ACTIONS(10884), 1,
      sym_hash_operator,
    STATE(8685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10800), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9298), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [400718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9390), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400771] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10880), 1,
      anon_sym_DOT,
    ACTIONS(10882), 1,
      anon_sym_POUND,
    ACTIONS(10884), 1,
      sym_hash_operator,
    STATE(8688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10786), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [400883] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8929), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [400989] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9378), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9374), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401095] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10774), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401201] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9120), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9076), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9080), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401360] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9138), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401519] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9108), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10770), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [401625] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401678] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9354), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401837] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9292), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [401890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9216), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [401943] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10890), 1,
      anon_sym_COLON,
    STATE(8710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [401998] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402051] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10892), 1,
      anon_sym_COLON,
    STATE(8712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [402106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9350), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_else,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [402212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9336), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10782), 20,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [402318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9358), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402371] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9300), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9304), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402477] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9310), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9314), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402583] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9374), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9378), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402689] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402744] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9384), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9342), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9390), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [402903] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9224), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [402956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9228), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403009] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9232), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9242), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9218), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403168] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10894), 1,
      anon_sym_COLON,
    STATE(8733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [403223] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9396), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9236), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403329] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9330), 23,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403384] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9326), 24,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403437] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 12,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 26,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [403490] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9292), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9378), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403594] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9390), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9152), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403698] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10898), 1,
      anon_sym_PIPE,
    ACTIONS(10900), 1,
      anon_sym_RBRACK,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8743), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17680), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403798] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9384), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [403850] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10906), 1,
      anon_sym_PIPE,
    ACTIONS(10908), 1,
      anon_sym_RBRACK,
    STATE(8745), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18131), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [403950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [404002] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9358), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9216), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8996), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404158] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9286), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10684), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10686), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9298), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9096), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9194), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9400), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9120), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9076), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9258), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404626] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10910), 1,
      anon_sym_PIPE,
    ACTIONS(10912), 1,
      anon_sym_RBRACK,
    STATE(8759), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17228), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [404726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [404778] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10682), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [404830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9232), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [404934] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10914), 1,
      anon_sym_PIPE,
    ACTIONS(10916), 1,
      anon_sym_RBRACK,
    STATE(8764), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16840), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405034] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10918), 1,
      anon_sym_PIPE,
    ACTIONS(10920), 1,
      anon_sym_RBRACK,
    STATE(8765), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17980), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405134] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10922), 1,
      anon_sym_PIPE,
    ACTIONS(10924), 1,
      anon_sym_RBRACK,
    STATE(8766), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17812), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8933), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405286] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(10930), 1,
      anon_sym_LPAREN,
    ACTIONS(10934), 1,
      anon_sym_LBRACE,
    ACTIONS(10936), 1,
      anon_sym_begin,
    ACTIONS(10938), 1,
      aux_sym_number_token1,
    ACTIONS(10940), 1,
      anon_sym_SQUOTE,
    ACTIONS(10942), 1,
      anon_sym_DQUOTE,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    STATE(8768), 1,
      sym_attribute,
    STATE(13138), 1,
      sym_module_path,
    STATE(13428), 1,
      sym__value_name,
    STATE(13535), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13348), 2,
      sym__constant,
      sym_value_path,
    STATE(13390), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10926), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    ACTIONS(10928), 8,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
  [405366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10682), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [405418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10946), 1,
      anon_sym_COLON,
    STATE(8770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 20,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [405472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9396), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [405576] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_then,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [405628] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_DOT,
    STATE(8774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9104), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10684), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10686), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [405734] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10668), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10670), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [405786] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9112), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405838] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10950), 1,
      anon_sym_PIPE,
    ACTIONS(10952), 1,
      anon_sym_RBRACK,
    STATE(8778), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16693), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [405938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8925), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [405990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10700), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9350), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [406146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8992), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9236), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9190), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406302] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_DOT,
    ACTIONS(10954), 1,
      anon_sym_POUND,
    ACTIONS(10956), 1,
      sym_hash_operator,
    STATE(8786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10832), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406360] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_DOT,
    ACTIONS(10954), 1,
      anon_sym_POUND,
    ACTIONS(10956), 1,
      sym_hash_operator,
    STATE(8787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10828), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10958), 1,
      anon_sym_COLON,
    STATE(8788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406472] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9240), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9198), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9278), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9290), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10668), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10670), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [406732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9274), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406784] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10960), 1,
      anon_sym_PIPE,
    ACTIONS(10962), 1,
      anon_sym_RBRACK,
    STATE(8795), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17575), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [406884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9314), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [406936] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10964), 1,
      anon_sym_PIPE,
    ACTIONS(10966), 1,
      anon_sym_RBRACK,
    STATE(8797), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16760), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407036] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9304), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9300), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407140] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9086), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9142), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [407296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9268), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9156), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407400] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9374), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9002), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9310), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407556] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_DOT,
    ACTIONS(10954), 1,
      anon_sym_POUND,
    ACTIONS(10956), 1,
      sym_hash_operator,
    STATE(8808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10786), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9016), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407666] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [407718] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10948), 1,
      anon_sym_DOT,
    ACTIONS(10954), 1,
      anon_sym_POUND,
    ACTIONS(10956), 1,
      sym_hash_operator,
    STATE(8811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(10800), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407776] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10968), 1,
      anon_sym_PIPE,
    ACTIONS(10970), 1,
      anon_sym_RBRACK,
    STATE(8812), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18207), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21161), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [407876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9138), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9264), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [407980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9210), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408032] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10972), 1,
      anon_sym_PIPE,
    ACTIONS(10974), 1,
      anon_sym_RBRACK,
    STATE(8816), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17513), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [408132] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [408186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8937), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408238] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_with,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [408290] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9182), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408342] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9160), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(8929), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9130), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408498] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9206), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408550] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9188), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9146), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9252), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9330), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [408760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10658), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10660), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [408812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [408864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9102), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9008), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [408968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9108), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9228), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9218), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409124] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10976), 1,
      anon_sym_PIPE,
    ACTIONS(10978), 1,
      anon_sym_RBRACK,
    STATE(8836), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17375), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409224] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10980), 1,
      anon_sym_PIPE,
    ACTIONS(10982), 1,
      anon_sym_RBRACK,
    STATE(8837), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17037), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409324] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10984), 1,
      anon_sym_PIPE,
    ACTIONS(10986), 1,
      anon_sym_RBRACK,
    STATE(8838), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16656), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409424] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10988), 1,
      anon_sym_PIPE,
    ACTIONS(10990), 1,
      anon_sym_RBRACK,
    STATE(8839), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17093), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9242), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9044), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9202), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409784] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10992), 1,
      anon_sym_PIPE,
    ACTIONS(10994), 1,
      anon_sym_RBRACK,
    STATE(8845), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18709), 1,
      sym_tag_specification,
    STATE(21572), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [409884] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [409938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9006), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [409990] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_do,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [410042] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10996), 1,
      anon_sym_PIPE,
    ACTIONS(10998), 1,
      anon_sym_RBRACK,
    STATE(8849), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17986), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410142] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9090), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 23,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [410246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9248), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410298] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11000), 1,
      anon_sym_PIPE,
    ACTIONS(11002), 1,
      anon_sym_RBRACK,
    STATE(8853), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17831), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9094), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10700), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [410502] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      anon_sym_PIPE,
    ACTIONS(11006), 1,
      anon_sym_RBRACK,
    STATE(8856), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19189), 1,
      sym_tag_specification,
    STATE(21483), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410602] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [410656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10658), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10660), 22,
      anon_sym_and,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [410708] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11008), 1,
      anon_sym_PIPE,
    ACTIONS(11010), 1,
      anon_sym_RBRACK,
    STATE(8859), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17420), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410808] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9224), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [410860] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11012), 1,
      anon_sym_PIPE,
    ACTIONS(11014), 1,
      anon_sym_RBRACK,
    STATE(8861), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16609), 1,
      sym__tag_spec,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [410960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 17,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_done,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_pow_operator,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
      sym__lowercase_identifier,
  [411012] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11016), 1,
      anon_sym_PIPE,
    ACTIONS(11018), 1,
      anon_sym_RBRACK,
    STATE(8863), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17061), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411112] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9168), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9176), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411216] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    ACTIONS(11022), 1,
      anon_sym_RBRACK,
    STATE(8866), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19063), 1,
      sym_tag_specification,
    STATE(21533), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9172), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411368] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11024), 1,
      anon_sym_PIPE,
    ACTIONS(11026), 1,
      anon_sym_RBRACK,
    STATE(8868), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17667), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9080), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411520] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9354), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411572] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11028), 1,
      anon_sym_PIPE,
    ACTIONS(11030), 1,
      anon_sym_RBRACK,
    STATE(8871), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17257), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411672] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11032), 1,
      anon_sym_PIPE,
    ACTIONS(11034), 1,
      anon_sym_RBRACK,
    STATE(8872), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17849), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [411772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
      aux_sym_directive_token1,
    ACTIONS(9178), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
  [411824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9120), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9122), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [411875] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [411926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8183), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [411977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9076), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9078), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10754), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9080), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9082), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9138), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9140), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412181] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11036), 1,
      anon_sym_RBRACK,
    STATE(8881), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17116), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [412278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10758), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412329] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9044), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9042), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10762), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412431] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(8885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10868), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10852), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10854), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9108), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9110), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412688] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11038), 1,
      sym__lowercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    STATE(8890), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11903), 1,
      sym_type_variable,
    STATE(11908), 1,
      sym__simple_type,
    STATE(13242), 1,
      sym__tuple_type,
    STATE(13966), 1,
      sym__type,
    STATE(14012), 1,
      sym__polymorphic_type,
    STATE(14013), 1,
      sym_polymorphic_type,
    STATE(15895), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(20147), 1,
      sym_typed_label,
    STATE(21442), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [412787] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10742), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9178), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9180), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9216), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9214), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [412991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11058), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413144] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413195] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11064), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11062), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413297] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11070), 1,
      anon_sym_QMARK,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8901), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11947), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18202), 1,
      sym_extended_module_path,
    STATE(18542), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12035), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [413390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11082), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11080), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10746), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413492] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11084), 1,
      anon_sym_PIPE,
    STATE(8904), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18687), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21676), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10738), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413640] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11086), 1,
      anon_sym_PIPE,
    STATE(8906), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16244), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [413737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10806), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11090), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11088), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11094), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11092), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [413890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8183), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [413992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11098), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11096), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10826), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9096), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9098), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414145] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9202), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9204), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414196] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11100), 1,
      anon_sym_PIPE,
    STATE(8916), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18436), 1,
      sym_tag_specification,
    STATE(21284), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414344] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11106), 1,
      anon_sym_PIPE,
    STATE(8918), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(15894), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [414441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414543] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11112), 1,
      sym__lowercase_identifier,
    ACTIONS(11114), 1,
      anon_sym_let,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_LBRACK,
    STATE(8921), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11721), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18435), 1,
      sym__tuple_type,
    STATE(18452), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15565), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [414636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414687] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414738] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11122), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11120), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [414789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414840] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3575), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3573), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [414891] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10742), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [414942] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11124), 1,
      aux_sym_attribute_id_token1,
    STATE(8928), 1,
      sym_attribute,
    STATE(9192), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10140), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10138), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [414997] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_PIPE,
    STATE(8929), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15587), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18877), 1,
      sym_tag_specification,
    STATE(20396), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415094] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11128), 1,
      sym__lowercase_identifier,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8930), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11721), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18861), 1,
      sym__tuple_type,
    STATE(18876), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11097), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [415187] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415238] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11136), 1,
      anon_sym_PIPE,
    STATE(8932), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16009), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415335] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11020), 1,
      anon_sym_PIPE,
    STATE(8933), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19063), 1,
      sym_tag_specification,
    STATE(21533), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415432] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11138), 1,
      anon_sym_RBRACK,
    STATE(8934), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18122), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [415529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9396), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [415631] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9224), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9222), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9090), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [415733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415784] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10730), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415835] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415937] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [415988] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11140), 1,
      anon_sym_RBRACK,
    STATE(8944), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17815), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416085] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9228), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9226), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416136] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11142), 1,
      anon_sym_RBRACK,
    STATE(8946), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17199), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9232), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9230), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10824), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10826), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416386] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11112), 1,
      sym__lowercase_identifier,
    ACTIONS(11114), 1,
      anon_sym_let,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_LBRACK,
    STATE(8950), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11660), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18435), 1,
      sym__tuple_type,
    STATE(18452), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15565), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [416479] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11144), 1,
      anon_sym_RBRACK,
    STATE(8951), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17557), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416576] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11112), 1,
      sym__lowercase_identifier,
    ACTIONS(11114), 1,
      anon_sym_let,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_LBRACK,
    STATE(8952), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11947), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18435), 1,
      sym__tuple_type,
    STATE(18452), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15565), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [416669] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9236), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9234), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [416771] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11146), 1,
      anon_sym_PIPE,
    STATE(8955), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18823), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21693), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416868] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11148), 1,
      anon_sym_PIPE,
    STATE(8956), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16157), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [416965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9240), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9238), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417067] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10838), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417118] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11150), 1,
      anon_sym_RBRACK,
    STATE(8960), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16601), 1,
      sym__tag_spec,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9004), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417266] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9400), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [417317] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9242), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9244), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10842), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417470] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8966), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(13996), 1,
      sym__polymorphic_type,
    STATE(14000), 1,
      sym_polymorphic_type,
    STATE(14268), 1,
      sym_type_variable,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14938), 1,
      sym__tuple_type,
    STATE(15666), 1,
      sym__type,
    STATE(16029), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19920), 1,
      sym_typed_label,
    STATE(20022), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [417569] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11004), 1,
      anon_sym_PIPE,
    STATE(8967), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19189), 1,
      sym_tag_specification,
    STATE(21483), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417666] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11152), 1,
      anon_sym_PIPE,
    STATE(8968), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16027), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [417763] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(8969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9328), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [417867] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11156), 1,
      anon_sym_QMARK,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8971), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(11660), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18205), 1,
      sym__tuple_type,
    STATE(18996), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11493), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [417960] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11162), 1,
      anon_sym_RBRACK,
    STATE(8972), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17845), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418057] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418108] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10774), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418159] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418261] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11164), 1,
      anon_sym_PIPE,
    STATE(8977), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18970), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21709), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9248), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9246), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418460] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11166), 1,
      anon_sym_PIPE,
    STATE(8980), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16063), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9252), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9250), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418608] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11168), 1,
      anon_sym_DOT,
    ACTIONS(11170), 1,
      anon_sym_POUND,
    ACTIONS(11172), 1,
      sym_hash_operator,
    STATE(8982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10858), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418716] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11174), 1,
      anon_sym_RBRACK,
    STATE(8984), 1,
      sym_attribute,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16998), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [418813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9296), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10766), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9376), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [418966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9198), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9200), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11178), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11176), 34,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [419068] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11180), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(8990), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16364), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419165] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11182), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [419216] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10848), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11186), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [419318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8929), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8927), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419369] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9380), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419471] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11190), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(8997), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18520), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21659), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419568] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9386), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(8999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8933), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8931), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8937), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8935), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419721] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11192), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9001), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18831), 1,
      sym_tag_specification,
    STATE(21414), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [419818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10730), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [419920] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11194), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9004), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16552), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420017] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9358), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [420068] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11196), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11200), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11204), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420221] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9264), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9262), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420272] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10732), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10734), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11208), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420425] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11212), 1,
      sym__lowercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9013), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(12632), 1,
      sym_type_variable,
    STATE(13996), 1,
      sym__polymorphic_type,
    STATE(14000), 1,
      sym_polymorphic_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14280), 1,
      sym__type,
    STATE(16462), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    STATE(22312), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [420524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9392), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420575] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11232), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9015), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16509), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420672] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11234), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [420723] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10750), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10804), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10806), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [420825] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11238), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9019), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18885), 1,
      sym_tag_specification,
    STATE(21553), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [420922] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9020), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18877), 1,
      sym_tag_specification,
    STATE(20396), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421019] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11240), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9021), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16095), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9354), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [421218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421269] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10762), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421320] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11128), 1,
      sym__lowercase_identifier,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9026), 1,
      sym_attribute,
    STATE(11947), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18861), 1,
      sym__tuple_type,
    STATE(18876), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11097), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [421413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9268), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9266), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421464] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421515] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9274), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9272), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421566] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11242), 1,
      sym__lowercase_identifier,
    ACTIONS(11244), 1,
      anon_sym_QMARK,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9030), 1,
      sym_attribute,
    STATE(11947), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18257), 1,
      sym_extended_module_path,
    STATE(18826), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11969), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [421659] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9278), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9276), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10836), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10838), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [421761] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11250), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9033), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16354), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421858] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11252), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9034), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17552), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [421955] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7843), 1,
      sym__lowercase_identifier,
    ACTIONS(10930), 1,
      anon_sym_LPAREN,
    ACTIONS(10934), 1,
      anon_sym_LBRACE,
    ACTIONS(10936), 1,
      anon_sym_begin,
    ACTIONS(10938), 1,
      aux_sym_number_token1,
    ACTIONS(10940), 1,
      anon_sym_SQUOTE,
    ACTIONS(10942), 1,
      anon_sym_DQUOTE,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    STATE(9035), 1,
      sym_attribute,
    STATE(13138), 1,
      sym_module_path,
    STATE(13428), 1,
      sym__value_name,
    STATE(13535), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10932), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(13348), 2,
      sym__constant,
      sym_value_path,
    ACTIONS(10926), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
    STATE(13390), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
    ACTIONS(10928), 9,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
  [422034] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11254), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9036), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18489), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21591), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422131] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11168), 1,
      anon_sym_DOT,
    STATE(9037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 14,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9106), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422184] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10840), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10842), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422286] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11256), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9040), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17399), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [422383] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11156), 1,
      anon_sym_QMARK,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9041), 1,
      sym_attribute,
    STATE(11947), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18205), 1,
      sym__tuple_type,
    STATE(18996), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11493), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [422476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9112), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9114), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422527] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11258), 1,
      sym__lowercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9043), 1,
      sym_attribute,
    STATE(11659), 1,
      sym__simple_type,
    STATE(11778), 1,
      sym_type_variable,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13770), 1,
      sym__type,
    STATE(14012), 1,
      sym__polymorphic_type,
    STATE(14013), 1,
      sym_polymorphic_type,
    STATE(16059), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(19362), 1,
      sym_typed_label,
    STATE(21177), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12222), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [422626] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8925), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8923), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10758), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422728] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422779] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9194), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9196), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10754), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422881] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10746), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [422932] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11242), 1,
      sym__lowercase_identifier,
    ACTIONS(11244), 1,
      anon_sym_QMARK,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9050), 1,
      sym_attribute,
    STATE(11660), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18257), 1,
      sym_extended_module_path,
    STATE(18826), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11969), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [423025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10736), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10738), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423076] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9130), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9132), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423127] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11124), 1,
      aux_sym_attribute_id_token1,
    STATE(8928), 1,
      aux_sym_attribute_id_repeat1,
    STATE(9053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10122), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10120), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [423182] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9054), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17010), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423279] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10862), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423330] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10782), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423381] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11280), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9057), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16265), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [423478] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [423529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9188), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9186), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11234), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [423631] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11112), 1,
      sym__lowercase_identifier,
    ACTIONS(11114), 1,
      anon_sym_let,
    ACTIONS(11116), 1,
      anon_sym_QMARK,
    ACTIONS(11118), 1,
      anon_sym_LBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9061), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18435), 1,
      sym__tuple_type,
    STATE(18452), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(15565), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [423724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10774), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423775] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9356), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9146), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9148), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10770), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [423928] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11282), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9066), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18320), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21608), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9086), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [424076] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11284), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9068), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16445), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424173] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9069), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17131), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424321] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11288), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9071), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16447), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424418] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11290), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9072), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18134), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21509), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424515] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11292), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9073), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18189), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21642), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9020), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9288), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [424714] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11070), 1,
      anon_sym_QMARK,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9076), 1,
      sym_attribute,
    STATE(11660), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18202), 1,
      sym_extended_module_path,
    STATE(18542), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12035), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [424807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11208), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [424858] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11294), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9078), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(15913), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [424955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10732), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10734), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425006] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11296), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9080), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16710), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9102), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9190), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9192), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425205] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11082), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11080), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11204), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [425307] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425358] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11298), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9086), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17255), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425455] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10852), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10854), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425506] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11300), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9088), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19014), 1,
      sym_tag_specification,
    STATE(21452), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [425603] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9350), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [425807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425858] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9084), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10720), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [425960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10866), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10868), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11200), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426062] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11128), 1,
      sym__lowercase_identifier,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9098), 1,
      sym_attribute,
    STATE(11660), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18861), 1,
      sym__tuple_type,
    STATE(18876), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11097), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [426155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10238), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9352), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426257] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11302), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426359] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9088), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426410] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426461] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10858), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [426614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11168), 1,
      anon_sym_DOT,
    ACTIONS(11170), 1,
      anon_sym_POUND,
    ACTIONS(11172), 1,
      sym_hash_operator,
    STATE(9108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9256), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9254), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426671] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9092), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [426722] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11156), 1,
      anon_sym_QMARK,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9110), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18205), 1,
      sym__tuple_type,
    STATE(18996), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11493), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [426815] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11314), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9111), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19150), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21725), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [426912] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11316), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9112), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16209), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427009] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9113), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17400), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11094), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11092), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10766), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427208] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11128), 1,
      sym__lowercase_identifier,
    ACTIONS(11130), 1,
      anon_sym_QMARK,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9116), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18861), 1,
      sym__tuple_type,
    STATE(18876), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11097), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [427301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10822), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11196), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [427403] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10798), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427454] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11070), 1,
      anon_sym_QMARK,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9120), 1,
      sym_attribute,
    STATE(11721), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18202), 1,
      sym_extended_module_path,
    STATE(18542), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12035), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [427547] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11320), 1,
      sym__lowercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9121), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__simple_type,
    STATE(13513), 1,
      sym_type_variable,
    STATE(13996), 1,
      sym__polymorphic_type,
    STATE(14000), 1,
      sym_polymorphic_type,
    STATE(14310), 1,
      sym__tuple_type,
    STATE(14540), 1,
      sym__type,
    STATE(16489), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym_typed_label,
    STATE(20561), 1,
      sym__abstract_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14133), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427646] = 29,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5995), 1,
      anon_sym_type,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9122), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(13996), 1,
      sym__polymorphic_type,
    STATE(14000), 1,
      sym_polymorphic_type,
    STATE(14268), 1,
      sym_type_variable,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16149), 1,
      sym__type,
    STATE(16287), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21087), 1,
      sym__abstract_type,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [427745] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10810), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9100), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427847] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11126), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9125), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15414), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18877), 1,
      sym_tag_specification,
    STATE(20396), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [427944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [427995] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428046] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11242), 1,
      sym__lowercase_identifier,
    ACTIONS(11244), 1,
      anon_sym_QMARK,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9128), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18257), 1,
      sym_extended_module_path,
    STATE(18826), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11969), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [428139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11344), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [428241] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10798), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10366), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428343] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11348), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9133), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17636), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9176), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9174), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11090), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11088), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9010), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10848), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428644] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11064), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11062), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428695] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11350), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9139), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16085), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428792] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11352), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9140), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18543), 1,
      sym_tag_specification,
    STATE(21358), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [428889] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11354), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [428940] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9172), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9170), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [428991] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [429042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10724), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [429144] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11242), 1,
      sym__lowercase_identifier,
    ACTIONS(11244), 1,
      anon_sym_QMARK,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9146), 1,
      sym_attribute,
    STATE(11721), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18257), 1,
      sym_extended_module_path,
    STATE(18826), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11969), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [429237] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11358), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9147), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16449), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429334] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10968), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9148), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18207), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21161), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [429431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3575), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3573), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11360), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11364), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11302), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [429635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9302), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11368), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9168), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9166), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11058), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [429839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9184), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10362), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [429941] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11372), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9159), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16505), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9340), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430089] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11374), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9161), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18154), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21625), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430186] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11376), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9162), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18003), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430283] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11378), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9163), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16695), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10374), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430431] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10378), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9210), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9212), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9348), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430635] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10724), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10814), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11186), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [430788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9294), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [430839] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10992), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9173), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18709), 1,
      sym_tag_specification,
    STATE(21572), 1,
      sym__tag_spec,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [430936] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11380), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9174), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17701), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431033] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11182), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [431084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10818), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431135] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9286), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9284), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431186] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11382), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9178), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16233), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11354), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [431334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10820), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10822), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431385] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10290), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431436] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10238), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431487] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9218), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9220), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431538] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10282), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11122), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11120), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [431640] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11384), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9186), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18959), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21741), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431737] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10286), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11098), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11096), 25,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [431839] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11386), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9189), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16371), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [431936] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10860), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10862), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [431987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9324), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11388), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9192), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9975), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9973), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [432091] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11391), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9193), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17661), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432188] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11154), 1,
      sym__lowercase_identifier,
    ACTIONS(11156), 1,
      anon_sym_QMARK,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9194), 1,
      sym_attribute,
    STATE(11721), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18205), 1,
      sym__tuple_type,
    STATE(18996), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11493), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [432281] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(11066), 1,
      sym__lowercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11070), 1,
      anon_sym_QMARK,
    ACTIONS(11072), 1,
      anon_sym_LBRACK,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9195), 1,
      sym_attribute,
    STATE(11806), 1,
      sym__class_type,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18202), 1,
      sym_extended_module_path,
    STATE(18542), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11951), 2,
      sym__simple_class_type,
      sym_class_function_type,
    STATE(12035), 2,
      sym_extension,
      sym_quoted_extension,
    STATE(11021), 4,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_class_type_path,
    STATE(13817), 9,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_type_constructor_path,
      sym_type_variable,
  [432374] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11393), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9196), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16448), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9094), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [432522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9398), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9206), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9208), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9258), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9260), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432675] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9160), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9158), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432726] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8992), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8990), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432777] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9394), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9016), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9014), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [432879] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11395), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9205), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17966), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [432976] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9206), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16928), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433073] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8996), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(8994), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9334), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9002), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9000), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9306), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433277] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9156), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9154), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9312), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433379] = 28,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11399), 1,
      anon_sym_PIPE,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9213), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18805), 1,
      sym_tag_specification,
    STATE(21576), 1,
      sym_typed_label,
    STATE(21757), 1,
      sym__tag_spec,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [433476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9316), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10228), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9142), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9144), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433629] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10770), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9326), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9152), 15,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9150), 21,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9336), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10780), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10782), 19,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [433884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 18,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9342), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [433935] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11344), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [433986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11186), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [434036] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434092] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11413), 1,
      anon_sym_COMMA,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    ACTIONS(11431), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434164] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9227), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17273), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434258] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9228), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17701), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434352] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9229), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16252), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434446] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9230), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16625), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434540] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11413), 1,
      anon_sym_COMMA,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    ACTIONS(11431), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434612] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434680] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [434732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [434782] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9235), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17727), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434876] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9236), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16433), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [434970] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9237), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16710), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435064] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9238), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(15884), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435158] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9239), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18003), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435252] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9240), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16469), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435346] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    STATE(9241), 1,
      sym_attribute,
    STATE(9312), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435400] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9242), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16695), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435494] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11443), 1,
      anon_sym_COMMA,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    ACTIONS(11455), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9975), 16,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(9973), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [435616] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11461), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10218), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [435720] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435788] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9248), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18037), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [435882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11461), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435936] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11485), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [435990] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11469), 1,
      sym_pow_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436104] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9253), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16971), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436198] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11469), 1,
      sym_pow_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11495), 1,
      anon_sym_RPAREN,
    STATE(9255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11493), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11491), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [436304] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9256), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18122), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436398] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436460] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9258), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16585), 1,
      sym__tag_spec,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436554] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9259), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18112), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436648] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9260), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16153), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436742] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9261), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16998), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [436836] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11501), 1,
      anon_sym_PIPE,
    STATE(9263), 1,
      sym_attribute,
    STATE(9269), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [436952] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11122), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11120), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [437068] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11501), 1,
      anon_sym_PIPE,
    STATE(9266), 1,
      sym_attribute,
    STATE(9269), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437122] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437190] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9268), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17636), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437284] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11507), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9269), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437336] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9270), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16213), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437430] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    ACTIONS(11510), 1,
      anon_sym_COMMA,
    ACTIONS(11512), 1,
      sym_assign_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437502] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437568] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11443), 1,
      anon_sym_COMMA,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    ACTIONS(11455), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437640] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9274), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17523), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [437734] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11485), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437788] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437850] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437906] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    ACTIONS(11510), 1,
      anon_sym_COMMA,
    ACTIONS(11512), 1,
      sym_assign_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [437978] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11443), 1,
      anon_sym_COMMA,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    ACTIONS(11455), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11522), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438104] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9281), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17174), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438198] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    ACTIONS(11510), 1,
      anon_sym_COMMA,
    ACTIONS(11512), 1,
      sym_assign_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438270] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11501), 1,
      anon_sym_PIPE,
    STATE(9263), 1,
      aux_sym__match_cases_repeat1,
    STATE(9283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438324] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9284), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16264), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438418] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438480] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11443), 1,
      anon_sym_COMMA,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    ACTIONS(11455), 1,
      sym_assign_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438552] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438620] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9288), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16197), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438714] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    STATE(9289), 1,
      sym_attribute,
    STATE(9290), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438768] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11524), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9290), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438820] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [438886] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9292), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16928), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [438980] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439036] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439098] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9295), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16777), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [439242] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439304] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439358] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11413), 1,
      anon_sym_COMMA,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    ACTIONS(11431), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439430] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      sym_pow_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439484] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439538] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11501), 1,
      anon_sym_PIPE,
    STATE(9266), 1,
      aux_sym__match_cases_repeat1,
    STATE(9302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439592] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11419), 1,
      sym_pow_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439646] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439706] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    ACTIONS(11510), 1,
      anon_sym_COMMA,
    ACTIONS(11512), 1,
      sym_assign_operator,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439778] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [439846] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9307), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17966), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [439940] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9308), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16437), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440034] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440094] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9310), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17581), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440188] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9311), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17928), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440282] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    STATE(9290), 1,
      aux_sym__match_cases_repeat1,
    STATE(9312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440336] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9313), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16976), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440430] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9314), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17255), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440524] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11058), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [440574] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440642] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9317), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16676), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440736] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11527), 1,
      anon_sym_PIPE,
    STATE(9318), 1,
      sym_attribute,
    STATE(9329), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440790] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9319), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16139), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [440884] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11527), 1,
      anon_sym_PIPE,
    STATE(9320), 1,
      sym_attribute,
    STATE(9329), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [440938] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9321), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17552), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441032] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11098), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11096), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [441082] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9323), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(15914), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441176] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9324), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17199), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441270] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9325), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16578), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441364] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9326), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16601), 1,
      sym__tag_spec,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441458] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9327), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17010), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441552] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9328), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16141), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441646] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11529), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9329), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3575), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3573), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [441748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11527), 1,
      anon_sym_PIPE,
    STATE(9318), 1,
      aux_sym__match_cases_repeat1,
    STATE(9331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441802] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9332), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17365), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [441896] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11441), 1,
      anon_sym_PIPE,
    STATE(9289), 1,
      aux_sym__match_cases_repeat1,
    STATE(9333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [441950] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11405), 1,
      sym_pow_operator,
    ACTIONS(11407), 1,
      sym_mult_operator,
    ACTIONS(11443), 1,
      anon_sym_COMMA,
    ACTIONS(11445), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11447), 1,
      sym_concat_operator,
    ACTIONS(11449), 1,
      sym_rel_operator,
    ACTIONS(11451), 1,
      sym_and_operator,
    ACTIONS(11453), 1,
      sym_or_operator,
    ACTIONS(11455), 1,
      sym_assign_operator,
    ACTIONS(11532), 1,
      anon_sym_SEMI,
    STATE(2681), 1,
      sym_add_operator,
    STATE(9334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442024] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9335), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(16803), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442118] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11064), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11062), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442168] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9337), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16021), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442262] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442316] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11234), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442468] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9342), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17400), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [442562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11360), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442662] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11366), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11364), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [442712] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11536), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11538), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [442816] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11527), 1,
      anon_sym_PIPE,
    STATE(9320), 1,
      aux_sym__match_cases_repeat1,
    STATE(9348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442870] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11413), 1,
      anon_sym_COMMA,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    ACTIONS(11431), 1,
      sym_assign_operator,
    ACTIONS(11542), 1,
      anon_sym_SEMI,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [442944] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9350), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17153), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443038] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9351), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17845), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443132] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9352), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16010), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443226] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9353), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16366), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443320] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9354), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17131), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443414] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9355), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17815), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443508] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9356), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16349), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443602] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9357), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17800), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443696] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9358), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17810), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443790] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9359), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17542), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443884] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9360), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17875), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [443978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11544), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444032] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9362), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16138), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444126] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11536), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444180] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9364), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17557), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444274] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9365), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17782), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11548), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11546), 33,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [444418] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9367), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17646), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444512] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11413), 1,
      anon_sym_COMMA,
    ACTIONS(11415), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11419), 1,
      sym_pow_operator,
    ACTIONS(11421), 1,
      sym_mult_operator,
    ACTIONS(11423), 1,
      sym_concat_operator,
    ACTIONS(11425), 1,
      sym_rel_operator,
    ACTIONS(11427), 1,
      sym_and_operator,
    ACTIONS(11429), 1,
      sym_or_operator,
    ACTIONS(11431), 1,
      sym_assign_operator,
    STATE(2278), 1,
      sym_add_operator,
    STATE(9368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444584] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444636] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9370), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16229), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444730] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11544), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444784] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9372), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17661), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [444878] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11467), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11469), 1,
      sym_pow_operator,
    ACTIONS(11471), 1,
      sym_mult_operator,
    ACTIONS(11473), 1,
      sym_concat_operator,
    ACTIONS(11475), 1,
      sym_rel_operator,
    ACTIONS(11477), 1,
      sym_and_operator,
    ACTIONS(11479), 1,
      sym_or_operator,
    ACTIONS(11510), 1,
      anon_sym_COMMA,
    ACTIONS(11512), 1,
      sym_assign_operator,
    ACTIONS(11550), 1,
      anon_sym_SEMI,
    STATE(2629), 1,
      sym_add_operator,
    STATE(9373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [444952] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11522), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445006] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11534), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [445060] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11082), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11080), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445110] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9377), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16016), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [445204] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10222), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445254] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11204), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11196), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9342), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11200), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445454] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9354), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11302), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11368), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9326), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(9388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9336), 20,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [445806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11094), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11092), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445856] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11354), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445906] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [445956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(9393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 15,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_as,
      anon_sym_POUND,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9330), 19,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [446008] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9394), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17417), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11344), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [446152] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9396), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17116), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11208), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [446296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11182), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [446346] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9399), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(17399), 1,
      sym__tag_spec,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11090), 11,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11088), 24,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [446490] = 27,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10420), 1,
      aux_sym_tag_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9401), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15826), 1,
      sym__type,
    STATE(16030), 1,
      sym__tag_spec,
    STATE(16580), 1,
      sym_tag,
    STATE(16610), 1,
      sym_tag_specification,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [446584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446639] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446692] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446753] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446818] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11572), 1,
      anon_sym_SEMI,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446891] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11592), 1,
      anon_sym_SEMI,
    ACTIONS(11594), 1,
      sym_or_operator,
    ACTIONS(11596), 1,
      sym_assign_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [446964] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11560), 1,
      sym_pow_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447088] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11560), 1,
      sym_pow_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447141] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447192] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11594), 1,
      sym_or_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447259] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447320] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11598), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447373] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447432] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11594), 1,
      sym_or_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447499] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11594), 1,
      sym_or_operator,
    ACTIONS(11596), 1,
      sym_assign_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447570] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11600), 1,
      anon_sym_PIPE,
    STATE(9418), 1,
      sym_attribute,
    STATE(9468), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447623] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11602), 1,
      anon_sym_PIPE,
    STATE(9419), 1,
      sym_attribute,
    STATE(9513), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447676] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447731] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11604), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447784] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11594), 1,
      sym_or_operator,
    ACTIONS(11596), 1,
      sym_assign_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447855] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [447908] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11022), 1,
      anon_sym_RPAREN,
    ACTIONS(11608), 1,
      anon_sym_module,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9424), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15695), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [447999] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11594), 1,
      sym_or_operator,
    ACTIONS(11596), 1,
      sym_assign_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11612), 1,
      anon_sym_PIPE,
    STATE(9426), 1,
      sym_attribute,
    STATE(9479), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448123] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11558), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11560), 1,
      sym_pow_operator,
    ACTIONS(11562), 1,
      sym_mult_operator,
    ACTIONS(11564), 1,
      sym_concat_operator,
    ACTIONS(11566), 1,
      sym_rel_operator,
    ACTIONS(11568), 1,
      sym_and_operator,
    ACTIONS(11590), 1,
      anon_sym_COMMA,
    ACTIONS(11594), 1,
      sym_or_operator,
    ACTIONS(11596), 1,
      sym_assign_operator,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448194] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448245] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11614), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    ACTIONS(11628), 1,
      sym_assign_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448316] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448369] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11602), 1,
      anon_sym_PIPE,
    STATE(9431), 1,
      sym_attribute,
    STATE(9513), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448422] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11495), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11632), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [448471] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10994), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11634), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9433), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15786), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448562] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(11638), 1,
      anon_sym_SEMI,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    ACTIONS(11654), 1,
      sym_assign_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448635] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11006), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11656), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9435), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15753), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [448726] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11614), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    ACTIONS(11628), 1,
      sym_assign_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448797] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    ACTIONS(11674), 1,
      sym_assign_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448868] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11618), 1,
      sym_mult_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [448978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11493), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11491), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [449080] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449147] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2504), 1,
      sym_add_operator,
    STATE(9443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449198] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11606), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449251] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11612), 1,
      anon_sym_PIPE,
    STATE(9445), 1,
      sym_attribute,
    STATE(9480), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449304] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    ACTIONS(11674), 1,
      sym_assign_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449375] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449442] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449503] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11678), 1,
      anon_sym_PIPE,
    STATE(9449), 1,
      sym_attribute,
    STATE(9451), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449556] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11678), 1,
      anon_sym_PIPE,
    STATE(9450), 1,
      sym_attribute,
    STATE(9451), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449609] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11680), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9451), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449660] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449721] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    ACTIONS(11674), 1,
      sym_assign_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449792] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      sym_pow_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449845] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11662), 1,
      sym_pow_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449898] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11683), 1,
      anon_sym_PIPE,
    STATE(9456), 1,
      sym_attribute,
    STATE(9505), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [449951] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11600), 1,
      anon_sym_PIPE,
    STATE(9457), 1,
      sym_attribute,
    STATE(9481), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450004] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11602), 1,
      anon_sym_PIPE,
    STATE(9419), 1,
      aux_sym__match_cases_repeat1,
    STATE(9458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450057] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450122] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11604), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450175] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450234] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450301] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    ACTIONS(11654), 1,
      sym_assign_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450372] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11685), 1,
      anon_sym_COMMA,
    ACTIONS(11687), 1,
      anon_sym_SEMI,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    ACTIONS(11699), 1,
      sym_assign_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450445] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11600), 1,
      anon_sym_PIPE,
    STATE(9457), 1,
      aux_sym__match_cases_repeat1,
    STATE(9465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450498] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11614), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    ACTIONS(11628), 1,
      sym_assign_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450569] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450636] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11600), 1,
      anon_sym_PIPE,
    STATE(9468), 1,
      sym_attribute,
    STATE(9481), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450689] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11630), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450801] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450860] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11678), 1,
      anon_sym_PIPE,
    STATE(9449), 1,
      aux_sym__match_cases_repeat1,
    STATE(9472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450913] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [450966] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11576), 1,
      sym_pow_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451019] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11576), 1,
      sym_pow_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451072] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11701), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9476), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451123] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451184] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451237] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11612), 1,
      anon_sym_PIPE,
    STATE(9476), 1,
      aux_sym__match_cases_repeat1,
    STATE(9479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451290] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11612), 1,
      anon_sym_PIPE,
    STATE(9476), 1,
      aux_sym__match_cases_repeat1,
    STATE(9480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451343] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11704), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9481), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451394] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11678), 1,
      anon_sym_PIPE,
    STATE(9450), 1,
      aux_sym__match_cases_repeat1,
    STATE(9482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451447] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451514] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451575] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451640] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451701] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451766] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451833] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451904] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [451959] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11707), 1,
      anon_sym_PIPE,
    STATE(9491), 1,
      sym_attribute,
    STATE(9511), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452012] = 26,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10970), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11709), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9492), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15712), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [452103] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11683), 1,
      anon_sym_PIPE,
    STATE(9494), 1,
      sym_attribute,
    STATE(9509), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452207] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452268] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11602), 1,
      anon_sym_PIPE,
    STATE(9431), 1,
      aux_sym__match_cases_repeat1,
    STATE(9496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452321] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11711), 1,
      anon_sym_COLON,
    STATE(9497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9522), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9520), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [452372] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452443] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452494] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452555] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11598), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452608] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452669] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452734] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452801] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11683), 1,
      anon_sym_PIPE,
    STATE(9505), 1,
      sym_attribute,
    STATE(9509), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452854] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11685), 1,
      anon_sym_COMMA,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    ACTIONS(11699), 1,
      sym_assign_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452925] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11707), 1,
      anon_sym_PIPE,
    STATE(9507), 1,
      sym_attribute,
    STATE(9512), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [452978] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11570), 1,
      anon_sym_COMMA,
    ACTIONS(11574), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11576), 1,
      sym_pow_operator,
    ACTIONS(11578), 1,
      sym_mult_operator,
    ACTIONS(11580), 1,
      sym_concat_operator,
    ACTIONS(11582), 1,
      sym_rel_operator,
    ACTIONS(11584), 1,
      sym_and_operator,
    ACTIONS(11586), 1,
      sym_or_operator,
    ACTIONS(11588), 1,
      sym_assign_operator,
    STATE(2733), 1,
      sym_add_operator,
    STATE(9508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453049] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11713), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9509), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453100] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11716), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9510), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453151] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11707), 1,
      anon_sym_PIPE,
    STATE(9510), 1,
      aux_sym__match_cases_repeat1,
    STATE(9511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453204] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11707), 1,
      anon_sym_PIPE,
    STATE(9510), 1,
      aux_sym__match_cases_repeat1,
    STATE(9512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453257] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11719), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9513), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453308] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453361] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    ACTIONS(11654), 1,
      sym_assign_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453432] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11614), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    ACTIONS(11628), 1,
      sym_assign_operator,
    ACTIONS(11722), 1,
      anon_sym_SEMI,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453505] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 22,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453556] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11726), 15,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      aux_sym_sign_operator_token1,
      sym_let_operator,
      sym_match_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(11724), 19,
      anon_sym_let,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_fun,
      anon_sym_if,
      anon_sym_while,
      anon_sym_for,
      anon_sym_match,
      anon_sym_function,
      anon_sym_try,
      anon_sym_assert,
      anon_sym_lazy,
      anon_sym_new,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
  [453605] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    ACTIONS(11674), 1,
      sym_assign_operator,
    ACTIONS(11728), 1,
      anon_sym_SEMI,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453731] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 8,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453790] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453857] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11685), 1,
      anon_sym_COMMA,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    ACTIONS(11699), 1,
      sym_assign_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453928] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    ACTIONS(11654), 1,
      sym_assign_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [453999] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454054] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11676), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454107] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11730), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454160] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454227] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454286] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11642), 1,
      sym_pow_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454339] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11642), 1,
      sym_pow_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454392] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11683), 1,
      anon_sym_PIPE,
    STATE(9494), 1,
      aux_sym__match_cases_repeat1,
    STATE(9532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454445] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454506] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11685), 1,
      anon_sym_COMMA,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    ACTIONS(11699), 1,
      sym_assign_operator,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454577] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454638] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454703] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454770] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11636), 1,
      anon_sym_COMMA,
    ACTIONS(11640), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11642), 1,
      sym_pow_operator,
    ACTIONS(11644), 1,
      sym_mult_operator,
    ACTIONS(11646), 1,
      sym_concat_operator,
    ACTIONS(11648), 1,
      sym_rel_operator,
    ACTIONS(11650), 1,
      sym_and_operator,
    ACTIONS(11652), 1,
      sym_or_operator,
    ACTIONS(11654), 1,
      sym_assign_operator,
    STATE(2452), 1,
      sym_add_operator,
    STATE(9538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454841] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [454957] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455007] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11746), 1,
      anon_sym_PIPE,
    STATE(9542), 1,
      sym_attribute,
    STATE(9544), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455059] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11746), 1,
      anon_sym_PIPE,
    STATE(9543), 1,
      sym_attribute,
    STATE(9544), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455111] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11748), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9544), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455161] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455213] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10698), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10700), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [455261] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9547), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11755), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11753), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [455319] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10684), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10686), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [455425] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455475] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(9551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9330), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [455525] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(967), 1,
      anon_sym_RBRACK,
    ACTIONS(11767), 1,
      anon_sym_let,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11781), 1,
      anon_sym_class,
    ACTIONS(11783), 1,
      sym_let_operator,
    STATE(111), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9552), 1,
      sym_attribute,
    STATE(9615), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [455609] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11785), 1,
      anon_sym_COMMA,
    ACTIONS(11787), 1,
      anon_sym_SEMI,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10668), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10670), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [455729] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11556), 1,
      sym_pow_operator,
    ACTIONS(11614), 1,
      anon_sym_COMMA,
    ACTIONS(11616), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11618), 1,
      sym_mult_operator,
    ACTIONS(11620), 1,
      sym_concat_operator,
    ACTIONS(11622), 1,
      sym_rel_operator,
    ACTIONS(11624), 1,
      sym_and_operator,
    ACTIONS(11626), 1,
      sym_or_operator,
    ACTIONS(11628), 1,
      sym_assign_operator,
    ACTIONS(11793), 1,
      anon_sym_SEMI,
    STATE(2177), 1,
      sym_add_operator,
    STATE(9555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455801] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455859] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455925] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [455983] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11807), 1,
      anon_sym_PIPE,
    STATE(9559), 1,
      sym_attribute,
    STATE(9602), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456035] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(967), 1,
      anon_sym_RBRACK,
    ACTIONS(11767), 1,
      anon_sym_let,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11781), 1,
      anon_sym_class,
    ACTIONS(11783), 1,
      sym_let_operator,
    STATE(111), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9560), 1,
      sym_attribute,
    STATE(9624), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      sym_pow_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456171] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456237] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(905), 1,
      ts_builtin_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11809), 1,
      anon_sym_let,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(118), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9563), 1,
      sym_attribute,
    STATE(9570), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456321] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456387] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11807), 1,
      anon_sym_PIPE,
    STATE(9565), 1,
      sym_attribute,
    STATE(9603), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456491] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    ACTIONS(11823), 1,
      anon_sym_COMMA,
    ACTIONS(11825), 1,
      anon_sym_SEMI,
    ACTIONS(11827), 1,
      sym_assign_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456563] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9568), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11831), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11829), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [456621] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456681] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(967), 1,
      ts_builtin_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11809), 1,
      anon_sym_let,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(113), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9570), 1,
      sym_attribute,
    STATE(9605), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456765] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(967), 1,
      ts_builtin_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11809), 1,
      anon_sym_let,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(113), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9571), 1,
      sym_attribute,
    STATE(9587), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [456849] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10680), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10682), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [456897] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11746), 1,
      anon_sym_PIPE,
    STATE(9542), 1,
      aux_sym__match_cases_repeat1,
    STATE(9573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [456949] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10658), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10660), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [456997] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(637), 1,
      aux_sym_directive_token1,
    ACTIONS(967), 1,
      anon_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11833), 1,
      anon_sym_let,
    ACTIONS(11835), 1,
      anon_sym_type,
    ACTIONS(11837), 1,
      anon_sym_exception,
    ACTIONS(11839), 1,
      anon_sym_module,
    ACTIONS(11841), 1,
      anon_sym_class,
    ACTIONS(11843), 1,
      sym_let_operator,
    STATE(119), 1,
      aux_sym__structure_repeat1,
    STATE(9035), 1,
      sym_directive,
    STATE(9575), 1,
      sym_attribute,
    STATE(9621), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457081] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(637), 1,
      aux_sym_directive_token1,
    ACTIONS(967), 1,
      anon_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11833), 1,
      anon_sym_let,
    ACTIONS(11835), 1,
      anon_sym_type,
    ACTIONS(11837), 1,
      anon_sym_exception,
    ACTIONS(11839), 1,
      anon_sym_module,
    ACTIONS(11841), 1,
      anon_sym_class,
    ACTIONS(11843), 1,
      sym_let_operator,
    STATE(119), 1,
      aux_sym__structure_repeat1,
    STATE(9035), 1,
      sym_directive,
    STATE(9576), 1,
      sym_attribute,
    STATE(9623), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457165] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457231] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457291] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457351] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457411] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      sym_pow_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457463] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(9582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9330), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [457513] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457563] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      anon_sym_PIPE,
    STATE(9584), 1,
      sym_attribute,
    STATE(9598), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457615] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11552), 1,
      sym_pow_operator,
    ACTIONS(11554), 1,
      sym_mult_operator,
    ACTIONS(11685), 1,
      anon_sym_COMMA,
    ACTIONS(11689), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11691), 1,
      sym_concat_operator,
    ACTIONS(11693), 1,
      sym_rel_operator,
    ACTIONS(11695), 1,
      sym_and_operator,
    ACTIONS(11697), 1,
      sym_or_operator,
    ACTIONS(11699), 1,
      sym_assign_operator,
    ACTIONS(11847), 1,
      anon_sym_SEMI,
    STATE(2434), 1,
      sym_add_operator,
    STATE(9585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457687] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11789), 1,
      sym_or_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457753] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(959), 1,
      ts_builtin_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11809), 1,
      anon_sym_let,
    ACTIONS(11811), 1,
      anon_sym_class,
    ACTIONS(11813), 1,
      sym_let_operator,
    STATE(112), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9587), 1,
      sym_attribute,
    STATE(9605), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [457837] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      anon_sym_PIPE,
    STATE(9588), 1,
      sym_attribute,
    STATE(9608), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457889] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [457953] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458019] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(905), 1,
      anon_sym_RBRACK,
    ACTIONS(11767), 1,
      anon_sym_let,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11781), 1,
      anon_sym_class,
    ACTIONS(11783), 1,
      sym_let_operator,
    STATE(123), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9552), 1,
      aux_sym__structure_repeat2,
    STATE(9591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458103] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    ACTIONS(11849), 1,
      anon_sym_COMMA,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458173] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11785), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458297] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11853), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9595), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458347] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(9596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9330), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [458397] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11856), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9597), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458447] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      anon_sym_PIPE,
    STATE(9597), 1,
      aux_sym__match_cases_repeat1,
    STATE(9598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9602), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9604), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [458547] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    ACTIONS(11849), 1,
      anon_sym_COMMA,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458617] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458669] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11807), 1,
      anon_sym_PIPE,
    STATE(9595), 1,
      aux_sym__match_cases_repeat1,
    STATE(9602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458721] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11807), 1,
      anon_sym_PIPE,
    STATE(9595), 1,
      aux_sym__match_cases_repeat1,
    STATE(9603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458773] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11785), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [458843] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11859), 1,
      ts_builtin_sym_end,
    ACTIONS(11861), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11864), 1,
      anon_sym_let,
    ACTIONS(11867), 1,
      anon_sym_external,
    ACTIONS(11870), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11876), 1,
      anon_sym_module,
    ACTIONS(11879), 1,
      anon_sym_open,
    ACTIONS(11882), 1,
      anon_sym_include,
    ACTIONS(11885), 1,
      anon_sym_class,
    ACTIONS(11888), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11891), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11894), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11897), 1,
      sym_let_operator,
    ACTIONS(11900), 1,
      aux_sym_directive_token1,
    STATE(125), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9605), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [458925] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(9606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9330), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [458975] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459039] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11845), 1,
      anon_sym_PIPE,
    STATE(9597), 1,
      aux_sym__match_cases_repeat1,
    STATE(9608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459091] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11746), 1,
      anon_sym_PIPE,
    STATE(9543), 1,
      aux_sym__match_cases_repeat1,
    STATE(9609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459143] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    ACTIONS(11823), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      sym_assign_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459213] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11797), 1,
      sym_mult_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459267] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    ACTIONS(11823), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      sym_assign_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459337] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11658), 1,
      anon_sym_COMMA,
    ACTIONS(11660), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11662), 1,
      sym_pow_operator,
    ACTIONS(11664), 1,
      sym_mult_operator,
    ACTIONS(11666), 1,
      sym_concat_operator,
    ACTIONS(11668), 1,
      sym_rel_operator,
    ACTIONS(11670), 1,
      sym_and_operator,
    ACTIONS(11672), 1,
      sym_or_operator,
    ACTIONS(11674), 1,
      sym_assign_operator,
    ACTIONS(11903), 1,
      anon_sym_SEMI,
    STATE(2069), 1,
      sym_add_operator,
    STATE(9613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459409] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11785), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459479] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11859), 1,
      anon_sym_RBRACK,
    ACTIONS(11861), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11867), 1,
      anon_sym_external,
    ACTIONS(11870), 1,
      anon_sym_type,
    ACTIONS(11873), 1,
      anon_sym_exception,
    ACTIONS(11876), 1,
      anon_sym_module,
    ACTIONS(11879), 1,
      anon_sym_open,
    ACTIONS(11882), 1,
      anon_sym_include,
    ACTIONS(11888), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11891), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11894), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11900), 1,
      aux_sym_directive_token1,
    ACTIONS(11905), 1,
      anon_sym_let,
    ACTIONS(11908), 1,
      anon_sym_class,
    ACTIONS(11911), 1,
      sym_let_operator,
    STATE(129), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9615), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [459561] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(637), 1,
      aux_sym_directive_token1,
    ACTIONS(905), 1,
      anon_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11833), 1,
      anon_sym_let,
    ACTIONS(11835), 1,
      anon_sym_type,
    ACTIONS(11837), 1,
      anon_sym_exception,
    ACTIONS(11839), 1,
      anon_sym_module,
    ACTIONS(11841), 1,
      anon_sym_class,
    ACTIONS(11843), 1,
      sym_let_operator,
    STATE(116), 1,
      aux_sym__structure_repeat1,
    STATE(9035), 1,
      sym_directive,
    STATE(9576), 1,
      aux_sym__structure_repeat2,
    STATE(9616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [459645] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    ACTIONS(11849), 1,
      anon_sym_COMMA,
    ACTIONS(11851), 1,
      sym_assign_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459715] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    ACTIONS(11849), 1,
      anon_sym_COMMA,
    ACTIONS(11851), 1,
      sym_assign_operator,
    ACTIONS(11914), 1,
      anon_sym_SEMI,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10224), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10222), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459787] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459847] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11765), 1,
      sym_mult_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [459901] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(575), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(637), 1,
      aux_sym_directive_token1,
    ACTIONS(959), 1,
      anon_sym_end,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11833), 1,
      anon_sym_let,
    ACTIONS(11835), 1,
      anon_sym_type,
    ACTIONS(11837), 1,
      anon_sym_exception,
    ACTIONS(11839), 1,
      anon_sym_module,
    ACTIONS(11841), 1,
      anon_sym_class,
    ACTIONS(11843), 1,
      sym_let_operator,
    STATE(120), 1,
      aux_sym__structure_repeat1,
    STATE(9035), 1,
      sym_directive,
    STATE(9621), 1,
      sym_attribute,
    STATE(9623), 1,
      aux_sym__structure_repeat2,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [459985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9164), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(9162), 20,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_object,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_new,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [460033] = 22,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11859), 1,
      anon_sym_end,
    ACTIONS(11861), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11867), 1,
      anon_sym_external,
    ACTIONS(11879), 1,
      anon_sym_open,
    ACTIONS(11882), 1,
      anon_sym_include,
    ACTIONS(11888), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(11891), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(11894), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11916), 1,
      anon_sym_let,
    ACTIONS(11919), 1,
      anon_sym_type,
    ACTIONS(11922), 1,
      anon_sym_exception,
    ACTIONS(11925), 1,
      anon_sym_module,
    ACTIONS(11928), 1,
      anon_sym_class,
    ACTIONS(11931), 1,
      sym_let_operator,
    ACTIONS(11934), 1,
      aux_sym_directive_token1,
    STATE(128), 1,
      aux_sym__structure_repeat1,
    STATE(9035), 1,
      sym_directive,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9623), 2,
      sym_attribute,
      aux_sym__structure_repeat2,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [460115] = 23,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(165), 1,
      aux_sym_directive_token1,
    ACTIONS(959), 1,
      anon_sym_RBRACK,
    ACTIONS(11767), 1,
      anon_sym_let,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11771), 1,
      anon_sym_type,
    ACTIONS(11773), 1,
      anon_sym_exception,
    ACTIONS(11775), 1,
      anon_sym_module,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(11779), 1,
      anon_sym_include,
    ACTIONS(11781), 1,
      anon_sym_class,
    ACTIONS(11783), 1,
      sym_let_operator,
    STATE(115), 1,
      aux_sym__structure_repeat1,
    STATE(8768), 1,
      sym_directive,
    STATE(9615), 1,
      aux_sym__structure_repeat2,
    STATE(9624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13333), 2,
      sym_toplevel_directive,
      sym__structure_item,
    STATE(13253), 13,
      sym_value_definition,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_include_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [460199] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    ACTIONS(11823), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      sym_assign_operator,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 5,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460269] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 7,
      anon_sym_let,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [460329] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(9627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9330), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9326), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [460425] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460474] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11937), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9630), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15689), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460559] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460610] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11709), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9632), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17514), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460695] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11941), 1,
      sym__lowercase_identifier,
    ACTIONS(11943), 1,
      anon_sym_LPAREN,
    ACTIONS(11945), 1,
      anon_sym_private,
    ACTIONS(11947), 1,
      anon_sym_LBRACK,
    ACTIONS(11949), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11951), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11953), 1,
      anon_sym_LT,
    ACTIONS(11955), 1,
      anon_sym_POUND,
    ACTIONS(11957), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11961), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9633), 1,
      sym_attribute,
    STATE(10209), 1,
      sym__simple_type,
    STATE(11350), 1,
      sym__tuple_type,
    STATE(11577), 1,
      sym__type,
    STATE(18836), 1,
      sym_extended_module_path,
    STATE(21971), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460780] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460837] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [460902] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11975), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9636), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15678), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [460987] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11977), 1,
      anon_sym_COMMA,
    ACTIONS(11979), 1,
      anon_sym_SEMI,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    ACTIONS(11995), 1,
      sym_assign_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461058] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11997), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461109] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11999), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461219] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12001), 1,
      anon_sym_PIPE,
    STATE(9641), 1,
      sym_attribute,
    STATE(9697), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461270] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11977), 1,
      anon_sym_COMMA,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    ACTIONS(11995), 1,
      sym_assign_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [461339] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12003), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461390] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11965), 1,
      sym_mult_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461443] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461494] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12005), 1,
      sym__lowercase_identifier,
    ACTIONS(12007), 1,
      anon_sym_LPAREN,
    ACTIONS(12009), 1,
      anon_sym_private,
    ACTIONS(12011), 1,
      anon_sym_LBRACK,
    ACTIONS(12013), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12015), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12017), 1,
      anon_sym_LT,
    ACTIONS(12019), 1,
      anon_sym_POUND,
    ACTIONS(12021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12025), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9646), 1,
      sym_attribute,
    STATE(10444), 1,
      sym__simple_type,
    STATE(11747), 1,
      sym__tuple_type,
    STATE(12132), 1,
      sym__type,
    STATE(18653), 1,
      sym_extended_module_path,
    STATE(20844), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461579] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12027), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9647), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16633), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461664] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461723] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12029), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9649), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17584), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461808] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [461857] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12031), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9651), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18106), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [461942] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11975), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9652), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17944), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462027] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462086] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12033), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9654), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15671), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462171] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11977), 1,
      anon_sym_COMMA,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    ACTIONS(11995), 1,
      sym_assign_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462240] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462299] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12035), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9657), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17359), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462384] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12037), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462435] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11709), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9659), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15712), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462520] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12039), 1,
      sym__lowercase_identifier,
    ACTIONS(12041), 1,
      anon_sym_LPAREN,
    ACTIONS(12043), 1,
      anon_sym_private,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12049), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12051), 1,
      anon_sym_LT,
    ACTIONS(12053), 1,
      anon_sym_POUND,
    ACTIONS(12055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12059), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9660), 1,
      sym_attribute,
    STATE(10172), 1,
      sym__simple_type,
    STATE(10867), 1,
      sym__tuple_type,
    STATE(11169), 1,
      sym__type,
    STATE(18425), 1,
      sym_extended_module_path,
    STATE(20277), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10271), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [462605] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462668] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462731] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    ACTIONS(12077), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [462800] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462865] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12001), 1,
      anon_sym_PIPE,
    STATE(9665), 1,
      sym_attribute,
    STATE(9696), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [462916] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12079), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9666), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15852), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_PIPE,
    STATE(9667), 1,
      sym_attribute,
    STATE(9763), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463052] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10616), 1,
      sym__lowercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12085), 1,
      anon_sym_private,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9668), 1,
      sym_attribute,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12057), 1,
      sym__type,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463137] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12029), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9669), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15684), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463222] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11937), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9670), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16960), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463307] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12089), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463358] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463423] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12031), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9673), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15748), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463508] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12033), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9674), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16795), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463593] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12091), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9675), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15819), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463678] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12093), 1,
      sym__lowercase_identifier,
    ACTIONS(12095), 1,
      anon_sym_LPAREN,
    ACTIONS(12097), 1,
      anon_sym_private,
    ACTIONS(12099), 1,
      anon_sym_LBRACK,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12103), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12105), 1,
      anon_sym_LT,
    ACTIONS(12107), 1,
      anon_sym_POUND,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12113), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9676), 1,
      sym_attribute,
    STATE(14299), 1,
      sym__simple_type,
    STATE(14844), 1,
      sym__tuple_type,
    STATE(15073), 1,
      sym__type,
    STATE(18922), 1,
      sym_extended_module_path,
    STATE(21752), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14537), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11983), 1,
      sym_pow_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [463814] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11634), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9678), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15786), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [463899] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    ACTIONS(12115), 1,
      anon_sym_COMMA,
    ACTIONS(12117), 1,
      sym_assign_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [463968] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464025] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11656), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9681), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17159), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464110] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12027), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9682), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15733), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464195] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464244] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9342), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [464291] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464356] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10494), 1,
      sym__lowercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12121), 1,
      anon_sym_private,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9686), 1,
      sym_attribute,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12956), 1,
      sym__type,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464441] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12125), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9687), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18046), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464526] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    ACTIONS(12115), 1,
      anon_sym_COMMA,
    ACTIONS(12117), 1,
      sym_assign_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464595] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    ACTIONS(12115), 1,
      anon_sym_COMMA,
    ACTIONS(12117), 1,
      sym_assign_operator,
    ACTIONS(12127), 1,
      anon_sym_SEMI,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [464666] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9354), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [464713] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9326), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [464760] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11999), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12129), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9693), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [464860] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9694), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15850), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [464945] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12035), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9695), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15657), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12001), 1,
      anon_sym_PIPE,
    STATE(9693), 1,
      aux_sym__match_cases_repeat1,
    STATE(9696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12001), 1,
      anon_sym_PIPE,
    STATE(9693), 1,
      aux_sym__match_cases_repeat1,
    STATE(9697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465132] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    ACTIONS(12115), 1,
      anon_sym_COMMA,
    ACTIONS(12117), 1,
      sym_assign_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465201] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12134), 1,
      anon_sym_COLON,
    STATE(9699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 15,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
    ACTIONS(10676), 16,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
  [465250] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11939), 1,
      sym_pow_operator,
    ACTIONS(11963), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11965), 1,
      sym_mult_operator,
    ACTIONS(11967), 1,
      sym_concat_operator,
    ACTIONS(11969), 1,
      sym_rel_operator,
    ACTIONS(11971), 1,
      sym_and_operator,
    ACTIONS(11973), 1,
      sym_or_operator,
    ACTIONS(12115), 1,
      anon_sym_COMMA,
    ACTIONS(12117), 1,
      sym_assign_operator,
    STATE(2048), 1,
      sym_add_operator,
    STATE(9700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11411), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11409), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465319] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12136), 1,
      sym__lowercase_identifier,
    ACTIONS(12138), 1,
      anon_sym_LPAREN,
    ACTIONS(12140), 1,
      anon_sym_private,
    ACTIONS(12142), 1,
      anon_sym_LBRACK,
    ACTIONS(12144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12148), 1,
      anon_sym_LT,
    ACTIONS(12150), 1,
      anon_sym_POUND,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12156), 1,
      aux_sym_type_variable_token1,
    STATE(9701), 1,
      sym_attribute,
    STATE(14155), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14609), 1,
      sym__tuple_type,
    STATE(14774), 1,
      sym__type,
    STATE(18809), 1,
      sym_extended_module_path,
    STATE(21204), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14269), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465404] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12158), 1,
      anon_sym_AMP,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9702), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15242), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465489] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(9703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9330), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [465538] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11977), 1,
      anon_sym_COMMA,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    ACTIONS(11995), 1,
      sym_assign_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [465607] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [465660] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9342), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [465707] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9707), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17538), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465792] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12132), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9708), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16637), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [465877] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(9709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9330), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [465926] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9710), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15694), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466011] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11977), 1,
      anon_sym_COMMA,
    ACTIONS(11981), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11983), 1,
      sym_pow_operator,
    ACTIONS(11985), 1,
      sym_mult_operator,
    ACTIONS(11987), 1,
      sym_concat_operator,
    ACTIONS(11989), 1,
      sym_rel_operator,
    ACTIONS(11991), 1,
      sym_and_operator,
    ACTIONS(11993), 1,
      sym_or_operator,
    ACTIONS(11995), 1,
      sym_assign_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466080] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9712), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16983), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466165] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    ACTIONS(12077), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466234] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12037), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466285] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11656), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9715), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15753), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466370] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12166), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9716), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17276), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466455] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    ACTIONS(12077), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466524] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466577] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    ACTIONS(12077), 1,
      sym_assign_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [466646] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10540), 1,
      sym__lowercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12170), 1,
      anon_sym_private,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9720), 1,
      sym_attribute,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(12784), 1,
      sym__type,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466731] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11634), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9721), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17730), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466816] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [466881] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12091), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9723), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17769), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [466966] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467029] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12061), 1,
      anon_sym_COMMA,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    ACTIONS(12077), 1,
      sym_assign_operator,
    ACTIONS(12174), 1,
      anon_sym_SEMI,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [467100] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12176), 1,
      anon_sym_PIPE,
    STATE(9726), 1,
      sym_attribute,
    STATE(9751), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467151] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467210] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467269] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12065), 1,
      sym_pow_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467320] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12160), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9730), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15740), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467405] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12065), 1,
      sym_pow_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467456] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467513] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12063), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12065), 1,
      sym_pow_operator,
    ACTIONS(12067), 1,
      sym_mult_operator,
    ACTIONS(12069), 1,
      sym_concat_operator,
    ACTIONS(12071), 1,
      sym_rel_operator,
    ACTIONS(12073), 1,
      sym_and_operator,
    ACTIONS(12075), 1,
      sym_or_operator,
    STATE(2384), 1,
      sym_add_operator,
    STATE(9733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [467578] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11751), 1,
      sym_pow_operator,
    ACTIONS(11795), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11797), 1,
      sym_mult_operator,
    ACTIONS(11799), 1,
      sym_concat_operator,
    ACTIONS(11801), 1,
      sym_rel_operator,
    ACTIONS(11803), 1,
      sym_and_operator,
    ACTIONS(11805), 1,
      sym_or_operator,
    ACTIONS(11823), 1,
      anon_sym_COMMA,
    ACTIONS(11827), 1,
      sym_assign_operator,
    ACTIONS(12178), 1,
      anon_sym_SEMI,
    STATE(2199), 1,
      sym_add_operator,
    STATE(9734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [467649] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10572), 1,
      sym__lowercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12182), 1,
      anon_sym_private,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9735), 1,
      sym_attribute,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11945), 1,
      sym__type,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467734] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12079), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9736), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17891), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467819] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12164), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9737), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15821), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467904] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12166), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9738), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15858), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [467989] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11744), 1,
      sym_pow_operator,
    ACTIONS(11763), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11765), 1,
      sym_mult_operator,
    ACTIONS(11815), 1,
      sym_concat_operator,
    ACTIONS(11817), 1,
      sym_rel_operator,
    ACTIONS(11819), 1,
      sym_and_operator,
    ACTIONS(11821), 1,
      sym_or_operator,
    ACTIONS(11849), 1,
      anon_sym_COMMA,
    ACTIONS(11851), 1,
      sym_assign_operator,
    ACTIONS(12186), 1,
      anon_sym_SEMI,
    STATE(2760), 1,
      sym_add_operator,
    STATE(9739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [468060] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12188), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9740), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17170), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468145] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12176), 1,
      anon_sym_PIPE,
    STATE(9741), 1,
      sym_attribute,
    STATE(9756), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468196] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12190), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9742), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17641), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468281] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12162), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9743), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16784), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468366] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12192), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9744), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15845), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9336), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [468498] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12125), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9746), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15723), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468583] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_PIPE,
    STATE(9747), 1,
      sym_attribute,
    STATE(9760), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468634] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12194), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9748), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468683] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11608), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9749), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15695), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [468768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12003), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468819] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12176), 1,
      anon_sym_PIPE,
    STATE(9748), 1,
      aux_sym__match_cases_repeat1,
    STATE(9751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468870] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12197), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [468921] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12192), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9753), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17890), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469006] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(9754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9330), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [469055] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11997), 1,
      anon_sym_else,
    STATE(9077), 1,
      sym_else_clause,
    STATE(9755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469106] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12176), 1,
      anon_sym_PIPE,
    STATE(9748), 1,
      aux_sym__match_cases_repeat1,
    STATE(9756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469157] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12188), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9757), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15843), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469242] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11983), 1,
      sym_pow_operator,
    STATE(2171), 1,
      sym_add_operator,
    STATE(9758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469293] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11732), 1,
      anon_sym_COLON_COLON,
    ACTIONS(11734), 1,
      sym_pow_operator,
    ACTIONS(11736), 1,
      sym_mult_operator,
    ACTIONS(11738), 1,
      sym_concat_operator,
    ACTIONS(11740), 1,
      sym_rel_operator,
    ACTIONS(11742), 1,
      sym_and_operator,
    ACTIONS(11785), 1,
      anon_sym_COMMA,
    ACTIONS(11789), 1,
      sym_or_operator,
    ACTIONS(11791), 1,
      sym_assign_operator,
    ACTIONS(12199), 1,
      anon_sym_SEMI,
    STATE(2358), 1,
      sym_add_operator,
    STATE(9759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [469364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_PIPE,
    STATE(9760), 1,
      sym_attribute,
    STATE(9764), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469415] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 13,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_when,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9336), 19,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [469462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 10,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9354), 22,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [469509] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12081), 1,
      anon_sym_PIPE,
    STATE(9763), 1,
      sym_attribute,
    STATE(9764), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469560] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12201), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9764), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469609] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12190), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9765), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15797), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469694] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12197), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469745] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8783), 1,
      sym__lowercase_identifier,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11608), 1,
      anon_sym_module,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9767), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17469), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469830] = 24,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12204), 1,
      sym__lowercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12208), 1,
      anon_sym_private,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9768), 1,
      sym_attribute,
    STATE(10442), 1,
      sym__simple_type,
    STATE(11699), 1,
      sym__tuple_type,
    STATE(12161), 1,
      sym__type,
    STATE(19005), 1,
      sym_extended_module_path,
    STATE(22436), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11018), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [469915] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12089), 1,
      anon_sym_else,
    STATE(9114), 1,
      sym_else_clause,
    STATE(9769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [469966] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9770), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14098), 1,
      sym__type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470048] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12095), 1,
      anon_sym_LPAREN,
    ACTIONS(12099), 1,
      anon_sym_LBRACK,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12103), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12105), 1,
      anon_sym_LT,
    ACTIONS(12107), 1,
      anon_sym_POUND,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12113), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9771), 1,
      sym_attribute,
    STATE(14299), 1,
      sym__simple_type,
    STATE(14844), 1,
      sym__tuple_type,
    STATE(15045), 1,
      sym__type,
    STATE(18922), 1,
      sym_extended_module_path,
    STATE(21752), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14537), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470130] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12007), 1,
      anon_sym_LPAREN,
    ACTIONS(12011), 1,
      anon_sym_LBRACK,
    ACTIONS(12013), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12015), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12017), 1,
      anon_sym_LT,
    ACTIONS(12019), 1,
      anon_sym_POUND,
    ACTIONS(12021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12025), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9772), 1,
      sym_attribute,
    STATE(10444), 1,
      sym__simple_type,
    STATE(11747), 1,
      sym__tuple_type,
    STATE(11968), 1,
      sym__type,
    STATE(18653), 1,
      sym_extended_module_path,
    STATE(20844), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470212] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9773), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17889), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470294] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12232), 1,
      anon_sym_PIPE,
    STATE(9774), 1,
      sym_attribute,
    STATE(10008), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [470344] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9775), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17301), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470426] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9776), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15802), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470508] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9777), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17292), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470590] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9778), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17870), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470672] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9779), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17906), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470754] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9780), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17908), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [470836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9304), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [470882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12232), 1,
      anon_sym_PIPE,
    STATE(9782), 1,
      sym_attribute,
    STATE(10025), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [470932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9354), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [470978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12234), 29,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [471024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10824), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10836), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471116] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9787), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17472), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10840), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471244] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9789), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17214), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10866), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10854), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10852), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [471418] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9792), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17194), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471500] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12238), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9793), 1,
      sym_attribute,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(12529), 1,
      sym__type,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471582] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9794), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14159), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471664] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9795), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19226), 1,
      sym__type,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471746] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12240), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9796), 1,
      sym_attribute,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(13130), 1,
      sym__type,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471828] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9797), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17775), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471910] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9798), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15232), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [471992] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9799), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17448), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9292), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [472120] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9801), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17665), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472202] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9802), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17376), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472284] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9803), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17774), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472366] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9804), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14211), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472448] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9805), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17364), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472530] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9806), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18015), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472612] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9807), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14182), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472694] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      anon_sym_LPAREN,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12049), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12051), 1,
      anon_sym_LT,
    ACTIONS(12053), 1,
      anon_sym_POUND,
    ACTIONS(12055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12059), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12242), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9808), 1,
      sym_attribute,
    STATE(10172), 1,
      sym__simple_type,
    STATE(10867), 1,
      sym__tuple_type,
    STATE(11102), 1,
      sym__type,
    STATE(18425), 1,
      sym_extended_module_path,
    STATE(20277), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10271), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472776] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9809), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17388), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472858] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9810), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18025), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [472940] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9811), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17219), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473022] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9812), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15636), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473104] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9813), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15644), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473186] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9814), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17762), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473268] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9815), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17146), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473350] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9816), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18043), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473432] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9817), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17750), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473514] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9818), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18045), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9300), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473642] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9820), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17014), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10236), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473770] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9822), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17136), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473852] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9823), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(14623), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [473934] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9310), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [473980] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9825), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14113), 1,
      sym__type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474062] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9826), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17374), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474144] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9827), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17580), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474226] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9828), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17056), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474308] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9829), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17085), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474390] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9830), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17395), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474472] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9831), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17360), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474554] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9832), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17450), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474636] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9833), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17489), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474718] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9834), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17692), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474800] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9835), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17035), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474882] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9836), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17561), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [474964] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9837), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16658), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475046] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8183), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(8179), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475092] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12007), 1,
      anon_sym_LPAREN,
    ACTIONS(12011), 1,
      anon_sym_LBRACK,
    ACTIONS(12013), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12015), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12017), 1,
      anon_sym_LT,
    ACTIONS(12019), 1,
      anon_sym_POUND,
    ACTIONS(12021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12025), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9839), 1,
      sym_attribute,
    STATE(10444), 1,
      sym__simple_type,
    STATE(11747), 1,
      sym__tuple_type,
    STATE(12147), 1,
      sym__type,
    STATE(18653), 1,
      sym_extended_module_path,
    STATE(20844), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12244), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9332), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [475220] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12246), 1,
      anon_sym_DOT_DOT,
    STATE(9841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(5821), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10676), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10674), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475314] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9843), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14217), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10236), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475442] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9845), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17410), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475524] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12138), 1,
      anon_sym_LPAREN,
    ACTIONS(12142), 1,
      anon_sym_LBRACK,
    ACTIONS(12144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12148), 1,
      anon_sym_LT,
    ACTIONS(12150), 1,
      anon_sym_POUND,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12156), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12248), 1,
      sym__lowercase_identifier,
    STATE(9846), 1,
      sym_attribute,
    STATE(14155), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14609), 1,
      sym__tuple_type,
    STATE(14758), 1,
      sym__type,
    STATE(18809), 1,
      sym_extended_module_path,
    STATE(21204), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14269), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10226), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [475652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [475700] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9849), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17616), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475782] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9850), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17118), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475864] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12250), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9851), 1,
      sym_attribute,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(12015), 1,
      sym__type,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [475946] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9852), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18103), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10280), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [476074] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12238), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9854), 1,
      sym_attribute,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(13240), 1,
      sym__type,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476156] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12252), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9855), 1,
      sym_attribute,
    STATE(10442), 1,
      sym__simple_type,
    STATE(11699), 1,
      sym__tuple_type,
    STATE(12141), 1,
      sym__type,
    STATE(19005), 1,
      sym_extended_module_path,
    STATE(22436), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11018), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476238] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_COMMA,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    ACTIONS(12270), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [476306] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9857), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16855), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476388] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9858), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17533), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476470] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9859), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15661), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476552] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9396), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [476598] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9861), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17457), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476680] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12252), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9862), 1,
      sym_attribute,
    STATE(10442), 1,
      sym__simple_type,
    STATE(11699), 1,
      sym__tuple_type,
    STATE(12134), 1,
      sym__type,
    STATE(19005), 1,
      sym_extended_module_path,
    STATE(22436), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11018), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476762] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9863), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17517), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476844] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9864), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16922), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [476926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10804), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [476972] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9866), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17338), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477054] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9867), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15861), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477136] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9868), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17820), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477218] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9869), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17408), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477300] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      anon_sym_LPAREN,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12049), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12051), 1,
      anon_sym_LT,
    ACTIONS(12053), 1,
      anon_sym_POUND,
    ACTIONS(12055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12059), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12242), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9870), 1,
      sym_attribute,
    STATE(10172), 1,
      sym__simple_type,
    STATE(10867), 1,
      sym__tuple_type,
    STATE(11093), 1,
      sym__type,
    STATE(18425), 1,
      sym_extended_module_path,
    STATE(20277), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10271), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477382] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9871), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17560), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477464] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9872), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17864), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477546] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9873), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16779), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9400), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [477674] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9875), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18572), 1,
      sym__type,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477756] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9876), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14255), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477838] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9877), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18087), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [477920] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9878), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15757), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478002] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9879), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14256), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10284), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478130] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9881), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16822), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478212] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9882), 1,
      sym_attribute,
    STATE(11908), 1,
      sym__simple_type,
    STATE(13242), 1,
      sym__tuple_type,
    STATE(13582), 1,
      sym__type,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(20147), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10772), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9314), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10218), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [478432] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10226), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478478] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9887), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18062), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478560] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9888), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17316), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478642] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10770), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10768), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [478688] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9890), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18053), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478770] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9891), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17827), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478852] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9892), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17811), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [478934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(9893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9330), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [478982] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9894), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16823), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479064] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9895), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17970), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479146] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9896), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17735), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10816), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479274] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12095), 1,
      anon_sym_LPAREN,
    ACTIONS(12099), 1,
      anon_sym_LBRACK,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12103), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12105), 1,
      anon_sym_LT,
    ACTIONS(12107), 1,
      anon_sym_POUND,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12113), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9898), 1,
      sym_attribute,
    STATE(14299), 1,
      sym__simple_type,
    STATE(14844), 1,
      sym__tuple_type,
    STATE(15044), 1,
      sym__type,
    STATE(18922), 1,
      sym_extended_module_path,
    STATE(21752), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14537), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479356] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10812), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10808), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479448] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12240), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9901), 1,
      sym_attribute,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12895), 1,
      sym__type,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479530] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9902), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16809), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479612] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(9903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9330), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [479660] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10796), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [479706] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11943), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      anon_sym_LBRACK,
    ACTIONS(11949), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11951), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11953), 1,
      anon_sym_LT,
    ACTIONS(11955), 1,
      anon_sym_POUND,
    ACTIONS(11957), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11961), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9905), 1,
      sym_attribute,
    STATE(10209), 1,
      sym__simple_type,
    STATE(11350), 1,
      sym__tuple_type,
    STATE(11548), 1,
      sym__type,
    STATE(18836), 1,
      sym_extended_module_path,
    STATE(21971), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2084), 1,
      sym_add_operator,
    STATE(9906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [479836] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9907), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17992), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [479918] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9908), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17914), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480000] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12138), 1,
      anon_sym_LPAREN,
    ACTIONS(12142), 1,
      anon_sym_LBRACK,
    ACTIONS(12144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12148), 1,
      anon_sym_LT,
    ACTIONS(12150), 1,
      anon_sym_POUND,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12156), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12248), 1,
      sym__lowercase_identifier,
    STATE(9909), 1,
      sym_attribute,
    STATE(14155), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14609), 1,
      sym__tuple_type,
    STATE(14782), 1,
      sym__type,
    STATE(18809), 1,
      sym_extended_module_path,
    STATE(21204), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14269), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10860), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480128] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9911), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17502), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480210] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9912), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17475), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480292] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9913), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17077), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480374] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(9914), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14938), 1,
      sym__tuple_type,
    STATE(15659), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19920), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480456] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9915), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16757), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480538] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12278), 1,
      anon_sym_let,
    STATE(9916), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11653), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12276), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480600] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12280), 1,
      anon_sym_COMMA,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12296), 1,
      sym_assign_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(9917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [480668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9358), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [480714] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9919), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15682), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480796] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9920), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17180), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [480878] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480942] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [480998] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9923), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16738), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481080] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9924), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17577), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481162] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12298), 1,
      anon_sym_COMMA,
    ACTIONS(12300), 1,
      anon_sym_SEMI,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    ACTIONS(12316), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(9925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [481232] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9926), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17707), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481314] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9927), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17004), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12258), 1,
      sym_pow_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481446] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9929), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17163), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481528] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12258), 1,
      sym_pow_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481578] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9931), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16608), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481660] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481718] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9933), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17548), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481800] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9934), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17892), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [481882] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2748), 1,
      sym_add_operator,
    STATE(9935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481930] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_PIPE,
    STATE(9936), 1,
      sym_attribute,
    STATE(10041), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [481980] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9937), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18126), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9326), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [482108] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11943), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      anon_sym_LBRACK,
    ACTIONS(11949), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11951), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11953), 1,
      anon_sym_LT,
    ACTIONS(11955), 1,
      anon_sym_POUND,
    ACTIONS(11957), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11961), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9939), 1,
      sym_attribute,
    STATE(10209), 1,
      sym__simple_type,
    STATE(11350), 1,
      sym__tuple_type,
    STATE(11566), 1,
      sym__type,
    STATE(18836), 1,
      sym_extended_module_path,
    STATE(21971), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482190] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9940), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17997), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482272] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12095), 1,
      anon_sym_LPAREN,
    ACTIONS(12099), 1,
      anon_sym_LBRACK,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12103), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12105), 1,
      anon_sym_LT,
    ACTIONS(12107), 1,
      anon_sym_POUND,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12113), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12228), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9941), 1,
      sym_attribute,
    STATE(14299), 1,
      sym__simple_type,
    STATE(14844), 1,
      sym__tuple_type,
    STATE(15001), 1,
      sym__type,
    STATE(18922), 1,
      sym_extended_module_path,
    STATE(21752), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14537), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482354] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12138), 1,
      anon_sym_LPAREN,
    ACTIONS(12142), 1,
      anon_sym_LBRACK,
    ACTIONS(12144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12148), 1,
      anon_sym_LT,
    ACTIONS(12150), 1,
      anon_sym_POUND,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12156), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12248), 1,
      sym__lowercase_identifier,
    STATE(9942), 1,
      sym_attribute,
    STATE(14155), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14609), 1,
      sym__tuple_type,
    STATE(14644), 1,
      sym__type,
    STATE(18809), 1,
      sym_extended_module_path,
    STATE(21204), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14269), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482436] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9943), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17666), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482518] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12320), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9944), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__simple_type,
    STATE(14310), 1,
      sym__tuple_type,
    STATE(14591), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482600] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9945), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18104), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482682] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482740] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9947), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17696), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [482822] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_PIPE,
    STATE(9948), 1,
      sym_attribute,
    STATE(9964), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482872] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [482934] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12250), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9950), 1,
      sym_attribute,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11916), 1,
      sym__type,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483016] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9951), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16680), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483098] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9952), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17686), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483180] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12298), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    ACTIONS(12316), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(9953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11514), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483248] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9954), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16662), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483330] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483394] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9956), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16870), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9086), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9094), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483568] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_COMMA,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    ACTIONS(12270), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [483636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10736), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483682] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10732), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483728] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483780] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10360), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [483826] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_PIPE,
    STATE(9964), 1,
      sym_attribute,
    STATE(10046), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [483876] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9965), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17754), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [483958] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9336), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484004] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12322), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9967), 1,
      sym_attribute,
    STATE(11659), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13911), 1,
      sym__type,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(19362), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484086] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12322), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9968), 1,
      sym_attribute,
    STATE(11659), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13910), 1,
      sym__type,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(19362), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484168] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_COMMA,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    ACTIONS(12270), 1,
      sym_assign_operator,
    STATE(2580), 1,
      sym_add_operator,
    STATE(9969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [484236] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9970), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16783), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484318] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9971), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16606), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484400] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9972), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16593), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484482] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9102), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484528] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9974), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17973), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484610] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12252), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9975), 1,
      sym_attribute,
    STATE(10442), 1,
      sym__simple_type,
    STATE(11699), 1,
      sym__tuple_type,
    STATE(12152), 1,
      sym__type,
    STATE(19005), 1,
      sym_extended_module_path,
    STATE(22436), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11018), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484692] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9976), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17767), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484774] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10820), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484820] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9390), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [484866] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9979), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17876), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [484948] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9980), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16661), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      anon_sym_PIPE,
    STATE(9981), 1,
      sym_attribute,
    STATE(9991), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [485080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10724), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10722), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485126] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10846), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485172] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9984), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15805), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485254] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9985), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17690), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485336] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10728), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [485382] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9987), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17250), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485464] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9988), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17840), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485546] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      anon_sym_PIPE,
    STATE(9989), 1,
      sym_attribute,
    STATE(9991), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [485596] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9990), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17311), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485678] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12326), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9991), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [485726] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9992), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16720), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485808] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9993), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17995), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485890] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9994), 1,
      sym_attribute,
    STATE(11908), 1,
      sym__simple_type,
    STATE(13242), 1,
      sym__tuple_type,
    STATE(13753), 1,
      sym__type,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(20147), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [485972] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9995), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16679), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486054] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9374), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486100] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9378), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(9998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9374), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486192] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(9999), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14125), 1,
      sym__type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486274] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12329), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10000), 1,
      sym_attribute,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12014), 1,
      sym__type,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486356] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10001), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16956), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9384), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486484] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9384), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10372), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9342), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486622] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10376), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486668] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12238), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10007), 1,
      sym_attribute,
    STATE(11060), 1,
      sym__simple_type,
    STATE(12468), 1,
      sym__tuple_type,
    STATE(13029), 1,
      sym__type,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20625), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486750] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12232), 1,
      anon_sym_PIPE,
    STATE(10008), 1,
      sym_attribute,
    STATE(10025), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [486800] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10009), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15770), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [486882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10764), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9378), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [486974] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10012), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16682), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487056] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9342), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487102] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9336), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487148] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12272), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10015), 1,
      sym_attribute,
    STATE(11908), 1,
      sym__simple_type,
    STATE(13242), 1,
      sym__tuple_type,
    STATE(13653), 1,
      sym__type,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(20147), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487230] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10016), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15938), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487312] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9350), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10740), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487404] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10019), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17003), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9390), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487532] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10021), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17016), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487614] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9358), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487660] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10023), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16716), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [487742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10364), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487788] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12331), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10025), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [487836] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10746), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10744), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10752), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487928] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9354), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [487974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10756), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10760), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488066] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10031), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17887), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488148] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12320), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10032), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__simple_type,
    STATE(14271), 1,
      sym__type,
    STATE(14310), 1,
      sym__tuple_type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9400), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488276] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10034), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14938), 1,
      sym__tuple_type,
    STATE(15444), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19920), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488358] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11943), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      anon_sym_LBRACK,
    ACTIONS(11949), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11951), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11953), 1,
      anon_sym_LT,
    ACTIONS(11955), 1,
      anon_sym_POUND,
    ACTIONS(11957), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11961), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12274), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10035), 1,
      sym_attribute,
    STATE(10209), 1,
      sym__simple_type,
    STATE(11350), 1,
      sym__tuple_type,
    STATE(11574), 1,
      sym__type,
    STATE(18836), 1,
      sym_extended_module_path,
    STATE(21971), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488440] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10036), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16938), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488522] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10037), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17850), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10288), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [488650] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10039), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17919), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488732] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [488796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12318), 1,
      anon_sym_PIPE,
    STATE(10041), 1,
      sym_attribute,
    STATE(10046), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [488846] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10042), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17841), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [488928] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12280), 1,
      anon_sym_COMMA,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12296), 1,
      sym_assign_operator,
    ACTIONS(12334), 1,
      anon_sym_SEMI,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [488998] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11463), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489062] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10045), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17654), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489144] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12336), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10046), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [489238] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489294] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12329), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10049), 1,
      sym_attribute,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(11996), 1,
      sym__type,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489376] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10780), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [489422] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12284), 1,
      sym_pow_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489472] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10052), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17685), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489554] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12232), 1,
      anon_sym_PIPE,
    STATE(9782), 1,
      aux_sym__match_cases_repeat1,
    STATE(10053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489604] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12284), 1,
      sym_pow_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489654] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489712] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489770] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [489832] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10058), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16864), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489914] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10059), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17205), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [489996] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10060), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17084), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490078] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10061), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16846), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490160] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490216] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490280] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12280), 1,
      anon_sym_COMMA,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12296), 1,
      sym_assign_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [490348] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12304), 1,
      sym_pow_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490398] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490450] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10067), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(14198), 1,
      sym__type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490532] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10068), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14938), 1,
      sym__tuple_type,
    STATE(15738), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19920), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490614] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10069), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14278), 1,
      sym_tuple_type,
    STATE(14938), 1,
      sym__tuple_type,
    STATE(15734), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(19920), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14423), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490696] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10070), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16910), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [490778] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12304), 1,
      sym_pow_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490828] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10856), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [490874] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [490932] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_COMMA,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    ACTIONS(12270), 1,
      sym_assign_operator,
    ACTIONS(12339), 1,
      anon_sym_SEMI,
    STATE(2580), 1,
      sym_add_operator,
    STATE(10074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491002] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12226), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10075), 1,
      sym_attribute,
    STATE(12433), 1,
      sym__simple_type,
    STATE(14146), 1,
      sym__type,
    STATE(14156), 1,
      sym__tuple_type,
    STATE(18799), 1,
      sym_extended_module_path,
    STATE(21491), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9396), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491130] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9350), 21,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491176] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12280), 1,
      anon_sym_COMMA,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12296), 1,
      sym_assign_operator,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12341), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9346), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [491290] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12322), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10080), 1,
      sym_attribute,
    STATE(11659), 1,
      sym__simple_type,
    STATE(13304), 1,
      sym__tuple_type,
    STATE(13591), 1,
      sym__type,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(19362), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491372] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10081), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17932), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491454] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10082), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17975), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491536] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12329), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10083), 1,
      sym_attribute,
    STATE(10497), 1,
      sym__simple_type,
    STATE(11822), 1,
      sym__tuple_type,
    STATE(12362), 1,
      sym__type,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(21208), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10748), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(10718), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [491710] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10086), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16963), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491792] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12320), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10087), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__simple_type,
    STATE(14310), 1,
      sym__tuple_type,
    STATE(14538), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491874] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      anon_sym_LPAREN,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12049), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12051), 1,
      anon_sym_LT,
    ACTIONS(12053), 1,
      anon_sym_POUND,
    ACTIONS(12055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12059), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12242), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10088), 1,
      sym_attribute,
    STATE(10172), 1,
      sym__simple_type,
    STATE(10867), 1,
      sym__tuple_type,
    STATE(11141), 1,
      sym__type,
    STATE(18425), 1,
      sym_extended_module_path,
    STATE(20277), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10271), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [491956] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12320), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10089), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__simple_type,
    STATE(14310), 1,
      sym__tuple_type,
    STATE(14542), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492038] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12345), 1,
      anon_sym_let,
    STATE(10090), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11887), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12343), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492100] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10091), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15548), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492182] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10092), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18028), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 11,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9326), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 11,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10222), 20,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_end,
      anon_sym_with,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_then,
      anon_sym_else,
      anon_sym_do,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [492356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      anon_sym_PIPE,
    STATE(9989), 1,
      aux_sym__match_cases_repeat1,
    STATE(10095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492406] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12349), 1,
      anon_sym_let,
    STATE(10096), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11798), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12347), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 15,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_begin,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__lowercase_identifier,
    ACTIONS(9090), 16,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [492514] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492572] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492634] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [492698] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10101), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15856), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492780] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12240), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10102), 1,
      sym_attribute,
    STATE(10826), 1,
      sym__simple_type,
    STATE(12252), 1,
      sym__tuple_type,
    STATE(12633), 1,
      sym__type,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19671), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [492862] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12298), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    ACTIONS(12316), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11401), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [492930] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10104), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18080), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493012] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12355), 1,
      anon_sym_DOT,
    STATE(10105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12351), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493060] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12320), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10106), 1,
      sym_attribute,
    STATE(13422), 1,
      sym__simple_type,
    STATE(14310), 1,
      sym__tuple_type,
    STATE(14564), 1,
      sym__type,
    STATE(18171), 1,
      sym_extended_module_path,
    STATE(19803), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(14133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493142] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12324), 1,
      anon_sym_PIPE,
    STATE(9981), 1,
      aux_sym__match_cases_repeat1,
    STATE(10107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_let,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [493192] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10108), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16888), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493274] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10109), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(15937), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493356] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12298), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    ACTIONS(12316), 1,
      sym_assign_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 4,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11518), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [493424] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10111), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18090), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493506] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12007), 1,
      anon_sym_LPAREN,
    ACTIONS(12011), 1,
      anon_sym_LBRACK,
    ACTIONS(12013), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12015), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12017), 1,
      anon_sym_LT,
    ACTIONS(12019), 1,
      anon_sym_POUND,
    ACTIONS(12021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12025), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12230), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10112), 1,
      sym_attribute,
    STATE(10444), 1,
      sym__simple_type,
    STATE(11747), 1,
      sym__tuple_type,
    STATE(12139), 1,
      sym__type,
    STATE(18653), 1,
      sym_extended_module_path,
    STATE(20844), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493588] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10113), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17347), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493670] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10114), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(17264), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493752] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10115), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16811), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493834] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10116), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16754), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493916] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12250), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10117), 1,
      sym_attribute,
    STATE(10301), 1,
      sym__simple_type,
    STATE(11435), 1,
      sym__tuple_type,
    STATE(11911), 1,
      sym__type,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(22349), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [493998] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10118), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(16772), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494080] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_let,
      anon_sym_PIPE,
      anon_sym_SEMI,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_operator,
      aux_sym_directive_token1,
  [494132] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10120), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18071), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494214] = 23,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8787), 1,
      anon_sym_QMARK,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10896), 1,
      sym__lowercase_identifier,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10121), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(14588), 1,
      sym__tuple_type,
    STATE(18086), 1,
      sym__type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(21576), 1,
      sym_typed_label,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9347), 2,
      sym_function_type,
      sym_aliased_type,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [494296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10322), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10320), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494341] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10288), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10350), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10348), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494431] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12359), 1,
      anon_sym_let,
    STATE(10125), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12169), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12357), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494492] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10342), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10340), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10258), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10256), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12363), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12361), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494627] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12367), 1,
      anon_sym_let,
    STATE(10129), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12052), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12365), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12371), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12369), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494733] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9182), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494778] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12375), 1,
      anon_sym_let,
    STATE(10132), 1,
      sym_attribute,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11974), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12373), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494839] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12379), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12377), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12353), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12351), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [494929] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9102), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [494974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10360), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495019] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12383), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12381), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495064] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12387), 1,
      sym__lowercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_POUND,
    STATE(10138), 1,
      sym_attribute,
    STATE(10236), 1,
      sym_type_constructor_path,
    STATE(19059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12389), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [495119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9090), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495164] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9090), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495209] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9094), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495254] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12280), 1,
      anon_sym_COMMA,
    ACTIONS(12282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12284), 1,
      sym_pow_operator,
    ACTIONS(12286), 1,
      sym_mult_operator,
    ACTIONS(12288), 1,
      sym_concat_operator,
    ACTIONS(12290), 1,
      sym_rel_operator,
    ACTIONS(12292), 1,
      sym_and_operator,
    ACTIONS(12294), 1,
      sym_or_operator,
    ACTIONS(12296), 1,
      sym_assign_operator,
    ACTIONS(12393), 1,
      anon_sym_SEMI,
    STATE(2748), 1,
      sym_add_operator,
    STATE(10142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495323] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12397), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12395), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [495368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9086), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495413] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10354), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10352), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495458] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10364), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10334), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10332), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10326), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10324), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10330), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10328), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495638] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8775), 1,
      anon_sym_COLON_COLON,
    STATE(10150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10346), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10344), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10274), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10272), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10308), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10306), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495775] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8769), 1,
      anon_sym_COMMA,
    ACTIONS(8775), 1,
      anon_sym_COLON_COLON,
    STATE(10153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10298), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10296), 18,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495824] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8775), 1,
      anon_sym_COLON_COLON,
    STATE(10154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10294), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10292), 19,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10266), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10264), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495916] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10262), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10260), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [495961] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9292), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496006] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10246), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10244), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10242), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10240), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496096] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10370), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10368), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496141] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10316), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10314), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10280), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496231] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10358), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10356), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496276] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12387), 1,
      sym__lowercase_identifier,
    ACTIONS(12403), 1,
      anon_sym_POUND,
    STATE(10164), 1,
      sym_attribute,
    STATE(10226), 1,
      sym_type_constructor_path,
    STATE(19059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496331] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10338), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10336), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496376] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12405), 1,
      anon_sym_type,
    ACTIONS(12407), 1,
      anon_sym_exception,
    ACTIONS(12409), 1,
      anon_sym_module,
    ACTIONS(12411), 1,
      anon_sym_include,
    ACTIONS(12413), 1,
      anon_sym_class,
    ACTIONS(12415), 1,
      anon_sym_val,
    ACTIONS(12417), 1,
      anon_sym_end,
    STATE(10166), 1,
      sym_attribute,
    STATE(10208), 1,
      aux_sym__signature_repeat1,
    STATE(10259), 1,
      aux_sym__structure_repeat1,
    STATE(14208), 1,
      sym__signature_item,
    STATE(21987), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [496453] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12298), 1,
      anon_sym_COMMA,
    ACTIONS(12302), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12304), 1,
      sym_pow_operator,
    ACTIONS(12306), 1,
      sym_mult_operator,
    ACTIONS(12308), 1,
      sym_concat_operator,
    ACTIONS(12310), 1,
      sym_rel_operator,
    ACTIONS(12312), 1,
      sym_and_operator,
    ACTIONS(12314), 1,
      sym_or_operator,
    ACTIONS(12316), 1,
      sym_assign_operator,
    ACTIONS(12419), 1,
      anon_sym_SEMI,
    STATE(2084), 1,
      sym_add_operator,
    STATE(10167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9094), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10312), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10310), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9102), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9022), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496702] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12387), 1,
      sym__lowercase_identifier,
    ACTIONS(12391), 1,
      anon_sym_POUND,
    STATE(10172), 1,
      sym_attribute,
    STATE(10236), 1,
      sym_type_constructor_path,
    STATE(19059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [496757] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9342), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [496802] = 21,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12405), 1,
      anon_sym_type,
    ACTIONS(12407), 1,
      anon_sym_exception,
    ACTIONS(12409), 1,
      anon_sym_module,
    ACTIONS(12411), 1,
      anon_sym_include,
    ACTIONS(12413), 1,
      anon_sym_class,
    ACTIONS(12415), 1,
      anon_sym_val,
    ACTIONS(12421), 1,
      anon_sym_end,
    STATE(10174), 1,
      sym_attribute,
    STATE(10208), 1,
      aux_sym__signature_repeat1,
    STATE(10259), 1,
      aux_sym__structure_repeat1,
    STATE(14208), 1,
      sym__signature_item,
    STATE(19767), 1,
      sym__signature,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [496879] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9314), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5825), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(5821), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [496969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10250), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10248), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9310), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497059] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 4,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(9086), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497104] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12425), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12423), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10386), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10384), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10254), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10252), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10390), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10388), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497284] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12254), 1,
      anon_sym_COMMA,
    ACTIONS(12256), 1,
      anon_sym_COLON_COLON,
    ACTIONS(12258), 1,
      sym_pow_operator,
    ACTIONS(12260), 1,
      sym_mult_operator,
    ACTIONS(12262), 1,
      sym_concat_operator,
    ACTIONS(12264), 1,
      sym_rel_operator,
    ACTIONS(12266), 1,
      sym_and_operator,
    ACTIONS(12268), 1,
      sym_or_operator,
    ACTIONS(12270), 1,
      sym_assign_operator,
    ACTIONS(12427), 1,
      anon_sym_SEMI,
    STATE(2580), 1,
      sym_add_operator,
    STATE(10184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497353] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9326), 27,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9304), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10270), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10268), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10278), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10276), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497533] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10302), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10300), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10372), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9300), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10376), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497713] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12431), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12429), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497758] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12435), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12433), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10394), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10392), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12439), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12437), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497893] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12443), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12441), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [497938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 10,
      anon_sym_and,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10284), 20,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_and_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [497983] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12447), 5,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12445), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498028] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12451), 1,
      anon_sym_POUND,
    STATE(10200), 1,
      sym_attribute,
    STATE(10347), 1,
      sym_type_constructor_path,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498082] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12453), 1,
      sym__lowercase_identifier,
    ACTIONS(12455), 1,
      anon_sym_POUND,
    STATE(10201), 1,
      sym_attribute,
    STATE(10521), 1,
      sym_type_constructor_path,
    STATE(18957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12389), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498136] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12459), 1,
      anon_sym_let,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(10202), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12421), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12457), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498196] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12234), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [498240] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12464), 1,
      anon_sym_external,
    ACTIONS(12467), 1,
      anon_sym_type,
    ACTIONS(12470), 1,
      anon_sym_exception,
    ACTIONS(12473), 1,
      anon_sym_module,
    ACTIONS(12476), 1,
      anon_sym_open,
    ACTIONS(12479), 1,
      anon_sym_include,
    ACTIONS(12482), 1,
      anon_sym_class,
    ACTIONS(12485), 1,
      anon_sym_val,
    ACTIONS(12488), 1,
      anon_sym_end,
    ACTIONS(12490), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12496), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    STATE(10516), 1,
      aux_sym__structure_repeat1,
    STATE(14208), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10204), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498312] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(10205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [498358] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12501), 1,
      anon_sym_type,
    ACTIONS(12503), 1,
      anon_sym_RBRACK,
    ACTIONS(12505), 1,
      anon_sym_exception,
    ACTIONS(12507), 1,
      anon_sym_module,
    ACTIONS(12509), 1,
      anon_sym_include,
    ACTIONS(12511), 1,
      anon_sym_class,
    ACTIONS(12513), 1,
      anon_sym_val,
    STATE(10206), 1,
      sym_attribute,
    STATE(10211), 1,
      aux_sym__signature_repeat1,
    STATE(10299), 1,
      aux_sym__structure_repeat1,
    STATE(14208), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498432] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12453), 1,
      sym__lowercase_identifier,
    ACTIONS(12515), 1,
      anon_sym_POUND,
    STATE(10207), 1,
      sym_attribute,
    STATE(10464), 1,
      sym_type_constructor_path,
    STATE(18957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498486] = 20,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12405), 1,
      anon_sym_type,
    ACTIONS(12407), 1,
      anon_sym_exception,
    ACTIONS(12409), 1,
      anon_sym_module,
    ACTIONS(12411), 1,
      anon_sym_include,
    ACTIONS(12413), 1,
      anon_sym_class,
    ACTIONS(12415), 1,
      anon_sym_val,
    ACTIONS(12503), 1,
      anon_sym_end,
    STATE(10204), 1,
      aux_sym__signature_repeat1,
    STATE(10208), 1,
      sym_attribute,
    STATE(10254), 1,
      aux_sym__structure_repeat1,
    STATE(14208), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498560] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12453), 1,
      sym__lowercase_identifier,
    ACTIONS(12455), 1,
      anon_sym_POUND,
    STATE(10209), 1,
      sym_attribute,
    STATE(10521), 1,
      sym_type_constructor_path,
    STATE(18957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11178), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [498614] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11759), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11761), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12519), 1,
      anon_sym_let,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(10210), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12294), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(12517), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [498674] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12461), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(12464), 1,
      anon_sym_external,
    ACTIONS(12476), 1,
      anon_sym_open,
    ACTIONS(12488), 1,
      anon_sym_RBRACK,
    ACTIONS(12490), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(12493), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(12496), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12521), 1,
      anon_sym_type,
    ACTIONS(12524), 1,
      anon_sym_exception,
    ACTIONS(12527), 1,
      anon_sym_module,
    ACTIONS(12530), 1,
      anon_sym_include,
    ACTIONS(12533), 1,
      anon_sym_class,
    ACTIONS(12536), 1,
      anon_sym_val,
    STATE(10381), 1,
      aux_sym__structure_repeat1,
    STATE(14208), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10211), 2,
      sym_attribute,
      aux_sym__signature_repeat1,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [498746] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10212), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11724), 1,
      sym__simple_type,
    STATE(11778), 1,
      sym_type_variable,
    STATE(16317), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(21128), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [498823] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10213), 1,
      sym_attribute,
    STATE(11267), 1,
      sym__simple_type,
    STATE(11398), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(15922), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19284), 1,
      sym_extended_module_path,
    STATE(19634), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [498900] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10214), 1,
      sym_attribute,
    STATE(10824), 1,
      sym__simple_type,
    STATE(11191), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(15991), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19886), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [498977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12565), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12563), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [499063] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9100), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499106] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9092), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499149] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9088), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499235] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9084), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499278] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12501), 1,
      anon_sym_type,
    ACTIONS(12503), 1,
      anon_sym_RBRACK,
    ACTIONS(12505), 1,
      anon_sym_exception,
    ACTIONS(12507), 1,
      anon_sym_module,
    ACTIONS(12509), 1,
      anon_sym_include,
    ACTIONS(12511), 1,
      anon_sym_class,
    ACTIONS(12513), 1,
      anon_sym_val,
    STATE(10222), 1,
      sym_attribute,
    STATE(14071), 1,
      aux_sym__structure_repeat1,
    STATE(14207), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [499349] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10223), 1,
      sym_attribute,
    STATE(10750), 1,
      sym__simple_type,
    STATE(11181), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16434), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18414), 1,
      sym_extended_module_path,
    STATE(20652), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499426] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499555] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10227), 1,
      sym_attribute,
    STATE(10238), 1,
      sym__simple_type,
    STATE(10490), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16382), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(21441), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499632] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10228), 1,
      sym_attribute,
    STATE(10825), 1,
      sym__simple_type,
    STATE(11191), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(15992), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19887), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499709] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [499838] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10232), 1,
      sym_attribute,
    STATE(10289), 1,
      sym__simple_type,
    STATE(10490), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16375), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(21339), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [499915] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10233), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12389), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [499968] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10234), 1,
      sym_attribute,
    STATE(10278), 1,
      sym__simple_type,
    STATE(10490), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16374), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(21337), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500088] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500131] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10237), 1,
      sym_attribute,
    STATE(10817), 1,
      sym__simple_type,
    STATE(11191), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(15969), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19858), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500208] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    STATE(10238), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12625), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [500267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500353] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10241), 1,
      sym_attribute,
    STATE(11144), 1,
      sym__simple_type,
    STATE(11524), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16484), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19281), 1,
      sym_extended_module_path,
    STATE(22020), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500430] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12661), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12663), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12659), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500475] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10243), 1,
      sym_attribute,
    STATE(10740), 1,
      sym__simple_type,
    STATE(11181), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16444), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18414), 1,
      sym_extended_module_path,
    STATE(20632), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500552] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10244), 1,
      sym_attribute,
    STATE(10356), 1,
      sym__simple_type,
    STATE(10647), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16247), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(20948), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500629] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10245), 1,
      sym_attribute,
    STATE(10353), 1,
      sym__simple_type,
    STATE(10647), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16246), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(20944), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500706] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [500749] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12675), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12671), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [500794] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10248), 1,
      sym_attribute,
    STATE(10306), 1,
      sym__simple_type,
    STATE(10647), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16245), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(20928), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500871] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10249), 1,
      sym_attribute,
    STATE(10603), 1,
      sym__simple_type,
    STATE(10684), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16561), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18968), 1,
      sym_extended_module_path,
    STATE(22427), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [500948] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10250), 1,
      sym_attribute,
    STATE(11228), 1,
      sym__simple_type,
    STATE(11457), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16056), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18291), 1,
      sym_extended_module_path,
    STATE(20133), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501025] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501068] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10252), 1,
      sym_attribute,
    STATE(11230), 1,
      sym__simple_type,
    STATE(11457), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16055), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18291), 1,
      sym_extended_module_path,
    STATE(20131), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501145] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10253), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11672), 1,
      sym__simple_type,
    STATE(11778), 1,
      sym_type_variable,
    STATE(16304), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(21098), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501222] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12405), 1,
      anon_sym_type,
    ACTIONS(12407), 1,
      anon_sym_exception,
    ACTIONS(12409), 1,
      anon_sym_module,
    ACTIONS(12411), 1,
      anon_sym_include,
    ACTIONS(12413), 1,
      anon_sym_class,
    ACTIONS(12415), 1,
      anon_sym_val,
    ACTIONS(12713), 1,
      anon_sym_end,
    STATE(10254), 1,
      sym_attribute,
    STATE(14071), 1,
      aux_sym__structure_repeat1,
    STATE(14207), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [501293] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(10255), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(14622), 1,
      sym__simple_type,
    STATE(14650), 1,
      sym_type_variable,
    STATE(16036), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(20050), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(10256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [501415] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10257), 1,
      sym_attribute,
    STATE(11112), 1,
      sym__simple_type,
    STATE(11524), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16496), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19281), 1,
      sym_extended_module_path,
    STATE(22078), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501492] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10258), 1,
      sym_attribute,
    STATE(11088), 1,
      sym__simple_type,
    STATE(11524), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16498), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19281), 1,
      sym_extended_module_path,
    STATE(22086), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501569] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12405), 1,
      anon_sym_type,
    ACTIONS(12407), 1,
      anon_sym_exception,
    ACTIONS(12409), 1,
      anon_sym_module,
    ACTIONS(12411), 1,
      anon_sym_include,
    ACTIONS(12413), 1,
      anon_sym_class,
    ACTIONS(12415), 1,
      anon_sym_val,
    ACTIONS(12503), 1,
      anon_sym_end,
    STATE(10259), 1,
      sym_attribute,
    STATE(14071), 1,
      aux_sym__structure_repeat1,
    STATE(14207), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [501640] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(10260), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(14593), 1,
      sym__simple_type,
    STATE(14650), 1,
      sym_type_variable,
    STATE(16040), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(20051), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501717] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10261), 1,
      sym_attribute,
    STATE(11028), 1,
      sym__simple_type,
    STATE(11300), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16090), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20376), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501794] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_DOT,
    STATE(10262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12735), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12733), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [501841] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10263), 1,
      sym_attribute,
    STATE(10944), 1,
      sym__simple_type,
    STATE(11181), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16161), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18414), 1,
      sym_extended_module_path,
    STATE(19845), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [501918] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    STATE(10264), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [501977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502020] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10266), 1,
      sym_attribute,
    STATE(10980), 1,
      sym__simple_type,
    STATE(11300), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16096), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20393), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502097] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10267), 1,
      sym_attribute,
    STATE(10976), 1,
      sym__simple_type,
    STATE(11300), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16097), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20395), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502174] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502217] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12749), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12663), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [502260] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10270), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11723), 1,
      sym__simple_type,
    STATE(11778), 1,
      sym_type_variable,
    STATE(16315), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(20997), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502380] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(10272), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(14610), 1,
      sym__simple_type,
    STATE(14650), 1,
      sym_type_variable,
    STATE(16066), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(20151), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502457] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    STATE(10273), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502516] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10274), 1,
      sym_attribute,
    STATE(10720), 1,
      sym__simple_type,
    STATE(10990), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16179), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18338), 1,
      sym_extended_module_path,
    STATE(20675), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502593] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10275), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11903), 1,
      sym_type_variable,
    STATE(11936), 1,
      sym__simple_type,
    STATE(16395), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(21514), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502670] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    STATE(10276), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502772] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    STATE(10278), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12787), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [502831] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10279), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11903), 1,
      sym_type_variable,
    STATE(11955), 1,
      sym__simple_type,
    STATE(16392), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(21377), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [502908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [502951] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10281), 1,
      sym_attribute,
    STATE(11297), 1,
      sym__simple_type,
    STATE(11457), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16047), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18291), 1,
      sym_extended_module_path,
    STATE(20109), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503028] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503200] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12807), 1,
      anon_sym_POUND,
    STATE(10286), 1,
      sym_attribute,
    STATE(10702), 1,
      sym_type_constructor_path,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503253] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12813), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12675), 26,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [503339] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    STATE(10289), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12817), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [503398] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10290), 1,
      sym_attribute,
    STATE(11260), 1,
      sym__simple_type,
    STATE(11398), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(15880), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19284), 1,
      sym_extended_module_path,
    STATE(19606), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503518] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503647] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10295), 1,
      sym_attribute,
    STATE(10705), 1,
      sym__simple_type,
    STATE(10990), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16183), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18338), 1,
      sym_extended_module_path,
    STATE(20694), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12236), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [503767] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10297), 1,
      sym_attribute,
    STATE(11271), 1,
      sym__simple_type,
    STATE(11398), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(15923), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19284), 1,
      sym_extended_module_path,
    STATE(19643), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503844] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10298), 1,
      sym_attribute,
    STATE(10704), 1,
      sym__simple_type,
    STATE(10990), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16188), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18338), 1,
      sym_extended_module_path,
    STATE(20706), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [503921] = 19,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12501), 1,
      anon_sym_type,
    ACTIONS(12505), 1,
      anon_sym_exception,
    ACTIONS(12507), 1,
      anon_sym_module,
    ACTIONS(12509), 1,
      anon_sym_include,
    ACTIONS(12511), 1,
      anon_sym_class,
    ACTIONS(12513), 1,
      anon_sym_val,
    ACTIONS(12713), 1,
      anon_sym_RBRACK,
    STATE(10299), 1,
      sym_attribute,
    STATE(14071), 1,
      aux_sym__structure_repeat1,
    STATE(14207), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [503992] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10300), 1,
      sym_attribute,
    STATE(10396), 1,
      sym__simple_type,
    STATE(10684), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16527), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18968), 1,
      sym_extended_module_path,
    STATE(22253), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [504069] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10301), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11178), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504122] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10302), 1,
      sym_attribute,
    STATE(10395), 1,
      sym__simple_type,
    STATE(10684), 1,
      sym_type_variable,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(16533), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18968), 1,
      sym_extended_module_path,
    STATE(22270), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [504199] = 22,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10303), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11684), 1,
      sym__simple_type,
    STATE(11903), 1,
      sym_type_variable,
    STATE(16388), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(21460), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 10,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
  [504276] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9142), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504360] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10306), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12625), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [504418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(10307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504462] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504504] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10309), 1,
      sym_attribute,
    STATE(10792), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504576] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10310), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11576), 1,
      sym__simple_type,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504648] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8937), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504690] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9194), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [504774] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12675), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [504818] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12841), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12843), 1,
      anon_sym_GT,
    STATE(10315), 1,
      sym_attribute,
    STATE(14866), 1,
      sym__simple_type,
    STATE(17060), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [504890] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9264), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [504932] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10317), 1,
      sym_attribute,
    STATE(10697), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505004] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10318), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11576), 1,
      sym__simple_type,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505076] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10319), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(12130), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9130), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505190] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10321), 1,
      sym_attribute,
    STATE(10697), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9268), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505304] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12845), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12847), 1,
      anon_sym_GT,
    STATE(10323), 1,
      sym_attribute,
    STATE(14893), 1,
      sym__simple_type,
    STATE(17984), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505376] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9188), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505418] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [505460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9274), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9278), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505544] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10328), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [505602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [505644] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9146), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505686] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(10331), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(14615), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(20272), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505758] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10332), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [505816] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12849), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12851), 1,
      anon_sym_GT,
    STATE(10333), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [505888] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8992), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [505930] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(10335), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(14614), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(20236), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506002] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8996), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506044] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9002), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12855), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12853), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [506212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506254] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12857), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12859), 1,
      anon_sym_GT,
    STATE(10342), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506326] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12861), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12863), 1,
      anon_sym_GT,
    STATE(10343), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506398] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12865), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12867), 1,
      anon_sym_GT,
    STATE(10344), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506470] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10345), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506528] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9286), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506570] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506612] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10348), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [506712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9182), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [506754] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12873), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12875), 1,
      anon_sym_GT,
    STATE(10351), 1,
      sym_attribute,
    STATE(14852), 1,
      sym__simple_type,
    STATE(17028), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506826] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12877), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12879), 1,
      anon_sym_GT,
    STATE(10352), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [506898] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10353), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12817), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [506956] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12883), 1,
      anon_sym_let,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(12889), 1,
      anon_sym_COLON2,
    STATE(10354), 1,
      sym_attribute,
    STATE(10384), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11256), 1,
      sym__module_typed,
    STATE(11633), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12881), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [507016] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12891), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12893), 1,
      anon_sym_GT,
    STATE(10355), 1,
      sym_attribute,
    STATE(14857), 1,
      sym__simple_type,
    STATE(17983), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507088] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10356), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12787), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [507146] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(10357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9330), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8933), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [507274] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12895), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12897), 1,
      anon_sym_GT,
    STATE(10360), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507346] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12899), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12901), 1,
      anon_sym_GT,
    STATE(10361), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507418] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12903), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12905), 1,
      anon_sym_GT,
    STATE(10362), 1,
      sym_attribute,
    STATE(14894), 1,
      sym__simple_type,
    STATE(16602), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507490] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12907), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12909), 1,
      anon_sym_GT,
    STATE(10363), 1,
      sym_attribute,
    STATE(14848), 1,
      sym__simple_type,
    STATE(17379), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507562] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10364), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11576), 1,
      sym__simple_type,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507634] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12911), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12913), 1,
      anon_sym_GT,
    STATE(10365), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9198), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507748] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12915), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12917), 1,
      anon_sym_GT,
    STATE(10367), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507820] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12919), 1,
      anon_sym_DOT,
    ACTIONS(12921), 1,
      anon_sym_POUND,
    ACTIONS(12923), 1,
      sym_hash_operator,
    STATE(10368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9164), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [507868] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12925), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12927), 1,
      anon_sym_GT,
    STATE(10369), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [507940] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12929), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12931), 1,
      anon_sym_GT,
    STATE(10370), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508012] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12933), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12935), 1,
      anon_sym_GT,
    STATE(10371), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508126] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8929), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9252), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508210] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12919), 1,
      anon_sym_DOT,
    ACTIONS(12921), 1,
      anon_sym_POUND,
    ACTIONS(12923), 1,
      sym_hash_operator,
    STATE(10375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9254), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9256), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508258] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9210), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508300] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12937), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12939), 1,
      anon_sym_GT,
    STATE(10377), 1,
      sym_attribute,
    STATE(14833), 1,
      sym__simple_type,
    STATE(16854), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9138), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508414] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10379), 1,
      sym_attribute,
    STATE(10420), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18968), 1,
      sym_extended_module_path,
    STATE(20335), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508486] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10380), 1,
      sym_attribute,
    STATE(11543), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508558] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12501), 1,
      anon_sym_type,
    ACTIONS(12505), 1,
      anon_sym_exception,
    ACTIONS(12507), 1,
      anon_sym_module,
    ACTIONS(12509), 1,
      anon_sym_include,
    ACTIONS(12511), 1,
      anon_sym_class,
    ACTIONS(12513), 1,
      anon_sym_val,
    STATE(10381), 1,
      sym_attribute,
    STATE(14071), 1,
      aux_sym__structure_repeat1,
    STATE(14207), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [508626] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12941), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12943), 1,
      anon_sym_GT,
    STATE(10382), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508698] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10383), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(12130), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508770] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(12889), 1,
      anon_sym_COLON2,
    ACTIONS(12947), 1,
      anon_sym_let,
    STATE(10384), 1,
      sym_attribute,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11174), 1,
      sym__module_typed,
    STATE(11786), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12945), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [508830] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10385), 1,
      sym_attribute,
    STATE(10694), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18338), 1,
      sym_extended_module_path,
    STATE(20617), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [508902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9190), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [508944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [508986] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10388), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(12130), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509058] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10389), 1,
      sym_attribute,
    STATE(10829), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18414), 1,
      sym_extended_module_path,
    STATE(21922), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9292), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509172] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10391), 1,
      sym_attribute,
    STATE(10792), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509244] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9102), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509370] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10395), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12817), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [509428] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10396), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12787), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [509486] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    ACTIONS(12953), 1,
      anon_sym_STAR,
    STATE(10397), 1,
      sym_attribute,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(11772), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12951), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [509542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9094), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9242), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9090), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9176), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9172), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509752] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509794] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12955), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12957), 1,
      anon_sym_GT,
    STATE(10404), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [509866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9168), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [509908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12236), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [509950] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12959), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12961), 1,
      anon_sym_GT,
    STATE(10407), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9236), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510064] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10409), 1,
      sym_attribute,
    STATE(10888), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18414), 1,
      sym_extended_module_path,
    STATE(20377), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510136] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12963), 1,
      anon_sym_LBRACE,
    STATE(10410), 1,
      sym_attribute,
    STATE(14726), 1,
      sym__simple_type,
    STATE(18473), 1,
      sym__constructor_argument,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(18626), 1,
      sym_record_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510208] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10411), 1,
      sym_attribute,
    STATE(10807), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19814), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510322] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12965), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12967), 1,
      anon_sym_GT,
    STATE(10413), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510394] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12969), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12971), 1,
      anon_sym_GT,
    STATE(10414), 1,
      sym_attribute,
    STATE(14847), 1,
      sym__simple_type,
    STATE(17677), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [510508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9290), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510550] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12973), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12975), 1,
      anon_sym_GT,
    STATE(10417), 1,
      sym_attribute,
    STATE(14874), 1,
      sym__simple_type,
    STATE(17846), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9086), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510664] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10419), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(12045), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510736] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10420), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [510794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9206), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [510836] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10422), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(12045), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510908] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10423), 1,
      sym_attribute,
    STATE(11363), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18291), 1,
      sym_extended_module_path,
    STATE(20057), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [510980] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12977), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12979), 1,
      anon_sym_GT,
    STATE(10424), 1,
      sym_attribute,
    STATE(14899), 1,
      sym__simple_type,
    STATE(17095), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511052] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10425), 1,
      sym_attribute,
    STATE(10812), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18414), 1,
      sym_extended_module_path,
    STATE(20271), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511124] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511166] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10427), 1,
      sym_attribute,
    STATE(10810), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19819), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511238] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10428), 1,
      sym_attribute,
    STATE(11226), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511310] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(10429), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(14632), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(20274), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511382] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9044), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511424] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10431), 1,
      sym_attribute,
    STATE(11226), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511496] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12981), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12983), 1,
      anon_sym_GT,
    STATE(10432), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511568] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12985), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12987), 1,
      anon_sym_GT,
    STATE(10433), 1,
      sym_attribute,
    STATE(14863), 1,
      sym__simple_type,
    STATE(17518), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511640] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511682] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(8925), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [511724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511808] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(12989), 1,
      anon_sym_DOT_DOT,
    ACTIONS(12991), 1,
      anon_sym_GT,
    STATE(10438), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511880] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [511922] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10440), 1,
      sym_attribute,
    STATE(10811), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18726), 1,
      sym_extended_module_path,
    STATE(19822), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [511994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512036] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12993), 1,
      sym__lowercase_identifier,
    ACTIONS(12995), 1,
      anon_sym_POUND,
    STATE(10442), 1,
      sym_attribute,
    STATE(10957), 1,
      sym_type_constructor_path,
    STATE(18980), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [512088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9160), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512130] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12997), 1,
      sym__lowercase_identifier,
    ACTIONS(12999), 1,
      anon_sym_POUND,
    STATE(10444), 1,
      sym_attribute,
    STATE(10913), 1,
      sym_type_constructor_path,
    STATE(19049), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [512182] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9156), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512266] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13001), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13003), 1,
      anon_sym_GT,
    STATE(10447), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512338] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512464] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10451), 1,
      sym_attribute,
    STATE(11255), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19284), 1,
      sym_extended_module_path,
    STATE(19565), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512536] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512578] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10453), 1,
      sym_attribute,
    STATE(11249), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512650] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10454), 1,
      sym_attribute,
    STATE(11254), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19284), 1,
      sym_extended_module_path,
    STATE(19564), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9112), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [512764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512806] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13005), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13007), 1,
      anon_sym_GT,
    STATE(10457), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [512878] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [512920] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10459), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [512978] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13009), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13011), 1,
      anon_sym_GT,
    STATE(10460), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513050] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513092] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10459), 1,
      sym__simple_type,
    STATE(10462), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(20899), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513164] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10463), 1,
      sym_attribute,
    STATE(10792), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [513320] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13013), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13015), 1,
      anon_sym_GT,
    STATE(10466), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9232), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9218), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [513476] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13017), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13019), 1,
      anon_sym_GT,
    STATE(10469), 1,
      sym_attribute,
    STATE(14846), 1,
      sym__simple_type,
    STATE(17813), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513548] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10332), 1,
      sym__simple_type,
    STATE(10470), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(20907), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513620] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10328), 1,
      sym__simple_type,
    STATE(10471), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19159), 1,
      sym_extended_module_path,
    STATE(20908), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513692] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10472), 1,
      sym_attribute,
    STATE(11226), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513764] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13023), 1,
      anon_sym_let,
    ACTIONS(13025), 1,
      anon_sym_EQ,
    ACTIONS(13027), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    STATE(10473), 1,
      sym_attribute,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11237), 1,
      sym__type_equation,
    STATE(11563), 1,
      aux_sym_type_binding_repeat1,
    STATE(11664), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [513826] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(10474), 1,
      sym_attribute,
    STATE(11187), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19284), 1,
      sym_extended_module_path,
    STATE(19558), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513898] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13031), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13033), 1,
      anon_sym_GT,
    STATE(10475), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [513970] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13035), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13037), 1,
      anon_sym_GT,
    STATE(10476), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(10477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9330), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514086] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12919), 1,
      anon_sym_DOT,
    STATE(10478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9104), 15,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514130] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10479), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514202] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9228), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [514244] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10481), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514316] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13039), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13041), 1,
      anon_sym_GT,
    STATE(10482), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514388] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12963), 1,
      anon_sym_LBRACE,
    STATE(10483), 1,
      sym_attribute,
    STATE(14726), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(18626), 1,
      sym_record_declaration,
    STATE(18703), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514460] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13043), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13045), 1,
      anon_sym_GT,
    STATE(10484), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514532] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13047), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13049), 1,
      anon_sym_GT,
    STATE(10485), 1,
      sym_attribute,
    STATE(14837), 1,
      sym__simple_type,
    STATE(16650), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13053), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13051), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [514646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514688] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12963), 1,
      anon_sym_LBRACE,
    STATE(10488), 1,
      sym_attribute,
    STATE(14726), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    STATE(18626), 1,
      sym_record_declaration,
    STATE(18734), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514802] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514846] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13057), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13059), 1,
      anon_sym_GT,
    STATE(10491), 1,
      sym_attribute,
    STATE(14840), 1,
      sym__simple_type,
    STATE(17670), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [514918] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [514960] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13061), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13063), 1,
      anon_sym_GT,
    STATE(10493), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515032] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13065), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13067), 1,
      anon_sym_GT,
    STATE(10494), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515104] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10495), 1,
      sym_attribute,
    STATE(11543), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9304), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515218] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10497), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(11178), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9152), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515312] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10499), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12389), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [515364] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9224), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515448] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13069), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13071), 1,
      anon_sym_GT,
    STATE(10502), 1,
      sym_attribute,
    STATE(14883), 1,
      sym__simple_type,
    STATE(16750), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9258), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [515562] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515604] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [515646] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10506), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11686), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(21388), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515718] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10507), 1,
      sym_attribute,
    STATE(10697), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515790] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10508), 1,
      sym_attribute,
    STATE(10631), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515862] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10509), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(12045), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [515934] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13073), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13075), 1,
      anon_sym_GT,
    STATE(10510), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516006] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10511), 1,
      sym_attribute,
    STATE(11543), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516078] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9216), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516120] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10513), 1,
      sym_attribute,
    STATE(11040), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20226), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516192] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10514), 1,
      sym_attribute,
    STATE(11042), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20328), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516264] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10264), 1,
      sym__simple_type,
    STATE(10515), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(21500), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516336] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(75), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(77), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(8785), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(11769), 1,
      anon_sym_external,
    ACTIONS(11777), 1,
      anon_sym_open,
    ACTIONS(12405), 1,
      anon_sym_type,
    ACTIONS(12407), 1,
      anon_sym_exception,
    ACTIONS(12409), 1,
      anon_sym_module,
    ACTIONS(12411), 1,
      anon_sym_include,
    ACTIONS(12413), 1,
      anon_sym_class,
    ACTIONS(12415), 1,
      anon_sym_val,
    STATE(10516), 1,
      sym_attribute,
    STATE(14071), 1,
      aux_sym__structure_repeat1,
    STATE(14207), 1,
      sym__signature_item,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14199), 13,
      sym_external,
      sym_type_definition,
      sym_exception_definition,
      sym_module_definition,
      sym_module_type_definition,
      sym_open_module,
      sym_class_definition,
      sym_class_type_definition,
      sym_value_specification,
      sym_include_module_type,
      sym_floating_attribute,
      sym_item_extension,
      sym_quoted_item_extension,
  [516404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9008), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516446] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13077), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13079), 1,
      anon_sym_GT,
    STATE(10518), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9016), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516560] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516644] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13081), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13083), 1,
      anon_sym_GT,
    STATE(10522), 1,
      sym_attribute,
    STATE(14868), 1,
      sym__simple_type,
    STATE(17234), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [516758] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13085), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13087), 1,
      anon_sym_GT,
    STATE(10524), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516830] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13089), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13091), 1,
      anon_sym_GT,
    STATE(10525), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [516902] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13097), 1,
      anon_sym_LPAREN,
    STATE(10755), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10526), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(13095), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13093), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [516948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9178), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [516990] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10528), 1,
      sym_attribute,
    STATE(10631), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9108), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517104] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10530), 1,
      sym_attribute,
    STATE(10631), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517176] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13100), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13102), 1,
      anon_sym_GT,
    STATE(10531), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517248] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13104), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13106), 1,
      anon_sym_GT,
    STATE(10532), 1,
      sym_attribute,
    STATE(14884), 1,
      sym__simple_type,
    STATE(16626), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517320] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9100), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517362] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9096), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517404] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(10535), 1,
      sym_attribute,
    STATE(11062), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19111), 1,
      sym_extended_module_path,
    STATE(20326), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517518] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10537), 1,
      sym_attribute,
    STATE(11403), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517590] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10348), 1,
      sym__simple_type,
    STATE(10538), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18968), 1,
      sym_extended_module_path,
    STATE(22414), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9240), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [517704] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10276), 1,
      sym__simple_type,
    STATE(10540), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(21481), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517776] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10273), 1,
      sym__simple_type,
    STATE(10541), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18195), 1,
      sym_extended_module_path,
    STATE(21474), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [517848] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9088), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [517932] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13108), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13110), 1,
      anon_sym_GT,
    STATE(10544), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9310), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518046] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13112), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13114), 1,
      anon_sym_GT,
    STATE(10546), 1,
      sym_attribute,
    STATE(14843), 1,
      sym__simple_type,
    STATE(17572), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518118] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13116), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13118), 1,
      anon_sym_GT,
    STATE(10547), 1,
      sym_attribute,
    STATE(14878), 1,
      sym__simple_type,
    STATE(17443), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(6591), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(6589), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518232] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13122), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13120), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [518274] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10345), 1,
      sym__simple_type,
    STATE(10550), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18968), 1,
      sym_extended_module_path,
    STATE(22490), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518346] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [518388] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10552), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11776), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(21067), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518460] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10553), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11796), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(21065), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518532] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10554), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11898), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(21397), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518604] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13124), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13126), 1,
      anon_sym_GT,
    STATE(10555), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9202), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [518718] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13128), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13130), 1,
      anon_sym_GT,
    STATE(10557), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518790] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13132), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13134), 1,
      anon_sym_GT,
    STATE(10558), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518862] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10397), 1,
      sym__simple_type,
    STATE(10559), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [518934] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(10560), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11886), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    STATE(21396), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9298), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13138), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13136), 25,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [519090] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10397), 1,
      sym__simple_type,
    STATE(10563), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519162] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12993), 1,
      sym__lowercase_identifier,
    ACTIONS(12995), 1,
      anon_sym_POUND,
    STATE(10564), 1,
      sym_attribute,
    STATE(10957), 1,
      sym_type_constructor_path,
    STATE(18980), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [519214] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10565), 1,
      sym_attribute,
    STATE(11357), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9120), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519412] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12997), 1,
      sym__lowercase_identifier,
    ACTIONS(13140), 1,
      anon_sym_POUND,
    STATE(10569), 1,
      sym_attribute,
    STATE(10895), 1,
      sym_type_constructor_path,
    STATE(19049), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [519464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9022), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519506] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519548] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(10572), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11952), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    STATE(21063), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519620] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9314), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519704] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10575), 1,
      sym_attribute,
    STATE(11374), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19281), 1,
      sym_extended_module_path,
    STATE(21935), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519776] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9300), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [519860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9374), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [519902] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13142), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13144), 1,
      anon_sym_GT,
    STATE(10579), 1,
      sym_attribute,
    STATE(14845), 1,
      sym__simple_type,
    STATE(17248), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [519974] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10580), 1,
      sym_attribute,
    STATE(11342), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18291), 1,
      sym_extended_module_path,
    STATE(20068), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9378), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520088] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10582), 1,
      sym_attribute,
    STATE(10700), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18338), 1,
      sym_extended_module_path,
    STATE(20618), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520160] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13146), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13148), 1,
      anon_sym_GT,
    STATE(10583), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9384), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520274] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10585), 1,
      sym_attribute,
    STATE(11357), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520346] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12997), 1,
      sym__lowercase_identifier,
    ACTIONS(12999), 1,
      anon_sym_POUND,
    STATE(10586), 1,
      sym_attribute,
    STATE(10913), 1,
      sym_type_constructor_path,
    STATE(19049), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [520398] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9390), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520440] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9400), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520482] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13150), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13152), 1,
      anon_sym_GT,
    STATE(10589), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520554] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10590), 1,
      sym_attribute,
    STATE(11336), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19281), 1,
      sym_extended_module_path,
    STATE(21952), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520626] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(10591), 1,
      sym_attribute,
    STATE(10708), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18338), 1,
      sym_extended_module_path,
    STATE(20619), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520698] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(10592), 1,
      sym_attribute,
    STATE(11339), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(19281), 1,
      sym_extended_module_path,
    STATE(21947), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [520770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9396), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520854] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [520896] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9358), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [520938] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13027), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13156), 1,
      anon_sym_let,
    ACTIONS(13158), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10597), 1,
      sym_attribute,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11292), 1,
      sym__type_equation,
    STATE(11540), 1,
      aux_sym_type_binding_repeat1,
    STATE(11598), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13154), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [521000] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10397), 1,
      sym__simple_type,
    STATE(10598), 1,
      sym_attribute,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11666), 1,
      sym__constructor_argument,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521072] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9092), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521156] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13160), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13162), 1,
      anon_sym_GT,
    STATE(10601), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521228] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9084), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521270] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10603), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12625), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [521328] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9088), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9092), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9100), 16,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [521454] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9350), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [521496] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13164), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13166), 1,
      anon_sym_GT,
    STATE(10608), 1,
      sym_attribute,
    STATE(14838), 1,
      sym__simple_type,
    STATE(18129), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521568] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13168), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13170), 1,
      anon_sym_GT,
    STATE(10609), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521640] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12993), 1,
      sym__lowercase_identifier,
    ACTIONS(13172), 1,
      anon_sym_POUND,
    STATE(10610), 1,
      sym_attribute,
    STATE(10949), 1,
      sym_type_constructor_path,
    STATE(18980), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [521692] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(10611), 1,
      sym_attribute,
    STATE(11346), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(18291), 1,
      sym_extended_module_path,
    STATE(20063), 1,
      sym__constructor_argument,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521764] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10612), 1,
      sym_attribute,
    STATE(11249), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11641), 1,
      sym__constructor_argument,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521836] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13174), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13176), 1,
      anon_sym_GT,
    STATE(10613), 1,
      sym_attribute,
    STATE(14901), 1,
      sym__simple_type,
    STATE(17834), 1,
      sym_method_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521908] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10614), 1,
      sym_attribute,
    STATE(11357), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [521980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9084), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9006), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522064] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13178), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13180), 1,
      anon_sym_GT,
    STATE(10617), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522136] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13182), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13184), 1,
      anon_sym_GT,
    STATE(10618), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522208] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    ACTIONS(13186), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13188), 1,
      anon_sym_GT,
    STATE(10619), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522280] = 20,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10508), 1,
      anon_sym_LBRACE,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(10620), 1,
      sym_attribute,
    STATE(11249), 1,
      sym__simple_type,
    STATE(11572), 1,
      sym_record_declaration,
    STATE(11651), 1,
      sym__constructor_argument,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522352] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9076), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522394] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9080), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_POUND,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9248), 16,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym_hash_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522478] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11465), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [522537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13204), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(13206), 13,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_begin,
      sym__lowercase_identifier,
  [522578] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(10626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [522621] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13208), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(10627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [522666] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [522709] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10629), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18622), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [522778] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9342), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522819] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    ACTIONS(13212), 1,
      anon_sym_STAR,
    STATE(10631), 1,
      sym_attribute,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(12193), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12951), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [522874] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9354), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [522915] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [522956] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13216), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13214), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [522997] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523089] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13192), 1,
      sym_pow_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523134] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13192), 1,
      sym_pow_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523220] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [523273] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [523326] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13218), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(10642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523371] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [523428] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(13220), 1,
      anon_sym_POUND,
    STATE(10644), 1,
      sym_attribute,
    STATE(11338), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 10,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [523479] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [523538] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    ACTIONS(13222), 1,
      anon_sym_COMMA,
    ACTIONS(13224), 1,
      sym_assign_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 14,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [523644] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [523691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12234), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [523732] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12883), 1,
      anon_sym_let,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13226), 1,
      anon_sym_COLON2,
    STATE(10650), 1,
      sym_attribute,
    STATE(10661), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11256), 1,
      sym__module_typed,
    STATE(11633), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12881), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13230), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13228), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [523832] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    ACTIONS(13222), 1,
      anon_sym_COMMA,
    ACTIONS(13224), 1,
      sym_assign_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523895] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    ACTIONS(13222), 1,
      anon_sym_COMMA,
    ACTIONS(13224), 1,
      sym_assign_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [523958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9326), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [523999] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10655), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18472), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524068] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10656), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18478), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [524137] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524178] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13234), 1,
      anon_sym_POUND,
    STATE(10658), 1,
      sym_attribute,
    STATE(11358), 1,
      sym_type_constructor_path,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [524229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524311] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(12947), 1,
      anon_sym_let,
    ACTIONS(13226), 1,
      anon_sym_COLON2,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10661), 1,
      sym_attribute,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11174), 1,
      sym__module_typed,
    STATE(11786), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12945), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524411] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12661), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12659), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524534] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524575] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [524616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9292), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [524657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524698] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    STATE(10670), 1,
      sym_attribute,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(12138), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13244), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13250), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13248), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13254), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13252), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524833] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(10673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524876] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [524917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13156), 1,
      anon_sym_let,
    ACTIONS(13256), 1,
      anon_sym_EQ,
    ACTIONS(13258), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10675), 1,
      sym_attribute,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11533), 1,
      sym__type_equation,
    STATE(11598), 1,
      aux_sym_expression_item_repeat1,
    STATE(11697), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13154), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [524978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13208), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(10676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [525023] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10677), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18342), 1,
      sym__tuple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9314), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [525133] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10679), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18319), 1,
      sym__tuple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525202] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9084), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525284] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9088), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9092), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525366] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9100), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525450] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525532] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(10688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [525575] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    ACTIONS(13222), 1,
      anon_sym_COMMA,
    ACTIONS(13224), 1,
      sym_assign_operator,
    ACTIONS(13262), 1,
      anon_sym_SEMI,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [525640] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 11,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_as,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9336), 15,
      anon_sym_LPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_PIPE,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [525681] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9310), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [525722] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13218), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(10693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [525808] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(10694), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [525865] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [525906] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10696), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18749), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [525975] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    ACTIONS(13268), 1,
      anon_sym_STAR,
    STATE(10697), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(11970), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12951), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526030] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13272), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13270), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526071] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13023), 1,
      anon_sym_let,
    ACTIONS(13258), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13274), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10699), 1,
      sym_attribute,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11476), 1,
      sym__type_equation,
    STATE(11664), 1,
      aux_sym_expression_item_repeat1,
    STATE(11841), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526132] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(10700), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526189] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12673), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12671), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526271] = 20,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13276), 1,
      sym__lowercase_identifier,
    ACTIONS(13278), 1,
      anon_sym_let,
    ACTIONS(13280), 1,
      anon_sym_LPAREN,
    ACTIONS(13282), 1,
      anon_sym_BANG,
    ACTIONS(13284), 1,
      anon_sym_LBRACK,
    ACTIONS(13286), 1,
      anon_sym_fun,
    STATE(2909), 1,
      sym__simple_class_expression,
    STATE(10703), 1,
      sym_attribute,
    STATE(14270), 1,
      sym__class_expression,
    STATE(21546), 1,
      sym_value_definition,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [526342] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(10704), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12787), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526399] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(10705), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12817), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526497] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9304), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [526538] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(10708), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526636] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526677] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526759] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13190), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13192), 1,
      sym_pow_operator,
    ACTIONS(13194), 1,
      sym_mult_operator,
    ACTIONS(13196), 1,
      sym_concat_operator,
    ACTIONS(13198), 1,
      sym_rel_operator,
    ACTIONS(13200), 1,
      sym_and_operator,
    ACTIONS(13202), 1,
      sym_or_operator,
    ACTIONS(13222), 1,
      anon_sym_COMMA,
    ACTIONS(13224), 1,
      sym_assign_operator,
    STATE(2561), 1,
      sym_add_operator,
    STATE(10713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [526822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13290), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13288), 24,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [526863] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(10715), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13294), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [526914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [526955] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 3,
      anon_sym_COLON2,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9300), 23,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_hash_operator,
  [526996] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13298), 1,
      anon_sym_POUND,
    STATE(10718), 1,
      sym_attribute,
    STATE(11307), 1,
      sym_type_constructor_path,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [527047] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13300), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10719), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527090] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(10720), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12625), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [527147] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_PIPE,
    STATE(10719), 1,
      aux_sym__match_cases_repeat1,
    STATE(10721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527192] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_PIPE,
    STATE(10719), 1,
      aux_sym__match_cases_repeat1,
    STATE(10722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527237] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13307), 1,
      anon_sym_let,
    ACTIONS(13309), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10723), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13305), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527282] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_PIPE,
    STATE(10721), 1,
      aux_sym__match_cases_repeat1,
    STATE(10724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527327] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13303), 1,
      anon_sym_PIPE,
    STATE(10722), 1,
      aux_sym__match_cases_repeat1,
    STATE(10725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [527372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527413] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10727), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18722), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527482] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10728), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18889), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527551] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527633] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 15,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [527674] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10732), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18529), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527743] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(8989), 1,
      sym_tuple_type,
    STATE(10733), 1,
      sym_attribute,
    STATE(13097), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18905), 1,
      sym__tuple_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [527812] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9196), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9194), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [527852] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9304), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [527892] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13314), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13312), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [527932] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9182), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [527972] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(10738), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528040] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [528080] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(10740), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12817), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528136] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9022), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [528176] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(10742), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528244] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10743), 1,
      sym_attribute,
    STATE(11769), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528312] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10744), 1,
      sym_attribute,
    STATE(11751), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528380] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10745), 1,
      sym_attribute,
    STATE(11737), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13204), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_LPAREN,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(13206), 14,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_begin,
      sym__lowercase_identifier,
  [528488] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10747), 1,
      sym_attribute,
    STATE(11758), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528556] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10748), 1,
      sym_attribute,
    STATE(11733), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528624] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10749), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528692] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(10750), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12787), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [528748] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10751), 1,
      sym_attribute,
    STATE(11693), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528816] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10752), 1,
      sym_attribute,
    STATE(11679), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528884] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13354), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13352), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [528924] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10754), 1,
      sym_attribute,
    STATE(11650), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [528992] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13358), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13356), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529032] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13360), 1,
      anon_sym_POUND,
    STATE(10756), 1,
      sym_attribute,
    STATE(11559), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [529082] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10757), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529150] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13362), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(10758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [529194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [529234] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10760), 1,
      sym_attribute,
    STATE(11661), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529302] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529364] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [529444] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13382), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(10764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [529488] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [529528] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10766), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [529636] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [529738] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [529784] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10771), 1,
      sym_attribute,
    STATE(11650), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [529852] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [529914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13388), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10773), 1,
      sym_attribute,
    STATE(10963), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [529960] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(10774), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530010] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [530068] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [530124] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [530176] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [530228] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10779), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [530278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13394), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13392), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530318] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      sym_pow_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [530362] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10782), 1,
      sym_attribute,
    STATE(11679), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530430] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10783), 1,
      sym_attribute,
    STATE(11693), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530498] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(10784), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13294), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530548] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(10785), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530598] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13368), 1,
      sym_pow_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [530642] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [530692] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [530750] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10789), 1,
      sym_attribute,
    STATE(11808), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9330), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [530858] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(10791), 1,
      sym_attribute,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [530926] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    ACTIONS(13396), 1,
      anon_sym_STAR,
    STATE(10792), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(12472), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12951), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [530980] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    ACTIONS(13410), 1,
      sym_or_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11465), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [531038] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [531088] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      sym_pow_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [531132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [531172] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10797), 1,
      sym_attribute,
    STATE(17058), 1,
      sym__class_expression,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [531240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      sym_pow_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [531284] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [531336] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [531388] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10801), 1,
      sym_attribute,
    STATE(11862), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [531456] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [531512] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    ACTIONS(13410), 1,
      sym_or_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [531570] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    ACTIONS(13410), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531632] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [531678] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    ACTIONS(13410), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531740] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10807), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [531796] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10808), 1,
      sym_attribute,
    STATE(11917), 1,
      sym__class_expression,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [531864] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    ACTIONS(13410), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      sym_assign_operator,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [531926] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10810), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [531982] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10811), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [532038] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(10812), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [532094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12236), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532134] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13388), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10815), 1,
      sym_attribute,
    STATE(10963), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13428), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13426), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532220] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(10816), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [532270] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10817), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12625), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [532326] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10818), 1,
      sym_attribute,
    STATE(11769), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [532394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [532434] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [532474] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13388), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10773), 1,
      aux_sym_type_binding_repeat1,
    STATE(10821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13428), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13426), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [532520] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10822), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [532588] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10823), 1,
      sym_attribute,
    STATE(17801), 1,
      sym__class_expression,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [532656] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10824), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12817), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [532712] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10825), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12787), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [532768] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(10826), 1,
      sym_attribute,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [532818] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9292), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [532858] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10828), 1,
      sym_attribute,
    STATE(11917), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [532926] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(10829), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [532982] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9340), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9342), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533062] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10832), 1,
      sym_attribute,
    STATE(11862), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533130] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13276), 1,
      sym__lowercase_identifier,
    ACTIONS(13278), 1,
      anon_sym_let,
    ACTIONS(13280), 1,
      anon_sym_LPAREN,
    ACTIONS(13284), 1,
      anon_sym_LBRACK,
    ACTIONS(13286), 1,
      anon_sym_fun,
    STATE(2909), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(10833), 1,
      sym_attribute,
    STATE(21546), 1,
      sym_value_definition,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533198] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13434), 1,
      anon_sym_COLON,
    STATE(10835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9520), 11,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9522), 13,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [533280] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(10836), 1,
      sym_attribute,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533428] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9200), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9198), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [533468] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533588] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10843), 1,
      sym_attribute,
    STATE(11650), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533656] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10844), 1,
      sym_attribute,
    STATE(11808), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [533764] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10846), 1,
      sym_attribute,
    STATE(11679), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533832] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10847), 1,
      sym_attribute,
    STATE(11693), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533900] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10848), 1,
      sym_attribute,
    STATE(11661), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [533968] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10849), 1,
      sym_attribute,
    STATE(11758), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534036] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10850), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534104] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10851), 1,
      sym_attribute,
    STATE(11733), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534172] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10852), 1,
      sym_attribute,
    STATE(11758), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13448), 3,
      anon_sym_let,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13446), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534280] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9192), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9190), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534320] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_LBRACK,
    STATE(10855), 1,
      sym_attribute,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(12439), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13454), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [534372] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10856), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [534480] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10858), 1,
      sym_attribute,
    STATE(11737), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534548] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10859), 1,
      sym_attribute,
    STATE(11751), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534616] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9288), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9290), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534656] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10861), 1,
      sym_attribute,
    STATE(11769), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534724] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9374), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9204), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9202), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534804] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(10864), 1,
      sym_attribute,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9378), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [534912] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10866), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [534980] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13466), 1,
      anon_sym_STAR,
    STATE(10867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11538), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [535022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9384), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535102] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10870), 1,
      sym_attribute,
    STATE(11751), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535170] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10871), 1,
      sym_attribute,
    STATE(11769), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535238] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10872), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535306] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9400), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535346] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10874), 1,
      sym_attribute,
    STATE(11917), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535414] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535454] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10876), 1,
      sym_attribute,
    STATE(11737), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535522] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535562] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10878), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535630] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(10879), 1,
      sym_attribute,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535738] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10881), 1,
      sym_attribute,
    STATE(11758), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535806] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [535846] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9208), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9206), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [535886] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10884), 1,
      sym_attribute,
    STATE(11733), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [535954] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(10885), 1,
      sym_attribute,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536022] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536062] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9212), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9210), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536102] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(10888), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [536158] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10889), 1,
      sym_attribute,
    STATE(11661), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536226] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10890), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536294] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10891), 1,
      sym_attribute,
    STATE(11693), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536362] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10892), 1,
      sym_attribute,
    STATE(11808), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536430] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10893), 1,
      sym_attribute,
    STATE(11679), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536498] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10894), 1,
      sym_attribute,
    STATE(11650), 1,
      sym__class_expression,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9220), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9218), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9396), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536686] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10898), 1,
      sym_attribute,
    STATE(16683), 1,
      sym__class_expression,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9300), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536794] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13276), 1,
      sym__lowercase_identifier,
    ACTIONS(13278), 1,
      anon_sym_let,
    ACTIONS(13280), 1,
      anon_sym_LPAREN,
    ACTIONS(13284), 1,
      anon_sym_LBRACK,
    ACTIONS(13286), 1,
      anon_sym_fun,
    STATE(2909), 1,
      sym__simple_class_expression,
    STATE(10900), 1,
      sym_attribute,
    STATE(14264), 1,
      sym__class_expression,
    STATE(21546), 1,
      sym_value_definition,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [536862] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9244), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9242), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536902] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9260), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9258), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [536942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [536982] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13276), 1,
      sym__lowercase_identifier,
    ACTIONS(13278), 1,
      anon_sym_let,
    ACTIONS(13280), 1,
      anon_sym_LPAREN,
    ACTIONS(13284), 1,
      anon_sym_LBRACK,
    ACTIONS(13286), 1,
      anon_sym_fun,
    STATE(2909), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(10904), 1,
      sym_attribute,
    STATE(21546), 1,
      sym_value_definition,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537050] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(10905), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13294), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [537100] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13468), 1,
      anon_sym_DOT,
    ACTIONS(13470), 1,
      anon_sym_POUND,
    ACTIONS(13472), 1,
      sym_hash_operator,
    STATE(10906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10834), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10832), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537146] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537226] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10909), 1,
      sym_attribute,
    STATE(16644), 1,
      sym__class_expression,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537294] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9310), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537334] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(10911), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9010), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9008), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537442] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537482] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13468), 1,
      anon_sym_DOT,
    ACTIONS(13470), 1,
      anon_sym_POUND,
    ACTIONS(13472), 1,
      sym_hash_operator,
    STATE(10914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10830), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10828), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537528] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8057), 1,
      anon_sym_object,
    ACTIONS(9734), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9736), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13276), 1,
      sym__lowercase_identifier,
    ACTIONS(13278), 1,
      anon_sym_let,
    ACTIONS(13280), 1,
      anon_sym_LPAREN,
    ACTIONS(13284), 1,
      anon_sym_LBRACK,
    ACTIONS(13286), 1,
      anon_sym_fun,
    STATE(2909), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(10915), 1,
      sym_attribute,
    STATE(21546), 1,
      sym_value_definition,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(9554), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537596] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(10916), 1,
      sym_attribute,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537664] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_LBRACK,
    STATE(10917), 1,
      sym_attribute,
    STATE(11909), 1,
      sym__constructor_name,
    STATE(12415), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13478), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [537716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12236), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [537756] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(10919), 1,
      sym_attribute,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [537824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9314), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537864] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9358), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9296), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9298), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537944] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9004), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9006), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [537984] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13430), 1,
      anon_sym_let,
    ACTIONS(13432), 1,
      anon_sym_fun,
    STATE(2844), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(10924), 1,
      sym_attribute,
    STATE(19951), 1,
      sym_module_path,
    STATE(22073), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538052] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538172] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538212] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538252] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538332] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9226), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9228), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538372] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9352), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9354), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538492] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10936), 1,
      sym_attribute,
    STATE(11862), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538560] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10937), 1,
      sym_attribute,
    STATE(11917), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [538628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538668] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538708] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9350), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538748] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538788] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(10943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [538870] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(10944), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12625), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [538926] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [538966] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539006] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    ACTIONS(13480), 1,
      anon_sym_SEMI,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 10,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [539070] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539110] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13484), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13482), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13488), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13486), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539270] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539310] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9284), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9286), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539390] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539430] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539470] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539510] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(10959), 1,
      sym_attribute,
    STATE(11917), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [539578] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9000), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9002), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539618] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(10961), 1,
      sym_attribute,
    STATE(11862), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [539686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8994), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8996), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539726] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13494), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(10963), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [539770] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [539810] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9336), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539850] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8990), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8992), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539890] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9276), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9278), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539930] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(10968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9328), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9330), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [539972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9324), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9326), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540012] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(10970), 1,
      sym_attribute,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540080] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9272), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9274), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540120] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [540160] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(10973), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13499), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [540210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9266), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9268), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [540290] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(10976), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12787), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [540346] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(10977), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13505), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [540396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13362), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(10978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [540440] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9086), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540480] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(10980), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12817), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [540536] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13364), 1,
      anon_sym_COMMA,
    ACTIONS(13366), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13368), 1,
      sym_pow_operator,
    ACTIONS(13370), 1,
      sym_mult_operator,
    ACTIONS(13372), 1,
      sym_concat_operator,
    ACTIONS(13374), 1,
      sym_rel_operator,
    ACTIONS(13376), 1,
      sym_and_operator,
    ACTIONS(13378), 1,
      sym_or_operator,
    ACTIONS(13380), 1,
      sym_assign_operator,
    STATE(2131), 1,
      sym_add_operator,
    STATE(10981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 11,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [540598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9090), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540638] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(10983), 1,
      sym_attribute,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540706] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2329), 1,
      sym_add_operator,
    STATE(10984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 8,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [540748] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13336), 1,
      sym__lowercase_identifier,
    ACTIONS(13338), 1,
      anon_sym_let,
    ACTIONS(13340), 1,
      anon_sym_LPAREN,
    ACTIONS(13342), 1,
      anon_sym_LBRACK,
    ACTIONS(13344), 1,
      anon_sym_object,
    ACTIONS(13346), 1,
      anon_sym_fun,
    ACTIONS(13348), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13350), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2856), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(10985), 1,
      sym_attribute,
    STATE(19766), 1,
      sym_module_path,
    STATE(22160), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8362), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9094), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [540856] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10987), 1,
      sym_attribute,
    STATE(11862), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [540924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9336), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [540964] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10989), 1,
      sym_attribute,
    STATE(16857), 1,
      sym__class_expression,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541032] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [541074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9262), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9264), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541114] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10992), 1,
      sym_attribute,
    STATE(11737), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541182] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(10993), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9102), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541290] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10995), 1,
      sym_attribute,
    STATE(17241), 1,
      sym__class_expression,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541358] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(10996), 1,
      sym_attribute,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541426] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(10997), 1,
      sym_attribute,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(10998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8935), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8937), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541534] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10999), 1,
      sym_attribute,
    STATE(11830), 1,
      sym__class_expression,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8931), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8933), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541642] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(11001), 1,
      sym_attribute,
    STATE(11733), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [541710] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13509), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13507), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [541750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9390), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [541830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8927), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8929), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9250), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9252), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541910] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [541950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9246), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9248), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [541990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13513), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13511), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542030] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11010), 1,
      sym_attribute,
    STATE(11808), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542138] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11012), 1,
      sym_attribute,
    STATE(11661), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13517), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13515), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9238), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9240), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9234), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9236), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542326] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9230), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9232), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [542366] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13388), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(10815), 1,
      aux_sym_type_binding_repeat1,
    STATE(11017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13521), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13519), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542412] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542452] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10486), 1,
      sym__class_expression,
    STATE(11019), 1,
      sym_attribute,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542520] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8835), 1,
      anon_sym_object,
    ACTIONS(8847), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8849), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13412), 1,
      sym__lowercase_identifier,
    ACTIONS(13414), 1,
      anon_sym_let,
    ACTIONS(13416), 1,
      anon_sym_LPAREN,
    ACTIONS(13418), 1,
      anon_sym_LBRACK,
    ACTIONS(13420), 1,
      anon_sym_fun,
    STATE(3303), 1,
      sym__simple_class_expression,
    STATE(10340), 1,
      sym__class_expression,
    STATE(11020), 1,
      sym_attribute,
    STATE(19699), 1,
      sym_module_path,
    STATE(21253), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(11172), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13525), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13523), 23,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [542628] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [542668] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13382), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(11023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542712] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2131), 1,
      sym_add_operator,
    STATE(11024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 17,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [542754] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7695), 1,
      anon_sym_object,
    ACTIONS(9712), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9714), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13436), 1,
      sym__lowercase_identifier,
    ACTIONS(13438), 1,
      anon_sym_let,
    ACTIONS(13440), 1,
      anon_sym_LPAREN,
    ACTIONS(13442), 1,
      anon_sym_LBRACK,
    ACTIONS(13444), 1,
      anon_sym_fun,
    STATE(2879), 1,
      sym__simple_class_expression,
    STATE(10549), 1,
      sym__class_expression,
    STATE(11025), 1,
      sym_attribute,
    STATE(20489), 1,
      sym_module_path,
    STATE(21162), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8776), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542822] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11026), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [542872] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(11027), 1,
      sym_attribute,
    STATE(11661), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [542940] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11028), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12625), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [542996] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11029), 1,
      sym_attribute,
    STATE(11614), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543064] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11030), 1,
      sym_attribute,
    STATE(11769), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543132] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [543172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13468), 1,
      anon_sym_DOT,
    ACTIONS(13470), 1,
      anon_sym_POUND,
    ACTIONS(13472), 1,
      sym_hash_operator,
    STATE(11032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10802), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10800), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 15,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [543258] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12449), 1,
      sym__lowercase_identifier,
    ACTIONS(12613), 1,
      anon_sym_POUND,
    STATE(10461), 1,
      sym_type_constructor_path,
    STATE(11034), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [543308] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13468), 1,
      anon_sym_DOT,
    ACTIONS(13470), 1,
      anon_sym_POUND,
    ACTIONS(13472), 1,
      sym_hash_operator,
    STATE(11035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10788), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10786), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543354] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12839), 1,
      sym__lowercase_identifier,
    STATE(11036), 1,
      sym_attribute,
    STATE(15200), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    STATE(18448), 1,
      sym_method_type,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [543420] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9222), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9224), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543460] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9214), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9216), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543500] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9180), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9178), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543540] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11040), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [543596] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9110), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9108), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543636] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11042), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [543692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [543732] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9140), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9138), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543772] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11045), 1,
      sym_attribute,
    STATE(11751), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543840] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11046), 1,
      sym_attribute,
    STATE(11737), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [543908] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9082), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9080), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9078), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9076), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [543988] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9122), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9120), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544028] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(11050), 1,
      sym_attribute,
    STATE(11751), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544096] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11051), 1,
      sym_attribute,
    STATE(11758), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544164] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11052), 1,
      sym_attribute,
    STATE(11733), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544232] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11053), 1,
      sym_attribute,
    STATE(11730), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544300] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11054), 1,
      sym_attribute,
    STATE(11693), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544368] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11055), 1,
      sym_attribute,
    STATE(11679), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544436] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7355), 1,
      anon_sym_object,
    ACTIONS(9730), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(9732), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13456), 1,
      sym__lowercase_identifier,
    ACTIONS(13458), 1,
      anon_sym_let,
    ACTIONS(13460), 1,
      anon_sym_LPAREN,
    ACTIONS(13462), 1,
      anon_sym_LBRACK,
    ACTIONS(13464), 1,
      anon_sym_fun,
    STATE(2880), 1,
      sym__simple_class_expression,
    STATE(11056), 1,
      sym_attribute,
    STATE(11650), 1,
      sym__class_expression,
    STATE(20136), 1,
      sym_module_path,
    STATE(21541), 1,
      sym_value_definition,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(8793), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [544504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9150), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9152), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544544] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9144), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9142), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9098), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9096), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [544624] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11060), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [544674] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13531), 1,
      anon_sym_PIPE,
    STATE(11061), 1,
      sym_attribute,
    STATE(11064), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544718] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11062), 1,
      sym_attribute,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [544774] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13531), 1,
      anon_sym_PIPE,
    STATE(11063), 1,
      sym_attribute,
    STATE(11065), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544818] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13531), 1,
      anon_sym_PIPE,
    STATE(11064), 1,
      sym_attribute,
    STATE(11066), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544862] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13531), 1,
      anon_sym_PIPE,
    STATE(11065), 1,
      sym_attribute,
    STATE(11066), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544906] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13533), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11066), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [544948] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [544988] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10286), 1,
      sym__lowercase_identifier,
    ACTIONS(13536), 1,
      anon_sym_COLON2,
    STATE(11068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12559), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [545034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9154), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9156), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9158), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9160), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545114] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9042), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9044), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545154] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9166), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9168), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9170), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9172), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545234] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9174), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9176), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545274] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13398), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13400), 1,
      sym_pow_operator,
    ACTIONS(13402), 1,
      sym_mult_operator,
    ACTIONS(13404), 1,
      sym_concat_operator,
    ACTIONS(13406), 1,
      sym_rel_operator,
    ACTIONS(13408), 1,
      sym_and_operator,
    ACTIONS(13410), 1,
      sym_or_operator,
    ACTIONS(13422), 1,
      anon_sym_COMMA,
    ACTIONS(13424), 1,
      sym_assign_operator,
    ACTIONS(13538), 1,
      anon_sym_SEMI,
    STATE(2329), 1,
      sym_add_operator,
    STATE(11075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [545338] = 19,
    ACTIONS(409), 1,
      sym_let_operator,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13316), 1,
      sym__lowercase_identifier,
    ACTIONS(13318), 1,
      anon_sym_let,
    ACTIONS(13320), 1,
      anon_sym_LPAREN,
    ACTIONS(13322), 1,
      anon_sym_LBRACK,
    ACTIONS(13324), 1,
      anon_sym_object,
    ACTIONS(13326), 1,
      anon_sym_fun,
    ACTIONS(13328), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13330), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(2848), 1,
      sym__simple_class_expression,
    STATE(11076), 1,
      sym_attribute,
    STATE(11808), 1,
      sym__class_expression,
    STATE(19926), 1,
      sym_value_definition,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10548), 4,
      sym_class_function,
      sym_class_application,
      sym_let_class_expression,
      sym_let_open_class_expression,
    STATE(7984), 7,
      sym_instantiated_class,
      sym_typed_class_expression,
      sym_parenthesized_class_expression,
      sym_object_expression,
      sym_extension,
      sym_quoted_extension,
      sym_class_path,
  [545406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9148), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9146), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545446] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9186), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9188), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9132), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9130), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9014), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9016), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545566] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8923), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(8925), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545606] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9114), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9112), 16,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [545686] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13468), 1,
      anon_sym_DOT,
    STATE(11084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9106), 9,
      anon_sym_and,
      anon_sym_PIPE,
      anon_sym_POUND,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(9104), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [545728] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11085), 1,
      sym_attribute,
    STATE(12763), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545791] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11086), 1,
      sym_attribute,
    STATE(15011), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [545854] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [545905] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11088), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12787), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [545960] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [545999] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 13,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_rel_operator,
      sym_assign_operator,
  [546050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13542), 1,
      sym_pow_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [546093] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11092), 1,
      sym_attribute,
    STATE(11850), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546156] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_DASH_GT,
    ACTIONS(13558), 1,
      anon_sym_as,
    STATE(11093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13552), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546199] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(10905), 1,
      sym__simple_type,
    STATE(11094), 1,
      sym_attribute,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546262] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11095), 1,
      sym_attribute,
    STATE(11991), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546325] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11096), 1,
      sym_attribute,
    STATE(11958), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546388] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    STATE(11097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13523), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13525), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [546431] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13542), 1,
      sym_pow_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [546474] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_LBRACK_AT_AT,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [546523] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [546580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [546619] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_DASH_GT,
    ACTIONS(13558), 1,
      anon_sym_as,
    STATE(11102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13566), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [546662] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11103), 1,
      sym_attribute,
    STATE(11865), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [546764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [546803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [546842] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11107), 1,
      sym_attribute,
    STATE(12000), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546905] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11108), 1,
      sym_attribute,
    STATE(11874), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [546968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547007] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13570), 1,
      anon_sym_COLON2,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11110), 1,
      sym_attribute,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11174), 1,
      sym__module_typed,
    STATE(11786), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12945), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547062] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11111), 1,
      sym_attribute,
    STATE(11876), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547125] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11112), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12817), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [547180] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11113), 1,
      sym_attribute,
    STATE(11918), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547243] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [547321] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11116), 1,
      sym_attribute,
    STATE(11921), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547384] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11117), 1,
      sym_attribute,
    STATE(11928), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547447] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13572), 1,
      anon_sym_COLON2,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11118), 1,
      sym_attribute,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11174), 1,
      sym__module_typed,
    STATE(11786), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12945), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [547502] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11119), 1,
      sym_attribute,
    STATE(11802), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547565] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(11034), 1,
      sym__simple_type,
    STATE(11120), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547628] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(11121), 1,
      sym_attribute,
    STATE(13238), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547691] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11122), 1,
      sym_attribute,
    STATE(11896), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547754] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11123), 1,
      sym_attribute,
    STATE(12009), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547817] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [547856] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11125), 1,
      sym_attribute,
    STATE(12012), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [547919] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13576), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13574), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [547958] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10977), 1,
      sym__simple_type,
    STATE(11127), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548021] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10973), 1,
      sym__simple_type,
    STATE(11128), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548084] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11129), 1,
      sym_attribute,
    STATE(12022), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548147] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11130), 1,
      sym_attribute,
    STATE(11885), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [548249] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(12234), 13,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [548288] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [548327] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    ACTIONS(13578), 1,
      anon_sym_COMMA,
    ACTIONS(13580), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [548388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9092), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [548427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9088), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [548466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [548505] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10286), 1,
      sym__lowercase_identifier,
    ACTIONS(13582), 1,
      anon_sym_COLON2,
    STATE(11138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12559), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12561), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548550] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11139), 1,
      sym_attribute,
    STATE(11877), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548613] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9100), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [548652] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_DASH_GT,
    STATE(11141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13584), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [548693] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_LBRACK_AT_AT,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [548748] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13588), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11143), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
    ACTIONS(13307), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13305), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [548791] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11144), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12625), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [548846] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11145), 1,
      sym_attribute,
    STATE(11875), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548909] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11146), 1,
      sym_attribute,
    STATE(11199), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [548972] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 12,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_assign_operator,
  [549029] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10816), 1,
      sym__simple_type,
    STATE(11148), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549092] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    ACTIONS(13578), 1,
      anon_sym_COMMA,
    ACTIONS(13580), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549153] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 15,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [549198] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11151), 1,
      sym_attribute,
    STATE(11787), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549261] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13593), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13591), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549300] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12206), 1,
      anon_sym_LPAREN,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12216), 1,
      anon_sym_LT,
    ACTIONS(12218), 1,
      anon_sym_POUND,
    ACTIONS(12220), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12222), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12224), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13595), 1,
      sym__lowercase_identifier,
    STATE(10564), 1,
      sym__simple_type,
    STATE(11153), 1,
      sym_attribute,
    STATE(19005), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11018), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549363] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12041), 1,
      anon_sym_LPAREN,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12049), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12051), 1,
      anon_sym_LT,
    ACTIONS(12053), 1,
      anon_sym_POUND,
    ACTIONS(12055), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12057), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12059), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13597), 1,
      sym__lowercase_identifier,
    STATE(10138), 1,
      sym__simple_type,
    STATE(11154), 1,
      sym_attribute,
    STATE(18425), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10271), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549426] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(10779), 1,
      sym__simple_type,
    STATE(11155), 1,
      sym_attribute,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549489] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11026), 1,
      sym__simple_type,
    STATE(11156), 1,
      sym_attribute,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549552] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13572), 1,
      anon_sym_COLON2,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11118), 1,
      aux_sym_module_binding_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11157), 1,
      sym_attribute,
    STATE(11256), 1,
      sym__module_typed,
    STATE(11633), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12881), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10700), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10698), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [549646] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [549685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9102), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [549724] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    ACTIONS(13578), 1,
      anon_sym_COMMA,
    ACTIONS(13580), 1,
      sym_assign_operator,
    ACTIONS(13599), 1,
      anon_sym_SEMI,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [549787] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11162), 1,
      sym_attribute,
    STATE(11904), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549850] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11163), 1,
      sym_attribute,
    STATE(12063), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [549913] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13601), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11164), 1,
      sym_attribute,
    STATE(11173), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13386), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13384), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [549958] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13601), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11165), 1,
      sym_attribute,
    STATE(11173), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13428), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13426), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550003] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13603), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      anon_sym_LBRACK,
    STATE(11166), 1,
      sym_attribute,
    STATE(12084), 1,
      sym__constructor_name,
    STATE(12574), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13607), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550054] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13601), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11164), 1,
      aux_sym_type_binding_repeat1,
    STATE(11167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13428), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13426), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550099] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550138] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_DASH_GT,
    ACTIONS(13558), 1,
      anon_sym_as,
    STATE(11169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13611), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13609), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550181] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13601), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11165), 1,
      aux_sym_type_binding_repeat1,
    STATE(11170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13521), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13519), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550226] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11171), 1,
      sym_attribute,
    STATE(11919), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10670), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10668), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [550328] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13613), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11173), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550371] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13618), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11174), 1,
      sym_attribute,
    STATE(11845), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13620), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(13616), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [550418] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13622), 1,
      anon_sym_EQ,
    ACTIONS(13624), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11175), 1,
      sym_attribute,
    STATE(11664), 1,
      aux_sym_expression_item_repeat1,
    STATE(11981), 1,
      sym__type_equation,
    STATE(12357), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550475] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13570), 1,
      anon_sym_COLON2,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11110), 1,
      aux_sym_module_binding_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11176), 1,
      sym_attribute,
    STATE(11256), 1,
      sym__module_typed,
    STATE(11633), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12885), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12881), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550569] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10774), 1,
      sym__simple_type,
    STATE(11178), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550632] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10785), 1,
      sym__simple_type,
    STATE(11179), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550695] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12138), 1,
      anon_sym_LPAREN,
    ACTIONS(12142), 1,
      anon_sym_LBRACK,
    ACTIONS(12144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12148), 1,
      anon_sym_LT,
    ACTIONS(12150), 1,
      anon_sym_POUND,
    ACTIONS(12152), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12154), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12156), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13628), 1,
      sym__lowercase_identifier,
    STATE(11180), 1,
      sym_attribute,
    STATE(14167), 1,
      sym__simple_type,
    STATE(18809), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14269), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550758] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [550799] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11182), 1,
      sym_attribute,
    STATE(14902), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550862] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13630), 1,
      anon_sym_EQ,
    ACTIONS(13632), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11183), 1,
      sym_attribute,
    STATE(11598), 1,
      aux_sym_expression_item_repeat1,
    STATE(11963), 1,
      sym__type_equation,
    STATE(12462), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13154), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [550919] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10233), 1,
      sym__simple_type,
    STATE(11184), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [550982] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11185), 1,
      sym_attribute,
    STATE(11914), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551045] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [551084] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11187), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [551139] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(11188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551180] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12559), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [551219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551258] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551299] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11192), 1,
      sym_attribute,
    STATE(12420), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551362] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11193), 1,
      sym_attribute,
    STATE(12641), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9084), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [551464] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11195), 1,
      sym_attribute,
    STATE(12644), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551527] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(11196), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13529), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [551576] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(11197), 1,
      sym_attribute,
    STATE(14991), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551639] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11198), 1,
      sym_attribute,
    STATE(14993), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551702] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11199), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13294), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [551751] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551790] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [551829] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11202), 1,
      sym_attribute,
    STATE(12060), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551892] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11203), 1,
      sym_attribute,
    STATE(12059), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [551955] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(11204), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13505), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [552004] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(11205), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13499), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [552053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552131] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12007), 1,
      anon_sym_LPAREN,
    ACTIONS(12011), 1,
      anon_sym_LBRACK,
    ACTIONS(12013), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12015), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12017), 1,
      anon_sym_LT,
    ACTIONS(12019), 1,
      anon_sym_POUND,
    ACTIONS(12021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12025), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13640), 1,
      sym__lowercase_identifier,
    STATE(10586), 1,
      sym__simple_type,
    STATE(11208), 1,
      sym_attribute,
    STATE(18653), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11022), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552233] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(11210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552274] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552313] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552391] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552430] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11215), 1,
      sym_attribute,
    STATE(11459), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552493] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11216), 1,
      sym_attribute,
    STATE(11478), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552556] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11217), 1,
      sym_attribute,
    STATE(11479), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552619] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552658] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13642), 1,
      anon_sym_POUND,
    STATE(11219), 1,
      sym_attribute,
    STATE(11946), 1,
      sym_type_constructor_path,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 9,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [552707] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [552746] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9094), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [552785] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [552824] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9090), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [552863] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11224), 1,
      sym_attribute,
    STATE(11489), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552926] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11225), 1,
      sym_attribute,
    STATE(12928), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [552989] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    ACTIONS(13644), 1,
      anon_sym_STAR,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11226), 1,
      sym_attribute,
    STATE(12793), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12951), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553042] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10558), 1,
      anon_sym_LT,
    ACTIONS(10560), 1,
      anon_sym_POUND,
    ACTIONS(10562), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10564), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10566), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12168), 1,
      anon_sym_LPAREN,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    STATE(11227), 1,
      sym_attribute,
    STATE(11461), 1,
      sym__simple_type,
    STATE(19111), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11131), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553105] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11228), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12787), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_LBRACK_AT_AT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 16,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [553201] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11230), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12817), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [553256] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11231), 1,
      sym_attribute,
    STATE(12034), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553319] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    ACTIONS(13578), 1,
      anon_sym_COMMA,
    ACTIONS(13580), 1,
      sym_assign_operator,
    ACTIONS(13650), 1,
      anon_sym_SEMI,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [553382] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11233), 1,
      sym_attribute,
    STATE(15107), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10686), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10684), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [553484] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11214), 1,
      anon_sym_LPAREN,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11222), 1,
      anon_sym_LT,
    ACTIONS(11224), 1,
      anon_sym_POUND,
    ACTIONS(11226), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11228), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11230), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13652), 1,
      sym__lowercase_identifier,
    STATE(11235), 1,
      sym_attribute,
    STATE(12266), 1,
      sym__simple_type,
    STATE(18799), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13205), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553547] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11236), 1,
      sym_attribute,
    STATE(12741), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553610] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13656), 1,
      anon_sym_let,
    ACTIONS(13658), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11237), 1,
      sym_attribute,
    STATE(11416), 1,
      aux_sym_type_binding_repeat1,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [553663] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11238), 1,
      sym_attribute,
    STATE(11972), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553726] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11239), 1,
      sym_attribute,
    STATE(11511), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553789] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11158), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11160), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(12761), 1,
      anon_sym_LPAREN,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12769), 1,
      anon_sym_LT,
    ACTIONS(12771), 1,
      anon_sym_POUND,
    ACTIONS(12773), 1,
      aux_sym_type_variable_token1,
    STATE(11240), 1,
      sym_attribute,
    STATE(11523), 1,
      sym__simple_type,
    STATE(18338), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11546), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553852] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10784), 1,
      sym__simple_type,
    STATE(11241), 1,
      sym_attribute,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553915] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11242), 1,
      sym_attribute,
    STATE(11966), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [553978] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11243), 1,
      sym_attribute,
    STATE(12998), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554041] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11244), 1,
      sym_attribute,
    STATE(12999), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554104] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11245), 1,
      sym_attribute,
    STATE(15144), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554167] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11246), 1,
      sym_attribute,
    STATE(15154), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554230] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10682), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10680), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [554269] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8573), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(8575), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(12717), 1,
      anon_sym_LPAREN,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12725), 1,
      anon_sym_LT,
    ACTIONS(12727), 1,
      anon_sym_POUND,
    ACTIONS(12729), 1,
      aux_sym_type_variable_token1,
    STATE(11248), 1,
      sym_attribute,
    STATE(15181), 1,
      sym__simple_type,
    STATE(18521), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15117), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554332] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    ACTIONS(13660), 1,
      anon_sym_STAR,
    STATE(11249), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(12868), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12951), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [554385] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11322), 1,
      anon_sym_LPAREN,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11330), 1,
      anon_sym_LT,
    ACTIONS(11332), 1,
      anon_sym_POUND,
    ACTIONS(11334), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11336), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11338), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13662), 1,
      sym__lowercase_identifier,
    STATE(11250), 1,
      sym_attribute,
    STATE(13411), 1,
      sym__simple_type,
    STATE(18171), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14133), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554448] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11251), 1,
      sym_attribute,
    STATE(13045), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554511] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11252), 1,
      sym_attribute,
    STATE(11973), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554574] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11253), 1,
      sym_attribute,
    STATE(12750), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554637] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11254), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [554692] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11255), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [554747] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12947), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11256), 1,
      sym_attribute,
    STATE(11786), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12949), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(12945), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [554833] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13666), 1,
      anon_sym_let,
    ACTIONS(13668), 1,
      anon_sym_DQUOTE,
    STATE(11258), 1,
      sym_attribute,
    STATE(11631), 1,
      aux_sym_external_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12010), 1,
      aux_sym_expression_item_repeat1,
    STATE(12382), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13664), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [554884] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11259), 1,
      sym_attribute,
    STATE(11994), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [554947] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11260), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12625), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [555002] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(11261), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10660), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10658), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [555090] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11246), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11248), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(12543), 1,
      anon_sym_LPAREN,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12551), 1,
      anon_sym_LT,
    ACTIONS(12553), 1,
      anon_sym_POUND,
    ACTIONS(12555), 1,
      aux_sym_type_variable_token1,
    STATE(11263), 1,
      sym_attribute,
    STATE(11993), 1,
      sym__simple_type,
    STATE(19284), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12106), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555153] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9086), 22,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym_hash_operator,
  [555192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555231] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11266), 1,
      sym_attribute,
    STATE(11976), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555294] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11267), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12817), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [555349] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11268), 1,
      sym_attribute,
    STATE(11833), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555412] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11269), 1,
      sym_attribute,
    STATE(11977), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555475] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555514] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11271), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12787), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [555569] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym__lowercase_identifier,
    STATE(11272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12745), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12747), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555612] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555651] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11274), 1,
      sym_attribute,
    STATE(11784), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555714] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(11275), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13505), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555763] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [555802] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(11277), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [555851] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11278), 1,
      sym_attribute,
    STATE(11510), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [555914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [555953] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11076), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11078), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(12695), 1,
      anon_sym_LPAREN,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12703), 1,
      anon_sym_LT,
    ACTIONS(12705), 1,
      anon_sym_POUND,
    ACTIONS(12707), 1,
      aux_sym_type_variable_token1,
    STATE(11280), 1,
      sym_attribute,
    STATE(11978), 1,
      sym__simple_type,
    STATE(18291), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12142), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556016] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11281), 1,
      sym_attribute,
    STATE(12626), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556079] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(11282), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [556128] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12745), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556245] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10514), 1,
      anon_sym_LT,
    ACTIONS(10516), 1,
      anon_sym_POUND,
    ACTIONS(10518), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10520), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10524), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12119), 1,
      anon_sym_LPAREN,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    STATE(11286), 1,
      sym_attribute,
    STATE(11595), 1,
      sym__simple_type,
    STATE(18726), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11109), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556308] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556347] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13540), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13542), 1,
      sym_pow_operator,
    ACTIONS(13544), 1,
      sym_mult_operator,
    ACTIONS(13546), 1,
      sym_concat_operator,
    ACTIONS(13560), 1,
      sym_rel_operator,
    ACTIONS(13562), 1,
      sym_and_operator,
    ACTIONS(13564), 1,
      sym_or_operator,
    ACTIONS(13578), 1,
      anon_sym_COMMA,
    ACTIONS(13580), 1,
      sym_assign_operator,
    STATE(2526), 1,
      sym_add_operator,
    STATE(11288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 10,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [556408] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556447] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(10499), 1,
      sym__simple_type,
    STATE(11290), 1,
      sym_attribute,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [556510] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556549] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13672), 1,
      anon_sym_let,
    ACTIONS(13674), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11292), 1,
      sym_attribute,
    STATE(11502), 1,
      aux_sym_type_binding_repeat1,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [556602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556680] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556719] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556758] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11297), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12625), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [556813] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556852] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(11299), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [556901] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [556942] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12095), 1,
      anon_sym_LPAREN,
    ACTIONS(12099), 1,
      anon_sym_LBRACK,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12103), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12105), 1,
      anon_sym_LT,
    ACTIONS(12107), 1,
      anon_sym_POUND,
    ACTIONS(12109), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12111), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12113), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13676), 1,
      sym__lowercase_identifier,
    STATE(11301), 1,
      sym_attribute,
    STATE(14289), 1,
      sym__simple_type,
    STATE(18922), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14537), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557083] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557122] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8789), 1,
      anon_sym_LPAREN,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(8811), 1,
      anon_sym_LT,
    ACTIONS(8813), 1,
      anon_sym_POUND,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(10902), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10904), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(11305), 1,
      sym_attribute,
    STATE(15388), 1,
      sym__simple_type,
    STATE(18385), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13817), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557224] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557263] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557302] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(11196), 1,
      sym__simple_type,
    STATE(11309), 1,
      sym_attribute,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557365] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557404] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557443] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557482] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(11204), 1,
      sym__simple_type,
    STATE(11313), 1,
      sym_attribute,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557545] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(11205), 1,
      sym__simple_type,
    STATE(11314), 1,
      sym_attribute,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [557608] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557647] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557764] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [557803] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [557881] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9604), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9602), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [557920] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13624), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    ACTIONS(13678), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11323), 1,
      sym_attribute,
    STATE(11598), 1,
      aux_sym_expression_item_repeat1,
    STATE(11964), 1,
      sym__type_equation,
    STATE(12412), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13154), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [557977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13682), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13680), 22,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [558016] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558055] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558094] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558133] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13684), 1,
      anon_sym_COLON,
    STATE(11328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10676), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10674), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [558174] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11329), 1,
      sym_attribute,
    STATE(12830), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558237] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(11261), 1,
      sym__simple_type,
    STATE(11330), 1,
      sym_attribute,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558300] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11331), 1,
      sym_attribute,
    STATE(12874), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [558441] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558480] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(12641), 1,
      anon_sym_LPAREN,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12649), 1,
      anon_sym_LT,
    ACTIONS(12651), 1,
      anon_sym_POUND,
    ACTIONS(12653), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12655), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12657), 1,
      aux_sym_type_variable_token1,
    STATE(11335), 1,
      sym_attribute,
    STATE(11899), 1,
      sym__simple_type,
    STATE(19281), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12201), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558543] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11336), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558598] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [558637] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [558676] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11339), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [558731] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10590), 1,
      anon_sym_LT,
    ACTIONS(10592), 1,
      anon_sym_POUND,
    ACTIONS(10594), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10596), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10598), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12180), 1,
      anon_sym_LPAREN,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    STATE(10715), 1,
      sym__simple_type,
    STATE(11340), 1,
      sym_attribute,
    STATE(18195), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10313), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558794] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [558833] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11342), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [558888] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 13,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [558927] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(11277), 1,
      sym__simple_type,
    STATE(11344), 1,
      sym_attribute,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [558990] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [559029] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11346), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [559084] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559123] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(11282), 1,
      sym__simple_type,
    STATE(11348), 1,
      sym_attribute,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559186] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(11349), 1,
      sym_attribute,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13499), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [559235] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13686), 1,
      anon_sym_STAR,
    STATE(11350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11538), 21,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559276] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(11351), 1,
      sym_attribute,
    STATE(11365), 1,
      sym__simple_type,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559339] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(10634), 1,
      anon_sym_LT,
    ACTIONS(10636), 1,
      anon_sym_POUND,
    ACTIONS(10638), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(10640), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10642), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12083), 1,
      anon_sym_LPAREN,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    STATE(11352), 1,
      sym_attribute,
    STATE(11366), 1,
      sym__simple_type,
    STATE(19159), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10686), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559402] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [559441] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11354), 1,
      sym_attribute,
    STATE(12387), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559543] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10284), 1,
      anon_sym_PLUS_EQ,
    ACTIONS(13632), 1,
      anon_sym_COLON_EQ,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    ACTIONS(13688), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11356), 1,
      sym_attribute,
    STATE(11664), 1,
      aux_sym_expression_item_repeat1,
    STATE(11960), 1,
      sym__type_equation,
    STATE(12311), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13021), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [559600] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    ACTIONS(13690), 1,
      anon_sym_STAR,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11357), 1,
      sym_attribute,
    STATE(12716), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12951), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [559653] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559692] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559731] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13668), 1,
      anon_sym_DQUOTE,
    ACTIONS(13694), 1,
      anon_sym_let,
    STATE(11360), 1,
      sym_attribute,
    STATE(11631), 1,
      aux_sym_external_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12100), 1,
      aux_sym_expression_item_repeat1,
    STATE(12382), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13692), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [559782] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [559821] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11362), 1,
      sym_attribute,
    STATE(11828), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [559884] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11363), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [559939] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(12573), 1,
      anon_sym_LPAREN,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12581), 1,
      anon_sym_LT,
    ACTIONS(12583), 1,
      anon_sym_POUND,
    ACTIONS(12585), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(12587), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12589), 1,
      aux_sym_type_variable_token1,
    STATE(11364), 1,
      sym_attribute,
    STATE(11827), 1,
      sym__simple_type,
    STATE(18414), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11859), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560002] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(11365), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [560051] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12805), 1,
      sym__lowercase_identifier,
    ACTIONS(12835), 1,
      anon_sym_POUND,
    STATE(10731), 1,
      sym_type_constructor_path,
    STATE(11366), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [560100] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11260), 1,
      anon_sym_LPAREN,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11268), 1,
      anon_sym_LT,
    ACTIONS(11270), 1,
      anon_sym_POUND,
    ACTIONS(11272), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11274), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11276), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    STATE(11367), 1,
      sym_attribute,
    STATE(11685), 1,
      sym__simple_type,
    STATE(18515), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12222), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560163] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(11368), 1,
      sym_attribute,
    STATE(11372), 1,
      sym__simple_type,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560226] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9162), 10,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9164), 14,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_COLON2,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [560265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [560343] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12869), 1,
      sym__lowercase_identifier,
    ACTIONS(12871), 1,
      anon_sym_POUND,
    STATE(11353), 1,
      sym_type_constructor_path,
    STATE(11372), 1,
      sym_attribute,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13529), 11,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [560392] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560431] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11374), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [560486] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(11299), 1,
      sym__simple_type,
    STATE(11375), 1,
      sym_attribute,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560588] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560627] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(11349), 1,
      sym__simple_type,
    STATE(11378), 1,
      sym_attribute,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560690] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11943), 1,
      anon_sym_LPAREN,
    ACTIONS(11947), 1,
      anon_sym_LBRACK,
    ACTIONS(11949), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11951), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11953), 1,
      anon_sym_LT,
    ACTIONS(11955), 1,
      anon_sym_POUND,
    ACTIONS(11957), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11959), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11961), 1,
      aux_sym_type_variable_token1,
    ACTIONS(13696), 1,
      sym__lowercase_identifier,
    STATE(10201), 1,
      sym__simple_type,
    STATE(11379), 1,
      sym_attribute,
    STATE(18836), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10600), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560792] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 12,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [560870] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [560909] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11040), 1,
      anon_sym_LPAREN,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(11048), 1,
      anon_sym_LT,
    ACTIONS(11050), 1,
      anon_sym_POUND,
    ACTIONS(11052), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11054), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11056), 1,
      aux_sym_type_variable_token1,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    STATE(11384), 1,
      sym_attribute,
    STATE(11706), 1,
      sym__simple_type,
    STATE(18919), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12332), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [560972] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561011] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 14,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561050] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11132), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(11134), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(12679), 1,
      anon_sym_LPAREN,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12687), 1,
      anon_sym_LT,
    ACTIONS(12689), 1,
      anon_sym_POUND,
    ACTIONS(12691), 1,
      aux_sym_type_variable_token1,
    STATE(11275), 1,
      sym__simple_type,
    STATE(11387), 1,
      sym_attribute,
    STATE(18968), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11115), 11,
      sym_constructed_type,
      sym_local_open_type,
      sym_polymorphic_variant_type,
      sym_package_type,
      sym_object_type,
      sym_hash_type,
      sym_parenthesized_type,
      sym_extension,
      sym_quoted_extension,
      sym_type_constructor_path,
      sym_type_variable,
  [561113] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [561153] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11389), 1,
      sym_attribute,
    STATE(12180), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16714), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [561219] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [561261] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [561311] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10766), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10764), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561349] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11393), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13724), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13722), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [561393] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10858), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10856), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561431] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [561473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10378), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10376), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561511] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10374), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10372), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561549] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [561589] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11399), 1,
      sym_attribute,
    STATE(11556), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13728), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13726), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [561633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9306), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9304), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561671] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13730), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11401), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [561711] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10720), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10718), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561749] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    ACTIONS(13733), 1,
      anon_sym_STAR,
    STATE(11403), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(13119), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12951), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [561801] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [561849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10364), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561887] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13735), 1,
      aux_sym_attribute_id_token1,
    STATE(11406), 1,
      sym_attribute,
    STATE(11485), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10120), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10122), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561929] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10734), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10732), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [561967] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13739), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11408), 1,
      sym_attribute,
    STATE(11840), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13737), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562017] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11463), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [562073] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13747), 1,
      anon_sym_PIPE,
    STATE(11401), 1,
      aux_sym__match_cases_repeat1,
    STATE(11410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [562115] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13747), 1,
      anon_sym_PIPE,
    STATE(11401), 1,
      aux_sym__match_cases_repeat1,
    STATE(11411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [562157] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [562195] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13747), 1,
      anon_sym_PIPE,
    STATE(11410), 1,
      aux_sym__match_cases_repeat1,
    STATE(11413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [562237] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13749), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11414), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9973), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9975), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562277] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10724), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10722), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562315] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13754), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11416), 1,
      sym_attribute,
    STATE(11750), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13752), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562365] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10862), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10860), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10738), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10736), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10826), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10824), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562479] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11420), 1,
      sym_attribute,
    STATE(11961), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17396), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562545] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11421), 1,
      sym_attribute,
    STATE(11979), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17640), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562611] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11422), 1,
      sym_attribute,
    STATE(12190), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17104), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9374), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [562715] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13758), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11424), 1,
      sym_attribute,
    STATE(11481), 1,
      aux_sym_type_binding_repeat1,
    STATE(11837), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13756), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562765] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13760), 1,
      anon_sym_RPAREN,
    ACTIONS(13762), 1,
      anon_sym__,
    ACTIONS(13764), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11425), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17679), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [562831] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [562881] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13768), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11427), 1,
      sym_attribute,
    STATE(11590), 1,
      aux_sym_type_binding_repeat1,
    STATE(11632), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13766), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [562931] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13747), 1,
      anon_sym_PIPE,
    STATE(11411), 1,
      aux_sym__match_cases_repeat1,
    STATE(11428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [562973] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [563027] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9312), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9310), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10848), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10846), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10730), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10728), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10798), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10796), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563179] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11434), 1,
      sym_attribute,
    STATE(12153), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18123), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563245] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13770), 1,
      anon_sym_STAR,
    STATE(11435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11538), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563285] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10810), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10808), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563323] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11437), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13774), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13772), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [563367] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(13782), 1,
      anon_sym_of,
    ACTIONS(13784), 1,
      anon_sym_COLON2,
    STATE(11438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13778), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13776), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563411] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [563467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10814), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10812), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563505] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11393), 1,
      aux_sym_expression_item_repeat1,
    STATE(11441), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13788), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13786), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [563549] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    ACTIONS(13790), 1,
      anon_sym_COMMA,
    ACTIONS(13792), 1,
      sym_assign_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [563609] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13718), 1,
      sym_mult_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [563653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9378), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [563691] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    ACTIONS(13790), 1,
      anon_sym_COMMA,
    ACTIONS(13792), 1,
      sym_assign_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11518), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [563751] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    ACTIONS(13790), 1,
      anon_sym_COMMA,
    ACTIONS(13792), 1,
      sym_assign_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11514), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [563811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9020), 2,
      anon_sym_let,
      anon_sym_COLON2,
    ACTIONS(9022), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [563849] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11448), 1,
      sym_attribute,
    STATE(12185), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16999), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563915] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11449), 1,
      sym_attribute,
    STATE(12168), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16724), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [563981] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11450), 1,
      sym_attribute,
    STATE(12116), 1,
      sym__attribute,
    STATE(13197), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564047] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10750), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10748), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13804), 1,
      aux_sym_attribute_id_token1,
    STATE(11414), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10140), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564127] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13808), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11453), 1,
      sym_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13806), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564177] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [564215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9102), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564253] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      anon_sym_and,
    STATE(11456), 1,
      sym_attribute,
    STATE(11488), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13812), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13810), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [564295] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [564335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9384), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564373] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11459), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13529), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [564421] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11460), 1,
      sym_attribute,
    STATE(12197), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17816), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564487] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11461), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [564535] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11462), 1,
      sym_attribute,
    STATE(12174), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17129), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564601] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10362), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10360), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564639] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11464), 1,
      sym_attribute,
    STATE(12176), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16923), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [564705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9350), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9396), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [564819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9400), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9390), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564895] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10806), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10804), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [564933] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11471), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13818), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13816), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [564977] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [565015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10818), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10816), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565053] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11437), 1,
      aux_sym_expression_item_repeat1,
    STATE(11474), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13822), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13820), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [565097] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13824), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(11475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [565139] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13656), 1,
      anon_sym_let,
    ACTIONS(13826), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11476), 1,
      sym_attribute,
    STATE(11765), 1,
      aux_sym_type_binding_repeat1,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13830), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13828), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565229] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11478), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13505), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565277] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11479), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13499), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565325] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11480), 1,
      sym_attribute,
    STATE(12017), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17551), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565391] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13834), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11481), 1,
      sym_attribute,
    STATE(11906), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565441] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13838), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11453), 1,
      aux_sym_type_binding_repeat1,
    STATE(11482), 1,
      sym_attribute,
    STATE(11897), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13836), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565491] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10774), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10772), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565529] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10770), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10768), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565567] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13735), 1,
      aux_sym_attribute_id_token1,
    STATE(11485), 1,
      sym_attribute,
    STATE(11522), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10140), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [565647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9302), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9300), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [565685] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13814), 1,
      anon_sym_and,
    STATE(11488), 1,
      sym_attribute,
    STATE(11509), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13842), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13840), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [565727] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11489), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565775] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11490), 1,
      sym_attribute,
    STATE(12189), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17405), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [565841] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11491), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13846), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13844), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [565885] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11471), 1,
      aux_sym_expression_item_repeat1,
    STATE(11492), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13850), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13848), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [565929] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    STATE(11493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13523), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13525), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [565971] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13854), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11494), 1,
      sym_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13852), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566021] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(13862), 1,
      anon_sym_of,
    ACTIONS(13864), 1,
      anon_sym_COLON2,
    STATE(11495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13858), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13856), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566065] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13866), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(11496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [566107] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(13874), 1,
      anon_sym_of,
    ACTIONS(13876), 1,
      anon_sym_COLON2,
    STATE(11497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13870), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13868), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566151] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    ACTIONS(13790), 1,
      anon_sym_COMMA,
    ACTIONS(13792), 1,
      sym_assign_operator,
    ACTIONS(13878), 1,
      anon_sym_SEMI,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [566213] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_LBRACK,
    STATE(11499), 1,
      sym_attribute,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(13196), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13884), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [566263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9358), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [566301] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566339] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13888), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11502), 1,
      sym_attribute,
    STATE(11717), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13886), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566389] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566427] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566503] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566541] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11507), 1,
      sym_attribute,
    STATE(12136), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18000), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [566607] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566645] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13890), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13216), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11509), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13214), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [566685] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11510), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 8,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13294), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [566733] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11511), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [566781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566819] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566857] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12234), 12,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [566933] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [566971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [567009] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym__lowercase_identifier,
    STATE(11518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12745), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12747), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [567051] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13824), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(11519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [567093] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11520), 1,
      sym_attribute,
    STATE(12198), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17558), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567159] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11521), 1,
      sym_attribute,
    STATE(12127), 1,
      sym__attribute,
    STATE(13231), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567225] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13897), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11522), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9973), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9975), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13264), 1,
      sym__lowercase_identifier,
    ACTIONS(13266), 1,
      anon_sym_POUND,
    STATE(11523), 1,
      sym_attribute,
    STATE(11583), 1,
      sym_type_constructor_path,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 12,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [567313] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [567353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10676), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10674), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567391] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13760), 1,
      anon_sym_RPAREN,
    ACTIONS(13762), 1,
      anon_sym__,
    ACTIONS(13764), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11526), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17000), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567457] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10842), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10840), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567495] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13804), 1,
      aux_sym_attribute_id_token1,
    STATE(11452), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10120), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10122), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10838), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10836), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567575] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11530), 1,
      sym_attribute,
    STATE(12163), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17967), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567641] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13902), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13900), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567679] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8183), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(8179), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567717] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13672), 1,
      anon_sym_let,
    ACTIONS(13904), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11533), 1,
      sym_attribute,
    STATE(11669), 1,
      aux_sym_type_binding_repeat1,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567769] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13908), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11534), 1,
      sym_attribute,
    STATE(11889), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13906), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [567819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9294), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9292), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567857] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11536), 1,
      sym_attribute,
    STATE(12050), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17011), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [567923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9316), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9314), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567961] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10868), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10866), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [567999] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13910), 1,
      anon_sym_POUND,
    STATE(11539), 1,
      sym_attribute,
    STATE(12122), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12401), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [568047] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13672), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11540), 1,
      sym_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568097] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11541), 1,
      sym_attribute,
    STATE(12062), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17700), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [568163] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11542), 1,
      sym_attribute,
    STATE(12105), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16597), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [568229] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    ACTIONS(13912), 1,
      anon_sym_STAR,
    STATE(11543), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(13111), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12951), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [568281] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13916), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11408), 1,
      aux_sym_type_binding_repeat1,
    STATE(11544), 1,
      sym_attribute,
    STATE(11816), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13914), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568331] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13920), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11494), 1,
      aux_sym_type_binding_repeat1,
    STATE(11545), 1,
      sym_attribute,
    STATE(11807), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13918), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568381] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [568419] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11547), 1,
      sym_attribute,
    STATE(12058), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17254), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [568485] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13922), 1,
      anon_sym_DASH_GT,
    STATE(11548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13566), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [568565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10780), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10742), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10740), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568641] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11552), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13926), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13924), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10238), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10236), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568723] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13928), 1,
      anon_sym_POUND,
    STATE(11554), 1,
      sym_attribute,
    STATE(12178), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [568771] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11491), 1,
      aux_sym_expression_item_repeat1,
    STATE(11555), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13932), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13930), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568815] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11556), 1,
      sym_attribute,
    STATE(11683), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13936), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(13934), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [568859] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13940), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11534), 1,
      aux_sym_type_binding_repeat1,
    STATE(11557), 1,
      sym_attribute,
    STATE(11698), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [568909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10854), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10852), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [568947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [568985] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10282), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10280), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569061] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      anon_sym_LPAREN,
    ACTIONS(13944), 1,
      anon_sym_LBRACK,
    STATE(11562), 1,
      sym_attribute,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(13191), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [569111] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13656), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11563), 1,
      sym_attribute,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569161] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11564), 1,
      sym_attribute,
    STATE(11987), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17200), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [569227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10284), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569265] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13922), 1,
      anon_sym_DASH_GT,
    STATE(11566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13552), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9094), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569345] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10746), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10744), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569383] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11569), 1,
      sym_attribute,
    STATE(12202), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17662), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [569449] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13950), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13948), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10754), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10752), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569525] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12951), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12627), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569601] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13922), 1,
      anon_sym_DASH_GT,
    STATE(11574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13584), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569641] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13714), 1,
      sym_pow_operator,
    ACTIONS(13716), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13718), 1,
      sym_mult_operator,
    ACTIONS(13720), 1,
      sym_concat_operator,
    ACTIONS(13741), 1,
      sym_rel_operator,
    ACTIONS(13743), 1,
      sym_and_operator,
    ACTIONS(13745), 1,
      sym_or_operator,
    ACTIONS(13790), 1,
      anon_sym_COMMA,
    ACTIONS(13792), 1,
      sym_assign_operator,
    STATE(2168), 1,
      sym_add_operator,
    STATE(11575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [569701] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    ACTIONS(13952), 1,
      anon_sym_STAR,
    STATE(11576), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(13202), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12951), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [569753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13922), 1,
      anon_sym_DASH_GT,
    STATE(11577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13611), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13609), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [569795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9090), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [569833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569909] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [569985] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570061] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13866), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(11585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [570103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10228), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10226), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10822), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10820), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(9086), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570255] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13029), 1,
      anon_sym_constraint,
    ACTIONS(13956), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11590), 1,
      sym_attribute,
    STATE(11770), 1,
      aux_sym_expression_item_repeat1,
    STATE(12005), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570305] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10290), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10288), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570343] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 13,
      anon_sym_let,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10762), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10760), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570419] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13710), 1,
      anon_sym_PERCENT,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11594), 1,
      sym_attribute,
    STATE(12089), 1,
      sym__attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17844), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [570485] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11595), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [570533] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13958), 1,
      anon_sym_POUND,
    STATE(11596), 1,
      sym_attribute,
    STATE(12077), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [570581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10758), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_COLON2,
      anon_sym_LBRACE,
      anon_sym_begin,
      aux_sym_signed_number_token1,
      sym__lowercase_identifier,
    ACTIONS(10756), 15,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [570619] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13672), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570662] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    ACTIONS(13966), 1,
      anon_sym_with,
    STATE(11599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13962), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13960), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570703] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13968), 1,
      anon_sym_LPAREN,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13974), 1,
      anon_sym_end,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    STATE(11600), 1,
      sym_attribute,
    STATE(12315), 1,
      sym__attribute,
    STATE(12929), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [570766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [570803] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13990), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13988), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570846] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13768), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11603), 1,
      sym_attribute,
    STATE(11632), 1,
      aux_sym_expression_item_repeat1,
    STATE(11665), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13766), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570895] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13808), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11604), 1,
      sym_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13806), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570944] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13992), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13216), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11605), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13214), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [570983] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    ACTIONS(14007), 1,
      sym_or_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11465), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11463), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [571038] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10222), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571075] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(14009), 1,
      anon_sym_of,
    ACTIONS(14011), 1,
      anon_sym_COLON2,
    STATE(11608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13858), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13856), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571118] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14013), 1,
      anon_sym_LPAREN,
    ACTIONS(14015), 1,
      anon_sym_end,
    STATE(11609), 1,
      sym_attribute,
    STATE(12279), 1,
      sym__attribute,
    STATE(12981), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571181] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571255] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(14017), 1,
      anon_sym_of,
    ACTIONS(14019), 1,
      anon_sym_COLON2,
    STATE(11612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13870), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13868), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571298] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10220), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10218), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571335] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14023), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11614), 1,
      sym_attribute,
    STATE(11755), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14021), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571378] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    ACTIONS(13966), 1,
      anon_sym_with,
    STATE(11615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14027), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14025), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571419] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11060), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11058), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11368), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [571567] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11064), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11062), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571604] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(11621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [571645] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13940), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11622), 1,
      sym_attribute,
    STATE(11682), 1,
      aux_sym_type_binding_repeat1,
    STATE(11698), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [571694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11090), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11088), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11094), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11092), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9102), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [571805] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14031), 1,
      anon_sym_LPAREN,
    ACTIONS(14033), 1,
      anon_sym_end,
    STATE(11626), 1,
      sym_attribute,
    STATE(12336), 1,
      sym__attribute,
    STATE(12879), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11110), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11108), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [571905] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14035), 1,
      anon_sym_LPAREN,
    ACTIONS(14037), 1,
      anon_sym_end,
    STATE(11628), 1,
      sym_attribute,
    STATE(12330), 1,
      sym__attribute,
    STATE(12900), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [571968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9094), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [572005] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9090), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [572042] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14043), 1,
      anon_sym_DQUOTE,
    STATE(12382), 1,
      sym_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14041), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11631), 2,
      sym_attribute,
      aux_sym_external_repeat1,
    ACTIONS(14039), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572083] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13956), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572126] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12947), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572169] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14046), 1,
      anon_sym_and,
    STATE(11605), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13842), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13840), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9086), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [572247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10676), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(10674), 20,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [572284] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14048), 1,
      anon_sym_COMMA,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    ACTIONS(14064), 1,
      sym_assign_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [572343] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11465), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [572398] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [572435] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 12,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [572474] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12787), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12785), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572511] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8023), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8021), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572554] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_PIPE,
    STATE(11643), 1,
      sym_attribute,
    STATE(11746), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [572595] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14070), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14068), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572638] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [572675] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14072), 1,
      anon_sym_LPAREN,
    ACTIONS(14074), 1,
      anon_sym_end,
    STATE(11646), 1,
      sym_attribute,
    STATE(12316), 1,
      sym__attribute,
    STATE(12914), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572738] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14076), 1,
      anon_sym_LPAREN,
    ACTIONS(14078), 1,
      anon_sym_end,
    STATE(11647), 1,
      sym_attribute,
    STATE(12340), 1,
      sym__attribute,
    STATE(12869), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572801] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14082), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11648), 1,
      sym_attribute,
    STATE(11668), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14080), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572844] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14084), 1,
      anon_sym_LPAREN,
    ACTIONS(14086), 1,
      anon_sym_end,
    STATE(11649), 1,
      sym_attribute,
    STATE(12374), 1,
      sym__attribute,
    STATE(12604), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [572907] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14090), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11650), 1,
      sym_attribute,
    STATE(11777), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14088), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12817), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12815), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [572987] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14092), 1,
      anon_sym_LPAREN,
    ACTIONS(14094), 1,
      anon_sym_end,
    STATE(11652), 1,
      sym_attribute,
    STATE(12306), 1,
      sym__attribute,
    STATE(12953), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14098), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14096), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573093] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [573130] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14102), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14100), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573173] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [573210] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14106), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14104), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573247] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14110), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14108), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573290] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11659), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [573337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14118), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14116), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573374] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14122), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11661), 1,
      sym_attribute,
    STATE(11803), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14120), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573417] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [573454] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14126), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14124), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573497] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13656), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573540] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13956), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11665), 1,
      sym_attribute,
    STATE(11770), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573589] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12625), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12623), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573626] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    ACTIONS(13966), 1,
      anon_sym_with,
    STATE(11667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14130), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14128), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573667] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14134), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14132), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573710] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13888), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11669), 1,
      sym_attribute,
    STATE(11717), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13886), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573759] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14138), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14136), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [573802] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14140), 1,
      anon_sym_LPAREN,
    ACTIONS(14142), 1,
      anon_sym_end,
    STATE(11671), 1,
      sym_attribute,
    STATE(12435), 1,
      sym__attribute,
    STATE(12621), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573865] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11672), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12625), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [573918] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14144), 1,
      anon_sym_LPAREN,
    ACTIONS(14146), 1,
      anon_sym_end,
    STATE(11673), 1,
      sym_attribute,
    STATE(12352), 1,
      sym__attribute,
    STATE(12817), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [573981] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14150), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14148), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574024] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14152), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      anon_sym_LBRACK,
    STATE(11675), 1,
      sym_attribute,
    STATE(12515), 1,
      sym__constructor_name,
    STATE(13417), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14156), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [574073] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13920), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11676), 1,
      sym_attribute,
    STATE(11709), 1,
      aux_sym_type_binding_repeat1,
    STATE(11807), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13918), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574122] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14160), 1,
      anon_sym_let,
    STATE(11677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14158), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574159] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10286), 1,
      sym__lowercase_identifier,
    ACTIONS(14162), 1,
      anon_sym_COLON2,
    STATE(11678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12559), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [574202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14166), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11655), 1,
      aux_sym_expression_item_repeat1,
    STATE(11679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14164), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14170), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14168), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574288] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13916), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11681), 1,
      sym_attribute,
    STATE(11711), 1,
      aux_sym_type_binding_repeat1,
    STATE(11816), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13914), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574337] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13908), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11682), 1,
      sym_attribute,
    STATE(11889), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13906), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574386] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13576), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13574), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [574423] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11684), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12625), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [574476] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11685), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [574523] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11686), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [574576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [574613] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14029), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(11688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [574654] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11184), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11182), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574691] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11366), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11364), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574728] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14178), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574771] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11360), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [574808] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14182), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11663), 1,
      aux_sym_expression_item_repeat1,
    STATE(11693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14180), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574851] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14186), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14184), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574894] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14190), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14188), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574937] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14194), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14192), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [574980] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13672), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11697), 1,
      sym_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575029] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13908), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13906), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575072] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14196), 1,
      anon_sym_STAR,
    STATE(11699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575148] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11198), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11196), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575185] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14198), 1,
      anon_sym_LPAREN,
    ACTIONS(14200), 1,
      anon_sym_end,
    STATE(11702), 1,
      sym_attribute,
    STATE(12291), 1,
      sym__attribute,
    STATE(12975), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575248] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14204), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14202), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11202), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11200), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575371] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11706), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [575418] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14208), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14206), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575461] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14210), 1,
      anon_sym_LPAREN,
    ACTIONS(14212), 1,
      anon_sym_end,
    STATE(11708), 1,
      sym_attribute,
    STATE(12369), 1,
      sym__attribute,
    STATE(12746), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575524] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13854), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11709), 1,
      sym_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13852), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575573] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11206), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11204), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575610] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13739), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11711), 1,
      sym_attribute,
    STATE(11840), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13737), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575659] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14214), 1,
      anon_sym_LPAREN,
    ACTIONS(14216), 1,
      anon_sym_end,
    STATE(11712), 1,
      sym_attribute,
    STATE(12368), 1,
      sym__attribute,
    STATE(12753), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575722] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14220), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11713), 1,
      sym_attribute,
    STATE(11760), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14218), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575765] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11210), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11208), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [575802] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14222), 1,
      anon_sym_LPAREN,
    ACTIONS(14224), 1,
      anon_sym_end,
    STATE(11715), 1,
      sym_attribute,
    STATE(12347), 1,
      sym__attribute,
    STATE(12498), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [575865] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    STATE(11716), 1,
      sym_attribute,
    STATE(12852), 1,
      sym__constructor_name,
    STATE(13363), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 2,
      anon_sym_true,
      anon_sym_false,
    ACTIONS(13236), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [575914] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14234), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14232), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [575957] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14238), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11718), 1,
      sym_attribute,
    STATE(11759), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14236), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576000] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13758), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11719), 1,
      sym_attribute,
    STATE(11743), 1,
      aux_sym_type_binding_repeat1,
    STATE(11837), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13756), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576049] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(14240), 1,
      anon_sym_of,
    ACTIONS(14242), 1,
      anon_sym_COLON2,
    STATE(11720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13778), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13776), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14246), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14244), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576129] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14248), 1,
      anon_sym_LPAREN,
    ACTIONS(14250), 1,
      anon_sym_end,
    STATE(11722), 1,
      sym_attribute,
    STATE(12276), 1,
      sym__attribute,
    STATE(12986), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576192] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11723), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12817), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [576245] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11724), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12787), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [576298] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14254), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14252), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576341] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14256), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11726), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [576382] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14259), 1,
      anon_sym_LPAREN,
    ACTIONS(14261), 1,
      anon_sym_end,
    STATE(11727), 1,
      sym_attribute,
    STATE(12358), 1,
      sym__attribute,
    STATE(12790), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576445] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14263), 1,
      anon_sym_LPAREN,
    ACTIONS(14265), 1,
      anon_sym_end,
    STATE(11728), 1,
      sym_attribute,
    STATE(12470), 1,
      sym__attribute,
    STATE(12504), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576508] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [576545] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14269), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11680), 1,
      aux_sym_expression_item_repeat1,
    STATE(11730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14267), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576588] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14273), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14271), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576631] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(9975), 13,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [576668] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14277), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11670), 1,
      aux_sym_expression_item_repeat1,
    STATE(11733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14275), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576711] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14281), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576754] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11104), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11102), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [576791] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7999), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7997), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576834] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14285), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11737), 1,
      sym_attribute,
    STATE(11749), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14283), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [576877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11236), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11234), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [576914] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14287), 1,
      anon_sym_LPAREN,
    ACTIONS(14289), 1,
      anon_sym_end,
    STATE(11739), 1,
      sym_attribute,
    STATE(12404), 1,
      sym__attribute,
    STATE(12684), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [576977] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14293), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14291), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [577057] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14295), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(11742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [577098] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13834), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11743), 1,
      sym_attribute,
    STATE(11906), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577147] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14297), 1,
      anon_sym_LPAREN,
    ACTIONS(14299), 1,
      anon_sym_end,
    STATE(11744), 1,
      sym_attribute,
    STATE(12385), 1,
      sym__attribute,
    STATE(12706), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577210] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_PIPE,
    STATE(11745), 1,
      sym_attribute,
    STATE(11863), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [577251] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_PIPE,
    STATE(11746), 1,
      sym_attribute,
    STATE(11870), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [577292] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14301), 1,
      anon_sym_STAR,
    STATE(11747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 20,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [577331] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14303), 1,
      anon_sym_LPAREN,
    ACTIONS(14305), 1,
      anon_sym_end,
    STATE(11748), 1,
      sym_attribute,
    STATE(12338), 1,
      sym__attribute,
    STATE(12862), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14309), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14307), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14313), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14311), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577480] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14317), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11751), 1,
      sym_attribute,
    STATE(11846), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14315), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577523] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14319), 1,
      anon_sym_LPAREN,
    ACTIONS(14321), 1,
      anon_sym_end,
    STATE(11752), 1,
      sym_attribute,
    STATE(12370), 1,
      sym__attribute,
    STATE(12748), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577586] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14048), 1,
      anon_sym_COMMA,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    ACTIONS(14064), 1,
      sym_assign_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [577645] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14323), 1,
      anon_sym_LPAREN,
    ACTIONS(14325), 1,
      anon_sym_end,
    STATE(11754), 1,
      sym_attribute,
    STATE(12367), 1,
      sym__attribute,
    STATE(12759), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [577708] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14329), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14327), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577751] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14333), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11756), 1,
      sym_attribute,
    STATE(11884), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14331), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577794] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14337), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11757), 1,
      sym_attribute,
    STATE(11913), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14335), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577837] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14341), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11695), 1,
      aux_sym_expression_item_repeat1,
    STATE(11758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14339), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577880] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14345), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14343), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577923] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14349), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14347), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [577966] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [578009] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13838), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11604), 1,
      aux_sym_type_binding_repeat1,
    STATE(11762), 1,
      sym_attribute,
    STATE(11897), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13836), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578058] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14351), 1,
      anon_sym_LPAREN,
    ACTIONS(14353), 1,
      anon_sym_end,
    STATE(11763), 1,
      sym_attribute,
    STATE(12383), 1,
      sym__attribute,
    STATE(12713), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578121] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14355), 1,
      anon_sym_LPAREN,
    ACTIONS(14357), 1,
      anon_sym_end,
    STATE(11764), 1,
      sym_attribute,
    STATE(12388), 1,
      sym__attribute,
    STATE(12702), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578184] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13754), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11750), 1,
      aux_sym_expression_item_repeat1,
    STATE(11765), 1,
      sym_attribute,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13752), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578233] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14048), 1,
      anon_sym_COMMA,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    ACTIONS(14064), 1,
      sym_assign_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [578292] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    ACTIONS(14007), 1,
      sym_or_operator,
    ACTIONS(14359), 1,
      anon_sym_COMMA,
    ACTIONS(14361), 1,
      sym_assign_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11516), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11514), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [578351] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14365), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14363), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578394] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14369), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11696), 1,
      aux_sym_expression_item_repeat1,
    STATE(11769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14367), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578437] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14373), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14371), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578480] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [578517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12953), 1,
      anon_sym_STAR,
    STATE(11772), 1,
      sym_attribute,
    STATE(11866), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14377), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14375), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578558] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14379), 1,
      anon_sym_LPAREN,
    ACTIONS(14381), 1,
      anon_sym_end,
    STATE(11773), 1,
      sym_attribute,
    STATE(12406), 1,
      sym__attribute,
    STATE(12663), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578621] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14383), 1,
      anon_sym_LPAREN,
    ACTIONS(14385), 1,
      anon_sym_end,
    STATE(11774), 1,
      sym_attribute,
    STATE(12457), 1,
      sym__attribute,
    STATE(12563), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578684] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14387), 1,
      anon_sym_LPAREN,
    ACTIONS(14389), 1,
      anon_sym_end,
    STATE(11775), 1,
      sym_attribute,
    STATE(12377), 1,
      sym__attribute,
    STATE(12726), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [578747] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11776), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [578800] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14393), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14391), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [578843] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [578882] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [578935] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14395), 1,
      aux_sym_attribute_id_token1,
    STATE(11780), 1,
      sym_attribute,
    STATE(11825), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10120), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10122), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [578976] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [579025] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [579074] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13521), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14397), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11783), 1,
      sym_attribute,
    STATE(11788), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13519), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579117] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11784), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [579164] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13428), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14397), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11785), 1,
      sym_attribute,
    STATE(11790), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579207] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13618), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13616), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579250] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11787), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579297] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13428), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14397), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11726), 1,
      aux_sym_type_binding_repeat1,
    STATE(11788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579340] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14052), 1,
      sym_pow_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [579381] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14397), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11726), 1,
      aux_sym_type_binding_repeat1,
    STATE(11790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579424] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14399), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11791), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [579465] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11312), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11310), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11308), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11306), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11304), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11302), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [579576] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14402), 1,
      anon_sym_LPAREN,
    ACTIONS(14404), 1,
      anon_sym_end,
    STATE(11795), 1,
      sym_attribute,
    STATE(12450), 1,
      sym__attribute,
    STATE(12585), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579639] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11796), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579692] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14406), 1,
      anon_sym_LPAREN,
    ACTIONS(14408), 1,
      anon_sym_end,
    STATE(11797), 1,
      sym_attribute,
    STATE(12249), 1,
      sym__attribute,
    STATE(13014), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579755] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14412), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14410), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579798] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14414), 1,
      anon_sym_LPAREN,
    ACTIONS(14416), 1,
      anon_sym_end,
    STATE(11799), 1,
      sym_attribute,
    STATE(12333), 1,
      sym__attribute,
    STATE(12898), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [579861] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(14418), 1,
      anon_sym_of,
    ACTIONS(14420), 1,
      anon_sym_COLON2,
    STATE(11800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13870), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13868), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [579904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14422), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11801), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9973), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9975), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [579943] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11802), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13499), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [579990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14427), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14425), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580033] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    ACTIONS(14007), 1,
      sym_or_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [580088] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14429), 1,
      anon_sym_LPAREN,
    ACTIONS(14431), 1,
      anon_sym_end,
    STATE(11805), 1,
      sym_attribute,
    STATE(12451), 1,
      sym__attribute,
    STATE(12584), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580151] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14435), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14433), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580188] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13854), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13852), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580231] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14439), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11768), 1,
      aux_sym_expression_item_repeat1,
    STATE(11808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14437), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580274] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14052), 1,
      sym_pow_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [580315] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13521), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14441), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11810), 1,
      sym_attribute,
    STATE(11813), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13519), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580358] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13428), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14441), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11811), 1,
      sym_attribute,
    STATE(11817), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580401] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [580448] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13428), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14441), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11791), 1,
      aux_sym_type_binding_repeat1,
    STATE(11813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [580528] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13888), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13886), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580571] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13739), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13737), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580614] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13386), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14441), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11791), 1,
      aux_sym_type_binding_repeat1,
    STATE(11817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [580657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [580694] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [580731] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [580768] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14445), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14443), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580811] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14447), 1,
      anon_sym_STAR,
    STATE(11822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11540), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11538), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580850] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14046), 1,
      anon_sym_and,
    STATE(11634), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(11823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13812), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13810), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [580891] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14449), 1,
      anon_sym_LPAREN,
    ACTIONS(14451), 1,
      anon_sym_end,
    STATE(11824), 1,
      sym_attribute,
    STATE(12220), 1,
      sym__attribute,
    STATE(13050), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [580954] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14395), 1,
      aux_sym_attribute_id_token1,
    STATE(11801), 1,
      aux_sym_attribute_id_repeat1,
    STATE(11825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(10140), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [580995] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    ACTIONS(14007), 1,
      sym_or_operator,
    ACTIONS(14359), 1,
      anon_sym_COMMA,
    ACTIONS(14361), 1,
      sym_assign_operator,
    ACTIONS(14453), 1,
      anon_sym_SEMI,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [581056] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11827), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13505), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [581103] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11828), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13499), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [581150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9090), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [581187] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14457), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11830), 1,
      sym_attribute,
    STATE(11915), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14455), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11188), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11186), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581267] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9102), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [581304] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11833), 1,
      sym_attribute,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [581351] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [581388] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14459), 1,
      anon_sym_LPAREN,
    ACTIONS(14461), 1,
      anon_sym_end,
    STATE(11835), 1,
      sym_attribute,
    STATE(12304), 1,
      sym__attribute,
    STATE(12952), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [581451] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(14463), 1,
      anon_sym_of,
    ACTIONS(14465), 1,
      anon_sym_COLON2,
    STATE(11836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13778), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13776), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581494] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13834), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581537] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [581574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [581611] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14469), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14467), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581654] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13260), 1,
      anon_sym_constraint,
    ACTIONS(13656), 1,
      anon_sym_let,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11841), 1,
      sym_attribute,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    STATE(12308), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581703] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11122), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11120), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11098), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11096), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [581777] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14473), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14471), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581820] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14477), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581863] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14481), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14479), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [581906] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14048), 1,
      anon_sym_COMMA,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    ACTIONS(14064), 1,
      sym_assign_operator,
    ACTIONS(14483), 1,
      anon_sym_SEMI,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [581967] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [582022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9975), 14,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [582059] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11850), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [582106] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14487), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14485), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582149] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14489), 1,
      anon_sym_LPAREN,
    ACTIONS(14491), 1,
      anon_sym_end,
    STATE(11852), 1,
      sym_attribute,
    STATE(12211), 1,
      sym__attribute,
    STATE(12919), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582212] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [582259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13997), 1,
      sym_pow_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [582300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10232), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(10230), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [582337] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11082), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11080), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [582374] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14493), 1,
      anon_sym_LPAREN,
    ACTIONS(14495), 1,
      anon_sym_end,
    STATE(11857), 1,
      sym_attribute,
    STATE(12465), 1,
      sym__attribute,
    STATE(12517), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582437] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14048), 1,
      anon_sym_COMMA,
    ACTIONS(14050), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14052), 1,
      sym_pow_operator,
    ACTIONS(14054), 1,
      sym_mult_operator,
    ACTIONS(14056), 1,
      sym_concat_operator,
    ACTIONS(14058), 1,
      sym_rel_operator,
    ACTIONS(14060), 1,
      sym_and_operator,
    ACTIONS(14062), 1,
      sym_or_operator,
    ACTIONS(14064), 1,
      sym_assign_operator,
    STATE(2676), 1,
      sym_add_operator,
    STATE(11858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 7,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_GT_RBRACE,
  [582496] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582533] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14295), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(11860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [582574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [582611] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14499), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11658), 1,
      aux_sym_expression_item_repeat1,
    STATE(11862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14497), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582654] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14066), 1,
      anon_sym_PIPE,
    STATE(11863), 1,
      sym_attribute,
    STATE(11870), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [582695] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    ACTIONS(13966), 1,
      anon_sym_with,
    STATE(11864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14501), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582736] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11865), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [582783] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14505), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11866), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [582822] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14508), 1,
      anon_sym_POUND,
    STATE(11867), 1,
      sym_attribute,
    STATE(12219), 1,
      sym_type_constructor_path,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [582869] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14510), 1,
      anon_sym_LPAREN,
    ACTIONS(14512), 1,
      anon_sym_end,
    STATE(11868), 1,
      sym_attribute,
    STATE(12409), 1,
      sym__attribute,
    STATE(12648), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582932] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14514), 1,
      anon_sym_LPAREN,
    ACTIONS(14516), 1,
      anon_sym_end,
    STATE(11869), 1,
      sym_attribute,
    STATE(12334), 1,
      sym__attribute,
    STATE(12887), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [582995] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14518), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11870), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [583034] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13682), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13680), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [583071] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14521), 1,
      anon_sym_LPAREN,
    ACTIONS(14523), 1,
      anon_sym_end,
    STATE(11872), 1,
      sym_attribute,
    STATE(12467), 1,
      sym__attribute,
    STATE(12511), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583134] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7951), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7949), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583177] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11874), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [583224] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11875), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [583271] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11876), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [583318] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11877), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [583365] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13997), 1,
      sym_pow_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(11403), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
  [583406] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9086), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [583443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14527), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14525), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583486] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14529), 1,
      anon_sym_LPAREN,
    ACTIONS(14531), 1,
      anon_sym_end,
    STATE(11881), 1,
      sym_attribute,
    STATE(12275), 1,
      sym__attribute,
    STATE(13034), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [583549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [583586] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14535), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11704), 1,
      aux_sym_expression_item_repeat1,
    STATE(11883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14533), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14539), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14537), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583672] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11885), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [583719] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11886), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [583772] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14543), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14541), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583815] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [583852] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14547), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14545), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583895] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14551), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11602), 1,
      aux_sym_expression_item_repeat1,
    STATE(11890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14549), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [583938] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14553), 1,
      anon_sym_LPAREN,
    ACTIONS(14555), 1,
      anon_sym_end,
    STATE(11891), 1,
      sym_attribute,
    STATE(12331), 1,
      sym__attribute,
    STATE(12905), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584001] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14557), 1,
      anon_sym_LPAREN,
    ACTIONS(14559), 1,
      anon_sym_end,
    STATE(11892), 1,
      sym_attribute,
    STATE(12463), 1,
      sym__attribute,
    STATE(12526), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584064] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 10,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [584103] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14561), 1,
      anon_sym_POUND,
    STATE(11894), 1,
      sym_attribute,
    STATE(12251), 1,
      sym_type_constructor_path,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [584150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14565), 1,
      anon_sym_let,
    STATE(11895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14563), 21,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584187] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13232), 1,
      sym__lowercase_identifier,
    ACTIONS(13390), 1,
      anon_sym_POUND,
    STATE(11190), 1,
      sym_type_constructor_path,
    STATE(11896), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [584234] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13808), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13806), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584277] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11898), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [584330] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11899), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13294), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [584377] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11346), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11344), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [584414] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14567), 1,
      anon_sym_LPAREN,
    ACTIONS(14569), 1,
      anon_sym_end,
    STATE(11901), 1,
      sym_attribute,
    STATE(12453), 1,
      sym__attribute,
    STATE(12572), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584477] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14573), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11707), 1,
      aux_sym_expression_item_repeat1,
    STATE(11902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14571), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584520] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [584559] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(11904), 1,
      sym_attribute,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13529), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [584606] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14575), 1,
      anon_sym_LPAREN,
    ACTIONS(14577), 1,
      anon_sym_end,
    STATE(11905), 1,
      sym_attribute,
    STATE(12214), 1,
      sym__attribute,
    STATE(13057), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584669] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14581), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14579), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584712] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [584749] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11908), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 7,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [584796] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(14583), 1,
      anon_sym_of,
    ACTIONS(14585), 1,
      anon_sym_COLON2,
    STATE(11909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13858), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13856), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584839] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10286), 1,
      sym__lowercase_identifier,
    ACTIONS(14587), 1,
      anon_sym_COLON2,
    STATE(11910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12559), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12561), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [584882] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14589), 1,
      anon_sym_DASH_GT,
    STATE(11911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13552), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [584923] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14591), 1,
      anon_sym_LPAREN,
    ACTIONS(14593), 1,
      anon_sym_end,
    STATE(11912), 1,
      sym_attribute,
    STATE(12401), 1,
      sym__attribute,
    STATE(12671), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [584986] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14597), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14595), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585029] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13332), 1,
      sym__lowercase_identifier,
    ACTIONS(13334), 1,
      anon_sym_POUND,
    STATE(11888), 1,
      sym_type_constructor_path,
    STATE(11914), 1,
      sym_attribute,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 7,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 10,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [585076] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14601), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14599), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585119] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_DASH_GT,
    STATE(11916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13584), 19,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585158] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14605), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11821), 1,
      aux_sym_expression_item_repeat1,
    STATE(11917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14603), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585201] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11918), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [585248] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11919), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [585295] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14607), 1,
      anon_sym_LPAREN,
    ACTIONS(14609), 1,
      anon_sym_end,
    STATE(11920), 1,
      sym_attribute,
    STATE(12295), 1,
      sym__attribute,
    STATE(12973), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585358] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11921), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [585405] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14611), 1,
      anon_sym_LPAREN,
    ACTIONS(14613), 1,
      anon_sym_end,
    STATE(11922), 1,
      sym_attribute,
    STATE(12442), 1,
      sym__attribute,
    STATE(12615), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585468] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14615), 1,
      anon_sym_LPAREN,
    ACTIONS(14617), 1,
      anon_sym_end,
    STATE(11923), 1,
      sym_attribute,
    STATE(12405), 1,
      sym__attribute,
    STATE(12662), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [585531] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [585580] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(3575), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(3573), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [585617] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13593), 4,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13591), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [585654] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7909), 1,
      anon_sym_let,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585697] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13296), 1,
      sym__lowercase_identifier,
    ACTIONS(13501), 1,
      anon_sym_POUND,
    STATE(11220), 1,
      sym_type_constructor_path,
    STATE(11928), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13499), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [585744] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14621), 1,
      anon_sym_let,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11880), 1,
      aux_sym_expression_item_repeat1,
    STATE(11929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14619), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585787] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14625), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14623), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [585830] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [585867] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [585920] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [585957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [585994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 11,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(12236), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [586031] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11936), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12787), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [586084] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14627), 1,
      anon_sym_LPAREN,
    ACTIONS(14629), 1,
      anon_sym_end,
    STATE(11937), 1,
      sym_attribute,
    STATE(12322), 1,
      sym__attribute,
    STATE(12907), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586147] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14633), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13754), 1,
      anon_sym_let,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13752), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586233] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11356), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11354), 14,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      anon_sym_to,
      anon_sym_downto,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [586270] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    ACTIONS(14007), 1,
      sym_or_operator,
    ACTIONS(14359), 1,
      anon_sym_COMMA,
    ACTIONS(14361), 1,
      sym_assign_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [586329] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14635), 1,
      anon_sym_LPAREN,
    ACTIONS(14637), 1,
      anon_sym_end,
    STATE(11942), 1,
      sym_attribute,
    STATE(12464), 1,
      sym__attribute,
    STATE(12984), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586392] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [586435] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    ACTIONS(14003), 1,
      sym_rel_operator,
    ACTIONS(14005), 1,
      sym_and_operator,
    ACTIONS(14007), 1,
      sym_or_operator,
    ACTIONS(14359), 1,
      anon_sym_COMMA,
    ACTIONS(14361), 1,
      sym_assign_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11520), 3,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11518), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [586494] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14589), 1,
      anon_sym_DASH_GT,
    STATE(11945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13611), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13609), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586535] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [586572] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14641), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14639), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586609] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
    ACTIONS(9094), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
  [586646] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14643), 1,
      anon_sym_LPAREN,
    ACTIONS(14645), 1,
      anon_sym_end,
    STATE(11949), 1,
      sym_attribute,
    STATE(12376), 1,
      sym__attribute,
    STATE(12725), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586709] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14647), 1,
      anon_sym_LPAREN,
    ACTIONS(14649), 1,
      anon_sym_end,
    STATE(11950), 1,
      sym_attribute,
    STATE(12283), 1,
      sym__attribute,
    STATE(12635), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586772] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14653), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14651), 20,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [586809] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(11952), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [586862] = 18,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13986), 1,
      anon_sym_PERCENT,
    ACTIONS(14655), 1,
      anon_sym_LPAREN,
    ACTIONS(14657), 1,
      anon_sym_end,
    STATE(11953), 1,
      sym_attribute,
    STATE(12335), 1,
      sym__attribute,
    STATE(12884), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [586925] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13995), 1,
      anon_sym_COLON_COLON,
    ACTIONS(13997), 1,
      sym_pow_operator,
    ACTIONS(13999), 1,
      sym_mult_operator,
    ACTIONS(14001), 1,
      sym_concat_operator,
    STATE(2723), 1,
      sym_add_operator,
    STATE(11954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [586974] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(11955), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12817), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [587027] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587064] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 11,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587101] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11958), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12779), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [587147] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10286), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [587183] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    ACTIONS(14659), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    STATE(11960), 1,
      sym_attribute,
    STATE(12416), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587231] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11961), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17413), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587291] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14663), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11962), 1,
      sym_attribute,
    STATE(12117), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587333] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    ACTIONS(14665), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    STATE(11963), 1,
      sym_attribute,
    STATE(12447), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587381] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    ACTIONS(14667), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    STATE(11964), 1,
      sym_attribute,
    STATE(12471), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11724), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(11726), 12,
      anon_sym_LPAREN,
      anon_sym_PIPE,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [587465] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11966), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [587511] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(11967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [587547] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14669), 1,
      anon_sym_DASH_GT,
    STATE(11968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [587585] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    STATE(11969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13523), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13525), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [587625] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13268), 1,
      anon_sym_STAR,
    STATE(11970), 1,
      sym_attribute,
    STATE(11971), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14377), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14375), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587665] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14671), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(11971), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587703] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11972), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [587749] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11973), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [587795] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12367), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12365), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [587837] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11975), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17461), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [587897] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11976), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13499), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [587943] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11977), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [587989] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13646), 1,
      sym__lowercase_identifier,
    ACTIONS(13648), 1,
      anon_sym_POUND,
    STATE(11978), 1,
      sym_attribute,
    STATE(12167), 1,
      sym_type_constructor_path,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [588035] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11979), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17529), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588095] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11980), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17546), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588155] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    ACTIONS(14674), 1,
      anon_sym_EQ,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    STATE(11981), 1,
      sym_attribute,
    STATE(12410), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [588203] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10714), 1,
      sym__module_type,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11982), 1,
      sym_attribute,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588263] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10714), 1,
      sym__module_type,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11983), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588323] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11984), 1,
      sym_attribute,
    STATE(15646), 1,
      sym__module_type,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588383] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym__lowercase_identifier,
    STATE(11985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12745), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12747), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [588423] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11986), 1,
      sym_attribute,
    STATE(15638), 1,
      sym__module_type,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588483] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11987), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17176), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588543] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11988), 1,
      sym_attribute,
    STATE(15706), 1,
      sym__module_type,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588603] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11989), 1,
      sym_attribute,
    STATE(16454), 1,
      sym__module_type,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588663] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14682), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588705] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(11991), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12757), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [588751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10366), 1,
      sym__lowercase_identifier,
    STATE(11992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(12745), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12747), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [588791] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11993), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [588837] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(11994), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [588883] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11615), 1,
      sym__module_type,
    STATE(11995), 1,
      sym_attribute,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [588943] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14684), 1,
      anon_sym_DASH_GT,
    STATE(11996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13586), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13584), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [588981] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11599), 1,
      sym__module_type,
    STATE(11997), 1,
      sym_attribute,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589041] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14688), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11998), 1,
      sym_attribute,
    STATE(12039), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14690), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14686), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589085] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14682), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11999), 1,
      sym_attribute,
    STATE(12036), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14680), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589127] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(12000), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(12743), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [589173] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 11,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
  [589211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [589283] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14692), 1,
      anon_sym_PIPE,
    STATE(12004), 1,
      sym_attribute,
    STATE(12140), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589323] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14694), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12005), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589363] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    ACTIONS(13966), 1,
      anon_sym_with,
    ACTIONS(14699), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12006), 1,
      sym_attribute,
    STATE(12007), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14697), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589409] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14703), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14701), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11724), 8,
      anon_sym_rec,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_lazy,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(11726), 13,
      anon_sym_TILDE,
      anon_sym_QMARK,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [589487] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(12009), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13499), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [589533] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14707), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14705), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589575] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14711), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14709), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589617] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(12012), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13505), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [589663] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12747), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [589699] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14684), 1,
      anon_sym_DASH_GT,
    STATE(12014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13554), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13552), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589739] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14589), 1,
      anon_sym_DASH_GT,
    STATE(12015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13566), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589779] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14715), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(11990), 1,
      aux_sym_expression_item_repeat1,
    STATE(12016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14713), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [589821] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12017), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17599), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [589881] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11465), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [589935] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [589981] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      sym_pow_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [590021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(10364), 17,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [590057] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13548), 1,
      sym__lowercase_identifier,
    ACTIONS(13550), 1,
      anon_sym_POUND,
    STATE(12022), 1,
      sym_attribute,
    STATE(12158), 1,
      sym_type_constructor_path,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
    ACTIONS(13529), 11,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      aux_sym_directive_token1,
  [590103] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      sym_pow_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 9,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [590143] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [590191] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 5,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [590239] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590275] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590311] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590347] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [590399] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
      sym_assign_operator,
  [590453] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [590511] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_COLON_COLON,
      anon_sym_GT_RBRACE,
      sym_concat_operator,
      sym_assign_operator,
  [590553] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [590611] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(12034), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [590657] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12753), 1,
      sym__lowercase_identifier,
    STATE(12035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 4,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
    ACTIONS(13523), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13525), 10,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [590697] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14737), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14735), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590739] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590775] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12038), 1,
      sym_attribute,
    STATE(12148), 1,
      sym__module_type,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [590835] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14741), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14739), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590877] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14745), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12040), 1,
      sym_attribute,
    STATE(12150), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14747), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14743), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [590921] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12561), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [590957] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [590993] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11667), 1,
      sym__module_type,
    STATE(12043), 1,
      sym_attribute,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591053] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14692), 1,
      anon_sym_PIPE,
    STATE(12044), 1,
      sym_attribute,
    STATE(12072), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14751), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14749), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591093] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    ACTIONS(14753), 1,
      anon_sym_STAR,
    STATE(12045), 1,
      sym_attribute,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(13764), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12951), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [591143] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591179] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591215] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591251] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591287] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12050), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16763), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591347] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(9975), 13,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
      aux_sym_attribute_id_token1,
  [591383] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12359), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12357), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591425] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14755), 1,
      sym__lowercase_identifier,
    ACTIONS(14757), 1,
      anon_sym_LPAREN,
    ACTIONS(14759), 1,
      anon_sym_DASH_GT,
    ACTIONS(14761), 1,
      anon_sym_module,
    ACTIONS(14763), 1,
      anon_sym_sig,
    ACTIONS(14765), 1,
      anon_sym_functor,
    ACTIONS(14767), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12053), 1,
      sym_attribute,
    STATE(14960), 1,
      sym__module_type,
    STATE(16458), 1,
      aux_sym_module_binding_repeat1,
    STATE(19008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15194), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591485] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591521] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591593] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14684), 1,
      anon_sym_DASH_GT,
    STATE(12057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13611), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13609), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591633] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12058), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17270), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591693] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(12059), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13499), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [591739] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(12060), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [591785] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14771), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14769), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [591827] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12062), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17723), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [591887] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13636), 1,
      sym__lowercase_identifier,
    ACTIONS(13638), 1,
      anon_sym_POUND,
    STATE(12063), 1,
      sym_attribute,
    STATE(12093), 1,
      sym_type_constructor_path,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [591933] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(12064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [591971] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12065), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17901), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592031] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(14775), 1,
      anon_sym_with,
    STATE(12066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13962), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13960), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592071] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592107] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14755), 1,
      sym__lowercase_identifier,
    ACTIONS(14757), 1,
      anon_sym_LPAREN,
    ACTIONS(14759), 1,
      anon_sym_DASH_GT,
    ACTIONS(14761), 1,
      anon_sym_module,
    ACTIONS(14763), 1,
      anon_sym_sig,
    ACTIONS(14765), 1,
      anon_sym_functor,
    ACTIONS(14767), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12068), 1,
      sym_attribute,
    STATE(15203), 1,
      sym__module_type,
    STATE(16458), 1,
      aux_sym_module_binding_repeat1,
    STATE(19008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15194), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592167] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592203] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12070), 1,
      sym_attribute,
    STATE(12418), 1,
      sym__module_type,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592263] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12071), 1,
      sym_attribute,
    STATE(12640), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592323] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14781), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14106), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12072), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592361] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12073), 1,
      sym_attribute,
    STATE(12473), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592421] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(14775), 1,
      anon_sym_with,
    STATE(12074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14503), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14501), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592461] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(14775), 1,
      anon_sym_with,
    STATE(12075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14027), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14025), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592501] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12076), 1,
      sym_attribute,
    STATE(13154), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592561] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592597] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(14784), 1,
      anon_sym_of,
    ACTIONS(14786), 1,
      anon_sym_COLON2,
    STATE(12078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13778), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13776), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592639] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12811), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [592675] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12080), 1,
      sym_attribute,
    STATE(12609), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592735] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592771] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12082), 1,
      sym_attribute,
    STATE(12601), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [592831] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [592867] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(14788), 1,
      anon_sym_of,
    ACTIONS(14790), 1,
      anon_sym_COLON2,
    STATE(12084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13858), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13856), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592909] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(14792), 1,
      anon_sym_of,
    ACTIONS(14794), 1,
      anon_sym_COLON2,
    STATE(12085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13870), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13868), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [592951] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [592987] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593059] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12089), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17861), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593119] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593155] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593191] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593227] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593263] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12094), 1,
      sym_attribute,
    STATE(13199), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593323] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(14775), 1,
      anon_sym_with,
    STATE(12095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14130), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14128), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12803), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12799), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593435] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593471] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593507] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13666), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13664), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [593549] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12795), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593585] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12791), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593621] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593657] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12783), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593693] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12105), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16611), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593753] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593789] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [593825] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12074), 1,
      sym__module_type,
    STATE(12108), 1,
      sym_attribute,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593885] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12075), 1,
      sym__module_type,
    STATE(12109), 1,
      sym_attribute,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [593945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [593981] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12066), 1,
      sym__module_type,
    STATE(12111), 1,
      sym_attribute,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594041] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12112), 1,
      sym_attribute,
    STATE(12460), 1,
      sym__module_type,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594101] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12113), 1,
      sym_attribute,
    STATE(12535), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594161] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12711), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594197] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12617), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594233] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12116), 1,
      sym_attribute,
    STATE(13198), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594293] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14798), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14796), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594335] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10714), 1,
      sym__module_type,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12118), 1,
      sym_attribute,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594395] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12119), 1,
      sym_attribute,
    STATE(12524), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594455] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12120), 1,
      sym_attribute,
    STATE(13204), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594515] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14798), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12121), 1,
      sym_attribute,
    STATE(12146), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14796), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12597), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594593] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12593), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [594629] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14802), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12124), 1,
      sym_attribute,
    STATE(12144), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14800), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [594671] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12125), 1,
      sym_attribute,
    STATE(12520), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594731] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10714), 1,
      sym__module_type,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12126), 1,
      sym_attribute,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594791] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13893), 1,
      anon_sym_DASH_GT,
    ACTIONS(13895), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12127), 1,
      sym_attribute,
    STATE(13224), 1,
      sym__module_type,
    STATE(16524), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594851] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12128), 1,
      sym_attribute,
    STATE(12509), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594911] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13794), 1,
      anon_sym_DASH_GT,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13798), 1,
      anon_sym_functor,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12129), 1,
      sym_attribute,
    STATE(13210), 1,
      sym__module_type,
    STATE(16534), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [594971] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    ACTIONS(14804), 1,
      anon_sym_STAR,
    STATE(12130), 1,
      sym_attribute,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(13909), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12951), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [595021] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12095), 1,
      sym__module_type,
    STATE(12131), 1,
      sym_attribute,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595081] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13611), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14669), 1,
      anon_sym_DASH_GT,
    STATE(12132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13609), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595121] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14777), 1,
      anon_sym_DASH_GT,
    ACTIONS(14779), 1,
      anon_sym_functor,
    STATE(10714), 1,
      sym__module_type,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12133), 1,
      sym_attribute,
    STATE(16546), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595181] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14806), 1,
      anon_sym_DASH_GT,
    STATE(12134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 19,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595219] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14755), 1,
      sym__lowercase_identifier,
    ACTIONS(14757), 1,
      anon_sym_LPAREN,
    ACTIONS(14759), 1,
      anon_sym_DASH_GT,
    ACTIONS(14761), 1,
      anon_sym_module,
    ACTIONS(14763), 1,
      anon_sym_sig,
    ACTIONS(14765), 1,
      anon_sym_functor,
    ACTIONS(14767), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12135), 1,
      sym_attribute,
    STATE(15024), 1,
      sym__module_type,
    STATE(16458), 1,
      aux_sym_module_binding_repeat1,
    STATE(19008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15194), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595279] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12136), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18029), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595339] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [595397] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14692), 1,
      anon_sym_PIPE,
    STATE(12044), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595437] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14669), 1,
      anon_sym_DASH_GT,
    STATE(12139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595477] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14692), 1,
      anon_sym_PIPE,
    STATE(12072), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595517] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13568), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14806), 1,
      anon_sym_DASH_GT,
    STATE(12141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13566), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595557] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [595593] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14755), 1,
      sym__lowercase_identifier,
    ACTIONS(14757), 1,
      anon_sym_LPAREN,
    ACTIONS(14759), 1,
      anon_sym_DASH_GT,
    ACTIONS(14761), 1,
      anon_sym_module,
    ACTIONS(14763), 1,
      anon_sym_sig,
    ACTIONS(14765), 1,
      anon_sym_functor,
    ACTIONS(14767), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12143), 1,
      sym_attribute,
    STATE(15176), 1,
      sym__module_type,
    STATE(16458), 1,
      aux_sym_module_binding_repeat1,
    STATE(19008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15194), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595653] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14814), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14812), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595695] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14814), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12061), 1,
      aux_sym_expression_item_repeat1,
    STATE(12145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14812), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595737] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14818), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14816), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595779] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13568), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14669), 1,
      anon_sym_DASH_GT,
    STATE(12147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13566), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [595819] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    ACTIONS(13966), 1,
      anon_sym_with,
    ACTIONS(14822), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12011), 1,
      aux_sym_expression_item_repeat1,
    STATE(12148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14820), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595865] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12006), 1,
      sym__module_type,
    STATE(12149), 1,
      sym_attribute,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [595925] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14826), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14824), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [595967] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12569), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596003] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14806), 1,
      anon_sym_DASH_GT,
    STATE(12152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596043] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12153), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(18116), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596103] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12603), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596139] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596175] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12607), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596211] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596247] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12621), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596283] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12633), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596319] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12669), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596355] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13611), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14806), 1,
      anon_sym_DASH_GT,
    STATE(12161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13609), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [596395] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596431] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12163), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17951), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596491] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12637), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [596527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596563] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12166), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17608), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596623] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596659] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12168), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16775), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596719] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14830), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14828), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [596761] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596797] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596833] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [596905] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12174), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17149), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [596965] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597001] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12176), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17033), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597061] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597097] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597133] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597169] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12180), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16667), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597229] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597265] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(13796), 1,
      anon_sym_module,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14676), 1,
      anon_sym_DASH_GT,
    ACTIONS(14678), 1,
      anon_sym_functor,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(11864), 1,
      sym__module_type,
    STATE(12182), 1,
      sym_attribute,
    STATE(16477), 1,
      aux_sym_module_binding_repeat1,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597325] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597361] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(10366), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [597397] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12185), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(16974), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597457] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597529] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597565] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12189), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17370), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597625] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12190), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17768), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597685] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597721] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(14755), 1,
      sym__lowercase_identifier,
    ACTIONS(14757), 1,
      anon_sym_LPAREN,
    ACTIONS(14759), 1,
      anon_sym_DASH_GT,
    ACTIONS(14761), 1,
      anon_sym_module,
    ACTIONS(14763), 1,
      anon_sym_sig,
    ACTIONS(14765), 1,
      anon_sym_functor,
    ACTIONS(14767), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12192), 1,
      sym_attribute,
    STATE(15198), 1,
      sym__module_type,
    STATE(16458), 1,
      aux_sym_module_binding_repeat1,
    STATE(19008), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15194), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597781] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13212), 1,
      anon_sym_STAR,
    STATE(12193), 1,
      sym_attribute,
    STATE(12195), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14377), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14375), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597821] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597857] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14832), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12195), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [597895] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [597931] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12197), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17789), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [597991] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12198), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17545), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598051] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598087] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598123] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [598159] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(13698), 1,
      sym__lowercase_identifier,
    ACTIONS(13700), 1,
      anon_sym_LPAREN,
    ACTIONS(13702), 1,
      anon_sym_DASH_GT,
    ACTIONS(13704), 1,
      anon_sym_module,
    ACTIONS(13706), 1,
      anon_sym_sig,
    ACTIONS(13708), 1,
      anon_sym_functor,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(12202), 1,
      sym_attribute,
    STATE(16455), 1,
      aux_sym_module_binding_repeat1,
    STATE(17649), 1,
      sym__module_type,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10698), 8,
      sym_signature,
      sym_module_type_constraint,
      sym_module_type_of,
      sym_functor_type,
      sym_parenthesized_module_type,
      sym_extension,
      sym_quoted_extension,
      sym_module_type_path,
  [598219] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598255] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9092), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [598291] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 10,
      anon_sym_SEMI_SEMI,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 11,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598327] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9088), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [598363] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9084), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [598399] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym__uppercase_identifier,
    ACTIONS(9100), 12,
      anon_sym_let,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
      aux_sym_directive_token1,
  [598435] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(14835), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_COLON2,
      anon_sym_DASH_GT,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 5,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
      anon_sym_GT_RBRACE,
  [598495] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(12210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598533] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14837), 1,
      anon_sym_LPAREN,
    ACTIONS(14839), 1,
      anon_sym_end,
    STATE(12211), 1,
      sym_attribute,
    STATE(12946), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598590] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14841), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12212), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598627] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11837), 1,
      aux_sym_expression_item_repeat1,
    STATE(12213), 1,
      sym_attribute,
    STATE(12411), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [598672] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14844), 1,
      anon_sym_LPAREN,
    ACTIONS(14846), 1,
      anon_sym_end,
    STATE(12214), 1,
      sym_attribute,
    STATE(13055), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598729] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598764] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14848), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(12216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [598807] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9358), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [598842] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598877] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [598912] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14850), 1,
      anon_sym_LPAREN,
    ACTIONS(14852), 1,
      anon_sym_end,
    STATE(12220), 1,
      sym_attribute,
    STATE(13025), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [598969] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599039] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14625), 1,
      anon_sym_let,
    ACTIONS(14854), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11851), 1,
      aux_sym_expression_item_repeat1,
    STATE(12223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14623), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599082] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599117] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599152] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599187] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8023), 1,
      anon_sym_let,
    ACTIONS(8105), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11938), 1,
      aux_sym_expression_item_repeat1,
    STATE(12227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8021), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599230] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599265] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599300] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599335] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599370] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599405] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14856), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(12233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599448] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599483] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599518] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11840), 1,
      aux_sym_expression_item_repeat1,
    STATE(12236), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13737), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [599563] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599598] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14858), 1,
      sym__lowercase_identifier,
    ACTIONS(14860), 1,
      anon_sym_POUND,
    STATE(12238), 1,
      sym_attribute,
    STATE(13104), 1,
      sym_type_constructor_path,
    STATE(19229), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [599643] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7909), 1,
      anon_sym_let,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8177), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11930), 1,
      aux_sym_expression_item_repeat1,
    STATE(12239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599721] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599791] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599861] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [599931] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14254), 1,
      anon_sym_let,
    ACTIONS(14862), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11674), 1,
      aux_sym_expression_item_repeat1,
    STATE(12247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14252), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [599974] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600009] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14864), 1,
      anon_sym_LPAREN,
    ACTIONS(14866), 1,
      anon_sym_end,
    STATE(12249), 1,
      sym_attribute,
    STATE(12939), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [600066] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12250), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13852), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600111] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600146] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14868), 1,
      anon_sym_STAR,
    STATE(12252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600183] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600253] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    ACTIONS(8099), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11725), 1,
      aux_sym_expression_item_repeat1,
    STATE(12255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600296] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600331] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14281), 1,
      anon_sym_let,
    ACTIONS(14870), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(12257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600409] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600444] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13216), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14872), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12260), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600481] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600516] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7999), 1,
      anon_sym_let,
    ACTIONS(8095), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11734), 1,
      aux_sym_expression_item_repeat1,
    STATE(12262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7997), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600559] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7999), 1,
      anon_sym_let,
    ACTIONS(8001), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11734), 1,
      aux_sym_expression_item_repeat1,
    STATE(12263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7997), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600602] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600637] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14178), 1,
      anon_sym_let,
    ACTIONS(14875), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(12265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [600680] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14858), 1,
      sym__lowercase_identifier,
    ACTIONS(14877), 1,
      anon_sym_POUND,
    STATE(12266), 1,
      sym_attribute,
    STATE(13095), 1,
      sym_type_constructor_path,
    STATE(19229), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [600725] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600830] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13842), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14879), 1,
      anon_sym_and,
    STATE(12260), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13840), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [600869] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600904] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600939] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [600974] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7951), 1,
      anon_sym_let,
    ACTIONS(8091), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11691), 1,
      aux_sym_expression_item_repeat1,
    STATE(12274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7949), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601017] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14881), 1,
      anon_sym_LPAREN,
    ACTIONS(14883), 1,
      anon_sym_end,
    STATE(12275), 1,
      sym_attribute,
    STATE(12989), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601074] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14885), 1,
      anon_sym_LPAREN,
    ACTIONS(14887), 1,
      anon_sym_end,
    STATE(12276), 1,
      sym_attribute,
    STATE(12997), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601131] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14889), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12277), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601168] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14892), 1,
      anon_sym_PIPE,
    STATE(12277), 1,
      aux_sym__match_cases_repeat1,
    STATE(12278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601207] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14894), 1,
      anon_sym_LPAREN,
    ACTIONS(14896), 1,
      anon_sym_end,
    STATE(12279), 1,
      sym_attribute,
    STATE(12974), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601264] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14892), 1,
      anon_sym_PIPE,
    STATE(12277), 1,
      aux_sym__match_cases_repeat1,
    STATE(12280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601303] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14892), 1,
      anon_sym_PIPE,
    STATE(12278), 1,
      aux_sym__match_cases_repeat1,
    STATE(12281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601342] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14892), 1,
      anon_sym_PIPE,
    STATE(12280), 1,
      aux_sym__match_cases_repeat1,
    STATE(12282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [601381] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14898), 1,
      anon_sym_LPAREN,
    ACTIONS(14900), 1,
      anon_sym_end,
    STATE(12283), 1,
      sym_attribute,
    STATE(12775), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601438] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14904), 1,
      anon_sym_let,
    ACTIONS(14906), 1,
      anon_sym_and,
    STATE(12285), 1,
      sym_attribute,
    STATE(12286), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14902), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601512] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14910), 1,
      anon_sym_let,
    ACTIONS(14912), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12286), 2,
      sym_attribute,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(14908), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601549] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14178), 1,
      anon_sym_let,
    ACTIONS(14915), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(12287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601592] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601627] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14254), 1,
      anon_sym_let,
    ACTIONS(14917), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11674), 1,
      aux_sym_expression_item_repeat1,
    STATE(12289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14252), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601670] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [601705] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14919), 1,
      anon_sym_LPAREN,
    ACTIONS(14921), 1,
      anon_sym_end,
    STATE(12291), 1,
      sym_attribute,
    STATE(12972), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601762] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14923), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14106), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12292), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601799] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      anon_sym_PIPE,
    STATE(12292), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14751), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14749), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601838] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12459), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12457), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601879] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14928), 1,
      anon_sym_LPAREN,
    ACTIONS(14930), 1,
      anon_sym_end,
    STATE(12295), 1,
      sym_attribute,
    STATE(13051), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [601936] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7951), 1,
      anon_sym_let,
    ACTIONS(8009), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11691), 1,
      aux_sym_expression_item_repeat1,
    STATE(12296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7949), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [601979] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14633), 1,
      anon_sym_let,
    ACTIONS(14932), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(12297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602022] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14906), 1,
      anon_sym_and,
    ACTIONS(14936), 1,
      anon_sym_let,
    STATE(12298), 1,
      sym_attribute,
    STATE(12422), 1,
      aux_sym_class_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14934), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602061] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13858), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(14938), 1,
      anon_sym_of,
    ACTIONS(14940), 1,
      anon_sym_COLON2,
    STATE(12299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      anon_sym_PIPE,
    STATE(12292), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602141] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(14942), 1,
      anon_sym_of,
    ACTIONS(14944), 1,
      anon_sym_COLON2,
    STATE(12301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602182] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14625), 1,
      anon_sym_let,
    ACTIONS(14946), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11851), 1,
      aux_sym_expression_item_repeat1,
    STATE(12302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14623), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602225] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8023), 1,
      anon_sym_let,
    ACTIONS(8027), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11938), 1,
      aux_sym_expression_item_repeat1,
    STATE(12303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8021), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602268] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14948), 1,
      anon_sym_LPAREN,
    ACTIONS(14950), 1,
      anon_sym_end,
    STATE(12304), 1,
      sym_attribute,
    STATE(12987), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602325] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13870), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(14952), 1,
      anon_sym_of,
    ACTIONS(14954), 1,
      anon_sym_COLON2,
    STATE(12305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602366] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14956), 1,
      anon_sym_LPAREN,
    ACTIONS(14958), 1,
      anon_sym_end,
    STATE(12306), 1,
      sym_attribute,
    STATE(12954), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602423] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602458] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14960), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13492), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12308), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602497] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7909), 1,
      anon_sym_let,
    ACTIONS(7911), 1,
      anon_sym_EQ,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11930), 1,
      aux_sym_expression_item_repeat1,
    STATE(12309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602540] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14178), 1,
      anon_sym_let,
    ACTIONS(14963), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(12310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602583] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    STATE(12311), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602628] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7999), 1,
      anon_sym_let,
    ACTIONS(8101), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11734), 1,
      aux_sym_expression_item_repeat1,
    STATE(12312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7997), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602671] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11889), 1,
      aux_sym_expression_item_repeat1,
    STATE(12313), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13906), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602716] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602751] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14965), 1,
      anon_sym_LPAREN,
    ACTIONS(14967), 1,
      anon_sym_end,
    STATE(12315), 1,
      sym_attribute,
    STATE(12932), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602808] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14969), 1,
      anon_sym_LPAREN,
    ACTIONS(14971), 1,
      anon_sym_end,
    STATE(12316), 1,
      sym_attribute,
    STATE(12824), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [602865] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7909), 1,
      anon_sym_let,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8017), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11930), 1,
      aux_sym_expression_item_repeat1,
    STATE(12317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [602908] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13216), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14973), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12318), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13214), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [602945] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [602980] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14281), 1,
      anon_sym_let,
    ACTIONS(14976), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(12320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603023] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603058] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14978), 1,
      anon_sym_LPAREN,
    ACTIONS(14980), 1,
      anon_sym_end,
    STATE(12322), 1,
      sym_attribute,
    STATE(13054), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603115] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603150] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603185] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603220] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14984), 3,
      anon_sym_let,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(14982), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      sym_let_and_operator,
      aux_sym_directive_token1,
  [603255] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    ACTIONS(8107), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11725), 1,
      aux_sym_expression_item_repeat1,
    STATE(12327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603298] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11816), 1,
      aux_sym_expression_item_repeat1,
    STATE(12236), 1,
      aux_sym_type_binding_repeat1,
    STATE(12328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13914), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [603343] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14986), 1,
      anon_sym_COMMA,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    ACTIONS(15002), 1,
      sym_assign_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11411), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [603400] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15004), 1,
      anon_sym_LPAREN,
    ACTIONS(15006), 1,
      anon_sym_end,
    STATE(12330), 1,
      sym_attribute,
    STATE(12903), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603457] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15008), 1,
      anon_sym_LPAREN,
    ACTIONS(15010), 1,
      anon_sym_end,
    STATE(12331), 1,
      sym_attribute,
    STATE(12912), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603514] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [603549] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15012), 1,
      anon_sym_LPAREN,
    ACTIONS(15014), 1,
      anon_sym_end,
    STATE(12333), 1,
      sym_attribute,
    STATE(12918), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603606] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15016), 1,
      anon_sym_LPAREN,
    ACTIONS(15018), 1,
      anon_sym_end,
    STATE(12334), 1,
      sym_attribute,
    STATE(12982), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603663] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15020), 1,
      anon_sym_LPAREN,
    ACTIONS(15022), 1,
      anon_sym_end,
    STATE(12335), 1,
      sym_attribute,
    STATE(12810), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603720] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15024), 1,
      anon_sym_LPAREN,
    ACTIONS(15026), 1,
      anon_sym_end,
    STATE(12336), 1,
      sym_attribute,
    STATE(12873), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603777] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(7951), 1,
      anon_sym_let,
    ACTIONS(7953), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11691), 1,
      aux_sym_expression_item_repeat1,
    STATE(12337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7949), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603820] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15028), 1,
      anon_sym_LPAREN,
    ACTIONS(15030), 1,
      anon_sym_end,
    STATE(12338), 1,
      sym_attribute,
    STATE(12831), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603877] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14254), 1,
      anon_sym_let,
    ACTIONS(15032), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11674), 1,
      aux_sym_expression_item_repeat1,
    STATE(12339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14252), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [603920] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15034), 1,
      anon_sym_LPAREN,
    ACTIONS(15036), 1,
      anon_sym_end,
    STATE(12340), 1,
      sym_attribute,
    STATE(12875), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [603977] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(15038), 1,
      anon_sym_of,
    ACTIONS(15040), 1,
      anon_sym_COLON2,
    STATE(12341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13778), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13776), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604018] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604088] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11807), 1,
      aux_sym_expression_item_repeat1,
    STATE(12250), 1,
      aux_sym_type_binding_repeat1,
    STATE(12344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13918), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604133] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15042), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14106), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12345), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604170] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604205] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15045), 1,
      anon_sym_LPAREN,
    ACTIONS(15047), 1,
      anon_sym_end,
    STATE(12347), 1,
      sym_attribute,
    STATE(12492), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604262] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604297] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_PIPE,
    STATE(12345), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14751), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14749), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604336] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [604373] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(12351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [604412] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15053), 1,
      anon_sym_LPAREN,
    ACTIONS(15055), 1,
      anon_sym_end,
    STATE(12352), 1,
      sym_attribute,
    STATE(12819), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604469] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604504] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604539] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604609] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11939), 1,
      aux_sym_expression_item_repeat1,
    STATE(12357), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13654), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604654] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15057), 1,
      anon_sym_LPAREN,
    ACTIONS(15059), 1,
      anon_sym_end,
    STATE(12358), 1,
      sym_attribute,
    STATE(12800), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [604711] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 4,
      anon_sym_COLON2,
      anon_sym_as,
      anon_sym_when,
      sym__lowercase_identifier,
    ACTIONS(10284), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      sym__uppercase_identifier,
  [604781] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(9350), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [604816] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(14684), 1,
      anon_sym_DASH_GT,
    STATE(12362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13568), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13566), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604855] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15063), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15061), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [604896] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11770), 1,
      aux_sym_expression_item_repeat1,
    STATE(12364), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [604941] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [604976] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15065), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(12366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [605015] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15067), 1,
      anon_sym_LPAREN,
    ACTIONS(15069), 1,
      anon_sym_end,
    STATE(12367), 1,
      sym_attribute,
    STATE(12829), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605072] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15071), 1,
      anon_sym_LPAREN,
    ACTIONS(15073), 1,
      anon_sym_end,
    STATE(12368), 1,
      sym_attribute,
    STATE(12736), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605129] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15075), 1,
      anon_sym_LPAREN,
    ACTIONS(15077), 1,
      anon_sym_end,
    STATE(12369), 1,
      sym_attribute,
    STATE(12774), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605186] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15079), 1,
      anon_sym_LPAREN,
    ACTIONS(15081), 1,
      anon_sym_end,
    STATE(12370), 1,
      sym_attribute,
    STATE(12752), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605243] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(15083), 1,
      anon_sym_of,
    ACTIONS(15085), 1,
      anon_sym_COLON2,
    STATE(12371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13858), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13856), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605284] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(15087), 1,
      anon_sym_of,
    ACTIONS(15089), 1,
      anon_sym_COLON2,
    STATE(12372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13870), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13868), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [605325] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11724), 8,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_object,
      anon_sym_new,
      anon_sym_begin,
      sym__lowercase_identifier,
    ACTIONS(11726), 12,
      anon_sym_LPAREN,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACE_LT,
      sym_ocamlyacc_value,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym_prefix_operator,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [605360] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15091), 1,
      anon_sym_LPAREN,
    ACTIONS(15093), 1,
      anon_sym_end,
    STATE(12374), 1,
      sym_attribute,
    STATE(12711), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605417] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11906), 1,
      aux_sym_expression_item_repeat1,
    STATE(12375), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605462] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15095), 1,
      anon_sym_LPAREN,
    ACTIONS(15097), 1,
      anon_sym_end,
    STATE(12376), 1,
      sym_attribute,
    STATE(12721), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605519] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15099), 1,
      anon_sym_LPAREN,
    ACTIONS(15101), 1,
      anon_sym_end,
    STATE(12377), 1,
      sym_attribute,
    STATE(12657), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605576] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11897), 1,
      aux_sym_expression_item_repeat1,
    STATE(12378), 1,
      sym_attribute,
    STATE(12455), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13836), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605621] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11897), 1,
      aux_sym_expression_item_repeat1,
    STATE(12379), 1,
      sym_attribute,
    STATE(12459), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13836), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605666] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13842), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15103), 1,
      anon_sym_and,
    STATE(12318), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13840), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [605705] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605740] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15107), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15105), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      anon_sym_DQUOTE,
      sym_let_operator,
      aux_sym_directive_token1,
  [605775] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15109), 1,
      anon_sym_LPAREN,
    ACTIONS(15111), 1,
      anon_sym_end,
    STATE(12383), 1,
      sym_attribute,
    STATE(12694), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 9,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 11,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605867] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15113), 1,
      anon_sym_LPAREN,
    ACTIONS(15115), 1,
      anon_sym_end,
    STATE(12385), 1,
      sym_attribute,
    STATE(12717), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [605924] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 8,
      anon_sym_SEMI_SEMI,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 12,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [605959] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(12387), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [606004] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15117), 1,
      anon_sym_LPAREN,
    ACTIONS(15119), 1,
      anon_sym_end,
    STATE(12388), 1,
      sym_attribute,
    STATE(12707), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606061] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11837), 1,
      aux_sym_expression_item_repeat1,
    STATE(12375), 1,
      aux_sym_type_binding_repeat1,
    STATE(12389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13756), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606106] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11840), 1,
      aux_sym_expression_item_repeat1,
    STATE(12390), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13737), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606151] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13870), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(15121), 1,
      anon_sym_of,
    ACTIONS(15123), 1,
      anon_sym_COLON2,
    STATE(12391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606192] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13858), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(15125), 1,
      anon_sym_of,
    ACTIONS(15127), 1,
      anon_sym_COLON2,
    STATE(12392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606233] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(15129), 1,
      anon_sym_of,
    ACTIONS(15131), 1,
      anon_sym_COLON2,
    STATE(12393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606274] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11844), 1,
      aux_sym_expression_item_repeat1,
    STATE(12394), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13852), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606319] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8031), 1,
      anon_sym_let,
    ACTIONS(8033), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11725), 1,
      aux_sym_expression_item_repeat1,
    STATE(12395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606362] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11889), 1,
      aux_sym_expression_item_repeat1,
    STATE(12396), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13906), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606407] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11816), 1,
      aux_sym_expression_item_repeat1,
    STATE(12390), 1,
      aux_sym_type_binding_repeat1,
    STATE(12397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13914), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606452] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15135), 1,
      anon_sym_BANG,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(12398), 1,
      sym_attribute,
    STATE(13443), 1,
      sym__attribute,
    STATE(14283), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [606509] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15147), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12363), 1,
      aux_sym_expression_item_repeat1,
    STATE(12399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15145), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606550] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11807), 1,
      aux_sym_expression_item_repeat1,
    STATE(12394), 1,
      aux_sym_type_binding_repeat1,
    STATE(12400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13918), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [606595] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15149), 1,
      anon_sym_LPAREN,
    ACTIONS(15151), 1,
      anon_sym_end,
    STATE(12401), 1,
      sym_attribute,
    STATE(12697), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606652] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14281), 1,
      anon_sym_let,
    ACTIONS(15153), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(12402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606695] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15155), 1,
      aux_sym_attribute_id_token1,
    STATE(12403), 1,
      sym_attribute,
    STATE(12466), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10122), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10120), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [606734] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15157), 1,
      anon_sym_LPAREN,
    ACTIONS(15159), 1,
      anon_sym_end,
    STATE(12404), 1,
      sym_attribute,
    STATE(12718), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606791] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15161), 1,
      anon_sym_LPAREN,
    ACTIONS(15163), 1,
      anon_sym_end,
    STATE(12405), 1,
      sym_attribute,
    STATE(12627), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606848] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15165), 1,
      anon_sym_LPAREN,
    ACTIONS(15167), 1,
      anon_sym_end,
    STATE(12406), 1,
      sym_attribute,
    STATE(12665), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [606905] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      anon_sym_PIPE,
    STATE(12300), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606944] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14688), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12039), 1,
      aux_sym_expression_item_repeat1,
    STATE(12408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15169), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14686), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [606987] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15171), 1,
      anon_sym_LPAREN,
    ACTIONS(15173), 1,
      anon_sym_end,
    STATE(12409), 1,
      sym_attribute,
    STATE(12528), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [607044] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11750), 1,
      aux_sym_expression_item_repeat1,
    STATE(12410), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13752), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607089] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11906), 1,
      aux_sym_expression_item_repeat1,
    STATE(12411), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13832), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607134] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    STATE(12412), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607179] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11770), 1,
      aux_sym_expression_item_repeat1,
    STATE(12413), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13954), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607224] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15177), 1,
      anon_sym_BANG,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10105), 1,
      sym_module_path,
    STATE(10132), 1,
      sym__module_expression,
    STATE(12414), 1,
      sym_attribute,
    STATE(13267), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [607281] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14926), 1,
      anon_sym_PIPE,
    STATE(12293), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607320] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11750), 1,
      aux_sym_expression_item_repeat1,
    STATE(12416), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13752), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607365] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15065), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14699), 1,
      anon_sym_let,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(14775), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12007), 1,
      aux_sym_expression_item_repeat1,
    STATE(12418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14697), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607449] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13812), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14879), 1,
      anon_sym_and,
    STATE(12270), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [607488] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12420), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 6,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13294), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [607533] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15185), 1,
      anon_sym_let,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15183), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607574] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14906), 1,
      anon_sym_and,
    ACTIONS(15189), 1,
      anon_sym_let,
    STATE(12286), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15187), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607613] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14906), 1,
      anon_sym_and,
    ACTIONS(15189), 1,
      anon_sym_let,
    STATE(12285), 1,
      aux_sym_class_type_definition_repeat1,
    STATE(12423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15187), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607652] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11465), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [607705] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_PIPE,
    STATE(12425), 1,
      sym_attribute,
    STATE(12456), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607744] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607789] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14990), 1,
      sym_pow_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607828] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14990), 1,
      sym_pow_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607867] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [607914] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8023), 1,
      anon_sym_let,
    ACTIONS(8025), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11938), 1,
      aux_sym_expression_item_repeat1,
    STATE(12430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8021), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [607957] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14986), 1,
      anon_sym_COMMA,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    ACTIONS(15002), 1,
      sym_assign_operator,
    ACTIONS(15191), 1,
      anon_sym_SEMI,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [608016] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608063] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14858), 1,
      sym__lowercase_identifier,
    ACTIONS(14877), 1,
      anon_sym_POUND,
    STATE(12433), 1,
      sym_attribute,
    STATE(13095), 1,
      sym_type_constructor_path,
    STATE(19229), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 7,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
  [608108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10782), 9,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_LBRACE,
      anon_sym_exception,
      anon_sym_lazy,
      anon_sym_begin,
      anon_sym_effect,
      sym__lowercase_identifier,
    ACTIONS(10780), 11,
      anon_sym_LPAREN,
      anon_sym_POUND,
      anon_sym_LBRACK_PIPE,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      aux_sym_number_token1,
      aux_sym_signed_number_token1,
      anon_sym_SQUOTE,
      anon_sym_DQUOTE,
      sym__uppercase_identifier,
      aux_sym_tag_token1,
  [608143] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15193), 1,
      anon_sym_LPAREN,
    ACTIONS(15195), 1,
      anon_sym_end,
    STATE(12435), 1,
      sym_attribute,
    STATE(12624), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608200] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [608251] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14745), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12150), 1,
      aux_sym_expression_item_repeat1,
    STATE(12437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15197), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14743), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608294] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11632), 1,
      aux_sym_expression_item_repeat1,
    STATE(12364), 1,
      aux_sym_type_binding_repeat1,
    STATE(12438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608339] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_PIPE,
    STATE(12349), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608378] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [608431] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14986), 1,
      anon_sym_COMMA,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    ACTIONS(15002), 1,
      sym_assign_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [608488] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15199), 1,
      anon_sym_LPAREN,
    ACTIONS(15201), 1,
      anon_sym_end,
    STATE(12442), 1,
      sym_attribute,
    STATE(12558), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608545] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608586] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14986), 1,
      anon_sym_COMMA,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    ACTIONS(15002), 1,
      sym_assign_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [608643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15051), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [608682] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14986), 1,
      anon_sym_COMMA,
    ACTIONS(14988), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14990), 1,
      sym_pow_operator,
    ACTIONS(14992), 1,
      sym_mult_operator,
    ACTIONS(14994), 1,
      sym_concat_operator,
    ACTIONS(14996), 1,
      sym_rel_operator,
    ACTIONS(14998), 1,
      sym_and_operator,
    ACTIONS(15000), 1,
      sym_or_operator,
    ACTIONS(15002), 1,
      sym_assign_operator,
    STATE(2101), 1,
      sym_add_operator,
    STATE(12446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [608739] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11717), 1,
      aux_sym_expression_item_repeat1,
    STATE(12447), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13886), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [608784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15203), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12448), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9975), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(9973), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [608821] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14625), 1,
      anon_sym_let,
    ACTIONS(15206), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11851), 1,
      aux_sym_expression_item_repeat1,
    STATE(12449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14623), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [608864] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15208), 1,
      anon_sym_LPAREN,
    ACTIONS(15210), 1,
      anon_sym_end,
    STATE(12450), 1,
      sym_attribute,
    STATE(12580), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608921] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15212), 1,
      anon_sym_LPAREN,
    ACTIONS(15214), 1,
      anon_sym_end,
    STATE(12451), 1,
      sym_attribute,
    STATE(12587), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [608978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13812), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15103), 1,
      anon_sym_and,
    STATE(12380), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(12452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_with,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609017] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15216), 1,
      anon_sym_LPAREN,
    ACTIONS(15218), 1,
      anon_sym_end,
    STATE(12453), 1,
      sym_attribute,
    STATE(12600), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609074] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12234), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [609109] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(12455), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13806), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609154] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15049), 1,
      anon_sym_PIPE,
    STATE(12345), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609193] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15220), 1,
      anon_sym_LPAREN,
    ACTIONS(15222), 1,
      anon_sym_end,
    STATE(12457), 1,
      sym_attribute,
    STATE(12569), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609250] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11698), 1,
      aux_sym_expression_item_repeat1,
    STATE(12396), 1,
      aux_sym_type_binding_repeat1,
    STATE(12458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609295] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11644), 1,
      aux_sym_expression_item_repeat1,
    STATE(12459), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13806), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609340] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    ACTIONS(14775), 1,
      anon_sym_with,
    ACTIONS(14822), 1,
      anon_sym_let,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12011), 1,
      aux_sym_expression_item_repeat1,
    STATE(12460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14820), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609385] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11632), 1,
      aux_sym_expression_item_repeat1,
    STATE(12413), 1,
      aux_sym_type_binding_repeat1,
    STATE(12461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13766), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609430] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13634), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11815), 1,
      aux_sym_expression_item_repeat1,
    STATE(12462), 1,
      sym_attribute,
    STATE(13218), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13670), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609475] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15224), 1,
      anon_sym_LPAREN,
    ACTIONS(15226), 1,
      anon_sym_end,
    STATE(12463), 1,
      sym_attribute,
    STATE(12518), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609532] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15228), 1,
      anon_sym_LPAREN,
    ACTIONS(15230), 1,
      anon_sym_end,
    STATE(12464), 1,
      sym_attribute,
    STATE(12867), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609589] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15232), 1,
      anon_sym_LPAREN,
    ACTIONS(15234), 1,
      anon_sym_end,
    STATE(12465), 1,
      sym_attribute,
    STATE(12486), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609646] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15155), 1,
      aux_sym_attribute_id_token1,
    STATE(12448), 1,
      aux_sym_attribute_id_repeat1,
    STATE(12466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10140), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(10138), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [609685] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15236), 1,
      anon_sym_LPAREN,
    ACTIONS(15238), 1,
      anon_sym_end,
    STATE(12467), 1,
      sym_attribute,
    STATE(12519), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609742] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15240), 1,
      anon_sym_STAR,
    STATE(12468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 18,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609779] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11698), 1,
      aux_sym_expression_item_repeat1,
    STATE(12313), 1,
      aux_sym_type_binding_repeat1,
    STATE(12469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13938), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609824] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15242), 1,
      anon_sym_LPAREN,
    ACTIONS(15244), 1,
      anon_sym_end,
    STATE(12470), 1,
      sym_attribute,
    STATE(12612), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [609881] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13626), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11717), 1,
      aux_sym_expression_item_repeat1,
    STATE(12471), 1,
      sym_attribute,
    STATE(13113), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13886), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [609926] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13396), 1,
      anon_sym_STAR,
    STATE(12212), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14377), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14375), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [609965] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14027), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(12473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14025), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [610003] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15250), 1,
      anon_sym_end,
    STATE(12474), 1,
      sym_attribute,
    STATE(12785), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610057] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15252), 1,
      anon_sym_end,
    STATE(12475), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610111] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15254), 1,
      anon_sym_end,
    STATE(12476), 1,
      sym_attribute,
    STATE(13049), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610165] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15256), 1,
      anon_sym_end,
    STATE(12477), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610219] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15258), 1,
      anon_sym_end,
    STATE(12478), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610273] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15260), 1,
      anon_sym_end,
    STATE(12479), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610327] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [610377] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12481), 1,
      sym_attribute,
    STATE(13432), 1,
      sym__attribute,
    STATE(14493), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610431] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15260), 1,
      anon_sym_end,
    STATE(12482), 1,
      sym_attribute,
    STATE(12485), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610485] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15258), 1,
      anon_sym_end,
    STATE(12483), 1,
      sym_attribute,
    STATE(12484), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610539] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15276), 1,
      anon_sym_end,
    STATE(12484), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610593] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15278), 1,
      anon_sym_end,
    STATE(12485), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610647] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15280), 1,
      anon_sym_end,
    STATE(12486), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610701] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15278), 1,
      anon_sym_end,
    STATE(12487), 1,
      sym_attribute,
    STATE(12488), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610755] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15282), 1,
      anon_sym_end,
    STATE(12488), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610809] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12489), 1,
      sym_attribute,
    STATE(13430), 1,
      sym__attribute,
    STATE(14391), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [610863] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15284), 1,
      anon_sym_end,
    STATE(12490), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15286), 1,
      anon_sym_end,
    STATE(12491), 1,
      sym_attribute,
    STATE(12728), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [610971] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15288), 1,
      anon_sym_end,
    STATE(12492), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611025] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15290), 1,
      anon_sym_end,
    STATE(12475), 1,
      aux_sym_object_expression_repeat1,
    STATE(12493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611079] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611125] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15292), 1,
      anon_sym_end,
    STATE(12495), 1,
      sym_attribute,
    STATE(12701), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611179] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15256), 1,
      anon_sym_end,
    STATE(12490), 1,
      aux_sym_object_expression_repeat1,
    STATE(12496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611233] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11403), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611279] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15047), 1,
      anon_sym_end,
    STATE(12498), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611333] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15294), 1,
      anon_sym_end,
    STATE(12499), 1,
      sym_attribute,
    STATE(12536), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611387] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15284), 1,
      anon_sym_end,
    STATE(12500), 1,
      sym_attribute,
    STATE(12507), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611441] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15296), 1,
      anon_sym_PIPE,
    STATE(12501), 1,
      sym_attribute,
    STATE(12566), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611479] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15264), 1,
      sym_pow_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [611517] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(15298), 1,
      anon_sym_of,
    ACTIONS(15300), 1,
      anon_sym_COLON2,
    STATE(12503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611557] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15244), 1,
      anon_sym_end,
    STATE(12504), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611611] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15302), 1,
      anon_sym_end,
    STATE(12505), 1,
      sym_attribute,
    STATE(12631), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611665] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15306), 1,
      anon_sym_let,
    STATE(12506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15304), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [611699] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15308), 1,
      anon_sym_end,
    STATE(12507), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611753] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12508), 1,
      sym_attribute,
    STATE(13310), 1,
      sym__attribute,
    STATE(14523), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [611807] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13962), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(12509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13960), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [611845] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15290), 1,
      anon_sym_end,
    STATE(12510), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611899] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15238), 1,
      anon_sym_end,
    STATE(12511), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [611953] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9334), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9336), 17,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_LBRACK_AT_AT,
      sym_hash_operator,
  [611987] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15264), 1,
      sym_pow_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [612025] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 4,
      anon_sym_and,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [612069] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13858), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(15314), 1,
      anon_sym_of,
    ACTIONS(15316), 1,
      anon_sym_COLON2,
    STATE(12515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612109] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13870), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(15318), 1,
      anon_sym_of,
    ACTIONS(15320), 1,
      anon_sym_COLON2,
    STATE(12516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612149] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15234), 1,
      anon_sym_end,
    STATE(12517), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612203] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15322), 1,
      anon_sym_end,
    STATE(12518), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612257] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15324), 1,
      anon_sym_end,
    STATE(12519), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612311] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14130), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(12520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14128), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612349] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12521), 1,
      sym_attribute,
    STATE(13313), 1,
      sym__attribute,
    STATE(14463), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [612403] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    ACTIONS(15326), 1,
      sym_or_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11465), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [612455] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15254), 1,
      anon_sym_end,
    STATE(12523), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612509] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13962), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(12524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13960), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612547] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15328), 1,
      anon_sym_end,
    STATE(12525), 1,
      sym_attribute,
    STATE(12583), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612601] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15226), 1,
      anon_sym_end,
    STATE(12526), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612655] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15330), 1,
      anon_sym_end,
    STATE(12527), 1,
      sym_attribute,
    STATE(12533), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612709] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15332), 1,
      anon_sym_end,
    STATE(12528), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(15334), 1,
      anon_sym_DASH_GT,
    STATE(12529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [612801] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15336), 1,
      anon_sym_end,
    STATE(12530), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612855] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15338), 1,
      anon_sym_end,
    STATE(12510), 1,
      aux_sym_object_expression_repeat1,
    STATE(12531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612909] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15340), 1,
      anon_sym_end,
    STATE(12532), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [612963] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15342), 1,
      anon_sym_end,
    STATE(12533), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613017] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15338), 1,
      anon_sym_end,
    STATE(12534), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613071] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14130), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(12535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14128), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [613109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15344), 1,
      anon_sym_end,
    STATE(12536), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613163] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12537), 1,
      sym_attribute,
    STATE(13420), 1,
      sym__attribute,
    STATE(14518), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613217] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15346), 1,
      anon_sym_end,
    STATE(12532), 1,
      aux_sym_object_expression_repeat1,
    STATE(12538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613271] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15342), 1,
      anon_sym_end,
    STATE(12539), 1,
      sym_attribute,
    STATE(12540), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613325] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15348), 1,
      anon_sym_end,
    STATE(12540), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613379] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12541), 1,
      sym_attribute,
    STATE(13433), 1,
      sym__attribute,
    STATE(14465), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613433] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15344), 1,
      anon_sym_end,
    STATE(12542), 1,
      sym_attribute,
    STATE(12543), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613487] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15302), 1,
      anon_sym_end,
    STATE(12543), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613541] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15350), 1,
      anon_sym_end,
    STATE(12544), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613595] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    ACTIONS(15352), 1,
      anon_sym_RPAREN,
    ACTIONS(15354), 1,
      anon_sym_val,
    STATE(10105), 1,
      sym_module_path,
    STATE(12545), 1,
      sym_attribute,
    STATE(14532), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613649] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15356), 1,
      anon_sym_PIPE,
    STATE(12546), 1,
      sym_attribute,
    STATE(12666), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [613687] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15358), 1,
      anon_sym_end,
    STATE(12547), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613741] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12548), 1,
      sym_attribute,
    STATE(13408), 1,
      sym__attribute,
    STATE(14457), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [613795] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15348), 1,
      anon_sym_end,
    STATE(12549), 1,
      sym_attribute,
    STATE(12552), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613849] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15360), 1,
      anon_sym_end,
    STATE(12550), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15362), 1,
      anon_sym_end,
    STATE(12544), 1,
      aux_sym_object_expression_repeat1,
    STATE(12551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [613957] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15364), 1,
      anon_sym_end,
    STATE(12552), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614011] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15366), 1,
      anon_sym_end,
    STATE(12553), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614065] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15368), 1,
      anon_sym_end,
    STATE(12553), 1,
      aux_sym_object_expression_repeat1,
    STATE(12554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614119] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15370), 1,
      anon_sym_end,
    STATE(12530), 1,
      aux_sym_object_expression_repeat1,
    STATE(12555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614173] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12556), 1,
      sym_attribute,
    STATE(13426), 1,
      sym__attribute,
    STATE(14318), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614227] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15368), 1,
      anon_sym_end,
    STATE(12557), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614281] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15372), 1,
      anon_sym_end,
    STATE(12558), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614335] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15374), 1,
      anon_sym_end,
    STATE(12557), 1,
      aux_sym_object_expression_repeat1,
    STATE(12559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614389] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15374), 1,
      anon_sym_end,
    STATE(12560), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614443] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15376), 1,
      anon_sym_end,
    STATE(12547), 1,
      aux_sym_object_expression_repeat1,
    STATE(12561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614497] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15296), 1,
      anon_sym_PIPE,
    STATE(12562), 1,
      sym_attribute,
    STATE(12567), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [614535] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15222), 1,
      anon_sym_end,
    STATE(12563), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614589] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12564), 1,
      sym_attribute,
    STATE(13360), 1,
      sym__attribute,
    STATE(14390), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [614643] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15362), 1,
      anon_sym_end,
    STATE(12565), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614697] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15296), 1,
      anon_sym_PIPE,
    STATE(12566), 1,
      sym_attribute,
    STATE(12568), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [614735] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15296), 1,
      anon_sym_PIPE,
    STATE(12567), 1,
      sym_attribute,
    STATE(12568), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [614773] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15378), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12568), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [614809] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15381), 1,
      anon_sym_end,
    STATE(12569), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614863] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15383), 1,
      anon_sym_end,
    STATE(12560), 1,
      aux_sym_object_expression_repeat1,
    STATE(12570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15346), 1,
      anon_sym_end,
    STATE(12571), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [614971] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15218), 1,
      anon_sym_end,
    STATE(12572), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615025] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15385), 1,
      anon_sym_end,
    STATE(12571), 1,
      aux_sym_object_expression_repeat1,
    STATE(12573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615079] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15356), 1,
      anon_sym_PIPE,
    STATE(12574), 1,
      sym_attribute,
    STATE(12649), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14810), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14808), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615117] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15356), 1,
      anon_sym_PIPE,
    STATE(12546), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(12575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13238), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13236), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [615155] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15387), 1,
      anon_sym_end,
    STATE(12576), 1,
      sym_attribute,
    STATE(12577), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615209] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15389), 1,
      anon_sym_end,
    STATE(12577), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615263] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15389), 1,
      anon_sym_end,
    STATE(12578), 1,
      sym_attribute,
    STATE(12579), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615317] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15391), 1,
      anon_sym_end,
    STATE(12579), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615371] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15393), 1,
      anon_sym_end,
    STATE(12580), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615425] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15391), 1,
      anon_sym_end,
    STATE(12581), 1,
      sym_attribute,
    STATE(12582), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615479] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15395), 1,
      anon_sym_end,
    STATE(12582), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615533] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15397), 1,
      anon_sym_end,
    STATE(12583), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615587] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15214), 1,
      anon_sym_end,
    STATE(12584), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15210), 1,
      anon_sym_end,
    STATE(12585), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615695] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    ACTIONS(15326), 1,
      sym_or_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [615747] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15399), 1,
      anon_sym_end,
    STATE(12587), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615801] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15376), 1,
      anon_sym_end,
    STATE(12588), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615855] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15401), 1,
      anon_sym_end,
    STATE(12588), 1,
      aux_sym_object_expression_repeat1,
    STATE(12589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615909] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15403), 1,
      anon_sym_end,
    STATE(12590), 1,
      sym_attribute,
    STATE(12594), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [615963] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12591), 1,
      sym_attribute,
    STATE(13320), 1,
      sym__attribute,
    STATE(14332), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616017] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(12592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [616055] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 11,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [616091] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15407), 1,
      anon_sym_end,
    STATE(12594), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616145] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15409), 1,
      anon_sym_end,
    STATE(12595), 1,
      sym_attribute,
    STATE(13012), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616199] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15407), 1,
      anon_sym_end,
    STATE(12596), 1,
      sym_attribute,
    STATE(12597), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616253] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15411), 1,
      anon_sym_end,
    STATE(12597), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616307] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15411), 1,
      anon_sym_end,
    STATE(12598), 1,
      sym_attribute,
    STATE(12599), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616361] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15413), 1,
      anon_sym_end,
    STATE(12599), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616415] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15415), 1,
      anon_sym_end,
    STATE(12600), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616469] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14027), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(12601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14025), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616507] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12602), 1,
      sym_attribute,
    STATE(13296), 1,
      sym__attribute,
    STATE(14399), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [616561] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15397), 1,
      anon_sym_end,
    STATE(12603), 1,
      sym_attribute,
    STATE(12611), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616615] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15093), 1,
      anon_sym_end,
    STATE(12604), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616669] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15417), 1,
      anon_sym_end,
    STATE(12565), 1,
      aux_sym_object_expression_repeat1,
    STATE(12605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9975), 9,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
      aux_sym_attribute_id_token1,
    ACTIONS(9973), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [616757] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15417), 1,
      anon_sym_end,
    STATE(12607), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616811] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15385), 1,
      anon_sym_end,
    STATE(12608), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616865] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(12609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14501), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [616903] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15419), 1,
      anon_sym_end,
    STATE(12608), 1,
      aux_sym_object_expression_repeat1,
    STATE(12610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [616957] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15421), 1,
      anon_sym_end,
    STATE(12611), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617011] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15423), 1,
      anon_sym_end,
    STATE(12612), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617065] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15421), 1,
      anon_sym_end,
    STATE(12613), 1,
      sym_attribute,
    STATE(12614), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617119] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15425), 1,
      anon_sym_end,
    STATE(12614), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617173] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15201), 1,
      anon_sym_end,
    STATE(12615), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617227] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12616), 1,
      sym_attribute,
    STATE(13441), 1,
      sym__attribute,
    STATE(14403), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617281] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(12617), 1,
      sym_attribute,
    STATE(13290), 1,
      sym__attribute,
    STATE(14275), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617335] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15427), 1,
      anon_sym_end,
    STATE(12478), 1,
      aux_sym_object_expression_repeat1,
    STATE(12618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617389] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15429), 1,
      anon_sym_end,
    STATE(12477), 1,
      aux_sym_object_expression_repeat1,
    STATE(12619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617443] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15427), 1,
      anon_sym_end,
    STATE(12620), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617497] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15195), 1,
      anon_sym_end,
    STATE(12621), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617551] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(12622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [617587] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12623), 1,
      sym_attribute,
    STATE(13338), 1,
      sym__attribute,
    STATE(14363), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [617641] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15431), 1,
      anon_sym_end,
    STATE(12624), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617695] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15433), 1,
      anon_sym_end,
    STATE(12625), 1,
      sym_attribute,
    STATE(12652), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617749] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12626), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [617793] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15435), 1,
      anon_sym_end,
    STATE(12627), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617847] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15437), 1,
      anon_sym_end,
    STATE(12620), 1,
      aux_sym_object_expression_repeat1,
    STATE(12628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [617901] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    ACTIONS(15326), 1,
      sym_or_operator,
    ACTIONS(15439), 1,
      anon_sym_COMMA,
    ACTIONS(15441), 1,
      sym_assign_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [617957] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12630), 1,
      sym_attribute,
    STATE(13294), 1,
      sym__attribute,
    STATE(14473), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618011] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15443), 1,
      anon_sym_end,
    STATE(12631), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618065] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(12632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 8,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [618101] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15445), 1,
      anon_sym_DASH_GT,
    STATE(12633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618137] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12634), 1,
      sym_attribute,
    STATE(13446), 1,
      sym__attribute,
    STATE(14349), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618191] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14900), 1,
      anon_sym_end,
    STATE(12635), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618245] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [618285] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15401), 1,
      anon_sym_end,
    STATE(12637), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618339] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12638), 1,
      sym_attribute,
    STATE(13286), 1,
      sym__attribute,
    STATE(14460), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [618393] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    ACTIONS(15326), 1,
      sym_or_operator,
    ACTIONS(15439), 1,
      anon_sym_COMMA,
    ACTIONS(15441), 1,
      sym_assign_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11520), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [618449] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(12640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14501), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_COLON_EQ,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [618487] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(12641), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [618531] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15447), 1,
      anon_sym_end,
    STATE(12637), 1,
      aux_sym_object_expression_repeat1,
    STATE(12642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618585] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15449), 1,
      anon_sym_end,
    STATE(12607), 1,
      aux_sym_object_expression_repeat1,
    STATE(12643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618639] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(12644), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [618683] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15451), 1,
      anon_sym_end,
    STATE(12645), 1,
      sym_attribute,
    STATE(12651), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618737] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15453), 1,
      anon_sym_end,
    STATE(12646), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618791] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15455), 1,
      anon_sym_end,
    STATE(12647), 1,
      sym_attribute,
    STATE(12772), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618845] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15173), 1,
      anon_sym_end,
    STATE(12648), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [618899] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15356), 1,
      anon_sym_PIPE,
    STATE(12649), 1,
      sym_attribute,
    STATE(12666), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14751), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14749), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [618937] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_and,
    ACTIONS(15457), 1,
      anon_sym_COMMA,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    ACTIONS(15473), 1,
      sym_assign_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [618993] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15475), 1,
      anon_sym_end,
    STATE(12651), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619047] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15477), 1,
      anon_sym_end,
    STATE(12652), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619101] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15477), 1,
      anon_sym_end,
    STATE(12653), 1,
      sym_attribute,
    STATE(12668), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619155] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15370), 1,
      anon_sym_end,
    STATE(12654), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619209] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15475), 1,
      anon_sym_end,
    STATE(12655), 1,
      sym_attribute,
    STATE(12656), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619263] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15479), 1,
      anon_sym_end,
    STATE(12656), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619317] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15481), 1,
      anon_sym_end,
    STATE(12657), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619371] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10105), 1,
      sym_module_path,
    STATE(10210), 1,
      sym__module_expression,
    STATE(12658), 1,
      sym_attribute,
    STATE(13271), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619425] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15485), 1,
      anon_sym_let,
    STATE(12659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15483), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619459] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15487), 1,
      anon_sym_end,
    STATE(12660), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619513] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15489), 1,
      anon_sym_end,
    STATE(12660), 1,
      aux_sym_object_expression_repeat1,
    STATE(12661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619567] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15163), 1,
      anon_sym_end,
    STATE(12662), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619621] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15167), 1,
      anon_sym_end,
    STATE(12663), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619675] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15489), 1,
      anon_sym_end,
    STATE(12664), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619729] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15491), 1,
      anon_sym_end,
    STATE(12665), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619783] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15493), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14106), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12666), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [619819] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12667), 1,
      sym_attribute,
    STATE(13448), 1,
      sym__attribute,
    STATE(14313), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [619873] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15496), 1,
      anon_sym_end,
    STATE(12668), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619927] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15498), 1,
      anon_sym_end,
    STATE(12669), 1,
      sym_attribute,
    STATE(12792), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [619981] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15479), 1,
      anon_sym_end,
    STATE(12670), 1,
      sym_attribute,
    STATE(12710), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620035] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15151), 1,
      anon_sym_end,
    STATE(12671), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620089] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    ACTIONS(15326), 1,
      sym_or_operator,
    ACTIONS(15439), 1,
      anon_sym_COMMA,
    ACTIONS(15441), 1,
      sym_assign_operator,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11516), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [620145] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12673), 1,
      sym_attribute,
    STATE(13464), 1,
      sym__attribute,
    STATE(14347), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620199] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15500), 1,
      anon_sym_end,
    STATE(12674), 1,
      sym_attribute,
    STATE(12897), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620253] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12675), 1,
      sym_attribute,
    STATE(13255), 1,
      sym__attribute,
    STATE(14516), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620307] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15502), 1,
      anon_sym_end,
    STATE(12676), 1,
      sym_attribute,
    STATE(12680), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620361] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15504), 1,
      anon_sym_end,
    STATE(12550), 1,
      aux_sym_object_expression_repeat1,
    STATE(12677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620415] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15496), 1,
      anon_sym_end,
    STATE(12678), 1,
      sym_attribute,
    STATE(12683), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620469] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12679), 1,
      sym_attribute,
    STATE(13401), 1,
      sym__attribute,
    STATE(14389), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620523] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15506), 1,
      anon_sym_end,
    STATE(12680), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620577] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12681), 1,
      sym_attribute,
    STATE(13249), 1,
      sym__attribute,
    STATE(14329), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [620631] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15264), 1,
      sym_pow_operator,
    ACTIONS(15266), 1,
      sym_mult_operator,
    ACTIONS(15268), 1,
      sym_concat_operator,
    ACTIONS(15270), 1,
      sym_rel_operator,
    ACTIONS(15272), 1,
      sym_and_operator,
    ACTIONS(15326), 1,
      sym_or_operator,
    ACTIONS(15439), 1,
      anon_sym_COMMA,
    ACTIONS(15441), 1,
      sym_assign_operator,
    ACTIONS(15508), 1,
      anon_sym_SEMI,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10224), 2,
      anon_sym_and,
      anon_sym_PIPE,
    ACTIONS(10222), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [620689] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15510), 1,
      anon_sym_end,
    STATE(12683), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620743] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15159), 1,
      anon_sym_end,
    STATE(12684), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620797] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15512), 1,
      anon_sym_end,
    STATE(12685), 1,
      sym_attribute,
    STATE(12754), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620851] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15506), 1,
      anon_sym_end,
    STATE(12686), 1,
      sym_attribute,
    STATE(12688), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620905] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15504), 1,
      anon_sym_end,
    STATE(12687), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [620959] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15514), 1,
      anon_sym_end,
    STATE(12688), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621013] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15516), 1,
      anon_sym_end,
    STATE(12664), 1,
      aux_sym_object_expression_repeat1,
    STATE(12689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621067] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15516), 1,
      anon_sym_end,
    STATE(12690), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621121] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15514), 1,
      anon_sym_end,
    STATE(12691), 1,
      sym_attribute,
    STATE(12692), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621175] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15518), 1,
      anon_sym_end,
    STATE(12692), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621229] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15520), 1,
      anon_sym_end,
    STATE(12687), 1,
      aux_sym_object_expression_repeat1,
    STATE(12693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621283] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15522), 1,
      anon_sym_end,
    STATE(12694), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621337] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15524), 1,
      anon_sym_end,
    STATE(12534), 1,
      aux_sym_object_expression_repeat1,
    STATE(12695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621391] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15520), 1,
      anon_sym_end,
    STATE(12696), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621445] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15526), 1,
      anon_sym_end,
    STATE(12697), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621499] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15528), 1,
      anon_sym_end,
    STATE(12696), 1,
      aux_sym_object_expression_repeat1,
    STATE(12698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621553] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12699), 1,
      sym_attribute,
    STATE(13248), 1,
      sym__attribute,
    STATE(14308), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621607] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12700), 1,
      sym_attribute,
    STATE(13276), 1,
      sym__attribute,
    STATE(14322), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [621661] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15530), 1,
      anon_sym_end,
    STATE(12701), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621715] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15119), 1,
      anon_sym_end,
    STATE(12702), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621769] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15532), 1,
      anon_sym_end,
    STATE(12654), 1,
      aux_sym_object_expression_repeat1,
    STATE(12703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621823] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15534), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [621861] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_and,
    ACTIONS(15542), 1,
      sym_let_and_operator,
    STATE(12705), 1,
      sym_attribute,
    STATE(12899), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15538), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15536), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [621901] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15115), 1,
      anon_sym_end,
    STATE(12706), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [621955] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15544), 1,
      anon_sym_end,
    STATE(12707), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622009] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12708), 1,
      sym_attribute,
    STATE(13247), 1,
      sym__attribute,
    STATE(14345), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622063] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15546), 1,
      anon_sym_end,
    STATE(12690), 1,
      aux_sym_object_expression_repeat1,
    STATE(12709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622117] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15548), 1,
      anon_sym_end,
    STATE(12710), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622171] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15550), 1,
      anon_sym_end,
    STATE(12711), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622225] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15552), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(12712), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [622261] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15111), 1,
      anon_sym_end,
    STATE(12713), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622315] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12714), 1,
      sym_attribute,
    STATE(13508), 1,
      sym__attribute,
    STATE(14454), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622369] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15555), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12715), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622405] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13690), 1,
      anon_sym_STAR,
    ACTIONS(14377), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12715), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [622443] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15558), 1,
      anon_sym_end,
    STATE(12717), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622497] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15560), 1,
      anon_sym_end,
    STATE(12718), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622551] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12719), 1,
      sym_attribute,
    STATE(13254), 1,
      sym__attribute,
    STATE(14462), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [622605] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15532), 1,
      anon_sym_end,
    STATE(12720), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622659] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15562), 1,
      anon_sym_end,
    STATE(12721), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622713] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15564), 1,
      anon_sym_end,
    STATE(12722), 1,
      sym_attribute,
    STATE(12729), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622767] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15566), 1,
      anon_sym_end,
    STATE(12723), 1,
      sym_attribute,
    STATE(12727), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622821] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15568), 1,
      anon_sym_end,
    STATE(12724), 1,
      sym_attribute,
    STATE(13058), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622875] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15097), 1,
      anon_sym_end,
    STATE(12725), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622929] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15101), 1,
      anon_sym_end,
    STATE(12726), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [622983] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15570), 1,
      anon_sym_end,
    STATE(12727), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623037] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15572), 1,
      anon_sym_end,
    STATE(12728), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623091] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15574), 1,
      anon_sym_end,
    STATE(12729), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623145] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15574), 1,
      anon_sym_end,
    STATE(12730), 1,
      sym_attribute,
    STATE(12731), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623199] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15576), 1,
      anon_sym_end,
    STATE(12731), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623253] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15576), 1,
      anon_sym_end,
    STATE(12732), 1,
      sym_attribute,
    STATE(12733), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623307] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15578), 1,
      anon_sym_end,
    STATE(12733), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623361] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15570), 1,
      anon_sym_end,
    STATE(12734), 1,
      sym_attribute,
    STATE(12780), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623415] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12735), 1,
      sym_attribute,
    STATE(12740), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15538), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15536), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623455] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15584), 1,
      anon_sym_end,
    STATE(12736), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623509] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_and,
    ACTIONS(15542), 1,
      sym_let_and_operator,
    STATE(12737), 1,
      sym_attribute,
    STATE(12797), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15588), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15586), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623549] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12735), 1,
      aux_sym_value_definition_repeat1,
    STATE(12738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15592), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623589] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12739), 1,
      sym_attribute,
    STATE(13521), 1,
      sym__attribute,
    STATE(14306), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [623643] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15594), 1,
      anon_sym_and,
    ACTIONS(15597), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14984), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12740), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14982), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623681] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12741), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [623725] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12740), 1,
      aux_sym_value_definition_repeat1,
    STATE(12742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15592), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [623765] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15600), 1,
      anon_sym_end,
    STATE(12523), 1,
      aux_sym_object_expression_repeat1,
    STATE(12743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623819] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15602), 1,
      anon_sym_end,
    STATE(12744), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623873] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15604), 1,
      anon_sym_end,
    STATE(12744), 1,
      aux_sym_object_expression_repeat1,
    STATE(12745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623927] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15077), 1,
      anon_sym_end,
    STATE(12746), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [623981] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12747), 1,
      sym_attribute,
    STATE(12767), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15588), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15586), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624021] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15081), 1,
      anon_sym_end,
    STATE(12748), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624075] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10105), 1,
      sym_module_path,
    STATE(10129), 1,
      sym__module_expression,
    STATE(12749), 1,
      sym_attribute,
    STATE(13515), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [624129] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12750), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13499), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [624173] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15606), 1,
      anon_sym_end,
    STATE(12720), 1,
      aux_sym_object_expression_repeat1,
    STATE(12751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624227] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15608), 1,
      anon_sym_end,
    STATE(12752), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624281] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15073), 1,
      anon_sym_end,
    STATE(12753), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624335] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15250), 1,
      anon_sym_end,
    STATE(12754), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624389] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15292), 1,
      anon_sym_end,
    STATE(12755), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624443] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(15610), 1,
      anon_sym_of,
    ACTIONS(15612), 1,
      anon_sym_COLON2,
    STATE(12756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13778), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13776), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [624483] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15614), 1,
      anon_sym_end,
    STATE(12757), 1,
      sym_attribute,
    STATE(12760), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624537] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15604), 1,
      anon_sym_end,
    STATE(12758), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624591] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15069), 1,
      anon_sym_end,
    STATE(12759), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624645] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15616), 1,
      anon_sym_end,
    STATE(12760), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624699] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15616), 1,
      anon_sym_end,
    STATE(12761), 1,
      sym_attribute,
    STATE(12762), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624753] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15618), 1,
      anon_sym_end,
    STATE(12762), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624807] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12763), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [624851] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15618), 1,
      anon_sym_end,
    STATE(12764), 1,
      sym_attribute,
    STATE(12771), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624905] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15620), 1,
      anon_sym_end,
    STATE(12765), 1,
      sym_attribute,
    STATE(12865), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [624959] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15622), 1,
      anon_sym_end,
    STATE(12479), 1,
      aux_sym_object_expression_repeat1,
    STATE(12766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625013] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12740), 1,
      aux_sym_value_definition_repeat1,
    STATE(12767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15626), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625053] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15630), 1,
      anon_sym_let,
    STATE(12768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15628), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625087] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12769), 1,
      sym_attribute,
    STATE(13518), 1,
      sym__attribute,
    STATE(14311), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625141] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2293), 1,
      sym_add_operator,
    STATE(12770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 8,
      anon_sym_and,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [625177] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15632), 1,
      anon_sym_end,
    STATE(12771), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625231] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15634), 1,
      anon_sym_end,
    STATE(12772), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625285] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15634), 1,
      anon_sym_end,
    STATE(12773), 1,
      sym_attribute,
    STATE(12809), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625339] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15636), 1,
      anon_sym_end,
    STATE(12774), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625393] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15638), 1,
      anon_sym_end,
    STATE(12775), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625447] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(15640), 1,
      anon_sym_of,
    ACTIONS(15642), 1,
      anon_sym_COLON2,
    STATE(12776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13858), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13856), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625487] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15644), 1,
      anon_sym_end,
    STATE(12758), 1,
      aux_sym_object_expression_repeat1,
    STATE(12777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625541] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(15646), 1,
      anon_sym_of,
    ACTIONS(15648), 1,
      anon_sym_COLON2,
    STATE(12778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13870), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13868), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625581] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12779), 1,
      sym_attribute,
    STATE(13361), 1,
      sym__attribute,
    STATE(14446), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625635] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15650), 1,
      anon_sym_end,
    STATE(12780), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625689] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15580), 1,
      anon_sym_and,
    ACTIONS(15582), 1,
      sym_let_and_operator,
    STATE(12742), 1,
      aux_sym_value_definition_repeat1,
    STATE(12781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15626), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625729] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15650), 1,
      anon_sym_end,
    STATE(12782), 1,
      sym_attribute,
    STATE(12788), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625783] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_and,
    ACTIONS(15542), 1,
      sym_let_and_operator,
    STATE(12783), 1,
      sym_attribute,
    STATE(12933), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15626), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15624), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [625823] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13611), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15334), 1,
      anon_sym_DASH_GT,
    STATE(12784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13609), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [625861] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(12785), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [625915] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12786), 1,
      sym_attribute,
    STATE(13315), 1,
      sym__attribute,
    STATE(14526), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [625969] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15644), 1,
      anon_sym_end,
    STATE(12787), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626023] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15654), 1,
      anon_sym_end,
    STATE(12788), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626077] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15656), 1,
      anon_sym_end,
    STATE(12789), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626131] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15059), 1,
      anon_sym_end,
    STATE(12790), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626185] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15652), 1,
      anon_sym_end,
    STATE(12791), 1,
      sym_attribute,
    STATE(12796), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626239] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15500), 1,
      anon_sym_end,
    STATE(12792), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626293] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13644), 1,
      anon_sym_STAR,
    ACTIONS(14377), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(12793), 1,
      sym_attribute,
    STATE(12795), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626331] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15658), 1,
      anon_sym_end,
    STATE(12789), 1,
      aux_sym_object_expression_repeat1,
    STATE(12794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626385] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15660), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12795), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [626421] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15663), 1,
      anon_sym_end,
    STATE(12796), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626475] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_and,
    ACTIONS(15542), 1,
      sym_let_and_operator,
    STATE(12797), 1,
      sym_attribute,
    STATE(12899), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15626), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15624), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [626515] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15665), 1,
      anon_sym_end,
    STATE(12798), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626569] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15667), 1,
      anon_sym_end,
    STATE(12799), 1,
      sym_attribute,
    STATE(12825), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626623] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15669), 1,
      anon_sym_end,
    STATE(12800), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626677] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15671), 1,
      anon_sym_end,
    STATE(12801), 1,
      sym_attribute,
    STATE(12803), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626731] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15658), 1,
      anon_sym_end,
    STATE(12802), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626785] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15673), 1,
      anon_sym_end,
    STATE(12803), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626839] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15673), 1,
      anon_sym_end,
    STATE(12804), 1,
      sym_attribute,
    STATE(12805), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626893] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15675), 1,
      anon_sym_end,
    STATE(12805), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [626947] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15675), 1,
      anon_sym_end,
    STATE(12806), 1,
      sym_attribute,
    STATE(12807), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627001] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15677), 1,
      anon_sym_end,
    STATE(12807), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627055] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15679), 1,
      anon_sym_end,
    STATE(12808), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15681), 1,
      anon_sym_end,
    STATE(12809), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627163] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15683), 1,
      anon_sym_end,
    STATE(12810), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627217] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12811), 1,
      sym_attribute,
    STATE(13544), 1,
      sym__attribute,
    STATE(14362), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [627271] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13780), 1,
      anon_sym_EQ,
    ACTIONS(15685), 1,
      anon_sym_of,
    ACTIONS(15687), 1,
      anon_sym_COLON2,
    STATE(12812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [627311] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15689), 1,
      anon_sym_end,
    STATE(12798), 1,
      aux_sym_object_expression_repeat1,
    STATE(12813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627365] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15691), 1,
      anon_sym_end,
    STATE(12802), 1,
      aux_sym_object_expression_repeat1,
    STATE(12814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627419] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15691), 1,
      anon_sym_end,
    STATE(12815), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627473] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15693), 1,
      anon_sym_end,
    STATE(12787), 1,
      aux_sym_object_expression_repeat1,
    STATE(12816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627527] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15055), 1,
      anon_sym_end,
    STATE(12817), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627581] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_and,
    ACTIONS(15457), 1,
      anon_sym_COMMA,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    ACTIONS(15473), 1,
      sym_assign_operator,
    ACTIONS(15695), 1,
      anon_sym_SEMI,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 4,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [627639] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15697), 1,
      anon_sym_end,
    STATE(12819), 1,
      sym_attribute,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627693] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12820), 1,
      sym_attribute,
    STATE(13525), 1,
      sym__attribute,
    STATE(14488), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [627747] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15699), 1,
      anon_sym_end,
    STATE(12646), 1,
      aux_sym_object_expression_repeat1,
    STATE(12821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627801] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15701), 1,
      anon_sym_constraint,
    ACTIONS(15704), 1,
      anon_sym_val,
    ACTIONS(15707), 1,
      anon_sym_end,
    ACTIONS(15709), 1,
      anon_sym_inherit,
    ACTIONS(15712), 1,
      anon_sym_method,
    ACTIONS(15715), 1,
      anon_sym_initializer,
    ACTIONS(15718), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(15721), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(15724), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12822), 2,
      sym_attribute,
      aux_sym_object_expression_repeat1,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627853] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12823), 1,
      sym_attribute,
    STATE(13371), 1,
      sym__attribute,
    STATE(14513), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [627907] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15727), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [627961] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15729), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628015] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15729), 1,
      anon_sym_end,
    STATE(12826), 1,
      sym_attribute,
    STATE(12841), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628069] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15681), 1,
      anon_sym_end,
    STATE(12827), 1,
      sym_attribute,
    STATE(12863), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628123] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12828), 1,
      sym_attribute,
    STATE(13415), 1,
      sym__attribute,
    STATE(14381), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [628177] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15731), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628231] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12830), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12777), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12779), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [628275] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15733), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628329] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15735), 1,
      anon_sym_end,
    STATE(12808), 1,
      aux_sym_object_expression_repeat1,
    STATE(12832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628383] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_and,
    ACTIONS(15457), 1,
      anon_sym_COMMA,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    ACTIONS(15473), 1,
      sym_assign_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [628439] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15405), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(12834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628477] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_and,
    ACTIONS(15457), 1,
      anon_sym_COMMA,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    ACTIONS(15473), 1,
      sym_assign_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [628533] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628573] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(15457), 1,
      anon_sym_COMMA,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    ACTIONS(15473), 1,
      sym_assign_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [628629] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [628681] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [628731] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628777] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15737), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [628831] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15461), 1,
      sym_pow_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628915] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15461), 1,
      sym_pow_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628953] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [628997] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_and,
    ACTIONS(15459), 1,
      anon_sym_COLON_COLON,
    ACTIONS(15461), 1,
      sym_pow_operator,
    ACTIONS(15463), 1,
      sym_mult_operator,
    ACTIONS(15465), 1,
      sym_concat_operator,
    ACTIONS(15467), 1,
      sym_rel_operator,
    ACTIONS(15469), 1,
      sym_and_operator,
    ACTIONS(15471), 1,
      sym_or_operator,
    STATE(2169), 1,
      sym_add_operator,
    STATE(12846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_else,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [629049] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12847), 1,
      sym_attribute,
    STATE(13562), 1,
      sym__attribute,
    STATE(14533), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [629103] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15739), 1,
      anon_sym_end,
    STATE(12848), 1,
      sym_attribute,
    STATE(12857), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629157] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12849), 1,
      sym_attribute,
    STATE(13421), 1,
      sym__attribute,
    STATE(14340), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [629211] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15689), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629265] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15737), 1,
      anon_sym_end,
    STATE(12851), 1,
      sym_attribute,
    STATE(12856), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629319] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13858), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13860), 1,
      anon_sym_EQ,
    ACTIONS(15741), 1,
      anon_sym_of,
    ACTIONS(15743), 1,
      anon_sym_COLON2,
    STATE(12852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [629359] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15735), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629413] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15745), 1,
      anon_sym_end,
    STATE(12815), 1,
      aux_sym_object_expression_repeat1,
    STATE(12854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629467] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_and,
    ACTIONS(15542), 1,
      sym_let_and_operator,
    STATE(12705), 1,
      aux_sym_value_definition_repeat1,
    STATE(12855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15592), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15590), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [629507] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15747), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629561] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15749), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629615] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15749), 1,
      anon_sym_end,
    STATE(12858), 1,
      sym_attribute,
    STATE(12859), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629669] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15751), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629723] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15751), 1,
      anon_sym_end,
    STATE(12860), 1,
      sym_attribute,
    STATE(12861), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629777] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15753), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629831] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15030), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629885] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15755), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [629939] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15757), 1,
      anon_sym_RPAREN,
    ACTIONS(15759), 1,
      anon_sym_DOT,
    STATE(12864), 1,
      sym_attribute,
    STATE(20746), 1,
      sym__infix_operator,
    STATE(22091), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(15761), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [629985] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15763), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630039] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15763), 1,
      anon_sym_end,
    STATE(12866), 1,
      sym_attribute,
    STATE(13010), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630093] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15765), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630147] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13660), 1,
      anon_sym_STAR,
    STATE(12712), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(12868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14377), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14375), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [630185] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15036), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630239] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13870), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13872), 1,
      anon_sym_EQ,
    ACTIONS(15767), 1,
      anon_sym_of,
    ACTIONS(15769), 1,
      anon_sym_COLON2,
    STATE(12870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [630279] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12871), 1,
      sym_attribute,
    STATE(13262), 1,
      sym__attribute,
    STATE(14342), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [630333] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15771), 1,
      anon_sym_end,
    STATE(12872), 1,
      sym_attribute,
    STATE(12886), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630387] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15773), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630441] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14172), 1,
      sym__lowercase_identifier,
    ACTIONS(14174), 1,
      anon_sym_POUND,
    STATE(12258), 1,
      sym_type_constructor_path,
    STATE(12874), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12755), 5,
      anon_sym_SEMI_SEMI,
      anon_sym_RBRACK,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12757), 9,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT,
  [630485] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15775), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630539] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15777), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630593] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15779), 1,
      anon_sym_end,
    STATE(12877), 1,
      sym_attribute,
    STATE(12878), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630647] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15781), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630701] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15026), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630755] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15783), 1,
      anon_sym_end,
    STATE(12755), 1,
      aux_sym_object_expression_repeat1,
    STATE(12880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630809] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15785), 1,
      anon_sym_end,
    STATE(12853), 1,
      aux_sym_object_expression_repeat1,
    STATE(12881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630863] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15785), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630917] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15781), 1,
      anon_sym_end,
    STATE(12883), 1,
      sym_attribute,
    STATE(12888), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [630971] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15022), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631025] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15783), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631079] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15787), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631133] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15018), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631187] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15789), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631241] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15791), 1,
      anon_sym_end,
    STATE(12876), 1,
      aux_sym_object_expression_repeat1,
    STATE(12889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631295] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_and,
    ACTIONS(15795), 1,
      sym_let_and_operator,
    STATE(12890), 1,
      sym_attribute,
    STATE(13024), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15588), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15586), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631335] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15789), 1,
      anon_sym_end,
    STATE(12891), 1,
      sym_attribute,
    STATE(12892), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631389] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15797), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631443] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15791), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631497] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15799), 1,
      anon_sym_end,
    STATE(12893), 1,
      aux_sym_object_expression_repeat1,
    STATE(12894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631551] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13554), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(15445), 1,
      anon_sym_DASH_GT,
    STATE(12895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [631589] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12896), 1,
      sym_attribute,
    STATE(13547), 1,
      sym__attribute,
    STATE(14448), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [631643] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15771), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631697] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15014), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631751] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15801), 1,
      anon_sym_and,
    ACTIONS(15804), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14984), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(12899), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14982), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [631789] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15006), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631843] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15807), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [631897] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12902), 1,
      sym_attribute,
    STATE(13387), 1,
      sym__attribute,
    STATE(14442), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [631951] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15809), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632005] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15534), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(12904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [632043] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15010), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632097] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15811), 1,
      anon_sym_end,
    STATE(12901), 1,
      aux_sym_object_expression_repeat1,
    STATE(12906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632151] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14980), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632205] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_and,
    ACTIONS(15795), 1,
      sym_let_and_operator,
    STATE(12908), 1,
      sym_attribute,
    STATE(13036), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15626), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [632245] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15811), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632299] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15813), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632353] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15815), 1,
      anon_sym_end,
    STATE(12911), 1,
      sym_attribute,
    STATE(12916), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632407] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15817), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632461] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15819), 1,
      anon_sym_end,
    STATE(12909), 1,
      aux_sym_object_expression_repeat1,
    STATE(12913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632515] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14971), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632569] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15821), 1,
      anon_sym_end,
    STATE(12910), 1,
      aux_sym_object_expression_repeat1,
    STATE(12915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632623] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15823), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632677] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15823), 1,
      anon_sym_end,
    STATE(12917), 1,
      sym_attribute,
    STATE(12921), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632731] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15825), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632785] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14839), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632839] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15799), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632893] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15827), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [632947] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15827), 1,
      anon_sym_end,
    STATE(12922), 1,
      sym_attribute,
    STATE(12923), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633001] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15829), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633055] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15831), 1,
      anon_sym_end,
    STATE(12885), 1,
      aux_sym_object_expression_repeat1,
    STATE(12924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15821), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633163] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_COLON2,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15833), 1,
      anon_sym_SEMI,
    ACTIONS(15835), 1,
      sym_rel_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(12926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(10222), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_RBRACE,
  [633221] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15837), 1,
      anon_sym_end,
    STATE(12927), 1,
      sym_attribute,
    STATE(12936), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633275] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(12928), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12741), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12743), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [633319] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14967), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633373] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12930), 1,
      sym_attribute,
    STATE(13429), 1,
      sym__attribute,
    STATE(14520), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [633427] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15819), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633481] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15839), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633535] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15540), 1,
      anon_sym_and,
    ACTIONS(15542), 1,
      sym_let_and_operator,
    STATE(12899), 1,
      aux_sym_value_definition_repeat1,
    STATE(12933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15592), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15590), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [633575] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15841), 1,
      anon_sym_end,
    STATE(12934), 1,
      sym_attribute,
    STATE(12935), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633629] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15843), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633683] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15845), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633737] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12937), 1,
      sym_attribute,
    STATE(13362), 1,
      sym__attribute,
    STATE(14370), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [633791] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15847), 1,
      anon_sym_end,
    STATE(12925), 1,
      aux_sym_object_expression_repeat1,
    STATE(12938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633845] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15849), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633899] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15847), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [633953] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15851), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634007] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15843), 1,
      anon_sym_end,
    STATE(12942), 1,
      sym_attribute,
    STATE(12943), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634061] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15853), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634115] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15853), 1,
      anon_sym_end,
    STATE(12944), 1,
      sym_attribute,
    STATE(12945), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634169] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15855), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634223] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15857), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634277] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12947), 1,
      sym_attribute,
    STATE(13256), 1,
      sym__attribute,
    STATE(14384), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [634331] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15859), 1,
      anon_sym_end,
    STATE(12882), 1,
      aux_sym_object_expression_repeat1,
    STATE(12948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634385] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15845), 1,
      anon_sym_end,
    STATE(12949), 1,
      sym_attribute,
    STATE(12950), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634439] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15861), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634493] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15863), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634547] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14950), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634601] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14958), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634655] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15865), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634709] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15861), 1,
      anon_sym_end,
    STATE(12955), 1,
      sym_attribute,
    STATE(12970), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634763] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13611), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15445), 1,
      anon_sym_DASH_GT,
    STATE(12956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13609), 16,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [634801] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15867), 1,
      anon_sym_end,
    STATE(12957), 1,
      sym_attribute,
    STATE(12958), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634855] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15869), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634909] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15869), 1,
      anon_sym_end,
    STATE(12959), 1,
      sym_attribute,
    STATE(12961), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [634963] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15871), 1,
      anon_sym_end,
    STATE(12941), 1,
      aux_sym_object_expression_repeat1,
    STATE(12960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635017] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15873), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635071] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15873), 1,
      anon_sym_end,
    STATE(12962), 1,
      sym_attribute,
    STATE(12963), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635125] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15875), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635179] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15877), 1,
      anon_sym_end,
    STATE(12931), 1,
      aux_sym_object_expression_repeat1,
    STATE(12964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635233] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15879), 1,
      anon_sym_end,
    STATE(12940), 1,
      aux_sym_object_expression_repeat1,
    STATE(12965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635287] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    ACTIONS(15881), 1,
      anon_sym_RPAREN,
    ACTIONS(15883), 1,
      anon_sym_val,
    STATE(10105), 1,
      sym_module_path,
    STATE(12966), 1,
      sym_attribute,
    STATE(14341), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [635341] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15885), 1,
      anon_sym_end,
    STATE(12951), 1,
      aux_sym_object_expression_repeat1,
    STATE(12967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635395] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15885), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635449] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15286), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635503] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15887), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635557] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15889), 1,
      anon_sym_end,
    STATE(12971), 1,
      sym_attribute,
    STATE(12995), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635611] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15891), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635665] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14930), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635719] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15893), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635773] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14921), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635827] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12976), 1,
      sym_attribute,
    STATE(13565), 1,
      sym__attribute,
    STATE(14339), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [635881] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15871), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635935] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15895), 1,
      anon_sym_end,
    STATE(12978), 1,
      sym_attribute,
    STATE(12991), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [635989] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15897), 1,
      anon_sym_end,
    STATE(12968), 1,
      aux_sym_object_expression_repeat1,
    STATE(12979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636043] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14910), 1,
      anon_sym_let,
    STATE(12980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14908), 18,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [636077] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14896), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636131] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15899), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636185] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15897), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636239] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15230), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636293] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12985), 1,
      sym_attribute,
    STATE(13534), 1,
      sym__attribute,
    STATE(14509), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [636347] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14887), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636401] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15901), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636455] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15903), 1,
      anon_sym_end,
    STATE(12977), 1,
      aux_sym_object_expression_repeat1,
    STATE(12988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636509] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15905), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636563] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15903), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636617] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15907), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636671] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15907), 1,
      anon_sym_end,
    STATE(12992), 1,
      sym_attribute,
    STATE(13002), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636725] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(12993), 1,
      sym_attribute,
    STATE(13558), 1,
      sym__attribute,
    STATE(14368), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [636779] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15909), 1,
      anon_sym_end,
    STATE(12983), 1,
      aux_sym_object_expression_repeat1,
    STATE(12994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636833] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15911), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636887] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15911), 1,
      anon_sym_end,
    STATE(12996), 1,
      sym_attribute,
    STATE(13008), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636941] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15913), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(12997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [636995] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(12998), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13497), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13499), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [637039] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(12999), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13503), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13505), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [637083] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15915), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637137] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15917), 1,
      anon_sym_end,
    STATE(13000), 1,
      aux_sym_object_expression_repeat1,
    STATE(13001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637191] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15919), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637245] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15919), 1,
      anon_sym_end,
    STATE(13003), 1,
      sym_attribute,
    STATE(13007), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637299] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15921), 1,
      anon_sym_end,
    STATE(13004), 1,
      sym_attribute,
    STATE(13026), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637353] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13005), 1,
      sym_attribute,
    STATE(13554), 1,
      sym__attribute,
    STATE(14461), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637407] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15917), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637461] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15923), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637515] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15925), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637569] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13009), 1,
      sym_attribute,
    STATE(13563), 1,
      sym__attribute,
    STATE(14481), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [637623] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15927), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637677] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15929), 1,
      anon_sym_end,
    STATE(13006), 1,
      aux_sym_object_expression_repeat1,
    STATE(13011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637731] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15931), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637785] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15931), 1,
      anon_sym_end,
    STATE(12969), 1,
      aux_sym_object_expression_repeat1,
    STATE(13013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637839] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14866), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637893] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15929), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [637947] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15933), 1,
      anon_sym_end,
    STATE(13016), 1,
      sym_attribute,
    STATE(13018), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638001] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15925), 1,
      anon_sym_end,
    STATE(13017), 1,
      sym_attribute,
    STATE(13022), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638055] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15935), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638109] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15935), 1,
      anon_sym_end,
    STATE(13019), 1,
      sym_attribute,
    STATE(13030), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638163] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15927), 1,
      anon_sym_end,
    STATE(13020), 1,
      sym_attribute,
    STATE(13048), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638217] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13021), 1,
      sym_attribute,
    STATE(13552), 1,
      sym__attribute,
    STATE(14333), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [638271] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15937), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638325] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15939), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638379] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_and,
    ACTIONS(15795), 1,
      sym_let_and_operator,
    STATE(13024), 1,
      sym_attribute,
    STATE(13037), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15626), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [638419] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15941), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638473] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15943), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638527] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15945), 1,
      anon_sym_end,
    STATE(13023), 1,
      aux_sym_object_expression_repeat1,
    STATE(13027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638581] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15943), 1,
      anon_sym_end,
    STATE(13028), 1,
      sym_attribute,
    STATE(13043), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638635] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15334), 1,
      anon_sym_DASH_GT,
    STATE(13029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 17,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [638671] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15947), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638725] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15949), 1,
      anon_sym_end,
    STATE(12990), 1,
      aux_sym_object_expression_repeat1,
    STATE(13031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638779] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15945), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638833] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15947), 1,
      anon_sym_end,
    STATE(13033), 1,
      sym_attribute,
    STATE(13040), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638887] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14883), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [638941] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13035), 1,
      sym_attribute,
    STATE(13431), 1,
      sym__attribute,
    STATE(14412), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [638995] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_and,
    ACTIONS(15795), 1,
      sym_let_and_operator,
    STATE(13036), 1,
      sym_attribute,
    STATE(13037), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15592), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639035] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15951), 1,
      anon_sym_and,
    ACTIONS(15954), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14984), 2,
      anon_sym_let,
      anon_sym_in,
    STATE(13037), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14982), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639073] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_and,
    ACTIONS(15795), 1,
      sym_let_and_operator,
    STATE(13038), 1,
      sym_attribute,
    STATE(13053), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15592), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639113] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13039), 1,
      sym_attribute,
    STATE(13548), 1,
      sym__attribute,
    STATE(14351), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [639167] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15957), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639221] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15959), 1,
      anon_sym_end,
    STATE(13032), 1,
      aux_sym_object_expression_repeat1,
    STATE(13041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639275] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15959), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639329] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15961), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639383] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15961), 1,
      anon_sym_end,
    STATE(13044), 1,
      sym_attribute,
    STATE(13047), 1,
      aux_sym_object_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639437] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(14112), 1,
      sym__lowercase_identifier,
    ACTIONS(14114), 1,
      anon_sym_POUND,
    STATE(12243), 1,
      sym_type_constructor_path,
    STATE(13045), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13527), 4,
      anon_sym_SEMI_SEMI,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(13529), 10,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT,
  [639481] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15963), 1,
      anon_sym_end,
    STATE(13015), 1,
      aux_sym_object_expression_repeat1,
    STATE(13046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639535] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15965), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639589] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15967), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639643] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15699), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639697] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14852), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639751] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15969), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639805] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15971), 1,
      anon_sym_end,
    STATE(13042), 1,
      aux_sym_object_expression_repeat1,
    STATE(13052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639859] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15793), 1,
      anon_sym_and,
    ACTIONS(15795), 1,
      sym_let_and_operator,
    STATE(13037), 1,
      aux_sym_value_definition_repeat1,
    STATE(13053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15538), 2,
      anon_sym_let,
      anon_sym_in,
    ACTIONS(15536), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [639899] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15973), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [639953] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15975), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640007] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15977), 1,
      anon_sym_end,
    STATE(12920), 1,
      aux_sym_object_expression_repeat1,
    STATE(13056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640061] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(14846), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640115] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15979), 1,
      anon_sym_end,
    STATE(12822), 1,
      aux_sym_object_expression_repeat1,
    STATE(13058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640169] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13970), 1,
      anon_sym_constraint,
    ACTIONS(13972), 1,
      anon_sym_val,
    ACTIONS(13976), 1,
      anon_sym_inherit,
    ACTIONS(13978), 1,
      anon_sym_method,
    ACTIONS(13980), 1,
      anon_sym_initializer,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(15979), 1,
      anon_sym_end,
    STATE(12850), 1,
      aux_sym_object_expression_repeat1,
    STATE(13059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14666), 2,
      sym__class_field,
      sym_floating_attribute,
    STATE(14826), 7,
      sym_type_parameter_constraint,
      sym_inheritance_definition,
      sym_instance_variable_definition,
      sym_method_definition,
      sym_class_initializer,
      sym_item_extension,
      sym_quoted_item_extension,
  [640223] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15981), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11851), 1,
      aux_sym_expression_item_repeat1,
    STATE(13060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14623), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640262] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15759), 1,
      anon_sym_DOT,
    STATE(13061), 1,
      sym_attribute,
    STATE(20746), 1,
      sym__infix_operator,
    STATE(22091), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(15761), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [640305] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8346), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11930), 1,
      aux_sym_expression_item_repeat1,
    STATE(13062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [640344] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15626), 1,
      anon_sym_let,
    ACTIONS(15983), 1,
      anon_sym_and,
    ACTIONS(15985), 1,
      sym_let_and_operator,
    STATE(13063), 1,
      sym_attribute,
    STATE(13069), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640383] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15588), 1,
      anon_sym_let,
    ACTIONS(15983), 1,
      anon_sym_and,
    ACTIONS(15985), 1,
      sym_let_and_operator,
    STATE(13063), 1,
      aux_sym_value_definition_repeat1,
    STATE(13064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15586), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15592), 1,
      anon_sym_let,
    ACTIONS(15983), 1,
      anon_sym_and,
    ACTIONS(15985), 1,
      sym_let_and_operator,
    STATE(13065), 1,
      sym_attribute,
    STATE(13069), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640461] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8488), 1,
      aux_sym_number_token1,
    ACTIONS(8490), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8492), 1,
      anon_sym_SQUOTE,
    ACTIONS(8494), 1,
      anon_sym_DQUOTE,
    ACTIONS(15987), 1,
      anon_sym_LPAREN,
    ACTIONS(15991), 1,
      anon_sym_LBRACE,
    ACTIONS(15993), 1,
      anon_sym_begin,
    STATE(10149), 1,
      sym__signed_constant,
    STATE(13066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15989), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(9847), 2,
      sym__constant,
      sym_signed_number,
    STATE(10003), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [640512] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640545] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15626), 1,
      anon_sym_let,
    ACTIONS(15983), 1,
      anon_sym_and,
    ACTIONS(15985), 1,
      sym_let_and_operator,
    STATE(13065), 1,
      aux_sym_value_definition_repeat1,
    STATE(13068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640584] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14984), 1,
      anon_sym_let,
    ACTIONS(15995), 1,
      anon_sym_and,
    ACTIONS(15998), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13069), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14982), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640621] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    ACTIONS(15354), 1,
      anon_sym_val,
    STATE(10105), 1,
      sym_module_path,
    STATE(13070), 1,
      sym_attribute,
    STATE(14532), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [640672] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15592), 1,
      anon_sym_let,
    ACTIONS(15983), 1,
      anon_sym_and,
    ACTIONS(15985), 1,
      sym_let_and_operator,
    STATE(13071), 1,
      sym_attribute,
    STATE(13073), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640711] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7867), 1,
      anon_sym_DOT,
    STATE(13072), 1,
      sym_attribute,
    STATE(22091), 1,
      sym_add_operator,
    STATE(22467), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7873), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [640754] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15538), 1,
      anon_sym_let,
    ACTIONS(15983), 1,
      anon_sym_and,
    ACTIONS(15985), 1,
      sym_let_and_operator,
    STATE(13069), 1,
      aux_sym_value_definition_repeat1,
    STATE(13073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15536), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640793] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640826] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640859] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [640892] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14984), 1,
      anon_sym_let,
    ACTIONS(16001), 1,
      anon_sym_and,
    ACTIONS(16004), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13077), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14982), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640929] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15592), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16009), 1,
      sym_let_and_operator,
    STATE(13077), 1,
      aux_sym_value_definition_repeat1,
    STATE(13078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15590), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [640968] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16013), 1,
      anon_sym_let,
    ACTIONS(16015), 1,
      anon_sym_and,
    STATE(13080), 1,
      sym_attribute,
    STATE(13172), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641038] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16017), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13081), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641073] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8352), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11938), 1,
      aux_sym_expression_item_repeat1,
    STATE(13082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8021), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641112] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16020), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11851), 1,
      aux_sym_expression_item_repeat1,
    STATE(13083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14623), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641151] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16022), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(13084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641190] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8332), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11691), 1,
      aux_sym_expression_item_repeat1,
    STATE(13085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7949), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641229] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16024), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(13086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641268] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8229), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11734), 1,
      aux_sym_expression_item_repeat1,
    STATE(13087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7997), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641307] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16026), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(13088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641346] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8328), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11725), 1,
      aux_sym_expression_item_repeat1,
    STATE(13089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641385] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16028), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11674), 1,
      aux_sym_expression_item_repeat1,
    STATE(13090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14252), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [641424] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15626), 1,
      anon_sym_let,
    ACTIONS(16030), 1,
      anon_sym_and,
    ACTIONS(16032), 1,
      sym_let_and_operator,
    STATE(13091), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641463] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16034), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(13092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [641500] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15592), 1,
      anon_sym_let,
    ACTIONS(16030), 1,
      anon_sym_and,
    ACTIONS(16032), 1,
      sym_let_and_operator,
    STATE(13093), 1,
      sym_attribute,
    STATE(13094), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641539] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14984), 1,
      anon_sym_let,
    ACTIONS(16036), 1,
      anon_sym_and,
    ACTIONS(16039), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13094), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
    ACTIONS(14982), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641576] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641609] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15592), 1,
      anon_sym_let,
    ACTIONS(16030), 1,
      anon_sym_and,
    ACTIONS(16032), 1,
      sym_let_and_operator,
    STATE(13096), 1,
      sym_attribute,
    STATE(13098), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15590), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641648] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11178), 1,
      anon_sym_as,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    STATE(13097), 1,
      sym_attribute,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [641691] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15538), 1,
      anon_sym_let,
    ACTIONS(16030), 1,
      anon_sym_and,
    ACTIONS(16032), 1,
      sym_let_and_operator,
    STATE(13094), 1,
      aux_sym_value_definition_repeat1,
    STATE(13098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15536), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641730] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641763] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [641798] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16034), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [641835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16013), 1,
      anon_sym_let,
    ACTIONS(16015), 1,
      anon_sym_and,
    STATE(13102), 1,
      sym_attribute,
    STATE(13185), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [641872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641905] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641938] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [641971] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642037] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16046), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(13108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [642109] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16050), 1,
      anon_sym_let,
    ACTIONS(16052), 1,
      anon_sym_and,
    STATE(13110), 1,
      sym_attribute,
    STATE(13140), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642146] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13912), 1,
      anon_sym_STAR,
    ACTIONS(14377), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13081), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(13111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642183] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_and,
    ACTIONS(16054), 1,
      anon_sym_COMMA,
    ACTIONS(16056), 1,
      anon_sym_SEMI,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    ACTIONS(16072), 1,
      sym_assign_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [642240] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16074), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13113), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642277] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16052), 1,
      anon_sym_and,
    ACTIONS(16079), 1,
      anon_sym_let,
    STATE(13114), 1,
      sym_attribute,
    STATE(13140), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642314] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15588), 1,
      anon_sym_let,
    ACTIONS(16030), 1,
      anon_sym_and,
    ACTIONS(16032), 1,
      sym_let_and_operator,
    STATE(13091), 1,
      aux_sym_value_definition_repeat1,
    STATE(13115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15586), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642353] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15626), 1,
      anon_sym_let,
    ACTIONS(16030), 1,
      anon_sym_and,
    ACTIONS(16032), 1,
      sym_let_and_operator,
    STATE(13093), 1,
      aux_sym_value_definition_repeat1,
    STATE(13116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15624), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12234), 16,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [642425] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16050), 1,
      anon_sym_let,
    ACTIONS(16052), 1,
      anon_sym_and,
    STATE(13114), 1,
      aux_sym_type_definition_repeat1,
    STATE(13118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642462] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13733), 1,
      anon_sym_STAR,
    STATE(13119), 1,
      sym_attribute,
    STATE(13122), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14377), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14375), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642499] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642532] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8577), 1,
      aux_sym_number_token1,
    ACTIONS(8579), 1,
      aux_sym_signed_number_token1,
    ACTIONS(8581), 1,
      anon_sym_SQUOTE,
    ACTIONS(8583), 1,
      anon_sym_DQUOTE,
    ACTIONS(16081), 1,
      anon_sym_LPAREN,
    ACTIONS(16085), 1,
      anon_sym_LBRACE,
    ACTIONS(16087), 1,
      anon_sym_begin,
    STATE(13121), 1,
      sym_attribute,
    STATE(15420), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16083), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14916), 2,
      sym__constant,
      sym_signed_number,
    STATE(14930), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [642583] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16089), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13294), 2,
      anon_sym_let,
      anon_sym_LBRACK_AT_AT,
    STATE(13122), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [642618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11726), 8,
      anon_sym_LPAREN,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_DASH,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
    ACTIONS(11724), 10,
      anon_sym_rec,
      anon_sym_nonrec,
      anon_sym__,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_virtual,
      anon_sym_functor,
      anon_sym_struct,
      sym__lowercase_identifier,
  [642651] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5847), 1,
      aux_sym_number_token1,
    ACTIONS(5849), 1,
      aux_sym_signed_number_token1,
    ACTIONS(5851), 1,
      anon_sym_SQUOTE,
    ACTIONS(5853), 1,
      anon_sym_DQUOTE,
    ACTIONS(16092), 1,
      anon_sym_LPAREN,
    ACTIONS(16096), 1,
      anon_sym_LBRACE,
    ACTIONS(16098), 1,
      anon_sym_begin,
    STATE(6396), 1,
      sym__signed_constant,
    STATE(13124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16094), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6252), 2,
      sym__constant,
      sym_signed_number,
    STATE(6176), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [642702] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14106), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16100), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13125), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642737] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14751), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13125), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14749), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642774] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13125), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642811] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642844] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13568), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15445), 1,
      anon_sym_DASH_GT,
    STATE(13130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13566), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [642914] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642947] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [642980] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643013] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6061), 1,
      anon_sym_DOT,
    STATE(13134), 1,
      sym_attribute,
    STATE(21647), 1,
      sym__infix_operator,
    STATE(22091), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(6067), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [643056] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14106), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16105), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13135), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643091] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643124] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14751), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16108), 1,
      anon_sym_PIPE,
    STATE(13135), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14749), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643161] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16112), 1,
      anon_sym_let,
    ACTIONS(16114), 1,
      anon_sym_DOT,
    STATE(13138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16110), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643196] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16108), 1,
      anon_sym_PIPE,
    STATE(13135), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643233] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15630), 1,
      anon_sym_let,
    ACTIONS(16116), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13140), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15628), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643268] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9094), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [643301] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8330), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11930), 1,
      aux_sym_expression_item_repeat1,
    STATE(13142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7905), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643373] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643406] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    ACTIONS(15883), 1,
      anon_sym_val,
    STATE(10105), 1,
      sym_module_path,
    STATE(13145), 1,
      sym_attribute,
    STATE(14341), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [643457] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16015), 1,
      anon_sym_and,
    ACTIONS(16121), 1,
      anon_sym_let,
    STATE(13102), 1,
      aux_sym_module_definition_repeat1,
    STATE(13146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16119), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643494] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9090), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [643527] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [643560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16052), 1,
      anon_sym_and,
    ACTIONS(16125), 1,
      anon_sym_let,
    STATE(13110), 1,
      aux_sym_type_definition_repeat1,
    STATE(13149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16123), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643597] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9086), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [643630] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8271), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11938), 1,
      aux_sym_expression_item_repeat1,
    STATE(13151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8021), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643669] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16127), 1,
      anon_sym_COMMA,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    ACTIONS(16143), 1,
      sym_assign_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11409), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [643724] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16052), 1,
      anon_sym_and,
    ACTIONS(16079), 1,
      anon_sym_let,
    STATE(13153), 1,
      sym_attribute,
    STATE(13230), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [643761] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12007), 1,
      aux_sym_expression_item_repeat1,
    STATE(13154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14697), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [643802] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16127), 1,
      anon_sym_COMMA,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    ACTIONS(16143), 1,
      sym_assign_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [643857] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16046), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [643894] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16127), 1,
      anon_sym_COMMA,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    ACTIONS(16143), 1,
      sym_assign_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [643949] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [643988] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16127), 1,
      anon_sym_COMMA,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    ACTIONS(16143), 1,
      sym_assign_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
  [644043] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [644094] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [644143] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [644188] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [644233] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16131), 1,
      sym_pow_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644270] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16131), 1,
      sym_pow_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644307] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(9102), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
  [644383] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [644416] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [644467] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6091), 1,
      aux_sym_number_token1,
    ACTIONS(6093), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6095), 1,
      anon_sym_SQUOTE,
    ACTIONS(6097), 1,
      anon_sym_DQUOTE,
    ACTIONS(16145), 1,
      anon_sym_LPAREN,
    ACTIONS(16149), 1,
      anon_sym_LBRACE,
    ACTIONS(16151), 1,
      anon_sym_begin,
    STATE(6569), 1,
      sym__signed_constant,
    STATE(13170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16147), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6373), 2,
      sym__constant,
      sym_signed_number,
    STATE(6380), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [644518] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2101), 1,
      anon_sym_DOT,
    STATE(13171), 1,
      sym_attribute,
    STATE(21245), 1,
      sym__infix_operator,
    STATE(22091), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(2109), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [644561] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16015), 1,
      anon_sym_and,
    ACTIONS(16155), 1,
      anon_sym_let,
    STATE(13172), 1,
      sym_attribute,
    STATE(13185), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644598] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16157), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11694), 1,
      aux_sym_expression_item_repeat1,
    STATE(13173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14631), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644637] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8344), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11691), 1,
      aux_sym_expression_item_repeat1,
    STATE(13174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7949), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644676] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16108), 1,
      anon_sym_PIPE,
    STATE(13139), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13236), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644713] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16159), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11740), 1,
      aux_sym_expression_item_repeat1,
    STATE(13176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14176), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644752] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8340), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11734), 1,
      aux_sym_expression_item_repeat1,
    STATE(13177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(7997), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644791] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16161), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11731), 1,
      aux_sym_expression_item_repeat1,
    STATE(13178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14279), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644830] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8267), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11725), 1,
      aux_sym_expression_item_repeat1,
    STATE(13179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8029), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644869] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16163), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(11674), 1,
      aux_sym_expression_item_repeat1,
    STATE(13180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14252), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [644908] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_PIPE,
    STATE(13181), 1,
      sym_attribute,
    STATE(13184), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [644945] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15592), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16009), 1,
      sym_let_and_operator,
    STATE(13182), 1,
      sym_attribute,
    STATE(13234), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15590), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [644984] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_PIPE,
    STATE(13183), 1,
      sym_attribute,
    STATE(13186), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [645021] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_PIPE,
    STATE(13184), 1,
      sym_attribute,
    STATE(13187), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [645058] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15485), 1,
      anon_sym_let,
    ACTIONS(16167), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13185), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15483), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645093] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16165), 1,
      anon_sym_PIPE,
    STATE(13186), 1,
      sym_attribute,
    STATE(13187), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [645130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16170), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13187), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 10,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [645165] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16015), 1,
      anon_sym_and,
    ACTIONS(16155), 1,
      anon_sym_let,
    STATE(13188), 1,
      sym_attribute,
    STATE(13235), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645202] = 15,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16173), 1,
      anon_sym_LPAREN,
    ACTIONS(16175), 1,
      anon_sym_constraint,
    ACTIONS(16177), 1,
      anon_sym_val,
    ACTIONS(16179), 1,
      anon_sym_end,
    ACTIONS(16181), 1,
      anon_sym_inherit,
    ACTIONS(16183), 1,
      anon_sym_method,
    STATE(13189), 1,
      sym_attribute,
    STATE(13555), 1,
      aux_sym_class_body_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14890), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14891), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [645255] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_and,
    ACTIONS(16054), 1,
      anon_sym_COMMA,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    ACTIONS(16072), 1,
      sym_assign_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [645310] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16108), 1,
      anon_sym_PIPE,
    STATE(13137), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645347] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_and,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [645398] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [645441] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7877), 1,
      anon_sym_DOT,
    STATE(13194), 1,
      sym_attribute,
    STATE(22091), 1,
      sym_add_operator,
    STATE(22351), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7883), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [645484] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13127), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13236), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645521] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16103), 1,
      anon_sym_PIPE,
    STATE(13126), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645558] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13197), 1,
      sym_attribute,
    STATE(13352), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16185), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645599] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13198), 1,
      sym_attribute,
    STATE(13325), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16187), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645640] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12007), 1,
      aux_sym_expression_item_repeat1,
    STATE(13199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14697), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645681] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6025), 1,
      aux_sym_number_token1,
    ACTIONS(6029), 1,
      anon_sym_SQUOTE,
    ACTIONS(6031), 1,
      anon_sym_DQUOTE,
    ACTIONS(8413), 1,
      aux_sym_signed_number_token1,
    ACTIONS(16189), 1,
      anon_sym_LPAREN,
    ACTIONS(16193), 1,
      anon_sym_LBRACE,
    ACTIONS(16195), 1,
      anon_sym_begin,
    STATE(13200), 1,
      sym_attribute,
    STATE(14338), 1,
      sym__signed_constant,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16191), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(14257), 2,
      sym__constant,
      sym_signed_number,
    STATE(13493), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [645732] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      sym_pow_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [645769] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13952), 1,
      anon_sym_STAR,
    ACTIONS(14377), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13202), 1,
      sym_attribute,
    STATE(13203), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645806] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16197), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13203), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_PIPE,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645841] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12011), 1,
      aux_sym_expression_item_repeat1,
    STATE(13204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14820), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [645882] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [645915] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15626), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16009), 1,
      sym_let_and_operator,
    STATE(13078), 1,
      aux_sym_value_definition_repeat1,
    STATE(13206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15624), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [645954] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [645999] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7887), 1,
      anon_sym_DOT,
    STATE(13208), 1,
      sym_attribute,
    STATE(22091), 1,
      sym_add_operator,
    STATE(22273), 1,
      sym__infix_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7893), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [646042] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_and,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [646087] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    ACTIONS(15312), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12011), 1,
      aux_sym_expression_item_repeat1,
    STATE(13210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14820), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646128] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_and,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [646177] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_assign_operator,
      sym_let_and_operator,
  [646228] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_and,
    ACTIONS(16054), 1,
      anon_sym_COMMA,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    ACTIONS(16072), 1,
      sym_assign_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [646283] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [646322] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12039), 1,
      aux_sym_expression_item_repeat1,
    STATE(13215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16200), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14686), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646361] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6169), 1,
      aux_sym_number_token1,
    ACTIONS(6171), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6173), 1,
      anon_sym_SQUOTE,
    ACTIONS(6175), 1,
      anon_sym_DQUOTE,
    ACTIONS(16202), 1,
      anon_sym_LPAREN,
    ACTIONS(16206), 1,
      anon_sym_LBRACE,
    ACTIONS(16208), 1,
      anon_sym_begin,
    STATE(6587), 1,
      sym__signed_constant,
    STATE(13216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16204), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6424), 2,
      sym__constant,
      sym_signed_number,
    STATE(6465), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [646412] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15626), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16009), 1,
      sym_let_and_operator,
    STATE(13077), 1,
      aux_sym_value_definition_repeat1,
    STATE(13217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15624), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [646451] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13492), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16210), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13218), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646488] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16060), 1,
      sym_pow_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_and,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
      sym_let_and_operator,
  [646525] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12150), 1,
      aux_sym_expression_item_repeat1,
    STATE(13220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16213), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14743), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646564] = 17,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_and,
    ACTIONS(16054), 1,
      anon_sym_COMMA,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    ACTIONS(16072), 1,
      sym_assign_operator,
    ACTIONS(16215), 1,
      anon_sym_SEMI,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [646621] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15588), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16009), 1,
      sym_let_and_operator,
    STATE(13217), 1,
      aux_sym_value_definition_repeat1,
    STATE(13222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15586), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [646660] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12150), 1,
      aux_sym_expression_item_repeat1,
    STATE(13223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16217), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14743), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646699] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13224), 1,
      sym_attribute,
    STATE(13325), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16187), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646740] = 16,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_and,
    ACTIONS(16054), 1,
      anon_sym_COMMA,
    ACTIONS(16058), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16060), 1,
      sym_pow_operator,
    ACTIONS(16062), 1,
      sym_mult_operator,
    ACTIONS(16064), 1,
      sym_concat_operator,
    ACTIONS(16066), 1,
      sym_rel_operator,
    ACTIONS(16068), 1,
      sym_and_operator,
    ACTIONS(16070), 1,
      sym_or_operator,
    ACTIONS(16072), 1,
      sym_assign_operator,
    STATE(2606), 1,
      sym_add_operator,
    STATE(13225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 4,
      anon_sym_SEMI,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [646795] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646828] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7897), 1,
      anon_sym_DOT,
    STATE(13227), 1,
      sym_attribute,
    STATE(20383), 1,
      sym__infix_operator,
    STATE(22091), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7903), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [646871] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [646904] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(12039), 1,
      aux_sym_expression_item_repeat1,
    STATE(13229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16219), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
    ACTIONS(14686), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [646943] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16052), 1,
      anon_sym_and,
    ACTIONS(16223), 1,
      anon_sym_let,
    STATE(13140), 1,
      aux_sym_type_definition_repeat1,
    STATE(13230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16221), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [646980] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    ACTIONS(15248), 1,
      anon_sym_with,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13231), 1,
      sym_attribute,
    STATE(13352), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16185), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647021] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7851), 1,
      anon_sym_DOT,
    STATE(13232), 1,
      sym_attribute,
    STATE(20419), 1,
      sym__infix_operator,
    STATE(22091), 1,
      sym_add_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(1791), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(1793), 3,
      sym_pow_operator,
      sym_concat_operator,
      sym_assign_operator,
    ACTIONS(1789), 4,
      sym_mult_operator,
      sym_rel_operator,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(7863), 5,
      sym_prefix_operator,
      sym_hash_operator,
      sym_let_operator,
      sym_let_and_operator,
      sym_match_operator,
  [647064] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16127), 1,
      anon_sym_COMMA,
    ACTIONS(16129), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16131), 1,
      sym_pow_operator,
    ACTIONS(16133), 1,
      sym_mult_operator,
    ACTIONS(16135), 1,
      sym_concat_operator,
    ACTIONS(16137), 1,
      sym_rel_operator,
    ACTIONS(16139), 1,
      sym_and_operator,
    ACTIONS(16141), 1,
      sym_or_operator,
    ACTIONS(16143), 1,
      sym_assign_operator,
    ACTIONS(16225), 1,
      anon_sym_SEMI,
    STATE(2657), 1,
      sym_add_operator,
    STATE(13233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 3,
      anon_sym_else,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [647121] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15538), 1,
      anon_sym_let,
    ACTIONS(16007), 1,
      anon_sym_and,
    ACTIONS(16009), 1,
      sym_let_and_operator,
    STATE(13077), 1,
      aux_sym_value_definition_repeat1,
    STATE(13234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15536), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647160] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16015), 1,
      anon_sym_and,
    ACTIONS(16229), 1,
      anon_sym_let,
    STATE(13185), 1,
      aux_sym_module_definition_repeat1,
    STATE(13235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16227), 15,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647197] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6273), 1,
      aux_sym_number_token1,
    ACTIONS(6275), 1,
      aux_sym_signed_number_token1,
    ACTIONS(6277), 1,
      anon_sym_SQUOTE,
    ACTIONS(6279), 1,
      anon_sym_DQUOTE,
    ACTIONS(16231), 1,
      anon_sym_LPAREN,
    ACTIONS(16235), 1,
      anon_sym_LBRACE,
    ACTIONS(16237), 1,
      anon_sym_begin,
    STATE(6709), 1,
      sym__signed_constant,
    STATE(13236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(6548), 2,
      sym__constant,
      sym_signed_number,
    STATE(6561), 6,
      sym_number,
      sym_character,
      sym_string,
      sym_quoted_string,
      sym_boolean,
      sym_unit,
  [647248] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12401), 1,
      anon_sym_as,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16239), 1,
      anon_sym_POUND,
    STATE(13237), 1,
      sym_attribute,
    STATE(13803), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [647291] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12389), 1,
      anon_sym_as,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    STATE(13238), 1,
      sym_attribute,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
  [647334] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [647367] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(13568), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(15334), 1,
      anon_sym_DASH_GT,
    STATE(13240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13566), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_constraint,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9348), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9350), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [647436] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16241), 1,
      anon_sym_STAR,
    STATE(13242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647470] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_PIPE,
    STATE(13243), 1,
      sym_attribute,
    STATE(13246), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647506] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_PIPE,
    STATE(13244), 1,
      sym_attribute,
    STATE(13250), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647542] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16245), 1,
      anon_sym_let,
    STATE(13245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11859), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647574] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_PIPE,
    STATE(13246), 1,
      sym_attribute,
    STATE(13258), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647610] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13247), 1,
      sym_attribute,
    STATE(14371), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647658] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13248), 1,
      sym_attribute,
    STATE(14328), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647706] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13249), 1,
      sym_attribute,
    STATE(14326), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647754] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16243), 1,
      anon_sym_PIPE,
    STATE(13250), 1,
      sym_attribute,
    STATE(13258), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [647790] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10090), 1,
      sym__module_expression,
    STATE(10105), 1,
      sym_module_path,
    STATE(13251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647838] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16247), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [647874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_let,
    STATE(13253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16249), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [647906] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13254), 1,
      sym_attribute,
    STATE(14447), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [647954] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13255), 1,
      sym_attribute,
    STATE(14497), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648002] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13256), 1,
      sym_attribute,
    STATE(14380), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648050] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16255), 1,
      anon_sym_let,
    ACTIONS(16257), 1,
      anon_sym_and,
    STATE(13257), 1,
      sym_attribute,
    STATE(13494), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16253), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648086] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16259), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13258), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648120] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [648170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648204] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(9547), 1,
      sym__module_expression,
    STATE(10105), 1,
      sym_module_path,
    STATE(13261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648252] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13262), 1,
      sym_attribute,
    STATE(14334), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648300] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16276), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648336] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13264), 1,
      sym_attribute,
    STATE(13268), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648372] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16280), 1,
      anon_sym_COMMA,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    ACTIONS(16296), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [648426] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13266), 1,
      sym_attribute,
    STATE(13269), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648462] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10105), 1,
      sym_module_path,
    STATE(10129), 1,
      sym__module_expression,
    STATE(13267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648510] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13268), 1,
      sym_attribute,
    STATE(13270), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648546] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16278), 1,
      anon_sym_PIPE,
    STATE(13269), 1,
      sym_attribute,
    STATE(13270), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16298), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13270), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648616] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10105), 1,
      sym_module_path,
    STATE(10202), 1,
      sym__module_expression,
    STATE(13271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648664] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9296), 1,
      anon_sym_let,
    STATE(13272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9298), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [648696] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648738] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16301), 1,
      anon_sym_COLON_GT,
    ACTIONS(16303), 1,
      anon_sym_RPAREN,
    ACTIONS(16305), 1,
      anon_sym_COLON2,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13274), 1,
      sym_attribute,
    STATE(19132), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [648796] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16264), 1,
      sym_pow_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648832] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13276), 1,
      sym_attribute,
    STATE(14350), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [648880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16307), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13277), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648914] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16264), 1,
      sym_pow_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648950] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16310), 1,
      anon_sym_PIPE,
    STATE(13277), 1,
      aux_sym__match_cases_repeat1,
    STATE(13279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [648986] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [649030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16255), 1,
      anon_sym_let,
    ACTIONS(16312), 1,
      anon_sym_and,
    STATE(13281), 1,
      sym_attribute,
    STATE(13442), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16253), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [649066] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16314), 1,
      anon_sym_COMMA,
    ACTIONS(16316), 1,
      anon_sym_SEMI,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    ACTIONS(16332), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [649122] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16310), 1,
      anon_sym_PIPE,
    STATE(13277), 1,
      aux_sym__match_cases_repeat1,
    STATE(13283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649158] = 18,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16305), 1,
      anon_sym_COLON2,
    ACTIONS(16334), 1,
      anon_sym_COLON_GT,
    ACTIONS(16336), 1,
      anon_sym_RPAREN,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13284), 1,
      sym_attribute,
    STATE(18283), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [649216] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16310), 1,
      anon_sym_PIPE,
    STATE(13279), 1,
      aux_sym__match_cases_repeat1,
    STATE(13285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649252] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13286), 1,
      sym_attribute,
    STATE(14505), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649300] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16310), 1,
      anon_sym_PIPE,
    STATE(13283), 1,
      aux_sym__match_cases_repeat1,
    STATE(13287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649336] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(9568), 1,
      sym__module_expression,
    STATE(10105), 1,
      sym_module_path,
    STATE(13288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649384] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [649428] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13290), 1,
      sym_attribute,
    STATE(14242), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649476] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [649524] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_assign_operator,
  [649574] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    ACTIONS(16338), 1,
      anon_sym_COMMA,
    ACTIONS(16340), 1,
      sym_assign_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [649628] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13294), 1,
      sym_attribute,
    STATE(14482), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649676] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649714] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13296), 1,
      sym_attribute,
    STATE(14419), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [649762] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16342), 1,
      anon_sym_PIPE,
    STATE(13297), 1,
      sym_attribute,
    STATE(13302), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649798] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    ACTIONS(16338), 1,
      anon_sym_COMMA,
    ACTIONS(16340), 1,
      sym_assign_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [649852] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16344), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649888] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16342), 1,
      anon_sym_PIPE,
    STATE(13300), 1,
      sym_attribute,
    STATE(13303), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [649924] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    ACTIONS(16338), 1,
      anon_sym_COMMA,
    ACTIONS(16340), 1,
      sym_assign_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
  [649978] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16342), 1,
      anon_sym_PIPE,
    STATE(13302), 1,
      sym_attribute,
    STATE(13308), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650014] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16342), 1,
      anon_sym_PIPE,
    STATE(13303), 1,
      sym_attribute,
    STATE(13308), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650050] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16346), 1,
      anon_sym_STAR,
    STATE(13304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 15,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_DASH_GT,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650084] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16348), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650120] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13252), 1,
      aux_sym_expression_item_repeat1,
    STATE(13306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16348), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_let,
    STATE(13307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650188] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16350), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13308), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      anon_sym_let,
    STATE(13309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650254] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13310), 1,
      sym_attribute,
    STATE(14468), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650302] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15306), 1,
      anon_sym_let,
    ACTIONS(16357), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13312), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15304), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650374] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13313), 1,
      sym_attribute,
    STATE(14452), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650422] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16312), 1,
      anon_sym_and,
    ACTIONS(16362), 1,
      anon_sym_let,
    STATE(13312), 1,
      aux_sym_class_definition_repeat1,
    STATE(13314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16360), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [650458] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13315), 1,
      sym_attribute,
    STATE(14406), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650506] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16364), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16366), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13317), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650576] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      anon_sym_PIPE,
    STATE(13317), 1,
      aux_sym__match_cases_repeat1,
    STATE(13318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650612] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16371), 1,
      anon_sym_constraint,
    ACTIONS(16374), 1,
      anon_sym_val,
    ACTIONS(16377), 1,
      anon_sym_end,
    ACTIONS(16379), 1,
      anon_sym_inherit,
    ACTIONS(16382), 1,
      anon_sym_method,
    ACTIONS(16385), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(16388), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(16391), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13319), 2,
      sym_attribute,
      aux_sym_class_body_type_repeat1,
    STATE(14890), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14891), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [650660] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13320), 1,
      sym_attribute,
    STATE(14307), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [650708] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      anon_sym_PIPE,
    STATE(13317), 1,
      aux_sym__match_cases_repeat1,
    STATE(13321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650744] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      anon_sym_PIPE,
    STATE(13318), 1,
      aux_sym__match_cases_repeat1,
    STATE(13322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650780] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16394), 1,
      anon_sym_COMMA,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    ACTIONS(16410), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [650834] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16412), 1,
      anon_sym_COMMA,
    ACTIONS(16414), 1,
      anon_sym_SEMI,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    ACTIONS(16430), 1,
      sym_assign_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [650890] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16432), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [650926] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16369), 1,
      anon_sym_PIPE,
    STATE(13321), 1,
      aux_sym__match_cases_repeat1,
    STATE(13326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [650962] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [651012] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13328), 1,
      sym_attribute,
    STATE(14219), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16444), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13329), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651094] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16447), 1,
      anon_sym_PIPE,
    STATE(13329), 1,
      aux_sym__match_cases_repeat1,
    STATE(13330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651130] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16449), 1,
      anon_sym_COMMA,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    ACTIONS(16465), 1,
      sym_assign_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [651184] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651226] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16469), 1,
      anon_sym_let,
    STATE(13333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16467), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651258] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651294] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16471), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651330] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16447), 1,
      anon_sym_PIPE,
    STATE(13329), 1,
      aux_sym__match_cases_repeat1,
    STATE(13336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651366] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16447), 1,
      anon_sym_PIPE,
    STATE(13330), 1,
      aux_sym__match_cases_repeat1,
    STATE(13337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651402] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13338), 1,
      sym_attribute,
    STATE(14323), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651450] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651486] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [651530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_let,
    STATE(13341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651562] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13305), 1,
      aux_sym_expression_item_repeat1,
    STATE(13342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16473), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [651598] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16447), 1,
      anon_sym_PIPE,
    STATE(13336), 1,
      aux_sym__match_cases_repeat1,
    STATE(13343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651634] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16477), 1,
      anon_sym_let,
    ACTIONS(16479), 1,
      anon_sym_and,
    STATE(13344), 1,
      sym_attribute,
    STATE(13358), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651670] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [651714] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651748] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [651796] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16112), 1,
      anon_sym_let,
    STATE(13348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16110), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [651828] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13349), 1,
      sym_attribute,
    STATE(13569), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [651876] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(16481), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16485), 1,
      anon_sym_nonrec,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(13149), 1,
      sym_type_binding,
    STATE(13350), 1,
      sym_attribute,
    STATE(14027), 1,
      sym__attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16286), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [651936] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16493), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [651972] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6513), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11143), 1,
      aux_sym_expression_item_repeat1,
    STATE(11683), 1,
      sym_item_attribute,
    STATE(13352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16187), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652008] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16175), 1,
      anon_sym_constraint,
    ACTIONS(16177), 1,
      anon_sym_val,
    ACTIONS(16181), 1,
      anon_sym_inherit,
    ACTIONS(16183), 1,
      anon_sym_method,
    ACTIONS(16495), 1,
      anon_sym_end,
    STATE(13319), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14890), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14891), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [652058] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16497), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(13354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652094] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [652144] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16477), 1,
      anon_sym_let,
    ACTIONS(16479), 1,
      anon_sym_and,
    STATE(13356), 1,
      sym_attribute,
    STATE(13357), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652180] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15306), 1,
      anon_sym_let,
    ACTIONS(16499), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13357), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15304), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652214] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16362), 1,
      anon_sym_let,
    ACTIONS(16479), 1,
      anon_sym_and,
    STATE(13357), 1,
      aux_sym_class_definition_repeat1,
    STATE(13358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16360), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652250] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    ACTIONS(16502), 1,
      anon_sym_COMMA,
    ACTIONS(16504), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [652304] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13360), 1,
      sym_attribute,
    STATE(14376), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652352] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13361), 1,
      sym_attribute,
    STATE(14304), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652400] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13362), 1,
      sym_attribute,
    STATE(14431), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652448] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16506), 1,
      anon_sym_PIPE,
    STATE(13363), 1,
      sym_attribute,
    STATE(13384), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [652484] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    ACTIONS(16502), 1,
      anon_sym_COMMA,
    ACTIONS(16504), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [652538] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16276), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652574] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    ACTIONS(16502), 1,
      anon_sym_COMMA,
    ACTIONS(16504), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [652628] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16508), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652664] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16449), 1,
      anon_sym_COMMA,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    ACTIONS(16465), 1,
      sym_assign_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [652718] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13369), 1,
      sym_attribute,
    STATE(14222), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652766] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16449), 1,
      anon_sym_COMMA,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    ACTIONS(16465), 1,
      sym_assign_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [652820] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13371), 1,
      sym_attribute,
    STATE(14377), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [652868] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9356), 1,
      anon_sym_let,
    STATE(13372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [652900] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [652938] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16449), 1,
      anon_sym_COMMA,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    ACTIONS(16465), 1,
      sym_assign_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [652992] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    ACTIONS(16502), 1,
      anon_sym_COMMA,
    ACTIONS(16504), 1,
      sym_assign_operator,
    ACTIONS(16510), 1,
      anon_sym_SEMI,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [653048] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [653098] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16394), 1,
      anon_sym_COMMA,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    ACTIONS(16410), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [653152] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [653200] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [653244] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16506), 1,
      anon_sym_PIPE,
    STATE(13380), 1,
      sym_attribute,
    STATE(13383), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13236), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653280] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [653324] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16453), 1,
      sym_pow_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653360] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16506), 1,
      anon_sym_PIPE,
    STATE(13383), 1,
      sym_attribute,
    STATE(13385), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14751), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16506), 1,
      anon_sym_PIPE,
    STATE(13384), 1,
      sym_attribute,
    STATE(13385), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14749), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653432] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14106), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16512), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13385), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653466] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16497), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653502] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13387), 1,
      sym_attribute,
    STATE(14472), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [653550] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16453), 1,
      sym_pow_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653586] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9392), 1,
      anon_sym_let,
    STATE(13389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653618] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9386), 1,
      anon_sym_let,
    STATE(13390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9380), 1,
      anon_sym_let,
    STATE(13391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653682] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653724] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16515), 1,
      anon_sym_PIPE,
    STATE(13393), 1,
      sym_attribute,
    STATE(13396), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653760] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9376), 1,
      anon_sym_let,
    STATE(13394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [653792] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14751), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16515), 1,
      anon_sym_PIPE,
    STATE(13395), 1,
      sym_attribute,
    STATE(13396), 1,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14749), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653828] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14106), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16517), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13396), 2,
      sym_attribute,
      aux_sym_variant_declaration_repeat1,
    ACTIONS(14104), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [653862] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16394), 1,
      anon_sym_COMMA,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    ACTIONS(16410), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
  [653916] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [653954] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16394), 1,
      anon_sym_COMMA,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    ACTIONS(16410), 1,
      sym_assign_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [654008] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [654058] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13401), 1,
      sym_attribute,
    STATE(14519), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654106] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [654154] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [654198] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [654242] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16398), 1,
      sym_pow_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654278] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16398), 1,
      sym_pow_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654314] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654356] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13408), 1,
      sym_attribute,
    STATE(14441), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654404] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13870), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16520), 1,
      anon_sym_EQ,
    ACTIONS(16522), 1,
      anon_sym_of,
    ACTIONS(16524), 1,
      anon_sym_COLON2,
    STATE(13409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654442] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [654492] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(16526), 1,
      sym__lowercase_identifier,
    ACTIONS(16528), 1,
      anon_sym_POUND,
    STATE(13411), 1,
      sym_attribute,
    STATE(14065), 1,
      sym_type_constructor_path,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12389), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [654534] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_done,
      sym_assign_operator,
  [654584] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13858), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16530), 1,
      anon_sym_EQ,
    ACTIONS(16532), 1,
      anon_sym_of,
    ACTIONS(16534), 1,
      anon_sym_COLON2,
    STATE(13413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9394), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9396), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [654654] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13415), 1,
      sym_attribute,
    STATE(14316), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654702] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13238), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16515), 1,
      anon_sym_PIPE,
    STATE(13393), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13236), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654738] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14810), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16515), 1,
      anon_sym_PIPE,
    STATE(13395), 1,
      aux_sym_variant_declaration_repeat1,
    STATE(13417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14808), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_and,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [654774] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16536), 1,
      anon_sym_else,
    STATE(11714), 1,
      sym_else_clause,
    STATE(13418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [654810] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(9916), 1,
      sym__module_expression,
    STATE(10105), 1,
      sym_module_path,
    STATE(13419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654858] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13420), 1,
      sym_attribute,
    STATE(14507), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654906] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13421), 1,
      sym_attribute,
    STATE(14353), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [654954] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(16526), 1,
      sym__lowercase_identifier,
    ACTIONS(16528), 1,
      anon_sym_POUND,
    STATE(13422), 1,
      sym_attribute,
    STATE(14065), 1,
      sym_type_constructor_path,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(11178), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [654996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9398), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9400), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [655028] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16394), 1,
      anon_sym_COMMA,
    ACTIONS(16396), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16398), 1,
      sym_pow_operator,
    ACTIONS(16400), 1,
      sym_mult_operator,
    ACTIONS(16402), 1,
      sym_concat_operator,
    ACTIONS(16404), 1,
      sym_rel_operator,
    ACTIONS(16406), 1,
      sym_and_operator,
    ACTIONS(16408), 1,
      sym_or_operator,
    ACTIONS(16410), 1,
      sym_assign_operator,
    ACTIONS(16538), 1,
      anon_sym_SEMI,
    STATE(2519), 1,
      sym_add_operator,
    STATE(13424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_else,
      anon_sym_done,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [655084] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16540), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [655120] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13426), 1,
      sym_attribute,
    STATE(14343), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655168] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16542), 1,
      anon_sym_EQ,
    ACTIONS(16544), 1,
      anon_sym_of,
    ACTIONS(16546), 1,
      anon_sym_COLON2,
    STATE(13427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [655206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9288), 1,
      anon_sym_let,
    STATE(13428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9290), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655238] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13429), 1,
      sym_attribute,
    STATE(14477), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655286] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13430), 1,
      sym_attribute,
    STATE(14410), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655334] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13431), 1,
      sym_attribute,
    STATE(14411), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655382] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13432), 1,
      sym_attribute,
    STATE(14470), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655430] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13433), 1,
      sym_attribute,
    STATE(14496), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655478] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16548), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [655514] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16550), 1,
      sym__lowercase_identifier,
    ACTIONS(16552), 1,
      anon_sym_nonrec,
    STATE(13435), 1,
      sym_attribute,
    STATE(13451), 1,
      sym_type_binding,
    STATE(14171), 1,
      sym__attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15945), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22269), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [655574] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [655608] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16508), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [655644] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(13438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10284), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [655678] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16312), 1,
      anon_sym_and,
    ACTIONS(16477), 1,
      anon_sym_let,
    STATE(13314), 1,
      aux_sym_class_definition_repeat1,
    STATE(13439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655714] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13440), 1,
      sym_attribute,
    STATE(14197), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655762] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13441), 1,
      sym_attribute,
    STATE(14414), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655810] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16312), 1,
      anon_sym_and,
    ACTIONS(16477), 1,
      anon_sym_let,
    STATE(13312), 1,
      aux_sym_class_definition_repeat1,
    STATE(13442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655846] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13443), 1,
      sym_attribute,
    STATE(14275), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [655894] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16255), 1,
      anon_sym_let,
    ACTIONS(16479), 1,
      anon_sym_and,
    STATE(13356), 1,
      aux_sym_class_definition_repeat1,
    STATE(13444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16253), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [655930] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9356), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9358), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [655962] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13446), 1,
      sym_attribute,
    STATE(14364), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16554), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13447), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656044] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13448), 1,
      sym_attribute,
    STATE(14321), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656092] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9392), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9390), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [656124] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656158] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16125), 1,
      anon_sym_let,
    ACTIONS(16557), 1,
      anon_sym_and,
    STATE(13451), 1,
      sym_attribute,
    STATE(13529), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16123), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [656194] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [656244] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(16526), 1,
      sym__lowercase_identifier,
    ACTIONS(16559), 1,
      anon_sym_POUND,
    STATE(13453), 1,
      sym_attribute,
    STATE(14052), 1,
      sym_type_constructor_path,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(12401), 7,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [656286] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13447), 1,
      aux_sym__match_cases_repeat1,
    STATE(13455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656364] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16284), 1,
      sym_pow_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656400] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16013), 1,
      anon_sym_let,
    ACTIONS(16563), 1,
      anon_sym_and,
    STATE(13457), 1,
      sym_attribute,
    STATE(13488), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [656436] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13458), 1,
      sym_attribute,
    STATE(13541), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656472] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16412), 1,
      anon_sym_COMMA,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    ACTIONS(16430), 1,
      sym_assign_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [656526] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13455), 1,
      aux_sym__match_cases_repeat1,
    STATE(13460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656562] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16284), 1,
      sym_pow_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656598] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [656642] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16565), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656678] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13464), 1,
      sym_attribute,
    STATE(14330), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [656726] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16314), 1,
      anon_sym_COMMA,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    ACTIONS(16332), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [656780] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16548), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656816] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16314), 1,
      anon_sym_COMMA,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    ACTIONS(16332), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [656870] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656908] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16567), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [656944] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16314), 1,
      anon_sym_COMMA,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    ACTIONS(16332), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [656998] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [657048] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16314), 1,
      anon_sym_COMMA,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    ACTIONS(16332), 1,
      sym_assign_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [657102] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [657150] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [657194] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [657238] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16320), 1,
      sym_pow_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657274] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16565), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657310] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16449), 1,
      anon_sym_COMMA,
    ACTIONS(16451), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16453), 1,
      sym_pow_operator,
    ACTIONS(16455), 1,
      sym_mult_operator,
    ACTIONS(16457), 1,
      sym_concat_operator,
    ACTIONS(16459), 1,
      sym_rel_operator,
    ACTIONS(16461), 1,
      sym_and_operator,
    ACTIONS(16463), 1,
      sym_or_operator,
    ACTIONS(16465), 1,
      sym_assign_operator,
    ACTIONS(16569), 1,
      anon_sym_SEMI,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [657366] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16353), 1,
      sym_pow_operator,
    ACTIONS(16355), 1,
      sym_mult_operator,
    ACTIONS(16434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16436), 1,
      sym_concat_operator,
    ACTIONS(16438), 1,
      sym_rel_operator,
    ACTIONS(16440), 1,
      sym_and_operator,
    ACTIONS(16442), 1,
      sym_or_operator,
    ACTIONS(16502), 1,
      anon_sym_COMMA,
    ACTIONS(16504), 1,
      sym_assign_operator,
    STATE(2122), 1,
      sym_add_operator,
    STATE(13479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [657420] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16223), 1,
      anon_sym_let,
    ACTIONS(16557), 1,
      anon_sym_and,
    STATE(13480), 1,
      sym_attribute,
    STATE(13502), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16221), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657456] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16050), 1,
      anon_sym_let,
    ACTIONS(16557), 1,
      anon_sym_and,
    STATE(13481), 1,
      sym_attribute,
    STATE(13505), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657492] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657526] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16320), 1,
      sym_pow_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657562] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657604] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16318), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16320), 1,
      sym_pow_operator,
    ACTIONS(16322), 1,
      sym_mult_operator,
    ACTIONS(16324), 1,
      sym_concat_operator,
    ACTIONS(16326), 1,
      sym_rel_operator,
    ACTIONS(16328), 1,
      sym_and_operator,
    ACTIONS(16330), 1,
      sym_or_operator,
    STATE(2257), 1,
      sym_add_operator,
    STATE(13485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [657654] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657688] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16155), 1,
      anon_sym_let,
    ACTIONS(16563), 1,
      anon_sym_and,
    STATE(13487), 1,
      sym_attribute,
    STATE(13488), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657724] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15485), 1,
      anon_sym_let,
    ACTIONS(16571), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13488), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15483), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657758] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [657802] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16567), 1,
      anon_sym_else,
    STATE(9397), 1,
      sym_else_clause,
    STATE(13490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2483), 1,
      sym_add_operator,
    STATE(13491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16344), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [657908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9386), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9384), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [657940] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16257), 1,
      anon_sym_and,
    ACTIONS(16477), 1,
      anon_sym_let,
    STATE(13494), 1,
      sym_attribute,
    STATE(13512), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [657976] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16257), 1,
      anon_sym_and,
    ACTIONS(16477), 1,
      anon_sym_let,
    STATE(13495), 1,
      sym_attribute,
    STATE(13514), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658012] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16155), 1,
      anon_sym_let,
    ACTIONS(16563), 1,
      anon_sym_and,
    STATE(13496), 1,
      sym_attribute,
    STATE(13528), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658048] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [658096] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [658146] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16280), 1,
      anon_sym_COMMA,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    ACTIONS(16296), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [658200] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [658238] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16079), 1,
      anon_sym_let,
    ACTIONS(16557), 1,
      anon_sym_and,
    STATE(13480), 1,
      aux_sym_type_definition_repeat1,
    STATE(13501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15630), 1,
      anon_sym_let,
    ACTIONS(16574), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13502), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15628), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658308] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16280), 1,
      anon_sym_COMMA,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    ACTIONS(16296), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [658362] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16280), 1,
      anon_sym_COMMA,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    ACTIONS(16296), 1,
      sym_assign_operator,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [658416] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16079), 1,
      anon_sym_let,
    ACTIONS(16557), 1,
      anon_sym_and,
    STATE(13502), 1,
      aux_sym_type_definition_repeat1,
    STATE(13505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658452] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9380), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9378), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [658484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9376), 3,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_POUND,
    ACTIONS(9374), 14,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
      sym_hash_operator,
  [658516] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13508), 1,
      sym_attribute,
    STATE(14416), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658564] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
    ACTIONS(12234), 9,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [658596] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16577), 1,
      sym__lowercase_identifier,
    ACTIONS(16579), 1,
      anon_sym_nonrec,
    STATE(13510), 1,
      sym_attribute,
    STATE(14173), 1,
      sym__attribute,
    STATE(14175), 1,
      sym_type_binding,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16306), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22303), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [658656] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13511), 1,
      sym_attribute,
    STATE(14108), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658704] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(15306), 1,
      anon_sym_let,
    ACTIONS(16581), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13512), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15304), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [658772] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16257), 1,
      anon_sym_and,
    ACTIONS(16362), 1,
      anon_sym_let,
    STATE(13512), 1,
      aux_sym_class_definition_repeat1,
    STATE(13514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16360), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [658808] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10105), 1,
      sym_module_path,
    STATE(10125), 1,
      sym__module_expression,
    STATE(13515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658856] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16412), 1,
      anon_sym_COMMA,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    ACTIONS(16430), 1,
      sym_assign_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
  [658910] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13870), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16520), 1,
      anon_sym_EQ,
    ACTIONS(16584), 1,
      anon_sym_of,
    ACTIONS(16586), 1,
      anon_sym_COLON2,
    STATE(13517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [658948] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13518), 1,
      sym_attribute,
    STATE(14475), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [658996] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13858), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16530), 1,
      anon_sym_EQ,
    ACTIONS(16588), 1,
      anon_sym_of,
    ACTIONS(16590), 1,
      anon_sym_COLON2,
    STATE(13519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659034] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659072] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13521), 1,
      sym_attribute,
    STATE(14331), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659120] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16412), 1,
      anon_sym_COMMA,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    ACTIONS(16430), 1,
      sym_assign_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [659174] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13778), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16542), 1,
      anon_sym_EQ,
    ACTIONS(16592), 1,
      anon_sym_of,
    ACTIONS(16594), 1,
      anon_sym_COLON2,
    STATE(13523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [659212] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [659262] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13525), 1,
      sym_attribute,
    STATE(14514), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659310] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [659358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9294), 1,
      anon_sym_let,
    STATE(13527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [659390] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16229), 1,
      anon_sym_let,
    ACTIONS(16563), 1,
      anon_sym_and,
    STATE(13488), 1,
      aux_sym_module_definition_repeat1,
    STATE(13528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16227), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [659426] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16050), 1,
      anon_sym_let,
    ACTIONS(16557), 1,
      anon_sym_and,
    STATE(13502), 1,
      aux_sym_type_definition_repeat1,
    STATE(13529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [659462] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [659506] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15133), 1,
      anon_sym_LPAREN,
    ACTIONS(15137), 1,
      anon_sym_functor,
    ACTIONS(15139), 1,
      anon_sym_struct,
    ACTIONS(15143), 1,
      sym__uppercase_identifier,
    STATE(13531), 1,
      sym_attribute,
    STATE(13773), 1,
      sym__module_expression,
    STATE(14586), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14601), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659554] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_rel_operator,
      sym_assign_operator,
  [659598] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    ACTIONS(16338), 1,
      anon_sym_COMMA,
    ACTIONS(16340), 1,
      sym_assign_operator,
    ACTIONS(16596), 1,
      anon_sym_SEMI,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [659654] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13534), 1,
      sym_attribute,
    STATE(14367), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [659702] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_let,
    STATE(13535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [659734] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11411), 1,
      anon_sym_PIPE,
    ACTIONS(16262), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16264), 1,
      sym_pow_operator,
    ACTIONS(16266), 1,
      sym_mult_operator,
    ACTIONS(16268), 1,
      sym_concat_operator,
    ACTIONS(16270), 1,
      sym_rel_operator,
    ACTIONS(16272), 1,
      sym_and_operator,
    ACTIONS(16274), 1,
      sym_or_operator,
    ACTIONS(16338), 1,
      anon_sym_COMMA,
    ACTIONS(16340), 1,
      sym_assign_operator,
    STATE(2197), 1,
      sym_add_operator,
    STATE(13536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [659788] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16418), 1,
      sym_pow_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659824] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16418), 1,
      sym_pow_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659860] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16471), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659896] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16536), 1,
      anon_sym_else,
    STATE(11624), 1,
      sym_else_clause,
    STATE(13540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16561), 1,
      anon_sym_PIPE,
    STATE(13447), 1,
      aux_sym__match_cases_repeat1,
    STATE(13541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [659968] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_assign_operator,
  [660018] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16280), 1,
      anon_sym_COMMA,
    ACTIONS(16282), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16284), 1,
      sym_pow_operator,
    ACTIONS(16286), 1,
      sym_mult_operator,
    ACTIONS(16288), 1,
      sym_concat_operator,
    ACTIONS(16290), 1,
      sym_rel_operator,
    ACTIONS(16292), 1,
      sym_and_operator,
    ACTIONS(16294), 1,
      sym_or_operator,
    ACTIONS(16296), 1,
      sym_assign_operator,
    ACTIONS(16598), 1,
      anon_sym_SEMI,
    STATE(2542), 1,
      sym_add_operator,
    STATE(13543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [660074] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13544), 1,
      sym_attribute,
    STATE(14387), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660122] = 19,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16600), 1,
      sym__lowercase_identifier,
    ACTIONS(16602), 1,
      anon_sym_nonrec,
    STATE(13545), 1,
      sym_attribute,
    STATE(13989), 1,
      sym_type_binding,
    STATE(14111), 1,
      sym__attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16468), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22321), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [660182] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_to,
      anon_sym_downto,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660224] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13547), 1,
      sym_attribute,
    STATE(14402), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660272] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13548), 1,
      sym_attribute,
    STATE(14374), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660320] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16493), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16121), 1,
      anon_sym_let,
    ACTIONS(16563), 1,
      anon_sym_and,
    STATE(13457), 1,
      aux_sym_module_definition_repeat1,
    STATE(13550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16119), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660392] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16013), 1,
      anon_sym_let,
    ACTIONS(16563), 1,
      anon_sym_and,
    STATE(13487), 1,
      aux_sym_module_definition_repeat1,
    STATE(13551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660428] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13552), 1,
      sym_attribute,
    STATE(14379), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660476] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9316), 1,
      anon_sym_let,
    STATE(13553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660508] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13554), 1,
      sym_attribute,
    STATE(14434), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660556] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16175), 1,
      anon_sym_constraint,
    ACTIONS(16177), 1,
      anon_sym_val,
    ACTIONS(16181), 1,
      anon_sym_inherit,
    ACTIONS(16183), 1,
      anon_sym_method,
    ACTIONS(16604), 1,
      anon_sym_end,
    STATE(13319), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14890), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14891), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [660606] = 14,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(69), 1,
      anon_sym_LBRACK_AT_AT_AT,
    ACTIONS(13982), 1,
      anon_sym_LBRACK_PERCENT_PERCENT,
    ACTIONS(13984), 1,
      anon_sym_LBRACE_PERCENT_PERCENT,
    ACTIONS(16175), 1,
      anon_sym_constraint,
    ACTIONS(16177), 1,
      anon_sym_val,
    ACTIONS(16181), 1,
      anon_sym_inherit,
    ACTIONS(16183), 1,
      anon_sym_method,
    ACTIONS(16606), 1,
      anon_sym_end,
    STATE(13353), 1,
      aux_sym_class_body_type_repeat1,
    STATE(13556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14890), 2,
      sym__class_field_specification,
      sym_floating_attribute,
    STATE(14891), 6,
      sym_inheritance_specification,
      sym_instance_variable_specification,
      sym_method_specification,
      sym_type_parameter_constraint,
      sym_item_extension,
      sym_quoted_item_extension,
  [660656] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9312), 1,
      anon_sym_let,
    STATE(13557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660688] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13558), 1,
      sym_attribute,
    STATE(14478), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660736] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_let,
    STATE(13559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9302), 1,
      anon_sym_let,
    STATE(13560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 16,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [660800] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15179), 1,
      anon_sym_functor,
    ACTIONS(15181), 1,
      anon_sym_struct,
    STATE(10096), 1,
      sym__module_expression,
    STATE(10105), 1,
      sym_module_path,
    STATE(13561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660848] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13562), 1,
      sym_attribute,
    STATE(14492), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660896] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13563), 1,
      sym_attribute,
    STATE(14424), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [660944] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16540), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [660980] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13565), 1,
      sym_attribute,
    STATE(14393), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661028] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15175), 1,
      anon_sym_LPAREN,
    ACTIONS(15181), 1,
      anon_sym_struct,
    ACTIONS(15274), 1,
      anon_sym_functor,
    STATE(10105), 1,
      sym_module_path,
    STATE(13566), 1,
      sym_attribute,
    STATE(14209), 1,
      sym__module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10134), 4,
      sym__simple_module_expression,
      sym_structure,
      sym_functor,
      sym_module_application,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [661076] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16364), 1,
      anon_sym_else,
    STATE(9390), 1,
      sym_else_clause,
    STATE(13567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [661112] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    ACTIONS(16620), 1,
      sym_or_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [661161] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    STATE(13569), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11829), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [661200] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16626), 1,
      anon_sym_SEMI,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16630), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13570), 1,
      sym_attribute,
    STATE(17495), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9102), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [661286] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16646), 1,
      anon_sym_SEMI,
    ACTIONS(16648), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13572), 1,
      sym_attribute,
    STATE(17065), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12745), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [661372] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16650), 1,
      anon_sym_RBRACK,
    ACTIONS(16652), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13574), 1,
      sym_attribute,
    STATE(17053), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661427] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16654), 1,
      anon_sym_DQUOTE,
    STATE(13575), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19705), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [661468] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16662), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661521] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16662), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661574] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [661611] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16662), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [661664] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [661713] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [661760] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16680), 1,
      anon_sym_DASH_GT,
    STATE(13582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [661793] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [661836] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16682), 1,
      anon_sym_DQUOTE,
    STATE(13584), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19394), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [661877] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [661920] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      sym_pow_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [661955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16666), 1,
      sym_pow_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [661990] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [662031] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [662080] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    ACTIONS(16620), 1,
      sym_or_operator,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16686), 1,
      sym_assign_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662133] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16688), 1,
      anon_sym_DASH_GT,
    STATE(13591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [662166] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12831), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [662197] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [662246] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16704), 1,
      anon_sym_RBRACK,
    ACTIONS(16706), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13594), 1,
      sym_attribute,
    STATE(17225), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662301] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16708), 1,
      anon_sym_DQUOTE,
    STATE(13595), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20655), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [662342] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16710), 1,
      anon_sym_RBRACK,
    ACTIONS(16712), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13596), 1,
      sym_attribute,
    STATE(17508), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662397] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16714), 1,
      anon_sym_DQUOTE,
    STATE(13597), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21784), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [662438] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [662481] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12709), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [662512] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16716), 1,
      anon_sym_SEMI,
    ACTIONS(16718), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13600), 1,
      sym_attribute,
    STATE(17172), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12609), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [662598] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16720), 1,
      anon_sym_DQUOTE,
    STATE(13602), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21663), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [662639] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    ACTIONS(16620), 1,
      sym_or_operator,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16686), 1,
      sym_assign_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662692] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16722), 1,
      anon_sym_SEMI,
    ACTIONS(16724), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13604), 1,
      sym_attribute,
    STATE(17445), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662747] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16726), 1,
      anon_sym_COMMA,
    ACTIONS(16728), 1,
      sym_assign_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662800] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16730), 1,
      anon_sym_RBRACK,
    ACTIONS(16732), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13606), 1,
      sym_attribute,
    STATE(17392), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662855] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [662892] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16734), 1,
      anon_sym_RBRACK,
    ACTIONS(16736), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13608), 1,
      sym_attribute,
    STATE(17439), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [662947] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    ACTIONS(16620), 1,
      sym_or_operator,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16686), 1,
      sym_assign_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663000] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12601), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663031] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [663066] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [663113] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16740), 1,
      anon_sym_SEMI,
    ACTIONS(16742), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13613), 1,
      sym_attribute,
    STATE(17385), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12781), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663199] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [663242] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [663285] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      sym_pow_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [663320] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16610), 1,
      sym_pow_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [663355] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16744), 1,
      anon_sym_DQUOTE,
    STATE(13619), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21701), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663396] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16746), 1,
      anon_sym_DQUOTE,
    STATE(13620), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19332), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663437] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [663478] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    ACTIONS(16620), 1,
      sym_or_operator,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [663527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12789), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663558] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16748), 1,
      anon_sym_DQUOTE,
    STATE(13624), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19352), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12569), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12567), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12793), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663661] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16750), 1,
      anon_sym_DQUOTE,
    STATE(13627), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19396), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12797), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663733] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16752), 1,
      anon_sym_DQUOTE,
    STATE(13629), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19433), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663774] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16754), 1,
      anon_sym_COLON_GT,
    ACTIONS(16756), 1,
      anon_sym_EQ,
    ACTIONS(16758), 1,
      anon_sym_COLON2,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(13630), 1,
      sym_attribute,
    STATE(14224), 1,
      sym__typed,
    STATE(14418), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16760), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [663817] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16762), 1,
      anon_sym_DQUOTE,
    STATE(13631), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19342), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663858] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16766), 1,
      anon_sym_SEMI,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    ACTIONS(16782), 1,
      sym_assign_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [663911] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16784), 1,
      anon_sym_DQUOTE,
    STATE(13633), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19496), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [663952] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12801), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [663983] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [664030] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16800), 1,
      anon_sym_DQUOTE,
    STATE(13636), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19525), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9094), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [664102] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16802), 1,
      anon_sym_DQUOTE,
    STATE(13638), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19551), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9090), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [664174] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16804), 1,
      anon_sym_DQUOTE,
    STATE(13640), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19586), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664215] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664256] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16788), 1,
      sym_pow_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664291] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16788), 1,
      sym_pow_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [664326] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16806), 1,
      anon_sym_DQUOTE,
    STATE(13644), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19615), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664367] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16808), 1,
      anon_sym_DQUOTE,
    STATE(13645), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21734), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664408] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16810), 1,
      anon_sym_SEMI,
    ACTIONS(16812), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13646), 1,
      sym_attribute,
    STATE(17086), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664463] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16814), 1,
      anon_sym_COMMA,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    ACTIONS(16828), 1,
      sym_or_operator,
    ACTIONS(16830), 1,
      sym_assign_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664516] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16832), 1,
      anon_sym_DQUOTE,
    STATE(13648), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19646), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9086), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [664588] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [664631] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16834), 1,
      anon_sym_DQUOTE,
    STATE(13651), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19680), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664672] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [664715] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16680), 1,
      anon_sym_DASH_GT,
    ACTIONS(16838), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16836), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [664750] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16840), 1,
      anon_sym_DQUOTE,
    STATE(13654), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19714), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [664791] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [664838] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
      sym_assign_operator,
  [664885] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    ACTIONS(16842), 1,
      anon_sym_COMMA,
    ACTIONS(16844), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664936] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16846), 1,
      anon_sym_RBRACK,
    ACTIONS(16848), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13658), 1,
      sym_attribute,
    STATE(17948), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [664991] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16850), 1,
      anon_sym_DQUOTE,
    STATE(13659), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21528), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [665032] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665069] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    ACTIONS(16842), 1,
      anon_sym_COMMA,
    ACTIONS(16844), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [665120] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16814), 1,
      anon_sym_COMMA,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    ACTIONS(16828), 1,
      sym_or_operator,
    ACTIONS(16830), 1,
      sym_assign_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665173] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16852), 1,
      anon_sym_RBRACK,
    ACTIONS(16854), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13663), 1,
      sym_attribute,
    STATE(17319), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665228] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665263] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16858), 1,
      anon_sym_SEMI,
    ACTIONS(16860), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13665), 1,
      sym_attribute,
    STATE(17956), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665318] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665355] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16862), 1,
      anon_sym_SEMI,
    ACTIONS(16864), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13667), 1,
      sym_attribute,
    STATE(17309), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665410] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    ACTIONS(16842), 1,
      anon_sym_COMMA,
    ACTIONS(16844), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
  [665461] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16866), 1,
      anon_sym_DQUOTE,
    STATE(13669), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19768), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [665502] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16814), 1,
      anon_sym_COMMA,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    ACTIONS(16828), 1,
      sym_or_operator,
    ACTIONS(16830), 1,
      sym_assign_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665555] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16726), 1,
      anon_sym_COMMA,
    ACTIONS(16728), 1,
      sym_assign_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665608] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16868), 1,
      anon_sym_RBRACK,
    ACTIONS(16870), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13672), 1,
      sym_attribute,
    STATE(17122), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665663] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    ACTIONS(16888), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [665714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11370), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11368), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665745] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [665792] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [665829] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_do,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16814), 1,
      anon_sym_COMMA,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    ACTIONS(16828), 1,
      sym_or_operator,
    ACTIONS(16830), 1,
      sym_assign_operator,
    ACTIONS(16890), 1,
      anon_sym_SEMI,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665884] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16726), 1,
      anon_sym_COMMA,
    ACTIONS(16728), 1,
      sym_assign_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_done,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [665937] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    ACTIONS(16828), 1,
      sym_or_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [665986] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16892), 1,
      anon_sym_SEMI,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666041] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [666088] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [666135] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_rel_operator,
      sym_assign_operator,
  [666178] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16894), 1,
      anon_sym_DQUOTE,
    STATE(13684), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21224), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666219] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16692), 1,
      sym_pow_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [666254] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16896), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666289] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [666332] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [666375] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666416] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16898), 1,
      anon_sym_DQUOTE,
    STATE(13690), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19827), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [666457] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16900), 1,
      anon_sym_PIPE,
    STATE(13691), 1,
      sym_attribute,
    STATE(13696), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666492] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16818), 1,
      sym_pow_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [666527] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16818), 1,
      sym_pow_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [666562] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666603] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16900), 1,
      anon_sym_PIPE,
    STATE(13695), 1,
      sym_attribute,
    STATE(13697), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666638] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16900), 1,
      anon_sym_PIPE,
    STATE(13696), 1,
      sym_attribute,
    STATE(13700), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666673] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16900), 1,
      anon_sym_PIPE,
    STATE(13697), 1,
      sym_attribute,
    STATE(13700), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666708] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16902), 1,
      anon_sym_SEMI,
    ACTIONS(16904), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13698), 1,
      sym_attribute,
    STATE(17885), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666763] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16906), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13700), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [666837] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_done,
      sym_assign_operator,
  [666886] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16816), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16818), 1,
      sym_pow_operator,
    ACTIONS(16820), 1,
      sym_mult_operator,
    ACTIONS(16822), 1,
      sym_concat_operator,
    ACTIONS(16824), 1,
      sym_rel_operator,
    ACTIONS(16826), 1,
      sym_and_operator,
    ACTIONS(16828), 1,
      sym_or_operator,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [666935] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16909), 1,
      anon_sym_RBRACK,
    ACTIONS(16911), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13703), 1,
      sym_attribute,
    STATE(17905), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [666990] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16876), 1,
      sym_pow_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667025] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16913), 1,
      anon_sym_DQUOTE,
    STATE(13705), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21950), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [667066] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16876), 1,
      sym_pow_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667101] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16915), 1,
      anon_sym_SEMI,
    ACTIONS(16917), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13707), 1,
      sym_attribute,
    STATE(17297), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667156] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [667199] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16919), 1,
      anon_sym_DQUOTE,
    STATE(13709), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21403), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [667240] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12605), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [667271] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16921), 1,
      anon_sym_RBRACK,
    ACTIONS(16923), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13711), 1,
      sym_attribute,
    STATE(17290), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667326] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [667369] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    ACTIONS(16782), 1,
      sym_assign_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [667420] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [667467] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16925), 1,
      anon_sym_COMMA,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    ACTIONS(16939), 1,
      sym_or_operator,
    ACTIONS(16941), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667520] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16943), 1,
      anon_sym_DQUOTE,
    STATE(13716), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20896), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [667561] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16945), 1,
      anon_sym_SEMI,
    ACTIONS(16947), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13717), 1,
      sym_attribute,
    STATE(17594), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667616] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16925), 1,
      anon_sym_COMMA,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    ACTIONS(16939), 1,
      sym_or_operator,
    ACTIONS(16941), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667669] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16949), 1,
      anon_sym_DQUOTE,
    STATE(13719), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22439), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [667710] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [667747] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16925), 1,
      anon_sym_COMMA,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    ACTIONS(16939), 1,
      sym_or_operator,
    ACTIONS(16941), 1,
      sym_assign_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [667800] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16951), 1,
      anon_sym_DQUOTE,
    STATE(13722), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21156), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [667841] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    ACTIONS(16939), 1,
      sym_or_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [667890] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [667937] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [667980] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [668023] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16929), 1,
      sym_pow_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [668058] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16929), 1,
      sym_pow_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [668093] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668134] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    ACTIONS(16939), 1,
      sym_or_operator,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [668183] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16953), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668218] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668251] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16955), 1,
      anon_sym_RBRACK,
    ACTIONS(16957), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13733), 1,
      sym_attribute,
    STATE(17232), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668306] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16959), 1,
      anon_sym_RBRACK,
    ACTIONS(16961), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13734), 1,
      sym_attribute,
    STATE(17621), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668361] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    ACTIONS(16782), 1,
      sym_assign_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
  [668412] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [668449] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16963), 1,
      anon_sym_RBRACK,
    ACTIONS(16965), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13737), 1,
      sym_attribute,
    STATE(17607), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668504] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16412), 1,
      anon_sym_COMMA,
    ACTIONS(16416), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16418), 1,
      sym_pow_operator,
    ACTIONS(16420), 1,
      sym_mult_operator,
    ACTIONS(16422), 1,
      sym_concat_operator,
    ACTIONS(16424), 1,
      sym_rel_operator,
    ACTIONS(16426), 1,
      sym_and_operator,
    ACTIONS(16428), 1,
      sym_or_operator,
    ACTIONS(16430), 1,
      sym_assign_operator,
    ACTIONS(16967), 1,
      anon_sym_SEMI,
    STATE(2396), 1,
      sym_add_operator,
    STATE(13738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_to,
      anon_sym_downto,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668557] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    ACTIONS(16782), 1,
      sym_assign_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668608] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [668655] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16969), 1,
      anon_sym_SEMI,
    ACTIONS(16971), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13741), 1,
      sym_attribute,
    STATE(17226), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668710] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16973), 1,
      anon_sym_DQUOTE,
    STATE(13742), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20032), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [668751] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [668798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_let,
    ACTIONS(16975), 1,
      anon_sym_in,
    STATE(13744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16249), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [668831] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16977), 1,
      anon_sym_DQUOTE,
    STATE(13745), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21448), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [668872] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(16979), 1,
      anon_sym_SEMI,
    ACTIONS(16981), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13746), 1,
      sym_attribute,
    STATE(16925), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [668927] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [668970] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16983), 1,
      anon_sym_DQUOTE,
    STATE(13748), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21521), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669011] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16985), 1,
      anon_sym_RBRACK,
    ACTIONS(16987), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13749), 1,
      sym_attribute,
    STATE(16918), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669066] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16989), 1,
      anon_sym_DQUOTE,
    STATE(13750), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19927), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669107] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [669150] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16991), 1,
      anon_sym_DQUOTE,
    STATE(13752), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21545), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [669191] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16680), 1,
      anon_sym_DASH_GT,
    ACTIONS(16995), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [669226] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_let,
    ACTIONS(16997), 1,
      anon_sym_in,
    STATE(13754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16249), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [669259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16770), 1,
      sym_pow_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669294] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16770), 1,
      sym_pow_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669329] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(16999), 1,
      anon_sym_RBRACK,
    ACTIONS(17001), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13757), 1,
      sym_attribute,
    STATE(16830), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669384] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17003), 1,
      anon_sym_SEMI,
    ACTIONS(17005), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13758), 1,
      sym_attribute,
    STATE(18100), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669439] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669480] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
      sym_assign_operator,
  [669527] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17007), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13761), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [669560] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    ACTIONS(16888), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669611] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17010), 1,
      anon_sym_SEMI,
    ACTIONS(17012), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13763), 1,
      sym_attribute,
    STATE(16817), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669666] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14377), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14753), 1,
      anon_sym_STAR,
    STATE(13761), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(13764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [669701] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17014), 1,
      anon_sym_RBRACK,
    ACTIONS(17016), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13765), 1,
      sym_attribute,
    STATE(17708), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669756] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17018), 1,
      anon_sym_PIPE,
    STATE(13766), 1,
      sym_attribute,
    STATE(13820), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [669791] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17020), 1,
      anon_sym_RBRACK,
    ACTIONS(17022), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13767), 1,
      sym_attribute,
    STATE(18054), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669846] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17024), 1,
      anon_sym_SEMI,
    ACTIONS(17026), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13768), 1,
      sym_attribute,
    STATE(17659), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669901] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    ACTIONS(16888), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [669952] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16688), 1,
      anon_sym_DASH_GT,
    ACTIONS(17030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [669987] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
      sym_assign_operator,
  [670034] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17032), 1,
      anon_sym_DQUOTE,
    STATE(13772), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21913), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [670075] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    STATE(13773), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
    ACTIONS(11753), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [670114] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17034), 1,
      anon_sym_SEMI,
    ACTIONS(17036), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13774), 1,
      sym_attribute,
    STATE(17702), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670169] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17038), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670204] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670241] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17040), 1,
      anon_sym_RBRACK,
    ACTIONS(17042), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13777), 1,
      sym_attribute,
    STATE(17312), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17044), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13778), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670329] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17047), 1,
      anon_sym_DQUOTE,
    STATE(13779), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21280), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [670370] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17049), 1,
      anon_sym_RBRACK,
    ACTIONS(17051), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13780), 1,
      sym_attribute,
    STATE(17165), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670425] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    ACTIONS(16888), 1,
      sym_assign_operator,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_then,
      anon_sym_else,
  [670476] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17053), 1,
      anon_sym_PIPE,
    STATE(13778), 1,
      aux_sym__match_cases_repeat1,
    STATE(13782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670511] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17053), 1,
      anon_sym_PIPE,
    STATE(13778), 1,
      aux_sym__match_cases_repeat1,
    STATE(13783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670546] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17055), 1,
      anon_sym_SEMI,
    ACTIONS(17057), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13784), 1,
      sym_attribute,
    STATE(17155), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670601] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17059), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670636] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17061), 1,
      anon_sym_SEMI,
    ACTIONS(17063), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13786), 1,
      sym_attribute,
    STATE(16786), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670691] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17065), 1,
      anon_sym_SEMI,
    ACTIONS(17067), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13787), 1,
      sym_attribute,
    STATE(18030), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670746] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17053), 1,
      anon_sym_PIPE,
    STATE(13782), 1,
      aux_sym__match_cases_repeat1,
    STATE(13788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [670781] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17069), 1,
      anon_sym_RBRACK,
    ACTIONS(17071), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13789), 1,
      sym_attribute,
    STATE(16765), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12615), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [670867] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17073), 1,
      anon_sym_SEMI,
    ACTIONS(17075), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13791), 1,
      sym_attribute,
    STATE(17481), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670922] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17077), 1,
      anon_sym_SEMI,
    ACTIONS(17079), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13792), 1,
      sym_attribute,
    STATE(16833), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [670977] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17081), 1,
      anon_sym_DQUOTE,
    STATE(13793), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20181), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671018] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17083), 1,
      anon_sym_DQUOTE,
    STATE(13794), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21174), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671059] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17085), 1,
      anon_sym_RBRACK,
    ACTIONS(17087), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13795), 1,
      sym_attribute,
    STATE(16826), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671114] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17089), 1,
      anon_sym_DQUOTE,
    STATE(13796), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19380), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671155] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17091), 1,
      anon_sym_RBRACK,
    ACTIONS(17093), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13797), 1,
      sym_attribute,
    STATE(17078), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671210] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17095), 1,
      anon_sym_RBRACK,
    ACTIONS(17097), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13798), 1,
      sym_attribute,
    STATE(17192), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671265] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17099), 1,
      anon_sym_DQUOTE,
    STATE(13799), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20071), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671306] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17101), 1,
      anon_sym_SEMI,
    ACTIONS(17103), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13800), 1,
      sym_attribute,
    STATE(17072), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671361] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_then,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16925), 1,
      anon_sym_COMMA,
    ACTIONS(16927), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16929), 1,
      sym_pow_operator,
    ACTIONS(16931), 1,
      sym_mult_operator,
    ACTIONS(16933), 1,
      sym_concat_operator,
    ACTIONS(16935), 1,
      sym_rel_operator,
    ACTIONS(16937), 1,
      sym_and_operator,
    ACTIONS(16939), 1,
      sym_or_operator,
    ACTIONS(16941), 1,
      sym_assign_operator,
    ACTIONS(17105), 1,
      anon_sym_SEMI,
    STATE(2500), 1,
      sym_add_operator,
    STATE(13801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671416] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17107), 1,
      anon_sym_SEMI,
    ACTIONS(17109), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13802), 1,
      sym_attribute,
    STATE(17133), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671471] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12595), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [671502] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_end,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16662), 1,
      anon_sym_COMMA,
    ACTIONS(16664), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16666), 1,
      sym_pow_operator,
    ACTIONS(16668), 1,
      sym_mult_operator,
    ACTIONS(16670), 1,
      sym_concat_operator,
    ACTIONS(16672), 1,
      sym_rel_operator,
    ACTIONS(16674), 1,
      sym_and_operator,
    ACTIONS(16676), 1,
      sym_or_operator,
    ACTIONS(16678), 1,
      sym_assign_operator,
    ACTIONS(17111), 1,
      anon_sym_SEMI,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671557] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17113), 1,
      anon_sym_RBRACK,
    ACTIONS(17115), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13805), 1,
      sym_attribute,
    STATE(17114), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671612] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17117), 1,
      anon_sym_RBRACK,
    ACTIONS(17119), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13806), 1,
      sym_attribute,
    STATE(17490), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671667] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2368), 1,
      sym_add_operator,
    STATE(13807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [671700] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17121), 1,
      anon_sym_DQUOTE,
    STATE(13808), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21189), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [671741] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17123), 1,
      anon_sym_SEMI,
    ACTIONS(17125), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13809), 1,
      sym_attribute,
    STATE(17206), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671796] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17127), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [671831] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    ACTIONS(16842), 1,
      anon_sym_COMMA,
    ACTIONS(16844), 1,
      sym_assign_operator,
    ACTIONS(17129), 1,
      anon_sym_SEMI,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671884] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17131), 1,
      anon_sym_COMMA,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    ACTIONS(17147), 1,
      sym_assign_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [671935] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16738), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [671970] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12837), 1,
      anon_sym_COLON2,
    STATE(13814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [672003] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16692), 1,
      sym_pow_operator,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [672038] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17149), 1,
      anon_sym_SEMI,
    ACTIONS(17151), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13816), 1,
      sym_attribute,
    STATE(17289), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12751), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672124] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17153), 1,
      anon_sym_SEMI,
    ACTIONS(17155), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13818), 1,
      sym_attribute,
    STATE(17709), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672179] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17018), 1,
      anon_sym_PIPE,
    STATE(13819), 1,
      sym_attribute,
    STATE(13895), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672214] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17018), 1,
      anon_sym_PIPE,
    STATE(13820), 1,
      sym_attribute,
    STATE(13893), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672249] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16758), 1,
      anon_sym_COLON2,
    ACTIONS(17157), 1,
      anon_sym_COLON_GT,
    ACTIONS(17159), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(13821), 1,
      sym_attribute,
    STATE(14212), 1,
      sym__typed,
    STATE(14444), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17161), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [672292] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17163), 1,
      anon_sym_RBRACK,
    ACTIONS(17165), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13822), 1,
      sym_attribute,
    STATE(17715), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672347] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17167), 1,
      anon_sym_PIPE,
    STATE(13823), 1,
      sym_attribute,
    STATE(13855), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672382] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17169), 1,
      anon_sym_SEMI,
    ACTIONS(17171), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13824), 1,
      sym_attribute,
    STATE(17802), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672437] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17173), 1,
      anon_sym_DQUOTE,
    STATE(13825), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22021), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12619), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12591), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672540] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17175), 1,
      anon_sym_RBRACK,
    ACTIONS(17177), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13828), 1,
      sym_attribute,
    STATE(17785), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672595] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17179), 1,
      anon_sym_DQUOTE,
    STATE(13829), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20327), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672636] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17181), 1,
      anon_sym_DQUOTE,
    STATE(13830), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22425), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12827), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12823), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12819), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [672770] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17183), 1,
      anon_sym_SEMI,
    ACTIONS(17185), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13834), 1,
      sym_attribute,
    STATE(16741), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672825] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17187), 1,
      anon_sym_DQUOTE,
    STATE(13835), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22159), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [672866] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17189), 1,
      anon_sym_PIPE,
    STATE(13836), 1,
      sym_attribute,
    STATE(13919), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [672901] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17191), 1,
      anon_sym_RBRACK,
    ACTIONS(17193), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13837), 1,
      sym_attribute,
    STATE(16734), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [672956] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17195), 1,
      anon_sym_RBRACK,
    ACTIONS(17197), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13838), 1,
      sym_attribute,
    STATE(17848), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673011] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17199), 1,
      anon_sym_SEMI,
    ACTIONS(17201), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13839), 1,
      sym_attribute,
    STATE(17853), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12631), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [673097] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17203), 1,
      anon_sym_DQUOTE,
    STATE(13841), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21078), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673138] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17205), 1,
      anon_sym_DQUOTE,
    STATE(13842), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20222), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673179] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12559), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [673210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12667), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [673241] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17207), 1,
      anon_sym_SEMI,
    ACTIONS(17209), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13845), 1,
      sym_attribute,
    STATE(17786), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673329] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17211), 1,
      anon_sym_DQUOTE,
    STATE(13847), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22145), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [673370] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17213), 1,
      anon_sym_RBRACK,
    ACTIONS(17215), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13848), 1,
      sym_attribute,
    STATE(17791), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673425] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17217), 1,
      anon_sym_SEMI,
    ACTIONS(17219), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13849), 1,
      sym_attribute,
    STATE(16690), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673480] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17221), 1,
      anon_sym_RBRACK,
    ACTIONS(17223), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13850), 1,
      sym_attribute,
    STATE(16973), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11366), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11364), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11362), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11360), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673597] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17167), 1,
      anon_sym_PIPE,
    STATE(13853), 1,
      sym_attribute,
    STATE(13878), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673632] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17225), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13854), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673665] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17167), 1,
      anon_sym_PIPE,
    STATE(13855), 1,
      sym_attribute,
    STATE(13879), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673700] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11465), 1,
      anon_sym_PIPE,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [673749] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17228), 1,
      anon_sym_SEMI,
    ACTIONS(17230), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13857), 1,
      sym_attribute,
    STATE(16967), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673804] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11489), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673845] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17232), 1,
      anon_sym_RBRACK,
    ACTIONS(17234), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13859), 1,
      sym_attribute,
    STATE(18083), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [673900] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      sym_pow_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [673935] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11342), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [673966] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      sym_pow_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
    ACTIONS(11403), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
  [674001] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674034] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17053), 1,
      anon_sym_PIPE,
    STATE(13783), 1,
      aux_sym__match_cases_repeat1,
    STATE(13864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674069] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [674112] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17236), 1,
      anon_sym_SEMI,
    ACTIONS(17238), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13866), 1,
      sym_attribute,
    STATE(16648), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674167] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17240), 1,
      anon_sym_SEMI,
    ACTIONS(17242), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13867), 1,
      sym_attribute,
    STATE(18096), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674222] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 3,
      anon_sym_PIPE,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_rel_operator,
      sym_assign_operator,
  [674265] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16896), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674300] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      anon_sym_PIPE,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [674347] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17244), 1,
      anon_sym_RBRACK,
    ACTIONS(17246), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13871), 1,
      sym_attribute,
    STATE(16641), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674402] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
      sym_assign_operator,
  [674451] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16764), 1,
      anon_sym_COMMA,
    ACTIONS(16768), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16770), 1,
      sym_pow_operator,
    ACTIONS(16772), 1,
      sym_mult_operator,
    ACTIONS(16774), 1,
      sym_concat_operator,
    ACTIONS(16776), 1,
      sym_rel_operator,
    ACTIONS(16778), 1,
      sym_and_operator,
    ACTIONS(16780), 1,
      sym_or_operator,
    ACTIONS(16782), 1,
      sym_assign_operator,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674502] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      anon_sym_PIPE,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674555] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674592] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11520), 1,
      anon_sym_PIPE,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674645] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12635), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [674676] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17167), 1,
      anon_sym_PIPE,
    STATE(13878), 1,
      sym_attribute,
    STATE(13879), 1,
      aux_sym__match_cases_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674711] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17248), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13879), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674777] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17251), 1,
      anon_sym_DQUOTE,
    STATE(13881), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20345), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [674818] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11516), 1,
      anon_sym_PIPE,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [674871] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17189), 1,
      anon_sym_PIPE,
    STATE(13854), 1,
      aux_sym__match_cases_repeat1,
    STATE(13883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674906] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17059), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674941] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17038), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [674976] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17253), 1,
      anon_sym_DQUOTE,
    STATE(13886), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(19785), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [675017] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17255), 1,
      anon_sym_SEMI,
    ACTIONS(17257), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13887), 1,
      sym_attribute,
    STATE(17934), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675072] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17259), 1,
      anon_sym_DQUOTE,
    STATE(13888), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20955), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [675113] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17261), 1,
      anon_sym_RBRACK,
    ACTIONS(17263), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13889), 1,
      sym_attribute,
    STATE(16851), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675168] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17265), 1,
      anon_sym_RBRACK,
    ACTIONS(17267), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13890), 1,
      sym_attribute,
    STATE(17314), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675223] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17269), 1,
      anon_sym_SEMI,
    ACTIONS(17271), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13891), 1,
      sym_attribute,
    STATE(16845), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675311] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17273), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13893), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675344] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17276), 1,
      anon_sym_SEMI,
    ACTIONS(17278), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13894), 1,
      sym_attribute,
    STATE(16906), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675399] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17018), 1,
      anon_sym_PIPE,
    STATE(13893), 1,
      aux_sym__match_cases_repeat1,
    STATE(13895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_done,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675434] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17280), 1,
      anon_sym_RBRACK,
    ACTIONS(17282), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13896), 1,
      sym_attribute,
    STATE(17939), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675489] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17284), 1,
      anon_sym_RBRACK,
    ACTIONS(17286), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13897), 1,
      sym_attribute,
    STATE(16901), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675544] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17288), 1,
      anon_sym_DQUOTE,
    STATE(13898), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22258), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [675585] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17290), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675620] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13294), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17292), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13900), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(13292), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675653] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17295), 1,
      anon_sym_SEMI,
    ACTIONS(17297), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13901), 1,
      sym_attribute,
    STATE(17287), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675708] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17299), 1,
      anon_sym_RBRACK,
    ACTIONS(17301), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13902), 1,
      sym_attribute,
    STATE(17452), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675763] = 11,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(16758), 1,
      anon_sym_COLON2,
    ACTIONS(17303), 1,
      anon_sym_COLON_GT,
    ACTIONS(17305), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(13903), 1,
      sym_attribute,
    STATE(14200), 1,
      sym__typed,
    STATE(14437), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17307), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [675806] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2447), 1,
      sym_add_operator,
    STATE(13904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675839] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17309), 1,
      anon_sym_DQUOTE,
    STATE(13905), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20486), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [675880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 7,
      anon_sym_PIPE,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [675913] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_done,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16726), 1,
      anon_sym_COMMA,
    ACTIONS(16728), 1,
      sym_assign_operator,
    ACTIONS(17311), 1,
      anon_sym_SEMI,
    STATE(2250), 1,
      sym_add_operator,
    STATE(13907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [675968] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17313), 1,
      anon_sym_SEMI,
    ACTIONS(17315), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13908), 1,
      sym_attribute,
    STATE(17327), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676023] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14377), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(14804), 1,
      anon_sym_STAR,
    STATE(13900), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(13909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676058] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16688), 1,
      anon_sym_DASH_GT,
    ACTIONS(16838), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16836), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676093] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16688), 1,
      anon_sym_DASH_GT,
    ACTIONS(16995), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [676128] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16786), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16788), 1,
      sym_pow_operator,
    ACTIONS(16790), 1,
      sym_mult_operator,
    ACTIONS(16792), 1,
      sym_concat_operator,
    ACTIONS(16794), 1,
      sym_rel_operator,
    ACTIONS(16796), 1,
      sym_and_operator,
    ACTIONS(16798), 1,
      sym_or_operator,
    ACTIONS(16842), 1,
      anon_sym_COMMA,
    ACTIONS(16844), 1,
      sym_assign_operator,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11409), 3,
      anon_sym_SEMI,
      anon_sym_else,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676179] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17317), 1,
      anon_sym_DQUOTE,
    STATE(13913), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20976), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676220] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17290), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676255] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17319), 1,
      anon_sym_DQUOTE,
    STATE(13915), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20811), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676296] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17321), 1,
      anon_sym_DQUOTE,
    STATE(13916), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22419), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [676337] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17189), 1,
      anon_sym_PIPE,
    STATE(13883), 1,
      aux_sym__match_cases_repeat1,
    STATE(13917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2292), 1,
      sym_add_operator,
    STATE(13918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_else,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676405] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17189), 1,
      anon_sym_PIPE,
    STATE(13854), 1,
      aux_sym__match_cases_repeat1,
    STATE(13919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676440] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17323), 1,
      anon_sym_RBRACK,
    ACTIONS(17325), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13920), 1,
      sym_attribute,
    STATE(16635), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12809), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_AMP,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [676526] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17131), 1,
      anon_sym_COMMA,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    ACTIONS(17147), 1,
      sym_assign_operator,
    ACTIONS(17327), 1,
      anon_sym_SEMI,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676579] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17329), 1,
      anon_sym_RBRACK,
    ACTIONS(17331), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13923), 1,
      sym_attribute,
    STATE(18055), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676634] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [676681] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16856), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [676716] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17333), 1,
      anon_sym_SEMI,
    ACTIONS(17335), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13926), 1,
      sym_attribute,
    STATE(16655), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676771] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17337), 1,
      anon_sym_SEMI,
    ACTIONS(17339), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13927), 1,
      sym_attribute,
    STATE(18060), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676826] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17341), 1,
      anon_sym_RBRACK,
    ACTIONS(17343), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13928), 1,
      sym_attribute,
    STATE(17479), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676881] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17345), 1,
      anon_sym_SEMI,
    ACTIONS(17347), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13929), 1,
      sym_attribute,
    STATE(17491), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676936] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17349), 1,
      anon_sym_SEMI,
    ACTIONS(17351), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13930), 1,
      sym_attribute,
    STATE(18041), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [676991] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677032] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17135), 1,
      sym_pow_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677067] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17353), 1,
      anon_sym_RBRACK,
    ACTIONS(17355), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13933), 1,
      sym_attribute,
    STATE(18050), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677122] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17357), 1,
      anon_sym_DQUOTE,
    STATE(13934), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22432), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [677163] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17359), 1,
      anon_sym_SEMI,
    ACTIONS(17361), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13935), 1,
      sym_attribute,
    STATE(17591), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677218] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17363), 1,
      anon_sym_SEMI,
    ACTIONS(17365), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13936), 1,
      sym_attribute,
    STATE(16616), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677273] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17367), 1,
      anon_sym_DQUOTE,
    STATE(13937), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20266), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [677314] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17135), 1,
      sym_pow_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677349] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17369), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13939), 2,
      sym_attribute,
      aux_sym__match_cases_repeat1,
    ACTIONS(11342), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11340), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677382] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17372), 1,
      anon_sym_DQUOTE,
    STATE(13940), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20761), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [677423] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [677466] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17374), 1,
      anon_sym_SEMI,
    ACTIONS(17376), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13942), 1,
      sym_attribute,
    STATE(18008), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677521] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17378), 1,
      anon_sym_RBRACK,
    ACTIONS(17380), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13943), 1,
      sym_attribute,
    STATE(16620), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677576] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_rel_operator,
      sym_assign_operator,
  [677619] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17382), 1,
      anon_sym_DQUOTE,
    STATE(13945), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20493), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [677660] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [677707] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17384), 1,
      anon_sym_RBRACK,
    ACTIONS(17386), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13947), 1,
      sym_attribute,
    STATE(18027), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677762] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
      sym_assign_operator,
  [677809] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17131), 1,
      anon_sym_COMMA,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    ACTIONS(17147), 1,
      sym_assign_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [677860] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677897] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17131), 1,
      anon_sym_COMMA,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    ACTIONS(17147), 1,
      sym_assign_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11518), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [677948] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(13939), 1,
      aux_sym__match_cases_repeat1,
    STATE(13952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11505), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11503), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [677983] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17390), 1,
      anon_sym_RBRACK,
    ACTIONS(17392), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13953), 1,
      sym_attribute,
    STATE(16771), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678038] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17127), 1,
      anon_sym_else,
    STATE(8909), 1,
      sym_else_clause,
    STATE(13954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11459), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11457), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678073] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17131), 1,
      anon_sym_COMMA,
    ACTIONS(17133), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17135), 1,
      sym_pow_operator,
    ACTIONS(17137), 1,
      sym_mult_operator,
    ACTIONS(17139), 1,
      sym_concat_operator,
    ACTIONS(17141), 1,
      sym_rel_operator,
    ACTIONS(17143), 1,
      sym_and_operator,
    ACTIONS(17145), 1,
      sym_or_operator,
    ACTIONS(17147), 1,
      sym_assign_operator,
    STATE(2061), 1,
      sym_add_operator,
    STATE(13955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11514), 3,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_else,
  [678124] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17394), 1,
      anon_sym_DQUOTE,
    STATE(13956), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(21882), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678165] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(13939), 1,
      aux_sym__match_cases_repeat1,
    STATE(13957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678200] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17396), 1,
      anon_sym_DQUOTE,
    STATE(13958), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20669), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678241] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(13952), 1,
      aux_sym__match_cases_repeat1,
    STATE(13959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11499), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11497), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678276] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17398), 1,
      anon_sym_SEMI,
    ACTIONS(17400), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13960), 1,
      sym_attribute,
    STATE(16766), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678331] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17402), 1,
      anon_sym_RBRACK,
    ACTIONS(17404), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13961), 1,
      sym_attribute,
    STATE(17598), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678386] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(16251), 1,
      anon_sym_let,
    ACTIONS(17406), 1,
      anon_sym_in,
    STATE(13962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16249), 14,
      ts_builtin_sym_end,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym_let_operator,
      aux_sym_directive_token1,
  [678419] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17388), 1,
      anon_sym_PIPE,
    STATE(13957), 1,
      aux_sym__match_cases_repeat1,
    STATE(13963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11439), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11437), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678454] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17408), 1,
      anon_sym_DQUOTE,
    STATE(13964), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22034), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678495] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17410), 1,
      anon_sym_SEMI,
    ACTIONS(17412), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13965), 1,
      sym_attribute,
    STATE(17642), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678550] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16680), 1,
      anon_sym_DASH_GT,
    ACTIONS(17030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [678585] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2117), 1,
      sym_add_operator,
    STATE(13967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 9,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      anon_sym_else,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678618] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17414), 1,
      anon_sym_RBRACK,
    ACTIONS(17416), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13968), 1,
      sym_attribute,
    STATE(17629), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678673] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16953), 1,
      anon_sym_else,
    STATE(9012), 1,
      sym_else_clause,
    STATE(13969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11483), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11481), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [678708] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17418), 1,
      anon_sym_DQUOTE,
    STATE(13970), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(20630), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678749] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_with,
    ACTIONS(10224), 1,
      anon_sym_PIPE,
    ACTIONS(16608), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16610), 1,
      sym_pow_operator,
    ACTIONS(16612), 1,
      sym_mult_operator,
    ACTIONS(16614), 1,
      sym_concat_operator,
    ACTIONS(16616), 1,
      sym_rel_operator,
    ACTIONS(16618), 1,
      sym_and_operator,
    ACTIONS(16620), 1,
      sym_or_operator,
    ACTIONS(16684), 1,
      anon_sym_COMMA,
    ACTIONS(16686), 1,
      sym_assign_operator,
    ACTIONS(17420), 1,
      anon_sym_SEMI,
    STATE(2414), 1,
      sym_add_operator,
    STATE(13971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678804] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17422), 1,
      anon_sym_DQUOTE,
    STATE(13972), 1,
      sym_attribute,
    STATE(14107), 1,
      aux_sym_string_content_repeat1,
    STATE(14259), 1,
      sym_escape_sequence,
    STATE(22527), 1,
      sym_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [678845] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17424), 1,
      anon_sym_RBRACK,
    ACTIONS(17426), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13973), 1,
      sym_attribute,
    STATE(16701), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678900] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17428), 1,
      anon_sym_RBRACK,
    ACTIONS(17430), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13974), 1,
      sym_attribute,
    STATE(18110), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [678955] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    ACTIONS(17432), 1,
      anon_sym_SEMI,
    ACTIONS(17434), 1,
      anon_sym_PIPE_RBRACK,
    STATE(2362), 1,
      sym_add_operator,
    STATE(13975), 1,
      sym_attribute,
    STATE(16689), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679010] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16872), 1,
      anon_sym_COMMA,
    ACTIONS(16874), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16876), 1,
      sym_pow_operator,
    ACTIONS(16878), 1,
      sym_mult_operator,
    ACTIONS(16880), 1,
      sym_concat_operator,
    ACTIONS(16882), 1,
      sym_rel_operator,
    ACTIONS(16884), 1,
      sym_and_operator,
    ACTIONS(16886), 1,
      sym_or_operator,
    ACTIONS(16888), 1,
      sym_assign_operator,
    ACTIONS(17436), 1,
      anon_sym_SEMI,
    STATE(2198), 1,
      sym_add_operator,
    STATE(13976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10222), 2,
      anon_sym_then,
      anon_sym_else,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679063] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17438), 1,
      anon_sym_RBRACK,
    ACTIONS(17440), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13977), 1,
      sym_attribute,
    STATE(16692), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679118] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9638), 1,
      anon_sym_LBRACK,
    ACTIONS(9646), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9650), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17442), 1,
      sym__lowercase_identifier,
    ACTIONS(17444), 1,
      anon_sym_LPAREN,
    ACTIONS(17446), 1,
      anon_sym_LBRACE,
    ACTIONS(17448), 1,
      sym__uppercase_identifier,
    STATE(10737), 1,
      sym_parenthesized_operator,
    STATE(10922), 1,
      sym__value_name,
    STATE(10969), 1,
      sym__constructor_name,
    STATE(13978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11059), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679166] = 14,
    ACTIONS(979), 1,
      anon_sym_LBRACK,
    ACTIONS(989), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1001), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17450), 1,
      sym__lowercase_identifier,
    ACTIONS(17452), 1,
      anon_sym_LPAREN,
    ACTIONS(17454), 1,
      anon_sym_LBRACE,
    ACTIONS(17456), 1,
      sym__uppercase_identifier,
    STATE(4469), 1,
      sym__constructor_name,
    STATE(4626), 1,
      sym_parenthesized_operator,
    STATE(4662), 1,
      sym__value_name,
    STATE(13979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4686), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679214] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17458), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679264] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14725), 1,
      sym_rel_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17460), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679314] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17462), 1,
      anon_sym_DQUOTE,
    STATE(14259), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17467), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(13982), 2,
      sym_attribute,
      aux_sym_string_content_repeat1,
    ACTIONS(17470), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(17464), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [679350] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12567), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12569), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679380] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(13984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17473), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [679430] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(11756), 1,
      sym__simple_class_type,
    STATE(13985), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [679476] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2421), 1,
      anon_sym_LBRACK,
    ACTIONS(2431), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2443), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17479), 1,
      sym__lowercase_identifier,
    ACTIONS(17481), 1,
      anon_sym_LPAREN,
    ACTIONS(17483), 1,
      anon_sym_LBRACE,
    ACTIONS(17485), 1,
      sym__uppercase_identifier,
    STATE(7352), 1,
      sym_parenthesized_operator,
    STATE(7461), 1,
      sym__constructor_name,
    STATE(7505), 1,
      sym__value_name,
    STATE(13986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7645), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679524] = 14,
    ACTIONS(1393), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1415), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17487), 1,
      sym__lowercase_identifier,
    ACTIONS(17489), 1,
      anon_sym_LPAREN,
    ACTIONS(17491), 1,
      anon_sym_LBRACE,
    ACTIONS(17493), 1,
      sym__uppercase_identifier,
    STATE(6215), 1,
      sym__constructor_name,
    STATE(6301), 1,
      sym__value_name,
    STATE(6332), 1,
      sym_parenthesized_operator,
    STATE(13987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6232), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679572] = 14,
    ACTIONS(807), 1,
      anon_sym_LBRACK,
    ACTIONS(817), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(829), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17495), 1,
      sym__lowercase_identifier,
    ACTIONS(17497), 1,
      anon_sym_LPAREN,
    ACTIONS(17499), 1,
      anon_sym_LBRACE,
    ACTIONS(17501), 1,
      sym__uppercase_identifier,
    STATE(3898), 1,
      sym_parenthesized_operator,
    STATE(3923), 1,
      sym__value_name,
    STATE(4069), 1,
      sym__constructor_name,
    STATE(13988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3998), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679620] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17503), 1,
      anon_sym_and,
    STATE(13989), 1,
      sym_attribute,
    STATE(14058), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16123), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679652] = 14,
    ACTIONS(755), 1,
      anon_sym_LBRACK,
    ACTIONS(765), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(777), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17505), 1,
      sym__lowercase_identifier,
    ACTIONS(17507), 1,
      anon_sym_LPAREN,
    ACTIONS(17509), 1,
      anon_sym_LBRACE,
    ACTIONS(17511), 1,
      sym__uppercase_identifier,
    STATE(3856), 1,
      sym__value_name,
    STATE(3900), 1,
      sym_parenthesized_operator,
    STATE(4084), 1,
      sym__constructor_name,
    STATE(13990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3926), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(13991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10286), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [679730] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17513), 1,
      anon_sym_and,
    STATE(13992), 1,
      sym_attribute,
    STATE(13993), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16360), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679762] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17515), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13993), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15304), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679792] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3293), 1,
      anon_sym_LBRACK,
    ACTIONS(3303), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3315), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17518), 1,
      sym__lowercase_identifier,
    ACTIONS(17520), 1,
      anon_sym_LPAREN,
    ACTIONS(17522), 1,
      anon_sym_LBRACE,
    ACTIONS(17524), 1,
      sym__uppercase_identifier,
    STATE(7850), 1,
      sym__constructor_name,
    STATE(7912), 1,
      sym_parenthesized_operator,
    STATE(7937), 1,
      sym__value_name,
    STATE(13994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7939), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679840] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17503), 1,
      anon_sym_and,
    STATE(13995), 1,
      sym_attribute,
    STATE(14025), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679872] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(13996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17526), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [679902] = 14,
    ACTIONS(527), 1,
      anon_sym_LBRACK,
    ACTIONS(537), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(549), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17530), 1,
      sym__lowercase_identifier,
    ACTIONS(17532), 1,
      anon_sym_LPAREN,
    ACTIONS(17534), 1,
      anon_sym_LBRACE,
    ACTIONS(17536), 1,
      sym__uppercase_identifier,
    STATE(4191), 1,
      sym__constructor_name,
    STATE(4316), 1,
      sym__value_name,
    STATE(4415), 1,
      sym_parenthesized_operator,
    STATE(13997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4290), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [679950] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_with,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17540), 1,
      anon_sym_SEMI,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    ACTIONS(17556), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(13998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [680002] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(13999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [680048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 14,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680078] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9568), 1,
      anon_sym_LBRACK,
    ACTIONS(9576), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9580), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17558), 1,
      sym__lowercase_identifier,
    ACTIONS(17560), 1,
      anon_sym_LPAREN,
    ACTIONS(17562), 1,
      anon_sym_LBRACE,
    ACTIONS(17564), 1,
      sym__uppercase_identifier,
    STATE(8578), 1,
      sym_parenthesized_operator,
    STATE(8686), 1,
      sym__value_name,
    STATE(8737), 1,
      sym__constructor_name,
    STATE(14001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8537), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680126] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12601), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12603), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680196] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17503), 1,
      anon_sym_and,
    STATE(14004), 1,
      sym_attribute,
    STATE(14023), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16221), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680228] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    ACTIONS(17582), 1,
      sym_assign_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [680278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12605), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12607), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680308] = 14,
    ACTIONS(583), 1,
      anon_sym_LBRACK,
    ACTIONS(601), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(613), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17584), 1,
      sym__lowercase_identifier,
    ACTIONS(17586), 1,
      anon_sym_LPAREN,
    ACTIONS(17588), 1,
      anon_sym_LBRACE,
    ACTIONS(17590), 1,
      sym__uppercase_identifier,
    STATE(5099), 1,
      sym__value_name,
    STATE(5158), 1,
      sym__constructor_name,
    STATE(5299), 1,
      sym_parenthesized_operator,
    STATE(14007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5264), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17503), 1,
      anon_sym_and,
    STATE(14004), 1,
      aux_sym_type_definition_repeat1,
    STATE(14008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680388] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      sym_pow_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680422] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      sym_pow_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680456] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(10366), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [680486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17528), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17526), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680516] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17030), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680546] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [680588] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [680624] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    ACTIONS(17582), 1,
      sym_assign_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [680674] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [680720] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1605), 1,
      anon_sym_LBRACK,
    ACTIONS(1615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1635), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17592), 1,
      sym__lowercase_identifier,
    ACTIONS(17594), 1,
      anon_sym_LPAREN,
    ACTIONS(17596), 1,
      anon_sym_LBRACE,
    ACTIONS(17598), 1,
      sym__uppercase_identifier,
    STATE(6636), 1,
      sym__value_name,
    STATE(6647), 1,
      sym__constructor_name,
    STATE(6670), 1,
      sym_parenthesized_operator,
    STATE(14018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6748), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [680768] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [680814] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_with,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    ACTIONS(17556), 1,
      sym_assign_operator,
    ACTIONS(17600), 1,
      anon_sym_SEMI,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [680866] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [680908] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_rel_operator,
      sym_assign_operator,
  [680950] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17602), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14023), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15628), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [680980] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_rel_operator,
      sym_assign_operator,
  [681022] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17503), 1,
      anon_sym_and,
    STATE(14023), 1,
      aux_sym_type_definition_repeat1,
    STATE(14025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681054] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17570), 1,
      sym_pow_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681088] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16481), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(17605), 1,
      anon_sym_nonrec,
    STATE(13118), 1,
      sym_type_binding,
    STATE(14027), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16286), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [681142] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [681188] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17570), 1,
      sym_pow_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681222] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681262] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      sym_assign_operator,
  [681308] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    ACTIONS(17556), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681358] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17607), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14033), 2,
      sym_attribute,
      aux_sym_class_definition_repeat1,
    ACTIONS(15304), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681388] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_and,
    STATE(14033), 1,
      aux_sym_class_definition_repeat1,
    STATE(14034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16360), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [681420] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [681456] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    ACTIONS(17556), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681506] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6801), 1,
      anon_sym_LBRACK,
    ACTIONS(6809), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6813), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17612), 1,
      sym__lowercase_identifier,
    ACTIONS(17614), 1,
      anon_sym_LPAREN,
    ACTIONS(17616), 1,
      anon_sym_LBRACE,
    ACTIONS(17618), 1,
      sym__uppercase_identifier,
    STATE(6921), 1,
      sym__constructor_name,
    STATE(6954), 1,
      sym__value_name,
    STATE(7006), 1,
      sym_parenthesized_operator,
    STATE(14037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7019), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681554] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_then,
      sym_assign_operator,
  [681600] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    ACTIONS(17636), 1,
      sym_assign_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [681650] = 14,
    ACTIONS(859), 1,
      anon_sym_LBRACK,
    ACTIONS(869), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(881), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17638), 1,
      sym__lowercase_identifier,
    ACTIONS(17640), 1,
      anon_sym_LPAREN,
    ACTIONS(17642), 1,
      anon_sym_LBRACE,
    ACTIONS(17644), 1,
      sym__uppercase_identifier,
    STATE(3990), 1,
      sym__constructor_name,
    STATE(4025), 1,
      sym_parenthesized_operator,
    STATE(4079), 1,
      sym__value_name,
    STATE(14040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4135), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681698] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17646), 1,
      sym__lowercase_identifier,
    ACTIONS(17648), 1,
      anon_sym_LPAREN,
    ACTIONS(17650), 1,
      anon_sym_LBRACE,
    ACTIONS(17652), 1,
      sym__uppercase_identifier,
    STATE(8385), 1,
      sym__constructor_name,
    STATE(8478), 1,
      sym__value_name,
    STATE(14041), 1,
      sym_attribute,
    STATE(14291), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8488), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681746] = 14,
    ACTIONS(1083), 1,
      anon_sym_LBRACK,
    ACTIONS(1093), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1105), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17654), 1,
      sym__lowercase_identifier,
    ACTIONS(17656), 1,
      anon_sym_LPAREN,
    ACTIONS(17658), 1,
      anon_sym_LBRACE,
    ACTIONS(17660), 1,
      sym__uppercase_identifier,
    STATE(4890), 1,
      sym__constructor_name,
    STATE(4919), 1,
      sym__value_name,
    STATE(5029), 1,
      sym_parenthesized_operator,
    STATE(14042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4800), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681794] = 14,
    ACTIONS(1031), 1,
      anon_sym_LBRACK,
    ACTIONS(1041), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1053), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17662), 1,
      sym__lowercase_identifier,
    ACTIONS(17664), 1,
      anon_sym_LPAREN,
    ACTIONS(17666), 1,
      anon_sym_LBRACE,
    ACTIONS(17668), 1,
      sym__uppercase_identifier,
    STATE(4570), 1,
      sym_parenthesized_operator,
    STATE(4648), 1,
      sym__constructor_name,
    STATE(4700), 1,
      sym__value_name,
    STATE(14043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4743), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681842] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2695), 1,
      anon_sym_LBRACK,
    ACTIONS(2705), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2717), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17670), 1,
      sym__lowercase_identifier,
    ACTIONS(17672), 1,
      anon_sym_LPAREN,
    ACTIONS(17674), 1,
      anon_sym_LBRACE,
    ACTIONS(17676), 1,
      sym__uppercase_identifier,
    STATE(7294), 1,
      sym__value_name,
    STATE(7360), 1,
      sym__constructor_name,
    STATE(7460), 1,
      sym_parenthesized_operator,
    STATE(14044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7475), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681890] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6701), 1,
      anon_sym_LBRACK,
    ACTIONS(6709), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6713), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17678), 1,
      sym__lowercase_identifier,
    ACTIONS(17680), 1,
      anon_sym_LPAREN,
    ACTIONS(17682), 1,
      anon_sym_LBRACE,
    ACTIONS(17684), 1,
      sym__uppercase_identifier,
    STATE(7147), 1,
      sym_parenthesized_operator,
    STATE(7162), 1,
      sym__value_name,
    STATE(7181), 1,
      sym__constructor_name,
    STATE(14045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7072), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681938] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1499), 1,
      anon_sym_LBRACK,
    ACTIONS(1509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1521), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17686), 1,
      sym__lowercase_identifier,
    ACTIONS(17688), 1,
      anon_sym_LPAREN,
    ACTIONS(17690), 1,
      anon_sym_LBRACE,
    ACTIONS(17692), 1,
      sym__uppercase_identifier,
    STATE(6374), 1,
      sym__constructor_name,
    STATE(6375), 1,
      sym_parenthesized_operator,
    STATE(6434), 1,
      sym__value_name,
    STATE(14046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6482), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [681986] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(11883), 1,
      sym__simple_class_type,
    STATE(14047), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [682032] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_do,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    ACTIONS(17636), 1,
      sym_assign_operator,
    ACTIONS(17694), 1,
      anon_sym_SEMI,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682084] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(11929), 1,
      sym__simple_class_type,
    STATE(14049), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [682130] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(11009), 1,
      sym__simple_class_type,
    STATE(14050), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [682176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12591), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12593), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682206] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12595), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12597), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682236] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_do,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    ACTIONS(17636), 1,
      sym_assign_operator,
    ACTIONS(17696), 1,
      anon_sym_SEMI,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682288] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682320] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9530), 1,
      anon_sym_LBRACK,
    ACTIONS(9538), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9542), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(17700), 1,
      anon_sym_LPAREN,
    ACTIONS(17702), 1,
      anon_sym_LBRACE,
    ACTIONS(17704), 1,
      sym__uppercase_identifier,
    STATE(8299), 1,
      sym__constructor_name,
    STATE(8752), 1,
      sym__value_name,
    STATE(8820), 1,
      sym_parenthesized_operator,
    STATE(14055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8753), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682368] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17650), 1,
      anon_sym_LBRACE,
    ACTIONS(17652), 1,
      sym__uppercase_identifier,
    ACTIONS(17706), 1,
      sym__lowercase_identifier,
    ACTIONS(17708), 1,
      anon_sym_LPAREN,
    STATE(8385), 1,
      sym__constructor_name,
    STATE(8478), 1,
      sym__value_name,
    STATE(8490), 1,
      sym_parenthesized_operator,
    STATE(14056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8488), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682416] = 14,
    ACTIONS(1135), 1,
      anon_sym_LBRACK,
    ACTIONS(1145), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1157), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17710), 1,
      sym__lowercase_identifier,
    ACTIONS(17712), 1,
      anon_sym_LPAREN,
    ACTIONS(17714), 1,
      anon_sym_LBRACE,
    ACTIONS(17716), 1,
      sym__uppercase_identifier,
    STATE(4797), 1,
      sym__constructor_name,
    STATE(5007), 1,
      sym__value_name,
    STATE(5037), 1,
      sym_parenthesized_operator,
    STATE(14057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4847), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682464] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17503), 1,
      anon_sym_and,
    STATE(14023), 1,
      aux_sym_type_definition_repeat1,
    STATE(14058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682496] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_end,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17720), 1,
      anon_sym_SEMI,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    ACTIONS(17736), 1,
      sym_assign_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682548] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12615), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12617), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682578] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_and,
    STATE(14034), 1,
      aux_sym_class_definition_repeat1,
    STATE(14061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12781), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12783), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682640] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9484), 1,
      anon_sym_LBRACK,
    ACTIONS(9492), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9496), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17738), 1,
      sym__lowercase_identifier,
    ACTIONS(17740), 1,
      anon_sym_LPAREN,
    ACTIONS(17742), 1,
      anon_sym_LBRACE,
    ACTIONS(17744), 1,
      sym__uppercase_identifier,
    STATE(8506), 1,
      sym__value_name,
    STATE(8630), 1,
      sym_parenthesized_operator,
    STATE(8636), 1,
      sym__constructor_name,
    STATE(14063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8677), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682688] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_and,
    STATE(14033), 1,
      aux_sym_class_definition_repeat1,
    STATE(14064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682720] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12619), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12621), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682750] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12789), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12791), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682780] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_then,
    ACTIONS(17566), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    ACTIONS(17582), 1,
      sym_assign_operator,
    ACTIONS(17746), 1,
      anon_sym_SEMI,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [682832] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12793), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12795), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [682862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_then,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [682894] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8051), 1,
      anon_sym_LBRACK,
    ACTIONS(8059), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8063), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17748), 1,
      sym__lowercase_identifier,
    ACTIONS(17750), 1,
      anon_sym_LPAREN,
    ACTIONS(17752), 1,
      anon_sym_LBRACE,
    ACTIONS(17754), 1,
      sym__uppercase_identifier,
    STATE(8973), 1,
      sym__constructor_name,
    STATE(8985), 1,
      sym__value_name,
    STATE(9157), 1,
      sym_parenthesized_operator,
    STATE(14070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8914), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [682942] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17756), 1,
      anon_sym_SEMI_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14071), 2,
      sym_attribute,
      aux_sym__structure_repeat1,
    ACTIONS(10184), 13,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [682972] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1953), 1,
      anon_sym_LBRACK,
    ACTIONS(1963), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1975), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17759), 1,
      sym__lowercase_identifier,
    ACTIONS(17761), 1,
      anon_sym_LPAREN,
    ACTIONS(17763), 1,
      anon_sym_LBRACE,
    ACTIONS(17765), 1,
      sym__uppercase_identifier,
    STATE(7252), 1,
      sym__constructor_name,
    STATE(7331), 1,
      sym__value_name,
    STATE(7411), 1,
      sym_parenthesized_operator,
    STATE(14072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7338), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683020] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12797), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12799), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683050] = 14,
    ACTIONS(701), 1,
      anon_sym_LBRACK,
    ACTIONS(711), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(723), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17767), 1,
      sym__lowercase_identifier,
    ACTIONS(17769), 1,
      anon_sym_LPAREN,
    ACTIONS(17771), 1,
      anon_sym_LBRACE,
    ACTIONS(17773), 1,
      sym__uppercase_identifier,
    STATE(4076), 1,
      sym__constructor_name,
    STATE(4397), 1,
      sym_parenthesized_operator,
    STATE(4405), 1,
      sym__value_name,
    STATE(14074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4350), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683098] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12809), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12811), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683128] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3175), 1,
      anon_sym_LBRACK,
    ACTIONS(3185), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3197), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17775), 1,
      sym__lowercase_identifier,
    ACTIONS(17777), 1,
      anon_sym_LPAREN,
    ACTIONS(17779), 1,
      anon_sym_LBRACE,
    ACTIONS(17781), 1,
      sym__uppercase_identifier,
    STATE(7936), 1,
      sym__constructor_name,
    STATE(7969), 1,
      sym__value_name,
    STATE(8190), 1,
      sym_parenthesized_operator,
    STATE(14076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7959), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683176] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12819), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12821), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683206] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    ACTIONS(17636), 1,
      sym_assign_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683256] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12631), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12633), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683286] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17783), 1,
      anon_sym_and,
    STATE(14080), 1,
      sym_attribute,
    STATE(14184), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [683318] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12823), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12825), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683348] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12709), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12711), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683378] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12827), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12829), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [683408] = 14,
    ACTIONS(475), 1,
      anon_sym_LBRACK,
    ACTIONS(485), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(497), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17785), 1,
      sym__lowercase_identifier,
    ACTIONS(17787), 1,
      anon_sym_LPAREN,
    ACTIONS(17789), 1,
      anon_sym_LBRACE,
    ACTIONS(17791), 1,
      sym__uppercase_identifier,
    STATE(3463), 1,
      sym_parenthesized_operator,
    STATE(3796), 1,
      sym__constructor_name,
    STATE(3821), 1,
      sym__value_name,
    STATE(14084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3397), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683456] = 14,
    ACTIONS(647), 1,
      anon_sym_LBRACK,
    ACTIONS(657), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(669), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17793), 1,
      sym__lowercase_identifier,
    ACTIONS(17795), 1,
      anon_sym_LPAREN,
    ACTIONS(17797), 1,
      anon_sym_LBRACE,
    ACTIONS(17799), 1,
      sym__uppercase_identifier,
    STATE(3863), 1,
      sym__constructor_name,
    STATE(4226), 1,
      sym_parenthesized_operator,
    STATE(4278), 1,
      sym__value_name,
    STATE(14085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4396), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683504] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    STATE(2549), 1,
      sym_add_operator,
    STATE(14086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17801), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683554] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17803), 1,
      anon_sym_and,
    STATE(14087), 1,
      sym_attribute,
    STATE(14196), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [683586] = 14,
    ACTIONS(367), 1,
      anon_sym_LBRACK,
    ACTIONS(377), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(389), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17805), 1,
      sym__lowercase_identifier,
    ACTIONS(17807), 1,
      anon_sym_LPAREN,
    ACTIONS(17809), 1,
      anon_sym_LBRACE,
    ACTIONS(17811), 1,
      sym__uppercase_identifier,
    STATE(3547), 1,
      sym__constructor_name,
    STATE(3678), 1,
      sym__value_name,
    STATE(3791), 1,
      sym_parenthesized_operator,
    STATE(14088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3567), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683634] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7349), 1,
      anon_sym_LBRACK,
    ACTIONS(7357), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7361), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17813), 1,
      sym__lowercase_identifier,
    ACTIONS(17815), 1,
      anon_sym_LPAREN,
    ACTIONS(17817), 1,
      anon_sym_LBRACE,
    ACTIONS(17819), 1,
      sym__uppercase_identifier,
    STATE(7812), 1,
      sym_parenthesized_operator,
    STATE(8041), 1,
      sym__value_name,
    STATE(8177), 1,
      sym__constructor_name,
    STATE(14089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8144), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683682] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16624), 1,
      anon_sym_COMMA,
    ACTIONS(16628), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16632), 1,
      sym_pow_operator,
    ACTIONS(16634), 1,
      sym_mult_operator,
    ACTIONS(16636), 1,
      sym_concat_operator,
    ACTIONS(16638), 1,
      sym_rel_operator,
    ACTIONS(16640), 1,
      sym_and_operator,
    ACTIONS(16642), 1,
      sym_or_operator,
    ACTIONS(16644), 1,
      sym_assign_operator,
    STATE(2362), 1,
      sym_add_operator,
    STATE(14090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17458), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683732] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [683768] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9024), 2,
      anon_sym_COLON2,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17821), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_GT_RBRACE,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [683798] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17538), 1,
      anon_sym_COMMA,
    ACTIONS(17542), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17544), 1,
      sym_pow_operator,
    ACTIONS(17546), 1,
      sym_mult_operator,
    ACTIONS(17548), 1,
      sym_concat_operator,
    ACTIONS(17550), 1,
      sym_rel_operator,
    ACTIONS(17552), 1,
      sym_and_operator,
    ACTIONS(17554), 1,
      sym_or_operator,
    ACTIONS(17556), 1,
      sym_assign_operator,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_with,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683848] = 14,
    ACTIONS(109), 1,
      anon_sym_LBRACK,
    ACTIONS(125), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(141), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17823), 1,
      sym__lowercase_identifier,
    ACTIONS(17825), 1,
      anon_sym_LPAREN,
    ACTIONS(17827), 1,
      anon_sym_LBRACE,
    ACTIONS(17829), 1,
      sym__uppercase_identifier,
    STATE(5223), 1,
      sym__constructor_name,
    STATE(5262), 1,
      sym__value_name,
    STATE(5326), 1,
      sym_parenthesized_operator,
    STATE(14094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5178), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [683896] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17620), 1,
      anon_sym_COMMA,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    ACTIONS(17636), 1,
      sym_assign_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_do,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [683946] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17783), 1,
      anon_sym_and,
    STATE(14096), 1,
      sym_attribute,
    STATE(14120), 1,
      aux_sym_type_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16221), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [683978] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12635), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12637), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684008] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17831), 1,
      anon_sym_EQ,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14098), 1,
      sym_attribute,
    STATE(14484), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17835), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684048] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12831), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12833), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684078] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9086), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9084), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684108] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8829), 1,
      anon_sym_LBRACK,
    ACTIONS(8837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(8841), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17837), 1,
      sym__lowercase_identifier,
    ACTIONS(17839), 1,
      anon_sym_LPAREN,
    ACTIONS(17841), 1,
      anon_sym_LBRACE,
    ACTIONS(17843), 1,
      sym__uppercase_identifier,
    STATE(9387), 1,
      sym__constructor_name,
    STATE(10350), 1,
      sym_parenthesized_operator,
    STATE(10561), 1,
      sym__value_name,
    STATE(14101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10534), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684156] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9090), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9088), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684186] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9094), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9092), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684216] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10224), 1,
      anon_sym_DASH_GT,
    ACTIONS(14717), 1,
      anon_sym_COLON_COLON,
    ACTIONS(14719), 1,
      sym_pow_operator,
    ACTIONS(14721), 1,
      sym_mult_operator,
    ACTIONS(14723), 1,
      sym_concat_operator,
    ACTIONS(14727), 1,
      sym_and_operator,
    ACTIONS(14729), 1,
      sym_or_operator,
    ACTIONS(14731), 1,
      anon_sym_COMMA,
    ACTIONS(14733), 1,
      sym_assign_operator,
    ACTIONS(15835), 1,
      sym_rel_operator,
    ACTIONS(17845), 1,
      anon_sym_SEMI,
    STATE(2549), 1,
      sym_add_operator,
    STATE(14104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684268] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [684314] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9102), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(9100), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [684344] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17847), 1,
      anon_sym_DQUOTE,
    STATE(13982), 1,
      aux_sym_string_content_repeat1,
    STATE(14107), 1,
      sym_attribute,
    STATE(14259), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16658), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(16660), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
    ACTIONS(16656), 6,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [684382] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(11831), 1,
      anon_sym_COLON2,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11829), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [684422] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17783), 1,
      anon_sym_and,
    STATE(14096), 1,
      aux_sym_type_definition_repeat1,
    STATE(14109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684454] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [684500] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16600), 1,
      sym__lowercase_identifier,
    ACTIONS(17849), 1,
      anon_sym_nonrec,
    STATE(13995), 1,
      sym_type_binding,
    STATE(14111), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16468), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22321), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [684554] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [684596] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    ACTIONS(17851), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14113), 1,
      sym_attribute,
    STATE(14529), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17853), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684636] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_rel_operator,
      sym_assign_operator,
  [684678] = 14,
    ACTIONS(23), 1,
      anon_sym_LBRACK,
    ACTIONS(43), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(63), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17855), 1,
      sym__lowercase_identifier,
    ACTIONS(17857), 1,
      anon_sym_LPAREN,
    ACTIONS(17859), 1,
      anon_sym_LBRACE,
    ACTIONS(17861), 1,
      sym__uppercase_identifier,
    STATE(5153), 1,
      sym_parenthesized_operator,
    STATE(5408), 1,
      sym__value_name,
    STATE(5420), 1,
      sym__constructor_name,
    STATE(14115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5407), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684726] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17624), 1,
      sym_pow_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684760] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17624), 1,
      sym_pow_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_COLON_COLON,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684794] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_done,
    ACTIONS(16690), 1,
      anon_sym_COLON_COLON,
    ACTIONS(16692), 1,
      sym_pow_operator,
    ACTIONS(16694), 1,
      sym_mult_operator,
    ACTIONS(16696), 1,
      sym_concat_operator,
    ACTIONS(16698), 1,
      sym_rel_operator,
    ACTIONS(16700), 1,
      sym_and_operator,
    ACTIONS(16702), 1,
      sym_or_operator,
    ACTIONS(16726), 1,
      anon_sym_COMMA,
    ACTIONS(16728), 1,
      sym_assign_operator,
    ACTIONS(17863), 1,
      anon_sym_SEMI,
    STATE(2250), 1,
      sym_add_operator,
    STATE(14118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [684846] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [684886] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17865), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14120), 2,
      sym_attribute,
      aux_sym_type_definition_repeat1,
    ACTIONS(15628), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684916] = 14,
    ACTIONS(1187), 1,
      anon_sym_LBRACK,
    ACTIONS(1197), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1209), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17868), 1,
      sym__lowercase_identifier,
    ACTIONS(17870), 1,
      anon_sym_LPAREN,
    ACTIONS(17872), 1,
      anon_sym_LBRACE,
    ACTIONS(17874), 1,
      sym__uppercase_identifier,
    STATE(4938), 1,
      sym__constructor_name,
    STATE(5024), 1,
      sym__value_name,
    STATE(5032), 1,
      sym_parenthesized_operator,
    STATE(14121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4984), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [684964] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17876), 1,
      anon_sym_and,
    STATE(14122), 1,
      sym_attribute,
    STATE(14128), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [684996] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17876), 1,
      anon_sym_and,
    STATE(14123), 1,
      sym_attribute,
    STATE(14128), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685028] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3123), 1,
      anon_sym_LBRACK,
    ACTIONS(3133), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3145), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17878), 1,
      sym__lowercase_identifier,
    ACTIONS(17880), 1,
      anon_sym_LPAREN,
    ACTIONS(17882), 1,
      anon_sym_LBRACE,
    ACTIONS(17884), 1,
      sym__uppercase_identifier,
    STATE(8167), 1,
      sym_parenthesized_operator,
    STATE(8174), 1,
      sym__value_name,
    STATE(8266), 1,
      sym__constructor_name,
    STATE(14124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7987), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685076] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    ACTIONS(17886), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14125), 1,
      sym_attribute,
    STATE(14480), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17888), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685116] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12801), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12803), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [685146] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17622), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17624), 1,
      sym_pow_operator,
    ACTIONS(17626), 1,
      sym_mult_operator,
    ACTIONS(17628), 1,
      sym_concat_operator,
    ACTIONS(17630), 1,
      sym_rel_operator,
    ACTIONS(17632), 1,
      sym_and_operator,
    ACTIONS(17634), 1,
      sym_or_operator,
    STATE(2592), 1,
      sym_add_operator,
    STATE(14127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_do,
      sym_assign_operator,
  [685192] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17890), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14128), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15483), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685222] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2781), 1,
      anon_sym_LBRACK,
    ACTIONS(2791), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2803), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17893), 1,
      sym__lowercase_identifier,
    ACTIONS(17895), 1,
      anon_sym_LPAREN,
    ACTIONS(17897), 1,
      anon_sym_LBRACE,
    ACTIONS(17899), 1,
      sym__uppercase_identifier,
    STATE(7307), 1,
      sym_parenthesized_operator,
    STATE(7582), 1,
      sym__constructor_name,
    STATE(7643), 1,
      sym__value_name,
    STATE(14129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7730), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685270] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17876), 1,
      anon_sym_and,
    STATE(14130), 1,
      sym_attribute,
    STATE(14131), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685302] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17876), 1,
      anon_sym_and,
    STATE(14128), 1,
      aux_sym_module_definition_repeat1,
    STATE(14131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16227), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685334] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(17901), 1,
      sym__lowercase_identifier,
    ACTIONS(17903), 1,
      anon_sym_POUND,
    STATE(14132), 1,
      sym_attribute,
    STATE(14238), 1,
      sym_type_constructor_path,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12401), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [685374] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12753), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [685404] = 14,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1315), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1327), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17905), 1,
      sym__lowercase_identifier,
    ACTIONS(17907), 1,
      anon_sym_LPAREN,
    ACTIONS(17909), 1,
      anon_sym_LBRACE,
    ACTIONS(17911), 1,
      sym__uppercase_identifier,
    STATE(5914), 1,
      sym_parenthesized_operator,
    STATE(5917), 1,
      sym__constructor_name,
    STATE(5934), 1,
      sym__value_name,
    STATE(14134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5965), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685452] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_then,
    ACTIONS(17566), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    ACTIONS(17582), 1,
      sym_assign_operator,
    ACTIONS(17913), 1,
      anon_sym_SEMI,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685504] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2251), 1,
      sym_add_operator,
    STATE(14136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_with,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [685536] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17783), 1,
      anon_sym_and,
    STATE(14120), 1,
      aux_sym_type_definition_repeat1,
    STATE(14137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16048), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685568] = 14,
    ACTIONS(423), 1,
      anon_sym_LBRACK,
    ACTIONS(433), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(445), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17915), 1,
      sym__lowercase_identifier,
    ACTIONS(17917), 1,
      anon_sym_LPAREN,
    ACTIONS(17919), 1,
      anon_sym_LBRACE,
    ACTIONS(17921), 1,
      sym__uppercase_identifier,
    STATE(3523), 1,
      sym__value_name,
    STATE(3651), 1,
      sym__constructor_name,
    STATE(3739), 1,
      sym_parenthesized_operator,
    STATE(14138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(3475), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685616] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(11648), 1,
      sym__simple_class_type,
    STATE(14139), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [685662] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(11890), 1,
      sym__simple_class_type,
    STATE(14140), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [685708] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1723), 1,
      anon_sym_LBRACK,
    ACTIONS(1733), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1745), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17923), 1,
      sym__lowercase_identifier,
    ACTIONS(17925), 1,
      anon_sym_LPAREN,
    ACTIONS(17927), 1,
      anon_sym_LBRACE,
    ACTIONS(17929), 1,
      sym__uppercase_identifier,
    STATE(6942), 1,
      sym_parenthesized_operator,
    STATE(7118), 1,
      sym__value_name,
    STATE(7123), 1,
      sym__constructor_name,
    STATE(14141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7195), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685756] = 14,
    ACTIONS(913), 1,
      anon_sym_LBRACK,
    ACTIONS(923), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(935), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17931), 1,
      sym__lowercase_identifier,
    ACTIONS(17933), 1,
      anon_sym_LPAREN,
    ACTIONS(17935), 1,
      anon_sym_LBRACE,
    ACTIONS(17937), 1,
      sym__uppercase_identifier,
    STATE(4501), 1,
      sym__value_name,
    STATE(4533), 1,
      sym__constructor_name,
    STATE(4674), 1,
      sym_parenthesized_operator,
    STATE(14142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(4463), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [685804] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12609), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12611), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [685834] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17803), 1,
      anon_sym_and,
    STATE(14144), 1,
      sym_attribute,
    STATE(14168), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685866] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17610), 1,
      anon_sym_and,
    STATE(14064), 1,
      aux_sym_class_definition_repeat1,
    STATE(14145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16253), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685898] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    ACTIONS(17939), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14146), 1,
      sym_attribute,
    STATE(14525), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17941), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [685938] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    ACTIONS(17736), 1,
      sym_assign_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11518), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [685988] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 5,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [686024] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1901), 1,
      anon_sym_LBRACK,
    ACTIONS(1911), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1923), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17943), 1,
      sym__lowercase_identifier,
    ACTIONS(17945), 1,
      anon_sym_LPAREN,
    ACTIONS(17947), 1,
      anon_sym_LBRACE,
    ACTIONS(17949), 1,
      sym__uppercase_identifier,
    STATE(7337), 1,
      sym__value_name,
    STATE(7364), 1,
      sym__constructor_name,
    STATE(7372), 1,
      sym_parenthesized_operator,
    STATE(14149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7506), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686072] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1671), 1,
      anon_sym_LBRACK,
    ACTIONS(1681), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1693), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17951), 1,
      sym__lowercase_identifier,
    ACTIONS(17953), 1,
      anon_sym_LPAREN,
    ACTIONS(17955), 1,
      anon_sym_LBRACE,
    ACTIONS(17957), 1,
      sym__uppercase_identifier,
    STATE(6787), 1,
      sym__value_name,
    STATE(6825), 1,
      sym__constructor_name,
    STATE(6856), 1,
      sym_parenthesized_operator,
    STATE(14150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6809), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686120] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9050), 1,
      anon_sym_LBRACK,
    ACTIONS(9056), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(9060), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17648), 1,
      anon_sym_LPAREN,
    ACTIONS(17650), 1,
      anon_sym_LBRACE,
    ACTIONS(17652), 1,
      sym__uppercase_identifier,
    ACTIONS(17959), 1,
      sym__lowercase_identifier,
    STATE(8385), 1,
      sym__constructor_name,
    STATE(8478), 1,
      sym__value_name,
    STATE(14151), 1,
      sym_attribute,
    STATE(14291), 1,
      sym_parenthesized_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8488), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686168] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17566), 1,
      anon_sym_COMMA,
    ACTIONS(17568), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17570), 1,
      sym_pow_operator,
    ACTIONS(17572), 1,
      sym_mult_operator,
    ACTIONS(17574), 1,
      sym_concat_operator,
    ACTIONS(17576), 1,
      sym_rel_operator,
    ACTIONS(17578), 1,
      sym_and_operator,
    ACTIONS(17580), 1,
      sym_or_operator,
    ACTIONS(17582), 1,
      sym_assign_operator,
    STATE(2242), 1,
      sym_add_operator,
    STATE(14152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_then,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686218] = 14,
    ACTIONS(1245), 1,
      anon_sym_LBRACK,
    ACTIONS(1255), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1275), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17961), 1,
      sym__lowercase_identifier,
    ACTIONS(17963), 1,
      anon_sym_LPAREN,
    ACTIONS(17965), 1,
      anon_sym_LBRACE,
    ACTIONS(17967), 1,
      sym__uppercase_identifier,
    STATE(5788), 1,
      sym__constructor_name,
    STATE(5877), 1,
      sym_parenthesized_operator,
    STATE(5890), 1,
      sym__value_name,
    STATE(14153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(5789), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686266] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    ACTIONS(17736), 1,
      sym_assign_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11401), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [686316] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(17901), 1,
      sym__lowercase_identifier,
    ACTIONS(17969), 1,
      anon_sym_POUND,
    STATE(14155), 1,
      sym_attribute,
    STATE(14232), 1,
      sym_type_constructor_path,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(11178), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [686356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17971), 1,
      anon_sym_STAR,
    STATE(14156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 13,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686388] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12667), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12669), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [686418] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17803), 1,
      anon_sym_and,
    STATE(14158), 1,
      sym_attribute,
    STATE(14168), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16153), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686450] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    ACTIONS(17973), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14159), 1,
      sym_attribute,
    STATE(14417), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17975), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686490] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17513), 1,
      anon_sym_and,
    STATE(14160), 1,
      sym_attribute,
    STATE(14181), 1,
      aux_sym_class_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16253), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686522] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2611), 1,
      anon_sym_LBRACK,
    ACTIONS(2621), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(2633), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17977), 1,
      sym__lowercase_identifier,
    ACTIONS(17979), 1,
      anon_sym_LPAREN,
    ACTIONS(17981), 1,
      anon_sym_LBRACE,
    ACTIONS(17983), 1,
      sym__uppercase_identifier,
    STATE(7262), 1,
      sym__constructor_name,
    STATE(7340), 1,
      sym__value_name,
    STATE(7561), 1,
      sym_parenthesized_operator,
    STATE(14161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7250), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686570] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    ACTIONS(1457), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1469), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17985), 1,
      sym__lowercase_identifier,
    ACTIONS(17987), 1,
      anon_sym_LPAREN,
    ACTIONS(17989), 1,
      anon_sym_LBRACE,
    ACTIONS(17991), 1,
      sym__uppercase_identifier,
    STATE(6040), 1,
      sym__value_name,
    STATE(6083), 1,
      sym_parenthesized_operator,
    STATE(6104), 1,
      sym__constructor_name,
    STATE(14162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6150), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686618] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17803), 1,
      anon_sym_and,
    STATE(14158), 1,
      aux_sym_module_definition_repeat1,
    STATE(14163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686650] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(11114), 1,
      anon_sym_let,
    ACTIONS(17993), 1,
      sym__lowercase_identifier,
    ACTIONS(17995), 1,
      anon_sym_LBRACK,
    STATE(11009), 1,
      sym__simple_class_type,
    STATE(14164), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [686696] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7689), 1,
      anon_sym_LBRACK,
    ACTIONS(7697), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(7701), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(17997), 1,
      sym__lowercase_identifier,
    ACTIONS(17999), 1,
      anon_sym_LPAREN,
    ACTIONS(18001), 1,
      anon_sym_LBRACE,
    ACTIONS(18003), 1,
      sym__uppercase_identifier,
    STATE(7842), 1,
      sym__value_name,
    STATE(8035), 1,
      sym__constructor_name,
    STATE(8054), 1,
      sym_parenthesized_operator,
    STATE(14165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7759), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686744] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17803), 1,
      anon_sym_and,
    STATE(14144), 1,
      aux_sym_module_definition_repeat1,
    STATE(14166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16119), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686776] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(17901), 1,
      sym__lowercase_identifier,
    ACTIONS(17969), 1,
      anon_sym_POUND,
    STATE(14167), 1,
      sym_attribute,
    STATE(14232), 1,
      sym_type_constructor_path,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 5,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12389), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
  [686816] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18005), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14168), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
    ACTIONS(15483), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [686846] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3227), 1,
      anon_sym_LBRACK,
    ACTIONS(3237), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3249), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18008), 1,
      sym__lowercase_identifier,
    ACTIONS(18010), 1,
      anon_sym_LPAREN,
    ACTIONS(18012), 1,
      anon_sym_LBRACE,
    ACTIONS(18014), 1,
      sym__uppercase_identifier,
    STATE(8109), 1,
      sym_parenthesized_operator,
    STATE(8244), 1,
      sym__value_name,
    STATE(8260), 1,
      sym__constructor_name,
    STATE(14169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8243), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [686894] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(11068), 1,
      anon_sym_let,
    ACTIONS(11074), 1,
      anon_sym_object,
    ACTIONS(13800), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(13802), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(17475), 1,
      sym__lowercase_identifier,
    ACTIONS(17477), 1,
      anon_sym_LBRACK,
    STATE(14170), 1,
      sym_attribute,
    STATE(14580), 1,
      sym__simple_class_type,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11021), 6,
      sym_instantiated_class_type,
      sym_class_body_type,
      sym_let_open_class_type,
      sym_extension,
      sym_quoted_extension,
      sym_class_type_path,
  [686940] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16550), 1,
      sym__lowercase_identifier,
    ACTIONS(18016), 1,
      anon_sym_nonrec,
    STATE(13481), 1,
      sym_type_binding,
    STATE(14171), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15945), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22269), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [686994] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12745), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12747), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [687024] = 17,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16577), 1,
      sym__lowercase_identifier,
    ACTIONS(18018), 1,
      anon_sym_nonrec,
    STATE(14080), 1,
      sym_type_binding,
    STATE(14173), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16306), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22303), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [687078] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3029), 1,
      anon_sym_LBRACK,
    ACTIONS(3039), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(3051), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18020), 1,
      sym__lowercase_identifier,
    ACTIONS(18022), 1,
      anon_sym_LPAREN,
    ACTIONS(18024), 1,
      anon_sym_LBRACE,
    ACTIONS(18026), 1,
      sym__uppercase_identifier,
    STATE(7875), 1,
      sym_parenthesized_operator,
    STATE(7896), 1,
      sym__value_name,
    STATE(8222), 1,
      sym__constructor_name,
    STATE(14174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(7849), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687126] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17783), 1,
      anon_sym_and,
    STATE(14137), 1,
      aux_sym_type_definition_repeat1,
    STATE(14175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16123), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687158] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6597), 1,
      anon_sym_LBRACK,
    ACTIONS(6605), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(6609), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18028), 1,
      sym__lowercase_identifier,
    ACTIONS(18030), 1,
      anon_sym_LPAREN,
    ACTIONS(18032), 1,
      anon_sym_LBRACE,
    ACTIONS(18034), 1,
      sym__uppercase_identifier,
    STATE(6891), 1,
      sym__value_name,
    STATE(6963), 1,
      sym__constructor_name,
    STATE(7125), 1,
      sym_parenthesized_operator,
    STATE(14176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6922), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687206] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    ACTIONS(17736), 1,
      sym_assign_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11514), 2,
      anon_sym_SEMI,
      anon_sym_end,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [687256] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_end,
    ACTIONS(17718), 1,
      anon_sym_COMMA,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    ACTIONS(17736), 1,
      sym_assign_operator,
    ACTIONS(18036), 1,
      anon_sym_SEMI,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
  [687308] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11435), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11433), 8,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_pow_operator,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687340] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17513), 1,
      anon_sym_and,
    STATE(13992), 1,
      aux_sym_class_definition_repeat1,
    STATE(14180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687372] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17513), 1,
      anon_sym_and,
    STATE(13993), 1,
      aux_sym_class_definition_repeat1,
    STATE(14181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16475), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687404] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    ACTIONS(18038), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14182), 1,
      sym_attribute,
    STATE(14314), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18040), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12559), 7,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      sym__uppercase_identifier,
    ACTIONS(12561), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
      sym__lowercase_identifier,
  [687474] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17783), 1,
      anon_sym_and,
    STATE(14120), 1,
      aux_sym_type_definition_repeat1,
    STATE(14184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16077), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687506] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11463), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [687552] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17876), 1,
      anon_sym_and,
    STATE(14123), 1,
      aux_sym_module_definition_repeat1,
    STATE(14186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16011), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687584] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11489), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11487), 6,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687624] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17724), 1,
      sym_pow_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687658] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17724), 1,
      sym_pow_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 6,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      sym_mult_operator,
      aux_sym_add_operator_token1,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11401), 7,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      anon_sym_COLON_COLON,
      sym_concat_operator,
      sym_rel_operator,
      sym_assign_operator,
  [687692] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17876), 1,
      anon_sym_and,
    STATE(14122), 1,
      aux_sym_module_definition_repeat1,
    STATE(14190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16119), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687724] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [687766] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11403), 2,
      sym_and_operator,
      sym_or_operator,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_rel_operator,
      sym_assign_operator,
  [687808] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11403), 1,
      sym_or_operator,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [687854] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17722), 1,
      anon_sym_COLON_COLON,
    ACTIONS(17724), 1,
      sym_pow_operator,
    ACTIONS(17726), 1,
      sym_mult_operator,
    ACTIONS(17728), 1,
      sym_concat_operator,
    ACTIONS(17730), 1,
      sym_rel_operator,
    ACTIONS(17732), 1,
      sym_and_operator,
    ACTIONS(17734), 1,
      sym_or_operator,
    STATE(2409), 1,
      sym_add_operator,
    STATE(14194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11417), 3,
      aux_sym_signed_number_token1,
      aux_sym_sign_operator_token1,
      aux_sym_add_operator_token1,
    ACTIONS(11401), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_end,
      sym_assign_operator,
  [687900] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(1551), 1,
      anon_sym_LBRACK,
    ACTIONS(1561), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(1573), 1,
      anon_sym_LBRACE_LT,
    ACTIONS(18042), 1,
      sym__lowercase_identifier,
    ACTIONS(18044), 1,
      anon_sym_LPAREN,
    ACTIONS(18046), 1,
      anon_sym_LBRACE,
    ACTIONS(18048), 1,
      sym__uppercase_identifier,
    STATE(6263), 1,
      sym_parenthesized_operator,
    STATE(6276), 1,
      sym__value_name,
    STATE(6333), 1,
      sym__constructor_name,
    STATE(14195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6277), 5,
      sym_list_expression,
      sym_array_expression,
      sym_record_expression,
      sym_package_expression,
      sym_object_copy_expression,
  [687948] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(17803), 1,
      anon_sym_and,
    STATE(14168), 1,
      aux_sym_module_definition_repeat1,
    STATE(14196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16227), 13,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [687980] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14197), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    STATE(15709), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12347), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688023] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(14198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 12,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688054] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18052), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688081] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18054), 1,
      anon_sym_COLON_GT,
    ACTIONS(18056), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14200), 1,
      sym_attribute,
    STATE(14449), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18058), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688118] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16481), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(12768), 1,
      sym_type_binding,
    STATE(14201), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16286), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688169] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16577), 1,
      sym__lowercase_identifier,
    STATE(12768), 1,
      sym_type_binding,
    STATE(14202), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16306), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22303), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688220] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16600), 1,
      sym__lowercase_identifier,
    STATE(13995), 1,
      sym_type_binding,
    STATE(14203), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16468), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22321), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688271] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16481), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(13118), 1,
      sym_type_binding,
    STATE(14204), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16286), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688322] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16481), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(13153), 1,
      sym_type_binding,
    STATE(14205), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16286), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22050), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688373] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16577), 1,
      sym__lowercase_identifier,
    STATE(14109), 1,
      sym_type_binding,
    STATE(14206), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16306), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22303), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688424] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12488), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688451] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18060), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688478] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11753), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688515] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16600), 1,
      sym__lowercase_identifier,
    STATE(14008), 1,
      sym_type_binding,
    STATE(14210), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16468), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22321), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688566] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14211), 1,
      sym_attribute,
    STATE(14512), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688603] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18064), 1,
      anon_sym_COLON_GT,
    ACTIONS(18066), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14212), 1,
      sym_attribute,
    STATE(14495), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18068), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688640] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16550), 1,
      sym__lowercase_identifier,
    STATE(12768), 1,
      sym_type_binding,
    STATE(14213), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15945), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22269), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688691] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16550), 1,
      sym__lowercase_identifier,
    STATE(13501), 1,
      sym_type_binding,
    STATE(14214), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15945), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22269), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688742] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16577), 1,
      sym__lowercase_identifier,
    STATE(14080), 1,
      sym_type_binding,
    STATE(14215), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16306), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22303), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688793] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(14216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10284), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [688824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    ACTIONS(18072), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 11,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [688857] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9352), 1,
      anon_sym_COLON2,
    STATE(14218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 13,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_of,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [688886] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14219), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    STATE(15662), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12343), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [688929] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16600), 1,
      sym__lowercase_identifier,
    STATE(12768), 1,
      sym_type_binding,
    STATE(14220), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16468), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22321), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [688980] = 16,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    ACTIONS(16550), 1,
      sym__lowercase_identifier,
    STATE(13481), 1,
      sym_type_binding,
    STATE(14221), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15945), 1,
      sym__type_params,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22269), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [689031] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14222), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    STATE(15785), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12276), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689074] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10206), 14,
      anon_sym_SEMI_SEMI,
      anon_sym_external,
      anon_sym_type,
      anon_sym_RBRACK,
      anon_sym_exception,
      anon_sym_module,
      anon_sym_open,
      anon_sym_include,
      anon_sym_class,
      anon_sym_val,
      anon_sym_end,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689101] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18074), 1,
      anon_sym_COLON_GT,
    ACTIONS(18076), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14224), 1,
      sym_attribute,
    STATE(14435), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18078), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10284), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12827), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689194] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12635), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18082), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18080), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [689250] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12667), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689278] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12631), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689306] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8667), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14231), 1,
      sym_attribute,
    STATE(14517), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8671), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12619), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689368] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12609), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689396] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12605), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689424] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12601), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689452] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12591), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689480] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(10662), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(18084), 1,
      anon_sym_private,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(14237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11544), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [689526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12595), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689554] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12615), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689582] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9086), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689610] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8597), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14241), 1,
      sym_attribute,
    STATE(14422), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8619), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689644] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12357), 1,
      anon_sym_in,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14242), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    STATE(15887), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [689686] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12781), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689714] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12789), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689742] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12793), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689770] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(8711), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14246), 1,
      sym_attribute,
    STATE(14398), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8715), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689804] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18088), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14247), 1,
      sym_attribute,
    STATE(14404), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18090), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [689838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9102), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689866] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9094), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [689894] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(10666), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18092), 1,
      anon_sym_private,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(14250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13454), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11603), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [689940] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(10672), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18094), 1,
      anon_sym_private,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(14251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13454), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11681), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [689986] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12797), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690014] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9090), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690042] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12801), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690070] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16838), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(14255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16836), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690102] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16995), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(14256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_COLON2,
    STATE(14257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [690162] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12809), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690190] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18098), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18096), 11,
      anon_sym_DQUOTE,
      aux_sym_string_content_token1,
      aux_sym_string_content_token3,
      aux_sym_string_content_token4,
      aux_sym_string_content_token5,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [690218] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9086), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690246] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12819), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690274] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_COLON2,
    ACTIONS(18100), 1,
      anon_sym_DOT_DOT,
    STATE(14262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [690304] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12823), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690332] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18104), 1,
      anon_sym_as,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14264), 1,
      sym_attribute,
    STATE(14455), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18102), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690366] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12831), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12234), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690422] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18106), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14267), 1,
      sym_attribute,
    STATE(14432), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18108), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 2,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [690486] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12751), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690514] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18112), 1,
      anon_sym_as,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14270), 1,
      sym_attribute,
    STATE(14458), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18110), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690548] = 9,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14271), 1,
      sym_attribute,
    STATE(14512), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18062), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690584] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12559), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690612] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(18116), 1,
      sym__lowercase_identifier,
    ACTIONS(18118), 1,
      anon_sym_POUND,
    STATE(14273), 1,
      sym_attribute,
    STATE(14560), 1,
      sym_type_constructor_path,
    STATE(19012), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12401), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [690650] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12745), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [690678] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12365), 1,
      anon_sym_in,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14275), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    STATE(16221), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [690720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10238), 1,
      anon_sym_COLON2,
    STATE(14276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 12,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [690748] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(14277), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15882), 1,
      sym__type_params,
    STATE(18012), 1,
      sym_type_constructor_path,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [690796] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 13,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [690822] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18120), 1,
      anon_sym_EQ,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14279), 1,
      sym_attribute,
    STATE(14388), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18122), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690856] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(14280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 10,
      anon_sym_EQ,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [690888] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(14281), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15892), 1,
      sym__type_params,
    STATE(18108), 1,
      sym_type_constructor_path,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [690936] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(10704), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      anon_sym_LPAREN,
    ACTIONS(13944), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18124), 1,
      anon_sym_private,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(14282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12438), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [690982] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(12373), 1,
      anon_sym_in,
    ACTIONS(16622), 1,
      anon_sym_LPAREN,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(14283), 1,
      sym_attribute,
    STATE(14619), 1,
      sym__simple_module_expression,
    STATE(16549), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14600), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691024] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12569), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12567), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691052] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(10694), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18126), 1,
      anon_sym_private,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(14285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11427), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [691098] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10714), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18128), 1,
      anon_sym_private,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(14286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13884), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12397), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [691144] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(14287), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16084), 1,
      sym__type_params,
    STATE(17477), 1,
      sym_type_constructor_path,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691192] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(10708), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      anon_sym_LPAREN,
    ACTIONS(13944), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18130), 1,
      anon_sym_private,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(14288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12328), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [691238] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(18116), 1,
      sym__lowercase_identifier,
    ACTIONS(18132), 1,
      anon_sym_POUND,
    STATE(14289), 1,
      sym_attribute,
    STATE(14551), 1,
      sym_type_constructor_path,
    STATE(19012), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12385), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(12389), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [691276] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(14290), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16439), 1,
      sym__type_params,
    STATE(17972), 1,
      sym_type_constructor_path,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9184), 2,
      anon_sym_COLON2,
      anon_sym_POUND,
    ACTIONS(9182), 11,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [691352] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10364), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691380] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10284), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691408] = 14,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(10716), 1,
      anon_sym_DOT_DOT,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18134), 1,
      anon_sym_private,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(14294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13884), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12461), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [691454] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(14295), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(15947), 1,
      sym__type_params,
    STATE(17904), 1,
      sym_type_constructor_path,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691502] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9102), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691530] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9094), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691558] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 6,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12709), 7,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691586] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(18116), 1,
      sym__lowercase_identifier,
    ACTIONS(18132), 1,
      anon_sym_POUND,
    STATE(14299), 1,
      sym_attribute,
    STATE(14551), 1,
      sym_type_constructor_path,
    STATE(19012), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11176), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
    ACTIONS(11178), 4,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [691624] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10364), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691652] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 4,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9090), 9,
      anon_sym_COMMA,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_SEMI,
      anon_sym_POUND,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [691680] = 15,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16042), 1,
      sym__lowercase_identifier,
    ACTIONS(16483), 1,
      anon_sym_LPAREN,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(16491), 1,
      anon_sym__,
    STATE(14302), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16037), 1,
      sym__type_params,
    STATE(17493), 1,
      sym_type_constructor_path,
    STATE(18261), 1,
      sym__type_param,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [691728] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18136), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691759] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14304), 1,
      sym_attribute,
    STATE(20153), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691798] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18144), 1,
      anon_sym_COLON2,
    STATE(14305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18142), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [691825] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18146), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14306), 1,
      sym_attribute,
    STATE(20058), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691864] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14307), 1,
      sym_attribute,
    STATE(21351), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691903] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18150), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14308), 1,
      sym_attribute,
    STATE(20592), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [691942] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18154), 1,
      anon_sym_COLON2,
    STATE(14309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18152), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [691969] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(11540), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18156), 1,
      anon_sym_STAR,
    STATE(14310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 10,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [691998] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18158), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14311), 1,
      sym_attribute,
    STATE(22005), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692037] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18160), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692068] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18162), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14313), 1,
      sym_attribute,
    STATE(22507), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692107] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17941), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692138] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18166), 1,
      anon_sym_COLON2,
    STATE(14315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18164), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [692165] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18168), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14316), 1,
      sym_attribute,
    STATE(20004), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692204] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      anon_sym_LPAREN,
    ACTIONS(13944), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18170), 1,
      anon_sym_DOT_DOT,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(14317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12213), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [692247] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18172), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14318), 1,
      sym_attribute,
    STATE(20555), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692286] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14319), 1,
      sym_attribute,
    STATE(14479), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18174), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18178), 1,
      anon_sym_COLON2,
    STATE(14320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18176), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [692344] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18180), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14321), 1,
      sym_attribute,
    STATE(22493), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692383] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18182), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14322), 1,
      sym_attribute,
    STATE(20870), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692422] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18184), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14323), 1,
      sym_attribute,
    STATE(21900), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692461] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14324), 1,
      sym_attribute,
    STATE(14426), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18186), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692492] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18188), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692523] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18190), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14326), 1,
      sym_attribute,
    STATE(20700), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692562] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14796), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692593] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18192), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14328), 1,
      sym_attribute,
    STATE(20560), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692632] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18194), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14329), 1,
      sym_attribute,
    STATE(20736), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692671] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18196), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14330), 1,
      sym_attribute,
    STATE(22504), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692710] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18198), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14331), 1,
      sym_attribute,
    STATE(19928), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692749] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18200), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14332), 1,
      sym_attribute,
    STATE(21371), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692788] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18202), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14333), 1,
      sym_attribute,
    STATE(20155), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692827] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18204), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14334), 1,
      sym_attribute,
    STATE(20351), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [692866] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14335), 1,
      sym_attribute,
    STATE(14524), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14796), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692897] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18208), 1,
      anon_sym_LPAREN,
    ACTIONS(18210), 1,
      anon_sym_COLON2,
    STATE(14336), 1,
      sym_attribute,
    STATE(14451), 1,
      aux_sym_module_binding_repeat1,
    STATE(15058), 1,
      sym__module_typed,
    STATE(15065), 1,
      sym_module_parameter,
    STATE(15650), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12881), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18206), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [692940] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14337), 1,
      sym_attribute,
    STATE(14528), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14800), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [692971] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10330), 1,
      anon_sym_COLON2,
    STATE(14338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [692998] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18212), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14339), 1,
      sym_attribute,
    STATE(20593), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693037] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18214), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14340), 1,
      sym_attribute,
    STATE(19907), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693076] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18216), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14341), 1,
      sym_attribute,
    STATE(20539), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693115] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18218), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14342), 1,
      sym_attribute,
    STATE(20349), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693154] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18220), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14343), 1,
      sym_attribute,
    STATE(20454), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693193] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11546), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [693218] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18222), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14345), 1,
      sym_attribute,
    STATE(20452), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693257] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10770), 1,
      anon_sym_COLON2,
    STATE(14346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693284] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18224), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14347), 1,
      sym_attribute,
    STATE(22469), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_COLON2,
    STATE(14348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693350] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18226), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14349), 1,
      sym_attribute,
    STATE(22341), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693389] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18228), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14350), 1,
      sym_attribute,
    STATE(20938), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693428] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18230), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14351), 1,
      sym_attribute,
    STATE(20576), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693467] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18232), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693498] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18234), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14353), 1,
      sym_attribute,
    STATE(19868), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693537] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18236), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10720), 1,
      anon_sym_COLON2,
    STATE(14355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693595] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18238), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14356), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9975), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10858), 1,
      anon_sym_COLON2,
    STATE(14357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693649] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_COLON2,
    STATE(14358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693676] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18241), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [693707] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18243), 1,
      anon_sym_DOT_DOT,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(14360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11424), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [693750] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10548), 1,
      anon_sym_PIPE,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      anon_sym_LPAREN,
    ACTIONS(13944), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18245), 1,
      anon_sym_DOT_DOT,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(13175), 1,
      sym_constructor_declaration,
    STATE(14361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12344), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [693793] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18247), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14362), 1,
      sym_attribute,
    STATE(21520), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693832] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18249), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14363), 1,
      sym_attribute,
    STATE(21783), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693871] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18251), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14364), 1,
      sym_attribute,
    STATE(22317), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [693910] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10848), 1,
      anon_sym_COLON2,
    STATE(14365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [693937] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18253), 1,
      anon_sym_DOT_DOT,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(14366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13884), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12400), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [693980] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14367), 1,
      sym_attribute,
    STATE(22010), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694019] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18257), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14368), 1,
      sym_attribute,
    STATE(20130), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_COLON2,
    STATE(14369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [694085] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18259), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14370), 1,
      sym_attribute,
    STATE(21374), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694124] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18261), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14371), 1,
      sym_attribute,
    STATE(20425), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694163] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14372), 1,
      sym_attribute,
    STATE(14476), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18263), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694194] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18265), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694225] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18267), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14374), 1,
      sym_attribute,
    STATE(20508), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694264] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10502), 1,
      anon_sym_PIPE,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18269), 1,
      anon_sym_DOT_DOT,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(13195), 1,
      sym_constructor_declaration,
    STATE(14375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13884), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(12389), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [694307] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18271), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14376), 1,
      sym_attribute,
    STATE(21480), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694346] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14377), 1,
      sym_attribute,
    STATE(22521), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_COLON2,
    STATE(14378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [694412] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18275), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14379), 1,
      sym_attribute,
    STATE(20027), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694451] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14380), 1,
      sym_attribute,
    STATE(20005), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694490] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18279), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14381), 1,
      sym_attribute,
    STATE(20036), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694529] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18281), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694560] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14383), 1,
      sym_attribute,
    STATE(14466), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18188), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694591] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18283), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14384), 1,
      sym_attribute,
    STATE(19905), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18287), 1,
      anon_sym_COLON2,
    STATE(14385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18285), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [694657] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14386), 1,
      sym_attribute,
    STATE(14471), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18289), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694688] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18291), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14387), 1,
      sym_attribute,
    STATE(21560), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694727] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18293), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694758] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18295), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14389), 1,
      sym_attribute,
    STATE(20841), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694797] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18297), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14390), 1,
      sym_attribute,
    STATE(21501), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694836] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18299), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14391), 1,
      sym_attribute,
    STATE(21859), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694875] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18301), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694906] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18303), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14393), 1,
      sym_attribute,
    STATE(20699), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [694945] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18305), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [694976] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18307), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10742), 1,
      anon_sym_COLON2,
    STATE(14396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695034] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14395), 1,
      aux_sym_expression_item_repeat1,
    STATE(14397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18309), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695065] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18122), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695096] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18311), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14399), 1,
      sym_attribute,
    STATE(21256), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695135] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14382), 1,
      aux_sym_expression_item_repeat1,
    STATE(14400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18313), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695166] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14401), 1,
      sym_attribute,
    STATE(14483), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18315), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695197] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18317), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14402), 1,
      sym_attribute,
    STATE(21330), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695236] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18319), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14403), 1,
      sym_attribute,
    STATE(22238), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695275] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18321), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695306] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_COLON2,
    STATE(14405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695333] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18323), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14406), 1,
      sym_attribute,
    STATE(21105), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10754), 1,
      anon_sym_COLON2,
    STATE(14407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695399] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14373), 1,
      aux_sym_expression_item_repeat1,
    STATE(14408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18325), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695430] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      anon_sym_COLON2,
    STATE(14409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695457] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18327), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14410), 1,
      sym_attribute,
    STATE(21845), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695496] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18329), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14411), 1,
      sym_attribute,
    STATE(20879), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695535] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18331), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14412), 1,
      sym_attribute,
    STATE(20940), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695574] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18333), 1,
      anon_sym_DOT_DOT,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(14413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13454), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11676), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [695617] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18335), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14414), 1,
      sym_attribute,
    STATE(22213), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10758), 1,
      anon_sym_COLON2,
    STATE(14415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695683] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18337), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14416), 1,
      sym_attribute,
    STATE(22263), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695722] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17835), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695753] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18078), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695784] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18339), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14419), 1,
      sym_attribute,
    STATE(21227), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695823] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10762), 1,
      anon_sym_COLON2,
    STATE(14420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695850] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10374), 1,
      anon_sym_COLON2,
    STATE(14421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695877] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18090), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [695908] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 12,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_LBRACK_AT_AT,
  [695933] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18341), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14424), 1,
      sym_attribute,
    STATE(21365), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [695972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18345), 1,
      anon_sym_COLON2,
    STATE(14425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18343), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [695999] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18347), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696030] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8715), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696061] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_COLON2,
    STATE(14428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696088] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18349), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14430), 1,
      sym_attribute,
    STATE(14440), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18351), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696150] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18353), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14431), 1,
      sym_attribute,
    STATE(21232), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696189] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18355), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696220] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10580), 1,
      anon_sym_PIPE,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18357), 1,
      anon_sym_DOT_DOT,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(12004), 1,
      sym_constructor_declaration,
    STATE(14433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11545), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [696263] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14434), 1,
      sym_attribute,
    STATE(19786), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696302] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17853), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696333] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14359), 1,
      aux_sym_expression_item_repeat1,
    STATE(14436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18361), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696364] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18058), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696395] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18363), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696426] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10378), 1,
      anon_sym_COLON2,
    STATE(14439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696453] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18365), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696484] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18367), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14441), 1,
      sym_attribute,
    STATE(21617), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696523] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18369), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14442), 1,
      sym_attribute,
    STATE(21852), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_COLON2,
    STATE(14443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18371), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696589] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18068), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696620] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8671), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696651] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18375), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14446), 1,
      sym_attribute,
    STATE(20182), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696690] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14447), 1,
      sym_attribute,
    STATE(20289), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696729] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18379), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14448), 1,
      sym_attribute,
    STATE(21270), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696768] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17975), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696799] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18381), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [696830] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18208), 1,
      anon_sym_LPAREN,
    ACTIONS(18210), 1,
      anon_sym_COLON2,
    STATE(14451), 1,
      sym_attribute,
    STATE(14675), 1,
      aux_sym_module_binding_repeat1,
    STATE(15065), 1,
      sym_module_parameter,
    STATE(15182), 1,
      sym__module_typed,
    STATE(15799), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18383), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [696873] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14452), 1,
      sym_attribute,
    STATE(21323), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696912] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10290), 1,
      anon_sym_COLON2,
    STATE(14453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [696939] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18387), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14454), 1,
      sym_attribute,
    STATE(22233), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [696978] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18389), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697009] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14303), 1,
      aux_sym_expression_item_repeat1,
    STATE(14456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18391), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697040] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18393), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14457), 1,
      sym_attribute,
    STATE(21633), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697079] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18102), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697110] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18395), 1,
      aux_sym_attribute_id_token1,
    STATE(14356), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10140), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697139] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18397), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14460), 1,
      sym_attribute,
    STATE(21056), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697178] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18399), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14461), 1,
      sym_attribute,
    STATE(19598), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697217] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18401), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14462), 1,
      sym_attribute,
    STATE(20308), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697256] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18403), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14463), 1,
      sym_attribute,
    STATE(21242), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697295] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14325), 1,
      aux_sym_expression_item_repeat1,
    STATE(14464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18389), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697326] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18405), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14465), 1,
      sym_attribute,
    STATE(22107), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697365] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18407), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697396] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14467), 1,
      sym_attribute,
    STATE(14474), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18409), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697427] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18411), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14468), 1,
      sym_attribute,
    STATE(19407), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697466] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14354), 1,
      aux_sym_expression_item_repeat1,
    STATE(14469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18413), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697497] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18415), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14470), 1,
      sym_attribute,
    STATE(21976), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697536] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18417), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697567] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14472), 1,
      sym_attribute,
    STATE(21770), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697606] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18421), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14473), 1,
      sym_attribute,
    STATE(21147), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697645] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18423), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697676] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14475), 1,
      sym_attribute,
    STATE(22037), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697715] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18427), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697746] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18429), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14477), 1,
      sym_attribute,
    STATE(19540), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697785] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14478), 1,
      sym_attribute,
    STATE(20228), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697824] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18433), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697855] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18435), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697886] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18437), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14481), 1,
      sym_attribute,
    STATE(21430), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697925] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18439), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14482), 1,
      sym_attribute,
    STATE(21127), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [697964] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18441), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [697995] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18443), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698026] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14352), 1,
      aux_sym_expression_item_repeat1,
    STATE(14485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18445), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698057] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18395), 1,
      aux_sym_attribute_id_token1,
    STATE(14459), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10122), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698086] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14450), 1,
      aux_sym_expression_item_repeat1,
    STATE(14487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18447), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698117] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18449), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14488), 1,
      sym_attribute,
    STATE(21768), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698156] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14394), 1,
      aux_sym_expression_item_repeat1,
    STATE(14489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18451), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698187] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14392), 1,
      aux_sym_expression_item_repeat1,
    STATE(14490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18453), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698218] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18455), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698249] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18457), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14492), 1,
      sym_attribute,
    STATE(21088), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698288] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18459), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14493), 1,
      sym_attribute,
    STATE(21995), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698327] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12499), 1,
      anon_sym_COLON2,
    STATE(14494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10284), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [698356] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18040), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698387] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18461), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14496), 1,
      sym_attribute,
    STATE(22085), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698426] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18463), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14497), 1,
      sym_attribute,
    STATE(20848), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10362), 1,
      anon_sym_COLON2,
    STATE(14498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18467), 1,
      anon_sym_COLON2,
    STATE(14499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18465), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698519] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14491), 1,
      aux_sym_expression_item_repeat1,
    STATE(14500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18469), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698550] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14501), 1,
      sym_attribute,
    STATE(14530), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18471), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698581] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14312), 1,
      aux_sym_expression_item_repeat1,
    STATE(14502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18473), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10818), 1,
      anon_sym_COLON2,
    STATE(14503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698639] = 13,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10624), 1,
      anon_sym_PIPE,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_LBRACK,
    ACTIONS(18086), 1,
      anon_sym_LBRACE,
    ACTIONS(18475), 1,
      anon_sym_DOT_DOT,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(12425), 1,
      sym_constructor_declaration,
    STATE(14504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13454), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(11719), 2,
      sym_variant_declaration,
      sym_record_declaration,
  [698682] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14505), 1,
      sym_attribute,
    STATE(21038), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_COLON2,
    STATE(14506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698748] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18479), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14507), 1,
      sym_attribute,
    STATE(21724), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10810), 1,
      anon_sym_COLON2,
    STATE(14508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698814] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18481), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14509), 1,
      sym_attribute,
    STATE(22306), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_COLON2,
    STATE(14510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [698880] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14769), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698911] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18483), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [698942] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18485), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14513), 1,
      sym_attribute,
    STATE(22478), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [698981] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18487), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14514), 1,
      sym_attribute,
    STATE(21806), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699020] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18491), 1,
      anon_sym_COLON2,
    STATE(14515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18489), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699047] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18493), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14516), 1,
      sym_attribute,
    STATE(20894), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699086] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18108), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699117] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18495), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14518), 1,
      sym_attribute,
    STATE(21750), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699156] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18497), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14519), 1,
      sym_attribute,
    STATE(19962), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699195] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18499), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14520), 1,
      sym_attribute,
    STATE(19609), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699234] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_COLON2,
    STATE(14521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 11,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_when,
  [699261] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14438), 1,
      aux_sym_expression_item_repeat1,
    STATE(14522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18501), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699292] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18503), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14523), 1,
      sym_attribute,
    STATE(19322), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699331] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14816), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699362] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18505), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699393] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18507), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14526), 1,
      sym_attribute,
    STATE(21172), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699432] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14511), 1,
      aux_sym_expression_item_repeat1,
    STATE(14527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14812), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699463] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14812), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699494] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17888), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699525] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18509), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699556] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14429), 1,
      aux_sym_expression_item_repeat1,
    STATE(14531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18511), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699587] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18513), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14532), 1,
      sym_attribute,
    STATE(22292), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699626] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6021), 1,
      anon_sym_LBRACK_PERCENT,
    ACTIONS(6023), 1,
      anon_sym_LBRACE_PERCENT,
    ACTIONS(11757), 1,
      anon_sym_LPAREN,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(18515), 1,
      anon_sym_RPAREN,
    STATE(10180), 1,
      sym__simple_module_expression,
    STATE(14533), 1,
      sym_attribute,
    STATE(21057), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10130), 5,
      sym_typed_module_expression,
      sym_packed_module,
      sym_parenthesized_module_expression,
      sym_extension,
      sym_quoted_extension,
  [699665] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14327), 1,
      aux_sym_expression_item_repeat1,
    STATE(14534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14661), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699696] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8619), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699727] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9332), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [699751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12751), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699777] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16838), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(14538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16836), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699807] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18517), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14539), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
    ACTIONS(9973), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(9975), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [699835] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(17030), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(14540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699865] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18520), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699895] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(16995), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(14542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699925] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18522), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [699955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12823), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [699981] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14545), 1,
      sym_attribute,
    STATE(14563), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18524), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12635), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12667), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700063] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18526), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12631), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700119] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14550), 1,
      sym_attribute,
    STATE(14557), 1,
      aux_sym_expression_item_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18528), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700149] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12619), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12609), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12605), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12601), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700253] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14543), 1,
      aux_sym_expression_item_repeat1,
    STATE(14555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18530), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12569), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12567), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700309] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18532), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12591), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700365] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14541), 1,
      aux_sym_expression_item_repeat1,
    STATE(14559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18534), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12595), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12615), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700447] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12709), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700473] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(10723), 1,
      aux_sym_expression_item_repeat1,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18534), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700503] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(18072), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(14564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12781), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700559] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_POUND,
    STATE(14566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 10,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      anon_sym_as,
      anon_sym_COLON_COLON,
      sym_hash_operator,
  [700585] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12789), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700611] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12793), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12797), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12801), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700689] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12809), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12819), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9100), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9102), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700767] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9092), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9094), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700793] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12827), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9084), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9086), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700845] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12831), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12234), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12559), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700923] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(7931), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(11126), 1,
      sym_item_attribute,
    STATE(14548), 1,
      aux_sym_expression_item_repeat1,
    STATE(14580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18536), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [700953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(12745), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [700979] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9088), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(9090), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701005] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9975), 11,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
      aux_sym_attribute_id_token1,
  [701029] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9346), 11,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701053] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10366), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10364), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701079] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18538), 1,
      anon_sym_DOT,
    STATE(14586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12351), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10286), 5,
      anon_sym_and,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
      sym__lowercase_identifier,
    ACTIONS(10284), 6,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__uppercase_identifier,
  [701131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    STATE(14588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 10,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [701157] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18542), 1,
      aux_sym_attribute_id_token1,
    STATE(14539), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10138), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10140), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [701187] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18542), 1,
      aux_sym_attribute_id_token1,
    STATE(14589), 1,
      aux_sym_attribute_id_repeat1,
    STATE(14590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10120), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(10122), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [701217] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13586), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(14591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [701245] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12437), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701268] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12815), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12817), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14593), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701309] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12381), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701332] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18552), 1,
      anon_sym_COLON2,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    STATE(14595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18548), 7,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [701361] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12395), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701384] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18558), 1,
      anon_sym_COLON2,
    STATE(14597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18556), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [701411] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14152), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      anon_sym_LBRACK,
    ACTIONS(18560), 1,
      anon_sym_private,
    ACTIONS(18562), 1,
      anon_sym_PIPE,
    STATE(11902), 1,
      sym_variant_declaration,
    STATE(12515), 1,
      sym__constructor_name,
    STATE(13416), 1,
      sym_constructor_declaration,
    STATE(14598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14156), 2,
      anon_sym_true,
      anon_sym_false,
  [701450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18566), 1,
      anon_sym_COLON2,
    STATE(14599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 8,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_as,
      anon_sym_when,
  [701477] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12369), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701500] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12351), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [701523] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_LBRACK,
    ACTIONS(18568), 1,
      anon_sym_private,
    ACTIONS(18570), 1,
      anon_sym_PIPE,
    STATE(11718), 1,
      sym_variant_declaration,
    STATE(11909), 1,
      sym__constructor_name,
    STATE(12407), 1,
      sym_constructor_declaration,
    STATE(14602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13478), 2,
      anon_sym_true,
      anon_sym_false,
  [701562] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18576), 1,
      anon_sym_COLON2,
    ACTIONS(18578), 1,
      anon_sym_as,
    STATE(14603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18572), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [701595] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18580), 1,
      anon_sym_constraint,
    STATE(14839), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14604), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701622] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_COLON2,
    ACTIONS(18100), 1,
      anon_sym_DOT_DOT,
    STATE(14605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [701649] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13603), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      anon_sym_LBRACK,
    ACTIONS(18583), 1,
      anon_sym_private,
    ACTIONS(18585), 1,
      anon_sym_PIPE,
    STATE(11902), 1,
      sym_variant_declaration,
    STATE(12084), 1,
      sym__constructor_name,
    STATE(12575), 1,
      sym_constructor_declaration,
    STATE(14606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13607), 2,
      anon_sym_true,
      anon_sym_false,
  [701688] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14152), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      anon_sym_LBRACK,
    ACTIONS(18562), 1,
      anon_sym_PIPE,
    ACTIONS(18587), 1,
      anon_sym_private,
    STATE(11718), 1,
      sym_variant_declaration,
    STATE(12515), 1,
      sym__constructor_name,
    STATE(13416), 1,
      sym_constructor_declaration,
    STATE(14607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14156), 2,
      anon_sym_true,
      anon_sym_false,
  [701727] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    ACTIONS(18589), 1,
      anon_sym_private,
    ACTIONS(18591), 1,
      anon_sym_PIPE,
    STATE(11718), 1,
      sym_variant_declaration,
    STATE(12852), 1,
      sym__constructor_name,
    STATE(13380), 1,
      sym_constructor_declaration,
    STATE(14608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 2,
      anon_sym_true,
      anon_sym_false,
  [701766] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18593), 1,
      anon_sym_STAR,
    STATE(14609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [701791] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12623), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12625), 1,
      anon_sym_in,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14610), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701832] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13603), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      anon_sym_LBRACK,
    ACTIONS(18585), 1,
      anon_sym_PIPE,
    ACTIONS(18595), 1,
      anon_sym_private,
    STATE(11718), 1,
      sym_variant_declaration,
    STATE(12084), 1,
      sym__constructor_name,
    STATE(12575), 1,
      sym_constructor_declaration,
    STATE(14611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13607), 2,
      anon_sym_true,
      anon_sym_false,
  [701871] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    ACTIONS(18591), 1,
      anon_sym_PIPE,
    ACTIONS(18597), 1,
      anon_sym_private,
    STATE(11902), 1,
      sym_variant_declaration,
    STATE(12852), 1,
      sym__constructor_name,
    STATE(13380), 1,
      sym_constructor_declaration,
    STATE(14612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 2,
      anon_sym_true,
      anon_sym_false,
  [701910] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18599), 1,
      anon_sym_constraint,
    STATE(14613), 1,
      sym_attribute,
    STATE(14630), 1,
      aux_sym_type_binding_repeat1,
    STATE(14839), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13519), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [701939] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12757), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14614), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [701980] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12779), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14615), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702021] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11726), 10,
      anon_sym_LPAREN,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [702044] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(14617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [702069] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(14618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [702094] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12423), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9973), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(9975), 6,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
      aux_sym_attribute_id_token1,
  [702142] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12429), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702165] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12785), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12787), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14622), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702206] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    STATE(14623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 9,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_as,
      anon_sym_GT,
      anon_sym_AMP,
  [702231] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18599), 1,
      anon_sym_constraint,
    STATE(14604), 1,
      aux_sym_type_binding_repeat1,
    STATE(14624), 1,
      sym_attribute,
    STATE(14839), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702260] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12445), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702283] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12441), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702306] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18599), 1,
      anon_sym_constraint,
    STATE(14624), 1,
      aux_sym_type_binding_repeat1,
    STATE(14627), 1,
      sym_attribute,
    STATE(14839), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702335] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_LBRACK,
    ACTIONS(18570), 1,
      anon_sym_PIPE,
    ACTIONS(18603), 1,
      anon_sym_private,
    STATE(11902), 1,
      sym_variant_declaration,
    STATE(11909), 1,
      sym__constructor_name,
    STATE(12407), 1,
      sym_constructor_declaration,
    STATE(14628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13478), 2,
      anon_sym_true,
      anon_sym_false,
  [702374] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12377), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702397] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18599), 1,
      anon_sym_constraint,
    STATE(14604), 1,
      aux_sym_type_binding_repeat1,
    STATE(14630), 1,
      sym_attribute,
    STATE(14839), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [702426] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12361), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702449] = 13,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_DASH_GT,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12743), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14632), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(17687), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702490] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(18607), 1,
      anon_sym_COLON2,
    STATE(14633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18605), 5,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
      anon_sym_when,
  [702523] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12433), 10,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
  [702546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10358), 1,
      anon_sym_COLON2,
    STATE(14635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [702570] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18609), 1,
      sym__lowercase_identifier,
    ACTIONS(18611), 1,
      anon_sym_LPAREN,
    ACTIONS(18613), 1,
      anon_sym_LBRACK,
    ACTIONS(18615), 1,
      anon_sym_LBRACE,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    STATE(3334), 1,
      sym_field_path,
    STATE(14636), 1,
      sym_attribute,
    STATE(17796), 1,
      sym_indexing_operator_path,
    STATE(20805), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10278), 1,
      anon_sym_COLON2,
    STATE(14637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [702632] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18619), 1,
      sym__lowercase_identifier,
    ACTIONS(18621), 1,
      anon_sym_LPAREN,
    ACTIONS(18623), 1,
      anon_sym_LBRACK,
    ACTIONS(18625), 1,
      anon_sym_LBRACE,
    STATE(7693), 1,
      sym_field_path,
    STATE(14638), 1,
      sym_attribute,
    STATE(17402), 1,
      sym_indexing_operator_path,
    STATE(19444), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702670] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14639), 1,
      sym_attribute,
    STATE(20978), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [702700] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14640), 1,
      sym_attribute,
    STATE(21664), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [702730] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18633), 1,
      anon_sym_LPAREN,
    ACTIONS(18635), 1,
      anon_sym_LBRACE,
    ACTIONS(18637), 1,
      sym__uppercase_identifier,
    STATE(9691), 1,
      sym__constructor_name,
    STATE(14641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14420), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [702764] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(18639), 1,
      anon_sym_LPAREN,
    ACTIONS(18641), 1,
      anon_sym_LBRACK,
    STATE(12016), 1,
      sym_constructor_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14642), 1,
      sym_attribute,
    STATE(14971), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18643), 2,
      anon_sym_true,
      anon_sym_false,
  [702800] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18645), 1,
      sym__lowercase_identifier,
    ACTIONS(18647), 1,
      anon_sym_LPAREN,
    ACTIONS(18649), 1,
      anon_sym_LBRACK,
    ACTIONS(18651), 1,
      anon_sym_LBRACE,
    STATE(6812), 1,
      sym_field_path,
    STATE(14643), 1,
      sym_attribute,
    STATE(17738), 1,
      sym_indexing_operator_path,
    STATE(20540), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702838] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18653), 1,
      anon_sym_DASH_GT,
    STATE(14644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [702862] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14645), 1,
      sym_attribute,
    STATE(20073), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [702892] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14646), 1,
      sym_attribute,
    STATE(20350), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [702922] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18655), 1,
      sym__lowercase_identifier,
    ACTIONS(18657), 1,
      anon_sym_LPAREN,
    ACTIONS(18659), 1,
      anon_sym_LBRACK,
    ACTIONS(18661), 1,
      anon_sym_LBRACE,
    STATE(3324), 1,
      sym_field_path,
    STATE(14647), 1,
      sym_attribute,
    STATE(17773), 1,
      sym_indexing_operator_path,
    STATE(20730), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [702960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10270), 1,
      anon_sym_COLON2,
    STATE(14648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [702984] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18663), 1,
      anon_sym_LPAREN,
    ACTIONS(18665), 1,
      anon_sym_DOT,
    STATE(14649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12733), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [703010] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
    ACTIONS(12751), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [703036] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14651), 1,
      sym_attribute,
    STATE(20656), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703066] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18667), 1,
      sym__lowercase_identifier,
    ACTIONS(18669), 1,
      anon_sym_LPAREN,
    ACTIONS(18671), 1,
      anon_sym_LBRACK,
    ACTIONS(18673), 1,
      anon_sym_LBRACE,
    STATE(5886), 1,
      sym_field_path,
    STATE(14652), 1,
      sym_attribute,
    STATE(17342), 1,
      sym_indexing_operator_path,
    STATE(19899), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703104] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14653), 1,
      sym_attribute,
    STATE(19429), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703134] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18675), 1,
      sym__lowercase_identifier,
    ACTIONS(18677), 1,
      anon_sym_LPAREN,
    ACTIONS(18679), 1,
      anon_sym_LBRACK,
    ACTIONS(18681), 1,
      anon_sym_LBRACE,
    STATE(6086), 1,
      sym_field_path,
    STATE(14654), 1,
      sym_attribute,
    STATE(17757), 1,
      sym_indexing_operator_path,
    STATE(20654), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703172] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14655), 1,
      sym_attribute,
    STATE(20494), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703202] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6073), 1,
      anon_sym_LBRACK,
    ACTIONS(6081), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18683), 1,
      anon_sym_LPAREN,
    ACTIONS(18685), 1,
      anon_sym_LBRACE,
    ACTIONS(18687), 1,
      sym__uppercase_identifier,
    STATE(6463), 1,
      sym__constructor_name,
    STATE(14656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6570), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [703236] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14657), 1,
      sym_attribute,
    STATE(21225), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703266] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14658), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(21915), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_COLON2,
    STATE(14659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703320] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18689), 1,
      sym__lowercase_identifier,
    ACTIONS(18691), 1,
      anon_sym_LPAREN,
    ACTIONS(18693), 1,
      anon_sym_LBRACK,
    ACTIONS(18695), 1,
      anon_sym_LBRACE,
    STATE(6224), 1,
      sym_field_path,
    STATE(14660), 1,
      sym_attribute,
    STATE(17451), 1,
      sym_indexing_operator_path,
    STATE(19672), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703358] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14661), 1,
      sym_attribute,
    STATE(21404), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703388] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_COLON2,
    STATE(14662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703412] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14663), 1,
      sym_attribute,
    STATE(20030), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703442] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18697), 1,
      sym__lowercase_identifier,
    ACTIONS(18699), 1,
      anon_sym_LPAREN,
    ACTIONS(18701), 1,
      anon_sym_LBRACK,
    ACTIONS(18703), 1,
      anon_sym_LBRACE,
    STATE(4550), 1,
      sym_field_path,
    STATE(14664), 1,
      sym_attribute,
    STATE(17622), 1,
      sym_indexing_operator_path,
    STATE(20230), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703480] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18705), 1,
      sym__lowercase_identifier,
    ACTIONS(18707), 1,
      anon_sym_LPAREN,
    ACTIONS(18709), 1,
      anon_sym_LBRACK,
    ACTIONS(18711), 1,
      anon_sym_LBRACE,
    STATE(3601), 1,
      sym_field_path,
    STATE(14665), 1,
      sym_attribute,
    STATE(17582), 1,
      sym_indexing_operator_path,
    STATE(20067), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703518] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18713), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [703540] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18635), 1,
      anon_sym_LBRACE,
    ACTIONS(18715), 1,
      anon_sym_LPAREN,
    ACTIONS(18717), 1,
      sym__uppercase_identifier,
    STATE(10185), 1,
      sym__constructor_name,
    STATE(14667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14420), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [703574] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18719), 1,
      sym__lowercase_identifier,
    ACTIONS(18721), 1,
      anon_sym_LPAREN,
    ACTIONS(18723), 1,
      anon_sym_LBRACK,
    ACTIONS(18725), 1,
      anon_sym_LBRACE,
    STATE(4761), 1,
      sym_field_path,
    STATE(14668), 1,
      sym_attribute,
    STATE(17154), 1,
      sym_indexing_operator_path,
    STATE(21259), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703612] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6255), 1,
      anon_sym_LBRACK,
    ACTIONS(6263), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18727), 1,
      anon_sym_LPAREN,
    ACTIONS(18729), 1,
      anon_sym_LBRACE,
    ACTIONS(18731), 1,
      sym__uppercase_identifier,
    STATE(6583), 1,
      sym__constructor_name,
    STATE(14669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6705), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [703646] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14670), 1,
      sym_attribute,
    STATE(19933), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      anon_sym_COLON2,
    STATE(14671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703700] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12663), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12659), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [703724] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8470), 1,
      anon_sym_LBRACK,
    ACTIONS(8478), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18733), 1,
      anon_sym_LPAREN,
    ACTIONS(18735), 1,
      anon_sym_LBRACE,
    ACTIONS(18737), 1,
      sym__uppercase_identifier,
    STATE(10093), 1,
      sym__constructor_name,
    STATE(14673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10147), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [703758] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18739), 1,
      sym__lowercase_identifier,
    ACTIONS(18741), 1,
      anon_sym_LPAREN,
    ACTIONS(18743), 1,
      anon_sym_LBRACK,
    ACTIONS(18745), 1,
      anon_sym_LBRACE,
    STATE(10435), 1,
      sym_field_path,
    STATE(14674), 1,
      sym_attribute,
    STATE(17483), 1,
      sym_indexing_operator_path,
    STATE(19779), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703796] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13095), 1,
      anon_sym_COLON2,
    ACTIONS(18747), 1,
      anon_sym_LPAREN,
    STATE(15065), 1,
      sym_module_parameter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14675), 2,
      sym_attribute,
      aux_sym_module_binding_repeat1,
    ACTIONS(13093), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [703824] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14676), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22259), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703854] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18750), 1,
      sym__lowercase_identifier,
    ACTIONS(18752), 1,
      anon_sym_LPAREN,
    ACTIONS(18754), 1,
      anon_sym_LBRACK,
    ACTIONS(18756), 1,
      anon_sym_LBRACE,
    STATE(7695), 1,
      sym_field_path,
    STATE(14677), 1,
      sym_attribute,
    STATE(17307), 1,
      sym_indexing_operator_path,
    STATE(20957), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703892] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14678), 1,
      sym_attribute,
    STATE(20352), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [703922] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18758), 1,
      sym__lowercase_identifier,
    ACTIONS(18760), 1,
      anon_sym_LPAREN,
    ACTIONS(18762), 1,
      anon_sym_LBRACK,
    ACTIONS(18764), 1,
      anon_sym_LBRACE,
    STATE(8779), 1,
      sym_field_path,
    STATE(14679), 1,
      sym_attribute,
    STATE(17293), 1,
      sym_indexing_operator_path,
    STATE(21141), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [703960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_COLON2,
    STATE(14680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [703984] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14681), 1,
      sym_attribute,
    STATE(20485), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704014] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18766), 1,
      sym__lowercase_identifier,
    ACTIONS(18768), 1,
      anon_sym_LPAREN,
    ACTIONS(18770), 1,
      anon_sym_LBRACK,
    ACTIONS(18772), 1,
      anon_sym_LBRACE,
    STATE(3588), 1,
      sym_field_path,
    STATE(14682), 1,
      sym_attribute,
    STATE(17356), 1,
      sym_indexing_operator_path,
    STATE(19421), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704052] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18774), 1,
      sym__lowercase_identifier,
    ACTIONS(18776), 1,
      anon_sym_LPAREN,
    ACTIONS(18778), 1,
      anon_sym_LBRACK,
    ACTIONS(18780), 1,
      anon_sym_LBRACE,
    STATE(6927), 1,
      sym_field_path,
    STATE(14683), 1,
      sym_attribute,
    STATE(17643), 1,
      sym_indexing_operator_path,
    STATE(20309), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704090] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18782), 1,
      sym__lowercase_identifier,
    ACTIONS(18784), 1,
      anon_sym_LPAREN,
    ACTIONS(18786), 1,
      anon_sym_LBRACK,
    ACTIONS(18788), 1,
      anon_sym_LBRACE,
    STATE(8150), 1,
      sym_field_path,
    STATE(14684), 1,
      sym_attribute,
    STATE(17741), 1,
      sym_indexing_operator_path,
    STATE(20578), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704128] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7967), 1,
      anon_sym_LBRACK,
    ACTIONS(7977), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18790), 1,
      anon_sym_LPAREN,
    ACTIONS(18792), 1,
      anon_sym_LBRACE,
    ACTIONS(18794), 1,
      sym__uppercase_identifier,
    STATE(8550), 1,
      sym__constructor_name,
    STATE(14685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8628), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [704162] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_COLON2,
    STATE(14686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10274), 1,
      anon_sym_COLON2,
    STATE(14687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704210] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14688), 1,
      sym_attribute,
    STATE(21787), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704240] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12671), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [704264] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14690), 1,
      sym_attribute,
    STATE(21522), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704294] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14691), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22440), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10266), 1,
      anon_sym_COLON2,
    STATE(14692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [704348] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8235), 1,
      anon_sym_LBRACK,
    ACTIONS(8245), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18796), 1,
      anon_sym_LPAREN,
    ACTIONS(18798), 1,
      anon_sym_LBRACE,
    ACTIONS(18800), 1,
      sym__uppercase_identifier,
    STATE(9218), 1,
      sym__constructor_name,
    STATE(14693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(9025), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [704382] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(18804), 1,
      anon_sym_LPAREN,
    ACTIONS(18806), 1,
      anon_sym_LBRACK,
    ACTIONS(18808), 1,
      anon_sym_LBRACE,
    STATE(8452), 1,
      sym_field_path,
    STATE(14694), 1,
      sym_attribute,
    STATE(17166), 1,
      sym_indexing_operator_path,
    STATE(21311), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704420] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14695), 1,
      sym_attribute,
    STATE(20974), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704450] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14696), 1,
      sym_attribute,
    STATE(20670), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704480] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14697), 1,
      sym_attribute,
    STATE(20631), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704510] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7849), 1,
      anon_sym_LBRACK,
    ACTIONS(7859), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18810), 1,
      anon_sym_LPAREN,
    ACTIONS(18812), 1,
      anon_sym_LBRACE,
    ACTIONS(18814), 1,
      sym__uppercase_identifier,
    STATE(9628), 1,
      sym__constructor_name,
    STATE(14698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14767), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [704544] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8603), 1,
      anon_sym_LBRACK,
    ACTIONS(8615), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18816), 1,
      anon_sym_LPAREN,
    ACTIONS(18818), 1,
      anon_sym_LBRACE,
    ACTIONS(18820), 1,
      sym__uppercase_identifier,
    STATE(9938), 1,
      sym__constructor_name,
    STATE(14699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10030), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [704578] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18822), 1,
      sym__lowercase_identifier,
    ACTIONS(18824), 1,
      anon_sym_LPAREN,
    ACTIONS(18826), 1,
      anon_sym_LBRACK,
    ACTIONS(18828), 1,
      anon_sym_LBRACE,
    STATE(4958), 1,
      sym_field_path,
    STATE(14700), 1,
      sym_attribute,
    STATE(17334), 1,
      sym_indexing_operator_path,
    STATE(20145), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704616] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18830), 1,
      sym__lowercase_identifier,
    ACTIONS(18832), 1,
      anon_sym_LPAREN,
    ACTIONS(18834), 1,
      anon_sym_LBRACK,
    ACTIONS(18836), 1,
      anon_sym_LBRACE,
    STATE(11081), 1,
      sym_field_path,
    STATE(14701), 1,
      sym_attribute,
    STATE(17528), 1,
      sym_indexing_operator_path,
    STATE(19903), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704654] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9468), 1,
      anon_sym_LBRACK,
    ACTIONS(9472), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(17843), 1,
      sym__uppercase_identifier,
    ACTIONS(18838), 1,
      anon_sym_LPAREN,
    ACTIONS(18840), 1,
      anon_sym_LBRACE,
    STATE(9387), 1,
      sym__constructor_name,
    STATE(14702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15296), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [704688] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14703), 1,
      sym_attribute,
    STATE(19769), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704718] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12236), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12234), 7,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
      aux_sym_type_variable_token1,
  [704742] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14705), 1,
      sym_attribute,
    STATE(20766), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704772] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18842), 1,
      sym__lowercase_identifier,
    ACTIONS(18844), 1,
      anon_sym_LPAREN,
    ACTIONS(18846), 1,
      anon_sym_LBRACK,
    ACTIONS(18848), 1,
      anon_sym_LBRACE,
    STATE(6041), 1,
      sym_field_path,
    STATE(14706), 1,
      sym_attribute,
    STATE(17051), 1,
      sym_indexing_operator_path,
    STATE(19967), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704810] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14707), 1,
      sym_attribute,
    STATE(19783), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704840] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14708), 1,
      sym_attribute,
    STATE(21182), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704870] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14709), 1,
      sym_attribute,
    STATE(21291), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704900] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18850), 1,
      sym__lowercase_identifier,
    ACTIONS(18852), 1,
      anon_sym_LPAREN,
    ACTIONS(18854), 1,
      anon_sym_LBRACK,
    ACTIONS(18856), 1,
      anon_sym_LBRACE,
    STATE(5984), 1,
      sym_field_path,
    STATE(14710), 1,
      sym_attribute,
    STATE(17438), 1,
      sym_indexing_operator_path,
    STATE(19617), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [704938] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14711), 1,
      sym_attribute,
    STATE(21446), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [704968] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18858), 1,
      sym__lowercase_identifier,
    ACTIONS(18860), 1,
      anon_sym_LPAREN,
    ACTIONS(18862), 1,
      anon_sym_LBRACK,
    ACTIONS(18864), 1,
      anon_sym_LBRACE,
    STATE(6862), 1,
      sym_field_path,
    STATE(14712), 1,
      sym_attribute,
    STATE(17725), 1,
      sym_indexing_operator_path,
    STATE(20502), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705006] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14713), 1,
      sym_attribute,
    STATE(20262), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705036] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14714), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22433), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705066] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14715), 1,
      sym_attribute,
    STATE(19716), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705096] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6495), 1,
      anon_sym_LBRACK,
    ACTIONS(6509), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18814), 1,
      sym__uppercase_identifier,
    ACTIONS(18866), 1,
      anon_sym_LPAREN,
    ACTIONS(18868), 1,
      anon_sym_LBRACE,
    STATE(9628), 1,
      sym__constructor_name,
    STATE(14716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11593), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705130] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7917), 1,
      anon_sym_LBRACK,
    ACTIONS(7927), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18870), 1,
      anon_sym_LPAREN,
    ACTIONS(18872), 1,
      anon_sym_LBRACE,
    ACTIONS(18874), 1,
      sym__uppercase_identifier,
    STATE(8401), 1,
      sym__constructor_name,
    STATE(14717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8354), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705164] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18876), 1,
      sym__lowercase_identifier,
    ACTIONS(18878), 1,
      anon_sym_LPAREN,
    ACTIONS(18880), 1,
      anon_sym_LBRACK,
    ACTIONS(18882), 1,
      anon_sym_LBRACE,
    STATE(3735), 1,
      sym_field_path,
    STATE(14718), 1,
      sym_attribute,
    STATE(17614), 1,
      sym_indexing_operator_path,
    STATE(20190), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705202] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14719), 1,
      sym_attribute,
    STATE(19682), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705232] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14720), 1,
      sym_attribute,
    STATE(20956), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705262] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14721), 1,
      sym_attribute,
    STATE(19647), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705292] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14722), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22022), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705322] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18884), 1,
      sym__lowercase_identifier,
    ACTIONS(18886), 1,
      anon_sym_LPAREN,
    ACTIONS(18888), 1,
      anon_sym_LBRACK,
    ACTIONS(18890), 1,
      anon_sym_LBRACE,
    STATE(4438), 1,
      sym_field_path,
    STATE(14723), 1,
      sym_attribute,
    STATE(17656), 1,
      sym_indexing_operator_path,
    STATE(20348), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705360] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18892), 1,
      sym__lowercase_identifier,
    ACTIONS(18894), 1,
      anon_sym_LPAREN,
    ACTIONS(18896), 1,
      anon_sym_LBRACK,
    ACTIONS(18898), 1,
      anon_sym_LBRACE,
    STATE(7161), 1,
      sym_field_path,
    STATE(14724), 1,
      sym_attribute,
    STATE(17544), 1,
      sym_indexing_operator_path,
    STATE(19985), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705398] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12401), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18900), 1,
      anon_sym_POUND,
    STATE(14725), 1,
      sym_attribute,
    STATE(15116), 1,
      sym_type_constructor_path,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12399), 3,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [705432] = 12,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12627), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12951), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    ACTIONS(18902), 1,
      anon_sym_STAR,
    STATE(14726), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(15939), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705470] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14727), 1,
      sym_attribute,
    STATE(19616), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705500] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18904), 1,
      sym__lowercase_identifier,
    ACTIONS(18906), 1,
      anon_sym_LPAREN,
    ACTIONS(18908), 1,
      anon_sym_LBRACK,
    ACTIONS(18910), 1,
      anon_sym_LBRACE,
    STATE(6875), 1,
      sym_field_path,
    STATE(14728), 1,
      sym_attribute,
    STATE(17510), 1,
      sym_indexing_operator_path,
    STATE(19821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705538] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_LBRACK,
    ACTIONS(18570), 1,
      anon_sym_PIPE,
    STATE(11713), 1,
      sym_variant_declaration,
    STATE(11909), 1,
      sym__constructor_name,
    STATE(12407), 1,
      sym_constructor_declaration,
    STATE(14729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13478), 2,
      anon_sym_true,
      anon_sym_false,
  [705574] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_LBRACK,
    ACTIONS(18570), 1,
      anon_sym_PIPE,
    STATE(11757), 1,
      sym_variant_declaration,
    STATE(11909), 1,
      sym__constructor_name,
    STATE(12407), 1,
      sym_constructor_declaration,
    STATE(14730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13478), 2,
      anon_sym_true,
      anon_sym_false,
  [705610] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14731), 1,
      sym_attribute,
    STATE(19587), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705640] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8197), 1,
      anon_sym_LBRACK,
    ACTIONS(8207), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18912), 1,
      anon_sym_LPAREN,
    ACTIONS(18914), 1,
      anon_sym_LBRACE,
    ACTIONS(18916), 1,
      sym__uppercase_identifier,
    STATE(9191), 1,
      sym__constructor_name,
    STATE(14732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(8884), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [705674] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [705696] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14734), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22052), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705726] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14735), 1,
      sym_attribute,
    STATE(21530), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705756] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14736), 1,
      sym_attribute,
    STATE(20223), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705786] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18918), 1,
      sym__lowercase_identifier,
    ACTIONS(18920), 1,
      anon_sym_LPAREN,
    ACTIONS(18922), 1,
      anon_sym_LBRACK,
    ACTIONS(18924), 1,
      anon_sym_LBRACE,
    STATE(6574), 1,
      sym_field_path,
    STATE(14737), 1,
      sym_attribute,
    STATE(17745), 1,
      sym_indexing_operator_path,
    STATE(20616), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [705824] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 9,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_in,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_LBRACK_AT_AT,
  [705846] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14739), 1,
      sym_attribute,
    STATE(19552), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705876] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14740), 1,
      sym_attribute,
    STATE(21699), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705906] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14741), 1,
      sym_attribute,
    STATE(19526), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10350), 1,
      anon_sym_COLON2,
    STATE(14742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [705960] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14743), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22424), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [705990] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14744), 1,
      sym_attribute,
    STATE(19499), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706020] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14745), 1,
      sym_attribute,
    STATE(19469), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706050] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14746), 1,
      sym_attribute,
    STATE(19829), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10254), 1,
      anon_sym_COLON2,
    STATE(14747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706104] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_COLON2,
    STATE(14748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706128] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10354), 1,
      anon_sym_COLON2,
    STATE(14749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706152] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18926), 1,
      sym__lowercase_identifier,
    ACTIONS(18928), 1,
      anon_sym_LPAREN,
    ACTIONS(18930), 1,
      anon_sym_LBRACK,
    ACTIONS(18932), 1,
      anon_sym_LBRACE,
    STATE(7067), 1,
      sym_field_path,
    STATE(14750), 1,
      sym_attribute,
    STATE(17693), 1,
      sym_indexing_operator_path,
    STATE(20426), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706190] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18934), 1,
      sym__lowercase_identifier,
    ACTIONS(18936), 1,
      anon_sym_LPAREN,
    ACTIONS(18938), 1,
      anon_sym_LBRACK,
    ACTIONS(18940), 1,
      anon_sym_LBRACE,
    STATE(7697), 1,
      sym_field_path,
    STATE(14751), 1,
      sym_attribute,
    STATE(17189), 1,
      sym_indexing_operator_path,
    STATE(22164), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706228] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [706250] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14753), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(21949), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706280] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_COLON2,
    STATE(14754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706304] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13603), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      anon_sym_LBRACK,
    ACTIONS(18585), 1,
      anon_sym_PIPE,
    STATE(11757), 1,
      sym_variant_declaration,
    STATE(12084), 1,
      sym__constructor_name,
    STATE(12575), 1,
      sym_constructor_declaration,
    STATE(14755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13607), 2,
      anon_sym_true,
      anon_sym_false,
  [706340] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18942), 1,
      sym__lowercase_identifier,
    ACTIONS(18944), 1,
      anon_sym_LPAREN,
    ACTIONS(18946), 1,
      anon_sym_LBRACK,
    ACTIONS(18948), 1,
      anon_sym_LBRACE,
    STATE(3671), 1,
      sym_field_path,
    STATE(14756), 1,
      sym_attribute,
    STATE(17807), 1,
      sym_indexing_operator_path,
    STATE(20842), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_COLON2,
    STATE(14757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706402] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18653), 1,
      anon_sym_DASH_GT,
    ACTIONS(18950), 1,
      anon_sym_as,
    STATE(14758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13566), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [706428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_COLON2,
    STATE(14759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706452] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14760), 1,
      sym_attribute,
    STATE(20187), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_COLON2,
    STATE(14761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706506] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18952), 1,
      sym__lowercase_identifier,
    ACTIONS(18954), 1,
      anon_sym_LPAREN,
    ACTIONS(18956), 1,
      anon_sym_LBRACK,
    ACTIONS(18958), 1,
      anon_sym_LBRACE,
    STATE(7596), 1,
      sym_field_path,
    STATE(14762), 1,
      sym_attribute,
    STATE(17277), 1,
      sym_indexing_operator_path,
    STATE(21518), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706544] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14763), 1,
      sym_attribute,
    STATE(19434), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706574] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14764), 1,
      sym_attribute,
    STATE(19397), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11724), 4,
      anon_sym_module,
      anon_sym_sig,
      anon_sym_functor,
      sym__lowercase_identifier,
    ACTIONS(11726), 5,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PERCENT,
      anon_sym_LBRACE_PERCENT,
      sym__uppercase_identifier,
  [706628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10258), 1,
      anon_sym_COLON2,
    STATE(14766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_COLON2,
    STATE(14767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706676] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18960), 1,
      sym__lowercase_identifier,
    ACTIONS(18962), 1,
      anon_sym_LPAREN,
    ACTIONS(18964), 1,
      anon_sym_LBRACK,
    ACTIONS(18966), 1,
      anon_sym_LBRACE,
    STATE(8664), 1,
      sym_field_path,
    STATE(14768), 1,
      sym_attribute,
    STATE(17596), 1,
      sym_indexing_operator_path,
    STATE(20149), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706714] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18968), 1,
      sym__lowercase_identifier,
    ACTIONS(18970), 1,
      anon_sym_LPAREN,
    ACTIONS(18972), 1,
      anon_sym_LBRACK,
    ACTIONS(18974), 1,
      anon_sym_LBRACE,
    STATE(9044), 1,
      sym_field_path,
    STATE(14769), 1,
      sym_attribute,
    STATE(17372), 1,
      sym_indexing_operator_path,
    STATE(19321), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [706752] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14770), 1,
      sym_attribute,
    STATE(21547), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706782] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_COLON2,
    STATE(14771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [706806] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14772), 1,
      sym_attribute,
    STATE(21730), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706836] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18980), 1,
      sym__right_quoted_string_delimiter,
    STATE(14773), 1,
      sym_attribute,
    STATE(14871), 1,
      aux_sym_quoted_string_content_repeat1,
    STATE(21720), 1,
      sym_quoted_string_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18978), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18976), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [706866] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18653), 1,
      anon_sym_DASH_GT,
    ACTIONS(18950), 1,
      anon_sym_as,
    STATE(14774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13609), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [706892] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14775), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22528), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706922] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14776), 1,
      sym_attribute,
    STATE(19707), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [706952] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6151), 1,
      anon_sym_LBRACK,
    ACTIONS(6159), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18982), 1,
      anon_sym_LPAREN,
    ACTIONS(18984), 1,
      anon_sym_LBRACE,
    ACTIONS(18986), 1,
      sym__uppercase_identifier,
    STATE(6344), 1,
      sym__constructor_name,
    STATE(14777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6614), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [706986] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18988), 1,
      sym__lowercase_identifier,
    ACTIONS(18990), 1,
      anon_sym_LPAREN,
    ACTIONS(18992), 1,
      anon_sym_LBRACK,
    ACTIONS(18994), 1,
      anon_sym_LBRACE,
    STATE(4312), 1,
      sym_field_path,
    STATE(14778), 1,
      sym_attribute,
    STATE(17716), 1,
      sym_indexing_operator_path,
    STATE(20464), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707024] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18996), 1,
      sym__lowercase_identifier,
    ACTIONS(18998), 1,
      anon_sym_LPAREN,
    ACTIONS(19000), 1,
      anon_sym_LBRACK,
    ACTIONS(19002), 1,
      anon_sym_LBRACE,
    STATE(3370), 1,
      sym_field_path,
    STATE(14779), 1,
      sym_attribute,
    STATE(17672), 1,
      sym_indexing_operator_path,
    STATE(20387), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10312), 1,
      anon_sym_COLON2,
    STATE(14780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [707086] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5829), 1,
      anon_sym_LBRACK,
    ACTIONS(5837), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19004), 1,
      anon_sym_LPAREN,
    ACTIONS(19006), 1,
      anon_sym_LBRACE,
    ACTIONS(19008), 1,
      sym__uppercase_identifier,
    STATE(6274), 1,
      sym__constructor_name,
    STATE(14781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(6399), 3,
      sym_record_binding_pattern,
      sym_list_binding_pattern,
      sym_array_binding_pattern,
  [707120] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18653), 1,
      anon_sym_DASH_GT,
    ACTIONS(18950), 1,
      anon_sym_as,
    STATE(14782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [707146] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14783), 1,
      sym_attribute,
    STATE(21886), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707176] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13603), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      anon_sym_LBRACK,
    ACTIONS(18585), 1,
      anon_sym_PIPE,
    STATE(11713), 1,
      sym_variant_declaration,
    STATE(12084), 1,
      sym__constructor_name,
    STATE(12575), 1,
      sym_constructor_declaration,
    STATE(14784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13607), 2,
      anon_sym_true,
      anon_sym_false,
  [707212] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19010), 1,
      sym__lowercase_identifier,
    ACTIONS(19012), 1,
      anon_sym_LPAREN,
    ACTIONS(19014), 1,
      anon_sym_LBRACK,
    ACTIONS(19016), 1,
      anon_sym_LBRACE,
    STATE(5044), 1,
      sym_field_path,
    STATE(14785), 1,
      sym_attribute,
    STATE(17324), 1,
      sym_indexing_operator_path,
    STATE(20728), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707250] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19018), 1,
      sym__lowercase_identifier,
    ACTIONS(19020), 1,
      anon_sym_LPAREN,
    ACTIONS(19022), 1,
      anon_sym_LBRACK,
    ACTIONS(19024), 1,
      anon_sym_LBRACE,
    STATE(7367), 1,
      sym_field_path,
    STATE(14786), 1,
      sym_attribute,
    STATE(17251), 1,
      sym_indexing_operator_path,
    STATE(22135), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707288] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12563), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [707310] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5997), 1,
      anon_sym_LBRACK,
    ACTIONS(6013), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(18635), 1,
      anon_sym_LBRACE,
    ACTIONS(18715), 1,
      anon_sym_LPAREN,
    ACTIONS(19026), 1,
      sym__uppercase_identifier,
    STATE(14738), 1,
      sym__constructor_name,
    STATE(14788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14420), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [707344] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19028), 1,
      sym__lowercase_identifier,
    ACTIONS(19030), 1,
      anon_sym_LPAREN,
    ACTIONS(19032), 1,
      anon_sym_LBRACK,
    ACTIONS(19034), 1,
      anon_sym_LBRACE,
    STATE(7027), 1,
      sym_field_path,
    STATE(14789), 1,
      sym_attribute,
    STATE(17539), 1,
      sym_indexing_operator_path,
    STATE(19944), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707382] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14790), 1,
      sym_attribute,
    STATE(19353), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707412] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12663), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_DOT,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [707434] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19036), 1,
      sym__lowercase_identifier,
    ACTIONS(19038), 1,
      anon_sym_LPAREN,
    ACTIONS(19040), 1,
      anon_sym_LBRACK,
    ACTIONS(19042), 1,
      anon_sym_LBRACE,
    STATE(7023), 1,
      sym_field_path,
    STATE(14792), 1,
      sym_attribute,
    STATE(17460), 1,
      sym_indexing_operator_path,
    STATE(19727), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707472] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    ACTIONS(18591), 1,
      anon_sym_PIPE,
    STATE(11757), 1,
      sym_variant_declaration,
    STATE(12852), 1,
      sym__constructor_name,
    STATE(13380), 1,
      sym_constructor_declaration,
    STATE(14793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 2,
      anon_sym_true,
      anon_sym_false,
  [707508] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19044), 1,
      sym__lowercase_identifier,
    ACTIONS(19046), 1,
      anon_sym_LPAREN,
    ACTIONS(19048), 1,
      anon_sym_LBRACK,
    ACTIONS(19050), 1,
      anon_sym_LBRACE,
    STATE(3401), 1,
      sym_field_path,
    STATE(14794), 1,
      sym_attribute,
    STATE(17763), 1,
      sym_indexing_operator_path,
    STATE(20692), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707546] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14795), 1,
      sym_attribute,
    STATE(19385), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707576] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14796), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22417), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707606] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19052), 1,
      sym__lowercase_identifier,
    ACTIONS(19054), 1,
      anon_sym_LPAREN,
    ACTIONS(19056), 1,
      anon_sym_LBRACK,
    ACTIONS(19058), 1,
      anon_sym_LBRACE,
    STATE(7756), 1,
      sym_field_path,
    STATE(14797), 1,
      sym_attribute,
    STATE(17780), 1,
      sym_indexing_operator_path,
    STATE(20768), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707644] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14798), 1,
      sym_attribute,
    STATE(21148), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707674] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19060), 1,
      anon_sym_LPAREN,
    ACTIONS(19062), 1,
      anon_sym_LBRACK,
    STATE(12016), 1,
      sym_constructor_declaration,
    STATE(12776), 1,
      sym__constructor_name,
    STATE(14799), 1,
      sym_attribute,
    STATE(14977), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19064), 2,
      anon_sym_true,
      anon_sym_false,
  [707710] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19066), 1,
      anon_sym_LPAREN,
    ACTIONS(19068), 1,
      anon_sym_LBRACE,
    ACTIONS(19070), 1,
      sym__uppercase_identifier,
    STATE(14800), 1,
      sym_attribute,
    STATE(15458), 1,
      sym__constructor_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15310), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [707744] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19072), 1,
      sym__lowercase_identifier,
    ACTIONS(19074), 1,
      anon_sym_LPAREN,
    ACTIONS(19076), 1,
      anon_sym_LBRACK,
    ACTIONS(19078), 1,
      anon_sym_LBRACE,
    STATE(5770), 1,
      sym_field_path,
    STATE(14801), 1,
      sym_attribute,
    STATE(17631), 1,
      sym_indexing_operator_path,
    STATE(20270), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707782] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14802), 1,
      sym_attribute,
    STATE(21176), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [707812] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19080), 1,
      anon_sym_LPAREN,
    ACTIONS(19082), 1,
      anon_sym_LBRACK,
    STATE(12016), 1,
      sym_constructor_declaration,
    STATE(12371), 1,
      sym__constructor_name,
    STATE(14803), 1,
      sym_attribute,
    STATE(15207), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 2,
      anon_sym_true,
      anon_sym_false,
  [707848] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8555), 1,
      anon_sym_LBRACK,
    ACTIONS(8565), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(19068), 1,
      anon_sym_LBRACE,
    ACTIONS(19086), 1,
      anon_sym_LPAREN,
    ACTIONS(19088), 1,
      sym__uppercase_identifier,
    STATE(10654), 1,
      sym__constructor_name,
    STATE(14804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15310), 3,
      sym_record_pattern,
      sym_list_pattern,
      sym_array_pattern,
  [707882] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19090), 1,
      sym__lowercase_identifier,
    ACTIONS(19092), 1,
      anon_sym_LPAREN,
    ACTIONS(19094), 1,
      anon_sym_LBRACK,
    ACTIONS(19096), 1,
      anon_sym_LBRACE,
    STATE(6704), 1,
      sym_field_path,
    STATE(14805), 1,
      sym_attribute,
    STATE(17433), 1,
      sym_indexing_operator_path,
    STATE(19562), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [707920] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    ACTIONS(18591), 1,
      anon_sym_PIPE,
    STATE(11713), 1,
      sym_variant_declaration,
    STATE(12852), 1,
      sym__constructor_name,
    STATE(13380), 1,
      sym_constructor_declaration,
    STATE(14806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 2,
      anon_sym_true,
      anon_sym_false,
  [707956] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14152), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      anon_sym_LBRACK,
    ACTIONS(18562), 1,
      anon_sym_PIPE,
    STATE(11757), 1,
      sym_variant_declaration,
    STATE(12515), 1,
      sym__constructor_name,
    STATE(13416), 1,
      sym_constructor_declaration,
    STATE(14807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14156), 2,
      anon_sym_true,
      anon_sym_false,
  [707992] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19098), 1,
      sym__lowercase_identifier,
    ACTIONS(19100), 1,
      anon_sym_LPAREN,
    ACTIONS(19102), 1,
      anon_sym_LBRACK,
    ACTIONS(19104), 1,
      anon_sym_LBRACE,
    STATE(8545), 1,
      sym_field_path,
    STATE(14808), 1,
      sym_attribute,
    STATE(17352), 1,
      sym_indexing_operator_path,
    STATE(19650), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708030] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10394), 1,
      anon_sym_COLON2,
    STATE(14809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708054] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14810), 1,
      sym_attribute,
    STATE(21080), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708084] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12234), 9,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_as,
      anon_sym_LBRACK_AT_AT,
  [708106] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14812), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22149), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708136] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14152), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      anon_sym_LBRACK,
    ACTIONS(18562), 1,
      anon_sym_PIPE,
    STATE(11713), 1,
      sym_variant_declaration,
    STATE(12515), 1,
      sym__constructor_name,
    STATE(13416), 1,
      sym_constructor_declaration,
    STATE(14813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14156), 2,
      anon_sym_true,
      anon_sym_false,
  [708172] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_COLON2,
    STATE(14814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708196] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14815), 1,
      sym_attribute,
    STATE(21888), 1,
      sym_escape_sequence,
    STATE(22157), 1,
      sym_character_content,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708226] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19106), 1,
      anon_sym_LPAREN,
    ACTIONS(19108), 1,
      anon_sym_LBRACK,
    ACTIONS(19112), 1,
      sym__uppercase_identifier,
    STATE(14816), 1,
      sym_attribute,
    STATE(15177), 1,
      sym__attribute,
    STATE(15784), 1,
      sym__constructor_name,
    STATE(16227), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19110), 2,
      anon_sym_true,
      anon_sym_false,
  [708262] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10390), 1,
      anon_sym_COLON2,
    STATE(14817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708286] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(18804), 1,
      anon_sym_LPAREN,
    ACTIONS(18806), 1,
      anon_sym_LBRACK,
    ACTIONS(18808), 1,
      anon_sym_LBRACE,
    ACTIONS(19114), 1,
      sym__lowercase_identifier,
    STATE(8452), 1,
      sym_field_path,
    STATE(14818), 1,
      sym_attribute,
    STATE(17166), 1,
      sym_indexing_operator_path,
    STATE(20423), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708324] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19116), 1,
      sym__lowercase_identifier,
    ACTIONS(19118), 1,
      anon_sym_LPAREN,
    ACTIONS(19120), 1,
      anon_sym_LBRACK,
    ACTIONS(19122), 1,
      anon_sym_LBRACE,
    STATE(4652), 1,
      sym_field_path,
    STATE(14819), 1,
      sym_attribute,
    STATE(17589), 1,
      sym_indexing_operator_path,
    STATE(20108), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708362] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19124), 1,
      sym__lowercase_identifier,
    ACTIONS(19126), 1,
      anon_sym_LPAREN,
    ACTIONS(19128), 1,
      anon_sym_LBRACK,
    ACTIONS(19130), 1,
      anon_sym_LBRACE,
    STATE(3769), 1,
      sym_field_path,
    STATE(14820), 1,
      sym_attribute,
    STATE(17833), 1,
      sym_indexing_operator_path,
    STATE(20867), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708400] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19132), 1,
      sym__lowercase_identifier,
    ACTIONS(19134), 1,
      anon_sym_LPAREN,
    ACTIONS(19136), 1,
      anon_sym_LBRACK,
    ACTIONS(19138), 1,
      anon_sym_LBRACE,
    STATE(6941), 1,
      sym_field_path,
    STATE(14821), 1,
      sym_attribute,
    STATE(17516), 1,
      sym_indexing_operator_path,
    STATE(19862), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_COLON2,
    STATE(14822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708462] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19140), 1,
      sym__lowercase_identifier,
    ACTIONS(19142), 1,
      anon_sym_LPAREN,
    ACTIONS(19144), 1,
      anon_sym_LBRACK,
    ACTIONS(19146), 1,
      anon_sym_LBRACE,
    STATE(4637), 1,
      sym_field_path,
    STATE(14823), 1,
      sym_attribute,
    STATE(17382), 1,
      sym_indexing_operator_path,
    STATE(19381), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708500] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19148), 1,
      anon_sym_LPAREN,
    ACTIONS(19150), 1,
      anon_sym_LBRACK,
    STATE(12016), 1,
      sym_constructor_declaration,
    STATE(13413), 1,
      sym__constructor_name,
    STATE(14824), 1,
      sym_attribute,
    STATE(15012), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19152), 2,
      anon_sym_true,
      anon_sym_false,
  [708536] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18629), 1,
      aux_sym_character_content_token2,
    STATE(14825), 1,
      sym_attribute,
    STATE(20808), 1,
      sym_character_content,
    STATE(21888), 1,
      sym_escape_sequence,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18627), 2,
      sym__null,
      aux_sym_character_content_token1,
    ACTIONS(18631), 4,
      aux_sym_escape_sequence_token1,
      aux_sym_escape_sequence_token2,
      aux_sym_escape_sequence_token3,
      aux_sym_escape_sequence_token4,
  [708566] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19154), 9,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_initializer,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [708588] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_COLON2,
    STATE(14827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 8,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_COLON_COLON,
  [708612] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19156), 1,
      sym__lowercase_identifier,
    ACTIONS(19158), 1,
      anon_sym_LPAREN,
    ACTIONS(19160), 1,
      anon_sym_LBRACK,
    ACTIONS(19162), 1,
      anon_sym_LBRACE,
    STATE(7026), 1,
      sym_field_path,
    STATE(14828), 1,
      sym_attribute,
    STATE(17419), 1,
      sym_indexing_operator_path,
    STATE(19507), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708650] = 12,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18617), 1,
      sym_indexing_operator,
    ACTIONS(19164), 1,
      sym__lowercase_identifier,
    ACTIONS(19166), 1,
      anon_sym_LPAREN,
    ACTIONS(19168), 1,
      anon_sym_LBRACK,
    ACTIONS(19170), 1,
      anon_sym_LBRACE,
    STATE(4241), 1,
      sym_field_path,
    STATE(14829), 1,
      sym_attribute,
    STATE(17566), 1,
      sym_indexing_operator_path,
    STATE(20026), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708688] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19172), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14830), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13214), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [708711] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10630), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10632), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12087), 1,
      anon_sym_LBRACK,
    ACTIONS(19175), 1,
      sym__lowercase_identifier,
    ACTIONS(19177), 1,
      anon_sym_LPAREN,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    STATE(14831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10709), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708744] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9010), 1,
      anon_sym_POUND,
    STATE(14832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9008), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [708767] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19181), 1,
      anon_sym_SEMI,
    ACTIONS(19183), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14833), 1,
      sym_attribute,
    STATE(16937), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708802] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19185), 1,
      sym__lowercase_identifier,
    ACTIONS(19187), 1,
      anon_sym_LPAREN,
    STATE(14834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13625), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708835] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12142), 1,
      anon_sym_LBRACK,
    ACTIONS(12144), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12146), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19189), 1,
      sym__lowercase_identifier,
    ACTIONS(19191), 1,
      anon_sym_LPAREN,
    STATE(14835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14284), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708868] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11042), 1,
      anon_sym_LBRACK,
    ACTIONS(11044), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11046), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19193), 1,
      sym__lowercase_identifier,
    ACTIONS(19195), 1,
      anon_sym_LPAREN,
    STATE(14836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12225), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [708901] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19197), 1,
      anon_sym_SEMI,
    ACTIONS(19199), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14837), 1,
      sym_attribute,
    STATE(16598), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708936] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19201), 1,
      anon_sym_SEMI,
    ACTIONS(19203), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14838), 1,
      sym_attribute,
    STATE(18118), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [708971] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13136), 8,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [708992] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19205), 1,
      anon_sym_SEMI,
    ACTIONS(19207), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14840), 1,
      sym_attribute,
    STATE(17712), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709027] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12719), 1,
      anon_sym_LBRACK,
    ACTIONS(12721), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12723), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19209), 1,
      sym__lowercase_identifier,
    ACTIONS(19211), 1,
      anon_sym_LPAREN,
    STATE(14841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15214), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709060] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19213), 1,
      anon_sym_EQ,
    ACTIONS(19215), 1,
      anon_sym_RPAREN,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    STATE(14842), 1,
      sym_attribute,
    STATE(18481), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709095] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19219), 1,
      anon_sym_SEMI,
    ACTIONS(19221), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14843), 1,
      sym_attribute,
    STATE(17553), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19223), 1,
      anon_sym_STAR,
    STATE(14844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 7,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [709153] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19225), 1,
      anon_sym_SEMI,
    ACTIONS(19227), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14845), 1,
      sym_attribute,
    STATE(17190), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709188] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19229), 1,
      anon_sym_SEMI,
    ACTIONS(19231), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14846), 1,
      sym_attribute,
    STATE(17632), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709223] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19233), 1,
      anon_sym_SEMI,
    ACTIONS(19235), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14847), 1,
      sym_attribute,
    STATE(17657), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709258] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19237), 1,
      anon_sym_SEMI,
    ACTIONS(19239), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14848), 1,
      sym_attribute,
    STATE(17411), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709293] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19187), 1,
      anon_sym_LPAREN,
    ACTIONS(19241), 1,
      sym__lowercase_identifier,
    STATE(14849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13625), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709326] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11262), 1,
      anon_sym_LBRACK,
    ACTIONS(11264), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11266), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19243), 1,
      sym__lowercase_identifier,
    ACTIONS(19245), 1,
      anon_sym_LPAREN,
    STATE(14850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12246), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709359] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19247), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(14851), 1,
      sym_attribute,
    STATE(14858), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13519), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [709386] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19249), 1,
      anon_sym_SEMI,
    ACTIONS(19251), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14852), 1,
      sym_attribute,
    STATE(16988), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709421] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19253), 1,
      anon_sym_EQ,
    ACTIONS(19255), 1,
      anon_sym_RPAREN,
    STATE(14853), 1,
      sym_attribute,
    STATE(18361), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709456] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10554), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10556), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12172), 1,
      anon_sym_LBRACK,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19257), 1,
      sym__lowercase_identifier,
    ACTIONS(19259), 1,
      anon_sym_LPAREN,
    STATE(14854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11287), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709489] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19247), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(14855), 1,
      sym_attribute,
    STATE(14864), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [709516] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12011), 1,
      anon_sym_LBRACK,
    ACTIONS(12013), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12015), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19261), 1,
      sym__lowercase_identifier,
    ACTIONS(19263), 1,
      anon_sym_LPAREN,
    STATE(14856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10948), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709549] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19265), 1,
      anon_sym_SEMI,
    ACTIONS(19267), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14857), 1,
      sym_attribute,
    STATE(17961), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709584] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19247), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(14858), 1,
      sym_attribute,
    STATE(14876), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13426), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [709611] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12099), 1,
      anon_sym_LBRACK,
    ACTIONS(12101), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12103), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19269), 1,
      sym__lowercase_identifier,
    ACTIONS(19271), 1,
      anon_sym_LPAREN,
    STATE(14859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14556), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709644] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10586), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10588), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12184), 1,
      anon_sym_LBRACK,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19273), 1,
      sym__lowercase_identifier,
    ACTIONS(19275), 1,
      anon_sym_LPAREN,
    STATE(14860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10571), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709677] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19277), 1,
      anon_sym_and,
    STATE(14861), 1,
      sym_attribute,
    STATE(14886), 1,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [709702] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19187), 1,
      anon_sym_LPAREN,
    ACTIONS(19279), 1,
      sym__lowercase_identifier,
    STATE(14862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13625), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709735] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19281), 1,
      anon_sym_SEMI,
    ACTIONS(19283), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14863), 1,
      sym_attribute,
    STATE(17567), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709770] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19247), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    STATE(14864), 1,
      sym_attribute,
    STATE(14876), 1,
      aux_sym_type_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13384), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [709797] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11324), 1,
      anon_sym_LBRACK,
    ACTIONS(11326), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11328), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19285), 1,
      sym__lowercase_identifier,
    ACTIONS(19287), 1,
      anon_sym_LPAREN,
    STATE(14865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13983), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709830] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19289), 1,
      anon_sym_SEMI,
    ACTIONS(19291), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14866), 1,
      sym_attribute,
    STATE(17002), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709865] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12210), 1,
      anon_sym_LBRACK,
    ACTIONS(12212), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12214), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19293), 1,
      sym__lowercase_identifier,
    ACTIONS(19295), 1,
      anon_sym_LPAREN,
    STATE(14867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10953), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709898] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19297), 1,
      anon_sym_SEMI,
    ACTIONS(19299), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14868), 1,
      sym_attribute,
    STATE(17262), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [709933] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12575), 1,
      anon_sym_LBRACK,
    ACTIONS(12577), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12579), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19301), 1,
      sym__lowercase_identifier,
    ACTIONS(19303), 1,
      anon_sym_LPAREN,
    STATE(14869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11619), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [709966] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19305), 1,
      anon_sym_EQ,
    ACTIONS(19307), 1,
      anon_sym_RPAREN,
    STATE(14870), 1,
      sym_attribute,
    STATE(18728), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710001] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19309), 1,
      sym__right_quoted_string_delimiter,
    STATE(14871), 1,
      sym_attribute,
    STATE(14903), 1,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18978), 2,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(18976), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [710028] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19187), 1,
      anon_sym_LPAREN,
    ACTIONS(19311), 1,
      sym__lowercase_identifier,
    STATE(14872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13625), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710061] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12045), 1,
      anon_sym_LBRACK,
    ACTIONS(12047), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12049), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19313), 1,
      sym__lowercase_identifier,
    ACTIONS(19315), 1,
      anon_sym_LPAREN,
    STATE(14873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10220), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710094] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19317), 1,
      anon_sym_SEMI,
    ACTIONS(19319), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14874), 1,
      sym_attribute,
    STATE(17804), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710129] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12697), 1,
      anon_sym_LBRACK,
    ACTIONS(12699), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12701), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19321), 1,
      sym__lowercase_identifier,
    ACTIONS(19323), 1,
      anon_sym_LPAREN,
    STATE(14875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12175), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710162] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19325), 1,
      anon_sym_constraint,
    STATE(10562), 1,
      sym_type_constraint,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14876), 2,
      sym_attribute,
      aux_sym_type_binding_repeat1,
    ACTIONS(13490), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [710187] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12763), 1,
      anon_sym_LBRACK,
    ACTIONS(12765), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12767), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19328), 1,
      sym__lowercase_identifier,
    ACTIONS(19330), 1,
      anon_sym_LPAREN,
    STATE(14877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11588), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710220] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19332), 1,
      anon_sym_SEMI,
    ACTIONS(19334), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14878), 1,
      sym_attribute,
    STATE(17390), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710255] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19336), 1,
      anon_sym_EQ,
    ACTIONS(19338), 1,
      anon_sym_RPAREN,
    STATE(14879), 1,
      sym_attribute,
    STATE(18760), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710290] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19340), 1,
      anon_sym_EQ,
    ACTIONS(19342), 1,
      anon_sym_RPAREN,
    STATE(14880), 1,
      sym_attribute,
    STATE(18309), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710325] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19344), 1,
      anon_sym_EQ,
    ACTIONS(19346), 1,
      anon_sym_RPAREN,
    STATE(14881), 1,
      sym_attribute,
    STATE(18933), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710360] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12681), 1,
      anon_sym_LBRACK,
    ACTIONS(12683), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12685), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19348), 1,
      sym__lowercase_identifier,
    ACTIONS(19350), 1,
      anon_sym_LPAREN,
    STATE(14882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11168), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710393] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19352), 1,
      anon_sym_SEMI,
    ACTIONS(19354), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14883), 1,
      sym_attribute,
    STATE(16697), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710428] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19356), 1,
      anon_sym_SEMI,
    ACTIONS(19358), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14884), 1,
      sym_attribute,
    STATE(17139), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710463] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12643), 1,
      anon_sym_LBRACK,
    ACTIONS(12645), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12647), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19360), 1,
      sym__lowercase_identifier,
    ACTIONS(19362), 1,
      anon_sym_LPAREN,
    STATE(14885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12151), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710496] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19277), 1,
      anon_sym_and,
    STATE(14830), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(14886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13840), 6,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [710521] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_POUND,
    STATE(14887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(9006), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [710546] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19187), 1,
      anon_sym_LPAREN,
    ACTIONS(19364), 1,
      sym__lowercase_identifier,
    STATE(14888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13625), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710579] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10510), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(10512), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(12123), 1,
      anon_sym_LBRACK,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19366), 1,
      sym__lowercase_identifier,
    ACTIONS(19368), 1,
      anon_sym_LPAREN,
    STATE(14889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11326), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710612] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19370), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [710633] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19372), 8,
      anon_sym_constraint,
      anon_sym_val,
      anon_sym_end,
      anon_sym_inherit,
      anon_sym_method,
      anon_sym_LBRACK_AT_AT_AT,
      anon_sym_LBRACK_PERCENT_PERCENT,
      anon_sym_LBRACE_PERCENT_PERCENT,
  [710654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9004), 1,
      anon_sym_POUND,
    STATE(14892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9006), 7,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_with,
      sym_hash_operator,
  [710677] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19374), 1,
      anon_sym_SEMI,
    ACTIONS(19376), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14893), 1,
      sym_attribute,
    STATE(18013), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710712] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19378), 1,
      anon_sym_SEMI,
    ACTIONS(19380), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14894), 1,
      sym_attribute,
    STATE(16751), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710747] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8793), 1,
      anon_sym_LBRACK,
    ACTIONS(8807), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(8809), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19187), 1,
      anon_sym_LPAREN,
    ACTIONS(19382), 1,
      sym__lowercase_identifier,
    STATE(14895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13625), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710780] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12545), 1,
      anon_sym_LBRACK,
    ACTIONS(12547), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(12549), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19384), 1,
      sym__lowercase_identifier,
    ACTIONS(19386), 1,
      anon_sym_LPAREN,
    STATE(14896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12083), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710813] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11947), 1,
      anon_sym_LBRACK,
    ACTIONS(11949), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11951), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19388), 1,
      sym__lowercase_identifier,
    ACTIONS(19390), 1,
      anon_sym_LPAREN,
    STATE(14897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10489), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710846] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11216), 1,
      anon_sym_LBRACK,
    ACTIONS(11218), 1,
      anon_sym_LBRACK_GT,
    ACTIONS(11220), 1,
      anon_sym_LBRACK_LT,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19392), 1,
      sym__lowercase_identifier,
    ACTIONS(19394), 1,
      anon_sym_LPAREN,
    STATE(14898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(13067), 2,
      sym_polymorphic_variant_type,
      sym_package_type,
  [710879] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19396), 1,
      anon_sym_SEMI,
    ACTIONS(19398), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14899), 1,
      sym_attribute,
    STATE(17138), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_POUND,
    STATE(14900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 3,
      anon_sym_DOT,
      anon_sym_with,
      sym_hash_operator,
    ACTIONS(9008), 4,
      anon_sym_EQ,
      anon_sym_COLON2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [710939] = 11,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(19400), 1,
      anon_sym_SEMI,
    ACTIONS(19402), 1,
      anon_sym_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14901), 1,
      sym_attribute,
    STATE(17854), 1,
      aux_sym_object_type_repeat1,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [710974] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13294), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14902), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 2,
      anon_sym_STAR,
      anon_sym_LBRACK_AT_AT,
  [711007] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19410), 1,
      sym__right_quoted_string_delimiter,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19407), 2,
      sym__null,
      aux_sym_string_content_token2,
    STATE(14903), 2,
      sym_attribute,
      aux_sym_quoted_string_content_repeat1,
    ACTIONS(19404), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [711032] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19416), 1,
      anon_sym_RBRACK,
    ACTIONS(19418), 1,
      anon_sym_SEMI,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(14904), 1,
      sym_attribute,
    STATE(16802), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711064] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19424), 1,
      anon_sym_RPAREN,
    STATE(14905), 1,
      sym_attribute,
    STATE(21114), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711096] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19346), 1,
      anon_sym_RPAREN,
    STATE(14906), 1,
      sym_attribute,
    STATE(20920), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711128] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19430), 1,
      anon_sym_RBRACK,
    ACTIONS(19432), 1,
      anon_sym_SEMI,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(14907), 1,
      sym_attribute,
    STATE(17235), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711160] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19438), 1,
      anon_sym__,
    ACTIONS(19440), 1,
      anon_sym_RBRACE,
    STATE(14908), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711192] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19446), 1,
      anon_sym_SEMI,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19452), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14909), 1,
      sym_attribute,
    STATE(17240), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711224] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13603), 1,
      anon_sym_LPAREN,
    ACTIONS(13605), 1,
      anon_sym_LBRACK,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(12084), 1,
      sym__constructor_name,
    STATE(14910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13607), 2,
      anon_sym_true,
      anon_sym_false,
  [711254] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19454), 1,
      anon_sym__,
    ACTIONS(19456), 1,
      anon_sym_RBRACE,
    STATE(14911), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711286] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19458), 1,
      anon_sym_RPAREN,
    STATE(14912), 1,
      sym_attribute,
    STATE(19338), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711318] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19460), 1,
      anon_sym__,
    ACTIONS(19462), 1,
      anon_sym_RBRACE,
    STATE(14913), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711350] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19464), 1,
      anon_sym__,
    ACTIONS(19466), 1,
      anon_sym_RBRACE,
    STATE(14914), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711382] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19468), 1,
      anon_sym_RPAREN,
    STATE(14915), 1,
      sym_attribute,
    STATE(19323), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711414] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10228), 1,
      anon_sym_PIPE,
    STATE(14916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10226), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [711436] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19470), 1,
      anon_sym__,
    ACTIONS(19472), 1,
      anon_sym_RBRACE,
    STATE(14917), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711468] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19474), 1,
      anon_sym_RPAREN,
    STATE(14918), 1,
      sym_attribute,
    STATE(19375), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711500] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19476), 1,
      anon_sym_RPAREN,
    STATE(14919), 1,
      sym_attribute,
    STATE(20431), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711532] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19478), 1,
      anon_sym_rec,
    ACTIONS(19480), 1,
      anon_sym_type,
    STATE(14166), 1,
      sym_module_binding,
    STATE(14920), 1,
      sym_attribute,
    STATE(16563), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19482), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [711562] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13942), 1,
      anon_sym_LPAREN,
    ACTIONS(13944), 1,
      anon_sym_LBRACK,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(12299), 1,
      sym__constructor_name,
    STATE(14921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13946), 2,
      anon_sym_true,
      anon_sym_false,
  [711592] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19484), 1,
      anon_sym_RPAREN,
    STATE(14922), 1,
      sym_attribute,
    STATE(19413), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711624] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19486), 1,
      anon_sym__,
    ACTIONS(19488), 1,
      anon_sym_RBRACE,
    STATE(14923), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711656] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19490), 1,
      anon_sym_RPAREN,
    STATE(14924), 1,
      sym_attribute,
    STATE(20436), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711688] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19492), 1,
      anon_sym_DASH_GT,
    ACTIONS(19494), 1,
      anon_sym_when,
    STATE(14925), 1,
      sym_attribute,
    STATE(22515), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711720] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19496), 1,
      anon_sym_RPAREN,
    STATE(14926), 1,
      sym_attribute,
    STATE(20398), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711752] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19498), 1,
      anon_sym_RPAREN,
    STATE(14927), 1,
      sym_attribute,
    STATE(20392), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711784] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19500), 1,
      anon_sym_DASH_GT,
    STATE(14928), 1,
      sym_attribute,
    STATE(21497), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711816] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9380), 1,
      anon_sym_PIPE,
    STATE(14929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9378), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [711838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9386), 1,
      anon_sym_PIPE,
    STATE(14930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9384), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [711860] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19502), 1,
      anon_sym_DASH_GT,
    STATE(14931), 1,
      sym_attribute,
    STATE(19515), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711892] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19504), 1,
      anon_sym__,
    ACTIONS(19506), 1,
      anon_sym_RBRACE,
    STATE(14932), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [711924] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19508), 1,
      anon_sym_rec,
    ACTIONS(19510), 1,
      anon_sym_type,
    STATE(14190), 1,
      sym_module_binding,
    STATE(14933), 1,
      sym_attribute,
    STATE(16555), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19512), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [711954] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14226), 1,
      anon_sym_LPAREN,
    ACTIONS(14228), 1,
      anon_sym_LBRACK,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(12852), 1,
      sym__constructor_name,
    STATE(14934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14230), 2,
      anon_sym_true,
      anon_sym_false,
  [711984] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9392), 1,
      anon_sym_PIPE,
    STATE(14935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9390), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712006] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19514), 1,
      anon_sym_RPAREN,
    STATE(14936), 1,
      sym_attribute,
    STATE(19575), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9398), 1,
      anon_sym_PIPE,
    STATE(14937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9400), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    STATE(14938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(11538), 6,
      anon_sym_EQ,
      anon_sym_DASH_GT,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [712082] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19516), 1,
      anon_sym_RPAREN,
    STATE(14939), 1,
      sym_attribute,
    STATE(19386), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712114] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19518), 1,
      anon_sym_rec,
    ACTIONS(19520), 1,
      anon_sym_type,
    STATE(13550), 1,
      sym_module_binding,
    STATE(14940), 1,
      sym_attribute,
    STATE(16550), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19522), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [712144] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19524), 1,
      anon_sym_RPAREN,
    STATE(14941), 1,
      sym_attribute,
    STATE(19401), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712176] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19526), 1,
      anon_sym_DASH_GT,
    STATE(14942), 1,
      sym_attribute,
    STATE(19345), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712208] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19528), 1,
      anon_sym_SEMI,
    ACTIONS(19530), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14943), 1,
      sym_attribute,
    STATE(17223), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712240] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9394), 1,
      anon_sym_PIPE,
    STATE(14944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9396), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712262] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(14945), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(18070), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [712292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9356), 1,
      anon_sym_PIPE,
    STATE(14946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9358), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712314] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19534), 1,
      anon_sym_RBRACK,
    ACTIONS(19536), 1,
      anon_sym_SEMI,
    STATE(14947), 1,
      sym_attribute,
    STATE(17227), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712346] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19342), 1,
      anon_sym_RPAREN,
    STATE(14948), 1,
      sym_attribute,
    STATE(21402), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9348), 1,
      anon_sym_PIPE,
    STATE(14949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9350), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712400] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13880), 1,
      anon_sym_LPAREN,
    ACTIONS(13882), 1,
      anon_sym_LBRACK,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(12392), 1,
      sym__constructor_name,
    STATE(14950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13884), 2,
      anon_sym_true,
      anon_sym_false,
  [712430] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19538), 1,
      anon_sym_SEMI,
    ACTIONS(19540), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14951), 1,
      sym_attribute,
    STATE(16737), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712462] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19542), 1,
      anon_sym__,
    ACTIONS(19544), 1,
      anon_sym_RBRACE,
    STATE(14952), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712494] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19546), 1,
      anon_sym_RPAREN,
    STATE(14953), 1,
      sym_attribute,
    STATE(19628), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712526] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12617), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12615), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [712548] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19548), 1,
      anon_sym_RBRACK,
    ACTIONS(19550), 1,
      anon_sym_SEMI,
    STATE(14955), 1,
      sym_attribute,
    STATE(16722), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712580] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(14956), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(18034), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [712610] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12711), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12709), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [712632] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19307), 1,
      anon_sym_RPAREN,
    STATE(14958), 1,
      sym_attribute,
    STATE(20239), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712664] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13228), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712684] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19552), 1,
      anon_sym_DASH_GT,
    ACTIONS(19554), 1,
      anon_sym_with,
    STATE(14960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14128), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [712708] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(14152), 1,
      anon_sym_LPAREN,
    ACTIONS(14154), 1,
      anon_sym_LBRACK,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(12515), 1,
      sym__constructor_name,
    STATE(14961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14156), 2,
      anon_sym_true,
      anon_sym_false,
  [712738] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19560), 1,
      anon_sym_SEMI,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19566), 1,
      anon_sym_PIPE_RBRACK,
    STATE(14962), 1,
      sym_attribute,
    STATE(17269), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712770] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19568), 1,
      anon_sym_RPAREN,
    STATE(14963), 1,
      sym_attribute,
    STATE(20469), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712802] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19570), 1,
      anon_sym_DASH_GT,
    STATE(14964), 1,
      sym_attribute,
    STATE(19851), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712834] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(14965), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(18006), 1,
      sym_field_binding_pattern,
    STATE(21240), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712866] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19572), 1,
      anon_sym_RBRACK,
    ACTIONS(19574), 1,
      anon_sym_SEMI,
    STATE(14966), 1,
      sym_attribute,
    STATE(17275), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712898] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19576), 1,
      anon_sym_RPAREN,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    STATE(14967), 1,
      sym_attribute,
    STATE(21384), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [712930] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12783), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12781), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [712952] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9376), 1,
      anon_sym_PIPE,
    STATE(14969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9374), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9328), 1,
      anon_sym_PIPE,
    ACTIONS(9346), 1,
      anon_sym_DOT,
    STATE(14970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [712998] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(18639), 1,
      anon_sym_LPAREN,
    ACTIONS(18641), 1,
      anon_sym_LBRACK,
    STATE(11999), 1,
      sym_constructor_declaration,
    STATE(13519), 1,
      sym__constructor_name,
    STATE(14971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18643), 2,
      anon_sym_true,
      anon_sym_false,
  [713028] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19586), 1,
      anon_sym_DASH_GT,
    STATE(14972), 1,
      sym_attribute,
    STATE(20546), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713060] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19588), 1,
      anon_sym_DASH_GT,
    STATE(14973), 1,
      sym_attribute,
    STATE(21508), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713092] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12791), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12789), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713114] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19590), 1,
      anon_sym_RPAREN,
    STATE(14975), 1,
      sym_attribute,
    STATE(22448), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713146] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9328), 1,
      anon_sym_PIPE,
    ACTIONS(9332), 1,
      anon_sym_DOT,
    STATE(14976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [713170] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(19060), 1,
      anon_sym_LPAREN,
    ACTIONS(19062), 1,
      anon_sym_LBRACK,
    STATE(11999), 1,
      sym_constructor_declaration,
    STATE(12776), 1,
      sym__constructor_name,
    STATE(14977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19064), 2,
      anon_sym_true,
      anon_sym_false,
  [713200] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12795), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12793), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713222] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12799), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12797), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713244] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(14980), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(18031), 1,
      sym_field_pattern,
    STATE(21240), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713276] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19592), 1,
      anon_sym_DASH_GT,
    STATE(14981), 1,
      sym_attribute,
    STATE(21470), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713308] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19594), 1,
      anon_sym_DASH_GT,
    STATE(14982), 1,
      sym_attribute,
    STATE(22449), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713340] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12803), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12801), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713362] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19596), 1,
      anon_sym__,
    ACTIONS(19598), 1,
      anon_sym_RBRACE,
    STATE(14984), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713394] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(14985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12811), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12809), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [713416] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19600), 1,
      anon_sym_RPAREN,
    STATE(14986), 1,
      sym_attribute,
    STATE(19449), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713448] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(14987), 1,
      sym_attribute,
    STATE(20474), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713480] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13450), 1,
      anon_sym_LPAREN,
    ACTIONS(13452), 1,
      anon_sym_LBRACK,
    STATE(11608), 1,
      sym__constructor_name,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(14988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13454), 2,
      anon_sym_true,
      anon_sym_false,
  [713510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19604), 1,
      anon_sym_COLON2,
    STATE(14989), 1,
      sym_attribute,
    STATE(19222), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 5,
      anon_sym_SEMI,
      anon_sym_GT,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [713534] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19606), 1,
      anon_sym_RPAREN,
    STATE(14990), 1,
      sym_attribute,
    STATE(19464), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713566] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(14991), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 2,
      anon_sym_DASH_GT,
      anon_sym_STAR,
  [713596] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19608), 1,
      anon_sym__,
    ACTIONS(19610), 1,
      anon_sym_RBRACE,
    STATE(14992), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713628] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12755), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12757), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(14993), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713660] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(14994), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17859), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [713690] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19612), 1,
      anon_sym_RPAREN,
    STATE(14995), 1,
      sym_attribute,
    STATE(19723), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713722] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19614), 1,
      anon_sym_RPAREN,
    STATE(14996), 1,
      sym_attribute,
    STATE(20410), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713754] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19616), 1,
      anon_sym_RPAREN,
    STATE(14997), 1,
      sym_attribute,
    STATE(20359), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713786] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19618), 1,
      anon_sym_RPAREN,
    STATE(14998), 1,
      sym_attribute,
    STATE(20507), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713818] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19620), 1,
      sym__lowercase_identifier,
    ACTIONS(19622), 1,
      anon_sym_type,
    ACTIONS(19624), 1,
      anon_sym_LBRACK,
    ACTIONS(19626), 1,
      anon_sym_virtual,
    STATE(14160), 1,
      sym_class_binding,
    STATE(14999), 1,
      sym_attribute,
    STATE(15934), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713850] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15000), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17821), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [713880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(19628), 1,
      anon_sym_DASH_GT,
    STATE(15001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13566), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [713904] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15002), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(16707), 1,
      sym_field_binding_pattern,
    STATE(20365), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713936] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15003), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16624), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [713966] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
    STATE(15004), 1,
      sym_attribute,
    STATE(20512), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [713998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12559), 1,
      anon_sym_RPAREN,
    ACTIONS(19632), 1,
      anon_sym_COLON2,
    STATE(15005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10284), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [714022] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19634), 1,
      anon_sym_RPAREN,
    STATE(15006), 1,
      sym_attribute,
    STATE(19512), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714054] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19636), 1,
      anon_sym_RPAREN,
    STATE(15007), 1,
      sym_attribute,
    STATE(20111), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714086] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12593), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12591), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [714108] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15009), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(16694), 1,
      sym_field_pattern,
    STATE(21167), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714140] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19638), 1,
      anon_sym_RPAREN,
    STATE(15010), 1,
      sym_attribute,
    STATE(20353), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714172] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12779), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(15011), 1,
      sym_attribute,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714204] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(19148), 1,
      anon_sym_LPAREN,
    ACTIONS(19150), 1,
      anon_sym_LBRACK,
    STATE(11999), 1,
      sym_constructor_declaration,
    STATE(13413), 1,
      sym__constructor_name,
    STATE(15012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19152), 2,
      anon_sym_true,
      anon_sym_false,
  [714234] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15013), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17040), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [714264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13448), 1,
      anon_sym_COLON2,
    STATE(15014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13446), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714286] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19640), 1,
      anon_sym_RPAREN,
    STATE(15015), 1,
      sym_attribute,
    STATE(19869), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714318] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13252), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714338] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15017), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16639), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [714368] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19642), 1,
      anon_sym__,
    ACTIONS(19644), 1,
      anon_sym_RBRACE,
    STATE(15018), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714400] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19646), 1,
      anon_sym__,
    ACTIONS(19648), 1,
      anon_sym_RBRACE,
    STATE(15019), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714432] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15020), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(18042), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [714462] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19650), 1,
      anon_sym_DASH_GT,
    STATE(15021), 1,
      sym_attribute,
    STATE(21192), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714494] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13248), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714514] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19652), 1,
      anon_sym_RPAREN,
    STATE(15023), 1,
      sym_attribute,
    STATE(21129), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714546] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19552), 1,
      anon_sym_DASH_GT,
    ACTIONS(19554), 1,
      anon_sym_with,
    STATE(15024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14501), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714570] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15025), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(18039), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [714600] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19622), 1,
      anon_sym_type,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    ACTIONS(19656), 1,
      anon_sym_LBRACK,
    ACTIONS(19658), 1,
      anon_sym_virtual,
    STATE(14145), 1,
      sym_class_binding,
    STATE(15026), 1,
      sym_attribute,
    STATE(16412), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714632] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19660), 1,
      anon_sym_DASH_GT,
    STATE(15027), 1,
      sym_attribute,
    STATE(22332), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714664] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19662), 1,
      anon_sym_RPAREN,
    STATE(15028), 1,
      sym_attribute,
    STATE(19527), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714696] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19664), 1,
      anon_sym_RBRACK,
    ACTIONS(19666), 1,
      anon_sym_SEMI,
    STATE(15029), 1,
      sym_attribute,
    STATE(17092), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714728] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19668), 1,
      anon_sym_DASH_GT,
    STATE(15030), 1,
      sym_attribute,
    STATE(22411), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714760] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19670), 1,
      anon_sym_RPAREN,
    STATE(15031), 1,
      sym_attribute,
    STATE(20320), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714792] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19622), 1,
      anon_sym_type,
    ACTIONS(19672), 1,
      sym__lowercase_identifier,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_virtual,
    STATE(13444), 1,
      sym_class_binding,
    STATE(15032), 1,
      sym_attribute,
    STATE(16269), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714824] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12659), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [714844] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19678), 1,
      anon_sym_RPAREN,
    STATE(15034), 1,
      sym_attribute,
    STATE(22318), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714876] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    ACTIONS(19682), 1,
      anon_sym_when,
    STATE(15035), 1,
      sym_attribute,
    STATE(20066), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714908] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19684), 1,
      anon_sym_RBRACK,
    ACTIONS(19686), 1,
      anon_sym_SEMI,
    STATE(15036), 1,
      sym_attribute,
    STATE(18009), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714940] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19688), 1,
      anon_sym_SEMI,
    ACTIONS(19690), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15037), 1,
      sym_attribute,
    STATE(17087), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [714972] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19692), 1,
      anon_sym_SEMI,
    ACTIONS(19694), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15038), 1,
      sym_attribute,
    STATE(17999), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715004] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12621), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12619), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [715026] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19696), 1,
      anon_sym_RPAREN,
    STATE(15040), 1,
      sym_attribute,
    STATE(20545), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715058] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19698), 1,
      anon_sym_RPAREN,
    STATE(15041), 1,
      sym_attribute,
    STATE(22072), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10238), 1,
      anon_sym_PIPE,
    STATE(15042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10236), 6,
      anon_sym_DOT_DOT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [715112] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19255), 1,
      anon_sym_RPAREN,
    STATE(15043), 1,
      sym_attribute,
    STATE(20520), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715144] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(19628), 1,
      anon_sym_DASH_GT,
    STATE(15044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13552), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [715168] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19628), 1,
      anon_sym_DASH_GT,
    STATE(15045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 6,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
      anon_sym_as,
  [715190] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(15046), 1,
      sym_attribute,
    STATE(20550), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715222] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19702), 1,
      anon_sym_DASH_GT,
    STATE(15047), 1,
      sym_attribute,
    STATE(21519), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(15048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [715276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(15049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [715300] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(15050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [715322] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19704), 1,
      anon_sym_RPAREN,
    STATE(15051), 1,
      sym_attribute,
    STATE(21145), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715354] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12633), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12631), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [715376] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19706), 1,
      anon_sym_DASH_GT,
    STATE(15053), 1,
      sym_attribute,
    STATE(21917), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715408] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19708), 1,
      anon_sym_DASH_GT,
    STATE(15054), 1,
      sym_attribute,
    STATE(21746), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715440] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19710), 1,
      anon_sym_RPAREN,
    STATE(15055), 1,
      sym_attribute,
    STATE(22335), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715472] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19712), 1,
      anon_sym_RBRACK,
    ACTIONS(19714), 1,
      anon_sym_SEMI,
    STATE(15056), 1,
      sym_attribute,
    STATE(17057), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715504] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19716), 1,
      anon_sym_RPAREN,
    STATE(15057), 1,
      sym_attribute,
    STATE(19567), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715536] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15058), 1,
      sym_attribute,
    STATE(15799), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(18383), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [715564] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19718), 1,
      anon_sym_RPAREN,
    STATE(15059), 1,
      sym_attribute,
    STATE(22141), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715596] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19720), 1,
      anon_sym_SEMI,
    ACTIONS(19722), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15060), 1,
      sym_attribute,
    STATE(17048), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715628] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
    STATE(15061), 1,
      sym_attribute,
    STATE(19582), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715660] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19726), 1,
      anon_sym_RBRACK,
    ACTIONS(19728), 1,
      anon_sym_SEMI,
    STATE(15062), 1,
      sym_attribute,
    STATE(17795), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715692] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19730), 1,
      anon_sym_RPAREN,
    STATE(15063), 1,
      sym_attribute,
    STATE(21977), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715724] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19732), 1,
      anon_sym_SEMI,
    ACTIONS(19734), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15064), 1,
      sym_attribute,
    STATE(17781), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715756] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13358), 1,
      anon_sym_COLON2,
    STATE(15065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13356), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [715778] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19736), 1,
      anon_sym_RPAREN,
    STATE(15066), 1,
      sym_attribute,
    STATE(20086), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715810] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19738), 1,
      anon_sym__,
    ACTIONS(19740), 1,
      anon_sym_RBRACE,
    STATE(15067), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715842] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19742), 1,
      anon_sym_DASH_GT,
    STATE(15068), 1,
      sym_attribute,
    STATE(22446), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715874] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12821), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12819), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [715896] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12825), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12823), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [715918] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19744), 1,
      anon_sym_RPAREN,
    STATE(15071), 1,
      sym_attribute,
    STATE(20314), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715950] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19746), 1,
      anon_sym__,
    ACTIONS(19748), 1,
      anon_sym_RBRACE,
    STATE(15072), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [715982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13558), 1,
      anon_sym_as,
    ACTIONS(19628), 1,
      anon_sym_DASH_GT,
    STATE(15073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13609), 5,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_constraint,
      anon_sym_with,
  [716006] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19750), 1,
      anon_sym__,
    ACTIONS(19752), 1,
      anon_sym_RBRACE,
    STATE(15074), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716038] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19754), 1,
      anon_sym_RPAREN,
    STATE(15075), 1,
      sym_attribute,
    STATE(20180), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716070] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19756), 1,
      anon_sym_RPAREN,
    STATE(15076), 1,
      sym_attribute,
    STATE(19622), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716102] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19758), 1,
      anon_sym_RPAREN,
    STATE(15077), 1,
      sym_attribute,
    STATE(20583), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716134] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19760), 1,
      anon_sym_DASH_GT,
    STATE(15078), 1,
      sym_attribute,
    STATE(21248), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716166] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12669), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12667), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716188] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19762), 1,
      anon_sym_RPAREN,
    STATE(15080), 1,
      sym_attribute,
    STATE(20588), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716220] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(13474), 1,
      anon_sym_LPAREN,
    ACTIONS(13476), 1,
      anon_sym_LBRACK,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(11909), 1,
      sym__constructor_name,
    STATE(15081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13478), 2,
      anon_sym_true,
      anon_sym_false,
  [716250] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19764), 1,
      anon_sym__,
    ACTIONS(19766), 1,
      anon_sym_RBRACE,
    STATE(15082), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716282] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19770), 3,
      sym__right_quoted_string_delimiter,
      sym__null,
      aux_sym_string_content_token2,
    ACTIONS(19768), 4,
      aux_sym_string_content_token1,
      aux_sym_quoted_string_content_token1,
      sym_conversion_specification,
      sym_pretty_printing_indication,
  [716304] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15084), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17113), 1,
      sym_field_pattern,
    STATE(21700), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18556), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [716358] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19772), 1,
      anon_sym__,
    ACTIONS(19774), 1,
      anon_sym_RBRACE,
    STATE(15086), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716390] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19776), 1,
      anon_sym_RPAREN,
    STATE(15087), 1,
      sym_attribute,
    STATE(19637), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716422] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12829), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12827), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716444] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12637), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12635), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716466] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15090), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(17124), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    STATE(22416), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716498] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18548), 5,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [716522] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 6,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
  [716544] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19778), 1,
      anon_sym_RPAREN,
    STATE(15093), 1,
      sym_attribute,
    STATE(20124), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716576] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18572), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [716604] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19780), 1,
      anon_sym_DASH_GT,
    STATE(15095), 1,
      sym_attribute,
    STATE(20305), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716636] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19782), 1,
      anon_sym_rec,
    ACTIONS(19784), 1,
      anon_sym_type,
    STATE(13146), 1,
      sym_module_binding,
    STATE(15096), 1,
      sym_attribute,
    STATE(16257), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19786), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [716666] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12833), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12831), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [716688] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19788), 1,
      anon_sym_SEMI,
    ACTIONS(19790), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15098), 1,
      sym_attribute,
    STATE(17103), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716720] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19792), 1,
      anon_sym_RPAREN,
    STATE(15099), 1,
      sym_attribute,
    STATE(19677), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716752] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19794), 1,
      anon_sym_RBRACK,
    ACTIONS(19796), 1,
      anon_sym_SEMI,
    STATE(15100), 1,
      sym_attribute,
    STATE(17096), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716784] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19798), 1,
      anon_sym_DASH_GT,
    STATE(15101), 1,
      sym_attribute,
    STATE(20186), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716816] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19338), 1,
      anon_sym_RPAREN,
    STATE(15102), 1,
      sym_attribute,
    STATE(19589), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716848] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19800), 1,
      anon_sym_RPAREN,
    STATE(15103), 1,
      sym_attribute,
    STATE(20281), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716880] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19802), 1,
      anon_sym__,
    ACTIONS(19804), 1,
      anon_sym_RBRACE,
    STATE(15104), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716912] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19806), 1,
      anon_sym_RPAREN,
    STATE(15105), 1,
      sym_attribute,
    STATE(20346), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716944] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19808), 1,
      anon_sym_RPAREN,
    STATE(15106), 1,
      sym_attribute,
    STATE(19692), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [716976] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12741), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(12743), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(15107), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717008] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19810), 1,
      anon_sym_SEMI,
    ACTIONS(19812), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15108), 1,
      sym_attribute,
    STATE(17083), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717040] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19814), 1,
      anon_sym_DASH_GT,
    STATE(15109), 1,
      sym_attribute,
    STATE(21769), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717072] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19816), 1,
      anon_sym_RBRACK,
    ACTIONS(19818), 1,
      anon_sym_SEMI,
    STATE(15110), 1,
      sym_attribute,
    STATE(17080), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717104] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19820), 1,
      anon_sym_RPAREN,
    STATE(15111), 1,
      sym_attribute,
    STATE(20621), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717136] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19822), 1,
      anon_sym_RPAREN,
    STATE(15112), 1,
      sym_attribute,
    STATE(19624), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717168] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19824), 1,
      anon_sym_RPAREN,
    STATE(15113), 1,
      sym_attribute,
    STATE(19732), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717200] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19826), 1,
      anon_sym__,
    ACTIONS(19828), 1,
      anon_sym_RBRACE,
    STATE(15114), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717232] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19830), 1,
      anon_sym_DASH_GT,
    STATE(15115), 1,
      sym_attribute,
    STATE(19648), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717264] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12597), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12595), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [717286] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12753), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12751), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [717308] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19832), 1,
      anon_sym_SEMI,
    ACTIONS(19834), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15118), 1,
      sym_attribute,
    STATE(17017), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717340] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18605), 3,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [717368] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15120), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17424), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [717398] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19836), 1,
      anon_sym_SEMI,
    ACTIONS(19838), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15121), 1,
      sym_attribute,
    STATE(16632), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717430] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19622), 1,
      anon_sym_type,
    ACTIONS(19840), 1,
      sym__lowercase_identifier,
    ACTIONS(19842), 1,
      anon_sym_LBRACK,
    ACTIONS(19844), 1,
      anon_sym_virtual,
    STATE(13281), 1,
      sym_class_binding,
    STATE(15122), 1,
      sym_attribute,
    STATE(16231), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717462] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19846), 1,
      anon_sym_RPAREN,
    STATE(15123), 1,
      sym_attribute,
    STATE(19747), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717494] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19848), 1,
      anon_sym_RPAREN,
    STATE(15124), 1,
      sym_attribute,
    STATE(20275), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717526] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19850), 1,
      anon_sym_RBRACK,
    ACTIONS(19852), 1,
      anon_sym_SEMI,
    STATE(15125), 1,
      sym_attribute,
    STATE(16640), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717558] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(19622), 1,
      anon_sym_type,
    ACTIONS(19854), 1,
      sym__lowercase_identifier,
    ACTIONS(19856), 1,
      anon_sym_LBRACK,
    ACTIONS(19858), 1,
      anon_sym_virtual,
    STATE(13257), 1,
      sym_class_binding,
    STATE(15126), 1,
      sym_attribute,
    STATE(16133), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717590] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19860), 1,
      anon_sym_RPAREN,
    STATE(15127), 1,
      sym_attribute,
    STATE(20626), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717622] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19862), 1,
      anon_sym_RPAREN,
    STATE(15128), 1,
      sym_attribute,
    STATE(20389), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717654] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19864), 1,
      anon_sym__,
    ACTIONS(19866), 1,
      anon_sym_RBRACE,
    STATE(15129), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717686] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19868), 1,
      anon_sym_RBRACK,
    ACTIONS(19870), 1,
      anon_sym_SEMI,
    STATE(15130), 1,
      sym_attribute,
    STATE(17042), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717718] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19872), 1,
      anon_sym_RPAREN,
    STATE(15131), 1,
      sym_attribute,
    STATE(21131), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717750] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15132), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17366), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [717780] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19874), 1,
      anon_sym_RPAREN,
    STATE(15133), 1,
      sym_attribute,
    STATE(19784), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717812] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19876), 1,
      anon_sym_RPAREN,
    STATE(15134), 1,
      sym_attribute,
    STATE(19791), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717844] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19878), 1,
      anon_sym_DASH_GT,
    STATE(15135), 1,
      sym_attribute,
    STATE(22156), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717876] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    STATE(15136), 1,
      sym_attribute,
    STATE(19798), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12675), 2,
      anon_sym_LPAREN,
      anon_sym_DOT,
    ACTIONS(12671), 3,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [717902] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19880), 1,
      anon_sym_SEMI,
    ACTIONS(19882), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15137), 1,
      sym_attribute,
    STATE(16665), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717934] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19884), 1,
      anon_sym_RPAREN,
    STATE(15138), 1,
      sym_attribute,
    STATE(19826), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717966] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19886), 1,
      anon_sym_RPAREN,
    STATE(15139), 1,
      sym_attribute,
    STATE(19832), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [717998] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19888), 1,
      anon_sym_RPAREN,
    STATE(15140), 1,
      sym_attribute,
    STATE(20659), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718030] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19890), 1,
      anon_sym_RPAREN,
    STATE(15141), 1,
      sym_attribute,
    STATE(19359), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718062] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19892), 1,
      anon_sym_RBRACK,
    ACTIONS(19894), 1,
      anon_sym_SEMI,
    STATE(15142), 1,
      sym_attribute,
    STATE(16671), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718094] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19896), 1,
      anon_sym_RPAREN,
    STATE(15143), 1,
      sym_attribute,
    STATE(19867), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718126] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13497), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13499), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(15144), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718158] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19898), 1,
      anon_sym_RPAREN,
    STATE(15145), 1,
      sym_attribute,
    STATE(19873), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718190] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19900), 1,
      anon_sym_RPAREN,
    STATE(15146), 1,
      sym_attribute,
    STATE(20577), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718222] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19902), 1,
      anon_sym_RPAREN,
    STATE(15147), 1,
      sym_attribute,
    STATE(20664), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718254] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19904), 1,
      anon_sym_DASH_GT,
    STATE(15148), 1,
      sym_attribute,
    STATE(21767), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718286] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19906), 1,
      anon_sym_DASH_GT,
    STATE(15149), 1,
      sym_attribute,
    STATE(20600), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718318] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15150), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(16761), 1,
      sym_field_binding_pattern,
    STATE(20448), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718350] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19908), 1,
      anon_sym_RPAREN,
    STATE(15151), 1,
      sym_attribute,
    STATE(20650), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718382] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19910), 1,
      anon_sym__,
    ACTIONS(19912), 1,
      anon_sym_RBRACE,
    STATE(15152), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718414] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19914), 1,
      anon_sym__,
    ACTIONS(19916), 1,
      anon_sym_RBRACE,
    STATE(15153), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718446] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13503), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13505), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(15154), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718478] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19918), 1,
      anon_sym_DASH_GT,
    STATE(15155), 1,
      sym_attribute,
    STATE(20599), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718510] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19920), 1,
      anon_sym_RPAREN,
    STATE(15156), 1,
      sym_attribute,
    STATE(19908), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718542] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19922), 1,
      anon_sym_DASH_GT,
    STATE(15157), 1,
      sym_attribute,
    STATE(21433), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718574] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12747), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12745), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [718596] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19924), 1,
      anon_sym_DASH_GT,
    STATE(15159), 1,
      sym_attribute,
    STATE(21889), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718628] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19926), 1,
      anon_sym_RPAREN,
    STATE(15160), 1,
      sym_attribute,
    STATE(20241), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718660] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19928), 1,
      anon_sym_RPAREN,
    STATE(15161), 1,
      sym_attribute,
    STATE(19914), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718692] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19930), 1,
      anon_sym_RPAREN,
    STATE(15162), 1,
      sym_attribute,
    STATE(20693), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718724] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19932), 1,
      anon_sym__,
    ACTIONS(19934), 1,
      anon_sym_RBRACE,
    STATE(15163), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718756] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15164), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(16780), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    STATE(22447), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718788] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19936), 1,
      anon_sym_DASH_GT,
    STATE(15165), 1,
      sym_attribute,
    STATE(20849), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718820] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13214), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [718840] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19938), 1,
      anon_sym_DASH_GT,
    STATE(15167), 1,
      sym_attribute,
    STATE(21990), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718872] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19940), 1,
      anon_sym_RPAREN,
    STATE(15168), 1,
      sym_attribute,
    STATE(20697), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718904] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19942), 1,
      anon_sym_RPAREN,
    STATE(15169), 1,
      sym_attribute,
    STATE(20235), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718936] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13240), 1,
      anon_sym_LPAREN,
    ACTIONS(13242), 1,
      anon_sym_LBRACK,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    STATE(11495), 1,
      sym__constructor_name,
    STATE(11657), 1,
      sym_constructor_declaration,
    STATE(15170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13244), 2,
      anon_sym_true,
      anon_sym_false,
  [718966] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19944), 1,
      anon_sym__,
    ACTIONS(19946), 1,
      anon_sym_RBRACE,
    STATE(15171), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [718998] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19948), 1,
      anon_sym_RPAREN,
    STATE(15172), 1,
      sym_attribute,
    STATE(21498), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719030] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15173), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17300), 1,
      sym_field_pattern,
    STATE(20696), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719062] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19950), 1,
      anon_sym_RPAREN,
    STATE(15174), 1,
      sym_attribute,
    STATE(19949), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719094] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19952), 1,
      anon_sym_DASH_GT,
    STATE(15175), 1,
      sym_attribute,
    STATE(21443), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719126] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19552), 1,
      anon_sym_DASH_GT,
    ACTIONS(19554), 1,
      anon_sym_with,
    STATE(15176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14025), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [719150] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19106), 1,
      anon_sym_LPAREN,
    ACTIONS(19108), 1,
      anon_sym_LBRACK,
    ACTIONS(19112), 1,
      sym__uppercase_identifier,
    STATE(15177), 1,
      sym_attribute,
    STATE(15784), 1,
      sym__constructor_name,
    STATE(16485), 1,
      sym_constructor_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19110), 2,
      anon_sym_true,
      anon_sym_false,
  [719180] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
    STATE(15178), 1,
      sym_attribute,
    STATE(19955), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719212] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19956), 1,
      anon_sym_RPAREN,
    STATE(15179), 1,
      sym_attribute,
    STATE(20702), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719244] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15180), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17369), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [719274] = 10,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13527), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13529), 1,
      anon_sym_in,
    ACTIONS(18544), 1,
      sym__lowercase_identifier,
    ACTIONS(18546), 1,
      anon_sym_POUND,
    STATE(15039), 1,
      sym_type_constructor_path,
    STATE(15181), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719306] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15182), 1,
      sym_attribute,
    STATE(15870), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13616), 2,
      anon_sym_and,
      anon_sym_in,
    ACTIONS(19958), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [719334] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19960), 1,
      anon_sym_RPAREN,
    STATE(15183), 1,
      sym_attribute,
    STATE(19990), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719366] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
    STATE(15184), 1,
      sym_attribute,
    STATE(20917), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719398] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19964), 1,
      anon_sym_RPAREN,
    STATE(15185), 1,
      sym_attribute,
    STATE(19996), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719430] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19966), 1,
      anon_sym_DASH_GT,
    STATE(15186), 1,
      sym_attribute,
    STATE(20117), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719462] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19968), 1,
      anon_sym_RPAREN,
    STATE(15187), 1,
      sym_attribute,
    STATE(20201), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719494] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19970), 1,
      anon_sym__,
    ACTIONS(19972), 1,
      anon_sym_RBRACE,
    STATE(15188), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719526] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19974), 1,
      anon_sym_DASH_GT,
    STATE(15189), 1,
      sym_attribute,
    STATE(20097), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719558] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19976), 1,
      anon_sym_RPAREN,
    STATE(15190), 1,
      sym_attribute,
    STATE(21422), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719590] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19978), 1,
      anon_sym_RPAREN,
    STATE(15191), 1,
      sym_attribute,
    STATE(20195), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719622] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19980), 1,
      anon_sym_RPAREN,
    STATE(15192), 1,
      sym_attribute,
    STATE(20735), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719654] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(19982), 1,
      anon_sym__,
    ACTIONS(19984), 1,
      anon_sym_RBRACE,
    STATE(15193), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719686] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13270), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [719706] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19986), 1,
      anon_sym_RPAREN,
    STATE(15195), 1,
      sym_attribute,
    STATE(20939), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719738] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(19988), 1,
      anon_sym_RPAREN,
    STATE(15196), 1,
      sym_attribute,
    STATE(20092), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719770] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19990), 1,
      anon_sym_RPAREN,
    STATE(15197), 1,
      sym_attribute,
    STATE(21459), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719802] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13288), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [719822] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12561), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12559), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [719844] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(15200), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19992), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [719874] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(19994), 1,
      anon_sym_DASH_GT,
    STATE(15201), 1,
      sym_attribute,
    STATE(21036), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719906] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19996), 1,
      anon_sym_RPAREN,
    STATE(15202), 1,
      sym_attribute,
    STATE(20031), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719938] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(19552), 1,
      anon_sym_DASH_GT,
    ACTIONS(19554), 1,
      anon_sym_with,
    STATE(15203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13960), 5,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [719962] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(19998), 1,
      anon_sym_RPAREN,
    STATE(15204), 1,
      sym_attribute,
    STATE(20740), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [719994] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15205), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17202), 1,
      sym_field_pattern,
    STATE(19838), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720026] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(20000), 1,
      anon_sym__,
    ACTIONS(20002), 1,
      anon_sym_RBRACE,
    STATE(15206), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720058] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13246), 1,
      sym__uppercase_identifier,
    ACTIONS(19080), 1,
      anon_sym_LPAREN,
    ACTIONS(19082), 1,
      anon_sym_LBRACK,
    STATE(11999), 1,
      sym_constructor_declaration,
    STATE(12371), 1,
      sym__constructor_name,
    STATE(15207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19084), 2,
      anon_sym_true,
      anon_sym_false,
  [720088] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(20004), 1,
      anon_sym__,
    ACTIONS(20006), 1,
      anon_sym_RBRACE,
    STATE(15208), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720120] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(20008), 1,
      anon_sym_DASH_GT,
    STATE(15209), 1,
      sym_attribute,
    STATE(20967), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720152] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(20010), 1,
      anon_sym_DASH_GT,
    STATE(15210), 1,
      sym_attribute,
    STATE(22006), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720184] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20012), 1,
      anon_sym_RPAREN,
    STATE(15211), 1,
      sym_attribute,
    STATE(20037), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720216] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12671), 7,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_DASH_GT,
      anon_sym_with,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [720236] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13314), 1,
      anon_sym_COLON2,
    STATE(15213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13312), 6,
      anon_sym_and,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_COLON_EQ,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [720258] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12569), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12567), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720280] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20014), 1,
      anon_sym_SEMI,
    ACTIONS(20016), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15215), 1,
      sym_attribute,
    STATE(16818), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720312] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20018), 1,
      anon_sym_RPAREN,
    STATE(15216), 1,
      sym_attribute,
    STATE(20890), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720344] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20020), 1,
      anon_sym_RPAREN,
    STATE(15217), 1,
      sym_attribute,
    STATE(20888), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720376] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20022), 1,
      anon_sym_RPAREN,
    STATE(15218), 1,
      sym_attribute,
    STATE(20072), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_PIPE,
    ACTIONS(20024), 1,
      anon_sym_DOT_DOT,
    STATE(15219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [720432] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20026), 1,
      anon_sym_RPAREN,
    STATE(15220), 1,
      sym_attribute,
    STATE(20078), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720464] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20028), 1,
      anon_sym_RPAREN,
    STATE(15221), 1,
      sym_attribute,
    STATE(20873), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720496] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20030), 1,
      anon_sym_RPAREN,
    STATE(15222), 1,
      sym_attribute,
    STATE(20871), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720528] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12603), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12601), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720550] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20032), 1,
      anon_sym_RPAREN,
    STATE(15224), 1,
      sym_attribute,
    STATE(20160), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720582] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15225), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(17511), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [720612] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20034), 1,
      anon_sym_RPAREN,
    STATE(15226), 1,
      sym_attribute,
    STATE(20154), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720644] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20036), 1,
      anon_sym_RPAREN,
    STATE(15227), 1,
      sym_attribute,
    STATE(20852), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720676] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12607), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12605), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720698] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12611), 2,
      anon_sym_in,
      sym__lowercase_identifier,
    ACTIONS(12609), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      anon_sym_LBRACK_AT_AT,
      sym__uppercase_identifier,
  [720720] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20038), 1,
      anon_sym_RPAREN,
    STATE(15230), 1,
      sym_attribute,
    STATE(20847), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720752] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20040), 1,
      anon_sym_RPAREN,
    STATE(15231), 1,
      sym_attribute,
    STATE(21370), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720784] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20046), 1,
      anon_sym_AMP,
    STATE(15232), 1,
      sym_attribute,
    STATE(15701), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20042), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [720812] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(20048), 1,
      anon_sym__,
    ACTIONS(20050), 1,
      anon_sym_RBRACE,
    STATE(15233), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720844] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20052), 1,
      anon_sym_RPAREN,
    STATE(15234), 1,
      sym_attribute,
    STATE(20113), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720876] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(20054), 1,
      anon_sym_DASH_GT,
    STATE(15235), 1,
      sym_attribute,
    STATE(21229), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720908] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20056), 1,
      anon_sym_RPAREN,
    STATE(15236), 1,
      sym_attribute,
    STATE(20773), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_PIPE,
    ACTIONS(20024), 1,
      anon_sym_DOT_DOT,
    STATE(15237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [720964] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19215), 1,
      anon_sym_RPAREN,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    STATE(15238), 1,
      sym_attribute,
    STATE(20007), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [720996] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20058), 1,
      anon_sym_RBRACK,
    ACTIONS(20060), 1,
      anon_sym_SEMI,
    STATE(15239), 1,
      sym_attribute,
    STATE(16861), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721028] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(20062), 1,
      anon_sym_DASH_GT,
    STATE(15240), 1,
      sym_attribute,
    STATE(22122), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721060] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20064), 1,
      anon_sym_RPAREN,
    STATE(15241), 1,
      sym_attribute,
    STATE(20778), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721092] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20046), 1,
      anon_sym_AMP,
    STATE(15242), 1,
      sym_attribute,
    STATE(15848), 1,
      aux_sym_tag_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20066), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [721120] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15243), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(17046), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    STATE(22265), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721152] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15244), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17059), 1,
      sym_field_pattern,
    STATE(21089), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721184] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20068), 1,
      anon_sym_RPAREN,
    STATE(15245), 1,
      sym_attribute,
    STATE(20810), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721216] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15246), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(17322), 1,
      sym_field_binding_pattern,
    STATE(21700), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721248] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20070), 1,
      anon_sym_SEMI,
    ACTIONS(20072), 1,
      anon_sym_PIPE_RBRACK,
    STATE(15247), 1,
      sym_attribute,
    STATE(16871), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721280] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15248), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17294), 1,
      sym_field_pattern,
    STATE(21007), 1,
      sym__quoted_string,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721312] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20074), 1,
      anon_sym_RPAREN,
    STATE(15249), 1,
      sym_attribute,
    STATE(20119), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721344] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20076), 1,
      anon_sym_RPAREN,
    STATE(15250), 1,
      sym_attribute,
    STATE(21079), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721376] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19494), 1,
      anon_sym_when,
    ACTIONS(20078), 1,
      anon_sym_DASH_GT,
    STATE(15251), 1,
      sym_attribute,
    STATE(22184), 1,
      sym_guard,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721408] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(16489), 1,
      anon_sym_BANG,
    ACTIONS(19532), 1,
      anon_sym__,
    STATE(15252), 1,
      sym_attribute,
    STATE(15824), 1,
      sym_type_variable,
    STATE(16891), 1,
      sym__type_param,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16487), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [721438] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(20080), 1,
      anon_sym_RPAREN,
    STATE(15253), 1,
      sym_attribute,
    STATE(20815), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721470] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(19436), 1,
      sym__lowercase_identifier,
    ACTIONS(20082), 1,
      anon_sym__,
    ACTIONS(20084), 1,
      anon_sym_RBRACE,
    STATE(15254), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721502] = 10,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15255), 1,
      sym_attribute,
    STATE(15639), 1,
      sym_field_path,
    STATE(17540), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    STATE(22460), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721534] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(5921), 1,
      sym_class_path,
    STATE(15256), 1,
      sym_attribute,
    STATE(15890), 1,
      sym__attribute,
    STATE(19468), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721563] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20088), 1,
      anon_sym_RBRACE,
    STATE(15257), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721592] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20090), 1,
      anon_sym_RBRACE,
    STATE(15258), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721621] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    STATE(15259), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10858), 1,
      anon_sym_PIPE,
    STATE(15260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10856), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [721671] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10346), 1,
      anon_sym_COLON2,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    STATE(15261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [721694] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20094), 1,
      anon_sym_RBRACE,
    STATE(15262), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721723] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20096), 1,
      sym__lowercase_identifier,
    STATE(4020), 1,
      sym_class_path,
    STATE(15263), 1,
      sym_attribute,
    STATE(16506), 1,
      sym__attribute,
    STATE(20863), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721752] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20098), 1,
      anon_sym_RBRACE,
    STATE(15264), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721781] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20100), 1,
      anon_sym_RBRACE,
    STATE(15265), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721810] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9184), 1,
      anon_sym_PIPE,
    STATE(15266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9182), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [721831] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20102), 1,
      anon_sym_RBRACE,
    STATE(15267), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721860] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20104), 1,
      anon_sym_RBRACE,
    STATE(15268), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9020), 1,
      anon_sym_PIPE,
    STATE(15269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9022), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [721910] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20106), 1,
      anon_sym_RBRACE,
    STATE(15270), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721939] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20108), 1,
      anon_sym_RBRACE,
    STATE(15271), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721968] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20110), 1,
      anon_sym_RBRACE,
    STATE(15272), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [721997] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [722024] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20114), 1,
      anon_sym_rec,
    STATE(15274), 1,
      sym_attribute,
    STATE(16235), 1,
      sym__attribute,
    STATE(16882), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [722051] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20118), 1,
      anon_sym_RBRACE,
    STATE(15275), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722080] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20120), 1,
      sym__lowercase_identifier,
    STATE(6209), 1,
      sym_class_path,
    STATE(15276), 1,
      sym_attribute,
    STATE(16028), 1,
      sym__attribute,
    STATE(20717), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722109] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_PIPE,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    STATE(15277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [722134] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20122), 1,
      sym__lowercase_identifier,
    STATE(7685), 1,
      sym_class_path,
    STATE(15278), 1,
      sym_attribute,
    STATE(15974), 1,
      sym__attribute,
    STATE(19849), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722163] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20124), 1,
      anon_sym_RBRACE,
    STATE(15279), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722192] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20126), 1,
      anon_sym_RBRACE,
    STATE(15280), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722221] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20128), 1,
      anon_sym_RBRACE,
    STATE(15281), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_PIPE,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    STATE(15282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [722273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8183), 1,
      anon_sym_PIPE,
    STATE(15283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(8179), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722294] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20130), 1,
      anon_sym_RBRACE,
    STATE(15284), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722323] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20132), 1,
      sym__lowercase_identifier,
    STATE(4688), 1,
      sym_class_path,
    STATE(15285), 1,
      sym_attribute,
    STATE(15886), 1,
      sym__attribute,
    STATE(20054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722352] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20134), 1,
      anon_sym_RBRACE,
    STATE(15286), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722381] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10358), 1,
      anon_sym_PIPE,
    STATE(15287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10356), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10354), 1,
      anon_sym_PIPE,
    STATE(15288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10352), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722423] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10338), 1,
      anon_sym_PIPE,
    STATE(15289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10336), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722444] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20136), 1,
      anon_sym_RBRACE,
    STATE(15290), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722473] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20138), 1,
      anon_sym_RBRACE,
    STATE(15291), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722502] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20140), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [722529] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20142), 1,
      sym__lowercase_identifier,
    STATE(11069), 1,
      sym_class_path,
    STATE(15293), 1,
      sym_attribute,
    STATE(16544), 1,
      sym__attribute,
    STATE(19931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722558] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20144), 1,
      anon_sym_RBRACE,
    STATE(15294), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722587] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20146), 1,
      anon_sym_RBRACE,
    STATE(15295), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10334), 1,
      anon_sym_PIPE,
    STATE(15296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10332), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722637] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10346), 1,
      anon_sym_PIPE,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    STATE(15297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10344), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [722660] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20148), 1,
      anon_sym_RBRACE,
    STATE(15298), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722689] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20150), 1,
      sym__lowercase_identifier,
    STATE(4772), 1,
      sym_class_path,
    STATE(15299), 1,
      sym_attribute,
    STATE(16135), 1,
      sym__attribute,
    STATE(20177), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10322), 1,
      anon_sym_PIPE,
    STATE(15300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10320), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10312), 1,
      anon_sym_PIPE,
    STATE(15301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10310), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722760] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20152), 1,
      anon_sym_RBRACE,
    STATE(15302), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18491), 1,
      anon_sym_PIPE,
    STATE(15303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18489), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722810] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20154), 1,
      anon_sym_RBRACE,
    STATE(15304), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722839] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20156), 1,
      anon_sym_RBRACE,
    STATE(15305), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722868] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20158), 1,
      anon_sym_RBRACE,
    STATE(15306), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722897] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20160), 1,
      anon_sym_RBRACE,
    STATE(15307), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18467), 1,
      anon_sym_PIPE,
    STATE(15308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18465), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722947] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20162), 1,
      anon_sym_RBRACE,
    STATE(15309), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [722976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10762), 1,
      anon_sym_PIPE,
    STATE(15310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10760), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [722997] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20164), 1,
      sym__lowercase_identifier,
    STATE(4616), 1,
      sym_class_path,
    STATE(15311), 1,
      sym_attribute,
    STATE(16127), 1,
      sym__attribute,
    STATE(20565), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723026] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20166), 1,
      anon_sym_RBRACE,
    STATE(15312), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723055] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20168), 1,
      anon_sym_RBRACE,
    STATE(15313), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723084] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20170), 1,
      sym__lowercase_identifier,
    STATE(5329), 1,
      sym_class_path,
    STATE(15314), 1,
      sym_attribute,
    STATE(16184), 1,
      sym__attribute,
    STATE(21905), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723113] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20172), 1,
      anon_sym_RBRACE,
    STATE(15315), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723142] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20174), 1,
      sym__lowercase_identifier,
    STATE(8560), 1,
      sym_class_path,
    STATE(15316), 1,
      sym_attribute,
    STATE(16057), 1,
      sym__attribute,
    STATE(19308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10394), 1,
      anon_sym_PIPE,
    STATE(15317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10392), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10390), 1,
      anon_sym_PIPE,
    STATE(15318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10388), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723213] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10386), 1,
      anon_sym_PIPE,
    STATE(15319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10384), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723234] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20176), 1,
      anon_sym_RBRACE,
    STATE(15320), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723263] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5825), 1,
      anon_sym_PIPE,
    STATE(15321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(5821), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723284] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20178), 1,
      sym__lowercase_identifier,
    STATE(5818), 1,
      sym_class_path,
    STATE(15322), 1,
      sym_attribute,
    STATE(16535), 1,
      sym__attribute,
    STATE(19301), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723313] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    STATE(15323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20112), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [723340] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20180), 1,
      anon_sym_RBRACE,
    STATE(15324), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723369] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20182), 1,
      anon_sym_RBRACE,
    STATE(15325), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723398] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20184), 1,
      anon_sym_RBRACE,
    STATE(15326), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723427] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20186), 1,
      anon_sym_RBRACE,
    STATE(15327), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723456] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20188), 1,
      anon_sym_RBRACE,
    STATE(15328), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723485] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20190), 1,
      anon_sym_RBRACE,
    STATE(15329), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723514] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    STATE(15330), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723543] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20194), 1,
      sym__lowercase_identifier,
    STATE(4950), 1,
      sym_class_path,
    STATE(15331), 1,
      sym_attribute,
    STATE(16588), 1,
      sym__attribute,
    STATE(20296), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723572] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20196), 1,
      anon_sym_RBRACE,
    STATE(15332), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723601] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20198), 1,
      anon_sym_RBRACE,
    STATE(15333), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723630] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20200), 1,
      anon_sym_RBRACE,
    STATE(15334), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723659] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20202), 1,
      anon_sym_RBRACE,
    STATE(15335), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723688] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20204), 1,
      anon_sym_RBRACE,
    STATE(15336), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723717] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20206), 1,
      anon_sym_RBRACE,
    STATE(15337), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723746] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20208), 1,
      sym__lowercase_identifier,
    STATE(7555), 1,
      sym_class_path,
    STATE(15338), 1,
      sym_attribute,
    STATE(16465), 1,
      sym__attribute,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723775] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20210), 1,
      anon_sym_RBRACE,
    STATE(15339), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723804] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20212), 1,
      anon_sym_RBRACE,
    STATE(15340), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723833] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20214), 1,
      anon_sym_RBRACE,
    STATE(15341), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723862] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(15342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20216), 2,
      anon_sym_RBRACK,
      anon_sym_SEMI,
  [723889] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(15343), 1,
      sym_attribute,
    STATE(16206), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21932), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [723916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10302), 1,
      anon_sym_PIPE,
    STATE(15344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [723937] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10298), 1,
      anon_sym_COLON2,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    STATE(15345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10296), 3,
      anon_sym_RPAREN,
      anon_sym_PIPE,
      anon_sym_as,
  [723962] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20222), 1,
      anon_sym_RBRACE,
    STATE(15346), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [723991] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20224), 1,
      anon_sym_RBRACE,
    STATE(15347), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724020] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20226), 1,
      anon_sym_RBRACE,
    STATE(15348), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724049] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10294), 1,
      anon_sym_COLON2,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    STATE(15349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10292), 4,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_PIPE,
      anon_sym_as,
  [724072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10266), 1,
      anon_sym_PIPE,
    STATE(15350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10264), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724093] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10278), 1,
      anon_sym_PIPE,
    STATE(15351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10276), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10262), 1,
      anon_sym_PIPE,
    STATE(15352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10260), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724135] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20228), 1,
      sym__lowercase_identifier,
    STATE(8200), 1,
      sym_class_path,
    STATE(15353), 1,
      sym_attribute,
    STATE(16015), 1,
      sym__attribute,
    STATE(21615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724164] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20230), 1,
      anon_sym_RBRACE,
    STATE(15354), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724193] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20232), 1,
      anon_sym_RBRACE,
    STATE(15355), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724222] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13788), 1,
      anon_sym_and,
    STATE(15356), 1,
      sym_attribute,
    STATE(15516), 1,
      aux_sym_expression_item_repeat1,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13786), 2,
      anon_sym_in,
      sym_let_and_operator,
  [724249] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20234), 1,
      anon_sym_RBRACE,
    STATE(15357), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724278] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20236), 1,
      sym__lowercase_identifier,
    STATE(5417), 1,
      sym_class_path,
    STATE(15358), 1,
      sym_attribute,
    STATE(16142), 1,
      sym__attribute,
    STATE(20467), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724307] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13774), 1,
      anon_sym_and,
    STATE(15359), 1,
      sym_attribute,
    STATE(15457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13772), 2,
      anon_sym_in,
      sym_let_and_operator,
  [724334] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20238), 1,
      sym__lowercase_identifier,
    STATE(7804), 1,
      sym_class_path,
    STATE(15360), 1,
      sym_attribute,
    STATE(16316), 1,
      sym__attribute,
    STATE(20489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724363] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20240), 1,
      anon_sym_RBRACE,
    STATE(15361), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10246), 1,
      anon_sym_PIPE,
    STATE(15362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10244), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724413] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10242), 1,
      anon_sym_PIPE,
    STATE(15363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10240), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724434] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20242), 1,
      anon_sym_RBRACE,
    STATE(15364), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724463] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(15365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20244), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [724490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9294), 1,
      anon_sym_PIPE,
    STATE(15366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9292), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724511] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20246), 1,
      anon_sym_RBRACE,
    STATE(15367), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724540] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10370), 1,
      anon_sym_PIPE,
    STATE(15368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10368), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724561] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20248), 1,
      anon_sym_RBRACE,
    STATE(15369), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724590] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20250), 1,
      anon_sym_RBRACE,
    STATE(15370), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724619] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20252), 1,
      anon_sym_RBRACE,
    STATE(15371), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724648] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10818), 1,
      anon_sym_PIPE,
    STATE(15372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10816), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724669] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20254), 1,
      anon_sym_RBRACE,
    STATE(15373), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724698] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20256), 1,
      anon_sym_RBRACE,
    STATE(15374), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724727] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20258), 1,
      anon_sym_RBRACE,
    STATE(15375), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724756] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20260), 1,
      anon_sym_RBRACE,
    STATE(15376), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724785] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20262), 1,
      anon_sym_RBRACE,
    STATE(15377), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724814] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20264), 1,
      anon_sym_RBRACE,
    STATE(15378), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12745), 1,
      anon_sym_RPAREN,
    STATE(15379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10364), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [724864] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20266), 1,
      anon_sym_RBRACE,
    STATE(15380), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724893] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20268), 1,
      anon_sym_RBRACE,
    STATE(15381), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10758), 1,
      anon_sym_PIPE,
    STATE(15382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10756), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [724943] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20270), 1,
      anon_sym_RBRACE,
    STATE(15383), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [724972] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20272), 1,
      anon_sym_RBRACE,
    STATE(15384), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9302), 1,
      anon_sym_PIPE,
    STATE(15385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9300), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725022] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20274), 1,
      anon_sym_RBRACE,
    STATE(15386), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725051] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20276), 1,
      sym__lowercase_identifier,
    STATE(10446), 1,
      sym_class_path,
    STATE(15387), 1,
      sym_attribute,
    STATE(16115), 1,
      sym__attribute,
    STATE(19699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725080] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(16044), 1,
      anon_sym_POUND,
    ACTIONS(20278), 1,
      anon_sym_DASH_GT,
    STATE(13826), 1,
      sym_type_constructor_path,
    STATE(15388), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9306), 1,
      anon_sym_PIPE,
    STATE(15389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9304), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725130] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19412), 1,
      anon_sym_COMMA,
    ACTIONS(19414), 1,
      anon_sym_PIPE,
    ACTIONS(19420), 1,
      anon_sym_as,
    ACTIONS(19422), 1,
      anon_sym_COLON_COLON,
    STATE(15390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20280), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [725157] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10270), 1,
      anon_sym_PIPE,
    STATE(15391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10268), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18566), 1,
      anon_sym_PIPE,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    STATE(15392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18564), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [725201] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20282), 1,
      sym__lowercase_identifier,
    ACTIONS(20284), 1,
      anon_sym_LBRACK,
    ACTIONS(20286), 1,
      anon_sym_virtual,
    STATE(12298), 1,
      sym_class_type_binding,
    STATE(15393), 1,
      sym_attribute,
    STATE(16000), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725230] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(3938), 1,
      sym_class_path,
    STATE(15394), 1,
      sym_attribute,
    STATE(16572), 1,
      sym__attribute,
    STATE(20881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725259] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20290), 1,
      anon_sym_RBRACE,
    STATE(15395), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9312), 1,
      anon_sym_PIPE,
    STATE(15396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9310), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18287), 1,
      anon_sym_PIPE,
    STATE(15397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18285), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725330] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10720), 1,
      anon_sym_PIPE,
    STATE(15398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10718), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9316), 1,
      anon_sym_PIPE,
    STATE(15399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9314), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725372] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20292), 1,
      anon_sym_RBRACE,
    STATE(15400), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725401] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20294), 1,
      anon_sym_RBRACE,
    STATE(15401), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725430] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20296), 1,
      anon_sym_RBRACE,
    STATE(15402), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725459] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20298), 1,
      sym__lowercase_identifier,
    STATE(7304), 1,
      sym_class_path,
    STATE(15403), 1,
      sym_attribute,
    STATE(16053), 1,
      sym__attribute,
    STATE(20603), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725488] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20300), 1,
      sym__lowercase_identifier,
    STATE(8418), 1,
      sym_class_path,
    STATE(15404), 1,
      sym_attribute,
    STATE(16345), 1,
      sym__attribute,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10810), 1,
      anon_sym_PIPE,
    STATE(15405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10808), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725538] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20302), 1,
      anon_sym_RBRACE,
    STATE(15406), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725567] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    ACTIONS(20306), 1,
      anon_sym_BANG,
    STATE(13903), 1,
      sym__instance_variable_name,
    STATE(15407), 1,
      sym_attribute,
    STATE(15630), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20308), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [725594] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20310), 1,
      sym__lowercase_identifier,
    STATE(6700), 1,
      sym_class_path,
    STATE(15408), 1,
      sym_attribute,
    STATE(15932), 1,
      sym__attribute,
    STATE(20679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725623] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20312), 1,
      anon_sym_RBRACE,
    STATE(15409), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725652] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20314), 1,
      anon_sym_RBRACE,
    STATE(15410), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725681] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20316), 1,
      anon_sym_RBRACE,
    STATE(15411), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10766), 1,
      anon_sym_PIPE,
    STATE(15412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10764), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725731] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20318), 1,
      anon_sym_RBRACE,
    STATE(15413), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725760] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    ACTIONS(20324), 1,
      anon_sym_RBRACK,
    STATE(15414), 1,
      sym_attribute,
    STATE(17531), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725789] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20326), 1,
      anon_sym_RBRACE,
    STATE(15415), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725818] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20328), 1,
      anon_sym_RBRACE,
    STATE(15416), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725847] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20330), 1,
      anon_sym_RBRACE,
    STATE(15417), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725876] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20332), 1,
      anon_sym_RBRACE,
    STATE(15418), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725905] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20334), 1,
      anon_sym_RBRACE,
    STATE(15419), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10330), 1,
      anon_sym_PIPE,
    STATE(15420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10328), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [725955] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20336), 1,
      sym__lowercase_identifier,
    STATE(6457), 1,
      sym_class_path,
    STATE(15421), 1,
      sym_attribute,
    STATE(16305), 1,
      sym__attribute,
    STATE(19711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [725984] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20338), 1,
      anon_sym_RBRACE,
    STATE(15422), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726013] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10848), 1,
      anon_sym_PIPE,
    STATE(15423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10846), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726034] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20340), 1,
      anon_sym_RBRACE,
    STATE(15424), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726063] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20342), 1,
      anon_sym_RBRACE,
    STATE(15425), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726092] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20344), 1,
      sym__lowercase_identifier,
    STATE(6960), 1,
      sym_class_path,
    STATE(15426), 1,
      sym_attribute,
    STATE(16459), 1,
      sym__attribute,
    STATE(20374), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726121] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20346), 1,
      anon_sym_RBRACE,
    STATE(15427), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726150] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20348), 1,
      anon_sym_RBRACE,
    STATE(15428), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726179] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20350), 1,
      anon_sym_RBRACE,
    STATE(15429), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726208] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20352), 1,
      anon_sym_RBRACE,
    STATE(15430), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10798), 1,
      anon_sym_PIPE,
    STATE(15431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10796), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726258] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20354), 1,
      anon_sym_RBRACE,
    STATE(15432), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726287] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10254), 1,
      anon_sym_PIPE,
    STATE(15433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10252), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726308] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10290), 1,
      anon_sym_PIPE,
    STATE(15434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10288), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726329] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20356), 1,
      anon_sym_RBRACE,
    STATE(15435), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9340), 1,
      anon_sym_PIPE,
    STATE(15436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9342), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726379] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20358), 1,
      anon_sym_RBRACE,
    STATE(15437), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10250), 1,
      anon_sym_PIPE,
    STATE(15438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10248), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10754), 1,
      anon_sym_PIPE,
    STATE(15439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10752), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726450] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20360), 1,
      sym__lowercase_identifier,
    STATE(7064), 1,
      sym_class_path,
    STATE(15440), 1,
      sym_attribute,
    STATE(16214), 1,
      sym__attribute,
    STATE(19808), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10724), 1,
      anon_sym_PIPE,
    STATE(15441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10722), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10374), 1,
      anon_sym_PIPE,
    STATE(15442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10372), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20362), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15443), 2,
      sym_attribute,
      aux_sym_module_type_constraint_repeat1,
    ACTIONS(13214), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [726542] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_DASH_GT,
    STATE(15444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13584), 5,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_as,
      anon_sym_GT,
  [726563] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9334), 1,
      anon_sym_PIPE,
    STATE(15445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9336), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726584] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20367), 1,
      anon_sym_RBRACE,
    STATE(15446), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10378), 1,
      anon_sym_PIPE,
    STATE(15447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10376), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726634] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10362), 1,
      anon_sym_PIPE,
    STATE(15448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10360), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726655] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20369), 1,
      anon_sym_RBRACE,
    STATE(15449), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726684] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20371), 1,
      anon_sym_RBRACE,
    STATE(15450), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726713] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20373), 1,
      sym__lowercase_identifier,
    STATE(7814), 1,
      sym_class_path,
    STATE(15451), 1,
      sym_attribute,
    STATE(16399), 1,
      sym__attribute,
    STATE(19490), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726742] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20375), 1,
      anon_sym_RBRACE,
    STATE(15452), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726771] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20377), 1,
      anon_sym_RBRACE,
    STATE(15453), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726800] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20379), 1,
      anon_sym_RBRACE,
    STATE(15454), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726829] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20381), 1,
      anon_sym_and,
    STATE(15443), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(15455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13840), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [726852] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20383), 1,
      sym__lowercase_identifier,
    STATE(4165), 1,
      sym_class_path,
    STATE(15456), 1,
      sym_attribute,
    STATE(16124), 1,
      sym__attribute,
    STATE(20755), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726881] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13307), 1,
      anon_sym_and,
    ACTIONS(20385), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13305), 2,
      anon_sym_in,
      sym_let_and_operator,
    STATE(15457), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [726906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9324), 1,
      anon_sym_PIPE,
    STATE(15458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9326), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726927] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20388), 1,
      anon_sym_RBRACE,
    STATE(15459), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [726956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9352), 1,
      anon_sym_PIPE,
    STATE(15460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9354), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [726977] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13926), 1,
      anon_sym_and,
    STATE(15457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15461), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13924), 2,
      anon_sym_in,
      sym_let_and_operator,
  [727004] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20390), 1,
      anon_sym_RBRACE,
    STATE(15462), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727033] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20392), 1,
      sym__lowercase_identifier,
    STATE(6286), 1,
      sym_class_path,
    STATE(15463), 1,
      sym_attribute,
    STATE(16332), 1,
      sym__attribute,
    STATE(19852), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727062] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20394), 1,
      anon_sym_RBRACE,
    STATE(15464), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727091] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20396), 1,
      anon_sym_RBRACE,
    STATE(15465), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727120] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20398), 1,
      sym__lowercase_identifier,
    STATE(7835), 1,
      sym_class_path,
    STATE(15466), 1,
      sym_attribute,
    STATE(16473), 1,
      sym__attribute,
    STATE(20785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727149] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20400), 1,
      anon_sym_RBRACE,
    STATE(15467), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727178] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20402), 1,
      anon_sym_RBRACE,
    STATE(15468), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727207] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20404), 1,
      anon_sym_RBRACE,
    STATE(15469), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727236] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13822), 1,
      anon_sym_and,
    STATE(15359), 1,
      aux_sym_expression_item_repeat1,
    STATE(15470), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13820), 2,
      anon_sym_in,
      sym_let_and_operator,
  [727263] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13932), 1,
      anon_sym_and,
    STATE(15471), 1,
      sym_attribute,
    STATE(15574), 1,
      aux_sym_expression_item_repeat1,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13930), 2,
      anon_sym_in,
      sym_let_and_operator,
  [727290] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20406), 1,
      anon_sym_RBRACE,
    STATE(15472), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727319] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13818), 1,
      anon_sym_and,
    STATE(15457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15473), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13816), 2,
      anon_sym_in,
      sym_let_and_operator,
  [727346] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20408), 1,
      anon_sym_RBRACE,
    STATE(15474), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727375] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20410), 1,
      anon_sym_RBRACE,
    STATE(15475), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10750), 1,
      anon_sym_PIPE,
    STATE(15476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10748), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727425] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20412), 1,
      anon_sym_RBRACE,
    STATE(15477), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727454] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20414), 1,
      anon_sym_RBRACE,
    STATE(15478), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10676), 1,
      anon_sym_PIPE,
    STATE(15479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10674), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727504] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20416), 1,
      anon_sym_RBRACE,
    STATE(15480), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727533] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20418), 1,
      anon_sym_RBRACE,
    STATE(15481), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727562] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20420), 1,
      anon_sym_RBRACE,
    STATE(15482), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727591] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20422), 1,
      anon_sym_RBRACE,
    STATE(15483), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10746), 1,
      anon_sym_PIPE,
    STATE(15484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10744), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727641] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20424), 1,
      sym__lowercase_identifier,
    STATE(7044), 1,
      sym_class_path,
    STATE(15485), 1,
      sym_attribute,
    STATE(16219), 1,
      sym__attribute,
    STATE(20527), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727670] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13936), 1,
      anon_sym_and,
    STATE(15457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15486), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13934), 2,
      anon_sym_in,
      sym_let_and_operator,
  [727697] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20426), 1,
      anon_sym_RBRACE,
    STATE(15487), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727726] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20428), 1,
      sym__lowercase_identifier,
    STATE(7397), 1,
      sym_class_path,
    STATE(15488), 1,
      sym_attribute,
    STATE(16121), 1,
      sym__attribute,
    STATE(20013), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10814), 1,
      anon_sym_PIPE,
    STATE(15489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10812), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727776] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20430), 1,
      anon_sym_RBRACE,
    STATE(15490), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10350), 1,
      anon_sym_PIPE,
    STATE(15491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10348), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727826] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20432), 1,
      anon_sym_RBRACE,
    STATE(15492), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10326), 1,
      anon_sym_PIPE,
    STATE(15493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10324), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10258), 1,
      anon_sym_PIPE,
    STATE(15494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10256), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10342), 1,
      anon_sym_PIPE,
    STATE(15495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10340), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [727918] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20434), 1,
      anon_sym_RBRACE,
    STATE(15496), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727947] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20436), 1,
      anon_sym_RBRACE,
    STATE(15497), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [727976] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20438), 1,
      anon_sym_RBRACE,
    STATE(15498), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728005] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    STATE(15499), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728034] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20442), 1,
      anon_sym_RBRACE,
    STATE(15500), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728063] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    STATE(15501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18605), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [728090] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20444), 1,
      anon_sym_RBRACE,
    STATE(15502), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728119] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20446), 1,
      anon_sym_RBRACE,
    STATE(15503), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728148] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20448), 1,
      anon_sym_RBRACE,
    STATE(15504), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728177] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13728), 1,
      anon_sym_and,
    STATE(15486), 1,
      aux_sym_expression_item_repeat1,
    STATE(15505), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13726), 2,
      anon_sym_in,
      sym_let_and_operator,
  [728204] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20450), 1,
      anon_sym_RBRACE,
    STATE(15506), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728233] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    STATE(15507), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728262] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20454), 1,
      anon_sym_RBRACE,
    STATE(15508), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728291] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20456), 1,
      anon_sym_RBRACE,
    STATE(15509), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728320] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(19426), 1,
      anon_sym_COMMA,
    ACTIONS(19428), 1,
      anon_sym_PIPE,
    ACTIONS(19434), 1,
      anon_sym_COLON_COLON,
    STATE(15510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20458), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [728347] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20460), 1,
      anon_sym_RBRACE,
    STATE(15511), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728376] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20462), 1,
      sym__lowercase_identifier,
    STATE(6782), 1,
      sym_class_path,
    STATE(15512), 1,
      sym_attribute,
    STATE(16564), 1,
      sym__attribute,
    STATE(19601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728405] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(15513), 1,
      sym_attribute,
    STATE(16538), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22437), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [728432] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20464), 1,
      sym__lowercase_identifier,
    STATE(8211), 1,
      sym_class_path,
    STATE(15514), 1,
      sym_attribute,
    STATE(15888), 1,
      sym__attribute,
    STATE(20136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728461] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20466), 1,
      anon_sym_RBRACE,
    STATE(15515), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728490] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13724), 1,
      anon_sym_and,
    STATE(15457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15516), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13722), 2,
      anon_sym_in,
      sym_let_and_operator,
  [728517] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20468), 1,
      anon_sym_RBRACE,
    STATE(15517), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728546] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20470), 1,
      anon_sym_RBRACE,
    STATE(15518), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728575] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20472), 1,
      anon_sym_RBRACE,
    STATE(15519), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728604] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20474), 1,
      anon_sym_RBRACE,
    STATE(15520), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728633] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20476), 1,
      sym__lowercase_identifier,
    STATE(7872), 1,
      sym_class_path,
    STATE(15521), 1,
      sym_attribute,
    STATE(15883), 1,
      sym__attribute,
    STATE(22247), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728662] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20478), 1,
      anon_sym_RBRACE,
    STATE(15522), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728691] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20480), 1,
      sym__lowercase_identifier,
    STATE(8804), 1,
      sym_class_path,
    STATE(15523), 1,
      sym_attribute,
    STATE(16361), 1,
      sym__attribute,
    STATE(20979), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728720] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18373), 1,
      anon_sym_PIPE,
    STATE(15524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18371), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10770), 1,
      anon_sym_PIPE,
    STATE(15525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10768), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728762] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10774), 1,
      anon_sym_PIPE,
    STATE(15526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10772), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728783] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20482), 1,
      anon_sym_RBRACE,
    STATE(15527), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728812] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20484), 1,
      sym__lowercase_identifier,
    STATE(3541), 1,
      sym_class_path,
    STATE(15528), 1,
      sym_attribute,
    STATE(16411), 1,
      sym__attribute,
    STATE(20829), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728841] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20486), 1,
      anon_sym_RBRACE,
    STATE(15529), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728870] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20488), 1,
      sym__lowercase_identifier,
    STATE(4449), 1,
      sym_class_path,
    STATE(15530), 1,
      sym_attribute,
    STATE(16373), 1,
      sym__attribute,
    STATE(20413), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728899] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20490), 1,
      anon_sym_RBRACE,
    STATE(15531), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728928] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20492), 1,
      anon_sym_RBRACE,
    STATE(15532), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [728957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10742), 1,
      anon_sym_PIPE,
    STATE(15533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10740), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [728978] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20494), 1,
      anon_sym_RBRACE,
    STATE(15534), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729007] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20496), 1,
      anon_sym_RBRACE,
    STATE(15535), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729036] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19556), 1,
      anon_sym_COMMA,
    ACTIONS(19558), 1,
      anon_sym_PIPE,
    ACTIONS(19562), 1,
      anon_sym_as,
    ACTIONS(19564), 1,
      anon_sym_COLON_COLON,
    STATE(15536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20216), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [729063] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20498), 1,
      anon_sym_RBRACE,
    STATE(15537), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729092] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20500), 1,
      anon_sym_RBRACE,
    STATE(15538), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729121] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20502), 1,
      sym__lowercase_identifier,
    STATE(8082), 1,
      sym_class_path,
    STATE(15539), 1,
      sym_attribute,
    STATE(15967), 1,
      sym__attribute,
    STATE(21194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729150] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20504), 1,
      sym__lowercase_identifier,
    STATE(8634), 1,
      sym_class_path,
    STATE(15540), 1,
      sym_attribute,
    STATE(16294), 1,
      sym__attribute,
    STATE(20217), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729179] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20506), 1,
      anon_sym_RBRACE,
    STATE(15541), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729208] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20508), 1,
      anon_sym_RBRACE,
    STATE(15542), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729237] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20510), 1,
      sym__lowercase_identifier,
    STATE(6121), 1,
      sym_class_path,
    STATE(15543), 1,
      sym_attribute,
    STATE(16418), 1,
      sym__attribute,
    STATE(19656), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729266] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20512), 1,
      anon_sym_RBRACE,
    STATE(15544), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729295] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(15545), 1,
      sym_attribute,
    STATE(16528), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22429), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [729322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10282), 1,
      anon_sym_PIPE,
    STATE(15546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10280), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10316), 1,
      anon_sym_PIPE,
    STATE(15547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10314), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(15548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20514), 4,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
      anon_sym_AMP,
  [729387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18345), 1,
      anon_sym_PIPE,
    STATE(15549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18343), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729408] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20516), 1,
      anon_sym_RBRACE,
    STATE(15550), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729437] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20518), 1,
      anon_sym_RBRACE,
    STATE(15551), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729466] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20520), 1,
      sym__lowercase_identifier,
    STATE(4333), 1,
      sym_class_path,
    STATE(15552), 1,
      sym_attribute,
    STATE(16457), 1,
      sym__attribute,
    STATE(20257), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10308), 1,
      anon_sym_PIPE,
    STATE(15553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10306), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729516] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20522), 1,
      sym__lowercase_identifier,
    STATE(7671), 1,
      sym_class_path,
    STATE(15554), 1,
      sym_attribute,
    STATE(16196), 1,
      sym__attribute,
    STATE(19890), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729545] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18144), 1,
      anon_sym_PIPE,
    STATE(15555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18142), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10274), 1,
      anon_sym_PIPE,
    STATE(15556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10272), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [729587] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15557), 1,
      sym_attribute,
    STATE(16064), 1,
      sym__attribute,
    STATE(18971), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729616] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20524), 1,
      sym__lowercase_identifier,
    STATE(4276), 1,
      sym_class_path,
    STATE(15558), 1,
      sym_attribute,
    STATE(16004), 1,
      sym__attribute,
    STATE(20095), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729645] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20526), 1,
      sym__lowercase_identifier,
    STATE(7538), 1,
      sym_class_path,
    STATE(15559), 1,
      sym_attribute,
    STATE(16319), 1,
      sym__attribute,
    STATE(19972), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729674] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20528), 1,
      sym__lowercase_identifier,
    STATE(9211), 1,
      sym_class_path,
    STATE(15560), 1,
      sym_attribute,
    STATE(16105), 1,
      sym__attribute,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729703] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20530), 1,
      anon_sym_RBRACE,
    STATE(15561), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729732] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20532), 1,
      anon_sym_RBRACE,
    STATE(15562), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729761] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20534), 1,
      anon_sym_RBRACE,
    STATE(15563), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729790] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20536), 1,
      anon_sym_RBRACE,
    STATE(15564), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13523), 1,
      anon_sym_RPAREN,
    STATE(15565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12751), 5,
      anon_sym_DASH_GT,
      anon_sym_STAR,
      anon_sym_POUND,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [729840] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(15566), 1,
      sym_attribute,
    STATE(16520), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22410), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [729867] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20538), 1,
      anon_sym_RBRACE,
    STATE(15567), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729896] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20540), 1,
      sym__lowercase_identifier,
    STATE(3451), 1,
      sym_class_path,
    STATE(15568), 1,
      sym_attribute,
    STATE(16220), 1,
      sym__attribute,
    STATE(20792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729925] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20542), 1,
      anon_sym_RBRACE,
    STATE(15569), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729954] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20544), 1,
      sym__lowercase_identifier,
    STATE(4786), 1,
      sym_class_path,
    STATE(15570), 1,
      sym_attribute,
    STATE(16277), 1,
      sym__attribute,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [729983] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20546), 1,
      anon_sym_RBRACE,
    STATE(15571), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730012] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13850), 1,
      anon_sym_and,
    STATE(15473), 1,
      aux_sym_expression_item_repeat1,
    STATE(15572), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13848), 2,
      anon_sym_in,
      sym_let_and_operator,
  [730039] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20548), 1,
      anon_sym_RBRACE,
    STATE(15573), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730068] = 8,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(8777), 1,
      anon_sym_LBRACK_AT_AT,
    ACTIONS(13846), 1,
      anon_sym_and,
    STATE(15457), 1,
      aux_sym_expression_item_repeat1,
    STATE(15574), 1,
      sym_attribute,
    STATE(15964), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13844), 2,
      anon_sym_in,
      sym_let_and_operator,
  [730095] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20550), 1,
      anon_sym_RBRACE,
    STATE(15575), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730124] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20552), 1,
      anon_sym_RBRACE,
    STATE(15576), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730153] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20554), 1,
      anon_sym_RBRACE,
    STATE(15577), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730182] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20556), 1,
      anon_sym_RBRACE,
    STATE(15578), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730211] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20558), 1,
      anon_sym_RBRACE,
    STATE(15579), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730240] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    STATE(15580), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730269] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20562), 1,
      anon_sym_RBRACE,
    STATE(15581), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730298] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    STATE(15582), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730327] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20566), 1,
      anon_sym_RBRACE,
    STATE(15583), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730356] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20568), 1,
      sym__lowercase_identifier,
    STATE(4424), 1,
      sym_class_path,
    STATE(15584), 1,
      sym_attribute,
    STATE(16173), 1,
      sym__attribute,
    STATE(19364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730385] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20570), 1,
      anon_sym_RBRACE,
    STATE(15585), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730414] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20572), 1,
      anon_sym_RBRACE,
    STATE(15586), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730443] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    ACTIONS(20574), 1,
      anon_sym_RBRACK,
    STATE(15587), 1,
      sym_attribute,
    STATE(17695), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730472] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20576), 1,
      anon_sym_RBRACE,
    STATE(15588), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730501] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19444), 1,
      anon_sym_PIPE,
    ACTIONS(19448), 1,
      anon_sym_as,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    STATE(15589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18572), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [730528] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20578), 1,
      anon_sym_RBRACE,
    STATE(15590), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730557] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10730), 1,
      anon_sym_PIPE,
    STATE(15591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10728), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730578] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20580), 1,
      anon_sym_RBRACE,
    STATE(15592), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18154), 1,
      anon_sym_PIPE,
    STATE(15593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18152), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [730628] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20582), 1,
      anon_sym_RBRACE,
    STATE(15594), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730657] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20584), 1,
      anon_sym_RBRACE,
    STATE(15595), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730686] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20586), 1,
      anon_sym_RBRACE,
    STATE(15596), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730715] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15597), 1,
      sym_attribute,
    STATE(16276), 1,
      sym__attribute,
    STATE(19009), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730744] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20588), 1,
      anon_sym_RBRACE,
    STATE(15598), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730773] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20590), 1,
      anon_sym_RBRACE,
    STATE(15599), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20381), 1,
      anon_sym_and,
    STATE(15455), 1,
      aux_sym_module_type_constraint_repeat1,
    STATE(15600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13810), 4,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
      anon_sym_DASH_GT,
      anon_sym_with,
  [730825] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20592), 1,
      anon_sym_RBRACE,
    STATE(15601), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730854] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20594), 1,
      anon_sym_RBRACE,
    STATE(15602), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730883] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20596), 1,
      anon_sym_RBRACE,
    STATE(15603), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730912] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20598), 1,
      anon_sym_RBRACE,
    STATE(15604), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730941] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20600), 1,
      anon_sym_RBRACE,
    STATE(15605), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730970] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20602), 1,
      anon_sym_RBRACE,
    STATE(15606), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [730999] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20604), 1,
      sym__lowercase_identifier,
    STATE(5381), 1,
      sym_class_path,
    STATE(15607), 1,
      sym_attribute,
    STATE(15962), 1,
      sym__attribute,
    STATE(20191), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731028] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20606), 1,
      anon_sym_RBRACE,
    STATE(15608), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731057] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20608), 1,
      anon_sym_RBRACE,
    STATE(15609), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731086] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20610), 1,
      anon_sym_RBRACE,
    STATE(15610), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731115] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18178), 1,
      anon_sym_PIPE,
    STATE(15611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18176), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [731136] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(15612), 1,
      sym_attribute,
    STATE(16298), 1,
      sym__attribute,
    STATE(18253), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731165] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20612), 1,
      sym__lowercase_identifier,
    STATE(7216), 1,
      sym_class_path,
    STATE(15613), 1,
      sym_attribute,
    STATE(15982), 1,
      sym__attribute,
    STATE(20641), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731194] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20614), 1,
      anon_sym_RBRACE,
    STATE(15614), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731223] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18558), 1,
      anon_sym_PIPE,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    STATE(15615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18556), 4,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [731246] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20616), 1,
      anon_sym_RBRACE,
    STATE(15616), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731275] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20618), 1,
      anon_sym_RBRACE,
    STATE(15617), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731304] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20620), 1,
      anon_sym_RBRACE,
    STATE(15618), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731333] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20622), 1,
      anon_sym_RBRACE,
    STATE(15619), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731362] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20624), 1,
      anon_sym_RBRACE,
    STATE(15620), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731391] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20626), 1,
      anon_sym_RBRACE,
    STATE(15621), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731420] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18166), 1,
      anon_sym_PIPE,
    STATE(15622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18164), 5,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_COLON_COLON,
      anon_sym_PIPE_RBRACK,
  [731441] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20628), 1,
      anon_sym_RBRACE,
    STATE(15623), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731470] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18552), 1,
      anon_sym_PIPE,
    ACTIONS(19442), 1,
      anon_sym_COMMA,
    ACTIONS(19450), 1,
      anon_sym_COLON_COLON,
    STATE(15624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18548), 3,
      anon_sym_SEMI,
      anon_sym_as,
      anon_sym_PIPE_RBRACK,
  [731495] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    ACTIONS(20630), 1,
      sym__lowercase_identifier,
    STATE(3539), 1,
      sym_class_path,
    STATE(15625), 1,
      sym_attribute,
    STATE(16290), 1,
      sym__attribute,
    STATE(20451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731524] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20632), 1,
      anon_sym_RBRACE,
    STATE(15626), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731553] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20634), 1,
      anon_sym_RBRACE,
    STATE(15627), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731582] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20636), 1,
      anon_sym_RBRACE,
    STATE(15628), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731611] = 9,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    ACTIONS(20638), 1,
      anon_sym_RBRACE,
    STATE(15629), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731640] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(13821), 1,
      sym__instance_variable_name,
    STATE(15630), 1,
      sym_attribute,
    STATE(16474), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20308), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [731664] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13676), 1,
      sym__lowercase_identifier,
    ACTIONS(20640), 1,
      anon_sym_POUND,
    STATE(14568), 1,
      sym_type_constructor_path,
    STATE(15631), 1,
      sym_attribute,
    STATE(19012), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731690] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(10173), 1,
      sym__constructor_name,
    STATE(11641), 1,
      sym_constructor_path,
    STATE(15632), 1,
      sym_attribute,
    STATE(20537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731716] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15633), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17059), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20644), 1,
      anon_sym_type,
    ACTIONS(20646), 1,
      anon_sym_module,
    STATE(15634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11823), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [731764] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20650), 1,
      anon_sym_SEMI,
    ACTIONS(20652), 1,
      anon_sym_GT_RBRACE,
    STATE(15635), 1,
      sym_attribute,
    STATE(17404), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731790] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20654), 1,
      anon_sym_RBRACK,
    STATE(15636), 1,
      sym_attribute,
    STATE(17468), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731816] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(10173), 1,
      sym__constructor_name,
    STATE(11651), 1,
      sym_constructor_path,
    STATE(15637), 1,
      sym_attribute,
    STATE(20537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    STATE(15638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14501), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [731864] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20660), 1,
      anon_sym_EQ,
    ACTIONS(20662), 1,
      anon_sym_COLON2,
    STATE(15639), 1,
      sym_attribute,
    STATE(17020), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20664), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [731888] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15640), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17465), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731914] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12759), 1,
      sym__lowercase_identifier,
    ACTIONS(20666), 1,
      anon_sym_POUND,
    STATE(11514), 1,
      sym_type_constructor_path,
    STATE(15641), 1,
      sym_attribute,
    STATE(19110), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731940] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15642), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17067), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731966] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15643), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17069), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [731992] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20668), 1,
      anon_sym_RBRACK,
    STATE(15644), 1,
      sym_attribute,
    STATE(18016), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732018] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15645), 1,
      sym_attribute,
    STATE(16707), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732044] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    STATE(15646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14025), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [732066] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20670), 1,
      anon_sym_type,
    ACTIONS(20672), 1,
      anon_sym_module,
    STATE(15647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10634), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [732088] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15648), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16740), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732114] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20674), 1,
      anon_sym_SEMI,
    ACTIONS(20676), 1,
      anon_sym_GT_RBRACE,
    STATE(15649), 1,
      sym_attribute,
    STATE(16982), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732140] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15650), 1,
      sym_attribute,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12945), 2,
      anon_sym_and,
      anon_sym_in,
  [732164] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12731), 1,
      sym__lowercase_identifier,
    ACTIONS(20678), 1,
      anon_sym_POUND,
    STATE(11315), 1,
      sym_type_constructor_path,
    STATE(15651), 1,
      sym_attribute,
    STATE(19205), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732190] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(13630), 1,
      sym__instance_variable_name,
    STATE(15652), 1,
      sym_attribute,
    STATE(16474), 1,
      aux_sym_instance_variable_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20308), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [732214] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15653), 1,
      sym_attribute,
    STATE(17046), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20680), 1,
      anon_sym_type,
    ACTIONS(20682), 1,
      anon_sym_module,
    STATE(15654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12452), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [732262] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10418), 1,
      sym__uppercase_identifier,
    ACTIONS(20684), 1,
      anon_sym_LPAREN,
    STATE(14733), 1,
      sym__constructor_name,
    STATE(15655), 1,
      sym_attribute,
    STATE(18703), 1,
      sym_constructor_path,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732288] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15656), 1,
      sym_attribute,
    STATE(17124), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732314] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20686), 1,
      anon_sym_RPAREN,
    STATE(15657), 1,
      sym_attribute,
    STATE(17102), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732340] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20688), 1,
      anon_sym_SEMI,
    ACTIONS(20690), 1,
      anon_sym_GT_RBRACE,
    STATE(15658), 1,
      sym_attribute,
    STATE(17478), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732366] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_DASH_GT,
    ACTIONS(20692), 1,
      anon_sym_as,
    STATE(15659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 3,
      anon_sym_EQ,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [732388] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15660), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17453), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732414] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20694), 1,
      anon_sym_RBRACK,
    STATE(15661), 1,
      sym_attribute,
    STATE(17181), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732440] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15662), 1,
      sym_attribute,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14541), 2,
      anon_sym_and,
      anon_sym_in,
  [732464] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20696), 1,
      anon_sym_type,
    ACTIONS(20698), 1,
      anon_sym_module,
    STATE(15663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15600), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [732486] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20700), 1,
      anon_sym_RPAREN,
    STATE(15664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732512] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10418), 1,
      sym__uppercase_identifier,
    ACTIONS(20684), 1,
      anon_sym_LPAREN,
    STATE(14733), 1,
      sym__constructor_name,
    STATE(15665), 1,
      sym_attribute,
    STATE(18734), 1,
      sym_constructor_path,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_DASH_GT,
    ACTIONS(20692), 1,
      anon_sym_as,
    STATE(15666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [732560] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20702), 1,
      anon_sym_type,
    ACTIONS(20704), 1,
      anon_sym_module,
    STATE(15667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15166), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [732582] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15668), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17655), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732608] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15669), 1,
      sym_attribute,
    STATE(18006), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732634] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(15670), 1,
      sym_attribute,
    STATE(15813), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(18644), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20308), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [732658] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20706), 1,
      anon_sym_RPAREN,
    STATE(15671), 1,
      sym_attribute,
    STATE(18095), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20708), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20710), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [732720] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15674), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16782), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732746] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15675), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16657), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732772] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20712), 1,
      anon_sym_SEMI,
    ACTIONS(20714), 1,
      anon_sym_GT_RBRACE,
    STATE(15676), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18038), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732798] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15677), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16944), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732824] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20716), 1,
      anon_sym_RPAREN,
    STATE(15678), 1,
      sym_attribute,
    STATE(17213), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732850] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10418), 1,
      sym__uppercase_identifier,
    ACTIONS(20684), 1,
      anon_sym_LPAREN,
    STATE(14733), 1,
      sym__constructor_name,
    STATE(15679), 1,
      sym_attribute,
    STATE(18473), 1,
      sym_constructor_path,
    STATE(20049), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732876] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15680), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16756), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732902] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20718), 1,
      anon_sym_SEMI,
    ACTIONS(20720), 1,
      anon_sym_GT_RBRACE,
    STATE(15681), 1,
      sym_attribute,
    STATE(17432), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732928] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20324), 1,
      anon_sym_RBRACK,
    STATE(15682), 1,
      sym_attribute,
    STATE(17531), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732954] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20722), 1,
      anon_sym_SEMI,
    ACTIONS(20724), 1,
      anon_sym_GT_RBRACE,
    STATE(15683), 1,
      sym_attribute,
    STATE(16631), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [732980] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20726), 1,
      anon_sym_RPAREN,
    STATE(15684), 1,
      sym_attribute,
    STATE(17503), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733006] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20728), 1,
      anon_sym_SEMI,
    ACTIONS(20730), 1,
      anon_sym_GT_RBRACE,
    STATE(15685), 1,
      sym_attribute,
    STATE(17331), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733032] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15686), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16753), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733058] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15687), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17828), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733084] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20732), 1,
      sym__lowercase_identifier,
    ACTIONS(20734), 1,
      anon_sym_LPAREN,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    STATE(13272), 1,
      sym__value_name,
    STATE(13535), 1,
      sym_parenthesized_operator,
    STATE(15688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733110] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20738), 1,
      anon_sym_RPAREN,
    STATE(15689), 1,
      sym_attribute,
    STATE(17075), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20670), 1,
      anon_sym_type,
    ACTIONS(20672), 1,
      anon_sym_module,
    STATE(15690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(12419), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [733158] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20740), 1,
      anon_sym_SEMI,
    ACTIONS(20742), 1,
      anon_sym_GT_RBRACE,
    STATE(15691), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18036), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733184] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20744), 1,
      anon_sym_SEMI,
    ACTIONS(20746), 1,
      anon_sym_GT_RBRACE,
    STATE(15692), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18079), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733210] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15693), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(19297), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733236] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20748), 1,
      anon_sym_RPAREN,
    STATE(15694), 1,
      sym_attribute,
    STATE(17026), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733262] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20750), 1,
      anon_sym_RPAREN,
    STATE(15695), 1,
      sym_attribute,
    STATE(17604), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733288] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20752), 1,
      anon_sym_SEMI,
    ACTIONS(20754), 1,
      anon_sym_GT_RBRACE,
    STATE(15696), 1,
      sym_attribute,
    STATE(17091), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733314] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15697), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17113), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733340] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20756), 1,
      anon_sym_SEMI,
    ACTIONS(20758), 1,
      anon_sym_GT_RBRACE,
    STATE(15698), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17963), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20760), 1,
      anon_sym_AMP,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15699), 2,
      sym_attribute,
      aux_sym_tag_specification_repeat1,
    ACTIONS(20514), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [733386] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(20763), 1,
      anon_sym_RPAREN,
    STATE(15700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20046), 1,
      anon_sym_AMP,
    STATE(15699), 1,
      aux_sym_tag_specification_repeat1,
    STATE(15701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20765), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [733434] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15702), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17373), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733460] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20767), 1,
      anon_sym_SEMI,
    ACTIONS(20769), 1,
      anon_sym_GT_RBRACE,
    STATE(15703), 1,
      sym_attribute,
    STATE(17504), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733486] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15704), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16688), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733512] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12599), 1,
      sym__lowercase_identifier,
    ACTIONS(20771), 1,
      anon_sym_POUND,
    STATE(10339), 1,
      sym_type_constructor_path,
    STATE(15705), 1,
      sym_attribute,
    STATE(18631), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    STATE(15706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14128), 3,
      anon_sym_and,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [733560] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20773), 1,
      anon_sym_SEMI,
    ACTIONS(20775), 1,
      anon_sym_GT_RBRACE,
    STATE(15707), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18057), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733586] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20777), 1,
      anon_sym_SEMI,
    ACTIONS(20779), 1,
      anon_sym_GT_RBRACE,
    STATE(15708), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17627), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733612] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15709), 1,
      sym_attribute,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14410), 2,
      anon_sym_and,
      anon_sym_in,
  [733636] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12693), 1,
      sym__lowercase_identifier,
    ACTIONS(20781), 1,
      anon_sym_POUND,
    STATE(12186), 1,
      sym_type_constructor_path,
    STATE(15710), 1,
      sym_attribute,
    STATE(19081), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733662] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20783), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13305), 2,
      anon_sym_and,
      anon_sym_in,
    STATE(15711), 2,
      sym_attribute,
      aux_sym_expression_item_repeat1,
  [733684] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20786), 1,
      anon_sym_RPAREN,
    STATE(15712), 1,
      sym_attribute,
    STATE(17464), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733710] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15713), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17989), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733736] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20788), 1,
      anon_sym_SEMI,
    ACTIONS(20790), 1,
      anon_sym_GT_RBRACE,
    STATE(15714), 1,
      sym_attribute,
    STATE(16747), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733762] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15715), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17579), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733788] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15716), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17574), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733814] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20792), 1,
      anon_sym_SEMI,
    ACTIONS(20794), 1,
      anon_sym_GT_RBRACE,
    STATE(15717), 1,
      sym_attribute,
    STATE(17519), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733840] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15718), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(16694), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733866] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15719), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17505), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733892] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20796), 1,
      anon_sym_SEMI,
    ACTIONS(20798), 1,
      anon_sym_GT_RBRACE,
    STATE(15720), 1,
      sym_attribute,
    STATE(17038), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733918] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20800), 1,
      anon_sym_SEMI,
    ACTIONS(20802), 1,
      anon_sym_GT_RBRACE,
    STATE(15721), 1,
      sym_attribute,
    STATE(17137), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733944] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(20804), 1,
      anon_sym_RPAREN,
    STATE(15722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733970] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20806), 1,
      anon_sym_RPAREN,
    STATE(15723), 1,
      sym_attribute,
    STATE(17284), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [733996] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20808), 1,
      anon_sym_SEMI,
    ACTIONS(20810), 1,
      anon_sym_GT_RBRACE,
    STATE(15724), 1,
      sym_attribute,
    STATE(16723), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734022] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12665), 1,
      sym__lowercase_identifier,
    ACTIONS(20812), 1,
      anon_sym_POUND,
    STATE(10666), 1,
      sym_type_constructor_path,
    STATE(15725), 1,
      sym_attribute,
    STATE(19255), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734048] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20814), 1,
      anon_sym_RPAREN,
    STATE(15726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734074] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13628), 1,
      sym__lowercase_identifier,
    ACTIONS(20816), 1,
      anon_sym_POUND,
    STATE(14245), 1,
      sym_type_constructor_path,
    STATE(15727), 1,
      sym_attribute,
    STATE(19029), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734100] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15728), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17054), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734126] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20818), 1,
      anon_sym_SEMI,
    ACTIONS(20820), 1,
      anon_sym_GT_RBRACE,
    STATE(15729), 1,
      sym_attribute,
    STATE(16993), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734152] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15730), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16964), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20822), 1,
      anon_sym_type,
    ACTIONS(20824), 1,
      anon_sym_module,
    STATE(15731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(11456), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [734200] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15732), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16821), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734226] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20826), 1,
      anon_sym_RPAREN,
    STATE(15733), 1,
      sym_attribute,
    STATE(18019), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_DASH_GT,
    ACTIONS(20692), 1,
      anon_sym_as,
    STATE(15734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16836), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [734274] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12775), 1,
      sym__lowercase_identifier,
    ACTIONS(20828), 1,
      anon_sym_POUND,
    STATE(12321), 1,
      sym_type_constructor_path,
    STATE(15735), 1,
      sym_attribute,
    STATE(19190), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734300] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15736), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17167), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734326] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20830), 1,
      anon_sym_SEMI,
    ACTIONS(20832), 1,
      anon_sym_GT_RBRACE,
    STATE(15737), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17634), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_DASH_GT,
    ACTIONS(20692), 1,
      anon_sym_as,
    STATE(15738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_GT,
  [734374] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20834), 1,
      anon_sym_SEMI,
    ACTIONS(20836), 1,
      anon_sym_GT_RBRACE,
    STATE(15739), 1,
      sym_attribute,
    STATE(17325), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734400] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20838), 1,
      anon_sym_RPAREN,
    STATE(15740), 1,
      sym_attribute,
    STATE(17130), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734426] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20822), 1,
      anon_sym_type,
    ACTIONS(20824), 1,
      anon_sym_module,
    STATE(15741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10634), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [734448] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12541), 1,
      sym__lowercase_identifier,
    ACTIONS(20840), 1,
      anon_sym_POUND,
    STATE(12027), 1,
      sym_type_constructor_path,
    STATE(15742), 1,
      sym_attribute,
    STATE(18997), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734474] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12677), 1,
      sym__lowercase_identifier,
    ACTIONS(20842), 1,
      anon_sym_POUND,
    STATE(11211), 1,
      sym_type_constructor_path,
    STATE(15743), 1,
      sym_attribute,
    STATE(19283), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734500] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15744), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17689), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734526] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(13821), 1,
      sym__instance_variable_name,
    STATE(15652), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(15745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20308), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [734550] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12571), 1,
      sym__lowercase_identifier,
    ACTIONS(20844), 1,
      anon_sym_POUND,
    STATE(11820), 1,
      sym_type_constructor_path,
    STATE(15746), 1,
      sym_attribute,
    STATE(18738), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734576] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(20846), 1,
      anon_sym_RPAREN,
    STATE(15747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734602] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20848), 1,
      anon_sym_RPAREN,
    STATE(15748), 1,
      sym_attribute,
    STATE(17246), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734628] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20850), 1,
      anon_sym_SEMI,
    ACTIONS(20852), 1,
      anon_sym_GT_RBRACE,
    STATE(15749), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18059), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734654] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13595), 1,
      sym__lowercase_identifier,
    ACTIONS(20854), 1,
      anon_sym_POUND,
    STATE(10938), 1,
      sym_type_constructor_path,
    STATE(15750), 1,
      sym_attribute,
    STATE(18980), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734680] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15751), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18780), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734706] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15752), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17320), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734732] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20856), 1,
      anon_sym_RPAREN,
    STATE(15753), 1,
      sym_attribute,
    STATE(17755), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734758] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20858), 1,
      anon_sym_EQ,
    ACTIONS(20860), 1,
      anon_sym_of,
    ACTIONS(20862), 1,
      anon_sym_COLON2,
    STATE(15754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13776), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [734782] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10434), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(10173), 1,
      sym__constructor_name,
    STATE(11666), 1,
      sym_constructor_path,
    STATE(15755), 1,
      sym_attribute,
    STATE(20537), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734808] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20864), 1,
      anon_sym_SEMI,
    ACTIONS(20866), 1,
      anon_sym_GT_RBRACE,
    STATE(15756), 1,
      sym_attribute,
    STATE(16696), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734834] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20868), 1,
      anon_sym_RBRACK,
    STATE(15757), 1,
      sym_attribute,
    STATE(18099), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734860] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20696), 1,
      anon_sym_type,
    ACTIONS(20698), 1,
      anon_sym_module,
    STATE(15758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10634), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [734882] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15759), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17492), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734908] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15760), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16674), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734934] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15761), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17362), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734960] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15762), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16604), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [734986] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15763), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16834), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735012] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20870), 1,
      anon_sym_SEMI,
    ACTIONS(20872), 1,
      anon_sym_GT_RBRACE,
    STATE(15764), 1,
      sym_attribute,
    STATE(17606), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735038] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20874), 1,
      anon_sym_SEMI,
    ACTIONS(20876), 1,
      anon_sym_GT_RBRACE,
    STATE(15765), 1,
      sym_attribute,
    STATE(16853), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735064] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15766), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17294), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735090] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20878), 1,
      anon_sym_RPAREN,
    STATE(15767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735116] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20880), 1,
      anon_sym_EQ,
    ACTIONS(20882), 1,
      anon_sym_of,
    ACTIONS(20884), 1,
      anon_sym_COLON2,
    STATE(15768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13868), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735140] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20886), 1,
      anon_sym_SEMI,
    ACTIONS(20888), 1,
      anon_sym_GT_RBRACE,
    STATE(15769), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17617), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735166] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20574), 1,
      anon_sym_RBRACK,
    STATE(15770), 1,
      sym_attribute,
    STATE(17695), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735192] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20890), 1,
      anon_sym_SEMI,
    ACTIONS(20892), 1,
      anon_sym_GT_RBRACE,
    STATE(15771), 1,
      sym_attribute,
    STATE(17191), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735218] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20894), 1,
      anon_sym_SEMI,
    ACTIONS(20896), 1,
      anon_sym_GT_RBRACE,
    STATE(15772), 1,
      sym_attribute,
    STATE(17168), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735244] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(15773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9330), 5,
      anon_sym_EQ,
      anon_sym_of,
      anon_sym_COLON2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735262] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20898), 1,
      anon_sym_SEMI,
    ACTIONS(20900), 1,
      anon_sym_GT_RBRACE,
    STATE(15774), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17945), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735288] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20902), 1,
      anon_sym_SEMI,
    ACTIONS(20904), 1,
      anon_sym_GT_RBRACE,
    STATE(15775), 1,
      sym_attribute,
    STATE(17261), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735314] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20906), 1,
      anon_sym_RPAREN,
    STATE(15776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735340] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15777), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17710), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735366] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13640), 1,
      sym__lowercase_identifier,
    ACTIONS(20908), 1,
      anon_sym_POUND,
    STATE(10857), 1,
      sym_type_constructor_path,
    STATE(15778), 1,
      sym_attribute,
    STATE(19049), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735392] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20910), 1,
      sym__lowercase_identifier,
    ACTIONS(20914), 1,
      anon_sym_BANG,
    STATE(15779), 1,
      sym_attribute,
    STATE(15943), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20912), 2,
      anon_sym_private,
      anon_sym_virtual,
  [735416] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13652), 1,
      sym__lowercase_identifier,
    ACTIONS(20916), 1,
      anon_sym_POUND,
    STATE(13131), 1,
      sym_type_constructor_path,
    STATE(15780), 1,
      sym_attribute,
    STATE(19229), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735442] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20918), 1,
      anon_sym_SEMI,
    ACTIONS(20920), 1,
      anon_sym_GT_RBRACE,
    STATE(15781), 1,
      sym_attribute,
    STATE(16867), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20702), 1,
      anon_sym_type,
    ACTIONS(20704), 1,
      anon_sym_module,
    STATE(15782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14861), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [735490] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15783), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17682), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735516] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(20922), 1,
      anon_sym_EQ,
    ACTIONS(20924), 1,
      anon_sym_of,
    ACTIONS(20926), 1,
      anon_sym_COLON2,
    STATE(15784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13856), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [735540] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(15785), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14096), 2,
      anon_sym_and,
      anon_sym_in,
  [735564] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20928), 1,
      anon_sym_RPAREN,
    STATE(15786), 1,
      sym_attribute,
    STATE(17428), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735590] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20930), 1,
      anon_sym_SEMI,
    ACTIONS(20932), 1,
      anon_sym_GT_RBRACE,
    STATE(15787), 1,
      sym_attribute,
    STATE(16907), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735616] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15788), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17144), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735642] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(11641), 1,
      sym_constructor_path,
    STATE(15789), 1,
      sym_attribute,
    STATE(21332), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735668] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15790), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17918), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735694] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15791), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17862), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735720] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15792), 1,
      sym_attribute,
    STATE(19023), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735746] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15793), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(17300), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735772] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(11651), 1,
      sym_constructor_path,
    STATE(15794), 1,
      sym_attribute,
    STATE(21332), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735798] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20934), 1,
      anon_sym_RPAREN,
    STATE(15795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735824] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15796), 1,
      sym_attribute,
    STATE(15804), 1,
      sym_field_path,
    STATE(16780), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735850] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20936), 1,
      anon_sym_RPAREN,
    STATE(15797), 1,
      sym_attribute,
    STATE(17161), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735876] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15798), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(16663), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735902] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(15799), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13616), 2,
      anon_sym_and,
      anon_sym_in,
  [735926] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15800), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17977), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735952] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20938), 1,
      anon_sym_SEMI,
    ACTIONS(20940), 1,
      anon_sym_GT_RBRACE,
    STATE(15801), 1,
      sym_attribute,
    STATE(16630), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [735978] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20942), 1,
      anon_sym_RBRACK,
    STATE(15802), 1,
      sym_attribute,
    STATE(17873), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736004] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15803), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17765), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736030] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20662), 1,
      anon_sym_COLON2,
    ACTIONS(20944), 1,
      anon_sym_EQ,
    STATE(15804), 1,
      sym_attribute,
    STATE(16730), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20946), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [736054] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20948), 1,
      anon_sym_RBRACK,
    STATE(15805), 1,
      sym_attribute,
    STATE(17888), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736080] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(20950), 1,
      anon_sym_RPAREN,
    STATE(15806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736106] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20952), 1,
      anon_sym_SEMI,
    ACTIONS(20954), 1,
      anon_sym_GT_RBRACE,
    STATE(15807), 1,
      sym_attribute,
    STATE(17313), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736132] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(20956), 1,
      anon_sym_RPAREN,
    STATE(15808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736158] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12539), 1,
      sym__lowercase_identifier,
    ACTIONS(20958), 1,
      anon_sym_POUND,
    STATE(12259), 1,
      sym_type_constructor_path,
    STATE(15809), 1,
      sym_attribute,
    STATE(19129), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736184] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20960), 1,
      anon_sym_SEMI,
    ACTIONS(20962), 1,
      anon_sym_GT_RBRACE,
    STATE(15810), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17915), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736210] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15811), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(17222), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736236] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15812), 1,
      sym_attribute,
    STATE(15818), 1,
      sym_field_path,
    STATE(18073), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736262] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20304), 1,
      sym__lowercase_identifier,
    STATE(15813), 1,
      sym_attribute,
    STATE(16474), 1,
      aux_sym_instance_variable_specification_repeat1,
    STATE(18546), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20308), 2,
      anon_sym_mutable,
      anon_sym_virtual,
  [736286] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(20964), 1,
      anon_sym_RPAREN,
    STATE(15814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736312] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20966), 1,
      anon_sym_SEMI,
    ACTIONS(20968), 1,
      anon_sym_GT_RBRACE,
    STATE(15815), 1,
      sym_attribute,
    STATE(16712), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736338] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20970), 1,
      anon_sym_SEMI,
    ACTIONS(20972), 1,
      anon_sym_GT_RBRACE,
    STATE(15816), 1,
      sym_attribute,
    STATE(16618), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736364] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12557), 1,
      sym__lowercase_identifier,
    ACTIONS(20974), 1,
      anon_sym_POUND,
    STATE(11318), 1,
      sym_type_constructor_path,
    STATE(15817), 1,
      sym_attribute,
    STATE(19144), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736390] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20662), 1,
      anon_sym_COLON2,
    ACTIONS(20976), 1,
      anon_sym_EQ,
    STATE(15818), 1,
      sym_attribute,
    STATE(17437), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20978), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [736414] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20980), 1,
      anon_sym_RPAREN,
    STATE(15819), 1,
      sym_attribute,
    STATE(17187), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736440] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20982), 1,
      anon_sym_SEMI,
    ACTIONS(20984), 1,
      anon_sym_GT_RBRACE,
    STATE(15820), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17717), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736466] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(20986), 1,
      anon_sym_RPAREN,
    STATE(15821), 1,
      sym_attribute,
    STATE(17882), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736492] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15822), 1,
      sym_attribute,
    STATE(18088), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20988), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [736536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20990), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [736554] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20992), 1,
      anon_sym_SEMI,
    ACTIONS(20994), 1,
      anon_sym_GT_RBRACE,
    STATE(15825), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17806), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736580] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(15826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20322), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [736602] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(20996), 1,
      anon_sym_SEMI,
    ACTIONS(20998), 1,
      anon_sym_GT_RBRACE,
    STATE(15827), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17724), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736628] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15828), 1,
      sym_attribute,
    STATE(17299), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736654] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12639), 1,
      sym__lowercase_identifier,
    ACTIONS(21000), 1,
      anon_sym_POUND,
    STATE(12101), 1,
      sym_type_constructor_path,
    STATE(15829), 1,
      sym_attribute,
    STATE(19230), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736680] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13662), 1,
      sym__lowercase_identifier,
    ACTIONS(21002), 1,
      anon_sym_POUND,
    STATE(14068), 1,
      sym_type_constructor_path,
    STATE(15830), 1,
      sym_attribute,
    STATE(19098), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736706] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15831), 1,
      sym_attribute,
    STATE(16761), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736732] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21004), 1,
      anon_sym_SEMI,
    ACTIONS(21006), 1,
      anon_sym_GT_RBRACE,
    STATE(15832), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17771), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736758] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21008), 1,
      anon_sym_SEMI,
    ACTIONS(21010), 1,
      anon_sym_GT_RBRACE,
    STATE(15833), 1,
      sym_attribute,
    STATE(17242), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736784] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21014), 1,
      anon_sym__,
    STATE(15672), 1,
      sym_type_variable,
    STATE(15834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21012), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
  [736808] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(21016), 1,
      anon_sym_RPAREN,
    STATE(15835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736834] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21018), 1,
      anon_sym_SEMI,
    ACTIONS(21020), 1,
      anon_sym_GT_RBRACE,
    STATE(15836), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17610), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736860] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15837), 1,
      sym_attribute,
    STATE(17322), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736886] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15838), 1,
      sym_attribute,
    STATE(18105), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736912] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21022), 1,
      anon_sym_SEMI,
    ACTIONS(21024), 1,
      anon_sym_GT_RBRACE,
    STATE(15839), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18119), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736938] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15639), 1,
      sym_field_path,
    STATE(15840), 1,
      sym_attribute,
    STATE(17540), 1,
      sym_field_binding_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [736964] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20644), 1,
      anon_sym_type,
    ACTIONS(20646), 1,
      anon_sym_module,
    STATE(15841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10634), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [736986] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9560), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(8178), 1,
      sym__constructor_name,
    STATE(11666), 1,
      sym_constructor_path,
    STATE(15842), 1,
      sym_attribute,
    STATE(21332), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737012] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(21026), 1,
      anon_sym_RPAREN,
    STATE(15843), 1,
      sym_attribute,
    STATE(17884), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737038] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13696), 1,
      sym__lowercase_identifier,
    ACTIONS(21028), 1,
      anon_sym_POUND,
    STATE(10437), 1,
      sym_type_constructor_path,
    STATE(15844), 1,
      sym_attribute,
    STATE(18957), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737064] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(21030), 1,
      anon_sym_RPAREN,
    STATE(15845), 1,
      sym_attribute,
    STATE(17343), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737090] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15804), 1,
      sym_field_path,
    STATE(15846), 1,
      sym_attribute,
    STATE(17202), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737116] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(21032), 1,
      anon_sym_RPAREN,
    STATE(15847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737142] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20046), 1,
      anon_sym_AMP,
    STATE(15699), 1,
      aux_sym_tag_specification_repeat1,
    STATE(15848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20042), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [737164] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21034), 1,
      anon_sym_SEMI,
    ACTIONS(21036), 1,
      anon_sym_GT_RBRACE,
    STATE(15849), 1,
      sym_attribute,
    STATE(17271), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737190] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(21038), 1,
      anon_sym_RPAREN,
    STATE(15850), 1,
      sym_attribute,
    STATE(17049), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737216] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15851), 1,
      sym_attribute,
    STATE(16940), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737242] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(21040), 1,
      anon_sym_RPAREN,
    STATE(15852), 1,
      sym_attribute,
    STATE(17109), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737268] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    ACTIONS(21042), 1,
      anon_sym_POUND,
    STATE(14978), 1,
      sym_type_constructor_path,
    STATE(15853), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737294] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15854), 1,
      sym_attribute,
    STATE(17991), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737320] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15804), 1,
      sym_field_path,
    STATE(15855), 1,
      sym_attribute,
    STATE(18031), 1,
      sym_field_pattern,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737346] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(15856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(18070), 3,
      anon_sym_COLON_GT,
      anon_sym_EQ,
      anon_sym_RPAREN,
  [737368] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21044), 1,
      anon_sym_SEMI,
    ACTIONS(21046), 1,
      anon_sym_GT_RBRACE,
    STATE(15857), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(17937), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737394] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(21048), 1,
      anon_sym_RPAREN,
    STATE(15858), 1,
      sym_attribute,
    STATE(17678), 1,
      aux_sym_instantiated_class_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737420] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15859), 1,
      sym_attribute,
    STATE(18026), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737446] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21050), 1,
      anon_sym_SEMI,
    ACTIONS(21052), 1,
      anon_sym_GT_RBRACE,
    STATE(15860), 1,
      sym_attribute,
    STATE(16872), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(15861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21054), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [737494] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20680), 1,
      anon_sym_type,
    ACTIONS(20682), 1,
      anon_sym_module,
    STATE(15862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(10634), 3,
      sym_constrain_type,
      sym_constrain_module,
      sym_constrain_module_type,
  [737516] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21056), 1,
      anon_sym_SEMI,
    ACTIONS(21058), 1,
      anon_sym_GT_RBRACE,
    STATE(15863), 1,
      sym_attribute,
    STATE(16781), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21060), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [737560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21062), 5,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [737578] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15866), 1,
      sym_attribute,
    STATE(17089), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737604] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15867), 1,
      sym_attribute,
    STATE(16848), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737630] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19578), 1,
      anon_sym_COMMA,
    ACTIONS(19580), 1,
      anon_sym_PIPE,
    ACTIONS(19582), 1,
      anon_sym_as,
    ACTIONS(19584), 1,
      anon_sym_COLON_COLON,
    ACTIONS(21064), 1,
      anon_sym_RPAREN,
    STATE(15868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737656] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13597), 1,
      sym__lowercase_identifier,
    ACTIONS(21066), 1,
      anon_sym_POUND,
    STATE(10283), 1,
      sym_type_constructor_path,
    STATE(15869), 1,
      sym_attribute,
    STATE(19059), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737682] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(15870), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14475), 2,
      anon_sym_and,
      anon_sym_in,
  [737706] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21068), 1,
      anon_sym_SEMI,
    ACTIONS(21070), 1,
      anon_sym_GT_RBRACE,
    STATE(15871), 1,
      sym_attribute,
    STATE(16815), 1,
      sym_instance_variable_expression,
    STATE(17609), 1,
      sym__instance_variable_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737732] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    ACTIONS(21072), 1,
      anon_sym_POUND,
    STATE(13626), 1,
      sym_type_constructor_path,
    STATE(15872), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737758] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15873), 1,
      sym_attribute,
    STATE(17209), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737784] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18550), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    ACTIONS(21074), 1,
      anon_sym_RPAREN,
    STATE(15874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737810] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15875), 1,
      sym_attribute,
    STATE(17917), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737836] = 8,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(18802), 1,
      sym__lowercase_identifier,
    STATE(15818), 1,
      sym_field_path,
    STATE(15876), 1,
      sym_attribute,
    STATE(17260), 1,
      sym_field_expression,
    STATE(21821), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737862] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21076), 1,
      sym__lowercase_identifier,
    STATE(14572), 1,
      sym_class_type_path,
    STATE(15877), 1,
      sym_attribute,
    STATE(19178), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737885] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21080), 1,
      anon_sym_RBRACK,
    ACTIONS(21082), 1,
      anon_sym_GT,
    STATE(15878), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737908] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21084), 1,
      anon_sym_COLON_GT,
    ACTIONS(21086), 1,
      anon_sym_RPAREN,
    STATE(15879), 1,
      sym_attribute,
    STATE(18427), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737931] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21088), 1,
      anon_sym_DOT,
    STATE(15880), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737954] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21090), 1,
      anon_sym_COLON_GT,
    ACTIONS(21092), 1,
      anon_sym_RPAREN,
    STATE(15881), 1,
      sym_attribute,
    STATE(18442), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [737977] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(15882), 1,
      sym_attribute,
    STATE(18007), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738000] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20476), 1,
      sym__lowercase_identifier,
    STATE(7925), 1,
      sym_class_path,
    STATE(15883), 1,
      sym_attribute,
    STATE(22247), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738023] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21080), 1,
      anon_sym_RBRACK,
    ACTIONS(21082), 1,
      anon_sym_GT,
    STATE(15884), 1,
      sym_attribute,
    STATE(15903), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738046] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    STATE(15885), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738069] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20132), 1,
      sym__lowercase_identifier,
    STATE(4750), 1,
      sym_class_path,
    STATE(15886), 1,
      sym_attribute,
    STATE(20054), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738092] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14828), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(15887), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738115] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20464), 1,
      sym__lowercase_identifier,
    STATE(8160), 1,
      sym_class_path,
    STATE(15888), 1,
      sym_attribute,
    STATE(20136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738138] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21096), 1,
      anon_sym_GT_RBRACE,
    STATE(15889), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738161] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20086), 1,
      sym__lowercase_identifier,
    STATE(5930), 1,
      sym_class_path,
    STATE(15890), 1,
      sym_attribute,
    STATE(19468), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738184] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21098), 1,
      anon_sym_GT_RBRACE,
    STATE(15891), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738207] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(15892), 1,
      sym_attribute,
    STATE(18113), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738230] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21100), 1,
      anon_sym_GT_RBRACE,
    STATE(15893), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738253] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11142), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21102), 1,
      anon_sym_GT,
    STATE(15894), 1,
      sym_attribute,
    STATE(15915), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738276] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21104), 1,
      anon_sym_DOT,
    STATE(15895), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738299] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21106), 1,
      anon_sym_GT_RBRACE,
    STATE(15896), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738322] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(15897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14315), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [738343] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21108), 1,
      sym__lowercase_identifier,
    STATE(12098), 1,
      sym_class_type_path,
    STATE(15898), 1,
      sym_attribute,
    STATE(19155), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738366] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21110), 1,
      sym__lowercase_identifier,
    STATE(6617), 1,
      sym_type_constructor_path,
    STATE(15899), 1,
      sym_attribute,
    STATE(18840), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738389] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21112), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21115), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
    STATE(15900), 2,
      sym_attribute,
      aux_sym__abstract_type_repeat1,
  [738408] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21119), 1,
      anon_sym_with,
    ACTIONS(21121), 1,
      sym_hash_operator,
    STATE(15901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738431] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21123), 1,
      anon_sym_EQ,
    ACTIONS(21125), 1,
      anon_sym_RPAREN,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(15902), 1,
      sym_attribute,
    STATE(18457), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738454] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    ACTIONS(21129), 1,
      anon_sym_GT,
    STATE(15903), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738477] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21131), 1,
      anon_sym_GT_RBRACE,
    STATE(15904), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738500] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21133), 1,
      anon_sym_COLON_GT,
    ACTIONS(21135), 1,
      anon_sym_RPAREN,
    STATE(15905), 1,
      sym_attribute,
    STATE(19248), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738523] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21137), 1,
      anon_sym_with,
    STATE(15906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738546] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21139), 1,
      anon_sym_GT_RBRACE,
    STATE(15907), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738569] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21141), 1,
      anon_sym_GT_RBRACE,
    STATE(15908), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738592] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21143), 1,
      anon_sym_RBRACK,
    STATE(15909), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738615] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21145), 1,
      sym__lowercase_identifier,
    STATE(12159), 1,
      sym_class_type_path,
    STATE(15910), 1,
      sym_attribute,
    STATE(18784), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738638] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21147), 1,
      anon_sym_RBRACK,
    STATE(15911), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21149), 1,
      anon_sym_with,
    STATE(15912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738684] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11298), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21151), 1,
      anon_sym_GT,
    STATE(15878), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(15913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738707] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21153), 1,
      anon_sym_RBRACK,
    ACTIONS(21155), 1,
      anon_sym_GT,
    STATE(15914), 1,
      sym_attribute,
    STATE(15955), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738730] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21153), 1,
      anon_sym_RBRACK,
    ACTIONS(21155), 1,
      anon_sym_GT,
    STATE(15915), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738753] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21157), 1,
      sym__lowercase_identifier,
    STATE(9853), 1,
      sym_type_constructor_path,
    STATE(15916), 1,
      sym_attribute,
    STATE(18942), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738776] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21159), 1,
      sym__lowercase_identifier,
    STATE(11304), 1,
      sym_class_type_path,
    STATE(15917), 1,
      sym_attribute,
    STATE(19087), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738799] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21159), 1,
      sym__lowercase_identifier,
    STATE(11385), 1,
      sym_class_type_path,
    STATE(15918), 1,
      sym_attribute,
    STATE(19087), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738822] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21159), 1,
      sym__lowercase_identifier,
    STATE(11377), 1,
      sym_class_type_path,
    STATE(15919), 1,
      sym_attribute,
    STATE(19087), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738845] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21161), 1,
      anon_sym_COLON_GT,
    ACTIONS(21163), 1,
      anon_sym_RPAREN,
    STATE(15920), 1,
      sym_attribute,
    STATE(19275), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738868] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20276), 1,
      sym__lowercase_identifier,
    STATE(11234), 1,
      sym_class_path,
    STATE(15921), 1,
      sym_attribute,
    STATE(19699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738891] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21165), 1,
      anon_sym_DOT,
    STATE(15922), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738914] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21167), 1,
      anon_sym_DOT,
    STATE(15923), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738937] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21169), 1,
      anon_sym_GT_RBRACE,
    STATE(15924), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738960] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21171), 1,
      sym__lowercase_identifier,
    STATE(11687), 1,
      sym_class_type_path,
    STATE(15925), 1,
      sym_attribute,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [738983] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21173), 1,
      sym__lowercase_identifier,
    STATE(10426), 1,
      sym_class_type_path,
    STATE(15926), 1,
      sym_attribute,
    STATE(19120), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739006] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(15927), 1,
      sym_attribute,
    STATE(19169), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21175), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [739027] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20528), 1,
      sym__lowercase_identifier,
    STATE(9549), 1,
      sym_class_path,
    STATE(15928), 1,
      sym_attribute,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739050] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(15929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14383), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [739071] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21177), 1,
      anon_sym_with,
    STATE(15930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739094] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21179), 1,
      anon_sym_GT_RBRACE,
    STATE(15931), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739117] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20310), 1,
      sym__lowercase_identifier,
    STATE(6742), 1,
      sym_class_path,
    STATE(15932), 1,
      sym_attribute,
    STATE(20679), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739140] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21181), 1,
      anon_sym_GT_RBRACE,
    STATE(15933), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739163] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19620), 1,
      sym__lowercase_identifier,
    ACTIONS(19624), 1,
      anon_sym_LBRACK,
    ACTIONS(19626), 1,
      anon_sym_virtual,
    STATE(14180), 1,
      sym_class_binding,
    STATE(15934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739186] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21183), 1,
      anon_sym_with,
    STATE(15935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739209] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21185), 1,
      anon_sym_COLON_GT,
    ACTIONS(21187), 1,
      anon_sym_RPAREN,
    STATE(15936), 1,
      sym_attribute,
    STATE(19118), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(15937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16993), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [739253] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(15938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(16836), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [739274] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(18902), 1,
      anon_sym_STAR,
    STATE(15939), 1,
      sym_attribute,
    STATE(15977), 1,
      aux_sym__constructor_argument_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14375), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [739295] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21189), 1,
      anon_sym_with,
    STATE(15940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739318] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21191), 1,
      sym__lowercase_identifier,
    STATE(11207), 1,
      sym_class_type_path,
    STATE(15941), 1,
      sym_attribute,
    STATE(18886), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739341] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21193), 1,
      anon_sym_GT_RBRACE,
    STATE(15942), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21195), 1,
      sym__lowercase_identifier,
    STATE(15943), 1,
      sym_attribute,
    STATE(16432), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20912), 2,
      anon_sym_private,
      anon_sym_virtual,
  [739385] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21195), 1,
      sym__lowercase_identifier,
    STATE(15944), 1,
      sym_attribute,
    STATE(16452), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20912), 2,
      anon_sym_private,
      anon_sym_virtual,
  [739406] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21197), 1,
      sym__lowercase_identifier,
    STATE(15945), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22274), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739429] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21199), 1,
      anon_sym_with,
    STATE(15946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739452] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(15947), 1,
      sym_attribute,
    STATE(17909), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739475] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21201), 1,
      sym__lowercase_identifier,
    STATE(15069), 1,
      sym_class_type_path,
    STATE(15948), 1,
      sym_attribute,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739498] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21203), 1,
      anon_sym_COLON_GT,
    ACTIONS(21205), 1,
      anon_sym_RPAREN,
    STATE(15949), 1,
      sym_attribute,
    STATE(18396), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739521] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21207), 1,
      anon_sym_with,
    STATE(15950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739544] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym__lowercase_identifier,
    STATE(13143), 1,
      sym_class_type_path,
    STATE(15951), 1,
      sym_attribute,
    STATE(18418), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739567] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21211), 1,
      anon_sym_COLON_GT,
    ACTIONS(21213), 1,
      anon_sym_RPAREN,
    STATE(15952), 1,
      sym_attribute,
    STATE(18482), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739590] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21173), 1,
      sym__lowercase_identifier,
    STATE(10439), 1,
      sym_class_type_path,
    STATE(15953), 1,
      sym_attribute,
    STATE(19120), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739613] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21215), 1,
      sym__lowercase_identifier,
    STATE(12343), 1,
      sym_class_type_path,
    STATE(15954), 1,
      sym_attribute,
    STATE(18987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739636] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21217), 1,
      anon_sym_RBRACK,
    ACTIONS(21219), 1,
      anon_sym_GT,
    STATE(15955), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739659] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21217), 1,
      anon_sym_RBRACK,
    STATE(15956), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739682] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21215), 1,
      sym__lowercase_identifier,
    STATE(12319), 1,
      sym_class_type_path,
    STATE(15957), 1,
      sym_attribute,
    STATE(18987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739705] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20276), 1,
      sym__lowercase_identifier,
    STATE(11158), 1,
      sym_class_path,
    STATE(15958), 1,
      sym_attribute,
    STATE(19699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739728] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21215), 1,
      sym__lowercase_identifier,
    STATE(12229), 1,
      sym_class_type_path,
    STATE(15959), 1,
      sym_attribute,
    STATE(18987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739751] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21221), 1,
      anon_sym_GT_RBRACE,
    STATE(15960), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739774] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21173), 1,
      sym__lowercase_identifier,
    STATE(10392), 1,
      sym_class_type_path,
    STATE(15961), 1,
      sym_attribute,
    STATE(19120), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739797] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20604), 1,
      sym__lowercase_identifier,
    STATE(5322), 1,
      sym_class_path,
    STATE(15962), 1,
      sym_attribute,
    STATE(20191), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739820] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21223), 1,
      anon_sym_RBRACK,
    STATE(15963), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739843] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13576), 1,
      anon_sym_and,
    STATE(15964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13574), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [739862] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21225), 1,
      anon_sym_RBRACK,
    STATE(15965), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739885] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21227), 1,
      sym__lowercase_identifier,
    ACTIONS(21229), 1,
      anon_sym_LPAREN,
    STATE(15266), 1,
      sym_parenthesized_operator,
    STATE(15553), 1,
      sym__value_name,
    STATE(15966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739908] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20502), 1,
      sym__lowercase_identifier,
    STATE(7977), 1,
      sym_class_path,
    STATE(15967), 1,
      sym_attribute,
    STATE(21194), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739931] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21231), 1,
      sym__lowercase_identifier,
    STATE(11214), 1,
      sym_class_type_path,
    STATE(15968), 1,
      sym_attribute,
    STATE(18566), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739954] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21233), 1,
      anon_sym_DOT,
    STATE(15969), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [739977] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21235), 1,
      sym__lowercase_identifier,
    ACTIONS(21237), 1,
      anon_sym_LPAREN,
    STATE(6669), 1,
      sym_parenthesized_operator,
    STATE(6676), 1,
      sym__value_name,
    STATE(15970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740000] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21239), 1,
      anon_sym_RBRACK,
    STATE(15971), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740023] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15536), 1,
      anon_sym_in,
    ACTIONS(21241), 1,
      anon_sym_and,
    ACTIONS(21243), 1,
      sym_let_and_operator,
    STATE(15972), 1,
      sym_attribute,
    STATE(16385), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740046] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21245), 1,
      anon_sym_RBRACK,
    STATE(15973), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740069] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20122), 1,
      sym__lowercase_identifier,
    STATE(7706), 1,
      sym_class_path,
    STATE(15974), 1,
      sym_attribute,
    STATE(19849), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740092] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21247), 1,
      anon_sym_with,
    STATE(15975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740115] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21249), 1,
      anon_sym_GT_RBRACE,
    STATE(15976), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740138] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21251), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13292), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
    STATE(15977), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [740157] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21254), 1,
      anon_sym_RBRACK,
    STATE(15978), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740180] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21231), 1,
      sym__lowercase_identifier,
    STATE(11212), 1,
      sym_class_type_path,
    STATE(15979), 1,
      sym_attribute,
    STATE(18566), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740203] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21254), 1,
      anon_sym_RBRACK,
    ACTIONS(21256), 1,
      anon_sym_GT,
    STATE(15980), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740226] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21201), 1,
      sym__lowercase_identifier,
    STATE(14974), 1,
      sym_class_type_path,
    STATE(15981), 1,
      sym_attribute,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740249] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20612), 1,
      sym__lowercase_identifier,
    STATE(7204), 1,
      sym_class_path,
    STATE(15982), 1,
      sym_attribute,
    STATE(20641), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740272] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21258), 1,
      sym__lowercase_identifier,
    STATE(13840), 1,
      sym_class_type_path,
    STATE(15983), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740295] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21231), 1,
      sym__lowercase_identifier,
    STATE(11159), 1,
      sym_class_type_path,
    STATE(15984), 1,
      sym_attribute,
    STATE(18566), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740318] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21260), 1,
      anon_sym_GT_RBRACE,
    STATE(15985), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740341] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(15986), 1,
      sym_attribute,
    STATE(19030), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21262), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [740362] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21264), 1,
      anon_sym_COLON_GT,
    ACTIONS(21266), 1,
      anon_sym_RPAREN,
    STATE(15987), 1,
      sym_attribute,
    STATE(18399), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740385] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21268), 1,
      anon_sym_RBRACK,
    STATE(15988), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740408] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21270), 1,
      anon_sym_with,
    STATE(15989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740431] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(12715), 1,
      sym__lowercase_identifier,
    STATE(15546), 1,
      sym_type_constructor_path,
    STATE(15990), 1,
      sym_attribute,
    STATE(18298), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740454] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21272), 1,
      anon_sym_DOT,
    STATE(15991), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740477] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21274), 1,
      anon_sym_DOT,
    STATE(15992), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740500] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19840), 1,
      sym__lowercase_identifier,
    ACTIONS(19842), 1,
      anon_sym_LBRACK,
    ACTIONS(19844), 1,
      anon_sym_virtual,
    STATE(12506), 1,
      sym_class_binding,
    STATE(15993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740523] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21276), 1,
      anon_sym_RBRACK,
    STATE(15994), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740546] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    STATE(15995), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740569] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21280), 1,
      anon_sym_with,
    STATE(15996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740592] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    ACTIONS(21282), 1,
      anon_sym_GT,
    STATE(15997), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740615] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21284), 1,
      anon_sym_GT_RBRACE,
    STATE(15998), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740638] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21286), 1,
      anon_sym_with,
    STATE(15999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740661] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20282), 1,
      sym__lowercase_identifier,
    ACTIONS(20284), 1,
      anon_sym_LBRACK,
    ACTIONS(20286), 1,
      anon_sym_virtual,
    STATE(12423), 1,
      sym_class_type_binding,
    STATE(16000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740684] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21288), 1,
      anon_sym_COLON_GT,
    ACTIONS(21290), 1,
      anon_sym_RPAREN,
    STATE(16001), 1,
      sym_attribute,
    STATE(18509), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740707] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21292), 1,
      anon_sym_GT_RBRACE,
    STATE(16002), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740730] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21294), 1,
      anon_sym_GT_RBRACE,
    STATE(16003), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740753] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20524), 1,
      sym__lowercase_identifier,
    STATE(4285), 1,
      sym_class_path,
    STATE(16004), 1,
      sym_attribute,
    STATE(20095), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740776] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(14428), 1,
      sym_type_constructor_path,
    STATE(16005), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740799] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21171), 1,
      sym__lowercase_identifier,
    STATE(11861), 1,
      sym_class_type_path,
    STATE(16006), 1,
      sym_attribute,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740822] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21296), 1,
      anon_sym_with,
    STATE(16007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740845] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21298), 1,
      anon_sym_RBRACK,
    ACTIONS(21300), 1,
      anon_sym_GT,
    STATE(16008), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740868] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11256), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21302), 1,
      anon_sym_GT,
    STATE(16009), 1,
      sym_attribute,
    STATE(16032), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740891] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21298), 1,
      anon_sym_RBRACK,
    ACTIONS(21300), 1,
      anon_sym_GT,
    STATE(15980), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740914] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21304), 1,
      anon_sym_GT_RBRACE,
    STATE(16011), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740937] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16012), 1,
      sym_attribute,
    STATE(19074), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21306), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [740958] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21308), 1,
      anon_sym_GT_RBRACE,
    STATE(16013), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [740981] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21310), 1,
      anon_sym_RBRACK,
    ACTIONS(21312), 1,
      anon_sym_GT,
    STATE(16014), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741004] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20228), 1,
      sym__lowercase_identifier,
    STATE(8236), 1,
      sym_class_path,
    STATE(16015), 1,
      sym_attribute,
    STATE(21615), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741027] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21310), 1,
      anon_sym_RBRACK,
    ACTIONS(21312), 1,
      anon_sym_GT,
    STATE(16016), 1,
      sym_attribute,
    STATE(16356), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741050] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21314), 1,
      anon_sym_GT_RBRACE,
    STATE(16017), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741073] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21318), 1,
      anon_sym_RBRACE,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    STATE(16018), 1,
      sym_attribute,
    STATE(18176), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741096] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21215), 1,
      sym__lowercase_identifier,
    STATE(12261), 1,
      sym_class_type_path,
    STATE(16019), 1,
      sym_attribute,
    STATE(18987), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741119] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21322), 1,
      anon_sym_RBRACK,
    ACTIONS(21324), 1,
      anon_sym_GT,
    STATE(16020), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741142] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21322), 1,
      anon_sym_RBRACK,
    ACTIONS(21324), 1,
      anon_sym_GT,
    STATE(15997), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741165] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21326), 1,
      anon_sym_with,
    STATE(16022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741188] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(21328), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741211] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym__lowercase_identifier,
    STATE(13129), 1,
      sym_class_type_path,
    STATE(16024), 1,
      sym_attribute,
    STATE(18418), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741234] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym__lowercase_identifier,
    STATE(13074), 1,
      sym_class_type_path,
    STATE(16025), 1,
      sym_attribute,
    STATE(18418), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741257] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(21330), 1,
      sym__lowercase_identifier,
    STATE(8180), 1,
      sym_class_path,
    STATE(16026), 1,
      sym_attribute,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741280] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21332), 1,
      anon_sym_GT,
    STATE(16008), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741303] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20120), 1,
      sym__lowercase_identifier,
    STATE(6218), 1,
      sym_class_path,
    STATE(16028), 1,
      sym_attribute,
    STATE(20717), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741326] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21334), 1,
      anon_sym_DOT,
    STATE(16029), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741349] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21336), 1,
      anon_sym_RBRACK,
    ACTIONS(21338), 1,
      anon_sym_GT,
    STATE(16030), 1,
      sym_attribute,
    STATE(16041), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741372] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21201), 1,
      sym__lowercase_identifier,
    STATE(15052), 1,
      sym_class_type_path,
    STATE(16031), 1,
      sym_attribute,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741395] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21336), 1,
      anon_sym_RBRACK,
    ACTIONS(21338), 1,
      anon_sym_GT,
    STATE(16032), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741418] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21340), 1,
      anon_sym_with,
    STATE(16033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741441] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21342), 1,
      anon_sym_COLON_GT,
    ACTIONS(21344), 1,
      anon_sym_RPAREN,
    STATE(16034), 1,
      sym_attribute,
    STATE(18352), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741464] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21346), 1,
      anon_sym_COLON_GT,
    ACTIONS(21348), 1,
      anon_sym_RPAREN,
    STATE(16035), 1,
      sym_attribute,
    STATE(18366), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741487] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21350), 1,
      anon_sym_DOT,
    STATE(16036), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741510] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(16037), 1,
      sym_attribute,
    STATE(17501), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741533] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17646), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14748), 1,
      sym__value_name,
    STATE(16038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741556] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21258), 1,
      sym__lowercase_identifier,
    STATE(11013), 1,
      sym_class_type_path,
    STATE(16039), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741579] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21352), 1,
      anon_sym_DOT,
    STATE(16040), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741602] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    ACTIONS(21356), 1,
      anon_sym_GT,
    STATE(16041), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741625] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    STATE(16042), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741648] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21358), 1,
      anon_sym_with,
    STATE(16043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741671] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21360), 1,
      anon_sym_GT_RBRACE,
    STATE(16044), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741694] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21362), 1,
      anon_sym_RBRACK,
    STATE(16045), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741717] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21364), 1,
      anon_sym_GT_RBRACE,
    STATE(16046), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741740] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21366), 1,
      anon_sym_DOT,
    STATE(16047), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741763] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21368), 1,
      anon_sym_COLON_GT,
    ACTIONS(21370), 1,
      anon_sym_RPAREN,
    STATE(16048), 1,
      sym_attribute,
    STATE(18534), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741786] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21372), 1,
      anon_sym_RBRACK,
    STATE(16049), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741809] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21374), 1,
      sym__lowercase_identifier,
    STATE(10338), 1,
      sym_class_type_path,
    STATE(16050), 1,
      sym_attribute,
    STATE(18988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741832] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21376), 1,
      anon_sym_GT_RBRACE,
    STATE(16051), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741855] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21378), 1,
      anon_sym_with,
    STATE(16052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741878] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20298), 1,
      sym__lowercase_identifier,
    STATE(7270), 1,
      sym_class_path,
    STATE(16053), 1,
      sym_attribute,
    STATE(20603), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741901] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21380), 1,
      anon_sym_RBRACK,
    STATE(16054), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741924] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21382), 1,
      anon_sym_DOT,
    STATE(16055), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741947] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21384), 1,
      anon_sym_DOT,
    STATE(16056), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741970] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20174), 1,
      sym__lowercase_identifier,
    STATE(8549), 1,
      sym_class_path,
    STATE(16057), 1,
      sym_attribute,
    STATE(19308), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [741993] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21386), 1,
      anon_sym_with,
    STATE(16058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742016] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21388), 1,
      anon_sym_DOT,
    STATE(16059), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742039] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21390), 1,
      anon_sym_RBRACK,
    STATE(16060), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742062] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21392), 1,
      sym__lowercase_identifier,
    STATE(12224), 1,
      sym_class_type_path,
    STATE(16061), 1,
      sym_attribute,
    STATE(19182), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742085] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21392), 1,
      sym__lowercase_identifier,
    STATE(12256), 1,
      sym_class_type_path,
    STATE(16062), 1,
      sym_attribute,
    STATE(19182), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742108] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21394), 1,
      anon_sym_GT,
    STATE(16020), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742131] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(16064), 1,
      sym_attribute,
    STATE(18945), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742154] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21392), 1,
      sym__lowercase_identifier,
    STATE(12269), 1,
      sym_class_type_path,
    STATE(16065), 1,
      sym_attribute,
    STATE(19182), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742177] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21396), 1,
      anon_sym_DOT,
    STATE(16066), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742200] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21398), 1,
      anon_sym_with,
    STATE(16067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742223] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21400), 1,
      anon_sym_GT_RBRACE,
    STATE(16068), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21402), 1,
      sym__lowercase_identifier,
    STATE(16069), 1,
      sym_attribute,
    STATE(16263), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20912), 2,
      anon_sym_private,
      anon_sym_virtual,
  [742267] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21404), 1,
      sym__lowercase_identifier,
    STATE(8590), 1,
      sym_type_constructor_path,
    STATE(16070), 1,
      sym_attribute,
    STATE(19043), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742290] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21406), 1,
      anon_sym_GT_RBRACE,
    STATE(16071), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742313] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21408), 1,
      anon_sym_COLON_GT,
    ACTIONS(21410), 1,
      anon_sym_RPAREN,
    STATE(16072), 1,
      sym_attribute,
    STATE(18517), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742336] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21412), 1,
      anon_sym_GT_RBRACE,
    STATE(16073), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742359] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16074), 1,
      sym_attribute,
    STATE(18974), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21414), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [742380] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21416), 1,
      anon_sym_GT_RBRACE,
    STATE(16075), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742403] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21418), 1,
      anon_sym_with,
    STATE(16076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742426] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21420), 1,
      anon_sym_COLON_GT,
    ACTIONS(21422), 1,
      anon_sym_RPAREN,
    STATE(16077), 1,
      sym_attribute,
    STATE(18926), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742449] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    ACTIONS(21424), 1,
      anon_sym_RBRACE,
    STATE(16078), 1,
      sym_attribute,
    STATE(18176), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742472] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21426), 1,
      anon_sym_with,
    STATE(16079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742495] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21428), 1,
      anon_sym_GT_RBRACE,
    STATE(16080), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742518] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21430), 1,
      anon_sym_GT_RBRACE,
    STATE(16081), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742541] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21432), 1,
      anon_sym_with,
    STATE(16082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742564] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21076), 1,
      sym__lowercase_identifier,
    STATE(14549), 1,
      sym_class_type_path,
    STATE(16083), 1,
      sym_attribute,
    STATE(19178), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742587] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(16084), 1,
      sym_attribute,
    STATE(17434), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742610] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21434), 1,
      anon_sym_GT,
    STATE(16085), 1,
      sym_attribute,
    STATE(16150), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742633] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(21436), 1,
      sym__lowercase_identifier,
    STATE(16086), 1,
      sym_attribute,
    STATE(18358), 1,
      sym_module_type_path,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742656] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21438), 1,
      anon_sym_GT_RBRACE,
    STATE(16087), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742679] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    ACTIONS(21440), 1,
      anon_sym_EQ,
    ACTIONS(21442), 1,
      anon_sym_RPAREN,
    STATE(16088), 1,
      sym_attribute,
    STATE(18640), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742702] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21444), 1,
      sym__lowercase_identifier,
    STATE(10730), 1,
      sym_class_type_path,
    STATE(16089), 1,
      sym_attribute,
    STATE(18679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742725] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21446), 1,
      anon_sym_DOT,
    STATE(16090), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742748] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21171), 1,
      sym__lowercase_identifier,
    STATE(11819), 1,
      sym_class_type_path,
    STATE(16091), 1,
      sym_attribute,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742771] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21448), 1,
      anon_sym_COLON_GT,
    ACTIONS(21450), 1,
      anon_sym_RPAREN,
    STATE(16092), 1,
      sym_attribute,
    STATE(18913), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742794] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21452), 1,
      anon_sym_GT_RBRACE,
    STATE(16093), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742817] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21454), 1,
      anon_sym_with,
    STATE(16094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742840] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11252), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21456), 1,
      anon_sym_GT,
    STATE(16095), 1,
      sym_attribute,
    STATE(16145), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742863] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21458), 1,
      anon_sym_DOT,
    STATE(16096), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742886] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21460), 1,
      anon_sym_DOT,
    STATE(16097), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742909] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21462), 1,
      anon_sym_RBRACK,
    STATE(16098), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742932] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21464), 1,
      anon_sym_GT_RBRACE,
    STATE(16099), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742955] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21462), 1,
      anon_sym_RBRACK,
    ACTIONS(21466), 1,
      anon_sym_GT,
    STATE(16100), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [742978] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21468), 1,
      anon_sym_GT_RBRACE,
    STATE(16101), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743001] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21470), 1,
      anon_sym_RBRACK,
    STATE(16102), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743024] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21108), 1,
      sym__lowercase_identifier,
    STATE(12047), 1,
      sym_class_type_path,
    STATE(16103), 1,
      sym_attribute,
    STATE(19155), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743047] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21472), 1,
      anon_sym_COLON_GT,
    ACTIONS(21474), 1,
      anon_sym_RPAREN,
    STATE(16104), 1,
      sym_attribute,
    STATE(18327), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743070] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20528), 1,
      sym__lowercase_identifier,
    STATE(9059), 1,
      sym_class_path,
    STATE(16105), 1,
      sym_attribute,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743093] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21476), 1,
      anon_sym_GT_RBRACE,
    STATE(16106), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743116] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19854), 1,
      sym__lowercase_identifier,
    ACTIONS(19856), 1,
      anon_sym_LBRACK,
    ACTIONS(19858), 1,
      anon_sym_virtual,
    STATE(12506), 1,
      sym_class_binding,
    STATE(16107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743139] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21478), 1,
      sym__lowercase_identifier,
    ACTIONS(21480), 1,
      anon_sym_LPAREN,
    STATE(6381), 1,
      sym__value_name,
    STATE(6492), 1,
      sym_parenthesized_operator,
    STATE(16108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743162] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21482), 1,
      sym__lowercase_identifier,
    STATE(10930), 1,
      sym_class_type_path,
    STATE(16109), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743185] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21482), 1,
      sym__lowercase_identifier,
    STATE(10941), 1,
      sym_class_type_path,
    STATE(16110), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743208] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19620), 1,
      sym__lowercase_identifier,
    ACTIONS(19624), 1,
      anon_sym_LBRACK,
    ACTIONS(19626), 1,
      anon_sym_virtual,
    STATE(12506), 1,
      sym_class_binding,
    STATE(16111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743231] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21484), 1,
      anon_sym_with,
    STATE(16112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743254] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21486), 1,
      anon_sym_COLON_GT,
    ACTIONS(21488), 1,
      anon_sym_RPAREN,
    STATE(16113), 1,
      sym_attribute,
    STATE(19152), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743277] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21482), 1,
      sym__lowercase_identifier,
    STATE(10927), 1,
      sym_class_type_path,
    STATE(16114), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743300] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20276), 1,
      sym__lowercase_identifier,
    STATE(10324), 1,
      sym_class_path,
    STATE(16115), 1,
      sym_attribute,
    STATE(19699), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743323] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21490), 1,
      anon_sym_GT_RBRACE,
    STATE(16116), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743346] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21492), 1,
      anon_sym_RBRACK,
    STATE(16117), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743369] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21258), 1,
      sym__lowercase_identifier,
    STATE(10952), 1,
      sym_class_type_path,
    STATE(16118), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743392] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21494), 1,
      anon_sym_RBRACK,
    STATE(16119), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743415] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21496), 1,
      sym__lowercase_identifier,
    STATE(6596), 1,
      sym_type_constructor_path,
    STATE(16120), 1,
      sym_attribute,
    STATE(18513), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743438] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20428), 1,
      sym__lowercase_identifier,
    STATE(7375), 1,
      sym_class_path,
    STATE(16121), 1,
      sym_attribute,
    STATE(20013), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743461] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16122), 1,
      sym_attribute,
    STATE(18872), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21498), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [743482] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21374), 1,
      sym__lowercase_identifier,
    STATE(10593), 1,
      sym_class_type_path,
    STATE(16123), 1,
      sym_attribute,
    STATE(18988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743505] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20383), 1,
      sym__lowercase_identifier,
    STATE(4142), 1,
      sym_class_path,
    STATE(16124), 1,
      sym_attribute,
    STATE(20755), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743528] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21191), 1,
      sym__lowercase_identifier,
    STATE(11321), 1,
      sym_class_type_path,
    STATE(16125), 1,
      sym_attribute,
    STATE(18886), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743551] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21500), 1,
      anon_sym_RBRACK,
    STATE(16126), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743574] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20164), 1,
      sym__lowercase_identifier,
    STATE(4665), 1,
      sym_class_path,
    STATE(16127), 1,
      sym_attribute,
    STATE(20565), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743597] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21502), 1,
      anon_sym_with,
    STATE(16128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743620] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21500), 1,
      anon_sym_RBRACK,
    ACTIONS(21504), 1,
      anon_sym_GT,
    STATE(16129), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743643] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16130), 1,
      sym_attribute,
    STATE(18551), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21506), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [743664] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21191), 1,
      sym__lowercase_identifier,
    STATE(11312), 1,
      sym_class_type_path,
    STATE(16131), 1,
      sym_attribute,
    STATE(18886), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743687] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21508), 1,
      anon_sym_with,
    STATE(16132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743710] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19854), 1,
      sym__lowercase_identifier,
    ACTIONS(19856), 1,
      anon_sym_LBRACK,
    ACTIONS(19858), 1,
      anon_sym_virtual,
    STATE(13495), 1,
      sym_class_binding,
    STATE(16133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743733] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21191), 1,
      sym__lowercase_identifier,
    STATE(11284), 1,
      sym_class_type_path,
    STATE(16134), 1,
      sym_attribute,
    STATE(18886), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743756] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20150), 1,
      sym__lowercase_identifier,
    STATE(4793), 1,
      sym_class_path,
    STATE(16135), 1,
      sym_attribute,
    STATE(20177), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743779] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21510), 1,
      anon_sym_with,
    STATE(16136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743802] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21512), 1,
      anon_sym_RBRACK,
    ACTIONS(21514), 1,
      anon_sym_GT,
    STATE(16137), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743825] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21512), 1,
      anon_sym_RBRACK,
    ACTIONS(21514), 1,
      anon_sym_GT,
    STATE(16129), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743848] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21516), 1,
      anon_sym_RBRACK,
    ACTIONS(21518), 1,
      anon_sym_GT,
    STATE(16139), 1,
      sym_attribute,
    STATE(16158), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743871] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(21520), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743894] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21522), 1,
      anon_sym_RBRACK,
    ACTIONS(21524), 1,
      anon_sym_GT,
    STATE(16141), 1,
      sym_attribute,
    STATE(16311), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743917] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20236), 1,
      sym__lowercase_identifier,
    STATE(5219), 1,
      sym_class_path,
    STATE(16142), 1,
      sym_attribute,
    STATE(20467), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743940] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21526), 1,
      sym__lowercase_identifier,
    ACTIONS(21528), 1,
      anon_sym_LPAREN,
    STATE(6549), 1,
      sym_parenthesized_operator,
    STATE(6578), 1,
      sym__value_name,
    STATE(16143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743963] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21530), 1,
      anon_sym_COLON_GT,
    ACTIONS(21532), 1,
      anon_sym_RPAREN,
    STATE(16144), 1,
      sym_attribute,
    STATE(18584), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [743986] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21516), 1,
      anon_sym_RBRACK,
    ACTIONS(21518), 1,
      anon_sym_GT,
    STATE(16145), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744009] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21534), 1,
      anon_sym_GT_RBRACE,
    STATE(16146), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744032] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21536), 1,
      anon_sym_RBRACK,
    STATE(16147), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744055] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    ACTIONS(21538), 1,
      anon_sym_RBRACE,
    STATE(16148), 1,
      sym_attribute,
    STATE(18176), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(16149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(17028), 2,
      anon_sym_COLON_GT,
      anon_sym_EQ,
  [744099] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21522), 1,
      anon_sym_RBRACK,
    ACTIONS(21524), 1,
      anon_sym_GT,
    STATE(16150), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744122] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21540), 1,
      anon_sym_with,
    STATE(16151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744145] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21374), 1,
      sym__lowercase_identifier,
    STATE(10567), 1,
      sym_class_type_path,
    STATE(16152), 1,
      sym_attribute,
    STATE(18988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744168] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21542), 1,
      anon_sym_RBRACK,
    ACTIONS(21544), 1,
      anon_sym_GT,
    STATE(16153), 1,
      sym_attribute,
    STATE(16167), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744191] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21546), 1,
      anon_sym_RBRACK,
    STATE(16154), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744214] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21542), 1,
      anon_sym_RBRACK,
    ACTIONS(21544), 1,
      anon_sym_GT,
    STATE(16155), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744237] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21548), 1,
      anon_sym_GT_RBRACE,
    STATE(16156), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744260] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11144), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21550), 1,
      anon_sym_GT,
    STATE(16137), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744283] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21552), 1,
      anon_sym_RBRACK,
    ACTIONS(21554), 1,
      anon_sym_GT,
    STATE(16158), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744306] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym__lowercase_identifier,
    STATE(8780), 1,
      sym_class_path,
    STATE(16159), 1,
      sym_attribute,
    STATE(20489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744329] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21556), 1,
      anon_sym_RBRACK,
    STATE(16160), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744352] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21558), 1,
      anon_sym_DOT,
    STATE(16161), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744375] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21556), 1,
      anon_sym_RBRACK,
    ACTIONS(21560), 1,
      anon_sym_GT,
    STATE(16162), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744398] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21562), 1,
      anon_sym_with,
    STATE(16163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744421] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21552), 1,
      anon_sym_RBRACK,
    STATE(16164), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744444] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21564), 1,
      anon_sym_GT_RBRACE,
    STATE(16165), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744467] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21566), 1,
      anon_sym_GT_RBRACE,
    STATE(16166), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744490] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21568), 1,
      anon_sym_RBRACK,
    ACTIONS(21570), 1,
      anon_sym_GT,
    STATE(16167), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744513] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21572), 1,
      anon_sym_GT_RBRACE,
    STATE(16168), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744536] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21574), 1,
      anon_sym_RBRACK,
    STATE(16169), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744559] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21568), 1,
      anon_sym_RBRACK,
    STATE(16170), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744582] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21576), 1,
      anon_sym_RBRACK,
    STATE(16171), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744605] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21578), 1,
      anon_sym_with,
    STATE(16172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744628] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20568), 1,
      sym__lowercase_identifier,
    STATE(4417), 1,
      sym_class_path,
    STATE(16173), 1,
      sym_attribute,
    STATE(19364), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744651] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21580), 1,
      sym__lowercase_identifier,
    STATE(11584), 1,
      sym_class_type_path,
    STATE(16174), 1,
      sym_attribute,
    STATE(19264), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744674] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21580), 1,
      sym__lowercase_identifier,
    STATE(11516), 1,
      sym_class_type_path,
    STATE(16175), 1,
      sym_attribute,
    STATE(19264), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744697] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21582), 1,
      sym__lowercase_identifier,
    STATE(14230), 1,
      sym_class_type_path,
    STATE(16176), 1,
      sym_attribute,
    STATE(19196), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744720] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21584), 1,
      anon_sym_GT_RBRACE,
    STATE(16177), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744743] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21580), 1,
      sym__lowercase_identifier,
    STATE(11505), 1,
      sym_class_type_path,
    STATE(16178), 1,
      sym_attribute,
    STATE(19264), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744766] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21586), 1,
      anon_sym_DOT,
    STATE(16179), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744789] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21588), 1,
      sym__lowercase_identifier,
    STATE(6679), 1,
      sym_type_constructor_path,
    STATE(16180), 1,
      sym_attribute,
    STATE(19141), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744812] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21590), 1,
      anon_sym_with,
    STATE(16181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744835] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym__lowercase_identifier,
    STATE(8775), 1,
      sym_class_path,
    STATE(16182), 1,
      sym_attribute,
    STATE(20489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744858] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21592), 1,
      anon_sym_DOT,
    STATE(16183), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744881] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20170), 1,
      sym__lowercase_identifier,
    STATE(5245), 1,
      sym_class_path,
    STATE(16184), 1,
      sym_attribute,
    STATE(21905), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744904] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21594), 1,
      anon_sym_GT_RBRACE,
    STATE(16185), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744927] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21596), 1,
      aux_sym_attribute_id_token1,
    STATE(16186), 1,
      sym_attribute,
    STATE(16378), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10122), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [744948] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21598), 1,
      anon_sym_RBRACK,
    STATE(16187), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744971] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21600), 1,
      anon_sym_DOT,
    STATE(16188), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [744994] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21602), 1,
      anon_sym_with,
    STATE(16189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745017] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21604), 1,
      anon_sym_COLON_GT,
    ACTIONS(21606), 1,
      anon_sym_RPAREN,
    STATE(16190), 1,
      sym_attribute,
    STATE(18806), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745040] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15586), 1,
      anon_sym_in,
    ACTIONS(21241), 1,
      anon_sym_and,
    ACTIONS(21243), 1,
      sym_let_and_operator,
    STATE(16191), 1,
      sym_attribute,
    STATE(16407), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745063] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21608), 1,
      anon_sym_RBRACK,
    ACTIONS(21610), 1,
      anon_sym_GT,
    STATE(16192), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745086] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21612), 1,
      anon_sym_GT_RBRACE,
    STATE(16193), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745109] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21614), 1,
      anon_sym_RBRACK,
    STATE(16194), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745132] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21616), 1,
      anon_sym_GT_RBRACE,
    STATE(16195), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745155] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20522), 1,
      sym__lowercase_identifier,
    STATE(7654), 1,
      sym_class_path,
    STATE(16196), 1,
      sym_attribute,
    STATE(19890), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745178] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21608), 1,
      anon_sym_RBRACK,
    ACTIONS(21610), 1,
      anon_sym_GT,
    STATE(16162), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745201] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21618), 1,
      anon_sym_COLON_GT,
    ACTIONS(21620), 1,
      anon_sym_RPAREN,
    STATE(16198), 1,
      sym_attribute,
    STATE(18735), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745224] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21622), 1,
      anon_sym_GT_RBRACE,
    STATE(16199), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745247] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21624), 1,
      anon_sym_COLON_GT,
    ACTIONS(21626), 1,
      anon_sym_RPAREN,
    STATE(16200), 1,
      sym_attribute,
    STATE(18285), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745270] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(21330), 1,
      sym__lowercase_identifier,
    STATE(8001), 1,
      sym_class_path,
    STATE(16201), 1,
      sym_attribute,
    STATE(19951), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745293] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13682), 1,
      anon_sym_and,
    STATE(16202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [745312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16203), 1,
      sym_attribute,
    STATE(18770), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21628), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [745333] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21630), 1,
      anon_sym_COLON_GT,
    ACTIONS(21632), 1,
      anon_sym_RPAREN,
    STATE(16204), 1,
      sym_attribute,
    STATE(18323), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745356] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21634), 1,
      anon_sym_with,
    STATE(16205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745379] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(16206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(21462), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [745400] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21636), 1,
      anon_sym_RBRACK,
    STATE(16207), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745423] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21108), 1,
      sym__lowercase_identifier,
    STATE(12056), 1,
      sym_class_type_path,
    STATE(16208), 1,
      sym_attribute,
    STATE(19155), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745446] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11174), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21638), 1,
      anon_sym_GT,
    STATE(16155), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745469] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21108), 1,
      sym__lowercase_identifier,
    STATE(12088), 1,
      sym_class_type_path,
    STATE(16210), 1,
      sym_attribute,
    STATE(19155), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745492] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21640), 1,
      anon_sym_RBRACK,
    ACTIONS(21642), 1,
      anon_sym_GT,
    STATE(16211), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745515] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21644), 1,
      anon_sym_with,
    STATE(16212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745538] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21640), 1,
      anon_sym_RBRACK,
    ACTIONS(21642), 1,
      anon_sym_GT,
    STATE(16100), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745561] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20360), 1,
      sym__lowercase_identifier,
    STATE(7029), 1,
      sym_class_path,
    STATE(16214), 1,
      sym_attribute,
    STATE(19808), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745584] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21646), 1,
      anon_sym_RBRACK,
    STATE(16215), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745607] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21648), 1,
      anon_sym_RBRACK,
    STATE(16216), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745630] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21159), 1,
      sym__lowercase_identifier,
    STATE(11273), 1,
      sym_class_type_path,
    STATE(16217), 1,
      sym_attribute,
    STATE(19087), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745653] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21650), 1,
      anon_sym_with,
    STATE(16218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745676] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20424), 1,
      sym__lowercase_identifier,
    STATE(7061), 1,
      sym_class_path,
    STATE(16219), 1,
      sym_attribute,
    STATE(20527), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745699] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20540), 1,
      sym__lowercase_identifier,
    STATE(3465), 1,
      sym_class_path,
    STATE(16220), 1,
      sym_attribute,
    STATE(20792), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745722] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12357), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16221), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745745] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21636), 1,
      anon_sym_RBRACK,
    ACTIONS(21652), 1,
      anon_sym_GT,
    STATE(16222), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745768] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21654), 1,
      anon_sym_COLON_GT,
    ACTIONS(21656), 1,
      anon_sym_RPAREN,
    STATE(16223), 1,
      sym_attribute,
    STATE(19064), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745791] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21660), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21658), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(16224), 2,
      sym_attribute,
      aux_sym__type_params_repeat1,
  [745810] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21663), 1,
      anon_sym_with,
    STATE(16225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745833] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21665), 1,
      anon_sym_GT_RBRACE,
    STATE(16226), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745856] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14713), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16227), 1,
      sym_attribute,
    STATE(16443), 1,
      aux_sym_expression_item_repeat1,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745879] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21667), 1,
      anon_sym_RBRACK,
    ACTIONS(21669), 1,
      anon_sym_GT,
    STATE(16228), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745902] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21667), 1,
      anon_sym_RBRACK,
    ACTIONS(21669), 1,
      anon_sym_GT,
    STATE(16222), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745925] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21671), 1,
      anon_sym_with,
    STATE(16230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745948] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19840), 1,
      sym__lowercase_identifier,
    ACTIONS(19842), 1,
      anon_sym_LBRACK,
    ACTIONS(19844), 1,
      anon_sym_virtual,
    STATE(13439), 1,
      sym_class_binding,
    STATE(16231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745971] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(21673), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [745994] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11380), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21675), 1,
      anon_sym_GT,
    STATE(16233), 1,
      sym_attribute,
    STATE(16258), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746017] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21677), 1,
      anon_sym_GT_RBRACE,
    STATE(16234), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21679), 1,
      anon_sym_rec,
    STATE(16235), 1,
      sym_attribute,
    STATE(16668), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [746061] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(21681), 1,
      sym__lowercase_identifier,
    STATE(8465), 1,
      sym_class_path,
    STATE(16236), 1,
      sym_attribute,
    STATE(19766), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746084] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21683), 1,
      anon_sym_COLON_GT,
    ACTIONS(21685), 1,
      anon_sym_RPAREN,
    STATE(16237), 1,
      sym_attribute,
    STATE(19011), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746107] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21687), 1,
      anon_sym_GT_RBRACE,
    STATE(16238), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746130] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21689), 1,
      anon_sym_with,
    STATE(16239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746153] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21691), 1,
      anon_sym_COLON_GT,
    ACTIONS(21693), 1,
      anon_sym_RPAREN,
    STATE(16240), 1,
      sym_attribute,
    STATE(18680), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746176] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21695), 1,
      anon_sym_GT_RBRACE,
    STATE(16241), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746199] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21697), 1,
      anon_sym_GT_RBRACE,
    STATE(16242), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746222] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21699), 1,
      anon_sym_GT_RBRACE,
    STATE(16243), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746245] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21701), 1,
      anon_sym_GT,
    STATE(16228), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746268] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21703), 1,
      anon_sym_DOT,
    STATE(16245), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746291] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21705), 1,
      anon_sym_DOT,
    STATE(16246), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746314] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21707), 1,
      anon_sym_DOT,
    STATE(16247), 1,
      sym_attribute,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746337] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21709), 1,
      anon_sym_DOT,
    ACTIONS(21711), 1,
      aux_sym_type_variable_token1,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16248), 2,
      sym_attribute,
      aux_sym_constructor_declaration_repeat1,
  [746358] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21714), 1,
      sym__lowercase_identifier,
    STATE(11013), 1,
      sym_class_type_path,
    STATE(16249), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746381] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21716), 1,
      anon_sym_GT_RBRACE,
    STATE(16250), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746404] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21718), 1,
      anon_sym_GT_RBRACE,
    STATE(16251), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746427] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21720), 1,
      anon_sym_RBRACK,
    ACTIONS(21722), 1,
      anon_sym_GT,
    STATE(16252), 1,
      sym_attribute,
    STATE(16267), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746450] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21724), 1,
      anon_sym_with,
    STATE(16253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746473] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    ACTIONS(21726), 1,
      anon_sym_EQ,
    ACTIONS(21728), 1,
      anon_sym_RPAREN,
    STATE(16254), 1,
      sym_attribute,
    STATE(19078), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746496] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21730), 1,
      sym__lowercase_identifier,
    STATE(10926), 1,
      sym_class_type_path,
    STATE(16255), 1,
      sym_attribute,
    STATE(19216), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746519] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21732), 1,
      anon_sym_GT_RBRACE,
    STATE(16256), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21734), 1,
      anon_sym_rec,
    STATE(13080), 1,
      sym_module_binding,
    STATE(16257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19786), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [746563] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21720), 1,
      anon_sym_RBRACK,
    ACTIONS(21722), 1,
      anon_sym_GT,
    STATE(16258), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746586] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16259), 1,
      sym_attribute,
    STATE(18665), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21736), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [746607] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21738), 1,
      anon_sym_GT_RBRACE,
    STATE(16260), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16261), 1,
      sym_attribute,
    STATE(18359), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21740), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [746651] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21742), 1,
      anon_sym_with,
    STATE(16262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746674] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21744), 1,
      sym__lowercase_identifier,
    STATE(16263), 1,
      sym_attribute,
    STATE(16432), 1,
      aux_sym_method_specification_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20912), 2,
      anon_sym_private,
      anon_sym_virtual,
  [746695] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21746), 1,
      anon_sym_RBRACK,
    ACTIONS(21748), 1,
      anon_sym_GT,
    STATE(16264), 1,
      sym_attribute,
    STATE(16344), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746718] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21750), 1,
      anon_sym_GT,
    STATE(16192), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746741] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21752), 1,
      anon_sym_COLON_GT,
    ACTIONS(21754), 1,
      anon_sym_RPAREN,
    STATE(16266), 1,
      sym_attribute,
    STATE(18651), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746764] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    ACTIONS(21758), 1,
      anon_sym_GT,
    STATE(16267), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746787] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    STATE(16268), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746810] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19672), 1,
      sym__lowercase_identifier,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_virtual,
    STATE(13344), 1,
      sym_class_binding,
    STATE(16269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746833] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21760), 1,
      anon_sym_with,
    STATE(16270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746856] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21762), 1,
      anon_sym_GT_RBRACE,
    STATE(16271), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746879] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21764), 1,
      anon_sym_RBRACK,
    STATE(16272), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746902] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21766), 1,
      anon_sym_GT_RBRACE,
    STATE(16273), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746925] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21768), 1,
      anon_sym_COLON_GT,
    ACTIONS(21770), 1,
      anon_sym_RPAREN,
    STATE(16274), 1,
      sym_attribute,
    STATE(18272), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746948] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21772), 1,
      anon_sym_RBRACK,
    STATE(16275), 1,
      sym_attribute,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746971] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(16276), 1,
      sym_attribute,
    STATE(19185), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [746994] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20544), 1,
      sym__lowercase_identifier,
    STATE(4825), 1,
      sym_class_path,
    STATE(16277), 1,
      sym_attribute,
    STATE(19427), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747017] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21774), 1,
      sym__lowercase_identifier,
    STATE(14003), 1,
      sym_class_type_path,
    STATE(16278), 1,
      sym_attribute,
    STATE(19292), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747040] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21482), 1,
      sym__lowercase_identifier,
    STATE(10958), 1,
      sym_class_type_path,
    STATE(16279), 1,
      sym_attribute,
    STATE(19136), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747063] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21776), 1,
      anon_sym_with,
    STATE(16280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747086] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21778), 1,
      anon_sym_COLON_GT,
    ACTIONS(21780), 1,
      anon_sym_RPAREN,
    STATE(16281), 1,
      sym_attribute,
    STATE(18617), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747109] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21774), 1,
      sym__lowercase_identifier,
    STATE(14066), 1,
      sym_class_type_path,
    STATE(16282), 1,
      sym_attribute,
    STATE(19292), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747132] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21782), 1,
      anon_sym_with,
    STATE(16283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747155] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21774), 1,
      sym__lowercase_identifier,
    STATE(14077), 1,
      sym_class_type_path,
    STATE(16284), 1,
      sym_attribute,
    STATE(19292), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747178] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21076), 1,
      sym__lowercase_identifier,
    STATE(14567), 1,
      sym_class_type_path,
    STATE(16285), 1,
      sym_attribute,
    STATE(19178), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747201] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21784), 1,
      sym__lowercase_identifier,
    STATE(16286), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(21738), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747224] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21786), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16287), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747247] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14735), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16288), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747270] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21788), 1,
      anon_sym_with,
    STATE(16289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747293] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20630), 1,
      sym__lowercase_identifier,
    STATE(3503), 1,
      sym_class_path,
    STATE(16290), 1,
      sym_attribute,
    STATE(20451), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747316] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21790), 1,
      anon_sym_GT_RBRACE,
    STATE(16291), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747339] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21792), 1,
      anon_sym_RBRACK,
    ACTIONS(21794), 1,
      aux_sym_tag_token1,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16292), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat2,
  [747360] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21076), 1,
      sym__lowercase_identifier,
    STATE(14554), 1,
      sym_class_type_path,
    STATE(16293), 1,
      sym_attribute,
    STATE(19178), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747383] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20504), 1,
      sym__lowercase_identifier,
    STATE(8661), 1,
      sym_class_path,
    STATE(16294), 1,
      sym_attribute,
    STATE(20217), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747406] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21012), 1,
      anon_sym_BANG,
    ACTIONS(21014), 1,
      anon_sym__,
    STATE(15672), 1,
      sym_type_variable,
    STATE(16295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747429] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21797), 1,
      anon_sym_with,
    STATE(16296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747452] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21799), 1,
      sym__lowercase_identifier,
    STATE(9093), 1,
      sym_type_constructor_path,
    STATE(16297), 1,
      sym_attribute,
    STATE(19293), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747475] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17698), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(16298), 1,
      sym_attribute,
    STATE(18326), 1,
      sym__value_name,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747498] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21801), 1,
      anon_sym_COLON_GT,
    ACTIONS(21803), 1,
      anon_sym_RPAREN,
    STATE(16299), 1,
      sym_attribute,
    STATE(18538), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747521] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21805), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16300), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747544] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21807), 1,
      anon_sym_GT_RBRACE,
    STATE(16301), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747567] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21809), 1,
      anon_sym_COLON_GT,
    ACTIONS(21811), 1,
      anon_sym_RPAREN,
    STATE(16302), 1,
      sym_attribute,
    STATE(19006), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747590] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21813), 1,
      anon_sym_COLON_GT,
    ACTIONS(21815), 1,
      anon_sym_RPAREN,
    STATE(16303), 1,
      sym_attribute,
    STATE(18325), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747613] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21817), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16304), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747636] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20336), 1,
      sym__lowercase_identifier,
    STATE(6476), 1,
      sym_class_path,
    STATE(16305), 1,
      sym_attribute,
    STATE(19711), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747659] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21819), 1,
      sym__lowercase_identifier,
    STATE(16306), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22304), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747682] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21821), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16307), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747705] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21823), 1,
      anon_sym_GT_RBRACE,
    STATE(16308), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747728] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21258), 1,
      sym__lowercase_identifier,
    STATE(13833), 1,
      sym_class_type_path,
    STATE(16309), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747751] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21825), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16310), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747774] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21827), 1,
      anon_sym_RBRACK,
    ACTIONS(21829), 1,
      anon_sym_GT,
    STATE(16311), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747797] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21827), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16312), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747820] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21831), 1,
      anon_sym_with,
    STATE(16313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747843] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21231), 1,
      sym__lowercase_identifier,
    STATE(11317), 1,
      sym_class_type_path,
    STATE(16314), 1,
      sym_attribute,
    STATE(18566), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747866] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21833), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16315), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747889] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20238), 1,
      sym__lowercase_identifier,
    STATE(7754), 1,
      sym_class_path,
    STATE(16316), 1,
      sym_attribute,
    STATE(20489), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747912] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21835), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16317), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747935] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21258), 1,
      sym__lowercase_identifier,
    STATE(13623), 1,
      sym_class_type_path,
    STATE(16318), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747958] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20526), 1,
      sym__lowercase_identifier,
    STATE(7517), 1,
      sym_class_path,
    STATE(16319), 1,
      sym_attribute,
    STATE(19972), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [747981] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21837), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16320), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748004] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21839), 1,
      anon_sym_with,
    STATE(16321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748027] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21841), 1,
      anon_sym_GT_RBRACE,
    STATE(16322), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748050] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21843), 1,
      anon_sym_GT_RBRACE,
    STATE(16323), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748073] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21845), 1,
      sym__lowercase_identifier,
    STATE(6359), 1,
      sym_type_constructor_path,
    STATE(16324), 1,
      sym_attribute,
    STATE(19113), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748096] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21847), 1,
      anon_sym_GT_RBRACE,
    STATE(16325), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748119] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21849), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16326), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748142] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21849), 1,
      anon_sym_RBRACK,
    ACTIONS(21851), 1,
      anon_sym_GT,
    STATE(16327), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748165] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(21681), 1,
      sym__lowercase_identifier,
    STATE(8479), 1,
      sym_class_path,
    STATE(16328), 1,
      sym_attribute,
    STATE(19766), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748188] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21714), 1,
      sym__lowercase_identifier,
    STATE(10952), 1,
      sym_class_type_path,
    STATE(16329), 1,
      sym_attribute,
    STATE(18157), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748211] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21853), 1,
      anon_sym_with,
    STATE(16330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748234] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21855), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16331), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748257] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20392), 1,
      sym__lowercase_identifier,
    STATE(6302), 1,
      sym_class_path,
    STATE(16332), 1,
      sym_attribute,
    STATE(19852), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748280] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21857), 1,
      anon_sym_COLON_GT,
    ACTIONS(21859), 1,
      anon_sym_RPAREN,
    STATE(16333), 1,
      sym_attribute,
    STATE(18232), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748303] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15590), 1,
      anon_sym_in,
    ACTIONS(21241), 1,
      anon_sym_and,
    ACTIONS(21243), 1,
      sym_let_and_operator,
    STATE(15972), 1,
      aux_sym_value_definition_repeat1,
    STATE(16334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748326] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21861), 1,
      anon_sym_COLON_GT,
    ACTIONS(21863), 1,
      anon_sym_RPAREN,
    STATE(16335), 1,
      sym_attribute,
    STATE(18345), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748349] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21865), 1,
      anon_sym_COLON_GT,
    ACTIONS(21867), 1,
      anon_sym_RPAREN,
    STATE(16336), 1,
      sym_attribute,
    STATE(18758), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16337), 1,
      sym_attribute,
    STATE(18550), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21869), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [748393] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21871), 1,
      anon_sym_GT_RBRACE,
    STATE(16338), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748416] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    ACTIONS(21873), 1,
      anon_sym_EQ,
    ACTIONS(21875), 1,
      anon_sym_RPAREN,
    STATE(16339), 1,
      sym_attribute,
    STATE(18296), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21877), 1,
      anon_sym_COMMA,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21054), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(16340), 2,
      sym_attribute,
      aux_sym_instantiated_class_type_repeat1,
  [748458] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21880), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16341), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748481] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21882), 1,
      anon_sym_with,
    STATE(16342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748504] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21884), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16343), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748527] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21884), 1,
      anon_sym_RBRACK,
    ACTIONS(21886), 1,
      anon_sym_GT,
    STATE(16344), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748550] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20300), 1,
      sym__lowercase_identifier,
    STATE(8343), 1,
      sym_class_path,
    STATE(16345), 1,
      sym_attribute,
    STATE(21231), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748573] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21888), 1,
      anon_sym_RBRACK,
    ACTIONS(21890), 1,
      anon_sym_GT,
    STATE(16346), 1,
      sym_attribute,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16347), 1,
      sym_attribute,
    STATE(18471), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21892), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [748617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21894), 1,
      anon_sym_PIPE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21897), 2,
      anon_sym_RBRACK,
      anon_sym_GT,
    STATE(16348), 2,
      sym_attribute,
      aux_sym_polymorphic_variant_type_repeat1,
  [748636] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21888), 1,
      anon_sym_RBRACK,
    ACTIONS(21890), 1,
      anon_sym_GT,
    STATE(16327), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748659] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10792), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    ACTIONS(21121), 1,
      sym_hash_operator,
    ACTIONS(21899), 1,
      anon_sym_with,
    STATE(16350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748682] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21901), 1,
      anon_sym_GT_RBRACE,
    STATE(16351), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748705] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21903), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16352), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748728] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21905), 1,
      anon_sym_COLON_GT,
    ACTIONS(21907), 1,
      anon_sym_RPAREN,
    STATE(16353), 1,
      sym_attribute,
    STATE(18242), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748751] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11162), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21909), 1,
      anon_sym_GT,
    STATE(16354), 1,
      sym_attribute,
    STATE(16367), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748774] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18176), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    STATE(16355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748797] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21911), 1,
      anon_sym_RBRACK,
    ACTIONS(21913), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748820] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21915), 1,
      anon_sym_GT_RBRACE,
    STATE(16357), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748843] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21911), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16358), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748866] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(16359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(14464), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [748887] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21917), 1,
      sym__lowercase_identifier,
    ACTIONS(21919), 1,
      anon_sym_LPAREN,
    STATE(10131), 1,
      sym_parenthesized_operator,
    STATE(10152), 1,
      sym__value_name,
    STATE(16360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748910] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20480), 1,
      sym__lowercase_identifier,
    STATE(8825), 1,
      sym_class_path,
    STATE(16361), 1,
      sym_attribute,
    STATE(20979), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748933] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21444), 1,
      sym__lowercase_identifier,
    STATE(10710), 1,
      sym_class_type_path,
    STATE(16362), 1,
      sym_attribute,
    STATE(18679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748956] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21921), 1,
      anon_sym_GT_RBRACE,
    STATE(16363), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [748979] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21923), 1,
      anon_sym_GT,
    STATE(16346), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749002] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21444), 1,
      sym__lowercase_identifier,
    STATE(10669), 1,
      sym_class_type_path,
    STATE(16365), 1,
      sym_attribute,
    STATE(18679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749025] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21925), 1,
      anon_sym_RBRACK,
    ACTIONS(21927), 1,
      anon_sym_GT,
    STATE(16366), 1,
      sym_attribute,
    STATE(16383), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749048] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21925), 1,
      anon_sym_RBRACK,
    ACTIONS(21927), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749071] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21444), 1,
      sym__lowercase_identifier,
    STATE(10660), 1,
      sym_class_type_path,
    STATE(16368), 1,
      sym_attribute,
    STATE(18679), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749094] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21929), 1,
      anon_sym_GT_RBRACE,
    STATE(16369), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749117] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21931), 1,
      anon_sym_GT_RBRACE,
    STATE(16370), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749140] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11296), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21933), 1,
      anon_sym_GT,
    STATE(16371), 1,
      sym_attribute,
    STATE(16435), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749163] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18152), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    STATE(16372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749186] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20488), 1,
      sym__lowercase_identifier,
    STATE(4458), 1,
      sym_class_path,
    STATE(16373), 1,
      sym_attribute,
    STATE(20413), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749209] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21935), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16374), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749232] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21937), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16375), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749255] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21939), 1,
      sym__lowercase_identifier,
    STATE(10162), 1,
      sym_type_constructor_path,
    STATE(16376), 1,
      sym_attribute,
    STATE(18206), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749278] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21941), 1,
      anon_sym_GT_RBRACE,
    STATE(16377), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749301] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(21596), 1,
      aux_sym_attribute_id_token1,
    STATE(16378), 1,
      sym_attribute,
    STATE(16429), 1,
      aux_sym_attribute_id_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(10140), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [749322] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21392), 1,
      sym__lowercase_identifier,
    STATE(12242), 1,
      sym_class_type_path,
    STATE(16379), 1,
      sym_attribute,
    STATE(19182), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749345] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15624), 1,
      anon_sym_in,
    ACTIONS(21241), 1,
      anon_sym_and,
    ACTIONS(21243), 1,
      sym_let_and_operator,
    STATE(16380), 1,
      sym_attribute,
    STATE(16428), 1,
      aux_sym_value_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749368] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21943), 1,
      anon_sym_GT_RBRACE,
    STATE(16381), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749391] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21945), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16382), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749414] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21947), 1,
      anon_sym_RBRACK,
    ACTIONS(21949), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749437] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21746), 1,
      anon_sym_RBRACK,
    ACTIONS(21748), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749460] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14982), 1,
      anon_sym_in,
    ACTIONS(21951), 1,
      anon_sym_and,
    ACTIONS(21954), 1,
      sym_let_and_operator,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16385), 2,
      sym_attribute,
      aux_sym_value_definition_repeat1,
  [749481] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21947), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16386), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749504] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21957), 1,
      anon_sym_GT_RBRACE,
    STATE(16387), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749527] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21959), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16388), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749550] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21961), 1,
      anon_sym_GT_RBRACE,
    STATE(16389), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749573] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21963), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16390), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749596] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21965), 1,
      anon_sym_COLON_GT,
    ACTIONS(21967), 1,
      anon_sym_RPAREN,
    STATE(16391), 1,
      sym_attribute,
    STATE(18797), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749619] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21969), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16392), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749642] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21971), 1,
      anon_sym_GT_RBRACE,
    STATE(16393), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749665] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21973), 1,
      sym__lowercase_identifier,
    STATE(10239), 1,
      sym_class_type_path,
    STATE(16394), 1,
      sym_attribute,
    STATE(19243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749688] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(21975), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16395), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749711] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21977), 1,
      anon_sym_GT_RBRACE,
    STATE(16396), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749734] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(21979), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16397), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749757] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21981), 1,
      anon_sym_COLON_GT,
    ACTIONS(21983), 1,
      anon_sym_RPAREN,
    STATE(16398), 1,
      sym_attribute,
    STATE(18960), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749780] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20373), 1,
      sym__lowercase_identifier,
    STATE(7935), 1,
      sym_class_path,
    STATE(16399), 1,
      sym_attribute,
    STATE(19490), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749803] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21985), 1,
      sym__lowercase_identifier,
    STATE(12173), 1,
      sym_class_type_path,
    STATE(16400), 1,
      sym_attribute,
    STATE(19267), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749826] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21985), 1,
      sym__lowercase_identifier,
    STATE(12183), 1,
      sym_class_type_path,
    STATE(16401), 1,
      sym_attribute,
    STATE(19267), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21985), 1,
      sym__lowercase_identifier,
    STATE(12194), 1,
      sym_class_type_path,
    STATE(16402), 1,
      sym_attribute,
    STATE(19267), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21987), 1,
      sym__lowercase_identifier,
    STATE(9184), 1,
      sym_type_constructor_path,
    STATE(16403), 1,
      sym_attribute,
    STATE(19165), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(21989), 1,
      anon_sym_COLON_GT,
    ACTIONS(21991), 1,
      anon_sym_RPAREN,
    STATE(16404), 1,
      sym_attribute,
    STATE(18409), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16405), 1,
      sym_attribute,
    STATE(18402), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21993), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [749939] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21995), 1,
      anon_sym_GT_RBRACE,
    STATE(16406), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749962] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15624), 1,
      anon_sym_in,
    ACTIONS(21241), 1,
      anon_sym_and,
    ACTIONS(21243), 1,
      sym_let_and_operator,
    STATE(16385), 1,
      aux_sym_value_definition_repeat1,
    STATE(16407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [749985] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    ACTIONS(20732), 1,
      sym__lowercase_identifier,
    STATE(14291), 1,
      sym_parenthesized_operator,
    STATE(14748), 1,
      sym__value_name,
    STATE(16408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750008] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21997), 1,
      anon_sym_GT_RBRACE,
    STATE(16409), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750031] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(21999), 1,
      anon_sym_GT_RBRACE,
    STATE(16410), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750054] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20484), 1,
      sym__lowercase_identifier,
    STATE(3559), 1,
      sym_class_path,
    STATE(16411), 1,
      sym_attribute,
    STATE(20829), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750077] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    ACTIONS(19656), 1,
      anon_sym_LBRACK,
    ACTIONS(19658), 1,
      anon_sym_virtual,
    STATE(14061), 1,
      sym_class_binding,
    STATE(16412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750100] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22001), 1,
      anon_sym_COLON_GT,
    ACTIONS(22003), 1,
      anon_sym_RPAREN,
    STATE(16413), 1,
      sym_attribute,
    STATE(18940), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750123] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21582), 1,
      sym__lowercase_identifier,
    STATE(14261), 1,
      sym_class_type_path,
    STATE(16414), 1,
      sym_attribute,
    STATE(19196), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750146] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21582), 1,
      sym__lowercase_identifier,
    STATE(14244), 1,
      sym_class_type_path,
    STATE(16415), 1,
      sym_attribute,
    STATE(19196), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750169] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19654), 1,
      sym__lowercase_identifier,
    ACTIONS(19656), 1,
      anon_sym_LBRACK,
    ACTIONS(19658), 1,
      anon_sym_virtual,
    STATE(12506), 1,
      sym_class_binding,
    STATE(16416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750192] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21582), 1,
      sym__lowercase_identifier,
    STATE(14235), 1,
      sym_class_type_path,
    STATE(16417), 1,
      sym_attribute,
    STATE(19196), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750215] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20510), 1,
      sym__lowercase_identifier,
    STATE(6139), 1,
      sym_class_path,
    STATE(16418), 1,
      sym_attribute,
    STATE(19656), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22005), 1,
      sym__lowercase_identifier,
    STATE(15900), 1,
      aux_sym__abstract_type_repeat1,
    STATE(16419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22007), 2,
      anon_sym_RPAREN,
      anon_sym_DOT,
  [750259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22009), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16420), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750282] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    ACTIONS(22011), 1,
      anon_sym_EQ,
    ACTIONS(22013), 1,
      anon_sym_RPAREN,
    STATE(16421), 1,
      sym_attribute,
    STATE(19285), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22015), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16422), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22017), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16423), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22017), 1,
      anon_sym_RBRACK,
    ACTIONS(22019), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21580), 1,
      sym__lowercase_identifier,
    STATE(11561), 1,
      sym_class_type_path,
    STATE(16425), 1,
      sym_attribute,
    STATE(19264), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20528), 1,
      sym__lowercase_identifier,
    STATE(9546), 1,
      sym_class_path,
    STATE(16426), 1,
      sym_attribute,
    STATE(22004), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22021), 1,
      anon_sym_GT_RBRACE,
    STATE(16427), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15590), 1,
      anon_sym_in,
    ACTIONS(21241), 1,
      anon_sym_and,
    ACTIONS(21243), 1,
      sym_let_and_operator,
    STATE(16385), 1,
      aux_sym_value_definition_repeat1,
    STATE(16428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750466] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(22023), 1,
      aux_sym_attribute_id_token1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9975), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
    STATE(16429), 2,
      sym_attribute,
      aux_sym_attribute_id_repeat1,
  [750485] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(21436), 1,
      sym__lowercase_identifier,
    STATE(16430), 1,
      sym_attribute,
    STATE(18789), 1,
      sym_module_type_path,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750508] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22026), 1,
      anon_sym_COLON_GT,
    ACTIONS(22028), 1,
      anon_sym_RPAREN,
    STATE(16431), 1,
      sym_attribute,
    STATE(18804), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22030), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22032), 2,
      anon_sym_private,
      anon_sym_virtual,
    STATE(16432), 2,
      sym_attribute,
      aux_sym_method_specification_repeat1,
  [750550] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22035), 1,
      anon_sym_RBRACK,
    ACTIONS(22037), 1,
      anon_sym_GT,
    STATE(16433), 1,
      sym_attribute,
    STATE(16515), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750573] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22039), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16434), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750596] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22035), 1,
      anon_sym_RBRACK,
    ACTIONS(22037), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750619] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22041), 1,
      anon_sym_RBRACK,
    ACTIONS(22043), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750642] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22041), 1,
      anon_sym_RBRACK,
    ACTIONS(22043), 1,
      anon_sym_GT,
    STATE(16424), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750665] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22045), 1,
      anon_sym_GT_RBRACE,
    STATE(16438), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750688] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(13210), 1,
      sym__lowercase_identifier,
    STATE(16439), 1,
      sym_attribute,
    STATE(17612), 1,
      sym_type_constructor_path,
    STATE(18263), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750711] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(22047), 1,
      sym__lowercase_identifier,
    STATE(8439), 1,
      sym_type_constructor_path,
    STATE(16440), 1,
      sym_attribute,
    STATE(18363), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750734] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22049), 1,
      anon_sym_GT_RBRACE,
    STATE(16441), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750757] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21209), 1,
      sym__lowercase_identifier,
    STATE(13099), 1,
      sym_class_type_path,
    STATE(16442), 1,
      sym_attribute,
    STATE(18418), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750780] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14680), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16443), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750803] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22051), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16444), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750826] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11376), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22053), 1,
      anon_sym_GT,
    STATE(16445), 1,
      sym_attribute,
    STATE(16471), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22055), 1,
      anon_sym_COLON_GT,
    ACTIONS(22057), 1,
      anon_sym_RPAREN,
    STATE(16446), 1,
      sym_attribute,
    STATE(18214), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22059), 1,
      anon_sym_GT,
    STATE(16436), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11378), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22061), 1,
      anon_sym_GT,
    STATE(16384), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750918] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11348), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22063), 1,
      anon_sym_GT,
    STATE(16211), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750941] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22065), 1,
      anon_sym_GT_RBRACE,
    STATE(16450), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750964] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(22067), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [750987] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22069), 1,
      sym__lowercase_identifier,
    STATE(16432), 1,
      aux_sym_method_specification_repeat1,
    STATE(16452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20912), 2,
      anon_sym_private,
      anon_sym_virtual,
  [751008] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16453), 1,
      sym_attribute,
    STATE(16456), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751031] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    STATE(16454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13960), 2,
      anon_sym_COLON_GT,
      anon_sym_RPAREN,
  [751052] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751075] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(22071), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751098] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20520), 1,
      sym__lowercase_identifier,
    STATE(4344), 1,
      sym_class_path,
    STATE(16457), 1,
      sym_attribute,
    STATE(20257), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751121] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(19552), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751144] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20344), 1,
      sym__lowercase_identifier,
    STATE(6938), 1,
      sym_class_path,
    STATE(16459), 1,
      sym_attribute,
    STATE(20374), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751167] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(19552), 1,
      anon_sym_DASH_GT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16232), 1,
      aux_sym_module_binding_repeat1,
    STATE(16460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751190] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21145), 1,
      sym__lowercase_identifier,
    STATE(12092), 1,
      sym_class_type_path,
    STATE(16461), 1,
      sym_attribute,
    STATE(18784), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751213] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22073), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16462), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751236] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21145), 1,
      sym__lowercase_identifier,
    STATE(12102), 1,
      sym_class_type_path,
    STATE(16463), 1,
      sym_attribute,
    STATE(18784), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751259] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22075), 1,
      anon_sym_GT_RBRACE,
    STATE(16464), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751282] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20208), 1,
      sym__lowercase_identifier,
    STATE(7529), 1,
      sym_class_path,
    STATE(16465), 1,
      sym_attribute,
    STATE(19546), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751305] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22077), 1,
      anon_sym_GT_RBRACE,
    STATE(16466), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751328] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21145), 1,
      sym__lowercase_identifier,
    STATE(12154), 1,
      sym_class_type_path,
    STATE(16467), 1,
      sym_attribute,
    STATE(18784), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751351] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(22079), 1,
      sym__lowercase_identifier,
    STATE(16468), 1,
      sym_attribute,
    STATE(18263), 1,
      sym_extended_module_path,
    STATE(22322), 1,
      sym_type_constructor_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751374] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22081), 1,
      anon_sym_RBRACK,
    ACTIONS(22083), 1,
      anon_sym_GT,
    STATE(16469), 1,
      sym_attribute,
    STATE(16495), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751397] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16140), 1,
      aux_sym_module_binding_repeat1,
    STATE(16470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751420] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22081), 1,
      anon_sym_RBRACK,
    ACTIONS(22083), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751443] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21985), 1,
      sym__lowercase_identifier,
    STATE(12165), 1,
      sym_class_type_path,
    STATE(16472), 1,
      sym_attribute,
    STATE(19267), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751466] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20398), 1,
      sym__lowercase_identifier,
    STATE(7815), 1,
      sym_class_path,
    STATE(16473), 1,
      sym_attribute,
    STATE(20785), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751489] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22085), 1,
      sym__lowercase_identifier,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22087), 2,
      anon_sym_mutable,
      anon_sym_virtual,
    STATE(16474), 2,
      sym_attribute,
      aux_sym_instance_variable_specification_repeat1,
  [751508] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22090), 1,
      sym__lowercase_identifier,
    ACTIONS(22092), 1,
      anon_sym_LPAREN,
    STATE(6515), 1,
      sym_parenthesized_operator,
    STATE(6566), 1,
      sym__value_name,
    STATE(16475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751531] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22094), 1,
      anon_sym_GT_RBRACE,
    STATE(16476), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751554] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(13964), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751577] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22096), 1,
      anon_sym_GT_RBRACE,
    STATE(16478), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751600] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18371), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    STATE(16479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751623] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22098), 1,
      anon_sym_COLON_GT,
    ACTIONS(22100), 1,
      anon_sym_RPAREN,
    STATE(16480), 1,
      sym_attribute,
    STATE(18181), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751646] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22102), 1,
      anon_sym_GT_RBRACE,
    STATE(16481), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751669] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22104), 1,
      anon_sym_GT_RBRACE,
    STATE(16482), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751692] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22106), 1,
      anon_sym_GT_RBRACE,
    STATE(16483), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751715] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22108), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16484), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751738] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(14680), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(16288), 1,
      aux_sym_expression_item_repeat1,
    STATE(16485), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751761] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21229), 1,
      anon_sym_LPAREN,
    ACTIONS(22110), 1,
      sym__lowercase_identifier,
    STATE(16486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(15622), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [751782] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16487), 1,
      sym_attribute,
    STATE(18230), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22112), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [751803] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18343), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    STATE(16488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751826] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22114), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16489), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751849] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18142), 1,
      anon_sym_COMMA,
    ACTIONS(18554), 1,
      anon_sym_COLON_COLON,
    ACTIONS(18574), 1,
      anon_sym_PIPE,
    ACTIONS(18578), 1,
      anon_sym_as,
    STATE(16490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751872] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22116), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16491), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751895] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21171), 1,
      sym__lowercase_identifier,
    STATE(11601), 1,
      sym_class_type_path,
    STATE(16492), 1,
      sym_attribute,
    STATE(18447), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751918] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22118), 1,
      anon_sym_GT_RBRACE,
    STATE(16493), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751941] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21374), 1,
      sym__lowercase_identifier,
    STATE(10458), 1,
      sym_class_type_path,
    STATE(16494), 1,
      sym_attribute,
    STATE(18988), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751964] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22120), 1,
      anon_sym_RBRACK,
    ACTIONS(22122), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [751987] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22124), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16496), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752010] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(22126), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752033] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22128), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16498), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752056] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22120), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16499), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752079] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22130), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16500), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752102] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22132), 1,
      anon_sym_COLON_GT,
    ACTIONS(22134), 1,
      anon_sym_RPAREN,
    STATE(16501), 1,
      sym_attribute,
    STATE(18269), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752125] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21201), 1,
      sym__lowercase_identifier,
    STATE(15223), 1,
      sym_class_type_path,
    STATE(16502), 1,
      sym_attribute,
    STATE(18262), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752148] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22136), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16503), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752171] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(21436), 1,
      sym__lowercase_identifier,
    STATE(16504), 1,
      sym_attribute,
    STATE(18203), 1,
      sym_module_type_path,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752194] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22138), 1,
      anon_sym_GT,
    STATE(16505), 1,
      sym_attribute,
    STATE(16582), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752217] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20096), 1,
      sym__lowercase_identifier,
    STATE(4004), 1,
      sym_class_path,
    STATE(16506), 1,
      sym_attribute,
    STATE(20863), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752240] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21973), 1,
      sym__lowercase_identifier,
    STATE(10229), 1,
      sym_class_type_path,
    STATE(16507), 1,
      sym_attribute,
    STATE(19243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752263] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22140), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16508), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752286] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11150), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22142), 1,
      anon_sym_GT,
    STATE(16509), 1,
      sym_attribute,
    STATE(16579), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752309] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22144), 1,
      anon_sym_GT_RBRACE,
    STATE(16510), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752332] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21973), 1,
      sym__lowercase_identifier,
    STATE(10282), 1,
      sym_class_type_path,
    STATE(16511), 1,
      sym_attribute,
    STATE(19243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752355] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21973), 1,
      sym__lowercase_identifier,
    STATE(10291), 1,
      sym_class_type_path,
    STATE(16512), 1,
      sym_attribute,
    STATE(19243), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752378] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21173), 1,
      sym__lowercase_identifier,
    STATE(10523), 1,
      sym_class_type_path,
    STATE(16513), 1,
      sym_attribute,
    STATE(19120), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752401] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16514), 1,
      sym_attribute,
    STATE(18245), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22146), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [752422] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22148), 1,
      anon_sym_RBRACK,
    ACTIONS(22150), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752445] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22152), 1,
      anon_sym_COLON_GT,
    ACTIONS(22154), 1,
      anon_sym_RPAREN,
    STATE(16516), 1,
      sym_attribute,
    STATE(18182), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752468] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    ACTIONS(22156), 1,
      anon_sym_EQ,
    ACTIONS(22158), 1,
      anon_sym_RPAREN,
    STATE(16517), 1,
      sym_attribute,
    STATE(18868), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752491] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22148), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16518), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752514] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21258), 1,
      sym__lowercase_identifier,
    STATE(13610), 1,
      sym_class_type_path,
    STATE(16519), 1,
      sym_attribute,
    STATE(18898), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752537] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(16520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22412), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [752558] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22160), 1,
      anon_sym_GT_RBRACE,
    STATE(16521), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752581] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20464), 1,
      sym__lowercase_identifier,
    STATE(8855), 1,
      sym_class_path,
    STATE(16522), 1,
      sym_attribute,
    STATE(20136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752604] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16523), 1,
      sym_attribute,
    STATE(16525), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752627] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(15246), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752650] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(22162), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752673] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22164), 1,
      anon_sym_COLON_GT,
    ACTIONS(22166), 1,
      anon_sym_RPAREN,
    STATE(16526), 1,
      sym_attribute,
    STATE(18848), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752696] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22168), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16527), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752719] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(16528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22430), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [752740] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22170), 1,
      anon_sym_COLON_GT,
    ACTIONS(22172), 1,
      anon_sym_RPAREN,
    STATE(16529), 1,
      sym_attribute,
    STATE(18174), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752763] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16530), 1,
      sym_attribute,
    STATE(16537), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752786] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22174), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16531), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752809] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20282), 1,
      sym__lowercase_identifier,
    ACTIONS(20284), 1,
      anon_sym_LBRACK,
    ACTIONS(20286), 1,
      anon_sym_virtual,
    STATE(12980), 1,
      sym_class_type_binding,
    STATE(16532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752832] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22176), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16533), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752855] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(15310), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752878] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20178), 1,
      sym__lowercase_identifier,
    STATE(5779), 1,
      sym_class_path,
    STATE(16535), 1,
      sym_attribute,
    STATE(19301), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752901] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22178), 1,
      anon_sym_GT_RBRACE,
    STATE(16536), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752924] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(22180), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752947] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    ACTIONS(20220), 1,
      anon_sym_LPAREN,
    STATE(16538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(22438), 2,
      sym__simple_value_pattern,
      sym_parenthesized_operator,
  [752968] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22182), 1,
      anon_sym_GT_RBRACE,
    STATE(16539), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [752991] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16540), 1,
      sym_attribute,
    STATE(16547), 1,
      aux_sym_module_binding_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753014] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22184), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16541), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753037] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22186), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16542), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753060] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22174), 1,
      anon_sym_RBRACK,
    ACTIONS(22188), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753083] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20142), 1,
      sym__lowercase_identifier,
    STATE(11078), 1,
      sym_class_path,
    STATE(16544), 1,
      sym_attribute,
    STATE(19931), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753106] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22190), 1,
      anon_sym_COLON_GT,
    ACTIONS(22192), 1,
      anon_sym_RPAREN,
    STATE(16545), 1,
      sym_attribute,
    STATE(18901), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753129] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(14773), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753152] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    ACTIONS(22194), 1,
      anon_sym_DASH_GT,
    STATE(10526), 1,
      aux_sym_module_binding_repeat1,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753175] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(22196), 1,
      sym__lowercase_identifier,
    STATE(11560), 1,
      sym_type_constructor_path,
    STATE(16548), 1,
      sym_attribute,
    STATE(18533), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753198] = 7,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(12365), 1,
      anon_sym_in,
    ACTIONS(18050), 1,
      anon_sym_LBRACK_AT_AT,
    STATE(15711), 1,
      aux_sym_expression_item_repeat1,
    STATE(16549), 1,
      sym_attribute,
    STATE(16762), 1,
      sym_item_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753221] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22198), 1,
      anon_sym_rec,
    STATE(13551), 1,
      sym_module_binding,
    STATE(16550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19522), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [753242] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19672), 1,
      sym__lowercase_identifier,
    ACTIONS(19674), 1,
      anon_sym_LBRACK,
    ACTIONS(19676), 1,
      anon_sym_virtual,
    STATE(12506), 1,
      sym_class_binding,
    STATE(16551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753265] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22200), 1,
      anon_sym_GT,
    STATE(16014), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753288] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22202), 1,
      anon_sym_COLON_GT,
    ACTIONS(22204), 1,
      anon_sym_RPAREN,
    STATE(16553), 1,
      sym_attribute,
    STATE(18192), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753311] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21730), 1,
      sym__lowercase_identifier,
    STATE(10838), 1,
      sym_class_type_path,
    STATE(16554), 1,
      sym_attribute,
    STATE(19216), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753334] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22206), 1,
      anon_sym_rec,
    STATE(14186), 1,
      sym_module_binding,
    STATE(16555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19512), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [753355] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22208), 1,
      anon_sym_GT_RBRACE,
    STATE(16556), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753378] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    ACTIONS(22210), 1,
      anon_sym_RBRACE,
    STATE(16557), 1,
      sym_attribute,
    STATE(18176), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753401] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22212), 1,
      anon_sym_GT_RBRACE,
    STATE(16558), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753424] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21730), 1,
      sym__lowercase_identifier,
    STATE(10769), 1,
      sym_class_type_path,
    STATE(16559), 1,
      sym_attribute,
    STATE(19216), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753447] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21730), 1,
      sym__lowercase_identifier,
    STATE(10903), 1,
      sym_class_type_path,
    STATE(16560), 1,
      sym_attribute,
    STATE(19216), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753470] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(22214), 1,
      anon_sym_DOT,
    STATE(16248), 1,
      aux_sym_constructor_declaration_repeat1,
    STATE(16561), 1,
      sym_attribute,
    STATE(19034), 1,
      sym_type_variable,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753493] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(13593), 1,
      anon_sym_and,
    STATE(16562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13591), 3,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
      sym_let_and_operator,
  [753512] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22216), 1,
      anon_sym_rec,
    STATE(14163), 1,
      sym_module_binding,
    STATE(16563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19482), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [753533] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20462), 1,
      sym__lowercase_identifier,
    STATE(6800), 1,
      sym_class_path,
    STATE(16564), 1,
      sym_attribute,
    STATE(19601), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753556] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22218), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16565), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753579] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22220), 1,
      anon_sym_GT_RBRACE,
    STATE(16566), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753602] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    ACTIONS(21774), 1,
      sym__lowercase_identifier,
    STATE(14079), 1,
      sym_class_type_path,
    STATE(16567), 1,
      sym_attribute,
    STATE(19292), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753625] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22222), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16568), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753648] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22224), 1,
      anon_sym_GT_RBRACE,
    STATE(16569), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753671] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    ACTIONS(22226), 1,
      anon_sym_RBRACK,
    STATE(16292), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(16570), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753694] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22226), 1,
      anon_sym_RBRACK,
    ACTIONS(22228), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753717] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20288), 1,
      sym__lowercase_identifier,
    STATE(3931), 1,
      sym_class_path,
    STATE(16572), 1,
      sym_attribute,
    STATE(20881), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753740] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22230), 1,
      anon_sym_COLON_GT,
    ACTIONS(22232), 1,
      anon_sym_RPAREN,
    STATE(16573), 1,
      sym_attribute,
    STATE(18841), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753763] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16574), 1,
      sym_attribute,
    STATE(18155), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22234), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [753784] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(21436), 1,
      sym__lowercase_identifier,
    STATE(16575), 1,
      sym_attribute,
    STATE(18149), 1,
      sym_module_type_path,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753807] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22236), 1,
      anon_sym_GT_RBRACE,
    STATE(16576), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753830] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16577), 1,
      sym_attribute,
    STATE(18147), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22238), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [753851] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22240), 1,
      anon_sym_RBRACK,
    ACTIONS(22242), 1,
      anon_sym_GT,
    STATE(16543), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753874] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22240), 1,
      anon_sym_RBRACK,
    ACTIONS(22242), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22246), 1,
      anon_sym_of,
    STATE(16580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22244), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [753916] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(21436), 1,
      sym__lowercase_identifier,
    STATE(16581), 1,
      sym_attribute,
    STATE(18145), 1,
      sym_module_type_path,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753939] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22248), 1,
      anon_sym_RBRACK,
    ACTIONS(22250), 1,
      anon_sym_GT,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753962] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20464), 1,
      sym__lowercase_identifier,
    STATE(8751), 1,
      sym_class_path,
    STATE(16583), 1,
      sym_attribute,
    STATE(20136), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [753985] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9106), 1,
      anon_sym_POUND,
    ACTIONS(21117), 1,
      anon_sym_DOT,
    STATE(16584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9104), 2,
      anon_sym_with,
      sym_hash_operator,
  [754006] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22248), 1,
      anon_sym_RBRACK,
    ACTIONS(22250), 1,
      anon_sym_GT,
    STATE(16571), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754029] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19217), 1,
      anon_sym_COLON2,
    ACTIONS(22252), 1,
      anon_sym_COLON_GT,
    ACTIONS(22254), 1,
      anon_sym_RPAREN,
    STATE(16586), 1,
      sym_attribute,
    STATE(18138), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754052] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15141), 1,
      anon_sym_PERCENT,
    STATE(16587), 1,
      sym_attribute,
    STATE(18144), 1,
      sym__attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22256), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754073] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(20194), 1,
      sym__lowercase_identifier,
    STATE(4976), 1,
      sym_class_path,
    STATE(16588), 1,
      sym_attribute,
    STATE(20296), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754096] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13712), 1,
      sym__uppercase_identifier,
    ACTIONS(21436), 1,
      sym__lowercase_identifier,
    STATE(16589), 1,
      sym_attribute,
    STATE(18140), 1,
      sym_module_type_path,
    STATE(18821), 1,
      sym_extended_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754119] = 7,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    ACTIONS(22258), 1,
      anon_sym_GT_RBRACE,
    STATE(16590), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14616), 1,
      sym_attribute_id,
    STATE(16591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22260), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22262), 1,
      sym__lowercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    STATE(16592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22266), 1,
      anon_sym_RPAREN,
    STATE(16593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20118), 1,
      anon_sym_RBRACE,
    ACTIONS(22268), 1,
      anon_sym_SEMI,
    STATE(16594), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754220] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22270), 1,
      aux_sym_quoted_extension_token1,
    STATE(16595), 1,
      sym_attribute,
    STATE(21386), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754240] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11), 1,
      sym_attribute_id,
    STATE(16596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22274), 1,
      anon_sym_RPAREN,
    STATE(16597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13162), 1,
      anon_sym_GT,
    ACTIONS(22276), 1,
      anon_sym_SEMI,
    STATE(16598), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22240), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(5), 1,
      sym_attribute_id,
    STATE(16600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754336] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22240), 1,
      anon_sym_RBRACK,
    STATE(16601), 1,
      sym_attribute,
    STATE(16613), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754356] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19378), 1,
      anon_sym_SEMI,
    ACTIONS(19380), 1,
      anon_sym_GT,
    STATE(16602), 1,
      sym_attribute,
    STATE(16751), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754376] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22278), 1,
      aux_sym_quoted_extension_token1,
    STATE(16603), 1,
      sym_attribute,
    STATE(21502), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20192), 1,
      anon_sym_RBRACE,
    ACTIONS(22280), 1,
      anon_sym_SEMI,
    STATE(16594), 1,
      aux_sym_record_expression_repeat1,
    STATE(16604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754416] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22282), 1,
      anon_sym_SEMI,
    ACTIONS(22284), 1,
      anon_sym_RBRACE,
    STATE(16605), 1,
      sym_attribute,
    STATE(16652), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22286), 1,
      anon_sym_RPAREN,
    STATE(16606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20264), 1,
      anon_sym_RBRACE,
    ACTIONS(22288), 1,
      anon_sym_SEMI,
    STATE(16607), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22290), 1,
      anon_sym_RPAREN,
    STATE(16608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(16609), 1,
      sym_attribute,
    STATE(17123), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20322), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [754532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22292), 1,
      anon_sym_RPAREN,
    STATE(16611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754552] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22294), 1,
      aux_sym_quoted_extension_token1,
    STATE(16612), 1,
      sym_attribute,
    STATE(21263), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22174), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(20), 1,
      sym_attribute_id,
    STATE(16614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22212), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22296), 1,
      anon_sym_SEMI,
    STATE(16615), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4143), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22298), 1,
      anon_sym_SEMI,
    STATE(16616), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(22300), 1,
      anon_sym_RPAREN,
    STATE(16617), 1,
      sym_attribute,
    STATE(20402), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754670] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22302), 1,
      anon_sym_SEMI,
    ACTIONS(22304), 1,
      anon_sym_GT_RBRACE,
    STATE(16618), 1,
      sym_attribute,
    STATE(16673), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754690] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20414), 1,
      anon_sym_RBRACE,
    ACTIONS(22306), 1,
      anon_sym_SEMI,
    STATE(16619), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754710] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4153), 1,
      anon_sym_RBRACK,
    ACTIONS(22308), 1,
      anon_sym_SEMI,
    STATE(16620), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754730] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22310), 1,
      sym__lowercase_identifier,
    STATE(16621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754750] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22312), 1,
      anon_sym_SEMI,
    ACTIONS(22314), 1,
      anon_sym_RBRACE,
    STATE(16622), 1,
      sym_attribute,
    STATE(16643), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12), 1,
      sym_attribute_id,
    STATE(16623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [754788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(22318), 1,
      anon_sym_RBRACK,
    STATE(16624), 1,
      sym_attribute,
    STATE(17050), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754808] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22148), 1,
      anon_sym_RBRACK,
    STATE(16625), 1,
      sym_attribute,
    STATE(16628), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754828] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19356), 1,
      anon_sym_SEMI,
    ACTIONS(19358), 1,
      anon_sym_GT,
    STATE(16626), 1,
      sym_attribute,
    STATE(17139), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(22318), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(16627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754868] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22184), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754888] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22320), 1,
      aux_sym_quoted_extension_token1,
    STATE(16629), 1,
      sym_attribute,
    STATE(21152), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754908] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22322), 1,
      anon_sym_SEMI,
    ACTIONS(22324), 1,
      anon_sym_GT_RBRACE,
    STATE(16630), 1,
      sym_attribute,
    STATE(16653), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754928] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22326), 1,
      anon_sym_SEMI,
    ACTIONS(22328), 1,
      anon_sym_GT_RBRACE,
    STATE(16615), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754948] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9428), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22330), 1,
      anon_sym_SEMI,
    STATE(16632), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754968] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22332), 1,
      anon_sym_RPAREN,
    STATE(16633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [754988] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22334), 1,
      anon_sym_SEMI,
    ACTIONS(22336), 1,
      anon_sym_RBRACE,
    STATE(16619), 1,
      aux_sym_record_expression_repeat1,
    STATE(16634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755008] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4125), 1,
      anon_sym_RBRACK,
    ACTIONS(22338), 1,
      anon_sym_SEMI,
    STATE(16635), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755028] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19648), 1,
      anon_sym_RBRACE,
    ACTIONS(22340), 1,
      anon_sym_SEMI,
    STATE(16636), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755048] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22342), 1,
      anon_sym_RPAREN,
    STATE(16637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755068] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22344), 1,
      aux_sym_quoted_extension_token1,
    STATE(16638), 1,
      sym_attribute,
    STATE(21634), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755088] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(22346), 1,
      anon_sym_RBRACK,
    STATE(16639), 1,
      sym_attribute,
    STATE(17031), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755108] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9426), 1,
      anon_sym_RBRACK,
    ACTIONS(22348), 1,
      anon_sym_SEMI,
    STATE(16640), 1,
      sym_attribute,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755128] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4097), 1,
      anon_sym_RBRACK,
    ACTIONS(22350), 1,
      anon_sym_SEMI,
    STATE(16641), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(15), 1,
      sym_attribute_id,
    STATE(16642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [755166] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20532), 1,
      anon_sym_RBRACE,
    ACTIONS(22352), 1,
      anon_sym_SEMI,
    STATE(16643), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755186] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22354), 1,
      anon_sym_RPAREN,
    ACTIONS(22356), 1,
      anon_sym_COLON2,
    STATE(16644), 1,
      sym_attribute,
    STATE(20430), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755206] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16645), 1,
      sym_attribute,
    STATE(16897), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [755224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(31), 1,
      sym_attribute_id,
    STATE(16646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [755242] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16011), 1,
      anon_sym_in,
    ACTIONS(22358), 1,
      anon_sym_and,
    STATE(16647), 1,
      sym_attribute,
    STATE(16896), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755262] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4093), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22360), 1,
      anon_sym_SEMI,
    STATE(16648), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755282] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16649), 1,
      sym_attribute,
    STATE(18711), 1,
      sym_module_binding,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [755300] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19197), 1,
      anon_sym_SEMI,
    ACTIONS(19199), 1,
      anon_sym_GT,
    STATE(16598), 1,
      aux_sym_object_type_repeat1,
    STATE(16650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755320] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22140), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755340] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20379), 1,
      anon_sym_RBRACE,
    ACTIONS(22362), 1,
      anon_sym_SEMI,
    STATE(16652), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755360] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22144), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22364), 1,
      anon_sym_SEMI,
    STATE(16653), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755380] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22366), 1,
      aux_sym_quoted_extension_token1,
    STATE(16654), 1,
      sym_attribute,
    STATE(21059), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755400] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4133), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22368), 1,
      anon_sym_SEMI,
    STATE(16655), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755420] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11150), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(16599), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755440] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20602), 1,
      anon_sym_RBRACE,
    ACTIONS(22370), 1,
      anon_sym_SEMI,
    STATE(16607), 1,
      aux_sym_record_expression_repeat1,
    STATE(16657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755460] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22372), 1,
      anon_sym_RPAREN,
    STATE(16658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755480] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20620), 1,
      anon_sym_RBRACE,
    ACTIONS(22374), 1,
      anon_sym_SEMI,
    STATE(16659), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755500] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22148), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22376), 1,
      anon_sym_RPAREN,
    STATE(16661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755540] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22378), 1,
      anon_sym_RPAREN,
    STATE(16662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755560] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20628), 1,
      anon_sym_RBRACE,
    ACTIONS(22380), 1,
      anon_sym_SEMI,
    STATE(16663), 1,
      sym_attribute,
    STATE(16681), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755580] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(28), 1,
      sym_attribute_id,
    STATE(16664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [755598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9812), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22382), 1,
      anon_sym_SEMI,
    STATE(16665), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22384), 1,
      sym__lowercase_identifier,
    STATE(16666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22386), 1,
      anon_sym_RPAREN,
    STATE(16667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16011), 1,
      anon_sym_in,
    ACTIONS(22358), 1,
      anon_sym_and,
    STATE(16668), 1,
      sym_attribute,
    STATE(16829), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19752), 1,
      anon_sym_RBRACE,
    ACTIONS(22388), 1,
      anon_sym_SEMI,
    STATE(16669), 1,
      sym_attribute,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755698] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22390), 1,
      aux_sym_quoted_extension_token1,
    STATE(16670), 1,
      sym_attribute,
    STATE(20904), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9810), 1,
      anon_sym_RBRACK,
    ACTIONS(22392), 1,
      anon_sym_SEMI,
    STATE(16671), 1,
      sym_attribute,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755738] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22394), 1,
      aux_sym_quoted_extension_token1,
    STATE(16672), 1,
      sym_attribute,
    STATE(21756), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755758] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22102), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22396), 1,
      anon_sym_SEMI,
    STATE(16673), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20616), 1,
      anon_sym_RBRACE,
    ACTIONS(22398), 1,
      anon_sym_SEMI,
    STATE(16659), 1,
      aux_sym_record_expression_repeat1,
    STATE(16674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22400), 1,
      sym__lowercase_identifier,
    STATE(16675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22174), 1,
      anon_sym_RBRACK,
    STATE(16651), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(22402), 1,
      anon_sym_RPAREN,
    STATE(16677), 1,
      sym_attribute,
    STATE(20473), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(36), 1,
      sym_attribute_id,
    STATE(16678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [755876] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22404), 1,
      anon_sym_RPAREN,
    STATE(16679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22406), 1,
      anon_sym_RPAREN,
    STATE(16680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755916] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20608), 1,
      anon_sym_RBRACE,
    ACTIONS(22408), 1,
      anon_sym_SEMI,
    STATE(16681), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755936] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22410), 1,
      anon_sym_RPAREN,
    STATE(16682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22356), 1,
      anon_sym_COLON2,
    ACTIONS(22412), 1,
      anon_sym_RPAREN,
    STATE(16683), 1,
      sym_attribute,
    STATE(19414), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755976] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22077), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22414), 1,
      anon_sym_SEMI,
    STATE(16684), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [755996] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(33), 1,
      sym_attribute_id,
    STATE(16685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22075), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22416), 1,
      anon_sym_SEMI,
    STATE(16686), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756034] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22418), 1,
      aux_sym_quoted_extension_token1,
    STATE(16687), 1,
      sym_attribute,
    STATE(20739), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20088), 1,
      anon_sym_RBRACE,
    ACTIONS(22420), 1,
      anon_sym_SEMI,
    STATE(16688), 1,
      sym_attribute,
    STATE(16719), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4515), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22422), 1,
      anon_sym_SEMI,
    STATE(16689), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756094] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4217), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22424), 1,
      anon_sym_SEMI,
    STATE(16690), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20498), 1,
      anon_sym_RBRACE,
    ACTIONS(22426), 1,
      anon_sym_SEMI,
    STATE(16691), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756134] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4221), 1,
      anon_sym_RBRACK,
    ACTIONS(22428), 1,
      anon_sym_SEMI,
    STATE(16692), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756154] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11378), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(16693), 1,
      sym_attribute,
    STATE(16727), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756174] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22430), 1,
      anon_sym_SEMI,
    ACTIONS(22432), 1,
      anon_sym_RBRACE,
    STATE(16636), 1,
      aux_sym_record_pattern_repeat1,
    STATE(16694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756194] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21746), 1,
      anon_sym_RBRACK,
    STATE(16695), 1,
      sym_attribute,
    STATE(16776), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756214] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22434), 1,
      anon_sym_SEMI,
    ACTIONS(22436), 1,
      anon_sym_GT_RBRACE,
    STATE(16686), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756234] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13075), 1,
      anon_sym_GT,
    ACTIONS(22438), 1,
      anon_sym_SEMI,
    STATE(16697), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(39), 1,
      sym_attribute_id,
    STATE(16698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20438), 1,
      anon_sym_RBRACE,
    ACTIONS(22440), 1,
      anon_sym_SEMI,
    STATE(16699), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756292] = 5,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9973), 1,
      aux_sym_attribute_id_token1,
    STATE(16700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(9975), 2,
      sym__left_quoted_string_delimiter,
      aux_sym_quoted_extension_token1,
  [756310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4517), 1,
      anon_sym_RBRACK,
    ACTIONS(22442), 1,
      anon_sym_SEMI,
    STATE(16701), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756330] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22444), 1,
      aux_sym_quoted_extension_token1,
    STATE(16702), 1,
      sym_attribute,
    STATE(21870), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22446), 1,
      anon_sym_SEMI,
    ACTIONS(22448), 1,
      anon_sym_RBRACE,
    STATE(16691), 1,
      aux_sym_record_expression_repeat1,
    STATE(16703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756370] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22450), 1,
      aux_sym_quoted_extension_token1,
    STATE(16704), 1,
      sym_attribute,
    STATE(20595), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12373), 1,
      sym_attribute_id,
    STATE(16705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22452), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(40), 1,
      sym_attribute_id,
    STATE(16706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756426] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22454), 1,
      anon_sym_SEMI,
    ACTIONS(22456), 1,
      anon_sym_RBRACE,
    STATE(16669), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(16707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756446] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22035), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22458), 3,
      anon_sym_RPAREN,
      anon_sym_DOT,
      sym__lowercase_identifier,
  [756482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22035), 1,
      anon_sym_RBRACK,
    STATE(16660), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(79), 1,
      sym_attribute_id,
    STATE(16711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22460), 1,
      anon_sym_SEMI,
    ACTIONS(22462), 1,
      anon_sym_GT_RBRACE,
    STATE(16684), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756540] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22464), 1,
      sym__lowercase_identifier,
    STATE(16713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756560] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22466), 1,
      anon_sym_RPAREN,
    STATE(16714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756580] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22468), 1,
      anon_sym_SEMI,
    ACTIONS(22470), 1,
      anon_sym_RBRACE,
    STATE(16715), 1,
      sym_attribute,
    STATE(16736), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756600] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22472), 1,
      anon_sym_RPAREN,
    STATE(16716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20369), 1,
      anon_sym_RBRACE,
    ACTIONS(22474), 1,
      anon_sym_SEMI,
    STATE(16717), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756640] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22476), 1,
      aux_sym_quoted_extension_token1,
    STATE(16718), 1,
      sym_attribute,
    STATE(20456), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20377), 1,
      anon_sym_RBRACE,
    ACTIONS(22478), 1,
      anon_sym_SEMI,
    STATE(16719), 1,
      sym_attribute,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22480), 1,
      anon_sym_RPAREN,
    STATE(16720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22482), 1,
      sym__lowercase_identifier,
    ACTIONS(22484), 1,
      anon_sym_LPAREN,
    STATE(9018), 1,
      sym__simple_value_pattern,
    STATE(16721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9416), 1,
      anon_sym_RBRACK,
    ACTIONS(22486), 1,
      anon_sym_SEMI,
    STATE(16722), 1,
      sym_attribute,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22488), 1,
      anon_sym_SEMI,
    ACTIONS(22490), 1,
      anon_sym_GT_RBRACE,
    STATE(16723), 1,
      sym_attribute,
    STATE(16746), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22492), 1,
      anon_sym_RPAREN,
    STATE(16724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_DQUOTE,
    STATE(11360), 1,
      aux_sym_external_repeat1,
    STATE(12382), 1,
      sym_string,
    STATE(16725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22494), 1,
      anon_sym_SEMI,
    ACTIONS(22497), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16726), 2,
      sym_attribute,
      aux_sym_record_expression_repeat1,
  [756818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21746), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756838] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22499), 1,
      aux_sym_quoted_extension_token1,
    STATE(16728), 1,
      sym_attribute,
    STATE(22001), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19934), 1,
      anon_sym_RBRACE,
    ACTIONS(22501), 1,
      anon_sym_SEMI,
    STATE(16729), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756878] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22503), 1,
      anon_sym_EQ,
    STATE(16730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22505), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [756896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22507), 1,
      sym__lowercase_identifier,
    STATE(16731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756916] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22509), 1,
      anon_sym_SEMI,
    ACTIONS(22511), 1,
      anon_sym_RBRACE,
    STATE(16732), 1,
      sym_attribute,
    STATE(16770), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(2), 1,
      sym_attribute_id,
    STATE(16733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [756954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3959), 1,
      anon_sym_RBRACK,
    ACTIONS(22513), 1,
      anon_sym_SEMI,
    STATE(16734), 1,
      sym_attribute,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20292), 1,
      anon_sym_RBRACE,
    ACTIONS(22515), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [756994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20290), 1,
      anon_sym_RBRACE,
    ACTIONS(22517), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9418), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22519), 1,
      anon_sym_SEMI,
    STATE(16737), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22521), 1,
      anon_sym_RPAREN,
    STATE(16738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22523), 1,
      sym__lowercase_identifier,
    ACTIONS(22525), 1,
      anon_sym_LPAREN,
    STATE(8907), 1,
      sym__simple_value_pattern,
    STATE(16739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20332), 1,
      anon_sym_RBRACE,
    ACTIONS(22527), 1,
      anon_sym_SEMI,
    STATE(16740), 1,
      sym_attribute,
    STATE(16959), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757094] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3955), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22529), 1,
      anon_sym_SEMI,
    STATE(16741), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22531), 1,
      anon_sym_SEMI,
    ACTIONS(22533), 1,
      anon_sym_RBRACE,
    STATE(16699), 1,
      aux_sym_record_expression_repeat1,
    STATE(16742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17458), 1,
      anon_sym_RBRACK,
    ACTIONS(22535), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16743), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [757152] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22538), 1,
      sym__lowercase_identifier,
    STATE(16744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757172] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(63), 1,
      sym_attribute_id,
    STATE(16745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [757190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21961), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22540), 1,
      anon_sym_SEMI,
    STATE(16746), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22542), 1,
      anon_sym_SEMI,
    ACTIONS(22544), 1,
      anon_sym_GT_RBRACE,
    STATE(16747), 1,
      sym_attribute,
    STATE(16796), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757230] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22546), 1,
      aux_sym_quoted_extension_token1,
    STATE(16748), 1,
      sym_attribute,
    STATE(20315), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14984), 1,
      anon_sym_and,
    STATE(16749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(14982), 2,
      anon_sym_in,
      sym_let_and_operator,
  [757268] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19352), 1,
      anon_sym_SEMI,
    ACTIONS(19354), 1,
      anon_sym_GT,
    STATE(16697), 1,
      aux_sym_object_type_repeat1,
    STATE(16750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757288] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12943), 1,
      anon_sym_GT,
    ACTIONS(22548), 1,
      anon_sym_SEMI,
    STATE(16751), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22550), 1,
      aux_sym_quoted_extension_token1,
    STATE(16752), 1,
      sym_attribute,
    STATE(22116), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757328] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20252), 1,
      anon_sym_RBRACE,
    ACTIONS(22552), 1,
      anon_sym_SEMI,
    STATE(16735), 1,
      aux_sym_record_expression_repeat1,
    STATE(16753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757348] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22554), 1,
      anon_sym_RPAREN,
    STATE(16754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757368] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_DOT,
    ACTIONS(22556), 1,
      anon_sym_RPAREN,
    STATE(16755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20248), 1,
      anon_sym_RBRACE,
    ACTIONS(22558), 1,
      anon_sym_SEMI,
    STATE(16756), 1,
      sym_attribute,
    STATE(16774), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22560), 1,
      anon_sym_RPAREN,
    STATE(16757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11965), 1,
      sym_attribute_id,
    STATE(16758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22562), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [757446] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(93), 1,
      sym_attribute_id,
    STATE(16759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [757464] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11296), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(16708), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757484] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22564), 1,
      anon_sym_SEMI,
    ACTIONS(22566), 1,
      anon_sym_RBRACE,
    STATE(16761), 1,
      sym_attribute,
    STATE(16814), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757504] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(16762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13574), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [757520] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22568), 1,
      anon_sym_RPAREN,
    STATE(16763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757540] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21929), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22570), 1,
      anon_sym_SEMI,
    STATE(16764), 1,
      sym_attribute,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757560] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4071), 1,
      anon_sym_RBRACK,
    ACTIONS(22572), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757580] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4267), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22574), 1,
      anon_sym_SEMI,
    STATE(16766), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10), 1,
      sym_attribute_id,
    STATE(16767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [757618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22576), 1,
      sym__lowercase_identifier,
    STATE(16768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20166), 1,
      anon_sym_RBRACE,
    ACTIONS(22578), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20200), 1,
      anon_sym_RBRACE,
    ACTIONS(22580), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4271), 1,
      anon_sym_RBRACK,
    ACTIONS(22582), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757698] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22584), 1,
      anon_sym_RPAREN,
    STATE(16772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757718] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22586), 1,
      aux_sym_quoted_extension_token1,
    STATE(16773), 1,
      sym_attribute,
    STATE(20183), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757738] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20154), 1,
      anon_sym_RBRACE,
    ACTIONS(22588), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757758] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22590), 1,
      anon_sym_RPAREN,
    STATE(16775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21884), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21884), 1,
      anon_sym_RBRACK,
    STATE(16777), 1,
      sym_attribute,
    STATE(16793), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757818] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22592), 1,
      aux_sym_quoted_extension_token1,
    STATE(16778), 1,
      sym_attribute,
    STATE(22239), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22594), 1,
      anon_sym_EQ,
    STATE(16779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22596), 1,
      anon_sym_SEMI,
    ACTIONS(22598), 1,
      anon_sym_RBRACE,
    STATE(16780), 1,
      sym_attribute,
    STATE(16868), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22600), 1,
      anon_sym_SEMI,
    ACTIONS(22602), 1,
      anon_sym_GT_RBRACE,
    STATE(16764), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757898] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20534), 1,
      anon_sym_RBRACE,
    ACTIONS(22604), 1,
      anon_sym_SEMI,
    STATE(16717), 1,
      aux_sym_record_expression_repeat1,
    STATE(16782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22606), 1,
      anon_sym_RPAREN,
    STATE(16783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757938] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22608), 1,
      anon_sym_RPAREN,
    STATE(16784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(85), 1,
      sym_attribute_id,
    STATE(16785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [757976] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4075), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22610), 1,
      anon_sym_SEMI,
    STATE(16786), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [757996] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    STATE(16787), 1,
      sym_attribute,
    STATE(16914), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22612), 1,
      anon_sym_SEMI,
    ACTIONS(22615), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16788), 2,
      sym_attribute,
      aux_sym_object_copy_expression_repeat1,
  [758034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22617), 1,
      anon_sym_SEMI,
    ACTIONS(22619), 1,
      anon_sym_RBRACE,
    STATE(16769), 1,
      aux_sym_record_expression_repeat1,
    STATE(16789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21847), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22621), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21880), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758094] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(37), 1,
      sym_attribute_id,
    STATE(16792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758112] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21855), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758132] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22623), 1,
      aux_sym_quoted_extension_token1,
    STATE(16794), 1,
      sym_attribute,
    STATE(20043), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758152] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22625), 1,
      anon_sym_RPAREN,
    STATE(16795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758172] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21843), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22627), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(22629), 1,
      anon_sym_RPAREN,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(16797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22631), 1,
      aux_sym_quoted_extension_token1,
    STATE(16798), 1,
      sym_attribute,
    STATE(19580), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(74), 1,
      sym_attribute_id,
    STATE(16799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(22633), 1,
      anon_sym_RPAREN,
    STATE(16800), 1,
      sym_attribute,
    STATE(19948), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758270] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22635), 1,
      aux_sym_quoted_extension_token1,
    STATE(16801), 1,
      sym_attribute,
    STATE(22342), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9816), 1,
      anon_sym_RBRACK,
    ACTIONS(22637), 1,
      anon_sym_SEMI,
    STATE(16802), 1,
      sym_attribute,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21827), 1,
      anon_sym_RBRACK,
    STATE(16791), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758330] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22639), 1,
      aux_sym_quoted_extension_token1,
    STATE(16804), 1,
      sym_attribute,
    STATE(19909), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21827), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758370] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20144), 1,
      anon_sym_RBRACE,
    ACTIONS(22641), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22643), 1,
      anon_sym_SEMI,
    ACTIONS(22645), 1,
      anon_sym_RBRACE,
    STATE(16807), 1,
      sym_attribute,
    STATE(16828), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758410] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(66), 1,
      sym_attribute_id,
    STATE(16808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758428] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22647), 1,
      anon_sym_RPAREN,
    STATE(16809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22649), 1,
      sym__lowercase_identifier,
    STATE(16810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22651), 1,
      anon_sym_RPAREN,
    STATE(16811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758488] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22653), 1,
      sym__lowercase_identifier,
    STATE(16812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(95), 1,
      sym_attribute_id,
    STATE(16813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758526] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20050), 1,
      anon_sym_RBRACE,
    ACTIONS(22655), 1,
      anon_sym_SEMI,
    STATE(16814), 1,
      sym_attribute,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758546] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22657), 1,
      anon_sym_SEMI,
    ACTIONS(22659), 1,
      anon_sym_GT_RBRACE,
    STATE(16815), 1,
      sym_attribute,
    STATE(16838), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758566] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22661), 1,
      aux_sym_quoted_extension_token1,
    STATE(16816), 1,
      sym_attribute,
    STATE(19810), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758586] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4101), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22663), 1,
      anon_sym_SEMI,
    STATE(16817), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758606] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9818), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22665), 1,
      anon_sym_SEMI,
    STATE(16818), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(43), 1,
      sym_attribute_id,
    STATE(16819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758644] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22667), 1,
      aux_sym_quoted_extension_token1,
    STATE(16820), 1,
      sym_attribute,
    STATE(19757), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758664] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20180), 1,
      anon_sym_RBRACE,
    ACTIONS(22669), 1,
      anon_sym_SEMI,
    STATE(16806), 1,
      aux_sym_record_expression_repeat1,
    STATE(16821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22671), 1,
      anon_sym_RPAREN,
    STATE(16822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22673), 1,
      anon_sym_RPAREN,
    STATE(16823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758724] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22675), 1,
      aux_sym_quoted_extension_token1,
    STATE(16824), 1,
      sym_attribute,
    STATE(22511), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20198), 1,
      anon_sym_RBRACE,
    ACTIONS(22677), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4085), 1,
      anon_sym_RBRACK,
    ACTIONS(22679), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(26), 1,
      sym_attribute_id,
    STATE(16827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20196), 1,
      anon_sym_RBRACE,
    ACTIONS(22681), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758822] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16153), 1,
      anon_sym_in,
    ACTIONS(22358), 1,
      anon_sym_and,
    STATE(16829), 1,
      sym_attribute,
    STATE(16896), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4099), 1,
      anon_sym_RBRACK,
    ACTIONS(22683), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758862] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22685), 1,
      aux_sym_quoted_extension_token1,
    STATE(16831), 1,
      sym_attribute,
    STATE(19712), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(96), 1,
      sym_attribute_id,
    STATE(16832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758900] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4073), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22687), 1,
      anon_sym_SEMI,
    STATE(16833), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758920] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20204), 1,
      anon_sym_RBRACE,
    ACTIONS(22689), 1,
      anon_sym_SEMI,
    STATE(16834), 1,
      sym_attribute,
    STATE(16912), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758940] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22691), 1,
      aux_sym_quoted_extension_token1,
    STATE(16835), 1,
      sym_attribute,
    STATE(19678), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758960] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21766), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22693), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [758980] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(89), 1,
      sym_attribute_id,
    STATE(16837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [758998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21762), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22695), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759018] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(35), 1,
      sym_attribute_id,
    STATE(16839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759036] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(16840), 1,
      sym_attribute,
    STATE(16931), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759056] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(22697), 1,
      anon_sym_RPAREN,
    STATE(16841), 1,
      sym_attribute,
    STATE(19661), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759076] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22699), 1,
      anon_sym_SEMI,
    ACTIONS(22701), 1,
      anon_sym_RBRACE,
    STATE(16842), 1,
      sym_attribute,
    STATE(16903), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759096] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22703), 1,
      aux_sym_quoted_extension_token1,
    STATE(16843), 1,
      sym_attribute,
    STATE(19642), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759116] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20216), 1,
      anon_sym_RBRACK,
    ACTIONS(22705), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16844), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [759134] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4321), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22708), 1,
      anon_sym_SEMI,
    STATE(16845), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759154] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22710), 1,
      anon_sym_RPAREN,
    STATE(16846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(73), 1,
      sym_attribute_id,
    STATE(16847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20224), 1,
      anon_sym_RBRACE,
    ACTIONS(22712), 1,
      anon_sym_SEMI,
    STATE(16848), 1,
      sym_attribute,
    STATE(16866), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759212] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22714), 1,
      aux_sym_quoted_extension_token1,
    STATE(16849), 1,
      sym_attribute,
    STATE(19608), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20226), 1,
      anon_sym_RBRACE,
    ACTIONS(22716), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4325), 1,
      anon_sym_RBRACK,
    ACTIONS(22718), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(25), 1,
      sym_attribute_id,
    STATE(16852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22720), 1,
      anon_sym_SEMI,
    ACTIONS(22722), 1,
      anon_sym_GT_RBRACE,
    STATE(16790), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19181), 1,
      anon_sym_SEMI,
    ACTIONS(19183), 1,
      anon_sym_GT,
    STATE(16854), 1,
      sym_attribute,
    STATE(16937), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22724), 1,
      anon_sym_RPAREN,
    STATE(16855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759350] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22726), 1,
      aux_sym_quoted_extension_token1,
    STATE(16856), 1,
      sym_attribute,
    STATE(22468), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759370] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22356), 1,
      anon_sym_COLON2,
    ACTIONS(22728), 1,
      anon_sym_RPAREN,
    STATE(16857), 1,
      sym_attribute,
    STATE(19893), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(56), 1,
      sym_attribute_id,
    STATE(16858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759408] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22730), 1,
      aux_sym_quoted_extension_token1,
    STATE(16859), 1,
      sym_attribute,
    STATE(19548), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759428] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22732), 1,
      sym__lowercase_identifier,
    STATE(16860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9456), 1,
      anon_sym_RBRACK,
    ACTIONS(22734), 1,
      anon_sym_SEMI,
    STATE(16861), 1,
      sym_attribute,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759468] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(32), 1,
      sym_attribute_id,
    STATE(16862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759486] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(55), 1,
      sym_attribute_id,
    STATE(16863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759504] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22736), 1,
      anon_sym_RPAREN,
    STATE(16864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759524] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22738), 1,
      aux_sym_quoted_extension_token1,
    STATE(16865), 1,
      sym_attribute,
    STATE(19523), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759544] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20254), 1,
      anon_sym_RBRACE,
    ACTIONS(22740), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759564] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22742), 1,
      anon_sym_SEMI,
    ACTIONS(22744), 1,
      anon_sym_GT_RBRACE,
    STATE(16836), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759584] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19984), 1,
      anon_sym_RBRACE,
    ACTIONS(22746), 1,
      anon_sym_SEMI,
    STATE(16868), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(72), 1,
      sym_attribute_id,
    STATE(16869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759622] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22748), 1,
      anon_sym_EQ,
    STATE(16870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759642] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9454), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22750), 1,
      anon_sym_SEMI,
    STATE(16871), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759662] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22752), 1,
      anon_sym_SEMI,
    ACTIONS(22754), 1,
      anon_sym_GT_RBRACE,
    STATE(16872), 1,
      sym_attribute,
    STATE(16939), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759682] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22756), 1,
      aux_sym_quoted_extension_token1,
    STATE(16873), 1,
      sym_attribute,
    STATE(19492), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(57), 1,
      sym_attribute_id,
    STATE(16874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22758), 1,
      anon_sym_SEMI,
    ACTIONS(22760), 1,
      anon_sym_RBRACE,
    STATE(16825), 1,
      aux_sym_record_expression_repeat1,
    STATE(16875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22762), 1,
      aux_sym_quoted_extension_token1,
    STATE(16876), 1,
      sym_attribute,
    STATE(19462), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22764), 1,
      anon_sym_SEMI,
    ACTIONS(22766), 1,
      anon_sym_RBRACE,
    STATE(16850), 1,
      aux_sym_record_expression_repeat1,
    STATE(16877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(94), 1,
      sym_attribute_id,
    STATE(16878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759798] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22768), 1,
      aux_sym_quoted_extension_token1,
    STATE(16879), 1,
      sym_attribute,
    STATE(19431), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759818] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(92), 1,
      sym_attribute_id,
    STATE(16880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759836] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22770), 1,
      aux_sym_quoted_extension_token1,
    STATE(16881), 1,
      sym_attribute,
    STATE(19391), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759856] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16119), 1,
      anon_sym_in,
    ACTIONS(22358), 1,
      anon_sym_and,
    STATE(16647), 1,
      aux_sym_module_definition_repeat1,
    STATE(16882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(88), 1,
      sym_attribute_id,
    STATE(16883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759894] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22772), 1,
      aux_sym_quoted_extension_token1,
    STATE(16884), 1,
      sym_attribute,
    STATE(19349), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(87), 1,
      sym_attribute_id,
    STATE(16885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759932] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22774), 1,
      aux_sym_quoted_extension_token1,
    STATE(16886), 1,
      sym_attribute,
    STATE(22229), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759952] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16), 1,
      sym_attribute_id,
    STATE(16887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [759970] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22776), 1,
      anon_sym_RPAREN,
    STATE(16888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [759990] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13668), 1,
      anon_sym_DQUOTE,
    STATE(11258), 1,
      aux_sym_external_repeat1,
    STATE(12382), 1,
      sym_string,
    STATE(16889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760010] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22778), 1,
      sym__lowercase_identifier,
    STATE(16890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21658), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [760046] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22780), 1,
      aux_sym_quoted_extension_token1,
    STATE(16892), 1,
      sym_attribute,
    STATE(19328), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(84), 1,
      sym_attribute_id,
    STATE(16893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760084] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22782), 1,
      aux_sym_quoted_extension_token1,
    STATE(16894), 1,
      sym_attribute,
    STATE(19317), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760104] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(83), 1,
      sym_attribute_id,
    STATE(16895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760122] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15483), 1,
      anon_sym_in,
    ACTIONS(22784), 1,
      anon_sym_and,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16896), 2,
      sym_attribute,
      aux_sym_module_definition_repeat1,
  [760140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16153), 1,
      anon_sym_in,
    ACTIONS(22358), 1,
      anon_sym_and,
    STATE(16897), 1,
      sym_attribute,
    STATE(17212), 1,
      aux_sym_module_definition_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760160] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22787), 1,
      aux_sym_quoted_extension_token1,
    STATE(16898), 1,
      sym_attribute,
    STATE(19313), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22789), 1,
      anon_sym_SEMI,
    ACTIONS(22791), 1,
      anon_sym_RBRACE,
    STATE(16899), 1,
      sym_attribute,
    STATE(16920), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(22793), 1,
      anon_sym_RPAREN,
    STATE(16900), 1,
      sym_attribute,
    STATE(19871), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4159), 1,
      anon_sym_RBRACK,
    ACTIONS(22795), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760240] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(82), 1,
      sym_attribute_id,
    STATE(16902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20328), 1,
      anon_sym_RBRACE,
    ACTIONS(22797), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760278] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22799), 1,
      aux_sym_quoted_extension_token1,
    STATE(16904), 1,
      sym_attribute,
    STATE(19310), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(81), 1,
      sym_attribute_id,
    STATE(16905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760316] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4161), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22801), 1,
      anon_sym_SEMI,
    STATE(16906), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760336] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22803), 1,
      anon_sym_SEMI,
    ACTIONS(22805), 1,
      anon_sym_GT_RBRACE,
    STATE(16907), 1,
      sym_attribute,
    STATE(16930), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760356] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22807), 1,
      aux_sym_quoted_extension_token1,
    STATE(16908), 1,
      sym_attribute,
    STATE(19303), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760376] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22809), 1,
      aux_sym_quoted_extension_token1,
    STATE(16909), 1,
      sym_attribute,
    STATE(22007), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22811), 1,
      anon_sym_RPAREN,
    STATE(16910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760416] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(80), 1,
      sym_attribute_id,
    STATE(16911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760434] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20354), 1,
      anon_sym_RBRACE,
    ACTIONS(22813), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760454] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(8), 1,
      sym_attribute_id,
    STATE(16913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22815), 1,
      anon_sym_SEMI,
    ACTIONS(22817), 1,
      anon_sym_RBRACE,
    STATE(16914), 1,
      sym_attribute,
    STATE(17386), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760492] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22819), 1,
      aux_sym_quoted_extension_token1,
    STATE(16915), 1,
      sym_attribute,
    STATE(19344), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(78), 1,
      sym_attribute_id,
    STATE(16916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760530] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22821), 1,
      aux_sym_quoted_extension_token1,
    STATE(16917), 1,
      sym_attribute,
    STATE(19358), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4055), 1,
      anon_sym_RBRACK,
    ACTIONS(22823), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(77), 1,
      sym_attribute_id,
    STATE(16919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20356), 1,
      anon_sym_RBRACE,
    ACTIONS(22825), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760608] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20358), 1,
      anon_sym_RBRACE,
    ACTIONS(22827), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22829), 1,
      anon_sym_RPAREN,
    STATE(16922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22831), 1,
      anon_sym_RPAREN,
    STATE(16923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760668] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22833), 1,
      aux_sym_quoted_extension_token1,
    STATE(16924), 1,
      sym_attribute,
    STATE(19383), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760688] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4091), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22835), 1,
      anon_sym_SEMI,
    STATE(16925), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760708] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(76), 1,
      sym_attribute_id,
    STATE(16926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760726] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22837), 1,
      aux_sym_quoted_extension_token1,
    STATE(16927), 1,
      sym_attribute,
    STATE(19419), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760746] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21608), 1,
      anon_sym_RBRACK,
    STATE(16928), 1,
      sym_attribute,
    STATE(16975), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760766] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22839), 1,
      sym__lowercase_identifier,
    STATE(16929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760786] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21622), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22841), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760806] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21608), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(75), 1,
      sym_attribute_id,
    STATE(16932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760844] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22843), 1,
      aux_sym_quoted_extension_token1,
    STATE(16933), 1,
      sym_attribute,
    STATE(19442), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760864] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(71), 1,
      sym_attribute_id,
    STATE(16934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760882] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22845), 1,
      aux_sym_quoted_extension_token1,
    STATE(16935), 1,
      sym_attribute,
    STATE(19453), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(68), 1,
      sym_attribute_id,
    STATE(16936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [760920] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13184), 1,
      anon_sym_GT,
    ACTIONS(22847), 1,
      anon_sym_SEMI,
    STATE(16937), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22849), 1,
      anon_sym_RPAREN,
    STATE(16938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760960] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21612), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22851), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [760980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20371), 1,
      anon_sym_RBRACE,
    ACTIONS(22853), 1,
      anon_sym_SEMI,
    STATE(16940), 1,
      sym_attribute,
    STATE(16958), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761000] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22855), 1,
      aux_sym_quoted_extension_token1,
    STATE(16941), 1,
      sym_attribute,
    STATE(19457), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761020] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22857), 1,
      anon_sym_SEMI,
    ACTIONS(22860), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(16942), 2,
      sym_attribute,
      aux_sym_record_binding_pattern_repeat1,
  [761038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(67), 1,
      sym_attribute_id,
    STATE(16943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761056] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20375), 1,
      anon_sym_RBRACE,
    ACTIONS(22862), 1,
      anon_sym_SEMI,
    STATE(16921), 1,
      aux_sym_record_expression_repeat1,
    STATE(16944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761076] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22864), 1,
      aux_sym_quoted_extension_token1,
    STATE(16945), 1,
      sym_attribute,
    STATE(19503), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761096] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21598), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761116] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22866), 1,
      aux_sym_quoted_extension_token1,
    STATE(16947), 1,
      sym_attribute,
    STATE(19645), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761136] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(62), 1,
      sym_attribute_id,
    STATE(16948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761154] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22868), 1,
      aux_sym_quoted_extension_token1,
    STATE(16949), 1,
      sym_attribute,
    STATE(21753), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761174] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22870), 1,
      aux_sym_quoted_extension_token1,
    STATE(16950), 1,
      sym_attribute,
    STATE(19518), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761194] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(3), 1,
      sym_attribute_id,
    STATE(16951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22872), 1,
      sym__lowercase_identifier,
    STATE(16952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(27), 1,
      sym_attribute_id,
    STATE(16953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761250] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22874), 1,
      aux_sym_quoted_extension_token1,
    STATE(16954), 1,
      sym_attribute,
    STATE(19817), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761270] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(60), 1,
      sym_attribute_id,
    STATE(16955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761288] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22876), 1,
      anon_sym_RPAREN,
    STATE(16956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761308] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22878), 1,
      aux_sym_quoted_extension_token1,
    STATE(16957), 1,
      sym_attribute,
    STATE(19542), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761328] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20394), 1,
      anon_sym_RBRACE,
    ACTIONS(22880), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761348] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20390), 1,
      anon_sym_RBRACE,
    ACTIONS(22882), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761368] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22884), 1,
      anon_sym_RPAREN,
    STATE(16960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21584), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(22886), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(59), 1,
      sym_attribute_id,
    STATE(16962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761426] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22888), 1,
      anon_sym_RPAREN,
    STATE(16963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761446] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20410), 1,
      anon_sym_RBRACE,
    ACTIONS(22890), 1,
      anon_sym_SEMI,
    STATE(16964), 1,
      sym_attribute,
    STATE(17008), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761466] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22892), 1,
      aux_sym_quoted_extension_token1,
    STATE(16965), 1,
      sym_attribute,
    STATE(19563), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761486] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22894), 1,
      aux_sym_quoted_extension_token1,
    STATE(16966), 1,
      sym_attribute,
    STATE(21515), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761506] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4367), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22896), 1,
      anon_sym_SEMI,
    STATE(16967), 1,
      sym_attribute,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(61), 1,
      sym_attribute_id,
    STATE(16968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761544] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22898), 1,
      aux_sym_quoted_extension_token1,
    STATE(16969), 1,
      sym_attribute,
    STATE(19613), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761564] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20412), 1,
      anon_sym_RBRACE,
    ACTIONS(22900), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(16970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761584] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21568), 1,
      anon_sym_RBRACK,
    STATE(16946), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761604] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21568), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761624] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4371), 1,
      anon_sym_RBRACK,
    ACTIONS(22902), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(16973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761644] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22904), 1,
      anon_sym_RPAREN,
    STATE(16974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761664] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21556), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21556), 1,
      anon_sym_RBRACK,
    STATE(16976), 1,
      sym_attribute,
    STATE(16990), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(52), 1,
      sym_attribute_id,
    STATE(16977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(49), 1,
      sym_attribute_id,
    STATE(16978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761740] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22906), 1,
      aux_sym_quoted_extension_token1,
    STATE(16979), 1,
      sym_attribute,
    STATE(19621), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(51), 1,
      sym_attribute_id,
    STATE(16980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18717), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(10185), 1,
      sym__constructor_name,
    STATE(16981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22908), 1,
      anon_sym_SEMI,
    ACTIONS(22910), 1,
      anon_sym_GT_RBRACE,
    STATE(16982), 1,
      sym_attribute,
    STATE(17063), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22912), 1,
      anon_sym_RPAREN,
    STATE(16983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(50), 1,
      sym_attribute_id,
    STATE(16984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761856] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22914), 1,
      aux_sym_quoted_extension_token1,
    STATE(16985), 1,
      sym_attribute,
    STATE(19681), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761876] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(48), 1,
      sym_attribute_id,
    STATE(16986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [761894] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22916), 1,
      aux_sym_quoted_extension_token1,
    STATE(16987), 1,
      sym_attribute,
    STATE(19691), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12867), 1,
      anon_sym_GT,
    ACTIONS(22918), 1,
      anon_sym_SEMI,
    STATE(16988), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761934] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22920), 1,
      sym__lowercase_identifier,
    STATE(16989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21546), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761974] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22922), 1,
      aux_sym_quoted_extension_token1,
    STATE(16991), 1,
      sym_attribute,
    STATE(21268), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [761994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(46), 1,
      sym_attribute_id,
    STATE(16992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762012] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22924), 1,
      anon_sym_SEMI,
    ACTIONS(22926), 1,
      anon_sym_GT_RBRACE,
    STATE(16961), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(16993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762032] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21542), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(34), 1,
      sym_attribute_id,
    STATE(16995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762070] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22928), 1,
      sym__lowercase_identifier,
    STATE(16996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762090] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22930), 1,
      aux_sym_quoted_extension_token1,
    STATE(16997), 1,
      sym_attribute,
    STATE(19737), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762110] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21542), 1,
      anon_sym_RBRACK,
    STATE(16972), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(16998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22932), 1,
      anon_sym_RPAREN,
    STATE(16999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22934), 1,
      anon_sym_RPAREN,
    STATE(17000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20436), 1,
      anon_sym_RBRACE,
    ACTIONS(22936), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12927), 1,
      anon_sym_GT,
    ACTIONS(22938), 1,
      anon_sym_SEMI,
    STATE(17002), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22940), 1,
      anon_sym_RPAREN,
    STATE(17003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22942), 1,
      anon_sym_RPAREN,
    STATE(17004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762250] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17005), 1,
      sym_attribute,
    STATE(17346), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762268] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22946), 1,
      anon_sym_SEMI,
    ACTIONS(22948), 1,
      anon_sym_RBRACE,
    STATE(16970), 1,
      aux_sym_record_expression_repeat1,
    STATE(17006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(41), 1,
      sym_attribute_id,
    STATE(17007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762306] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20440), 1,
      anon_sym_RBRACE,
    ACTIONS(22950), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762326] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21522), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762346] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21522), 1,
      anon_sym_RBRACK,
    STATE(16805), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762366] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22952), 1,
      anon_sym_RPAREN,
    STATE(17011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762386] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20456), 1,
      anon_sym_RBRACE,
    ACTIONS(22954), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762406] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22956), 1,
      sym__lowercase_identifier,
    STATE(17013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762426] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22958), 1,
      anon_sym_EQ,
    STATE(17014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762446] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22960), 1,
      aux_sym_quoted_extension_token1,
    STATE(17015), 1,
      sym_attribute,
    STATE(21093), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762466] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22962), 1,
      anon_sym_RPAREN,
    STATE(17016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762486] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9820), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(22964), 1,
      anon_sym_SEMI,
    STATE(17017), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762506] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(22966), 1,
      aux_sym_quoted_extension_token1,
    STATE(17018), 1,
      sym_attribute,
    STATE(19989), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(44), 1,
      sym_attribute_id,
    STATE(17019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22968), 1,
      anon_sym_EQ,
    STATE(17020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22970), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [762562] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14765), 1,
      sym_attribute_id,
    STATE(17021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22972), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762580] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16320), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17022), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762600] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16331), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17023), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16343), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17024), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762640] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(22974), 1,
      anon_sym_RPAREN,
    STATE(17025), 1,
      sym_attribute,
    STATE(20905), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(22976), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22978), 1,
      anon_sym_LPAREN,
    ACTIONS(22980), 1,
      anon_sym_LBRACK,
    ACTIONS(22982), 1,
      anon_sym_LBRACE,
    STATE(17027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19249), 1,
      anon_sym_SEMI,
    ACTIONS(19251), 1,
      anon_sym_GT,
    STATE(16988), 1,
      aux_sym_object_type_repeat1,
    STATE(17028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(22984), 1,
      sym__lowercase_identifier,
    STATE(17029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22986), 1,
      anon_sym_SEMI,
    ACTIONS(22988), 1,
      anon_sym_RBRACE,
    STATE(17030), 1,
      sym_attribute,
    STATE(17055), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(22990), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19828), 1,
      anon_sym_RBRACE,
    ACTIONS(22992), 1,
      anon_sym_SEMI,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762800] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(22994), 1,
      anon_sym_RPAREN,
    STATE(17033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762820] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20500), 1,
      anon_sym_RBRACE,
    ACTIONS(22996), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762840] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(22998), 1,
      anon_sym_RPAREN,
    STATE(17035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762860] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23000), 1,
      sym__lowercase_identifier,
    STATE(17036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762880] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11174), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(16994), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762900] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23002), 1,
      anon_sym_SEMI,
    ACTIONS(23004), 1,
      anon_sym_GT_RBRACE,
    STATE(17038), 1,
      sym_attribute,
    STATE(17074), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762920] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23006), 1,
      aux_sym_quoted_extension_token1,
    STATE(17039), 1,
      sym_attribute,
    STATE(20584), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(22990), 1,
      anon_sym_RBRACK,
    STATE(17040), 1,
      sym_attribute,
    STATE(17625), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13), 1,
      sym_attribute_id,
    STATE(17041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [762978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9858), 1,
      anon_sym_RBRACK,
    ACTIONS(23008), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [762998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23010), 1,
      anon_sym_RPAREN,
    STATE(17043), 1,
      sym_attribute,
    STATE(20042), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16542), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17044), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16541), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17045), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763058] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23012), 1,
      anon_sym_SEMI,
    ACTIONS(23014), 1,
      anon_sym_RBRACE,
    STATE(17046), 1,
      sym_attribute,
    STATE(17082), 1,
      aux_sym_record_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16518), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17047), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9126), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23016), 1,
      anon_sym_SEMI,
    STATE(17048), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763118] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23018), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763138] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23020), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23022), 1,
      anon_sym_LPAREN,
    ACTIONS(23024), 1,
      anon_sym_LBRACK,
    ACTIONS(23026), 1,
      anon_sym_LBRACE,
    STATE(17051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19804), 1,
      anon_sym_RBRACE,
    ACTIONS(23028), 1,
      anon_sym_SEMI,
    STATE(17052), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4107), 1,
      anon_sym_RBRACK,
    ACTIONS(23030), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763218] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20530), 1,
      anon_sym_RBRACE,
    ACTIONS(23032), 1,
      anon_sym_SEMI,
    STATE(17034), 1,
      aux_sym_record_expression_repeat1,
    STATE(17054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20536), 1,
      anon_sym_RBRACE,
    ACTIONS(23034), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23036), 1,
      anon_sym_RPAREN,
    STATE(17056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9124), 1,
      anon_sym_RBRACK,
    ACTIONS(23038), 1,
      anon_sym_SEMI,
    STATE(17057), 1,
      sym_attribute,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22356), 1,
      anon_sym_COLON2,
    ACTIONS(23040), 1,
      anon_sym_RPAREN,
    STATE(17058), 1,
      sym_attribute,
    STATE(20877), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763318] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23042), 1,
      anon_sym_SEMI,
    ACTIONS(23044), 1,
      anon_sym_RBRACE,
    STATE(17059), 1,
      sym_attribute,
    STATE(17101), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19289), 1,
      anon_sym_SEMI,
    ACTIONS(19291), 1,
      anon_sym_GT,
    STATE(17002), 1,
      aux_sym_object_type_repeat1,
    STATE(17060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763358] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17009), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17458), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23046), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17062), 2,
      sym_attribute,
      aux_sym_list_expression_repeat1,
  [763396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21430), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23049), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763416] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23051), 1,
      aux_sym_quoted_extension_token1,
    STATE(17064), 1,
      sym_attribute,
    STATE(20126), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4113), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23053), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9), 1,
      sym_attribute_id,
    STATE(17066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [763474] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20556), 1,
      anon_sym_RBRACE,
    ACTIONS(23055), 1,
      anon_sym_SEMI,
    STATE(17001), 1,
      aux_sym_record_expression_repeat1,
    STATE(17067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763494] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    ACTIONS(20044), 1,
      anon_sym_as,
    STATE(17068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763514] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20566), 1,
      anon_sym_RBRACE,
    ACTIONS(23057), 1,
      anon_sym_SEMI,
    STATE(17012), 1,
      aux_sym_record_expression_repeat1,
    STATE(17069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763534] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16194), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17070), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763554] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16187), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17071), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763574] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4479), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23059), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763594] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16170), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17073), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763614] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21406), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23061), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763634] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23063), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763654] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20584), 1,
      anon_sym_RBRACE,
    ACTIONS(23065), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763674] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23067), 1,
      anon_sym_RPAREN,
    STATE(17077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763694] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4483), 1,
      anon_sym_RBRACK,
    ACTIONS(23069), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763714] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23071), 1,
      anon_sym_RPAREN,
    STATE(17079), 1,
      sym_attribute,
    STATE(19554), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763734] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9774), 1,
      anon_sym_RBRACK,
    ACTIONS(23073), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763754] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23075), 1,
      anon_sym_SEMI,
    ACTIONS(23077), 1,
      anon_sym_RBRACE,
    STATE(17081), 1,
      sym_attribute,
    STATE(17121), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763774] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19766), 1,
      anon_sym_RBRACE,
    ACTIONS(23079), 1,
      anon_sym_SEMI,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763794] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9790), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23081), 1,
      anon_sym_SEMI,
    STATE(17083), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763814] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23083), 1,
      anon_sym_RPAREN,
    STATE(17084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763834] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23085), 1,
      anon_sym_RPAREN,
    STATE(17085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763854] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4611), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23087), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763874] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9852), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23089), 1,
      anon_sym_SEMI,
    STATE(17087), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763894] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19748), 1,
      anon_sym_RBRACE,
    ACTIONS(23091), 1,
      anon_sym_SEMI,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20632), 1,
      anon_sym_RBRACE,
    ACTIONS(23093), 1,
      anon_sym_SEMI,
    STATE(17089), 1,
      sym_attribute,
    STATE(17127), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763934] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23095), 1,
      aux_sym_quoted_extension_token1,
    STATE(17090), 1,
      sym_attribute,
    STATE(19602), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23097), 1,
      anon_sym_SEMI,
    ACTIONS(23099), 1,
      anon_sym_GT_RBRACE,
    STATE(17091), 1,
      sym_attribute,
    STATE(17148), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9844), 1,
      anon_sym_RBRACK,
    ACTIONS(23101), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [763994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17093), 1,
      sym_attribute,
    STATE(17134), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(38), 1,
      sym_attribute_id,
    STATE(17094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764032] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19396), 1,
      anon_sym_SEMI,
    ACTIONS(19398), 1,
      anon_sym_GT,
    STATE(17095), 1,
      sym_attribute,
    STATE(17138), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764052] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9422), 1,
      anon_sym_RBRACK,
    ACTIONS(23103), 1,
      anon_sym_SEMI,
    STATE(17096), 1,
      sym_attribute,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764072] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15988), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17097), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764092] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15994), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17098), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764112] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(9518), 1,
      sym_attribute_id,
    STATE(17099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23105), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764130] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15995), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17100), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764150] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19740), 1,
      anon_sym_RBRACE,
    ACTIONS(23107), 1,
      anon_sym_SEMI,
    STATE(17101), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23109), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9420), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23111), 1,
      anon_sym_SEMI,
    STATE(17103), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23113), 1,
      anon_sym_RPAREN,
    STATE(17104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23115), 1,
      anon_sym_SEMI,
    ACTIONS(23117), 1,
      anon_sym_RBRACE,
    STATE(17076), 1,
      aux_sym_record_expression_repeat1,
    STATE(17105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23119), 1,
      anon_sym_RPAREN,
    STATE(17106), 1,
      sym_attribute,
    STATE(21115), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21364), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23121), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23123), 1,
      sym__lowercase_identifier,
    STATE(17108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23125), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23127), 1,
      anon_sym_RPAREN,
    STATE(17110), 1,
      sym_attribute,
    STATE(19488), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764350] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17111), 1,
      sym_attribute,
    STATE(18021), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764368] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21314), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23129), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23131), 1,
      anon_sym_SEMI,
    ACTIONS(23133), 1,
      anon_sym_RBRACE,
    STATE(17052), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4183), 1,
      anon_sym_RBRACK,
    ACTIONS(23135), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764428] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23137), 1,
      aux_sym_quoted_extension_token1,
    STATE(17115), 1,
      sym_attribute,
    STATE(20164), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21310), 1,
      anon_sym_RBRACK,
    STATE(17116), 1,
      sym_attribute,
    STATE(17799), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764468] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13591), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [764484] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23139), 1,
      anon_sym_RPAREN,
    STATE(17118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(70), 1,
      sym_attribute_id,
    STATE(17119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [764522] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20580), 1,
      anon_sym_RBRACE,
    ACTIONS(23141), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20588), 1,
      anon_sym_RBRACE,
    ACTIONS(23143), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4609), 1,
      anon_sym_RBRACK,
    ACTIONS(23145), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21310), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23147), 1,
      anon_sym_SEMI,
    ACTIONS(23149), 1,
      anon_sym_RBRACE,
    STATE(17088), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764622] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16117), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17125), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764642] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16119), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17126), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764662] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20562), 1,
      anon_sym_RBRACE,
    ACTIONS(23151), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764682] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16126), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17128), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764702] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23153), 1,
      anon_sym_RPAREN,
    STATE(17129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764722] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23155), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21298), 1,
      anon_sym_RBRACK,
    STATE(17131), 1,
      sym_attribute,
    STATE(17151), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764762] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16358), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17132), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764782] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4185), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23157), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21298), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764822] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20550), 1,
      anon_sym_RBRACE,
    ACTIONS(23159), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23161), 1,
      anon_sym_RPAREN,
    STATE(17136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23163), 1,
      anon_sym_SEMI,
    ACTIONS(23165), 1,
      anon_sym_GT_RBRACE,
    STATE(17107), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13130), 1,
      anon_sym_GT,
    ACTIONS(23167), 1,
      anon_sym_SEMI,
    STATE(17138), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13134), 1,
      anon_sym_GT,
    ACTIONS(23169), 1,
      anon_sym_SEMI,
    STATE(17139), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23171), 1,
      sym__lowercase_identifier,
    STATE(17140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23173), 1,
      sym__lowercase_identifier,
    ACTIONS(23175), 1,
      anon_sym_LPAREN,
    STATE(8673), 1,
      sym__simple_value_pattern,
    STATE(17141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23177), 1,
      anon_sym_SEMI,
    ACTIONS(23179), 1,
      anon_sym_RBRACE,
    STATE(17120), 1,
      aux_sym_record_expression_repeat1,
    STATE(17142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [764982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17143), 1,
      sym_attribute,
    STATE(17808), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [765000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20508), 1,
      anon_sym_RBRACE,
    ACTIONS(23181), 1,
      anon_sym_SEMI,
    STATE(17135), 1,
      aux_sym_record_expression_repeat1,
    STATE(17144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765020] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23183), 1,
      aux_sym_quoted_extension_token1,
    STATE(17145), 1,
      sym_attribute,
    STATE(20579), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23185), 1,
      anon_sym_RPAREN,
    STATE(17146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18), 1,
      sym_attribute_id,
    STATE(17147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [765078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21284), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23187), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23189), 1,
      anon_sym_RPAREN,
    STATE(17149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765118] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23191), 1,
      anon_sym_LPAREN,
    ACTIONS(23193), 1,
      anon_sym_LBRACK,
    ACTIONS(23195), 1,
      anon_sym_LBRACE,
    STATE(17150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765138] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21254), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21260), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23197), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21254), 1,
      anon_sym_RBRACK,
    STATE(17153), 1,
      sym_attribute,
    STATE(17162), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23199), 1,
      anon_sym_LPAREN,
    ACTIONS(23201), 1,
      anon_sym_LBRACK,
    ACTIONS(23203), 1,
      anon_sym_LBRACE,
    STATE(17154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765218] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4553), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23205), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765238] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23209), 1,
      anon_sym_LBRACK,
    STATE(17156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23207), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [765256] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16215), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17157), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16216), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17158), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23211), 1,
      anon_sym_RPAREN,
    STATE(17159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765316] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16207), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17160), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765336] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23213), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765356] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21245), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765376] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23215), 1,
      anon_sym_RPAREN,
    STATE(17163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20432), 1,
      anon_sym_RBRACE,
    ACTIONS(23217), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765416] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4557), 1,
      anon_sym_RBRACK,
    ACTIONS(23219), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23221), 1,
      anon_sym_LPAREN,
    ACTIONS(23223), 1,
      anon_sym_LBRACK,
    ACTIONS(23225), 1,
      anon_sym_LBRACE,
    STATE(17166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20426), 1,
      anon_sym_RBRACE,
    ACTIONS(23227), 1,
      anon_sym_SEMI,
    STATE(17167), 1,
      sym_attribute,
    STATE(17185), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23229), 1,
      anon_sym_SEMI,
    ACTIONS(23231), 1,
      anon_sym_GT_RBRACE,
    STATE(17152), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21223), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23233), 1,
      anon_sym_RPAREN,
    STATE(17170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765536] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23235), 1,
      anon_sym_SEMI,
    ACTIONS(23237), 1,
      anon_sym_RBRACE,
    STATE(17164), 1,
      aux_sym_record_expression_repeat1,
    STATE(17171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765556] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4053), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23239), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23241), 1,
      sym__lowercase_identifier,
    STATE(17173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21217), 1,
      anon_sym_RBRACK,
    STATE(17169), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765616] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21217), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765636] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23243), 1,
      anon_sym_RPAREN,
    STATE(17176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765656] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23245), 1,
      aux_sym_quoted_extension_token1,
    STATE(17177), 1,
      sym_attribute,
    STATE(20949), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(54), 1,
      sym_attribute_id,
    STATE(17178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [765694] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23247), 1,
      anon_sym_LPAREN,
    ACTIONS(23249), 1,
      anon_sym_LBRACK,
    ACTIONS(23251), 1,
      anon_sym_LBRACE,
    STATE(17179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765714] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23253), 1,
      anon_sym_RPAREN,
    STATE(17180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765734] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23255), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765754] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23257), 1,
      anon_sym_LPAREN,
    ACTIONS(23259), 1,
      anon_sym_LBRACK,
    ACTIONS(23261), 1,
      anon_sym_LBRACE,
    STATE(17182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765774] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16307), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17183), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765794] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16310), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17184), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765814] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20268), 1,
      anon_sym_RBRACE,
    ACTIONS(23263), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765834] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16326), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17186), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765854] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23265), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765874] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23267), 1,
      anon_sym_SEMI,
    ACTIONS(23269), 1,
      anon_sym_RBRACE,
    STATE(17188), 1,
      sym_attribute,
    STATE(17196), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765894] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23271), 1,
      anon_sym_LPAREN,
    ACTIONS(23273), 1,
      anon_sym_LBRACK,
    ACTIONS(23275), 1,
      anon_sym_LBRACE,
    STATE(17189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13102), 1,
      anon_sym_GT,
    ACTIONS(23277), 1,
      anon_sym_SEMI,
    STATE(17190), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765934] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23279), 1,
      anon_sym_SEMI,
    ACTIONS(23281), 1,
      anon_sym_GT_RBRACE,
    STATE(17191), 1,
      sym_attribute,
    STATE(17211), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4349), 1,
      anon_sym_RBRACK,
    ACTIONS(23283), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20212), 1,
      anon_sym_RBRACE,
    ACTIONS(23285), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [765994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23287), 1,
      anon_sym_RPAREN,
    STATE(17194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21153), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20090), 1,
      anon_sym_RBRACE,
    ACTIONS(23289), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23291), 1,
      sym__lowercase_identifier,
    STATE(17197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766074] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23293), 1,
      aux_sym_quoted_extension_token1,
    STATE(17198), 1,
      sym_attribute,
    STATE(21252), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766094] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21153), 1,
      anon_sym_RBRACK,
    STATE(17175), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23295), 1,
      anon_sym_RPAREN,
    STATE(17200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766134] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17704), 1,
      sym__uppercase_identifier,
    ACTIONS(20642), 1,
      anon_sym_LPAREN,
    STATE(8299), 1,
      sym__constructor_name,
    STATE(17201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766154] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23297), 1,
      anon_sym_SEMI,
    ACTIONS(23299), 1,
      anon_sym_RBRACE,
    STATE(17202), 1,
      sym_attribute,
    STATE(17238), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766174] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14), 1,
      sym_attribute_id,
    STATE(17203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [766192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20098), 1,
      anon_sym_RBRACE,
    ACTIONS(23301), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23303), 1,
      anon_sym_RPAREN,
    STATE(17205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4351), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23305), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16420), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17207), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16422), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17208), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766292] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20106), 1,
      anon_sym_RBRACE,
    ACTIONS(23307), 1,
      anon_sym_SEMI,
    STATE(17193), 1,
      aux_sym_record_expression_repeat1,
    STATE(17209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16423), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17210), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21098), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23309), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16227), 1,
      anon_sym_in,
    ACTIONS(22358), 1,
      anon_sym_and,
    STATE(16896), 1,
      aux_sym_module_definition_repeat1,
    STATE(17212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23311), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766392] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23313), 1,
      anon_sym_RPAREN,
    STATE(17214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20124), 1,
      anon_sym_RBRACE,
    ACTIONS(23315), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766432] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20112), 1,
      anon_sym_RBRACK,
    ACTIONS(23317), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17216), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [766450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23320), 1,
      anon_sym_RPAREN,
    STATE(17217), 1,
      sym_attribute,
    STATE(21324), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23322), 1,
      anon_sym_RPAREN,
    STATE(17218), 1,
      sym_attribute,
    STATE(19392), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23324), 1,
      anon_sym_RPAREN,
    STATE(17219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23326), 1,
      sym__lowercase_identifier,
    STATE(17220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21096), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23328), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20126), 1,
      anon_sym_RBRACE,
    ACTIONS(23330), 1,
      anon_sym_SEMI,
    STATE(17222), 1,
      sym_attribute,
    STATE(17252), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9402), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23332), 1,
      anon_sym_SEMI,
    STATE(17223), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19466), 1,
      anon_sym_RBRACE,
    ACTIONS(23334), 1,
      anon_sym_SEMI,
    STATE(17224), 1,
      sym_attribute,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4049), 1,
      anon_sym_RBRACK,
    ACTIONS(23336), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4605), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23338), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9406), 1,
      anon_sym_RBRACK,
    ACTIONS(23340), 1,
      anon_sym_SEMI,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766670] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11298), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17228), 1,
      sym_attribute,
    STATE(17256), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766690] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20138), 1,
      anon_sym_RBRACE,
    ACTIONS(23342), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766710] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23344), 1,
      aux_sym_quoted_extension_token1,
    STATE(17230), 1,
      sym_attribute,
    STATE(21868), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766730] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23346), 1,
      anon_sym_SEMI,
    ACTIONS(23349), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17231), 2,
      sym_attribute,
      aux_sym_record_pattern_repeat1,
  [766748] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4613), 1,
      anon_sym_RBRACK,
    ACTIONS(23351), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17233), 1,
      sym_attribute,
    STATE(18061), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [766786] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19297), 1,
      anon_sym_SEMI,
    ACTIONS(19299), 1,
      anon_sym_GT,
    STATE(17234), 1,
      sym_attribute,
    STATE(17262), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766806] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9368), 1,
      anon_sym_RBRACK,
    ACTIONS(23353), 1,
      anon_sym_SEMI,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766826] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21131), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23355), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766846] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(90), 1,
      sym_attribute_id,
    STATE(17237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [766864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19472), 1,
      anon_sym_RBRACE,
    ACTIONS(23357), 1,
      anon_sym_SEMI,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766884] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17239), 1,
      sym_attribute,
    STATE(17714), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [766902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9366), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23359), 1,
      anon_sym_SEMI,
    STATE(17240), 1,
      sym_attribute,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22356), 1,
      anon_sym_COLON2,
    ACTIONS(23361), 1,
      anon_sym_RPAREN,
    STATE(17241), 1,
      sym_attribute,
    STATE(21343), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23363), 1,
      anon_sym_SEMI,
    ACTIONS(23365), 1,
      anon_sym_GT_RBRACE,
    STATE(17221), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16565), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17243), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [766982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16568), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17244), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16570), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17245), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23367), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23369), 1,
      sym__lowercase_identifier,
    STATE(17247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19225), 1,
      anon_sym_SEMI,
    ACTIONS(19227), 1,
      anon_sym_GT,
    STATE(17190), 1,
      aux_sym_object_type_repeat1,
    STATE(17248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23371), 1,
      anon_sym_RPAREN,
    STATE(17249), 1,
      sym_attribute,
    STATE(19511), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23373), 1,
      anon_sym_RPAREN,
    STATE(17250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23375), 1,
      anon_sym_LPAREN,
    ACTIONS(23377), 1,
      anon_sym_LBRACK,
    ACTIONS(23379), 1,
      anon_sym_LBRACE,
    STATE(17251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767142] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20186), 1,
      anon_sym_RBRACE,
    ACTIONS(23381), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767162] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20648), 1,
      sym__lowercase_identifier,
    STATE(17253), 1,
      sym_attribute,
    STATE(17609), 1,
      sym__instance_variable_name,
    STATE(18982), 1,
      sym_instance_variable_expression,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767182] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23383), 1,
      anon_sym_RPAREN,
    STATE(17254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767202] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21080), 1,
      anon_sym_RBRACK,
    STATE(17255), 1,
      sym_attribute,
    STATE(17272), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767222] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21080), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767242] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11142), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17195), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767262] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23385), 1,
      anon_sym_SEMI,
    ACTIONS(23387), 1,
      anon_sym_RBRACE,
    STATE(17229), 1,
      aux_sym_record_expression_repeat1,
    STATE(17258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767282] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23389), 1,
      anon_sym_SEMI,
    ACTIONS(23391), 1,
      anon_sym_RBRACE,
    STATE(17259), 1,
      sym_attribute,
    STATE(17296), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767302] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20152), 1,
      anon_sym_RBRACE,
    ACTIONS(23393), 1,
      anon_sym_SEMI,
    STATE(17204), 1,
      aux_sym_record_expression_repeat1,
    STATE(17260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767322] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23395), 1,
      anon_sym_SEMI,
    ACTIONS(23397), 1,
      anon_sym_GT_RBRACE,
    STATE(17112), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767342] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13015), 1,
      anon_sym_GT,
    ACTIONS(23399), 1,
      anon_sym_SEMI,
    STATE(17262), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767362] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23401), 1,
      aux_sym_quoted_extension_token1,
    STATE(17263), 1,
      sym_attribute,
    STATE(22464), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767382] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23403), 1,
      anon_sym_RPAREN,
    STATE(17264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17265), 1,
      sym_attribute,
    STATE(17925), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [767420] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19), 1,
      sym_attribute_id,
    STATE(17266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [767438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23407), 1,
      anon_sym_LBRACK,
    STATE(17267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23405), 2,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
  [767456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23409), 1,
      anon_sym_LPAREN,
    ACTIONS(23411), 1,
      anon_sym_LBRACK,
    ACTIONS(23413), 1,
      anon_sym_LBRACE,
    STATE(17268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9846), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23415), 1,
      anon_sym_SEMI,
    STATE(17269), 1,
      sym_attribute,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23417), 1,
      anon_sym_RPAREN,
    STATE(17270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23419), 1,
      anon_sym_SEMI,
    ACTIONS(23421), 1,
      anon_sym_GT_RBRACE,
    STATE(17271), 1,
      sym_attribute,
    STATE(17303), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767536] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767556] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21094), 1,
      anon_sym_RBRACK,
    STATE(17273), 1,
      sym_attribute,
    STATE(17278), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19506), 1,
      anon_sym_RBRACE,
    ACTIONS(23423), 1,
      anon_sym_SEMI,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9848), 1,
      anon_sym_RBRACK,
    ACTIONS(23425), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767616] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23427), 1,
      anon_sym_RPAREN,
    STATE(17276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767636] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23429), 1,
      anon_sym_LPAREN,
    ACTIONS(23431), 1,
      anon_sym_LBRACK,
    ACTIONS(23433), 1,
      anon_sym_LBRACE,
    STATE(17277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767656] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21143), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767676] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23435), 1,
      anon_sym_RPAREN,
    STATE(17279), 1,
      sym_attribute,
    STATE(21372), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767696] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16503), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17280), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23437), 1,
      anon_sym_SEMI,
    ACTIONS(23439), 1,
      anon_sym_RBRACE,
    STATE(17215), 1,
      aux_sym_record_expression_repeat1,
    STATE(17281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767736] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16500), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17282), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767756] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16499), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17283), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23441), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767796] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21141), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23443), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767816] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17286), 1,
      sym_attribute,
    STATE(17797), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [767834] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4179), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23445), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767854] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23447), 1,
      anon_sym_LPAREN,
    ACTIONS(23449), 1,
      anon_sym_LBRACK,
    ACTIONS(23451), 1,
      anon_sym_LBRACE,
    STATE(17288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767874] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4585), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23453), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767894] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4215), 1,
      anon_sym_RBRACK,
    ACTIONS(23455), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767914] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20214), 1,
      anon_sym_RBRACE,
    ACTIONS(23457), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767934] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23459), 1,
      anon_sym_RPAREN,
    STATE(17292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767954] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23461), 1,
      anon_sym_LPAREN,
    ACTIONS(23463), 1,
      anon_sym_LBRACK,
    ACTIONS(23465), 1,
      anon_sym_LBRACE,
    STATE(17293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767974] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23467), 1,
      anon_sym_SEMI,
    ACTIONS(23469), 1,
      anon_sym_RBRACE,
    STATE(17224), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [767994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23471), 1,
      sym__lowercase_identifier,
    STATE(17295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20210), 1,
      anon_sym_RBRACE,
    ACTIONS(23473), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4219), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23475), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23477), 1,
      sym__lowercase_identifier,
    STATE(17298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768074] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20258), 1,
      anon_sym_RBRACE,
    ACTIONS(23479), 1,
      anon_sym_SEMI,
    STATE(17291), 1,
      aux_sym_record_expression_repeat1,
    STATE(17299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768094] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23481), 1,
      anon_sym_SEMI,
    ACTIONS(23483), 1,
      anon_sym_RBRACE,
    STATE(16729), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23485), 1,
      anon_sym_RPAREN,
    STATE(17301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768134] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23487), 1,
      aux_sym_quoted_extension_token1,
    STATE(17302), 1,
      sym_attribute,
    STATE(21781), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768154] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21179), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23489), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768174] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23491), 1,
      anon_sym_LPAREN,
    ACTIONS(23493), 1,
      anon_sym_LBRACK,
    ACTIONS(23495), 1,
      anon_sym_LBRACE,
    STATE(17304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768194] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(47), 1,
      sym_attribute_id,
    STATE(17305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21181), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23497), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23499), 1,
      anon_sym_LPAREN,
    ACTIONS(23501), 1,
      anon_sym_LBRACK,
    ACTIONS(23503), 1,
      anon_sym_LBRACE,
    STATE(17307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20184), 1,
      anon_sym_RBRACE,
    ACTIONS(23505), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4647), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23507), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768292] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23509), 1,
      anon_sym_SEMI,
    ACTIONS(23511), 1,
      anon_sym_RBRACE,
    STATE(17310), 1,
      sym_attribute,
    STATE(17317), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23513), 1,
      anon_sym_EQ,
    STATE(17311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4489), 1,
      anon_sym_RBRACK,
    ACTIONS(23515), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23517), 1,
      anon_sym_SEMI,
    ACTIONS(23519), 1,
      anon_sym_GT_RBRACE,
    STATE(17313), 1,
      sym_attribute,
    STATE(17353), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4555), 1,
      anon_sym_RBRACK,
    ACTIONS(23521), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(91), 1,
      sym_attribute_id,
    STATE(17315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23523), 1,
      anon_sym_RPAREN,
    STATE(17316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20318), 1,
      anon_sym_RBRACE,
    ACTIONS(23525), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20334), 1,
      anon_sym_RBRACE,
    ACTIONS(23527), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4639), 1,
      anon_sym_RBRACK,
    ACTIONS(23529), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20338), 1,
      anon_sym_RBRACE,
    ACTIONS(23531), 1,
      anon_sym_SEMI,
    STATE(17320), 1,
      sym_attribute,
    STATE(17345), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17321), 1,
      sym_attribute,
    STATE(17624), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768528] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23533), 1,
      anon_sym_SEMI,
    ACTIONS(23535), 1,
      anon_sym_RBRACE,
    STATE(17274), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768548] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23537), 1,
      anon_sym_LPAREN,
    ACTIONS(23539), 1,
      anon_sym_LBRACK,
    ACTIONS(23541), 1,
      anon_sym_LBRACE,
    STATE(17323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23543), 1,
      anon_sym_LPAREN,
    ACTIONS(23545), 1,
      anon_sym_LBRACK,
    ACTIONS(23547), 1,
      anon_sym_LBRACE,
    STATE(17324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23549), 1,
      anon_sym_SEMI,
    ACTIONS(23551), 1,
      anon_sym_GT_RBRACE,
    STATE(17306), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23553), 3,
      anon_sym_private,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [768624] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4561), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23555), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768644] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17328), 1,
      sym_attribute,
    STATE(17547), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768662] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23557), 1,
      sym__lowercase_identifier,
    STATE(17329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768682] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23559), 1,
      anon_sym_LPAREN,
    ACTIONS(23561), 1,
      anon_sym_LBRACK,
    ACTIONS(23563), 1,
      anon_sym_LBRACE,
    STATE(17330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768702] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23565), 1,
      anon_sym_SEMI,
    ACTIONS(23567), 1,
      anon_sym_GT_RBRACE,
    STATE(17285), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768722] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16497), 1,
      aux_sym_module_binding_repeat1,
    STATE(17332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768742] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23569), 1,
      anon_sym_SEMI,
    ACTIONS(23571), 1,
      anon_sym_RBRACE,
    STATE(17318), 1,
      aux_sym_record_expression_repeat1,
    STATE(17333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768762] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23573), 1,
      anon_sym_LPAREN,
    ACTIONS(23575), 1,
      anon_sym_LBRACK,
    ACTIONS(23577), 1,
      anon_sym_LBRACE,
    STATE(17334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768782] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16397), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17335), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16390), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17336), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768822] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17337), 1,
      sym_attribute,
    STATE(17467), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [768840] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23579), 1,
      anon_sym_RPAREN,
    STATE(17338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768860] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16386), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17339), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23581), 3,
      anon_sym_mutable,
      anon_sym_virtual,
      sym__lowercase_identifier,
  [768896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23583), 1,
      anon_sym_LPAREN,
    ACTIONS(23585), 1,
      anon_sym_LBRACK,
    ACTIONS(23587), 1,
      anon_sym_LBRACE,
    STATE(17341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768916] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23589), 1,
      anon_sym_LPAREN,
    ACTIONS(23591), 1,
      anon_sym_LBRACK,
    ACTIONS(23593), 1,
      anon_sym_LBRACE,
    STATE(17342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768936] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23595), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23597), 1,
      sym__lowercase_identifier,
    ACTIONS(23599), 1,
      anon_sym_LPAREN,
    STATE(9865), 1,
      sym__simple_value_pattern,
    STATE(17344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768976] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20420), 1,
      anon_sym_RBRACE,
    ACTIONS(23601), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [768996] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23603), 1,
      aux_sym_quoted_extension_token1,
    STATE(17346), 1,
      sym_attribute,
    STATE(22323), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769016] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23605), 1,
      anon_sym_EQ,
    STATE(17347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769036] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17348), 1,
      sym_attribute,
    STATE(17381), 1,
      sym_attribute_id,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769054] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(86), 1,
      sym_attribute_id,
    STATE(17349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769072] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23607), 1,
      anon_sym_SEMI,
    ACTIONS(23609), 1,
      anon_sym_RBRACE,
    STATE(17308), 1,
      aux_sym_record_expression_repeat1,
    STATE(17350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769092] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23611), 1,
      anon_sym_LPAREN,
    ACTIONS(23613), 1,
      anon_sym_LBRACK,
    ACTIONS(23615), 1,
      anon_sym_LBRACE,
    STATE(17351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769112] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23617), 1,
      anon_sym_LPAREN,
    ACTIONS(23619), 1,
      anon_sym_LBRACK,
    ACTIONS(23621), 1,
      anon_sym_LBRACE,
    STATE(17352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769132] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21249), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23623), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17302), 1,
      sym_attribute_id,
    STATE(17354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769170] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23625), 1,
      anon_sym_LPAREN,
    ACTIONS(23627), 1,
      anon_sym_LBRACK,
    ACTIONS(23629), 1,
      anon_sym_LBRACE,
    STATE(17355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769190] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23631), 1,
      anon_sym_LPAREN,
    ACTIONS(23633), 1,
      anon_sym_LBRACK,
    ACTIONS(23635), 1,
      anon_sym_LBRACE,
    STATE(17356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769210] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21276), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769230] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23637), 1,
      anon_sym_RPAREN,
    STATE(17358), 1,
      sym_attribute,
    STATE(20001), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23639), 1,
      anon_sym_RPAREN,
    STATE(17359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23641), 1,
      anon_sym_RPAREN,
    STATE(17360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17263), 1,
      sym_attribute_id,
    STATE(17361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769308] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20518), 1,
      anon_sym_RBRACE,
    ACTIONS(23643), 1,
      anon_sym_SEMI,
    STATE(17362), 1,
      sym_attribute,
    STATE(17393), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769328] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20494), 1,
      anon_sym_RBRACE,
    ACTIONS(23645), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769348] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23647), 1,
      anon_sym_RPAREN,
    STATE(17364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769368] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    STATE(17357), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23649), 1,
      anon_sym_RBRACK,
    STATE(17366), 1,
      sym_attribute,
    STATE(17423), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21278), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769428] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20558), 1,
      anon_sym_RBRACE,
    ACTIONS(23651), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769448] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23653), 1,
      anon_sym_RBRACK,
    STATE(16627), 1,
      aux_sym__type_params_repeat1,
    STATE(17369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769468] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23655), 1,
      anon_sym_RPAREN,
    STATE(17370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769488] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23657), 1,
      anon_sym_LPAREN,
    ACTIONS(23659), 1,
      anon_sym_LBRACK,
    ACTIONS(23661), 1,
      anon_sym_LBRACE,
    STATE(17371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769508] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23663), 1,
      anon_sym_LPAREN,
    ACTIONS(23665), 1,
      anon_sym_LBRACK,
    ACTIONS(23667), 1,
      anon_sym_LBRACE,
    STATE(17372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769528] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20516), 1,
      anon_sym_RBRACE,
    ACTIONS(23669), 1,
      anon_sym_SEMI,
    STATE(17363), 1,
      aux_sym_record_expression_repeat1,
    STATE(17373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769548] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23671), 1,
      anon_sym_EQ,
    STATE(17374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11256), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17375), 1,
      sym_attribute,
    STATE(17401), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23673), 1,
      anon_sym_RPAREN,
    STATE(17376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17230), 1,
      sym_attribute_id,
    STATE(17377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769626] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23675), 1,
      anon_sym_LPAREN,
    ACTIONS(23677), 1,
      anon_sym_LBRACK,
    ACTIONS(23679), 1,
      anon_sym_LBRACE,
    STATE(17378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769646] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19237), 1,
      anon_sym_SEMI,
    ACTIONS(19239), 1,
      anon_sym_GT,
    STATE(17379), 1,
      sym_attribute,
    STATE(17411), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769666] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21304), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23681), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769686] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23683), 1,
      aux_sym_quoted_extension_token1,
    STATE(17381), 1,
      sym_attribute,
    STATE(21237), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769706] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23685), 1,
      anon_sym_LPAREN,
    ACTIONS(23687), 1,
      anon_sym_LBRACK,
    ACTIONS(23689), 1,
      anon_sym_LBRACE,
    STATE(17382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769726] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23691), 1,
      sym__lowercase_identifier,
    STATE(17383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(4), 1,
      sym_attribute_id,
    STATE(17384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4607), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23693), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21318), 1,
      anon_sym_RBRACE,
    ACTIONS(23695), 1,
      anon_sym_SEMI,
    STATE(17386), 1,
      sym_attribute,
    STATE(18081), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23697), 1,
      anon_sym_RPAREN,
    STATE(17387), 1,
      sym_attribute,
    STATE(20035), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23699), 1,
      anon_sym_RPAREN,
    STATE(17388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769844] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17198), 1,
      sym_attribute_id,
    STATE(17389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [769862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13037), 1,
      anon_sym_GT,
    ACTIONS(23701), 1,
      anon_sym_SEMI,
    STATE(17390), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23703), 1,
      anon_sym_LPAREN,
    ACTIONS(23705), 1,
      anon_sym_LBRACK,
    ACTIONS(23707), 1,
      anon_sym_LBRACE,
    STATE(17391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4603), 1,
      anon_sym_RBRACK,
    ACTIONS(23709), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20552), 1,
      anon_sym_RBRACE,
    ACTIONS(23711), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21322), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23713), 1,
      anon_sym_EQ,
    STATE(17395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [769982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23715), 1,
      anon_sym_RPAREN,
    STATE(17396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770002] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(17397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13680), 3,
      anon_sym_and,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [770018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23717), 1,
      anon_sym_LPAREN,
    ACTIONS(23719), 1,
      anon_sym_LBRACK,
    ACTIONS(23721), 1,
      anon_sym_LBRACE,
    STATE(17398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21336), 1,
      anon_sym_RBRACK,
    STATE(17399), 1,
      sym_attribute,
    STATE(17415), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770058] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21322), 1,
      anon_sym_RBRACK,
    STATE(17367), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21336), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23723), 1,
      anon_sym_LPAREN,
    ACTIONS(23725), 1,
      anon_sym_LBRACK,
    ACTIONS(23727), 1,
      anon_sym_LBRACE,
    STATE(17402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13188), 1,
      sym_module_binding,
    STATE(17403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19786), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [770136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23729), 1,
      anon_sym_SEMI,
    ACTIONS(23731), 1,
      anon_sym_GT_RBRACE,
    STATE(17380), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770156] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23733), 1,
      anon_sym_RPAREN,
    STATE(17405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770176] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20598), 1,
      anon_sym_RBRACE,
    ACTIONS(23735), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770196] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12659), 1,
      sym_module_binding,
    STATE(17407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19786), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [770214] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23737), 1,
      anon_sym_RPAREN,
    STATE(17408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770234] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    STATE(17409), 1,
      sym_attribute,
    STATE(17705), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770254] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23739), 1,
      anon_sym_EQ,
    STATE(17410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770274] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13041), 1,
      anon_sym_GT,
    ACTIONS(23741), 1,
      anon_sym_SEMI,
    STATE(17411), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770294] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17177), 1,
      sym_attribute_id,
    STATE(17412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770312] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23743), 1,
      anon_sym_RPAREN,
    STATE(17413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770332] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23745), 1,
      anon_sym_SEMI,
    ACTIONS(23747), 1,
      anon_sym_RBRACE,
    STATE(17414), 1,
      sym_attribute,
    STATE(17441), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23749), 1,
      anon_sym_SEMI,
    ACTIONS(23751), 1,
      anon_sym_RBRACE,
    STATE(17368), 1,
      aux_sym_record_expression_repeat1,
    STATE(17416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770392] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21354), 1,
      anon_sym_RBRACK,
    STATE(17417), 1,
      sym_attribute,
    STATE(17430), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23753), 1,
      anon_sym_LPAREN,
    ACTIONS(23755), 1,
      anon_sym_LBRACK,
    ACTIONS(23757), 1,
      anon_sym_LBRACE,
    STATE(17418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770432] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23759), 1,
      anon_sym_LPAREN,
    ACTIONS(23761), 1,
      anon_sym_LBRACK,
    ACTIONS(23763), 1,
      anon_sym_LBRACE,
    STATE(17419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770452] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17394), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16275), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17421), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770492] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16272), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17422), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770512] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23765), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23765), 1,
      anon_sym_RBRACK,
    STATE(17424), 1,
      sym_attribute,
    STATE(17458), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770552] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23767), 1,
      sym__lowercase_identifier,
    STATE(17425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770572] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13760), 1,
      anon_sym_RPAREN,
    STATE(17426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23769), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [770590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16268), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17427), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23771), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17145), 1,
      sym_attribute_id,
    STATE(17429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21372), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770668] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23773), 1,
      anon_sym_LPAREN,
    ACTIONS(23775), 1,
      anon_sym_LBRACK,
    ACTIONS(23777), 1,
      anon_sym_LBRACE,
    STATE(17431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770688] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23779), 1,
      anon_sym_SEMI,
    ACTIONS(23781), 1,
      anon_sym_GT_RBRACE,
    STATE(17432), 1,
      sym_attribute,
    STATE(17470), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770708] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23783), 1,
      anon_sym_LPAREN,
    ACTIONS(23785), 1,
      anon_sym_LBRACK,
    ACTIONS(23787), 1,
      anon_sym_LBRACE,
    STATE(17433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770728] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14627), 1,
      sym__type_equation,
    STATE(17434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23789), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [770746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17115), 1,
      sym_attribute_id,
    STATE(17435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23791), 1,
      anon_sym_LPAREN,
    ACTIONS(23793), 1,
      anon_sym_LBRACK,
    ACTIONS(23795), 1,
      anon_sym_LBRACE,
    STATE(17436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770784] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23797), 1,
      anon_sym_EQ,
    STATE(17437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23799), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [770802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23801), 1,
      anon_sym_LPAREN,
    ACTIONS(23803), 1,
      anon_sym_LBRACK,
    ACTIONS(23805), 1,
      anon_sym_LBRACE,
    STATE(17438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770822] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4231), 1,
      anon_sym_RBRACK,
    ACTIONS(23807), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20618), 1,
      anon_sym_RBRACE,
    ACTIONS(23809), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20626), 1,
      anon_sym_RBRACE,
    ACTIONS(23811), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17090), 1,
      sym_attribute_id,
    STATE(17442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [770900] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19332), 1,
      anon_sym_SEMI,
    ACTIONS(19334), 1,
      anon_sym_GT,
    STATE(17390), 1,
      aux_sym_object_type_repeat1,
    STATE(17443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770920] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23813), 1,
      anon_sym_LPAREN,
    ACTIONS(23815), 1,
      anon_sym_LBRACK,
    ACTIONS(23817), 1,
      anon_sym_LBRACE,
    STATE(17444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770940] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4233), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23819), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770960] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20610), 1,
      anon_sym_RBRACE,
    ACTIONS(23821), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [770980] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21500), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23823), 1,
      anon_sym_RPAREN,
    STATE(17448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771020] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20216), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23825), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17449), 2,
      sym_attribute,
      aux_sym_list_binding_pattern_repeat1,
  [771038] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23828), 1,
      anon_sym_EQ,
    STATE(17450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771058] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23830), 1,
      anon_sym_LPAREN,
    ACTIONS(23832), 1,
      anon_sym_LBRACK,
    ACTIONS(23834), 1,
      anon_sym_LBRACE,
    STATE(17451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4151), 1,
      anon_sym_RBRACK,
    ACTIONS(23836), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20600), 1,
      anon_sym_RBRACE,
    ACTIONS(23838), 1,
      anon_sym_SEMI,
    STATE(17406), 1,
      aux_sym_record_expression_repeat1,
    STATE(17453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771118] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23840), 1,
      sym__lowercase_identifier,
    STATE(17454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771138] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17064), 1,
      sym_attribute_id,
    STATE(17455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771156] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21390), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771176] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23842), 1,
      anon_sym_RPAREN,
    STATE(17457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771196] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23844), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771216] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23846), 1,
      anon_sym_LPAREN,
    ACTIONS(23848), 1,
      anon_sym_LBRACK,
    ACTIONS(23850), 1,
      anon_sym_LBRACE,
    STATE(17459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23852), 1,
      anon_sym_LPAREN,
    ACTIONS(23854), 1,
      anon_sym_LBRACK,
    ACTIONS(23856), 1,
      anon_sym_LBRACE,
    STATE(17460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771256] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(23858), 1,
      anon_sym_RPAREN,
    STATE(17461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771276] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17039), 1,
      sym_attribute_id,
    STATE(17462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771294] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21416), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23860), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771314] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23862), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771334] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20582), 1,
      anon_sym_RBRACE,
    ACTIONS(23864), 1,
      anon_sym_SEMI,
    STATE(17446), 1,
      aux_sym_record_expression_repeat1,
    STATE(17465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771354] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16098), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17466), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771374] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(23866), 1,
      aux_sym_quoted_extension_token1,
    STATE(17467), 1,
      sym_attribute,
    STATE(20868), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771394] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23868), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771414] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23870), 1,
      anon_sym_RPAREN,
    STATE(17469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771434] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21412), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23872), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771454] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20112), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23874), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17471), 2,
      sym_attribute,
      aux_sym_list_pattern_repeat1,
  [771472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23877), 1,
      anon_sym_RPAREN,
    STATE(17472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12355), 1,
      anon_sym_DOT,
    STATE(17473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23879), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [771510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23881), 1,
      anon_sym_SEMI,
    ACTIONS(23883), 1,
      anon_sym_RBRACE,
    STATE(17474), 1,
      sym_attribute,
    STATE(17484), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23885), 1,
      anon_sym_EQ,
    STATE(17475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771550] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(45), 1,
      sym_attribute_id,
    STATE(17476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771568] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14613), 1,
      sym__type_equation,
    STATE(17477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23789), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [771586] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23887), 1,
      anon_sym_SEMI,
    ACTIONS(23889), 1,
      anon_sym_GT_RBRACE,
    STATE(17478), 1,
      sym_attribute,
    STATE(17571), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771606] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4637), 1,
      anon_sym_RBRACK,
    ACTIONS(23891), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771626] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23893), 1,
      anon_sym_LPAREN,
    ACTIONS(23895), 1,
      anon_sym_LBRACK,
    ACTIONS(23897), 1,
      anon_sym_LBRACE,
    STATE(17480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771646] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3951), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23899), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771666] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(23901), 1,
      anon_sym_type,
    STATE(17473), 1,
      sym_module_path,
    STATE(17482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771686] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23903), 1,
      anon_sym_LPAREN,
    ACTIONS(23905), 1,
      anon_sym_LBRACK,
    ACTIONS(23907), 1,
      anon_sym_LBRACE,
    STATE(17483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771706] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20570), 1,
      anon_sym_RBRACE,
    ACTIONS(23909), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17015), 1,
      sym_attribute_id,
    STATE(17485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [771744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21428), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(23911), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20554), 1,
      anon_sym_RBRACE,
    ACTIONS(23913), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16060), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17488), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23915), 1,
      anon_sym_RPAREN,
    STATE(17489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3949), 1,
      anon_sym_RBRACK,
    ACTIONS(23917), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771844] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4635), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23919), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20546), 1,
      anon_sym_RBRACE,
    ACTIONS(23921), 1,
      anon_sym_SEMI,
    STATE(17492), 1,
      sym_attribute,
    STATE(17534), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771884] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11783), 1,
      sym__type_equation,
    STATE(17493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23923), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [771902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21462), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4571), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(23925), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(23927), 1,
      anon_sym_RPAREN,
    STATE(17496), 1,
      sym_attribute,
    STATE(20462), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16171), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17497), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [771982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16169), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17498), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16045), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17499), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16164), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17500), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11785), 1,
      sym__type_equation,
    STATE(17501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23923), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [772060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23929), 1,
      anon_sym_RPAREN,
    STATE(17502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772080] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(23931), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772100] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23933), 1,
      anon_sym_SEMI,
    ACTIONS(23935), 1,
      anon_sym_GT_RBRACE,
    STATE(17463), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772120] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20538), 1,
      anon_sym_RBRACE,
    ACTIONS(23937), 1,
      anon_sym_SEMI,
    STATE(17505), 1,
      sym_attribute,
    STATE(17550), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772140] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    ACTIONS(23939), 1,
      anon_sym__,
    STATE(15865), 1,
      sym_type_variable,
    STATE(17506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20542), 1,
      anon_sym_RBRACE,
    ACTIONS(23941), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4569), 1,
      anon_sym_RBRACK,
    ACTIONS(23943), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23945), 1,
      anon_sym_SEMI,
    ACTIONS(23947), 1,
      anon_sym_RBRACE,
    STATE(17487), 1,
      aux_sym_record_expression_repeat1,
    STATE(17509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23949), 1,
      anon_sym_LPAREN,
    ACTIONS(23951), 1,
      anon_sym_LBRACK,
    ACTIONS(23953), 1,
      anon_sym_LBRACE,
    STATE(17510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(23955), 1,
      anon_sym_RPAREN,
    STATE(16797), 1,
      aux_sym__type_params_repeat1,
    STATE(17511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772260] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16991), 1,
      sym_attribute_id,
    STATE(17512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11252), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17513), 1,
      sym_attribute,
    STATE(17562), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23957), 1,
      anon_sym_RPAREN,
    STATE(17514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772318] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23959), 1,
      anon_sym_LPAREN,
    ACTIONS(23961), 1,
      anon_sym_LBRACK,
    ACTIONS(23963), 1,
      anon_sym_LBRACE,
    STATE(17515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23965), 1,
      anon_sym_LPAREN,
    ACTIONS(23967), 1,
      anon_sym_LBRACK,
    ACTIONS(23969), 1,
      anon_sym_LBRACE,
    STATE(17516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772358] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(23971), 1,
      anon_sym_EQ,
    STATE(17517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772378] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19281), 1,
      anon_sym_SEMI,
    ACTIONS(19283), 1,
      anon_sym_GT,
    STATE(17518), 1,
      sym_attribute,
    STATE(17567), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772398] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23973), 1,
      anon_sym_SEMI,
    ACTIONS(23975), 1,
      anon_sym_GT_RBRACE,
    STATE(17486), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772418] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16966), 1,
      sym_attribute_id,
    STATE(17520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23977), 1,
      anon_sym_LPAREN,
    ACTIONS(23979), 1,
      anon_sym_LBRACK,
    ACTIONS(23981), 1,
      anon_sym_LBRACE,
    STATE(17521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23983), 1,
      sym__lowercase_identifier,
    STATE(17522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21462), 1,
      anon_sym_RBRACK,
    STATE(17456), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772496] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(23985), 1,
      sym__lowercase_identifier,
    STATE(17524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772516] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23987), 1,
      anon_sym_SEMI,
    ACTIONS(23989), 1,
      anon_sym_RBRACE,
    STATE(17507), 1,
      aux_sym_record_expression_repeat1,
    STATE(17525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772536] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23991), 1,
      anon_sym_SEMI,
    ACTIONS(23993), 1,
      anon_sym_RBRACE,
    STATE(17526), 1,
      sym_attribute,
    STATE(17650), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772556] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23995), 1,
      anon_sym_LPAREN,
    ACTIONS(23997), 1,
      anon_sym_LBRACK,
    ACTIONS(23999), 1,
      anon_sym_LBRACE,
    STATE(17527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772576] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24001), 1,
      anon_sym_LPAREN,
    ACTIONS(24003), 1,
      anon_sym_LBRACK,
    ACTIONS(24005), 1,
      anon_sym_LBRACE,
    STATE(17528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772596] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24007), 1,
      anon_sym_RPAREN,
    STATE(17529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16949), 1,
      sym_attribute_id,
    STATE(17530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772634] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24009), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772654] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24011), 1,
      anon_sym_LPAREN,
    ACTIONS(24013), 1,
      anon_sym_LBRACK,
    ACTIONS(24015), 1,
      anon_sym_LBRACE,
    STATE(17532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772674] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24017), 1,
      anon_sym_RPAREN,
    STATE(17533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772694] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20492), 1,
      anon_sym_RBRACE,
    ACTIONS(24019), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(58), 1,
      sym_attribute_id,
    STATE(17535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772732] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21494), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772752] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24021), 1,
      anon_sym_RPAREN,
    STATE(17537), 1,
      sym_attribute,
    STATE(20547), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772772] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24023), 1,
      anon_sym_RPAREN,
    STATE(17538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772792] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24025), 1,
      anon_sym_LPAREN,
    ACTIONS(24027), 1,
      anon_sym_LBRACK,
    ACTIONS(24029), 1,
      anon_sym_LBRACE,
    STATE(17539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772812] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24031), 1,
      anon_sym_SEMI,
    ACTIONS(24033), 1,
      anon_sym_RBRACE,
    STATE(17032), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(17540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16909), 1,
      sym_attribute_id,
    STATE(17541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [772850] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21500), 1,
      anon_sym_RBRACK,
    STATE(17536), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772870] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24035), 1,
      anon_sym_LPAREN,
    ACTIONS(24037), 1,
      anon_sym_LBRACK,
    ACTIONS(24039), 1,
      anon_sym_LBRACE,
    STATE(17543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772890] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24041), 1,
      anon_sym_LPAREN,
    ACTIONS(24043), 1,
      anon_sym_LBRACK,
    ACTIONS(24045), 1,
      anon_sym_LBRACE,
    STATE(17544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772910] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24047), 1,
      anon_sym_RPAREN,
    STATE(17545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772930] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24049), 1,
      anon_sym_RPAREN,
    STATE(17546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772950] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24051), 1,
      aux_sym_quoted_extension_token1,
    STATE(17547), 1,
      sym_attribute,
    STATE(20316), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772970] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24053), 1,
      anon_sym_RPAREN,
    STATE(17548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [772990] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16886), 1,
      sym_attribute_id,
    STATE(17549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773008] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20454), 1,
      anon_sym_RBRACE,
    ACTIONS(24055), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773028] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24057), 1,
      anon_sym_RPAREN,
    STATE(17551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773048] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21516), 1,
      anon_sym_RBRACK,
    STATE(17552), 1,
      sym_attribute,
    STATE(17576), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773068] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13170), 1,
      anon_sym_GT,
    ACTIONS(24059), 1,
      anon_sym_SEMI,
    STATE(17553), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13292), 1,
      anon_sym_DASH_GT,
    ACTIONS(24061), 1,
      anon_sym_STAR,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17554), 2,
      sym_attribute,
      aux_sym__constructor_argument_repeat1,
  [773106] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20450), 1,
      anon_sym_RBRACE,
    ACTIONS(24064), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773126] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21512), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773146] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21512), 1,
      anon_sym_RBRACK,
    STATE(17447), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773166] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24066), 1,
      anon_sym_RPAREN,
    STATE(17558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773186] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20448), 1,
      anon_sym_RBRACE,
    ACTIONS(24068), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773206] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24070), 1,
      anon_sym_RPAREN,
    STATE(17560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773226] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24072), 1,
      anon_sym_RPAREN,
    STATE(17561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21516), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773266] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24074), 1,
      anon_sym_LPAREN,
    ACTIONS(24076), 1,
      anon_sym_LBRACK,
    ACTIONS(24078), 1,
      anon_sym_LBRACE,
    STATE(17563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(22), 1,
      sym_attribute_id,
    STATE(17564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773304] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24080), 1,
      sym__lowercase_identifier,
    STATE(17565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773324] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24082), 1,
      anon_sym_LPAREN,
    ACTIONS(24084), 1,
      anon_sym_LBRACK,
    ACTIONS(24086), 1,
      anon_sym_LBRACE,
    STATE(17566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773344] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13087), 1,
      anon_sym_GT,
    ACTIONS(24088), 1,
      anon_sym_SEMI,
    STATE(17567), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773364] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(24090), 1,
      anon_sym_type,
    STATE(17568), 1,
      sym_attribute,
    STATE(17960), 1,
      sym_module_path,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773384] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24092), 1,
      sym__lowercase_identifier,
    STATE(17569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773404] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21538), 1,
      anon_sym_RBRACE,
    ACTIONS(24094), 1,
      anon_sym_SEMI,
    STATE(17570), 1,
      sym_attribute,
    STATE(18081), 1,
      aux_sym_record_declaration_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773424] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21438), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24096), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773444] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19219), 1,
      anon_sym_SEMI,
    ACTIONS(19221), 1,
      anon_sym_GT,
    STATE(17553), 1,
      aux_sym_object_type_repeat1,
    STATE(17572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773464] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16856), 1,
      sym_attribute_id,
    STATE(17573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773482] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20430), 1,
      anon_sym_RBRACE,
    ACTIONS(24098), 1,
      anon_sym_SEMI,
    STATE(17555), 1,
      aux_sym_record_expression_repeat1,
    STATE(17574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773502] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11144), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17556), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773522] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21552), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773542] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24100), 1,
      anon_sym_RPAREN,
    STATE(17577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24102), 1,
      anon_sym_LPAREN,
    ACTIONS(24104), 1,
      anon_sym_LBRACK,
    ACTIONS(24106), 1,
      anon_sym_LBRACE,
    STATE(17578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773582] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20422), 1,
      anon_sym_RBRACE,
    ACTIONS(24108), 1,
      anon_sym_SEMI,
    STATE(17559), 1,
      aux_sym_record_expression_repeat1,
    STATE(17579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773602] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24110), 1,
      anon_sym_RPAREN,
    STATE(17580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773622] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21552), 1,
      anon_sym_RBRACK,
    STATE(17581), 1,
      sym_attribute,
    STATE(17587), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773642] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24112), 1,
      anon_sym_LPAREN,
    ACTIONS(24114), 1,
      anon_sym_LBRACK,
    ACTIONS(24116), 1,
      anon_sym_LBRACE,
    STATE(17582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773662] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16824), 1,
      sym_attribute_id,
    STATE(17583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773680] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24118), 1,
      anon_sym_RPAREN,
    STATE(17584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773700] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21564), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24120), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773720] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24122), 1,
      anon_sym_LPAREN,
    ACTIONS(24124), 1,
      anon_sym_LBRACK,
    ACTIONS(24126), 1,
      anon_sym_LBRACE,
    STATE(17586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773740] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21574), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773760] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21566), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24128), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773780] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24130), 1,
      anon_sym_LPAREN,
    ACTIONS(24132), 1,
      anon_sym_LBRACK,
    ACTIONS(24134), 1,
      anon_sym_LBRACE,
    STATE(17589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16801), 1,
      sym_attribute_id,
    STATE(17590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [773818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3917), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24136), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24138), 1,
      anon_sym_LPAREN,
    ACTIONS(24140), 1,
      anon_sym_LBRACK,
    ACTIONS(24142), 1,
      anon_sym_LBRACE,
    STATE(17592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773858] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24144), 1,
      aux_sym_quoted_extension_token1,
    STATE(17593), 1,
      sym_attribute,
    STATE(21331), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4551), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24146), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773898] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20400), 1,
      anon_sym_RBRACE,
    ACTIONS(24148), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24150), 1,
      anon_sym_LPAREN,
    ACTIONS(24152), 1,
      anon_sym_LBRACK,
    ACTIONS(24154), 1,
      anon_sym_LBRACE,
    STATE(17596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773938] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24156), 1,
      aux_sym_quoted_extension_token1,
    STATE(17597), 1,
      sym_attribute,
    STATE(21344), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773958] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3915), 1,
      anon_sym_RBRACK,
    ACTIONS(24158), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24160), 1,
      anon_sym_RPAREN,
    STATE(17599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [773998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16054), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17600), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16049), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17601), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16778), 1,
      sym_attribute_id,
    STATE(17602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774056] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16042), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17603), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774076] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24162), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774096] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20396), 1,
      anon_sym_RBRACE,
    ACTIONS(24164), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774116] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24166), 1,
      anon_sym_SEMI,
    ACTIONS(24168), 1,
      anon_sym_GT_RBRACE,
    STATE(17585), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4539), 1,
      anon_sym_RBRACK,
    ACTIONS(24170), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774156] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24172), 1,
      anon_sym_RPAREN,
    STATE(17608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24174), 1,
      anon_sym_EQ,
    STATE(17609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24176), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [774194] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24178), 1,
      anon_sym_SEMI,
    ACTIONS(24180), 1,
      anon_sym_GT_RBRACE,
    STATE(17236), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774214] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24182), 1,
      anon_sym_LPAREN,
    ACTIONS(24184), 1,
      anon_sym_LBRACK,
    ACTIONS(24186), 1,
      anon_sym_LBRACE,
    STATE(17611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774234] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(10821), 1,
      sym__type_equation,
    STATE(17612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24188), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [774252] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24190), 1,
      anon_sym_SEMI,
    ACTIONS(24192), 1,
      anon_sym_RBRACE,
    STATE(17595), 1,
      aux_sym_record_expression_repeat1,
    STATE(17613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774272] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24194), 1,
      anon_sym_LPAREN,
    ACTIONS(24196), 1,
      anon_sym_LBRACK,
    ACTIONS(24198), 1,
      anon_sym_LBRACE,
    STATE(17614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16752), 1,
      sym_attribute_id,
    STATE(17615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24200), 1,
      anon_sym_EQ,
    STATE(17616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24202), 1,
      anon_sym_SEMI,
    ACTIONS(24204), 1,
      anon_sym_GT_RBRACE,
    STATE(17588), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24206), 1,
      anon_sym_SEMI,
    ACTIONS(24208), 1,
      anon_sym_RBRACE,
    STATE(17618), 1,
      sym_attribute,
    STATE(17639), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774370] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24210), 1,
      anon_sym_LPAREN,
    ACTIONS(24212), 1,
      anon_sym_LBRACK,
    ACTIONS(24214), 1,
      anon_sym_LBRACE,
    STATE(17619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21316), 1,
      sym__lowercase_identifier,
    ACTIONS(21320), 1,
      anon_sym_mutable,
    STATE(17620), 1,
      sym_attribute,
    STATE(18176), 1,
      sym_field_declaration,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4251), 1,
      anon_sym_RBRACK,
    ACTIONS(24216), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24218), 1,
      anon_sym_LPAREN,
    ACTIONS(24220), 1,
      anon_sym_LBRACK,
    ACTIONS(24222), 1,
      anon_sym_LBRACE,
    STATE(17622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24224), 1,
      anon_sym_SEMI,
    ACTIONS(24226), 1,
      anon_sym_RBRACE,
    STATE(17605), 1,
      aux_sym_record_expression_repeat1,
    STATE(17623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774470] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24228), 1,
      aux_sym_quoted_extension_token1,
    STATE(17624), 1,
      sym_attribute,
    STATE(19894), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(24230), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16728), 1,
      sym_attribute_id,
    STATE(17626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774528] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24232), 1,
      anon_sym_SEMI,
    ACTIONS(24234), 1,
      anon_sym_GT_RBRACE,
    STATE(17627), 1,
      sym_attribute,
    STATE(17652), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(6), 1,
      sym_attribute_id,
    STATE(17628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774566] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4521), 1,
      anon_sym_RBRACK,
    ACTIONS(24236), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774586] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24238), 1,
      anon_sym_LPAREN,
    ACTIONS(24240), 1,
      anon_sym_LBRACK,
    ACTIONS(24242), 1,
      anon_sym_LBRACE,
    STATE(17630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774606] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24244), 1,
      anon_sym_LPAREN,
    ACTIONS(24246), 1,
      anon_sym_LBRACK,
    ACTIONS(24248), 1,
      anon_sym_LBRACE,
    STATE(17631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774626] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12897), 1,
      anon_sym_GT,
    ACTIONS(24250), 1,
      anon_sym_SEMI,
    STATE(17632), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16702), 1,
      sym_attribute_id,
    STATE(17633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774664] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24252), 1,
      anon_sym_SEMI,
    ACTIONS(24254), 1,
      anon_sym_GT_RBRACE,
    STATE(17634), 1,
      sym_attribute,
    STATE(17684), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21640), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21640), 1,
      anon_sym_RBRACK,
    STATE(17494), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774724] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24256), 1,
      anon_sym_LPAREN,
    ACTIONS(24258), 1,
      anon_sym_LBRACK,
    ACTIONS(24260), 1,
      anon_sym_LBRACE,
    STATE(17637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21648), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774764] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20342), 1,
      anon_sym_RBRACE,
    ACTIONS(24262), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774784] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24264), 1,
      anon_sym_RPAREN,
    STATE(17640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774804] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24266), 1,
      anon_sym_RPAREN,
    STATE(17641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4519), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24268), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774844] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24270), 1,
      anon_sym_LPAREN,
    ACTIONS(24272), 1,
      anon_sym_LBRACK,
    ACTIONS(24274), 1,
      anon_sym_LBRACE,
    STATE(17643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24276), 1,
      sym__lowercase_identifier,
    ACTIONS(24278), 1,
      anon_sym_LPAREN,
    STATE(11470), 1,
      sym__simple_value_pattern,
    STATE(17644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24280), 1,
      anon_sym_LPAREN,
    ACTIONS(24282), 1,
      anon_sym_LBRACK,
    ACTIONS(24284), 1,
      anon_sym_LBRACE,
    STATE(17645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21636), 1,
      anon_sym_RBRACK,
    STATE(17638), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21636), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774944] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16672), 1,
      sym_attribute_id,
    STATE(17648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [774962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24286), 1,
      anon_sym_RPAREN,
    STATE(17649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [774982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20326), 1,
      anon_sym_RBRACE,
    ACTIONS(24288), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24290), 1,
      anon_sym_LPAREN,
    ACTIONS(24292), 1,
      anon_sym_LBRACK,
    ACTIONS(24294), 1,
      anon_sym_LBRACE,
    STATE(17651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21665), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24296), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24298), 1,
      anon_sym_RPAREN,
    STATE(17653), 1,
      sym_attribute,
    STATE(20930), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24300), 1,
      anon_sym_RPAREN,
    STATE(17654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20302), 1,
      anon_sym_RBRACE,
    ACTIONS(24302), 1,
      anon_sym_SEMI,
    STATE(17655), 1,
      sym_attribute,
    STATE(17699), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24304), 1,
      anon_sym_LPAREN,
    ACTIONS(24306), 1,
      anon_sym_LBRACK,
    ACTIONS(24308), 1,
      anon_sym_LBRACE,
    STATE(17656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13011), 1,
      anon_sym_GT,
    ACTIONS(24310), 1,
      anon_sym_SEMI,
    STATE(17657), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16638), 1,
      sym_attribute_id,
    STATE(17658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4253), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24312), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21667), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21667), 1,
      anon_sym_RBRACK,
    STATE(17647), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24314), 1,
      anon_sym_RPAREN,
    STATE(17662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20294), 1,
      anon_sym_RBRACE,
    ACTIONS(24316), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775260] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20296), 1,
      anon_sym_RBRACE,
    ACTIONS(24318), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775280] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24320), 1,
      anon_sym_RPAREN,
    STATE(17665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775300] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24322), 1,
      anon_sym_RPAREN,
    STATE(17666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775320] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11380), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17667), 1,
      sym_attribute,
    STATE(17764), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775340] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24324), 1,
      sym__lowercase_identifier,
    STATE(17668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775360] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24326), 1,
      sym__lowercase_identifier,
    STATE(17669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775380] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19205), 1,
      anon_sym_SEMI,
    ACTIONS(19207), 1,
      anon_sym_GT,
    STATE(17670), 1,
      sym_attribute,
    STATE(17712), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775400] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24328), 1,
      anon_sym_LPAREN,
    ACTIONS(24330), 1,
      anon_sym_LBRACK,
    ACTIONS(24332), 1,
      anon_sym_LBRACE,
    STATE(17671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775420] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24334), 1,
      anon_sym_LPAREN,
    ACTIONS(24336), 1,
      anon_sym_LBRACK,
    ACTIONS(24338), 1,
      anon_sym_LBRACE,
    STATE(17672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775440] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15911), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17673), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775460] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15909), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17674), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775480] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16603), 1,
      sym_attribute_id,
    STATE(17675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [775498] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15885), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17676), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775518] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19233), 1,
      anon_sym_SEMI,
    ACTIONS(19235), 1,
      anon_sym_GT,
    STATE(17657), 1,
      aux_sym_object_type_repeat1,
    STATE(17677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775538] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24340), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775558] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24342), 1,
      anon_sym_RPAREN,
    STATE(17679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775578] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17660), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775598] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24344), 1,
      sym__lowercase_identifier,
    STATE(17681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20274), 1,
      anon_sym_RBRACE,
    ACTIONS(24346), 1,
      anon_sym_SEMI,
    STATE(17664), 1,
      aux_sym_record_expression_repeat1,
    STATE(17682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24348), 1,
      anon_sym_RPAREN,
    STATE(17683), 1,
      sym_attribute,
    STATE(20999), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21699), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24350), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24352), 1,
      anon_sym_RPAREN,
    STATE(17685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775698] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24354), 1,
      anon_sym_RPAREN,
    STATE(17686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12629), 1,
      anon_sym_STAR,
    ACTIONS(14375), 1,
      anon_sym_DASH_GT,
    STATE(17554), 1,
      aux_sym__constructor_argument_repeat1,
    STATE(17687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775738] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24356), 1,
      anon_sym_LPAREN,
    ACTIONS(24358), 1,
      anon_sym_LBRACK,
    ACTIONS(24360), 1,
      anon_sym_LBRACE,
    STATE(17688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775758] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20266), 1,
      anon_sym_RBRACE,
    ACTIONS(24362), 1,
      anon_sym_SEMI,
    STATE(17663), 1,
      aux_sym_record_expression_repeat1,
    STATE(17689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775778] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24364), 1,
      anon_sym_RPAREN,
    STATE(17690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775798] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19026), 1,
      sym__uppercase_identifier,
    ACTIONS(20684), 1,
      anon_sym_LPAREN,
    STATE(14738), 1,
      sym__constructor_name,
    STATE(17691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775818] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24366), 1,
      anon_sym_EQ,
    STATE(17692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775838] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24368), 1,
      anon_sym_LPAREN,
    ACTIONS(24370), 1,
      anon_sym_LBRACK,
    ACTIONS(24372), 1,
      anon_sym_LBRACE,
    STATE(17693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775858] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20260), 1,
      anon_sym_RBRACE,
    ACTIONS(24374), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775878] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24376), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775898] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24378), 1,
      anon_sym_RPAREN,
    STATE(17696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775918] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21718), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24380), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775938] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21716), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24382), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775958] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20262), 1,
      anon_sym_RBRACE,
    ACTIONS(24384), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775978] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24386), 1,
      anon_sym_RPAREN,
    STATE(17700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [775998] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21720), 1,
      anon_sym_RBRACK,
    STATE(17701), 1,
      sym_attribute,
    STATE(17726), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776018] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3953), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24388), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16595), 1,
      sym_attribute_id,
    STATE(17703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776056] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16023), 1,
      aux_sym_module_binding_repeat1,
    STATE(17704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776076] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24390), 1,
      anon_sym_SEMI,
    ACTIONS(24392), 1,
      anon_sym_RBRACE,
    STATE(17570), 1,
      aux_sym_record_declaration_repeat1,
    STATE(17705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776096] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20246), 1,
      anon_sym_RBRACE,
    ACTIONS(24394), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776116] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24396), 1,
      anon_sym_RPAREN,
    STATE(17707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3957), 1,
      anon_sym_RBRACK,
    ACTIONS(24398), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776156] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4497), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24400), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776176] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20242), 1,
      anon_sym_RBRACE,
    ACTIONS(24402), 1,
      anon_sym_SEMI,
    STATE(17710), 1,
      sym_attribute,
    STATE(17737), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776196] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24404), 1,
      anon_sym_LPAREN,
    ACTIONS(24406), 1,
      anon_sym_LBRACK,
    ACTIONS(24408), 1,
      anon_sym_LBRACE,
    STATE(17711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776216] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13188), 1,
      anon_sym_GT,
    ACTIONS(24410), 1,
      anon_sym_SEMI,
    STATE(17712), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20240), 1,
      anon_sym_RBRACE,
    ACTIONS(24412), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776256] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24414), 1,
      aux_sym_quoted_extension_token1,
    STATE(17714), 1,
      sym_attribute,
    STATE(19325), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4495), 1,
      anon_sym_RBRACK,
    ACTIONS(24416), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776296] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24418), 1,
      anon_sym_LPAREN,
    ACTIONS(24420), 1,
      anon_sym_LBRACK,
    ACTIONS(24422), 1,
      anon_sym_LBRACE,
    STATE(17716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776316] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24424), 1,
      anon_sym_SEMI,
    ACTIONS(24426), 1,
      anon_sym_GT_RBRACE,
    STATE(17697), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776336] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16612), 1,
      sym_attribute_id,
    STATE(17718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13080), 1,
      sym_module_binding,
    STATE(17719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19786), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [776372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17), 1,
      sym_attribute_id,
    STATE(17720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24428), 1,
      anon_sym_LPAREN,
    ACTIONS(24430), 1,
      anon_sym_LBRACK,
    ACTIONS(24432), 1,
      anon_sym_LBRACE,
    STATE(17721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24434), 1,
      anon_sym_SEMI,
    ACTIONS(24436), 1,
      anon_sym_RBRACE,
    STATE(17706), 1,
      aux_sym_record_expression_repeat1,
    STATE(17722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24438), 1,
      anon_sym_RPAREN,
    STATE(17723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24440), 1,
      anon_sym_SEMI,
    ACTIONS(24442), 1,
      anon_sym_GT_RBRACE,
    STATE(17698), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24444), 1,
      anon_sym_LPAREN,
    ACTIONS(24446), 1,
      anon_sym_LBRACK,
    ACTIONS(24448), 1,
      anon_sym_LBRACE,
    STATE(17725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21756), 1,
      anon_sym_RBRACK,
    STATE(17727), 1,
      sym_attribute,
    STATE(17731), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24450), 1,
      anon_sym_RPAREN,
    STATE(17728), 1,
      sym_attribute,
    STATE(21872), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24452), 1,
      sym__lowercase_identifier,
    STATE(17729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24454), 1,
      anon_sym_RPAREN,
    STATE(17730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21764), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776610] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16629), 1,
      sym_attribute_id,
    STATE(17732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24456), 1,
      anon_sym_LPAREN,
    ACTIONS(24458), 1,
      anon_sym_LBRACK,
    ACTIONS(24460), 1,
      anon_sym_LBRACE,
    STATE(17733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24462), 1,
      anon_sym_SEMI,
    ACTIONS(24464), 1,
      anon_sym_RBRACE,
    STATE(17713), 1,
      aux_sym_record_expression_repeat1,
    STATE(17734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776668] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24466), 1,
      anon_sym_RPAREN,
    STATE(17735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776688] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24468), 1,
      anon_sym_SEMI,
    ACTIONS(24470), 1,
      anon_sym_RBRACE,
    STATE(17440), 1,
      aux_sym_record_expression_repeat1,
    STATE(17736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776708] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20202), 1,
      anon_sym_RBRACE,
    ACTIONS(24472), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776728] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24474), 1,
      anon_sym_LPAREN,
    ACTIONS(24476), 1,
      anon_sym_LBRACK,
    ACTIONS(24478), 1,
      anon_sym_LBRACE,
    STATE(17738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16654), 1,
      sym_attribute_id,
    STATE(17739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776766] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24480), 1,
      anon_sym_LPAREN,
    ACTIONS(24482), 1,
      anon_sym_LBRACK,
    ACTIONS(24484), 1,
      anon_sym_LBRACE,
    STATE(17740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776786] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24486), 1,
      anon_sym_LPAREN,
    ACTIONS(24488), 1,
      anon_sym_LBRACK,
    ACTIONS(24490), 1,
      anon_sym_LBRACE,
    STATE(17741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776806] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16670), 1,
      sym_attribute_id,
    STATE(17742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776824] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24492), 1,
      sym__lowercase_identifier,
    STATE(17743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776844] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24494), 1,
      anon_sym_LPAREN,
    ACTIONS(24496), 1,
      anon_sym_LBRACK,
    ACTIONS(24498), 1,
      anon_sym_LBRACE,
    STATE(17744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776864] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24500), 1,
      anon_sym_LPAREN,
    ACTIONS(24502), 1,
      anon_sym_LBRACK,
    ACTIONS(24504), 1,
      anon_sym_LBRACE,
    STATE(17745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776884] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16687), 1,
      sym_attribute_id,
    STATE(17746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [776902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16102), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17747), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15971), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17748), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15973), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17749), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24506), 1,
      anon_sym_EQ,
    STATE(17750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [776982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24508), 1,
      anon_sym_LPAREN,
    ACTIONS(24510), 1,
      anon_sym_LBRACK,
    ACTIONS(24512), 1,
      anon_sym_LBRACE,
    STATE(17751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15978), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17752), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777022] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20148), 1,
      anon_sym_RBRACE,
    ACTIONS(24514), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777042] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24516), 1,
      anon_sym_RPAREN,
    STATE(17754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777062] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24518), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777082] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24520), 1,
      anon_sym_SEMI,
    ACTIONS(24522), 1,
      anon_sym_RBRACE,
    STATE(17756), 1,
      sym_attribute,
    STATE(17793), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777102] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24524), 1,
      anon_sym_LPAREN,
    ACTIONS(24526), 1,
      anon_sym_LBRACK,
    ACTIONS(24528), 1,
      anon_sym_LBRACE,
    STATE(17757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24530), 1,
      sym__lowercase_identifier,
    STATE(17758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16704), 1,
      sym_attribute_id,
    STATE(17759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21805), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16798), 1,
      sym_attribute_id,
    STATE(17761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24532), 1,
      anon_sym_EQ,
    STATE(17762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777218] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24534), 1,
      anon_sym_LPAREN,
    ACTIONS(24536), 1,
      anon_sym_LBRACK,
    ACTIONS(24538), 1,
      anon_sym_LBRACE,
    STATE(17763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21720), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20130), 1,
      anon_sym_RBRACE,
    ACTIONS(24540), 1,
      anon_sym_SEMI,
    STATE(17753), 1,
      aux_sym_record_expression_repeat1,
    STATE(17765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21825), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777298] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24542), 1,
      anon_sym_RPAREN,
    STATE(17767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777318] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24544), 1,
      anon_sym_RPAREN,
    STATE(17768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777338] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24546), 1,
      anon_sym_RPAREN,
    STATE(17769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16718), 1,
      sym_attribute_id,
    STATE(17770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777376] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24548), 1,
      anon_sym_SEMI,
    ACTIONS(24550), 1,
      anon_sym_GT_RBRACE,
    STATE(17771), 1,
      sym_attribute,
    STATE(17824), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777396] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24552), 1,
      anon_sym_LPAREN,
    ACTIONS(24554), 1,
      anon_sym_LBRACK,
    ACTIONS(24556), 1,
      anon_sym_LBRACE,
    STATE(17772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777416] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24558), 1,
      anon_sym_LPAREN,
    ACTIONS(24560), 1,
      anon_sym_LBRACK,
    ACTIONS(24562), 1,
      anon_sym_LBRACE,
    STATE(17773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777436] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24564), 1,
      anon_sym_EQ,
    STATE(17774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24566), 1,
      anon_sym_EQ,
    STATE(17775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777476] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16748), 1,
      sym_attribute_id,
    STATE(17776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777494] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12008), 1,
      sym_attribute_id,
    STATE(17777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24568), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777512] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21841), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24570), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24572), 1,
      anon_sym_LPAREN,
    ACTIONS(24574), 1,
      anon_sym_LBRACK,
    ACTIONS(24576), 1,
      anon_sym_LBRACE,
    STATE(17779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777552] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24578), 1,
      anon_sym_LPAREN,
    ACTIONS(24580), 1,
      anon_sym_LBRACK,
    ACTIONS(24582), 1,
      anon_sym_LBRACE,
    STATE(17780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9282), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24584), 1,
      anon_sym_SEMI,
    STATE(17471), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777592] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21849), 1,
      anon_sym_RBRACK,
    STATE(17766), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(64), 1,
      sym_attribute_id,
    STATE(17783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21849), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4401), 1,
      anon_sym_RBRACK,
    ACTIONS(24586), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777670] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3833), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24588), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777690] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16773), 1,
      sym_attribute_id,
    STATE(17787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777708] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20084), 1,
      anon_sym_RBRACE,
    ACTIONS(24590), 1,
      anon_sym_SEMI,
    STATE(17231), 1,
      aux_sym_record_pattern_repeat1,
    STATE(17788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777728] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24592), 1,
      anon_sym_RPAREN,
    STATE(17789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777748] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20104), 1,
      anon_sym_RBRACE,
    ACTIONS(24594), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777768] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4403), 1,
      anon_sym_RBRACK,
    ACTIONS(24596), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24598), 1,
      anon_sym_SEMI,
    ACTIONS(24600), 1,
      anon_sym_RBRACE,
    STATE(17792), 1,
      sym_attribute,
    STATE(17851), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777808] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20100), 1,
      anon_sym_RBRACE,
    ACTIONS(24602), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777828] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24604), 1,
      anon_sym_LPAREN,
    ACTIONS(24606), 1,
      anon_sym_LBRACK,
    ACTIONS(24608), 1,
      anon_sym_LBRACE,
    STATE(17794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9280), 1,
      anon_sym_RBRACK,
    ACTIONS(24610), 1,
      anon_sym_SEMI,
    STATE(17216), 1,
      aux_sym_list_pattern_repeat1,
    STATE(17795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777868] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24612), 1,
      anon_sym_LPAREN,
    ACTIONS(24614), 1,
      anon_sym_LBRACK,
    ACTIONS(24616), 1,
      anon_sym_LBRACE,
    STATE(17796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777888] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24618), 1,
      aux_sym_quoted_extension_token1,
    STATE(17797), 1,
      sym_attribute,
    STATE(19629), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777908] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16794), 1,
      sym_attribute_id,
    STATE(17798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [777926] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21911), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777946] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21911), 1,
      anon_sym_RBRACK,
    STATE(17760), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777966] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22356), 1,
      anon_sym_COLON2,
    ACTIONS(24620), 1,
      anon_sym_RPAREN,
    STATE(17801), 1,
      sym_attribute,
    STATE(21926), 1,
      sym__class_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [777986] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4399), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24622), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778006] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24624), 1,
      anon_sym_LPAREN,
    ACTIONS(24626), 1,
      anon_sym_LBRACK,
    ACTIONS(24628), 1,
      anon_sym_LBRACE,
    STATE(17803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778026] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12851), 1,
      anon_sym_GT,
    ACTIONS(24630), 1,
      anon_sym_SEMI,
    STATE(17804), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(65), 1,
      sym_attribute_id,
    STATE(17805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778064] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24632), 1,
      anon_sym_SEMI,
    ACTIONS(24634), 1,
      anon_sym_GT_RBRACE,
    STATE(17778), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778084] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24636), 1,
      anon_sym_LPAREN,
    ACTIONS(24638), 1,
      anon_sym_LBRACK,
    ACTIONS(24640), 1,
      anon_sym_LBRACE,
    STATE(17807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778104] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24642), 1,
      aux_sym_quoted_extension_token1,
    STATE(17808), 1,
      sym_attribute,
    STATE(21451), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(53), 1,
      sym_attribute_id,
    STATE(17809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(21897), 3,
      anon_sym_PIPE,
      anon_sym_RBRACK,
      anon_sym_GT,
  [778158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24644), 1,
      anon_sym_RPAREN,
    STATE(17811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11348), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17635), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19229), 1,
      anon_sym_SEMI,
    ACTIONS(19231), 1,
      anon_sym_GT,
    STATE(17632), 1,
      aux_sym_object_type_repeat1,
    STATE(17813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778218] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21888), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778238] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21888), 1,
      anon_sym_RBRACK,
    STATE(17784), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778258] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24646), 1,
      anon_sym_RPAREN,
    STATE(17816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778278] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20092), 1,
      anon_sym_RBRACE,
    ACTIONS(24648), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16804), 1,
      sym_attribute_id,
    STATE(17818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17593), 1,
      sym_attribute_id,
    STATE(17819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778334] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24650), 1,
      anon_sym_RPAREN,
    STATE(17820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778354] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(24652), 1,
      anon_sym_RBRACK,
    STATE(17821), 1,
      sym_attribute,
    STATE(17858), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778374] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24654), 1,
      anon_sym_SEMI,
    ACTIONS(24656), 1,
      anon_sym_RBRACE,
    STATE(17790), 1,
      aux_sym_record_expression_repeat1,
    STATE(17822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778394] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(21), 1,
      sym_attribute_id,
    STATE(17823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21901), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24658), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778432] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24660), 1,
      anon_sym_RPAREN,
    STATE(17825), 1,
      sym_attribute,
    STATE(21321), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778452] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24662), 1,
      sym__lowercase_identifier,
    STATE(17826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778472] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24664), 1,
      anon_sym_RPAREN,
    STATE(17827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778492] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20146), 1,
      anon_sym_RBRACE,
    ACTIONS(24666), 1,
      anon_sym_SEMI,
    STATE(17828), 1,
      sym_attribute,
    STATE(17843), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17597), 1,
      sym_attribute_id,
    STATE(17829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24668), 1,
      anon_sym_LPAREN,
    ACTIONS(24670), 1,
      anon_sym_LBRACK,
    ACTIONS(24672), 1,
      anon_sym_LBRACE,
    STATE(17830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11162), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17831), 1,
      sym_attribute,
    STATE(17847), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(23), 1,
      sym_attribute_id,
    STATE(17832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24674), 1,
      anon_sym_LPAREN,
    ACTIONS(24676), 1,
      anon_sym_LBRACK,
    ACTIONS(24678), 1,
      anon_sym_LBRACE,
    STATE(17833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778608] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19400), 1,
      anon_sym_SEMI,
    ACTIONS(19402), 1,
      anon_sym_GT,
    STATE(17834), 1,
      sym_attribute,
    STATE(17854), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778628] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16816), 1,
      sym_attribute_id,
    STATE(17835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(24), 1,
      sym_attribute_id,
    STATE(17836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778664] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24680), 1,
      anon_sym_LPAREN,
    ACTIONS(24682), 1,
      anon_sym_LBRACK,
    ACTIONS(24684), 1,
      anon_sym_LBRACE,
    STATE(17837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778684] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24686), 1,
      sym__lowercase_identifier,
    STATE(17838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778704] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24688), 1,
      anon_sym_RPAREN,
    STATE(17839), 1,
      sym_attribute,
    STATE(21359), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778724] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24690), 1,
      anon_sym_RPAREN,
    STATE(17840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778744] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24692), 1,
      anon_sym_EQ,
    STATE(17841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778764] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16820), 1,
      sym_attribute_id,
    STATE(17842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [778782] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20172), 1,
      anon_sym_RBRACE,
    ACTIONS(24694), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778802] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24696), 1,
      anon_sym_RPAREN,
    STATE(17844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778822] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21925), 1,
      anon_sym_RBRACK,
    STATE(17845), 1,
      sym_attribute,
    STATE(17916), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778842] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19317), 1,
      anon_sym_SEMI,
    ACTIONS(19319), 1,
      anon_sym_GT,
    STATE(17804), 1,
      aux_sym_object_type_repeat1,
    STATE(17846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778862] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21925), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778882] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4277), 1,
      anon_sym_RBRACK,
    ACTIONS(24698), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778902] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17814), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778922] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24700), 1,
      anon_sym_EQ,
    STATE(17850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778942] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20182), 1,
      anon_sym_RBRACE,
    ACTIONS(24702), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778962] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24704), 1,
      anon_sym_LPAREN,
    ACTIONS(24706), 1,
      anon_sym_LBRACK,
    ACTIONS(24708), 1,
      anon_sym_LBRACE,
    STATE(17852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [778982] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4279), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24710), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779002] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12967), 1,
      anon_sym_GT,
    ACTIONS(24712), 1,
      anon_sym_SEMI,
    STATE(17854), 1,
      sym_attribute,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16831), 1,
      sym_attribute_id,
    STATE(17855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24714), 1,
      anon_sym_LPAREN,
    ACTIONS(24716), 1,
      anon_sym_LBRACK,
    ACTIONS(24718), 1,
      anon_sym_LBRACE,
    STATE(17856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16835), 1,
      sym_attribute_id,
    STATE(17857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779078] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(24720), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(24720), 1,
      anon_sym_RBRACK,
    STATE(17859), 1,
      sym_attribute,
    STATE(17880), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779118] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24722), 1,
      anon_sym_LPAREN,
    ACTIONS(24724), 1,
      anon_sym_LBRACK,
    ACTIONS(24726), 1,
      anon_sym_LBRACE,
    STATE(17860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779138] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24728), 1,
      anon_sym_RPAREN,
    STATE(17861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779158] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20234), 1,
      anon_sym_RBRACE,
    ACTIONS(24730), 1,
      anon_sym_SEMI,
    STATE(17817), 1,
      aux_sym_record_expression_repeat1,
    STATE(17862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779178] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21941), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24732), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779198] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24734), 1,
      anon_sym_RPAREN,
    STATE(17864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779218] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16843), 1,
      sym_attribute_id,
    STATE(17865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779236] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16147), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17866), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779256] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24736), 1,
      anon_sym_LPAREN,
    ACTIONS(24738), 1,
      anon_sym_LBRACK,
    ACTIONS(24740), 1,
      anon_sym_LBRACE,
    STATE(17867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779276] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16154), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17868), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779296] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16849), 1,
      sym_attribute_id,
    STATE(17869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779314] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24742), 1,
      anon_sym_EQ,
    STATE(17870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779334] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24744), 1,
      anon_sym_LPAREN,
    ACTIONS(24746), 1,
      anon_sym_LBRACK,
    ACTIONS(24748), 1,
      anon_sym_LBRACE,
    STATE(17871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779354] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19992), 1,
      anon_sym_GT,
    ACTIONS(24750), 1,
      anon_sym_SEMI,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(17872), 2,
      sym_attribute,
      aux_sym_object_type_repeat1,
  [779372] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24753), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779392] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21943), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24755), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779412] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21947), 1,
      anon_sym_RBRACK,
    STATE(17875), 1,
      sym_attribute,
    STATE(17895), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779432] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24757), 1,
      anon_sym_EQ,
    STATE(17876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779452] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16904), 1,
      sym_attribute_id,
    STATE(17877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16160), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17878), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24759), 1,
      anon_sym_LPAREN,
    ACTIONS(24761), 1,
      anon_sym_LBRACK,
    ACTIONS(24763), 1,
      anon_sym_LBRACE,
    STATE(17879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(24765), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(17880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16859), 1,
      sym_attribute_id,
    STATE(17881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779548] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24767), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779568] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20256), 1,
      anon_sym_RBRACE,
    ACTIONS(24769), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779588] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24771), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779608] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4131), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24773), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779628] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15956), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17886), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779648] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24775), 1,
      anon_sym_RPAREN,
    STATE(17887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779668] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24777), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(17888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779688] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24779), 1,
      anon_sym_EQ,
    STATE(17889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779708] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24781), 1,
      anon_sym_RPAREN,
    STATE(17890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779728] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24783), 1,
      anon_sym_RPAREN,
    STATE(17891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779748] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24785), 1,
      anon_sym_EQ,
    STATE(17892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779768] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24787), 1,
      anon_sym_LPAREN,
    ACTIONS(24789), 1,
      anon_sym_LBRACK,
    ACTIONS(24791), 1,
      anon_sym_LBRACE,
    STATE(17893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779788] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16865), 1,
      sym_attribute_id,
    STATE(17894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779806] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21963), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779826] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24793), 1,
      anon_sym_LPAREN,
    ACTIONS(24795), 1,
      anon_sym_LBRACK,
    ACTIONS(24797), 1,
      anon_sym_LBRACE,
    STATE(17896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779846] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24799), 1,
      sym__lowercase_identifier,
    STATE(17897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16873), 1,
      sym_attribute_id,
    STATE(17898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779884] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20270), 1,
      anon_sym_RBRACE,
    ACTIONS(24801), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779904] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15963), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17900), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779924] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24803), 1,
      anon_sym_RPAREN,
    STATE(17901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779944] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24805), 1,
      anon_sym_LPAREN,
    ACTIONS(24807), 1,
      anon_sym_LBRACK,
    ACTIONS(24809), 1,
      anon_sym_LBRACE,
    STATE(17902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [779964] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16876), 1,
      sym_attribute_id,
    STATE(17903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [779982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14851), 1,
      sym__type_equation,
    STATE(17904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24811), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [780000] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4135), 1,
      anon_sym_RBRACK,
    ACTIONS(24813), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780020] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24815), 1,
      anon_sym_EQ,
    STATE(17906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780040] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(15965), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17907), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780060] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24817), 1,
      anon_sym_EQ,
    STATE(17908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14855), 1,
      sym__type_equation,
    STATE(17909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24811), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [780098] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24819), 1,
      anon_sym_LPAREN,
    ACTIONS(24821), 1,
      anon_sym_LBRACK,
    ACTIONS(24823), 1,
      anon_sym_LBRACE,
    STATE(17910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16879), 1,
      sym_attribute_id,
    STATE(17911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780136] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24825), 1,
      anon_sym_LPAREN,
    ACTIONS(24827), 1,
      anon_sym_LBRACK,
    ACTIONS(24829), 1,
      anon_sym_LBRACE,
    STATE(17912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780156] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16881), 1,
      sym_attribute_id,
    STATE(17913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780174] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24831), 1,
      anon_sym_RPAREN,
    STATE(17914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780194] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24833), 1,
      anon_sym_SEMI,
    ACTIONS(24835), 1,
      anon_sym_GT_RBRACE,
    STATE(17874), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780214] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(21947), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780234] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20330), 1,
      anon_sym_RBRACE,
    ACTIONS(24837), 1,
      anon_sym_SEMI,
    STATE(17883), 1,
      aux_sym_record_expression_repeat1,
    STATE(17917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780254] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20352), 1,
      anon_sym_RBRACE,
    ACTIONS(24839), 1,
      anon_sym_SEMI,
    STATE(17918), 1,
      sym_attribute,
    STATE(17978), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780274] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24841), 1,
      anon_sym_RPAREN,
    STATE(17919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780294] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24843), 1,
      anon_sym_SEMI,
    ACTIONS(24845), 1,
      anon_sym_RBRACE,
    STATE(17899), 1,
      aux_sym_record_expression_repeat1,
    STATE(17920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780314] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24847), 1,
      anon_sym_LPAREN,
    ACTIONS(24849), 1,
      anon_sym_LBRACK,
    ACTIONS(24851), 1,
      anon_sym_LBRACE,
    STATE(17921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16884), 1,
      sym_attribute_id,
    STATE(17922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780352] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24853), 1,
      anon_sym_LPAREN,
    ACTIONS(24855), 1,
      anon_sym_LBRACK,
    ACTIONS(24857), 1,
      anon_sym_LBRACE,
    STATE(17923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780372] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16892), 1,
      sym_attribute_id,
    STATE(17924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780390] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24859), 1,
      aux_sym_quoted_extension_token1,
    STATE(17925), 1,
      sym_attribute,
    STATE(20099), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16300), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(17926), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21995), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24861), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22017), 1,
      anon_sym_RBRACK,
    STATE(17928), 1,
      sym_attribute,
    STATE(17942), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780470] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16894), 1,
      sym_attribute_id,
    STATE(17929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780488] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24863), 1,
      anon_sym_SEMI,
    ACTIONS(24865), 1,
      anon_sym_RBRACE,
    STATE(17930), 1,
      sym_attribute,
    STATE(17954), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780508] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16898), 1,
      sym_attribute_id,
    STATE(17931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780526] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24867), 1,
      anon_sym_RPAREN,
    STATE(17932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780546] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16908), 1,
      sym_attribute_id,
    STATE(17933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780564] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4381), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24869), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16915), 1,
      sym_attribute_id,
    STATE(17935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780602] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16917), 1,
      sym_attribute_id,
    STATE(17936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780620] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24871), 1,
      anon_sym_SEMI,
    ACTIONS(24873), 1,
      anon_sym_GT_RBRACE,
    STATE(17863), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780640] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20388), 1,
      anon_sym_RBRACE,
    ACTIONS(24875), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780660] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4379), 1,
      anon_sym_RBRACK,
    ACTIONS(24877), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780680] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(42), 1,
      sym_attribute_id,
    STATE(17940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16924), 1,
      sym_attribute_id,
    STATE(17941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780716] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22015), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16927), 1,
      sym_attribute_id,
    STATE(17943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780754] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24879), 1,
      anon_sym_RPAREN,
    STATE(17944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780774] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24881), 1,
      anon_sym_SEMI,
    ACTIONS(24883), 1,
      anon_sym_GT_RBRACE,
    STATE(17945), 1,
      sym_attribute,
    STATE(17971), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16933), 1,
      sym_attribute_id,
    STATE(17946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16935), 1,
      sym_attribute_id,
    STATE(17947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780830] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4337), 1,
      anon_sym_RBRACK,
    ACTIONS(24885), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(17948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780850] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22017), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780870] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24887), 1,
      sym__lowercase_identifier,
    STATE(17950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780890] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24889), 1,
      anon_sym_RPAREN,
    STATE(17951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780910] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16941), 1,
      sym_attribute_id,
    STATE(17952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780928] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16945), 1,
      sym_attribute_id,
    STATE(17953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780946] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20418), 1,
      anon_sym_RBRACE,
    ACTIONS(24891), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [780966] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16950), 1,
      sym_attribute_id,
    STATE(17955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [780984] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4335), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24893), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(17956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16954), 1,
      sym_attribute_id,
    STATE(17957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16957), 1,
      sym_attribute_id,
    STATE(17958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16965), 1,
      sym_attribute_id,
    STATE(17959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12355), 1,
      anon_sym_DOT,
    STATE(17960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24895), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [781076] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12913), 1,
      anon_sym_GT,
    ACTIONS(24897), 1,
      anon_sym_SEMI,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    STATE(17961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16969), 1,
      sym_attribute_id,
    STATE(17962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781114] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24899), 1,
      anon_sym_SEMI,
    ACTIONS(24901), 1,
      anon_sym_GT_RBRACE,
    STATE(17927), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16979), 1,
      sym_attribute_id,
    STATE(17964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781152] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22041), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781172] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22041), 1,
      anon_sym_RBRACK,
    STATE(17949), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24903), 1,
      anon_sym_RPAREN,
    STATE(17967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20444), 1,
      anon_sym_RBRACE,
    ACTIONS(24905), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16947), 1,
      sym_attribute_id,
    STATE(17969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781250] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24907), 1,
      anon_sym_RPAREN,
    STATE(17970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781270] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22021), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24909), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(17971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11017), 1,
      sym__type_equation,
    STATE(17972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24188), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [781308] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24911), 1,
      anon_sym_RPAREN,
    STATE(17973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781328] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24913), 1,
      anon_sym_RPAREN,
    STATE(17974), 1,
      sym_attribute,
    STATE(21883), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781348] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24915), 1,
      anon_sym_RPAREN,
    STATE(17975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781368] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24917), 1,
      sym__lowercase_identifier,
    STATE(17976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781388] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20470), 1,
      anon_sym_RBRACE,
    ACTIONS(24919), 1,
      anon_sym_SEMI,
    STATE(17977), 1,
      sym_attribute,
    STATE(17998), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781408] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20452), 1,
      anon_sym_RBRACE,
    ACTIONS(24921), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16985), 1,
      sym_attribute_id,
    STATE(17979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781446] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11376), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17980), 1,
      sym_attribute,
    STATE(18005), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16987), 1,
      sym_attribute_id,
    STATE(17981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781484] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24923), 1,
      anon_sym_SEMI,
    ACTIONS(24925), 1,
      anon_sym_RBRACE,
    STATE(17938), 1,
      aux_sym_record_expression_repeat1,
    STATE(17982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781504] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19265), 1,
      anon_sym_SEMI,
    ACTIONS(19267), 1,
      anon_sym_GT,
    STATE(17961), 1,
      aux_sym_object_type_repeat1,
    STATE(17983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781524] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19374), 1,
      anon_sym_SEMI,
    ACTIONS(19376), 1,
      anon_sym_GT,
    STATE(17984), 1,
      sym_attribute,
    STATE(18013), 1,
      aux_sym_object_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16997), 1,
      sym_attribute_id,
    STATE(17985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781562] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(17965), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(17986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(17018), 1,
      sym_attribute_id,
    STATE(17987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22944), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(69), 1,
      sym_attribute_id,
    STATE(17988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781618] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20548), 1,
      anon_sym_RBRACE,
    ACTIONS(24927), 1,
      anon_sym_SEMI,
    STATE(17694), 1,
      aux_sym_record_expression_repeat1,
    STATE(17989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781638] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(12739), 1,
      anon_sym_DOT,
    ACTIONS(24929), 1,
      anon_sym_RPAREN,
    STATE(17990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781658] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20564), 1,
      anon_sym_RBRACE,
    ACTIONS(24931), 1,
      anon_sym_SEMI,
    STATE(17968), 1,
      aux_sym_record_expression_repeat1,
    STATE(17991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781678] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24933), 1,
      anon_sym_RPAREN,
    STATE(17992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781698] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24935), 1,
      sym__lowercase_identifier,
    STATE(17993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781718] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24937), 1,
      anon_sym_RPAREN,
    STATE(17994), 1,
      sym_attribute,
    STATE(22016), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781738] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24939), 1,
      anon_sym_RPAREN,
    STATE(17995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(30), 1,
      sym_attribute_id,
    STATE(17996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [781776] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24941), 1,
      anon_sym_RPAREN,
    STATE(17997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781796] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20592), 1,
      anon_sym_RBRACE,
    ACTIONS(24943), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(17998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781816] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9850), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24945), 1,
      anon_sym_SEMI,
    STATE(17449), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(17999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781836] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24947), 1,
      anon_sym_RPAREN,
    STATE(18000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781856] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21997), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24949), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781876] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19774), 1,
      anon_sym_RBRACE,
    ACTIONS(24951), 1,
      anon_sym_SEMI,
    STATE(16942), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(18002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781896] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22081), 1,
      anon_sym_RBRACK,
    STATE(18003), 1,
      sym_attribute,
    STATE(18035), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781916] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20594), 1,
      anon_sym_RBRACE,
    ACTIONS(24953), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781936] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22081), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781956] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24955), 1,
      anon_sym_SEMI,
    ACTIONS(24957), 1,
      anon_sym_RBRACE,
    STATE(18002), 1,
      aux_sym_record_binding_pattern_repeat1,
    STATE(18006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [781976] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11167), 1,
      sym__type_equation,
    STATE(18007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24959), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [781994] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4195), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24961), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(18008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782014] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9860), 1,
      anon_sym_RBRACK,
    ACTIONS(24963), 1,
      anon_sym_SEMI,
    STATE(16844), 1,
      aux_sym_list_binding_pattern_repeat1,
    STATE(18009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782034] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    ACTIONS(24965), 1,
      anon_sym_RPAREN,
    STATE(18010), 1,
      sym_attribute,
    STATE(22044), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782054] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16491), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18011), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782074] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11170), 1,
      sym__type_equation,
    STATE(18012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(24959), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [782092] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13007), 1,
      anon_sym_GT,
    ACTIONS(24967), 1,
      anon_sym_SEMI,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    STATE(18013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782112] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16508), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18014), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782132] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24969), 1,
      anon_sym_EQ,
    STATE(18015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782152] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24971), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782172] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(24973), 1,
      sym__lowercase_identifier,
    STATE(18017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782192] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16531), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18018), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782212] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(24975), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782232] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20638), 1,
      anon_sym_RBRACE,
    ACTIONS(24977), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782252] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(24979), 1,
      aux_sym_quoted_extension_token1,
    STATE(18021), 1,
      sym_attribute,
    STATE(21184), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(29), 1,
      sym_attribute_id,
    STATE(18022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [782290] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22094), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(24981), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782310] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24983), 1,
      anon_sym_SEMI,
    ACTIONS(24985), 1,
      anon_sym_RBRACE,
    STATE(18024), 1,
      sym_attribute,
    STATE(18058), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782330] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24987), 1,
      anon_sym_EQ,
    STATE(18025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782350] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20634), 1,
      anon_sym_RBRACE,
    ACTIONS(24989), 1,
      anon_sym_SEMI,
    STATE(18004), 1,
      aux_sym_record_expression_repeat1,
    STATE(18026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782370] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4197), 1,
      anon_sym_RBRACK,
    ACTIONS(24991), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(18027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782390] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(24993), 1,
      anon_sym_RPAREN,
    STATE(18028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782410] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(24995), 1,
      anon_sym_RPAREN,
    STATE(18029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782430] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4181), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(24997), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(18030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782450] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24999), 1,
      anon_sym_SEMI,
    ACTIONS(25001), 1,
      anon_sym_RBRACE,
    STATE(17788), 1,
      aux_sym_record_pattern_repeat1,
    STATE(18031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782470] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22118), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25003), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782490] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12887), 1,
      anon_sym_LPAREN,
    STATE(10755), 1,
      sym_module_parameter,
    STATE(16451), 1,
      aux_sym_module_binding_repeat1,
    STATE(18033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782510] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25005), 1,
      anon_sym_RBRACK,
    STATE(18034), 1,
      sym_attribute,
    STATE(18069), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782530] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22120), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782550] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25007), 1,
      anon_sym_SEMI,
    ACTIONS(25009), 1,
      anon_sym_GT_RBRACE,
    STATE(18036), 1,
      sym_attribute,
    STATE(18065), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782570] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22120), 1,
      anon_sym_RBRACK,
    STATE(18037), 1,
      sym_attribute,
    STATE(18047), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782590] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25011), 1,
      anon_sym_SEMI,
    ACTIONS(25013), 1,
      anon_sym_GT_RBRACE,
    STATE(18001), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782610] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25015), 1,
      anon_sym_RBRACK,
    STATE(18039), 1,
      sym_attribute,
    STATE(18040), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782630] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25017), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(18040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782650] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4361), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25019), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(18041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782670] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25017), 1,
      anon_sym_RBRACK,
    STATE(18042), 1,
      sym_attribute,
    STATE(18052), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782690] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25021), 1,
      anon_sym_EQ,
    STATE(18043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25023), 1,
      anon_sym_RPAREN,
    STATE(18044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25025), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [782728] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25027), 1,
      anon_sym_EQ,
    STATE(18045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782748] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25029), 1,
      anon_sym_RPAREN,
    STATE(18046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782768] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22130), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25031), 1,
      anon_sym_SEMI,
    ACTIONS(25033), 1,
      anon_sym_RBRACE,
    STATE(18020), 1,
      aux_sym_record_expression_repeat1,
    STATE(18048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782808] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20596), 1,
      anon_sym_RBRACE,
    ACTIONS(25035), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782828] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4347), 1,
      anon_sym_RBRACK,
    ACTIONS(25037), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(18050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20560), 1,
      anon_sym_RBRACE,
    ACTIONS(25039), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782868] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25041), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(18052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782888] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25043), 1,
      anon_sym_EQ,
    STATE(18053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782908] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4169), 1,
      anon_sym_RBRACK,
    ACTIONS(25045), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(18054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782928] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4297), 1,
      anon_sym_RBRACK,
    ACTIONS(25047), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(18055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782948] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(25049), 1,
      anon_sym_type,
    STATE(17960), 1,
      sym_module_path,
    STATE(18056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782968] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25051), 1,
      anon_sym_SEMI,
    ACTIONS(25053), 1,
      anon_sym_GT_RBRACE,
    STATE(18032), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [782988] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20624), 1,
      anon_sym_RBRACE,
    ACTIONS(25055), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783008] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25057), 1,
      anon_sym_SEMI,
    ACTIONS(25059), 1,
      anon_sym_GT_RBRACE,
    STATE(18023), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783028] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4299), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25061), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(18060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783048] = 6,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    ACTIONS(25063), 1,
      aux_sym_quoted_extension_token1,
    STATE(18061), 1,
      sym_attribute,
    STATE(20585), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783068] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25065), 1,
      anon_sym_EQ,
    STATE(18062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783088] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25067), 1,
      anon_sym_SEMI,
    ACTIONS(25069), 1,
      anon_sym_RBRACE,
    STATE(18049), 1,
      aux_sym_record_expression_repeat1,
    STATE(18063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783108] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25071), 1,
      sym__lowercase_identifier,
    ACTIONS(25073), 1,
      anon_sym_LPAREN,
    STATE(8409), 1,
      sym__simple_value_pattern,
    STATE(18064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783128] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22160), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25075), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(16668), 1,
      sym_module_binding,
    STATE(18066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(20116), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783166] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(25077), 1,
      anon_sym_type,
    STATE(17960), 1,
      sym_module_path,
    STATE(18067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783186] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25079), 1,
      anon_sym_SEMI,
    ACTIONS(25081), 1,
      anon_sym_RBRACE,
    STATE(18051), 1,
      aux_sym_record_expression_repeat1,
    STATE(18068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783206] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25083), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(18069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783226] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25083), 1,
      anon_sym_RBRACK,
    STATE(18070), 1,
      sym_attribute,
    STATE(18091), 1,
      aux_sym__type_params_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783246] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25085), 1,
      anon_sym_RPAREN,
    STATE(18071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(7), 1,
      sym_attribute_id,
    STATE(18072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22272), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783284] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20490), 1,
      anon_sym_RBRACE,
    ACTIONS(25087), 1,
      anon_sym_SEMI,
    STATE(18073), 1,
      sym_attribute,
    STATE(18092), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783304] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13123), 1,
      sym_attribute_id,
    STATE(18074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25089), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [783322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12659), 1,
      sym_module_binding,
    STATE(18075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19522), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783340] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25091), 1,
      anon_sym_SEMI,
    ACTIONS(25093), 1,
      anon_sym_RBRACE,
    STATE(18076), 1,
      sym_attribute,
    STATE(18089), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783360] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13496), 1,
      sym_module_binding,
    STATE(18077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19522), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783378] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20402), 1,
      anon_sym_RBRACE,
    ACTIONS(25095), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783398] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25097), 1,
      anon_sym_SEMI,
    ACTIONS(25099), 1,
      anon_sym_GT_RBRACE,
    STATE(18079), 1,
      sym_attribute,
    STATE(18101), 1,
      aux_sym_object_copy_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783418] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25101), 1,
      anon_sym_RPAREN,
    STATE(18080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25103), 1,
      anon_sym_SEMI,
    ACTIONS(25106), 1,
      anon_sym_RBRACE,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    STATE(18081), 2,
      sym_attribute,
      aux_sym_record_declaration_repeat1,
  [783456] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(25108), 1,
      sym__lowercase_identifier,
    STATE(18082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783476] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4275), 1,
      anon_sym_RBRACK,
    ACTIONS(25110), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(18083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12659), 1,
      sym_module_binding,
    STATE(18084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19512), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783514] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14130), 1,
      sym_module_binding,
    STATE(18085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19512), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783532] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25112), 1,
      anon_sym_RPAREN,
    STATE(18086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783552] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25114), 1,
      anon_sym_EQ,
    STATE(18087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783572] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20346), 1,
      anon_sym_RBRACE,
    ACTIONS(25116), 1,
      anon_sym_SEMI,
    STATE(18078), 1,
      aux_sym_record_expression_repeat1,
    STATE(18088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783592] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20348), 1,
      anon_sym_RBRACE,
    ACTIONS(25118), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783612] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25120), 1,
      anon_sym_RPAREN,
    STATE(18090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783632] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22316), 1,
      anon_sym_COMMA,
    ACTIONS(25122), 1,
      anon_sym_RBRACK,
    STATE(16224), 1,
      aux_sym__type_params_repeat1,
    STATE(18091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783652] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20312), 1,
      anon_sym_RBRACE,
    ACTIONS(25124), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783672] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(12659), 1,
      sym_module_binding,
    STATE(18093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19482), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783690] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22220), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25126), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783710] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(25128), 1,
      anon_sym_RPAREN,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783730] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4273), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25130), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(18096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783750] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16312), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18097), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14087), 1,
      sym_module_binding,
    STATE(18098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19482), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [783788] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20320), 1,
      anon_sym_COMMA,
    ACTIONS(25132), 1,
      anon_sym_RBRACK,
    STATE(16340), 1,
      aux_sym_instantiated_class_type_repeat1,
    STATE(18099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783808] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4315), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(25134), 1,
      anon_sym_SEMI,
    STATE(17062), 1,
      aux_sym_list_expression_repeat1,
    STATE(18100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783828] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22224), 1,
      anon_sym_GT_RBRACE,
    ACTIONS(25136), 1,
      anon_sym_SEMI,
    STATE(16788), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783848] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22222), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783868] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25138), 1,
      anon_sym_EQ,
    STATE(18103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783888] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25140), 1,
      anon_sym_RPAREN,
    STATE(18104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783908] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20496), 1,
      anon_sym_RBRACE,
    ACTIONS(25142), 1,
      anon_sym_SEMI,
    STATE(18105), 1,
      sym_attribute,
    STATE(18124), 1,
      aux_sym_record_expression_repeat1,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783928] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25144), 1,
      anon_sym_RPAREN,
    STATE(18106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783948] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16341), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18107), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [783968] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11810), 1,
      sym__type_equation,
    STATE(18108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25146), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [783986] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20222), 1,
      anon_sym_RBRACE,
    ACTIONS(25148), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784006] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(4313), 1,
      anon_sym_RBRACK,
    ACTIONS(25150), 1,
      anon_sym_SEMI,
    STATE(16743), 1,
      aux_sym_list_expression_repeat1,
    STATE(18110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784026] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9070), 1,
      aux_sym_tag_token1,
    STATE(16352), 1,
      aux_sym_polymorphic_variant_type_repeat2,
    STATE(18111), 1,
      sym_attribute,
    STATE(18484), 1,
      sym_tag,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784046] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22226), 1,
      anon_sym_RBRACK,
    STATE(18102), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(11811), 1,
      sym__type_equation,
    STATE(18113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25146), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [784084] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22226), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784104] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(13551), 1,
      sym_module_binding,
    STATE(18115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19522), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784122] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(25152), 1,
      anon_sym_RPAREN,
    STATE(18116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14186), 1,
      sym_module_binding,
    STATE(18117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19512), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784160] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13091), 1,
      anon_sym_GT,
    ACTIONS(25154), 1,
      anon_sym_SEMI,
    STATE(17872), 1,
      aux_sym_object_type_repeat1,
    STATE(18118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784180] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25156), 1,
      anon_sym_SEMI,
    ACTIONS(25158), 1,
      anon_sym_GT_RBRACE,
    STATE(18094), 1,
      aux_sym_object_copy_expression_repeat1,
    STATE(18119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784200] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(25160), 1,
      sym__lowercase_identifier,
    STATE(18120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784220] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22248), 1,
      anon_sym_RBRACK,
    STATE(16348), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784240] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    ACTIONS(22248), 1,
      anon_sym_RBRACK,
    STATE(18114), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784260] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20656), 1,
      anon_sym_DASH_GT,
    ACTIONS(20658), 1,
      anon_sym_with,
    ACTIONS(25162), 1,
      anon_sym_RPAREN,
    STATE(18123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784280] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20134), 1,
      anon_sym_RBRACE,
    ACTIONS(25164), 1,
      anon_sym_SEMI,
    STATE(16726), 1,
      aux_sym_record_expression_repeat1,
    STATE(18124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784300] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25166), 1,
      anon_sym_SEMI,
    ACTIONS(25168), 1,
      anon_sym_RBRACE,
    STATE(18109), 1,
      aux_sym_record_expression_repeat1,
    STATE(18125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784320] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(25170), 1,
      anon_sym_RPAREN,
    STATE(18126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784340] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(22264), 1,
      sym_indexing_operator,
    ACTIONS(25172), 1,
      sym__lowercase_identifier,
    STATE(18127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784360] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(14163), 1,
      sym_module_binding,
    STATE(18128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19482), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [784378] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19201), 1,
      anon_sym_SEMI,
    ACTIONS(19203), 1,
      anon_sym_GT,
    STATE(18118), 1,
      aux_sym_object_type_repeat1,
    STATE(18129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784398] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(25174), 1,
      anon_sym_type,
    STATE(17960), 1,
      sym_module_path,
    STATE(18130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784418] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      anon_sym_RBRACK,
    ACTIONS(21078), 1,
      anon_sym_PIPE,
    STATE(18121), 1,
      aux_sym_polymorphic_variant_type_repeat1,
    STATE(18131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784438] = 6,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10944), 1,
      sym__uppercase_identifier,
    ACTIONS(25176), 1,
      anon_sym_type,
    STATE(17960), 1,
      sym_module_path,
    STATE(18132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25178), 1,
      sym__lowercase_identifier,
    STATE(18133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784475] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11298), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25180), 1,
      sym__lowercase_identifier,
    ACTIONS(25182), 1,
      anon_sym_LPAREN,
    STATE(18135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784509] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25184), 1,
      anon_sym_RPAREN,
    ACTIONS(25186), 1,
      anon_sym_LT_DASH,
    STATE(18136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784526] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25188), 1,
      anon_sym_RPAREN,
    ACTIONS(25190), 1,
      anon_sym_LT_DASH,
    STATE(18137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784543] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25192), 1,
      anon_sym_COLON_GT,
    ACTIONS(25194), 1,
      anon_sym_RPAREN,
    STATE(18138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784560] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19269), 1,
      sym__lowercase_identifier,
    STATE(18139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784577] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25196), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [784592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25198), 1,
      anon_sym_RPAREN,
    ACTIONS(25200), 1,
      anon_sym_LT_DASH,
    STATE(18141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_then,
    STATE(9371), 1,
      sym_then_clause,
    STATE(18142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25204), 1,
      sym__lowercase_identifier,
    STATE(18143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784643] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25206), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25208), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [784673] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25210), 1,
      anon_sym_RPAREN,
    ACTIONS(25212), 1,
      anon_sym_LT_DASH,
    STATE(18146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25214), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25216), 1,
      anon_sym_RPAREN,
    ACTIONS(25218), 1,
      anon_sym_LT_DASH,
    STATE(18148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25220), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [784737] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25222), 1,
      anon_sym_RPAREN,
    ACTIONS(25224), 1,
      anon_sym_LT_DASH,
    STATE(18150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25226), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25228), 1,
      sym__lowercase_identifier,
    STATE(18152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25230), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784801] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11138), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25232), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784833] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25234), 1,
      anon_sym_RPAREN,
    ACTIONS(25236), 1,
      anon_sym_LT_DASH,
    STATE(18156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784850] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25238), 1,
      anon_sym_DOT,
    STATE(18157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784867] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25240), 1,
      anon_sym_RPAREN,
    ACTIONS(25242), 1,
      anon_sym_LT_DASH,
    STATE(18158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25244), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784899] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25246), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [784914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2105), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25248), 1,
      anon_sym_RPAREN,
    STATE(18161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25250), 1,
      sym__lowercase_identifier,
    ACTIONS(25252), 1,
      anon_sym_LBRACK,
    STATE(18162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25254), 1,
      sym__lowercase_identifier,
    STATE(18163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784965] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25256), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [784980] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_then,
    STATE(11742), 1,
      sym_then_clause,
    STATE(18165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [784997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25260), 1,
      sym__lowercase_identifier,
    STATE(18166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_do,
    STATE(9188), 1,
      sym_do_clause,
    STATE(18167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_then,
    STATE(13101), 1,
      sym_then_clause,
    STATE(18168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_then,
    STATE(9714), 1,
      sym_then_clause,
    STATE(18169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25268), 1,
      sym__lowercase_identifier,
    ACTIONS(25270), 1,
      anon_sym_LPAREN,
    STATE(18170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785082] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25272), 1,
      anon_sym_DOT,
    STATE(18171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785099] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25274), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25276), 1,
      sym__lowercase_identifier,
    ACTIONS(25278), 1,
      anon_sym_LPAREN,
    STATE(18173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25280), 1,
      anon_sym_COLON_GT,
    ACTIONS(25282), 1,
      anon_sym_RPAREN,
    STATE(18174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25284), 1,
      sym__lowercase_identifier,
    STATE(18175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785165] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25106), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [785180] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19392), 1,
      sym__lowercase_identifier,
    STATE(18177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785197] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18178), 1,
      sym_attribute,
    STATE(20945), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785214] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19189), 1,
      sym__lowercase_identifier,
    STATE(18179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25286), 1,
      sym__lowercase_identifier,
    ACTIONS(25288), 1,
      anon_sym_LPAREN,
    STATE(18180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785248] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25290), 1,
      anon_sym_COLON_GT,
    ACTIONS(25292), 1,
      anon_sym_RPAREN,
    STATE(18181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785265] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25294), 1,
      anon_sym_COLON_GT,
    ACTIONS(25296), 1,
      anon_sym_RPAREN,
    STATE(18182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785282] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19384), 1,
      sym__lowercase_identifier,
    STATE(18183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785299] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25298), 1,
      anon_sym_RPAREN,
    ACTIONS(25300), 1,
      anon_sym_LT_DASH,
    STATE(18184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785316] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25302), 1,
      sym__lowercase_identifier,
    ACTIONS(25304), 1,
      anon_sym_LPAREN,
    STATE(18185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785333] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_then,
    STATE(9692), 1,
      sym_then_clause,
    STATE(18186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785350] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_then,
    STATE(13884), 1,
      sym_then_clause,
    STATE(18187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785367] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25310), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785382] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11395), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785399] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25312), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785414] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_do,
    STATE(9083), 1,
      sym_do_clause,
    STATE(18191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25316), 1,
      anon_sym_COLON_GT,
    ACTIONS(25318), 1,
      anon_sym_RPAREN,
    STATE(18192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785448] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25320), 1,
      sym__lowercase_identifier,
    STATE(18193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_then,
    STATE(13263), 1,
      sym_then_clause,
    STATE(18194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25324), 1,
      anon_sym_DOT,
    STATE(18195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_then,
    STATE(11860), 1,
      sym_then_clause,
    STATE(18196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785516] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_do,
    STATE(9007), 1,
      sym_do_clause,
    STATE(18197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25326), 1,
      sym__lowercase_identifier,
    STATE(18198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25328), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25330), 1,
      anon_sym_RPAREN,
    ACTIONS(25332), 1,
      anon_sym_LT_DASH,
    STATE(18200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25334), 1,
      anon_sym_RPAREN,
    ACTIONS(25336), 1,
      anon_sym_LT_DASH,
    STATE(18201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25338), 1,
      anon_sym_DOT,
    STATE(18202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25340), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [785631] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25342), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(25344), 1,
      anon_sym_DASH_GT,
    STATE(18205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25346), 1,
      anon_sym_DOT,
    STATE(18206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785680] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11348), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785697] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25348), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785712] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25350), 1,
      sym__lowercase_identifier,
    ACTIONS(25352), 1,
      anon_sym_LBRACK,
    STATE(18209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25354), 1,
      anon_sym_RPAREN,
    ACTIONS(25356), 1,
      anon_sym_LT_DASH,
    STATE(18210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25358), 1,
      sym__lowercase_identifier,
    ACTIONS(25360), 1,
      anon_sym_LPAREN,
    STATE(18211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_then,
    STATE(9671), 1,
      sym_then_clause,
    STATE(18212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25364), 1,
      anon_sym_SEMI,
    ACTIONS(25366), 1,
      anon_sym_RBRACE,
    STATE(18213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25368), 1,
      anon_sym_COLON_GT,
    ACTIONS(25370), 1,
      anon_sym_RPAREN,
    STATE(18214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19293), 1,
      sym__lowercase_identifier,
    STATE(18215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_then,
    STATE(10764), 1,
      sym_then_clause,
    STATE(18216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25374), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25376), 1,
      sym__lowercase_identifier,
    STATE(18218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785880] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25378), 1,
      anon_sym_RPAREN,
    ACTIONS(25380), 1,
      anon_sym_LT_DASH,
    STATE(18219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25382), 1,
      anon_sym_RPAREN,
    ACTIONS(25384), 1,
      anon_sym_LT_DASH,
    STATE(18220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18221), 1,
      sym_attribute,
    STATE(22416), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25386), 1,
      sym__lowercase_identifier,
    STATE(18222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9929), 1,
      anon_sym_COLON_GT,
    ACTIONS(9931), 1,
      anon_sym_EQ,
    STATE(18223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9245), 1,
      sym_then_clause,
    STATE(18224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [785982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25390), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [785997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25392), 1,
      anon_sym_SEMI,
    ACTIONS(25394), 1,
      anon_sym_RBRACE,
    STATE(18226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RBRACK,
    ACTIONS(25396), 1,
      anon_sym_SEMI,
    STATE(18227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25394), 1,
      anon_sym_RPAREN,
    ACTIONS(25398), 1,
      anon_sym_SEMI,
    STATE(18228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25043), 1,
      anon_sym_EQ,
    ACTIONS(25400), 1,
      anon_sym_COLON_GT,
    STATE(18229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786065] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25402), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [786080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19261), 1,
      sym__lowercase_identifier,
    STATE(18231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25404), 1,
      anon_sym_COLON_GT,
    ACTIONS(25406), 1,
      anon_sym_RPAREN,
    STATE(18232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25408), 1,
      sym__lowercase_identifier,
    ACTIONS(25410), 1,
      anon_sym_LPAREN,
    STATE(18233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786131] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25412), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25414), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786161] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    STATE(16517), 1,
      sym__simple_value_pattern,
    STATE(18236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25416), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25418), 1,
      anon_sym_RPAREN,
    ACTIONS(25420), 1,
      anon_sym_LT_DASH,
    STATE(18238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25422), 1,
      sym__lowercase_identifier,
    ACTIONS(25424), 1,
      anon_sym_LPAREN,
    STATE(18239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18240), 1,
      sym_attribute,
    STATE(20363), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786244] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18241), 1,
      sym_attribute,
    STATE(21126), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25426), 1,
      anon_sym_COLON_GT,
    ACTIONS(25428), 1,
      anon_sym_RPAREN,
    STATE(18242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19388), 1,
      sym__lowercase_identifier,
    STATE(18243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_then,
    STATE(10693), 1,
      sym_then_clause,
    STATE(18244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25432), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [786327] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25434), 1,
      sym__lowercase_identifier,
    STATE(18246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786344] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25027), 1,
      anon_sym_EQ,
    ACTIONS(25436), 1,
      anon_sym_COLON_GT,
    STATE(18247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_RPAREN,
    ACTIONS(25440), 1,
      anon_sym_SEMI,
    STATE(18248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_RBRACK,
    ACTIONS(25442), 1,
      anon_sym_SEMI,
    STATE(18249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25438), 1,
      anon_sym_RBRACE,
    ACTIONS(25444), 1,
      anon_sym_SEMI,
    STATE(18250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25446), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786427] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25448), 1,
      anon_sym_RPAREN,
    ACTIONS(25450), 1,
      anon_sym_LT_DASH,
    STATE(18252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786444] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_COLON2,
    STATE(18253), 1,
      sym_attribute,
    STATE(21779), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786461] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    STATE(16088), 1,
      sym__simple_value_pattern,
    STATE(18254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786478] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25454), 1,
      anon_sym_RPAREN,
    ACTIONS(25456), 1,
      anon_sym_LT_DASH,
    STATE(18255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786495] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25458), 1,
      anon_sym_RPAREN,
    ACTIONS(25460), 1,
      anon_sym_LT_DASH,
    STATE(18256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786512] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25462), 1,
      anon_sym_DOT,
    STATE(18257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786529] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25464), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_then,
    STATE(13463), 1,
      sym_then_clause,
    STATE(18259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786561] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25468), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25470), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [786591] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25472), 1,
      anon_sym_DOT,
    STATE(18262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786608] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25474), 1,
      anon_sym_DOT,
    STATE(18263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786625] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25476), 1,
      anon_sym_RPAREN,
    ACTIONS(25478), 1,
      anon_sym_LT_DASH,
    STATE(18264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786642] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25480), 1,
      anon_sym_RPAREN,
    STATE(18265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786659] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25482), 1,
      sym__lowercase_identifier,
    ACTIONS(25484), 1,
      anon_sym_LPAREN,
    STATE(18266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786676] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18267), 1,
      sym_attribute,
    STATE(20414), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786693] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25486), 1,
      aux_sym_type_variable_token1,
    STATE(9366), 1,
      sym_type_variable,
    STATE(18268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786710] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25488), 1,
      anon_sym_COLON_GT,
    ACTIONS(25490), 1,
      anon_sym_RPAREN,
    STATE(18269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786727] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25492), 1,
      sym__lowercase_identifier,
    ACTIONS(25494), 1,
      anon_sym_LPAREN,
    STATE(18270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786744] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25496), 1,
      sym__lowercase_identifier,
    STATE(18271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786761] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25498), 1,
      anon_sym_COLON_GT,
    ACTIONS(25500), 1,
      anon_sym_RPAREN,
    STATE(18272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786778] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9870), 1,
      anon_sym_COLON_GT,
    ACTIONS(9872), 1,
      anon_sym_EQ,
    STATE(18273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786795] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25502), 1,
      anon_sym_RPAREN,
    ACTIONS(25504), 1,
      anon_sym_LT_DASH,
    STATE(18274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786812] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_then,
    STATE(9421), 1,
      sym_then_clause,
    STATE(18275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786829] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18276), 1,
      sym_attribute,
    STATE(21700), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786846] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25508), 1,
      sym__lowercase_identifier,
    STATE(18277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25510), 1,
      sym__lowercase_identifier,
    STATE(18278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786880] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25512), 1,
      sym__lowercase_identifier,
    ACTIONS(25514), 1,
      anon_sym_LBRACK,
    STATE(18279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25516), 1,
      anon_sym_RPAREN,
    ACTIONS(25518), 1,
      anon_sym_LT_DASH,
    STATE(18280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_then,
    STATE(9440), 1,
      sym_then_clause,
    STATE(18281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25522), 1,
      sym__lowercase_identifier,
    ACTIONS(25524), 1,
      sym__uppercase_identifier,
    STATE(18282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25526), 1,
      anon_sym_COLON_GT,
    ACTIONS(25528), 1,
      anon_sym_RPAREN,
    STATE(18283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25530), 1,
      anon_sym_RPAREN,
    ACTIONS(25532), 1,
      anon_sym_LT_DASH,
    STATE(18284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25534), 1,
      anon_sym_COLON_GT,
    ACTIONS(25536), 1,
      anon_sym_RPAREN,
    STATE(18285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [786999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25538), 1,
      sym__lowercase_identifier,
    ACTIONS(25540), 1,
      anon_sym_LPAREN,
    STATE(18286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25542), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787031] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_then,
    STATE(9755), 1,
      sym_then_clause,
    STATE(18288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787048] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25544), 1,
      sym__lowercase_identifier,
    STATE(18289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787065] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_do,
    STATE(8912), 1,
      sym_do_clause,
    STATE(18290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787082] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25546), 1,
      anon_sym_DOT,
    STATE(18291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787099] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_then,
    STATE(13434), 1,
      sym_then_clause,
    STATE(18292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787116] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25548), 1,
      sym__lowercase_identifier,
    STATE(18293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787133] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_then,
    STATE(9375), 1,
      sym_then_clause,
    STATE(18294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787150] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25552), 1,
      sym__uppercase_identifier,
    STATE(14649), 1,
      sym_extended_module_path,
    STATE(18295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787167] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25554), 1,
      anon_sym_EQ,
    ACTIONS(25556), 1,
      anon_sym_RPAREN,
    STATE(18296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787184] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_then,
    STATE(12704), 1,
      sym_then_clause,
    STATE(18297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787201] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25560), 1,
      anon_sym_DOT,
    STATE(18298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787218] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19916), 1,
      anon_sym_RBRACE,
    ACTIONS(25562), 1,
      anon_sym_SEMI,
    STATE(18299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787235] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25564), 1,
      sym__lowercase_identifier,
    STATE(18300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787252] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25566), 1,
      sym__lowercase_identifier,
    ACTIONS(25568), 1,
      anon_sym_LPAREN,
    STATE(18301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787269] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20006), 1,
      anon_sym_RBRACE,
    ACTIONS(25570), 1,
      anon_sym_SEMI,
    STATE(18302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787286] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19313), 1,
      sym__lowercase_identifier,
    STATE(18303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787303] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13828), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [787318] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_then,
    STATE(9346), 1,
      sym_then_clause,
    STATE(18305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787335] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25572), 1,
      sym__lowercase_identifier,
    STATE(18306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787352] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25574), 1,
      sym__lowercase_identifier,
    ACTIONS(25576), 1,
      anon_sym_LPAREN,
    STATE(18307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787369] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25578), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787384] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25580), 1,
      anon_sym_EQ,
    ACTIONS(25582), 1,
      anon_sym_RPAREN,
    STATE(18309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787401] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25584), 1,
      anon_sym_SEMI,
    ACTIONS(25586), 1,
      anon_sym_RBRACE,
    STATE(18310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787418] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18311), 1,
      sym_attribute,
    STATE(20769), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25588), 1,
      anon_sym_RPAREN,
    ACTIONS(25590), 1,
      anon_sym_LT_DASH,
    STATE(18312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25592), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787467] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_then,
    STATE(13490), 1,
      sym_then_clause,
    STATE(18314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787484] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25596), 1,
      anon_sym_RPAREN,
    ACTIONS(25598), 1,
      anon_sym_LT_DASH,
    STATE(18315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787501] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11495), 1,
      anon_sym_RPAREN,
    ACTIONS(25600), 1,
      aux_sym_number_token1,
    STATE(18316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25602), 1,
      anon_sym_RPAREN,
    ACTIONS(25604), 1,
      anon_sym_LT_DASH,
    STATE(18317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787535] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25606), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [787550] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(25608), 1,
      anon_sym_DASH_GT,
    STATE(18319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11376), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25610), 1,
      anon_sym_RPAREN,
    ACTIONS(25612), 1,
      anon_sym_LT_DASH,
    STATE(18321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787601] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9933), 1,
      anon_sym_COLON_GT,
    ACTIONS(9935), 1,
      anon_sym_EQ,
    STATE(18322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787618] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25614), 1,
      anon_sym_COLON_GT,
    ACTIONS(25616), 1,
      anon_sym_RPAREN,
    STATE(18323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787635] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25618), 1,
      sym__lowercase_identifier,
    ACTIONS(25620), 1,
      anon_sym_LPAREN,
    STATE(18324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787652] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25622), 1,
      anon_sym_COLON_GT,
    ACTIONS(25624), 1,
      anon_sym_RPAREN,
    STATE(18325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787669] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25452), 1,
      anon_sym_COLON2,
    STATE(18326), 1,
      sym_attribute,
    STATE(20821), 1,
      sym__polymorphic_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787686] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25626), 1,
      anon_sym_COLON_GT,
    ACTIONS(25628), 1,
      anon_sym_RPAREN,
    STATE(18327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787703] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13900), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [787718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_then,
    STATE(9430), 1,
      sym_then_clause,
    STATE(18329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25632), 1,
      anon_sym_RPAREN,
    ACTIONS(25634), 1,
      anon_sym_LT_DASH,
    STATE(18330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25636), 1,
      sym__lowercase_identifier,
    STATE(18331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25638), 1,
      sym__lowercase_identifier,
    STATE(18332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25640), 1,
      sym__lowercase_identifier,
    STATE(18333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25642), 1,
      anon_sym_SEMI,
    ACTIONS(25644), 1,
      anon_sym_RBRACE,
    STATE(18334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787820] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_then,
    STATE(13540), 1,
      sym_then_clause,
    STATE(18335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_do,
    STATE(8902), 1,
      sym_do_clause,
    STATE(18336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25648), 1,
      anon_sym_RPAREN,
    ACTIONS(25650), 1,
      anon_sym_LT_DASH,
    STATE(18337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25652), 1,
      anon_sym_DOT,
    STATE(18338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787888] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19321), 1,
      sym__lowercase_identifier,
    STATE(18339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25654), 1,
      sym__lowercase_identifier,
    STATE(18340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_then,
    STATE(13564), 1,
      sym_then_clause,
    STATE(18341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(25658), 1,
      anon_sym_DASH_GT,
    STATE(18342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    STATE(16755), 1,
      sym_extended_module_path,
    STATE(18343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25660), 1,
      sym__lowercase_identifier,
    STATE(18344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [787990] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25662), 1,
      anon_sym_COLON_GT,
    ACTIONS(25664), 1,
      anon_sym_RPAREN,
    STATE(18345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19364), 1,
      sym__lowercase_identifier,
    STATE(18346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25666), 1,
      sym__lowercase_identifier,
    ACTIONS(25668), 1,
      anon_sym_LPAREN,
    STATE(18347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25670), 1,
      anon_sym_RPAREN,
    ACTIONS(25672), 1,
      anon_sym_LT_DASH,
    STATE(18348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25674), 1,
      anon_sym_RPAREN,
    ACTIONS(25676), 1,
      anon_sym_LT_DASH,
    STATE(18349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25678), 1,
      anon_sym_RPAREN,
    ACTIONS(25680), 1,
      anon_sym_LT_DASH,
    STATE(18350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788092] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_then,
    STATE(13437), 1,
      sym_then_clause,
    STATE(18351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25682), 1,
      anon_sym_COLON_GT,
    ACTIONS(25684), 1,
      anon_sym_RPAREN,
    STATE(18352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788126] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25686), 1,
      sym__lowercase_identifier,
    ACTIONS(25688), 1,
      anon_sym_LPAREN,
    STATE(18353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25262), 1,
      anon_sym_do,
    STATE(9179), 1,
      sym_do_clause,
    STATE(18354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788160] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(13492), 1,
      sym_then_clause,
    STATE(18355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788177] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25692), 1,
      anon_sym_RPAREN,
    ACTIONS(25694), 1,
      anon_sym_LT_DASH,
    STATE(18356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25696), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788209] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25698), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [788224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25700), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_then,
    STATE(12592), 1,
      sym_then_clause,
    STATE(18360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788256] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25702), 1,
      anon_sym_EQ,
    ACTIONS(25704), 1,
      anon_sym_RPAREN,
    STATE(18361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788273] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25706), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25708), 1,
      anon_sym_DOT,
    STATE(18363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788305] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25710), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788320] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25712), 1,
      sym__lowercase_identifier,
    ACTIONS(25714), 1,
      anon_sym_LPAREN,
    STATE(18365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25716), 1,
      anon_sym_COLON_GT,
    ACTIONS(25718), 1,
      anon_sym_RPAREN,
    STATE(18366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25720), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_then,
    STATE(13386), 1,
      sym_then_clause,
    STATE(18368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788386] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_then,
    STATE(9526), 1,
      sym_then_clause,
    STATE(18369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25722), 1,
      sym__lowercase_identifier,
    STATE(18370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25724), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788435] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25726), 1,
      sym__lowercase_identifier,
    ACTIONS(25728), 1,
      anon_sym_LBRACK,
    STATE(18372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788452] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25730), 1,
      anon_sym_RPAREN,
    ACTIONS(25732), 1,
      anon_sym_LT_DASH,
    STATE(18373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25734), 1,
      anon_sym_RPAREN,
    ACTIONS(25736), 1,
      anon_sym_LT_DASH,
    STATE(18374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788486] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25738), 1,
      anon_sym_RPAREN,
    ACTIONS(25740), 1,
      anon_sym_LT_DASH,
    STATE(18375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788503] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25742), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788518] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13948), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [788533] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18378), 1,
      sym_attribute,
    STATE(20365), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788550] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10994), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    STATE(18379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788567] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9862), 1,
      anon_sym_COLON_GT,
    ACTIONS(9864), 1,
      anon_sym_EQ,
    STATE(18380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788584] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25744), 1,
      sym__lowercase_identifier,
    ACTIONS(25746), 1,
      anon_sym_LBRACK,
    STATE(18381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788601] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25748), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_then,
    STATE(13775), 1,
      sym_then_clause,
    STATE(18383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_do,
    STATE(11843), 1,
      sym_do_clause,
    STATE(18384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25752), 1,
      anon_sym_DOT,
    STATE(18385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788667] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25754), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788682] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25756), 1,
      anon_sym_RPAREN,
    STATE(18387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788699] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25758), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11022), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    STATE(18389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(13925), 1,
      sym_then_clause,
    STATE(18390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788748] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25762), 1,
      sym__lowercase_identifier,
    ACTIONS(25764), 1,
      anon_sym_LPAREN,
    STATE(18391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788765] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25766), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [788780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    STATE(16254), 1,
      sym__simple_value_pattern,
    STATE(18393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25768), 1,
      sym__lowercase_identifier,
    ACTIONS(25770), 1,
      anon_sym_LPAREN,
    STATE(18394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11006), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    STATE(18395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25772), 1,
      anon_sym_COLON_GT,
    ACTIONS(25774), 1,
      anon_sym_RPAREN,
    STATE(18396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18397), 1,
      sym_attribute,
    STATE(19882), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    STATE(16421), 1,
      sym__simple_value_pattern,
    STATE(18398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25776), 1,
      anon_sym_COLON_GT,
    ACTIONS(25778), 1,
      anon_sym_RPAREN,
    STATE(18399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25780), 1,
      sym__lowercase_identifier,
    ACTIONS(25782), 1,
      anon_sym_LPAREN,
    STATE(18400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22005), 1,
      sym__lowercase_identifier,
    STATE(16419), 1,
      aux_sym__abstract_type_repeat1,
    STATE(18401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788933] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25784), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [788948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25786), 1,
      sym__lowercase_identifier,
    STATE(18403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24817), 1,
      anon_sym_EQ,
    ACTIONS(25788), 1,
      anon_sym_COLON_GT,
    STATE(18404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788982] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_RPAREN,
    ACTIONS(25792), 1,
      anon_sym_SEMI,
    STATE(18405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [788999] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_RBRACK,
    ACTIONS(25794), 1,
      anon_sym_SEMI,
    STATE(18406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789016] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25790), 1,
      anon_sym_RBRACE,
    ACTIONS(25796), 1,
      anon_sym_SEMI,
    STATE(18407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789033] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_then,
    STATE(13156), 1,
      sym_then_clause,
    STATE(18408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789050] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25798), 1,
      anon_sym_COLON_GT,
    ACTIONS(25800), 1,
      anon_sym_RPAREN,
    STATE(18409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789067] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25802), 1,
      sym__lowercase_identifier,
    STATE(18410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789084] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19348), 1,
      sym__lowercase_identifier,
    STATE(18411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789101] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25804), 1,
      sym__lowercase_identifier,
    STATE(18412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789118] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25806), 1,
      anon_sym_RPAREN,
    STATE(18413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789135] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25808), 1,
      anon_sym_DOT,
    STATE(18414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789152] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25810), 1,
      anon_sym_RPAREN,
    ACTIONS(25812), 1,
      anon_sym_LT_DASH,
    STATE(18415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789169] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(13351), 1,
      sym_then_clause,
    STATE(18416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789186] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_do,
    STATE(11705), 1,
      sym_do_clause,
    STATE(18417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789203] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25814), 1,
      anon_sym_DOT,
    STATE(18418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789220] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_then,
    STATE(9638), 1,
      sym_then_clause,
    STATE(18419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25816), 1,
      anon_sym_RPAREN,
    STATE(18420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25818), 1,
      anon_sym_RPAREN,
    ACTIONS(25820), 1,
      anon_sym_LT_DASH,
    STATE(18421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25822), 1,
      sym__lowercase_identifier,
    STATE(18422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18423), 1,
      sym_attribute,
    STATE(19880), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789305] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19285), 1,
      sym__lowercase_identifier,
    STATE(18424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25824), 1,
      anon_sym_DOT,
    STATE(18425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_do,
    STATE(9097), 1,
      sym_do_clause,
    STATE(18426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25826), 1,
      anon_sym_COLON_GT,
    ACTIONS(25828), 1,
      anon_sym_RPAREN,
    STATE(18427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25830), 1,
      anon_sym_RPAREN,
    ACTIONS(25832), 1,
      anon_sym_LT_DASH,
    STATE(18428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25834), 1,
      sym__lowercase_identifier,
    ACTIONS(25836), 1,
      anon_sym_LPAREN,
    STATE(18429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_then,
    STATE(13108), 1,
      sym_then_clause,
    STATE(18430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_then,
    STATE(11688), 1,
      sym_then_clause,
    STATE(18431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789441] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25838), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25840), 1,
      sym__lowercase_identifier,
    STATE(18433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25842), 1,
      anon_sym_RPAREN,
    STATE(18434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(25844), 1,
      anon_sym_DASH_GT,
    STATE(18435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11142), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    STATE(14344), 1,
      sym_type_variable,
    STATE(18437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18438), 1,
      sym_attribute,
    STATE(21336), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25846), 1,
      sym__lowercase_identifier,
    STATE(18439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789575] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25848), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789590] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10970), 1,
      anon_sym_RPAREN,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    STATE(18441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789607] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25850), 1,
      anon_sym_COLON_GT,
    ACTIONS(25852), 1,
      anon_sym_RPAREN,
    STATE(18442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789624] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_then,
    STATE(12834), 1,
      sym_then_clause,
    STATE(18443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789641] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25854), 1,
      sym__lowercase_identifier,
    STATE(18444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789658] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_then,
    STATE(13954), 1,
      sym_then_clause,
    STATE(18445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789675] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25858), 1,
      anon_sym_RPAREN,
    ACTIONS(25860), 1,
      anon_sym_LT_DASH,
    STATE(18446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789692] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25862), 1,
      anon_sym_DOT,
    STATE(18447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789709] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(19992), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [789724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25864), 2,
      anon_sym_to,
      anon_sym_downto,
  [789739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19456), 1,
      anon_sym_RBRACE,
    ACTIONS(25866), 1,
      anon_sym_SEMI,
    STATE(18450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25868), 1,
      anon_sym_RPAREN,
    ACTIONS(25870), 1,
      anon_sym_LT_DASH,
    STATE(18451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25872), 1,
      anon_sym_DOT,
    STATE(18452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25874), 2,
      anon_sym_to,
      anon_sym_downto,
  [789805] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25876), 1,
      anon_sym_RPAREN,
    ACTIONS(25878), 1,
      anon_sym_LT_DASH,
    STATE(18454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789822] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25880), 1,
      sym__lowercase_identifier,
    STATE(18455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789839] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18456), 1,
      sym_attribute,
    STATE(20023), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789856] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25882), 1,
      anon_sym_EQ,
    ACTIONS(25884), 1,
      anon_sym_RPAREN,
    STATE(18457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789873] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19544), 1,
      anon_sym_RBRACE,
    ACTIONS(25886), 1,
      anon_sym_SEMI,
    STATE(18458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789890] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25888), 1,
      sym__lowercase_identifier,
    STATE(18459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25890), 1,
      anon_sym_RPAREN,
    ACTIONS(25892), 1,
      anon_sym_LT_DASH,
    STATE(18460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18461), 1,
      sym_attribute,
    STATE(20096), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25894), 1,
      anon_sym_RPAREN,
    STATE(18462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25896), 1,
      anon_sym_RPAREN,
    ACTIONS(25898), 1,
      anon_sym_LT_DASH,
    STATE(18463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [789975] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25900), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [789990] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25902), 1,
      anon_sym_SEMI,
    ACTIONS(25904), 1,
      anon_sym_RBRACE,
    STATE(18465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_RBRACK,
    ACTIONS(25906), 1,
      anon_sym_SEMI,
    STATE(18466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25904), 1,
      anon_sym_RPAREN,
    ACTIONS(25908), 1,
      anon_sym_SEMI,
    STATE(18467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24692), 1,
      anon_sym_EQ,
    ACTIONS(25910), 1,
      anon_sym_COLON_GT,
    STATE(18468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25912), 1,
      anon_sym_SEMI,
    ACTIONS(25914), 1,
      anon_sym_RBRACE,
    STATE(18469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25916), 1,
      anon_sym_RPAREN,
    ACTIONS(25918), 1,
      anon_sym_LT_DASH,
    STATE(18470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25920), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [790107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(25922), 1,
      anon_sym_DASH_GT,
    STATE(18472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790124] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12623), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [790139] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25924), 2,
      anon_sym_to,
      anon_sym_downto,
  [790154] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25926), 1,
      anon_sym_SEMI,
    ACTIONS(25928), 1,
      anon_sym_RBRACE,
    STATE(18475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_do,
    STATE(11856), 1,
      sym_do_clause,
    STATE(18476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25930), 1,
      anon_sym_RPAREN,
    ACTIONS(25932), 1,
      anon_sym_LT_DASH,
    STATE(18477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(25934), 1,
      anon_sym_DASH_GT,
    STATE(18478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25936), 2,
      anon_sym_to,
      anon_sym_downto,
  [790237] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25750), 1,
      anon_sym_do,
    STATE(11940), 1,
      sym_do_clause,
    STATE(18480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790254] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25938), 1,
      anon_sym_EQ,
    ACTIONS(25940), 1,
      anon_sym_RPAREN,
    STATE(18481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790271] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25942), 1,
      anon_sym_COLON_GT,
    ACTIONS(25944), 1,
      anon_sym_RPAREN,
    STATE(18482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18483), 1,
      sym_attribute,
    STATE(21381), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790305] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25946), 2,
      anon_sym_RBRACK,
      aux_sym_tag_token1,
  [790320] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_then,
    STATE(11496), 1,
      sym_then_clause,
    STATE(18485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790337] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25950), 1,
      sym__lowercase_identifier,
    STATE(18486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25952), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790369] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_then,
    STATE(13567), 1,
      sym_then_clause,
    STATE(18488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790386] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11162), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790403] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(25954), 1,
      anon_sym_RPAREN,
    STATE(18490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790420] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    STATE(15902), 1,
      sym__simple_value_pattern,
    STATE(18491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25956), 1,
      sym__lowercase_identifier,
    STATE(18492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25958), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25960), 1,
      sym__lowercase_identifier,
    ACTIONS(25962), 1,
      anon_sym_LBRACK,
    STATE(18494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790486] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_then,
    STATE(9520), 1,
      sym_then_clause,
    STATE(18495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790503] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_then,
    STATE(9423), 1,
      sym_then_clause,
    STATE(18496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790520] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_then,
    STATE(9280), 1,
      sym_then_clause,
    STATE(18497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790537] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9275), 1,
      sym_then_clause,
    STATE(18498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790554] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(13914), 1,
      sym_then_clause,
    STATE(18499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25964), 1,
      anon_sym_RPAREN,
    ACTIONS(25966), 1,
      anon_sym_LT_DASH,
    STATE(18500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790588] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_then,
    STATE(10627), 1,
      sym_then_clause,
    STATE(18501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_do,
    STATE(9322), 1,
      sym_do_clause,
    STATE(18502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9937), 1,
      anon_sym_COLON_GT,
    ACTIONS(9939), 1,
      anon_sym_EQ,
    STATE(18503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18504), 1,
      sym_attribute,
    STATE(21240), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(25970), 1,
      sym__lowercase_identifier,
    STATE(18505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790673] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25972), 1,
      anon_sym_RPAREN,
    ACTIONS(25974), 1,
      anon_sym_LT_DASH,
    STATE(18506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790690] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25976), 1,
      sym__lowercase_identifier,
    ACTIONS(25978), 1,
      anon_sym_LPAREN,
    STATE(18507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790707] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(25980), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25982), 1,
      anon_sym_COLON_GT,
    ACTIONS(25984), 1,
      anon_sym_RPAREN,
    STATE(18509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19209), 1,
      sym__lowercase_identifier,
    STATE(18510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25362), 1,
      anon_sym_then,
    STATE(9769), 1,
      sym_then_clause,
    STATE(18511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(25986), 1,
      sym__lowercase_identifier,
    STATE(18512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790790] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25988), 1,
      anon_sym_DOT,
    STATE(18513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25990), 1,
      anon_sym_RPAREN,
    ACTIONS(25992), 1,
      anon_sym_LT_DASH,
    STATE(18514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(25994), 1,
      anon_sym_DOT,
    STATE(18515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19328), 1,
      sym__lowercase_identifier,
    STATE(18516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25996), 1,
      anon_sym_COLON_GT,
    ACTIONS(25998), 1,
      anon_sym_RPAREN,
    STATE(18517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790875] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26000), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [790890] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9249), 1,
      sym_then_clause,
    STATE(18519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790907] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11140), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790924] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26002), 1,
      anon_sym_DOT,
    STATE(18521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26004), 1,
      sym__lowercase_identifier,
    ACTIONS(26006), 1,
      anon_sym_LPAREN,
    STATE(18522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_then,
    STATE(11519), 1,
      sym_then_clause,
    STATE(18523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_then,
    STATE(13885), 1,
      sym_then_clause,
    STATE(18524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [790992] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_do,
    STATE(9382), 1,
      sym_do_clause,
    STATE(18525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791009] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_then,
    STATE(9752), 1,
      sym_then_clause,
    STATE(18526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791026] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26008), 1,
      sym__lowercase_identifier,
    STATE(18527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791043] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18528), 1,
      sym_attribute,
    STATE(20448), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791060] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26010), 1,
      anon_sym_DASH_GT,
    STATE(18529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791077] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9866), 1,
      anon_sym_COLON_GT,
    ACTIONS(9868), 1,
      anon_sym_EQ,
    STATE(18530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26012), 2,
      anon_sym_to,
      anon_sym_downto,
  [791109] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_then,
    STATE(13354), 1,
      sym_then_clause,
    STATE(18532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791126] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26014), 1,
      anon_sym_DOT,
    STATE(18533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791143] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26016), 1,
      anon_sym_COLON_GT,
    ACTIONS(26018), 1,
      anon_sym_RPAREN,
    STATE(18534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26020), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_then,
    STATE(13466), 1,
      sym_then_clause,
    STATE(18536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26022), 1,
      sym__lowercase_identifier,
    STATE(18537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791209] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26024), 1,
      anon_sym_COLON_GT,
    ACTIONS(26026), 1,
      anon_sym_RPAREN,
    STATE(18538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26028), 2,
      anon_sym_to,
      anon_sym_downto,
  [791241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26030), 1,
      sym__lowercase_identifier,
    ACTIONS(26032), 1,
      anon_sym_LPAREN,
    STATE(18540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791258] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26034), 1,
      sym__lowercase_identifier,
    STATE(18541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26036), 1,
      anon_sym_DASH_GT,
    STATE(18542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11278), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26038), 1,
      aux_sym_type_variable_token1,
    STATE(14344), 1,
      sym_type_variable,
    STATE(18544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791326] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18545), 1,
      sym_attribute,
    STATE(19569), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26040), 1,
      anon_sym_COLON2,
    STATE(14559), 1,
      sym__typed,
    STATE(18546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26042), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_then,
    STATE(12445), 1,
      sym_then_clause,
    STATE(18548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18549), 1,
      sym_attribute,
    STATE(20132), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791409] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26046), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [791424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26048), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [791439] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24566), 1,
      anon_sym_EQ,
    ACTIONS(26050), 1,
      anon_sym_COLON_GT,
    STATE(18552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791456] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_RPAREN,
    ACTIONS(26054), 1,
      anon_sym_SEMI,
    STATE(18553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791473] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_RBRACK,
    ACTIONS(26056), 1,
      anon_sym_SEMI,
    STATE(18554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26052), 1,
      anon_sym_RBRACE,
    ACTIONS(26058), 1,
      anon_sym_SEMI,
    STATE(18555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26060), 1,
      anon_sym_RPAREN,
    ACTIONS(26062), 1,
      anon_sym_LT_DASH,
    STATE(18556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25620), 1,
      anon_sym_LPAREN,
    ACTIONS(26064), 1,
      sym__lowercase_identifier,
    STATE(18557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791541] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(23326), 1,
      sym__lowercase_identifier,
    STATE(18558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791558] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25304), 1,
      anon_sym_LPAREN,
    ACTIONS(26066), 1,
      sym__lowercase_identifier,
    STATE(18559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791575] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26068), 1,
      anon_sym_RPAREN,
    ACTIONS(26070), 1,
      anon_sym_LT_DASH,
    STATE(18560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791592] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_then,
    STATE(9501), 1,
      sym_then_clause,
    STATE(18561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791609] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19866), 1,
      anon_sym_RBRACE,
    ACTIONS(26072), 1,
      anon_sym_SEMI,
    STATE(18562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791626] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_then,
    STATE(12351), 1,
      sym_then_clause,
    STATE(18563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791643] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26074), 1,
      anon_sym_RPAREN,
    ACTIONS(26076), 1,
      anon_sym_LT_DASH,
    STATE(18564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791660] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26078), 1,
      sym__lowercase_identifier,
    ACTIONS(26080), 1,
      anon_sym_LPAREN,
    STATE(18565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791677] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26082), 1,
      anon_sym_DOT,
    STATE(18566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791694] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26084), 1,
      anon_sym_RPAREN,
    ACTIONS(26086), 1,
      anon_sym_LT_DASH,
    STATE(18567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791711] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26088), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791726] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_COLON2,
    STATE(14555), 1,
      sym__polymorphic_typed,
    STATE(18569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791743] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18570), 1,
      sym_attribute,
    STATE(19498), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791760] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26092), 1,
      anon_sym_RPAREN,
    ACTIONS(26094), 1,
      anon_sym_LT_DASH,
    STATE(18571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791777] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(26096), 1,
      anon_sym_DASH_GT,
    STATE(18572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791794] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    ACTIONS(26098), 1,
      anon_sym_RPAREN,
    STATE(18573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791811] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26100), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791826] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26102), 1,
      sym__lowercase_identifier,
    STATE(18575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791843] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26104), 1,
      anon_sym_RPAREN,
    ACTIONS(26106), 1,
      anon_sym_LT_DASH,
    STATE(18576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791860] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26108), 1,
      sym__lowercase_identifier,
    STATE(18577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791877] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_then,
    STATE(12417), 1,
      sym_then_clause,
    STATE(18578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26110), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [791909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18580), 1,
      sym_attribute,
    STATE(19738), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18581), 1,
      sym_attribute,
    STATE(19673), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18582), 1,
      sym_attribute,
    STATE(19683), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18583), 1,
      sym_attribute,
    STATE(19651), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26112), 1,
      anon_sym_COLON_GT,
    ACTIONS(26114), 1,
      anon_sym_RPAREN,
    STATE(18584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [791994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18585), 1,
      sym_attribute,
    STATE(19626), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18586), 1,
      sym_attribute,
    STATE(19618), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_then,
    STATE(13469), 1,
      sym_then_clause,
    STATE(18587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18588), 1,
      sym_attribute,
    STATE(19455), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26116), 1,
      sym__lowercase_identifier,
    STATE(18589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18590), 1,
      sym_attribute,
    STATE(19543), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18591), 1,
      sym_attribute,
    STATE(19531), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18592), 1,
      sym_attribute,
    STATE(19519), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18593), 1,
      sym_attribute,
    STATE(19509), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18594), 1,
      sym_attribute,
    STATE(19459), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26118), 1,
      sym__lowercase_identifier,
    STATE(18595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18596), 1,
      sym_attribute,
    STATE(19346), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18597), 1,
      sym_attribute,
    STATE(19446), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18598), 1,
      sym_attribute,
    STATE(19428), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26120), 1,
      anon_sym_RPAREN,
    ACTIONS(26122), 1,
      anon_sym_LT_DASH,
    STATE(18599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18600), 1,
      sym_attribute,
    STATE(19384), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792266] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_then,
    STATE(13731), 1,
      sym_then_clause,
    STATE(18601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792283] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26126), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [792298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18603), 1,
      sym_attribute,
    STATE(19369), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25668), 1,
      anon_sym_LPAREN,
    ACTIONS(26128), 1,
      sym__lowercase_identifier,
    STATE(18604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_then,
    STATE(11585), 1,
      sym_then_clause,
    STATE(18605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26130), 1,
      sym__lowercase_identifier,
    ACTIONS(26132), 1,
      anon_sym_LPAREN,
    STATE(18606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18607), 1,
      sym_attribute,
    STATE(19327), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26134), 1,
      sym__lowercase_identifier,
    ACTIONS(26136), 1,
      anon_sym_LPAREN,
    STATE(18608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26044), 1,
      anon_sym_then,
    STATE(12366), 1,
      sym_then_clause,
    STATE(18609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18610), 1,
      sym_attribute,
    STATE(19329), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26138), 1,
      anon_sym_RPAREN,
    ACTIONS(26140), 1,
      anon_sym_LT_DASH,
    STATE(18611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18612), 1,
      sym_attribute,
    STATE(19309), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26142), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [792483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26144), 1,
      anon_sym_RPAREN,
    ACTIONS(26146), 1,
      anon_sym_LT_DASH,
    STATE(18614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792500] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19243), 1,
      sym__lowercase_identifier,
    STATE(18615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792517] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18616), 1,
      sym_attribute,
    STATE(19312), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792534] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26148), 1,
      anon_sym_COLON_GT,
    ACTIONS(26150), 1,
      anon_sym_RPAREN,
    STATE(18617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792551] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26152), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [792566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18619), 1,
      sym_attribute,
    STATE(19315), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18620), 1,
      sym_attribute,
    STATE(19324), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26154), 1,
      anon_sym_SEMI,
    ACTIONS(26156), 1,
      anon_sym_RBRACE,
    STATE(18621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26158), 1,
      anon_sym_DASH_GT,
    STATE(18622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792634] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_RBRACK,
    ACTIONS(26160), 1,
      anon_sym_SEMI,
    STATE(18623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26156), 1,
      anon_sym_RPAREN,
    ACTIONS(26162), 1,
      anon_sym_SEMI,
    STATE(18624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18625), 1,
      sym_attribute,
    STATE(19347), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792685] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12627), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [792700] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_then,
    STATE(13335), 1,
      sym_then_clause,
    STATE(18627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26164), 1,
      anon_sym_SEMI,
    ACTIONS(26166), 1,
      anon_sym_RBRACE,
    STATE(18628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_RBRACK,
    ACTIONS(26168), 1,
      anon_sym_SEMI,
    STATE(18629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792751] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26166), 1,
      anon_sym_RPAREN,
    ACTIONS(26170), 1,
      anon_sym_SEMI,
    STATE(18630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792768] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26172), 1,
      anon_sym_DOT,
    STATE(18631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792785] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18632), 1,
      sym_attribute,
    STATE(19388), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792802] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26174), 1,
      anon_sym_SEMI,
    ACTIONS(26176), 1,
      anon_sym_RBRACE,
    STATE(18633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792819] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26176), 1,
      anon_sym_RBRACK,
    ACTIONS(26178), 1,
      anon_sym_SEMI,
    STATE(18634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792836] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26090), 1,
      anon_sym_COLON2,
    STATE(14550), 1,
      sym__polymorphic_typed,
    STATE(18635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792853] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26176), 1,
      anon_sym_RPAREN,
    ACTIONS(26180), 1,
      anon_sym_SEMI,
    STATE(18636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792870] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_then,
    STATE(9658), 1,
      sym_then_clause,
    STATE(18637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792887] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18638), 1,
      sym_attribute,
    STATE(19430), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792904] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26080), 1,
      anon_sym_LPAREN,
    ACTIONS(26182), 1,
      sym__lowercase_identifier,
    STATE(18639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792921] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26184), 1,
      anon_sym_EQ,
    ACTIONS(26186), 1,
      anon_sym_RPAREN,
    STATE(18640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792938] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26188), 1,
      anon_sym_SEMI,
    ACTIONS(26190), 1,
      anon_sym_RBRACE,
    STATE(18641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26190), 1,
      anon_sym_RBRACK,
    ACTIONS(26192), 1,
      anon_sym_SEMI,
    STATE(18642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26190), 1,
      anon_sym_RPAREN,
    ACTIONS(26194), 1,
      anon_sym_SEMI,
    STATE(18643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [792989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26040), 1,
      anon_sym_COLON2,
    STATE(14545), 1,
      sym__typed,
    STATE(18644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793006] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18645), 1,
      sym_attribute,
    STATE(19460), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793023] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18646), 1,
      sym_attribute,
    STATE(22265), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793040] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19972), 1,
      anon_sym_RBRACE,
    ACTIONS(26196), 1,
      anon_sym_SEMI,
    STATE(18647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793057] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26198), 1,
      sym__lowercase_identifier,
    STATE(18648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793074] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26200), 1,
      sym__lowercase_identifier,
    ACTIONS(26202), 1,
      anon_sym_LPAREN,
    STATE(18649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26204), 1,
      anon_sym_SEMI,
    ACTIONS(26206), 1,
      anon_sym_RBRACE,
    STATE(18650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26208), 1,
      anon_sym_COLON_GT,
    ACTIONS(26210), 1,
      anon_sym_RPAREN,
    STATE(18651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793125] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19175), 1,
      sym__lowercase_identifier,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    STATE(18652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793142] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26212), 1,
      anon_sym_DOT,
    STATE(18653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793159] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26206), 1,
      anon_sym_RBRACK,
    ACTIONS(26214), 1,
      anon_sym_SEMI,
    STATE(18654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793176] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26206), 1,
      anon_sym_RPAREN,
    ACTIONS(26216), 1,
      anon_sym_SEMI,
    STATE(18655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793193] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25948), 1,
      anon_sym_then,
    STATE(11475), 1,
      sym_then_clause,
    STATE(18656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793210] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18657), 1,
      sym_attribute,
    STATE(19479), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793227] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26218), 1,
      anon_sym_SEMI,
    ACTIONS(26220), 1,
      anon_sym_RBRACE,
    STATE(18658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793244] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_RBRACK,
    ACTIONS(26222), 1,
      anon_sym_SEMI,
    STATE(18659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793261] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18660), 1,
      sym_attribute,
    STATE(19361), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793278] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26224), 1,
      sym__lowercase_identifier,
    STATE(18661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793295] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26220), 1,
      anon_sym_RPAREN,
    ACTIONS(26226), 1,
      anon_sym_SEMI,
    STATE(18662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793312] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18663), 1,
      sym_attribute,
    STATE(19522), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793329] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26228), 1,
      anon_sym_SEMI,
    ACTIONS(26230), 1,
      anon_sym_RBRACE,
    STATE(18664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26232), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [793361] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_RPAREN,
    ACTIONS(26236), 1,
      anon_sym_SEMI,
    STATE(18666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793378] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_RBRACK,
    ACTIONS(26238), 1,
      anon_sym_SEMI,
    STATE(18667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793395] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26234), 1,
      anon_sym_RBRACE,
    ACTIONS(26240), 1,
      anon_sym_SEMI,
    STATE(18668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793412] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RBRACK,
    ACTIONS(26242), 1,
      anon_sym_SEMI,
    STATE(18669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793429] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26230), 1,
      anon_sym_RPAREN,
    ACTIONS(26244), 1,
      anon_sym_SEMI,
    STATE(18670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793446] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18671), 1,
      sym_attribute,
    STATE(19547), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793463] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_then,
    STATE(10642), 1,
      sym_then_clause,
    STATE(18672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793480] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26246), 1,
      anon_sym_SEMI,
    ACTIONS(26248), 1,
      anon_sym_RBRACE,
    STATE(18673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793497] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26248), 1,
      anon_sym_RBRACK,
    ACTIONS(26250), 1,
      anon_sym_SEMI,
    STATE(18674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793514] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26248), 1,
      anon_sym_RPAREN,
    ACTIONS(26252), 1,
      anon_sym_SEMI,
    STATE(18675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793531] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(13549), 1,
      sym_then_clause,
    STATE(18676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18677), 1,
      sym_attribute,
    STATE(19579), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26254), 1,
      anon_sym_RPAREN,
    ACTIONS(26256), 1,
      anon_sym_LT_DASH,
    STATE(18678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26258), 1,
      anon_sym_DOT,
    STATE(18679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26260), 1,
      anon_sym_COLON_GT,
    ACTIONS(26262), 1,
      anon_sym_RPAREN,
    STATE(18680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793616] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18681), 1,
      sym_attribute,
    STATE(19482), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793633] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26264), 1,
      anon_sym_SEMI,
    ACTIONS(26266), 1,
      anon_sym_RBRACE,
    STATE(18682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793650] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_RBRACK,
    ACTIONS(26268), 1,
      anon_sym_SEMI,
    STATE(18683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793667] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26266), 1,
      anon_sym_RPAREN,
    ACTIONS(26270), 1,
      anon_sym_SEMI,
    STATE(18684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793684] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18685), 1,
      sym_attribute,
    STATE(19607), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793701] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_then,
    STATE(13365), 1,
      sym_then_clause,
    STATE(18686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793718] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11391), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793735] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26272), 1,
      anon_sym_SEMI,
    ACTIONS(26274), 1,
      anon_sym_RBRACE,
    STATE(18688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793752] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_RBRACK,
    ACTIONS(26276), 1,
      anon_sym_SEMI,
    STATE(18689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793769] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26274), 1,
      anon_sym_RPAREN,
    ACTIONS(26278), 1,
      anon_sym_SEMI,
    STATE(18690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793786] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18691), 1,
      sym_attribute,
    STATE(19641), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793803] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26280), 1,
      sym__lowercase_identifier,
    STATE(18692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793820] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26282), 1,
      anon_sym_SEMI,
    ACTIONS(26284), 1,
      anon_sym_RBRACE,
    STATE(18693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_RBRACK,
    ACTIONS(26286), 1,
      anon_sym_SEMI,
    STATE(18694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26284), 1,
      anon_sym_RPAREN,
    ACTIONS(26288), 1,
      anon_sym_SEMI,
    STATE(18695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18696), 1,
      sym_attribute,
    STATE(19676), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793888] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26290), 1,
      anon_sym_SEMI,
    ACTIONS(26292), 1,
      anon_sym_RBRACE,
    STATE(18697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_RBRACK,
    ACTIONS(26294), 1,
      anon_sym_SEMI,
    STATE(18698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26292), 1,
      anon_sym_RPAREN,
    ACTIONS(26296), 1,
      anon_sym_SEMI,
    STATE(18699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    STATE(10262), 1,
      sym_extended_module_path,
    STATE(18700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18701), 1,
      sym_attribute,
    STATE(19702), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [793973] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26298), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [793988] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12815), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [794003] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26300), 1,
      anon_sym_SEMI,
    ACTIONS(26302), 1,
      anon_sym_RBRACE,
    STATE(18704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794020] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_RBRACK,
    ACTIONS(26304), 1,
      anon_sym_SEMI,
    STATE(18705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794037] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26302), 1,
      anon_sym_RPAREN,
    ACTIONS(26306), 1,
      anon_sym_SEMI,
    STATE(18706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794054] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18707), 1,
      sym_attribute,
    STATE(19753), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794071] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26308), 1,
      anon_sym_SEMI,
    ACTIONS(26310), 1,
      anon_sym_RBRACE,
    STATE(18708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794088] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11380), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794105] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26312), 1,
      anon_sym_RPAREN,
    ACTIONS(26314), 1,
      anon_sym_LT_DASH,
    STATE(18710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(15483), 2,
      anon_sym_and,
      anon_sym_in,
  [794137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26316), 1,
      sym__lowercase_identifier,
    STATE(18712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794154] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26318), 1,
      anon_sym_SEMI,
    ACTIONS(26320), 1,
      anon_sym_RBRACE,
    STATE(18713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_RBRACK,
    ACTIONS(26322), 1,
      anon_sym_SEMI,
    STATE(18714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26320), 1,
      anon_sym_RPAREN,
    ACTIONS(26324), 1,
      anon_sym_SEMI,
    STATE(18715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18716), 1,
      sym_attribute,
    STATE(19809), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794222] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22958), 1,
      anon_sym_EQ,
    ACTIONS(26326), 1,
      anon_sym_COLON_GT,
    STATE(18717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26328), 1,
      anon_sym_RPAREN,
    ACTIONS(26330), 1,
      anon_sym_LT_DASH,
    STATE(18718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794256] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RPAREN,
    ACTIONS(26334), 1,
      anon_sym_SEMI,
    STATE(18719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RBRACK,
    ACTIONS(26336), 1,
      anon_sym_SEMI,
    STATE(18720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26332), 1,
      anon_sym_RBRACE,
    ACTIONS(26338), 1,
      anon_sym_SEMI,
    STATE(18721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26340), 1,
      anon_sym_DASH_GT,
    STATE(18722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_then,
    STATE(9338), 1,
      sym_then_clause,
    STATE(18723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26342), 1,
      anon_sym_SEMI,
    ACTIONS(26344), 1,
      anon_sym_RBRACE,
    STATE(18724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794358] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_RBRACK,
    ACTIONS(26346), 1,
      anon_sym_SEMI,
    STATE(18725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794375] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26348), 1,
      anon_sym_DOT,
    STATE(18726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794392] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26344), 1,
      anon_sym_RPAREN,
    ACTIONS(26350), 1,
      anon_sym_SEMI,
    STATE(18727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794409] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26352), 1,
      anon_sym_EQ,
    ACTIONS(26354), 1,
      anon_sym_RPAREN,
    STATE(18728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794426] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26356), 1,
      anon_sym_RPAREN,
    ACTIONS(26358), 1,
      anon_sym_LT_DASH,
    STATE(18729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794443] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18730), 1,
      sym_attribute,
    STATE(19896), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794460] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26360), 1,
      anon_sym_RPAREN,
    ACTIONS(26362), 1,
      anon_sym_LT_DASH,
    STATE(18731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794477] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26364), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794492] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26366), 1,
      sym__lowercase_identifier,
    STATE(18733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794509] = 4,
    ACTIONS(3), 1,
      aux_sym_attribute_token1,
    STATE(18734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(12785), 2,
      anon_sym_in,
      anon_sym_LBRACK_AT_AT,
  [794524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26368), 1,
      anon_sym_COLON_GT,
    ACTIONS(26370), 1,
      anon_sym_RPAREN,
    STATE(18735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794541] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26372), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26374), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794571] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26376), 1,
      anon_sym_DOT,
    STATE(18738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794588] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26132), 1,
      anon_sym_LPAREN,
    ACTIONS(26378), 1,
      sym__lowercase_identifier,
    STATE(18739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794605] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26380), 1,
      anon_sym_SEMI,
    ACTIONS(26382), 1,
      anon_sym_RBRACE,
    STATE(18740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_RBRACK,
    ACTIONS(26384), 1,
      anon_sym_SEMI,
    STATE(18741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26382), 1,
      anon_sym_RPAREN,
    ACTIONS(26386), 1,
      anon_sym_SEMI,
    STATE(18742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_then,
    STATE(9361), 1,
      sym_then_clause,
    STATE(18743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794673] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18744), 1,
      sym_attribute,
    STATE(20016), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794690] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26388), 1,
      anon_sym_SEMI,
    ACTIONS(26390), 1,
      anon_sym_RBRACE,
    STATE(18745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794707] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_do,
    STATE(9376), 1,
      sym_do_clause,
    STATE(18746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794724] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26392), 1,
      anon_sym_RPAREN,
    ACTIONS(26394), 1,
      anon_sym_LT_DASH,
    STATE(18747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794741] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26396), 1,
      anon_sym_RPAREN,
    ACTIONS(26398), 1,
      anon_sym_LT_DASH,
    STATE(18748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794758] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26400), 1,
      anon_sym_DASH_GT,
    STATE(18749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794775] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25314), 1,
      anon_sym_do,
    STATE(9141), 1,
      sym_do_clause,
    STATE(18750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26402), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26404), 1,
      anon_sym_SEMI,
    ACTIONS(26406), 1,
      anon_sym_RBRACE,
    STATE(18752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RBRACK,
    ACTIONS(26408), 1,
      anon_sym_SEMI,
    STATE(18753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25258), 1,
      anon_sym_then,
    STATE(11621), 1,
      sym_then_clause,
    STATE(18754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26406), 1,
      anon_sym_RPAREN,
    ACTIONS(26410), 1,
      anon_sym_SEMI,
    STATE(18755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25968), 1,
      anon_sym_do,
    STATE(9391), 1,
      sym_do_clause,
    STATE(18756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18757), 1,
      sym_attribute,
    STATE(20167), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26412), 1,
      anon_sym_COLON_GT,
    ACTIONS(26414), 1,
      anon_sym_RPAREN,
    STATE(18758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26416), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [794941] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26418), 1,
      anon_sym_EQ,
    ACTIONS(26420), 1,
      anon_sym_RPAREN,
    STATE(18760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794958] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_then,
    STATE(13367), 1,
      sym_then_clause,
    STATE(18761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794975] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26422), 1,
      sym__lowercase_identifier,
    STATE(18762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [794992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26424), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795007] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26426), 1,
      anon_sym_SEMI,
    ACTIONS(26428), 1,
      anon_sym_RBRACE,
    STATE(18764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795024] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18765), 1,
      sym_attribute,
    STATE(19844), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795041] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RBRACK,
    ACTIONS(26430), 1,
      anon_sym_SEMI,
    STATE(18766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795058] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26428), 1,
      anon_sym_RPAREN,
    ACTIONS(26432), 1,
      anon_sym_SEMI,
    STATE(18767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795075] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26434), 1,
      sym__lowercase_identifier,
    STATE(18768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795092] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18769), 1,
      sym_attribute,
    STATE(20302), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795109] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26436), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [795124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_RPAREN,
    ACTIONS(26440), 1,
      anon_sym_SEMI,
    STATE(18771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_RBRACK,
    ACTIONS(26442), 1,
      anon_sym_SEMI,
    STATE(18772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26438), 1,
      anon_sym_RBRACE,
    ACTIONS(26444), 1,
      anon_sym_SEMI,
    STATE(18773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795175] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26446), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795190] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26448), 1,
      anon_sym_RPAREN,
    ACTIONS(26450), 1,
      anon_sym_LT_DASH,
    STATE(18775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795207] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26452), 1,
      anon_sym_SEMI,
    ACTIONS(26454), 1,
      anon_sym_RBRACE,
    STATE(18776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_RBRACK,
    ACTIONS(26456), 1,
      anon_sym_SEMI,
    STATE(18777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26454), 1,
      anon_sym_RPAREN,
    ACTIONS(26458), 1,
      anon_sym_SEMI,
    STATE(18778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795273] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22497), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [795288] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18781), 1,
      sym_attribute,
    STATE(20443), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795305] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26462), 1,
      anon_sym_RPAREN,
    ACTIONS(26464), 1,
      anon_sym_LT_DASH,
    STATE(18782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795322] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_then,
    STATE(13869), 1,
      sym_then_clause,
    STATE(18783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795339] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26466), 1,
      anon_sym_DOT,
    STATE(18784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795356] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26468), 1,
      anon_sym_RPAREN,
    ACTIONS(26470), 1,
      anon_sym_LT_DASH,
    STATE(18785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18786), 1,
      sym_attribute,
    STATE(20028), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26472), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795405] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_then,
    STATE(13969), 1,
      sym_then_clause,
    STATE(18788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26474), 2,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
  [795437] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26476), 1,
      sym__lowercase_identifier,
    ACTIONS(26478), 1,
      anon_sym_LPAREN,
    STATE(18790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26480), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795469] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26482), 1,
      anon_sym_SEMI,
    ACTIONS(26484), 1,
      anon_sym_RBRACE,
    STATE(18792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795486] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26484), 1,
      anon_sym_RBRACK,
    ACTIONS(26486), 1,
      anon_sym_SEMI,
    STATE(18793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795503] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26488), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [795518] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26484), 1,
      anon_sym_RPAREN,
    ACTIONS(26490), 1,
      anon_sym_SEMI,
    STATE(18795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795535] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18796), 1,
      sym_attribute,
    STATE(20570), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795552] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26492), 1,
      anon_sym_COLON_GT,
    ACTIONS(26494), 1,
      anon_sym_RPAREN,
    STATE(18797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795569] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26496), 1,
      sym__lowercase_identifier,
    STATE(18798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795586] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26498), 1,
      anon_sym_DOT,
    STATE(18799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795603] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26500), 1,
      anon_sym_SEMI,
    ACTIONS(26502), 1,
      anon_sym_RBRACE,
    STATE(18800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795620] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26502), 1,
      anon_sym_RBRACK,
    ACTIONS(26504), 1,
      anon_sym_SEMI,
    STATE(18801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795637] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26502), 1,
      anon_sym_RPAREN,
    ACTIONS(26506), 1,
      anon_sym_SEMI,
    STATE(18802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795654] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26508), 1,
      sym__lowercase_identifier,
    ACTIONS(26510), 1,
      anon_sym_LPAREN,
    STATE(18803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795671] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26512), 1,
      anon_sym_COLON_GT,
    ACTIONS(26514), 1,
      anon_sym_RPAREN,
    STATE(18804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795688] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11378), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26516), 1,
      anon_sym_COLON_GT,
    ACTIONS(26518), 1,
      anon_sym_RPAREN,
    STATE(18806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19360), 1,
      sym__lowercase_identifier,
    STATE(18807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18808), 1,
      sym_attribute,
    STATE(20723), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26520), 1,
      anon_sym_DOT,
    STATE(18809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795773] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25430), 1,
      anon_sym_then,
    STATE(10676), 1,
      sym_then_clause,
    STATE(18810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795790] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26522), 1,
      sym__lowercase_identifier,
    STATE(18811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795807] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    STATE(18812), 1,
      sym_attribute,
    STATE(19798), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795824] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(13899), 1,
      sym_then_clause,
    STATE(18813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795841] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25690), 1,
      anon_sym_then,
    STATE(13299), 1,
      sym_then_clause,
    STATE(18814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795858] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26524), 1,
      sym__lowercase_identifier,
    STATE(18815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795875] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26526), 1,
      anon_sym_RPAREN,
    ACTIONS(26528), 1,
      anon_sym_LT_DASH,
    STATE(18816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795892] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26530), 1,
      sym__lowercase_identifier,
    STATE(18817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795909] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26532), 1,
      anon_sym_SEMI,
    ACTIONS(26534), 1,
      anon_sym_RBRACE,
    STATE(18818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795926] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_RBRACK,
    ACTIONS(26536), 1,
      anon_sym_SEMI,
    STATE(18819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795943] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26534), 1,
      anon_sym_RPAREN,
    ACTIONS(26538), 1,
      anon_sym_SEMI,
    STATE(18820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795960] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26540), 1,
      anon_sym_DOT,
    STATE(18821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795977] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18822), 1,
      sym_attribute,
    STATE(20872), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [795994] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11144), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796011] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26542), 1,
      anon_sym_RPAREN,
    ACTIONS(26544), 1,
      anon_sym_LT_DASH,
    STATE(18824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796028] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26546), 1,
      sym__lowercase_identifier,
    STATE(18825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796045] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26548), 1,
      anon_sym_DASH_GT,
    STATE(18826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796062] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26550), 1,
      anon_sym_RPAREN,
    ACTIONS(26552), 1,
      anon_sym_LT_DASH,
    STATE(18827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796079] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26554), 1,
      anon_sym_SEMI,
    ACTIONS(26556), 1,
      anon_sym_RBRACE,
    STATE(18828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796096] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_RBRACK,
    ACTIONS(26558), 1,
      anon_sym_SEMI,
    STATE(18829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796113] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26556), 1,
      anon_sym_RPAREN,
    ACTIONS(26560), 1,
      anon_sym_SEMI,
    STATE(18830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796130] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11150), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796147] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26562), 1,
      sym__lowercase_identifier,
    STATE(18832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796164] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26564), 1,
      sym__lowercase_identifier,
    STATE(18833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796181] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18834), 1,
      sym_attribute,
    STATE(21047), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796198] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25594), 1,
      anon_sym_then,
    STATE(13539), 1,
      sym_then_clause,
    STATE(18835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26566), 1,
      anon_sym_DOT,
    STATE(18836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26568), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796247] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19366), 1,
      sym__lowercase_identifier,
    STATE(18838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796264] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26570), 1,
      anon_sym_RPAREN,
    ACTIONS(26572), 1,
      anon_sym_LT_DASH,
    STATE(18839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26574), 1,
      anon_sym_DOT,
    STATE(18840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26576), 1,
      anon_sym_COLON_GT,
    ACTIONS(26578), 1,
      anon_sym_RPAREN,
    STATE(18841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26580), 1,
      sym__lowercase_identifier,
    STATE(18842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26582), 1,
      anon_sym_SEMI,
    ACTIONS(26584), 1,
      anon_sym_RBRACE,
    STATE(18843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_RBRACK,
    ACTIONS(26586), 1,
      anon_sym_SEMI,
    STATE(18844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_then,
    STATE(9640), 1,
      sym_then_clause,
    STATE(18845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26584), 1,
      anon_sym_RPAREN,
    ACTIONS(26588), 1,
      anon_sym_SEMI,
    STATE(18846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18847), 1,
      sym_attribute,
    STATE(21140), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26590), 1,
      anon_sym_COLON_GT,
    ACTIONS(26592), 1,
      anon_sym_RPAREN,
    STATE(18848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796434] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26594), 1,
      anon_sym_open,
    STATE(18849), 1,
      sym_attribute,
    STATE(19653), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796451] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26596), 1,
      anon_sym_SEMI,
    ACTIONS(26598), 1,
      anon_sym_RBRACE,
    STATE(18850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796468] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      anon_sym_RBRACK,
    ACTIONS(26600), 1,
      anon_sym_SEMI,
    STATE(18851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26602), 1,
      anon_sym_RPAREN,
    ACTIONS(26604), 1,
      anon_sym_LT_DASH,
    STATE(18852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26598), 1,
      anon_sym_RPAREN,
    ACTIONS(26606), 1,
      anon_sym_SEMI,
    STATE(18853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19598), 1,
      anon_sym_RBRACE,
    ACTIONS(26608), 1,
      anon_sym_SEMI,
    STATE(18854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796536] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26610), 1,
      sym__lowercase_identifier,
    STATE(18855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18856), 1,
      sym_attribute,
    STATE(21243), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26612), 1,
      anon_sym_RPAREN,
    ACTIONS(26614), 1,
      anon_sym_LT_DASH,
    STATE(18857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26616), 1,
      anon_sym_RPAREN,
    ACTIONS(26618), 1,
      anon_sym_LT_DASH,
    STATE(18858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_then,
    STATE(11023), 1,
      sym_then_clause,
    STATE(18859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26620), 1,
      sym__lowercase_identifier,
    ACTIONS(26622), 1,
      anon_sym_LPAREN,
    STATE(18860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26624), 1,
      anon_sym_DASH_GT,
    STATE(18861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796655] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26626), 1,
      sym__lowercase_identifier,
    STATE(18862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796672] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26628), 1,
      anon_sym_RPAREN,
    ACTIONS(26630), 1,
      anon_sym_LT_DASH,
    STATE(18863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796689] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26632), 1,
      anon_sym_SEMI,
    ACTIONS(26634), 1,
      anon_sym_RBRACE,
    STATE(18864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796706] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      anon_sym_RBRACK,
    ACTIONS(26636), 1,
      anon_sym_SEMI,
    STATE(18865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796723] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26634), 1,
      anon_sym_RPAREN,
    ACTIONS(26638), 1,
      anon_sym_SEMI,
    STATE(18866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796740] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18867), 1,
      sym_attribute,
    STATE(20429), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796757] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26640), 1,
      anon_sym_EQ,
    ACTIONS(26642), 1,
      anon_sym_RPAREN,
    STATE(18868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796774] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19440), 1,
      anon_sym_RBRACE,
    ACTIONS(26644), 1,
      anon_sym_SEMI,
    STATE(18869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796791] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26646), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [796806] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18871), 1,
      sym_attribute,
    STATE(21360), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796823] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26648), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [796838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_RPAREN,
    ACTIONS(26652), 1,
      anon_sym_SEMI,
    STATE(18873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_RBRACK,
    ACTIONS(26654), 1,
      anon_sym_SEMI,
    STATE(18874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26650), 1,
      anon_sym_RBRACE,
    ACTIONS(26656), 1,
      anon_sym_SEMI,
    STATE(18875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26658), 1,
      anon_sym_DOT,
    STATE(18876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11036), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18878), 1,
      sym_attribute,
    STATE(21479), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796940] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26660), 1,
      anon_sym_RPAREN,
    ACTIONS(26662), 1,
      anon_sym_LT_DASH,
    STATE(18879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796957] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26664), 1,
      anon_sym_SEMI,
    ACTIONS(26666), 1,
      anon_sym_RBRACE,
    STATE(18880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796974] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_RBRACK,
    ACTIONS(26668), 1,
      anon_sym_SEMI,
    STATE(18881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [796991] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26666), 1,
      anon_sym_RPAREN,
    ACTIONS(26670), 1,
      anon_sym_SEMI,
    STATE(18882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797008] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26672), 1,
      anon_sym_SEMI,
    ACTIONS(26674), 1,
      anon_sym_RBRACE,
    STATE(18883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797025] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18884), 1,
      sym_attribute,
    STATE(21493), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797042] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11252), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797059] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26676), 1,
      anon_sym_DOT,
    STATE(18886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26678), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797091] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18888), 1,
      sym_attribute,
    STATE(20541), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797108] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26680), 1,
      anon_sym_DASH_GT,
    STATE(18889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797125] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26682), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26684), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797155] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26686), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797170] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18893), 1,
      sym_attribute,
    STATE(21612), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797187] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25322), 1,
      anon_sym_then,
    STATE(13316), 1,
      sym_then_clause,
    STATE(18894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797204] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26688), 1,
      anon_sym_SEMI,
    ACTIONS(26690), 1,
      anon_sym_RBRACE,
    STATE(18895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26690), 1,
      anon_sym_RBRACK,
    ACTIONS(26692), 1,
      anon_sym_SEMI,
    STATE(18896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797238] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26690), 1,
      anon_sym_RPAREN,
    ACTIONS(26694), 1,
      anon_sym_SEMI,
    STATE(18897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26696), 1,
      anon_sym_DOT,
    STATE(18898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18899), 1,
      sym_attribute,
    STATE(21629), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26698), 1,
      anon_sym_RPAREN,
    ACTIONS(26700), 1,
      anon_sym_LT_DASH,
    STATE(18900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797306] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26702), 1,
      anon_sym_COLON_GT,
    ACTIONS(26704), 1,
      anon_sym_RPAREN,
    STATE(18901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797323] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26706), 1,
      anon_sym_SEMI,
    ACTIONS(26708), 1,
      anon_sym_RBRACE,
    STATE(18902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797340] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26710), 1,
      anon_sym_RPAREN,
    ACTIONS(26712), 1,
      anon_sym_LT_DASH,
    STATE(18903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797357] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26714), 1,
      sym__lowercase_identifier,
    STATE(18904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797374] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18540), 1,
      anon_sym_STAR,
    ACTIONS(26716), 1,
      anon_sym_DASH_GT,
    STATE(18905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797391] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8821), 1,
      aux_sym_type_variable_token1,
    STATE(9366), 1,
      sym_type_variable,
    STATE(18906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797408] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26718), 1,
      sym__lowercase_identifier,
    ACTIONS(26720), 1,
      anon_sym_LPAREN,
    STATE(18907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797425] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18908), 1,
      sym_attribute,
    STATE(21721), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797442] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26722), 1,
      anon_sym_SEMI,
    ACTIONS(26724), 1,
      anon_sym_RBRACE,
    STATE(18909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797459] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_RBRACK,
    ACTIONS(26726), 1,
      anon_sym_SEMI,
    STATE(18910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797476] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26724), 1,
      anon_sym_RPAREN,
    ACTIONS(26728), 1,
      anon_sym_SEMI,
    STATE(18911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797493] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18912), 1,
      sym_attribute,
    STATE(21740), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797510] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26730), 1,
      anon_sym_COLON_GT,
    ACTIONS(26732), 1,
      anon_sym_RPAREN,
    STATE(18913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797527] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26734), 1,
      sym__lowercase_identifier,
    STATE(18914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797544] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26736), 1,
      anon_sym_RPAREN,
    ACTIONS(26738), 1,
      anon_sym_LT_DASH,
    STATE(18915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797561] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_then,
    STATE(10758), 1,
      sym_then_clause,
    STATE(18916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797578] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19257), 1,
      sym__lowercase_identifier,
    STATE(18917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797595] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18918), 1,
      sym_attribute,
    STATE(21843), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797612] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26740), 1,
      anon_sym_DOT,
    STATE(18919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797629] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26742), 1,
      anon_sym_RPAREN,
    ACTIONS(26744), 1,
      anon_sym_LT_DASH,
    STATE(18920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797646] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26746), 1,
      anon_sym_SEMI,
    ACTIONS(26748), 1,
      anon_sym_RBRACE,
    STATE(18921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797663] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26750), 1,
      anon_sym_DOT,
    STATE(18922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797680] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      anon_sym_RBRACK,
    ACTIONS(26752), 1,
      anon_sym_SEMI,
    STATE(18923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26748), 1,
      anon_sym_RPAREN,
    ACTIONS(26754), 1,
      anon_sym_SEMI,
    STATE(18924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797714] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26756), 1,
      sym__lowercase_identifier,
    STATE(18925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797731] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26758), 1,
      anon_sym_COLON_GT,
    ACTIONS(26760), 1,
      anon_sym_RPAREN,
    STATE(18926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26762), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18928), 1,
      sym_attribute,
    STATE(21857), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26136), 1,
      anon_sym_LPAREN,
    ACTIONS(26764), 1,
      sym__lowercase_identifier,
    STATE(18929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26766), 1,
      sym__lowercase_identifier,
    STATE(18930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18931), 1,
      sym_attribute,
    STATE(21974), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797831] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26768), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797846] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26770), 1,
      anon_sym_EQ,
    ACTIONS(26772), 1,
      anon_sym_RPAREN,
    STATE(18933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797863] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26774), 1,
      anon_sym_SEMI,
    ACTIONS(26776), 1,
      anon_sym_RBRACE,
    STATE(18934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797880] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_RBRACK,
    ACTIONS(26778), 1,
      anon_sym_SEMI,
    STATE(18935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797897] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25558), 1,
      anon_sym_then,
    STATE(12904), 1,
      sym_then_clause,
    STATE(18936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797914] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26776), 1,
      anon_sym_RPAREN,
    ACTIONS(26780), 1,
      anon_sym_SEMI,
    STATE(18937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797931] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18938), 1,
      sym_attribute,
    STATE(21988), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797948] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26782), 1,
      anon_sym_RPAREN,
    ACTIONS(26784), 1,
      anon_sym_LT_DASH,
    STATE(18939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797965] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26786), 1,
      anon_sym_COLON_GT,
    ACTIONS(26788), 1,
      anon_sym_RPAREN,
    STATE(18940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [797982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26790), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [797997] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26792), 1,
      anon_sym_DOT,
    STATE(18942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798014] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25308), 1,
      anon_sym_then,
    STATE(13785), 1,
      sym_then_clause,
    STATE(18943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798031] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26794), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798046] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_COLON2,
    STATE(13306), 1,
      sym__polymorphic_typed,
    STATE(18945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798063] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_then,
    STATE(13813), 1,
      sym_then_clause,
    STATE(18946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798080] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_then,
    STATE(9460), 1,
      sym_then_clause,
    STATE(18947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798097] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26798), 1,
      sym__lowercase_identifier,
    STATE(18948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798114] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18949), 1,
      sym_attribute,
    STATE(22081), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798131] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26800), 1,
      anon_sym_SEMI,
    ACTIONS(26802), 1,
      anon_sym_RBRACE,
    STATE(18950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798148] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_RBRACK,
    ACTIONS(26804), 1,
      anon_sym_SEMI,
    STATE(18951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798165] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26802), 1,
      anon_sym_RPAREN,
    ACTIONS(26806), 1,
      anon_sym_SEMI,
    STATE(18952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798182] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18953), 1,
      sym_attribute,
    STATE(22100), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798199] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26808), 1,
      sym__lowercase_identifier,
    ACTIONS(26810), 1,
      anon_sym_LPAREN,
    STATE(18954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26812), 2,
      anon_sym_to,
      anon_sym_downto,
  [798231] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9874), 1,
      anon_sym_COLON_GT,
    ACTIONS(9876), 1,
      anon_sym_EQ,
    STATE(18956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798248] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26814), 1,
      anon_sym_DOT,
    STATE(18957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798265] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26816), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798280] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11296), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798297] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26818), 1,
      anon_sym_COLON_GT,
    ACTIONS(26820), 1,
      anon_sym_RPAREN,
    STATE(18960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798314] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26822), 1,
      sym__lowercase_identifier,
    STATE(18961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798331] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18962), 1,
      sym_attribute,
    STATE(22204), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798348] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26824), 1,
      anon_sym_RPAREN,
    ACTIONS(26826), 1,
      anon_sym_LT_DASH,
    STATE(18963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798365] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26828), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798380] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26830), 1,
      anon_sym_SEMI,
    ACTIONS(26832), 1,
      anon_sym_RBRACE,
    STATE(18965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798397] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_RBRACK,
    ACTIONS(26834), 1,
      anon_sym_SEMI,
    STATE(18966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798414] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26832), 1,
      anon_sym_RPAREN,
    ACTIONS(26836), 1,
      anon_sym_SEMI,
    STATE(18967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798431] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26838), 1,
      anon_sym_DOT,
    STATE(18968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798448] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18969), 1,
      sym_attribute,
    STATE(20897), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798465] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11318), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(18970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798482] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26796), 1,
      anon_sym_COLON2,
    STATE(13342), 1,
      sym__polymorphic_typed,
    STATE(18971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798499] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18972), 1,
      sym_attribute,
    STATE(22228), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798516] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26840), 1,
      anon_sym_RPAREN,
    ACTIONS(26842), 1,
      anon_sym_LT_DASH,
    STATE(18973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798533] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26844), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [798548] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_RPAREN,
    ACTIONS(26848), 1,
      anon_sym_SEMI,
    STATE(18975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798565] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_RBRACK,
    ACTIONS(26850), 1,
      anon_sym_SEMI,
    STATE(18976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798582] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26846), 1,
      anon_sym_RBRACE,
    ACTIONS(26852), 1,
      anon_sym_SEMI,
    STATE(18977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798599] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18978), 1,
      sym_attribute,
    STATE(21884), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26854), 2,
      anon_sym_RBRACK,
      anon_sym_DASH_GT,
  [798631] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26856), 1,
      anon_sym_DOT,
    STATE(18980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798648] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26124), 1,
      anon_sym_then,
    STATE(13686), 1,
      sym_then_clause,
    STATE(18981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798665] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22615), 2,
      anon_sym_SEMI,
      anon_sym_GT_RBRACE,
  [798680] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26858), 1,
      sym__lowercase_identifier,
    STATE(18983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798697] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18984), 1,
      sym_attribute,
    STATE(22314), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(18985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26860), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [798729] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26862), 1,
      anon_sym_SEMI,
    ACTIONS(26864), 1,
      anon_sym_RBRACE,
    STATE(18986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798746] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26866), 1,
      anon_sym_DOT,
    STATE(18987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798763] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26868), 1,
      anon_sym_DOT,
    STATE(18988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798780] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18989), 1,
      sym_attribute,
    STATE(20985), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798797] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26864), 1,
      anon_sym_RBRACK,
    ACTIONS(26870), 1,
      anon_sym_SEMI,
    STATE(18990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798814] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26864), 1,
      anon_sym_RPAREN,
    ACTIONS(26872), 1,
      anon_sym_SEMI,
    STATE(18991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798831] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26874), 1,
      anon_sym_RPAREN,
    ACTIONS(26876), 1,
      anon_sym_LT_DASH,
    STATE(18992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798848] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(18993), 1,
      sym_attribute,
    STATE(22333), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798865] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26878), 1,
      sym__lowercase_identifier,
    STATE(18994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798882] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(18995), 1,
      sym_attribute,
    STATE(19483), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798899] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26880), 1,
      anon_sym_DOT,
    STATE(18996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798916] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26882), 1,
      anon_sym_DOT,
    STATE(18997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798933] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25760), 1,
      anon_sym_then,
    STATE(13664), 1,
      sym_then_clause,
    STATE(18998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798950] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26594), 1,
      anon_sym_open,
    STATE(18999), 1,
      sym_attribute,
    STATE(21961), 1,
      sym_open_module,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798967] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19000), 1,
      sym_attribute,
    STATE(22489), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [798984] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26884), 1,
      anon_sym_SEMI,
    ACTIONS(26886), 1,
      anon_sym_RBRACE,
    STATE(19001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799001] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26886), 1,
      anon_sym_RBRACK,
    ACTIONS(26888), 1,
      anon_sym_SEMI,
    STATE(19002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799018] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26886), 1,
      anon_sym_RPAREN,
    ACTIONS(26890), 1,
      anon_sym_SEMI,
    STATE(19003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799035] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19004), 1,
      sym_attribute,
    STATE(22501), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799052] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26892), 1,
      anon_sym_DOT,
    STATE(19005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799069] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26894), 1,
      anon_sym_COLON_GT,
    ACTIONS(26896), 1,
      anon_sym_RPAREN,
    STATE(19006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799086] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26898), 1,
      sym__lowercase_identifier,
    STATE(19007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799103] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26900), 1,
      anon_sym_DOT,
    STATE(19008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799120] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_COLON2,
    STATE(13342), 1,
      sym__polymorphic_typed,
    STATE(19009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799137] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18140), 1,
      anon_sym_COLON2,
    STATE(19010), 1,
      sym_attribute,
    STATE(21992), 1,
      sym__module_typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799154] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26904), 1,
      anon_sym_COLON_GT,
    ACTIONS(26906), 1,
      anon_sym_RPAREN,
    STATE(19011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799171] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26908), 1,
      anon_sym_DOT,
    STATE(19012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799188] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(26910), 1,
      sym__lowercase_identifier,
    STATE(19013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799205] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11397), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(19014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799222] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26912), 1,
      sym__lowercase_identifier,
    ACTIONS(26914), 1,
      anon_sym_LPAREN,
    STATE(19015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799239] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20002), 1,
      anon_sym_RBRACE,
    ACTIONS(26916), 1,
      anon_sym_SEMI,
    STATE(19016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799256] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19017), 1,
      sym_attribute,
    STATE(22508), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799273] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26918), 1,
      anon_sym_SEMI,
    ACTIONS(26920), 1,
      anon_sym_RBRACE,
    STATE(19018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799290] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_RBRACK,
    ACTIONS(26922), 1,
      anon_sym_SEMI,
    STATE(19019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799307] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26920), 1,
      anon_sym_RPAREN,
    ACTIONS(26924), 1,
      anon_sym_SEMI,
    STATE(19020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799324] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26926), 1,
      sym__lowercase_identifier,
    STATE(19021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799341] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26928), 1,
      anon_sym_RPAREN,
    ACTIONS(26930), 1,
      anon_sym_LT_DASH,
    STATE(19022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(22860), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [799373] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26932), 1,
      anon_sym_SEMI,
    ACTIONS(26934), 1,
      anon_sym_RBRACE,
    STATE(19024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799390] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_RBRACK,
    ACTIONS(26936), 1,
      anon_sym_SEMI,
    STATE(19025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799407] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26934), 1,
      anon_sym_RPAREN,
    ACTIONS(26938), 1,
      anon_sym_SEMI,
    STATE(19026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799424] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19027), 1,
      sym_attribute,
    STATE(22473), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799441] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23713), 1,
      anon_sym_EQ,
    ACTIONS(26940), 1,
      anon_sym_COLON_GT,
    STATE(19028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799458] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26942), 1,
      anon_sym_DOT,
    STATE(19029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799475] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26944), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [799490] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26946), 1,
      anon_sym_RPAREN,
    ACTIONS(26948), 1,
      anon_sym_LT_DASH,
    STATE(19031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799507] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25656), 1,
      anon_sym_then,
    STATE(13425), 1,
      sym_then_clause,
    STATE(19032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799524] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26950), 1,
      anon_sym_RPAREN,
    ACTIONS(26952), 1,
      anon_sym_LT_DASH,
    STATE(19033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799541] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(13055), 2,
      anon_sym_DOT,
      aux_sym_type_variable_token1,
  [799556] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(26954), 1,
      sym__lowercase_identifier,
    STATE(19035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799573] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19036), 1,
      sym_attribute,
    STATE(22264), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799590] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26956), 1,
      anon_sym_RPAREN,
    ACTIONS(26958), 1,
      anon_sym_LT_DASH,
    STATE(19037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799607] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26960), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [799622] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26962), 1,
      anon_sym_SEMI,
    ACTIONS(26964), 1,
      anon_sym_RBRACE,
    STATE(19039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799639] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      anon_sym_RBRACK,
    ACTIONS(26966), 1,
      anon_sym_SEMI,
    STATE(19040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799656] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26964), 1,
      anon_sym_RPAREN,
    ACTIONS(26968), 1,
      anon_sym_SEMI,
    STATE(19041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799673] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26970), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799688] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26972), 1,
      anon_sym_DOT,
    STATE(19043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799705] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26974), 1,
      anon_sym_RPAREN,
    ACTIONS(26976), 1,
      anon_sym_LT_DASH,
    STATE(19044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799722] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19045), 1,
      sym_attribute,
    STATE(22249), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799739] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19604), 1,
      anon_sym_COLON2,
    STATE(18164), 1,
      sym__polymorphic_typed,
    STATE(19046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799756] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25550), 1,
      anon_sym_then,
    STATE(9363), 1,
      sym_then_clause,
    STATE(19047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799773] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26978), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799788] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26980), 1,
      anon_sym_DOT,
    STATE(19049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799805] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(26982), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [799820] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19051), 1,
      sym_attribute,
    STATE(22076), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799837] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19052), 1,
      sym_attribute,
    STATE(22045), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799854] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26984), 1,
      anon_sym_SEMI,
    ACTIONS(26986), 1,
      anon_sym_RBRACE,
    STATE(19053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799871] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26986), 1,
      anon_sym_RBRACK,
    ACTIONS(26988), 1,
      anon_sym_SEMI,
    STATE(19054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799888] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26986), 1,
      anon_sym_RPAREN,
    ACTIONS(26990), 1,
      anon_sym_SEMI,
    STATE(19055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799905] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19946), 1,
      anon_sym_RBRACE,
    ACTIONS(26992), 1,
      anon_sym_SEMI,
    STATE(19056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799922] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19057), 1,
      sym_attribute,
    STATE(22017), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799939] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26994), 1,
      anon_sym_RPAREN,
    ACTIONS(26996), 1,
      anon_sym_LT_DASH,
    STATE(19058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799956] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(26998), 1,
      anon_sym_DOT,
    STATE(19059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799973] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20218), 1,
      sym__lowercase_identifier,
    STATE(16339), 1,
      sym__simple_value_pattern,
    STATE(19060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [799990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27000), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800005] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19604), 1,
      anon_sym_COLON2,
    STATE(19038), 1,
      sym__polymorphic_typed,
    STATE(19062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800022] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11256), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(19063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800039] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27002), 1,
      anon_sym_COLON_GT,
    ACTIONS(27004), 1,
      anon_sym_RPAREN,
    STATE(19064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800056] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27006), 1,
      sym__lowercase_identifier,
    STATE(19065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800073] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19066), 1,
      sym_attribute,
    STATE(21817), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800090] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27008), 1,
      anon_sym_SEMI,
    ACTIONS(27010), 1,
      anon_sym_RBRACE,
    STATE(19067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800107] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27010), 1,
      anon_sym_RBRACK,
    ACTIONS(27012), 1,
      anon_sym_SEMI,
    STATE(19068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800124] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19069), 1,
      sym_attribute,
    STATE(21285), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800141] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8819), 1,
      sym__uppercase_identifier,
    STATE(17990), 1,
      sym_extended_module_path,
    STATE(19070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800158] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27010), 1,
      anon_sym_RPAREN,
    ACTIONS(27014), 1,
      anon_sym_SEMI,
    STATE(19071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800175] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19072), 1,
      sym_attribute,
    STATE(21793), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800192] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(27016), 1,
      sym__lowercase_identifier,
    STATE(19073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800209] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27018), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [800224] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_RPAREN,
    ACTIONS(27022), 1,
      anon_sym_SEMI,
    STATE(19075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800241] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_RBRACK,
    ACTIONS(27024), 1,
      anon_sym_SEMI,
    STATE(19076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800258] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27020), 1,
      anon_sym_RBRACE,
    ACTIONS(27026), 1,
      anon_sym_SEMI,
    STATE(19077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800275] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27028), 1,
      anon_sym_EQ,
    ACTIONS(27030), 1,
      anon_sym_RPAREN,
    STATE(19078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800292] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19912), 1,
      anon_sym_RBRACE,
    ACTIONS(27032), 1,
      anon_sym_SEMI,
    STATE(19079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800309] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27034), 1,
      anon_sym_RPAREN,
    ACTIONS(27036), 1,
      anon_sym_LT_DASH,
    STATE(19080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800326] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27038), 1,
      anon_sym_DOT,
    STATE(19081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800343] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19082), 1,
      sym_attribute,
    STATE(21579), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800360] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27040), 1,
      anon_sym_SEMI,
    ACTIONS(27042), 1,
      anon_sym_RBRACE,
    STATE(19083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800377] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25264), 1,
      anon_sym_then,
    STATE(13092), 1,
      sym_then_clause,
    STATE(19084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800394] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27044), 1,
      anon_sym_SEMI,
    ACTIONS(27046), 1,
      anon_sym_RBRACE,
    STATE(19085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800411] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27046), 1,
      anon_sym_RBRACK,
    ACTIONS(27048), 1,
      anon_sym_SEMI,
    STATE(19086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800428] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27050), 1,
      anon_sym_DOT,
    STATE(19087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800445] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27046), 1,
      anon_sym_RPAREN,
    ACTIONS(27052), 1,
      anon_sym_SEMI,
    STATE(19088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800462] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19089), 1,
      sym_attribute,
    STATE(21340), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800479] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19090), 1,
      sym_attribute,
    STATE(22460), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800496] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27054), 1,
      anon_sym_RPAREN,
    ACTIONS(27056), 1,
      anon_sym_LT_DASH,
    STATE(19091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800513] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19092), 1,
      sym_attribute,
    STATE(21532), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800530] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27058), 1,
      anon_sym_RPAREN,
    ACTIONS(27060), 1,
      anon_sym_LT_DASH,
    STATE(19093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800547] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25576), 1,
      anon_sym_LPAREN,
    ACTIONS(27062), 1,
      sym__lowercase_identifier,
    STATE(19094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800564] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27064), 1,
      sym__lowercase_identifier,
    STATE(19095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800581] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27066), 1,
      anon_sym_RPAREN,
    ACTIONS(27068), 1,
      anon_sym_LT_DASH,
    STATE(19096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27070), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800613] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27072), 1,
      anon_sym_DOT,
    STATE(19098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800630] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25306), 1,
      anon_sym_then,
    STATE(9766), 1,
      sym_then_clause,
    STATE(19099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800647] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19100), 1,
      sym_attribute,
    STATE(21349), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800664] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27074), 1,
      anon_sym_SEMI,
    ACTIONS(27076), 1,
      anon_sym_RBRACE,
    STATE(19101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800681] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27076), 1,
      anon_sym_RBRACK,
    ACTIONS(27078), 1,
      anon_sym_SEMI,
    STATE(19102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800698] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27076), 1,
      anon_sym_RPAREN,
    ACTIONS(27080), 1,
      anon_sym_SEMI,
    STATE(19103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800715] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27082), 1,
      anon_sym_SEMI,
    ACTIONS(27084), 1,
      anon_sym_RBRACE,
    STATE(19104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800732] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19105), 1,
      sym_attribute,
    STATE(21303), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800749] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(27086), 1,
      sym__lowercase_identifier,
    STATE(19106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27088), 1,
      sym__lowercase_identifier,
    STATE(19107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_then,
    STATE(9643), 1,
      sym_then_clause,
    STATE(19108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800800] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27090), 1,
      anon_sym_RPAREN,
    ACTIONS(27092), 1,
      anon_sym_LT_DASH,
    STATE(19109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800817] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27094), 1,
      anon_sym_DOT,
    STATE(19110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800834] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27096), 1,
      anon_sym_DOT,
    STATE(19111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800851] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27098), 1,
      anon_sym_RPAREN,
    ACTIONS(27100), 1,
      anon_sym_LT_DASH,
    STATE(19112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800868] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27102), 1,
      anon_sym_DOT,
    STATE(19113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800885] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27104), 1,
      anon_sym_RPAREN,
    ACTIONS(27106), 1,
      anon_sym_LT_DASH,
    STATE(19114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800902] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19115), 1,
      sym_attribute,
    STATE(21220), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800919] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27108), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800934] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19301), 1,
      sym__lowercase_identifier,
    STATE(19117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800951] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27110), 1,
      anon_sym_COLON_GT,
    ACTIONS(27112), 1,
      anon_sym_RPAREN,
    STATE(19118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [800968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27114), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [800983] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27116), 1,
      anon_sym_DOT,
    STATE(19120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801000] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27118), 1,
      sym__lowercase_identifier,
    ACTIONS(27120), 1,
      anon_sym_LPAREN,
    STATE(19121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801017] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27122), 1,
      anon_sym_RPAREN,
    ACTIONS(27124), 1,
      anon_sym_LT_DASH,
    STATE(19122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801034] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27126), 1,
      anon_sym_SEMI,
    ACTIONS(27128), 1,
      anon_sym_RBRACE,
    STATE(19123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801051] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_RBRACK,
    ACTIONS(27130), 1,
      anon_sym_SEMI,
    STATE(19124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801068] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27128), 1,
      anon_sym_RPAREN,
    ACTIONS(27132), 1,
      anon_sym_SEMI,
    STATE(19125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801085] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27134), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801100] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19127), 1,
      sym_attribute,
    STATE(21069), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27136), 1,
      sym__lowercase_identifier,
    STATE(19128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27138), 1,
      anon_sym_DOT,
    STATE(19129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801151] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27140), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801166] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27142), 1,
      anon_sym_RPAREN,
    ACTIONS(27144), 1,
      anon_sym_LT_DASH,
    STATE(19131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27146), 1,
      anon_sym_COLON_GT,
    ACTIONS(27148), 1,
      anon_sym_RPAREN,
    STATE(19132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27150), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801215] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19134), 1,
      sym_attribute,
    STATE(20734), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801232] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27152), 1,
      anon_sym_RPAREN,
    ACTIONS(27154), 1,
      anon_sym_LT_DASH,
    STATE(19135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801249] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27156), 1,
      anon_sym_DOT,
    STATE(19136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27158), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801281] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27160), 1,
      anon_sym_SEMI,
    ACTIONS(27162), 1,
      anon_sym_RBRACE,
    STATE(19138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801298] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RBRACK,
    ACTIONS(27164), 1,
      anon_sym_SEMI,
    STATE(19139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801315] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27162), 1,
      anon_sym_RPAREN,
    ACTIONS(27166), 1,
      anon_sym_SEMI,
    STATE(19140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801332] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27168), 1,
      anon_sym_DOT,
    STATE(19141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801349] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19142), 1,
      sym_attribute,
    STATE(20637), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801366] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_then,
    STATE(9470), 1,
      sym_then_clause,
    STATE(19143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801383] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27170), 1,
      anon_sym_DOT,
    STATE(19144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801400] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27172), 1,
      sym__lowercase_identifier,
    ACTIONS(27174), 1,
      anon_sym_LPAREN,
    STATE(19145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801417] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27176), 1,
      anon_sym_SEMI,
    ACTIONS(27178), 1,
      anon_sym_RBRACE,
    STATE(19146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27180), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801449] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27182), 1,
      anon_sym_RPAREN,
    ACTIONS(27184), 1,
      anon_sym_LT_DASH,
    STATE(19148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801466] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27186), 1,
      anon_sym_RPAREN,
    ACTIONS(27188), 1,
      anon_sym_LT_DASH,
    STATE(19149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801483] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11174), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(19150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27190), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801515] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27192), 1,
      anon_sym_COLON_GT,
    ACTIONS(27194), 1,
      anon_sym_RPAREN,
    STATE(19152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801532] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(27196), 1,
      sym__lowercase_identifier,
    STATE(19153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801549] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19154), 1,
      sym_attribute,
    STATE(20263), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801566] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27198), 1,
      anon_sym_DOT,
    STATE(19155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801583] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27200), 1,
      anon_sym_SEMI,
    ACTIONS(27202), 1,
      anon_sym_RBRACE,
    STATE(19156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801600] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_RBRACK,
    ACTIONS(27204), 1,
      anon_sym_SEMI,
    STATE(19157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801617] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27202), 1,
      anon_sym_RPAREN,
    ACTIONS(27206), 1,
      anon_sym_SEMI,
    STATE(19158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801634] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27208), 1,
      anon_sym_DOT,
    STATE(19159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801651] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19160), 1,
      sym_attribute,
    STATE(20205), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801668] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27210), 1,
      anon_sym_RPAREN,
    ACTIONS(27212), 1,
      anon_sym_LT_DASH,
    STATE(19161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801685] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27214), 1,
      anon_sym_RPAREN,
    ACTIONS(27216), 1,
      anon_sym_LT_DASH,
    STATE(19162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27218), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801717] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19164), 1,
      sym_attribute,
    STATE(21847), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801734] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27220), 1,
      anon_sym_DOT,
    STATE(19165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801751] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27222), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801766] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_then,
    STATE(13611), 1,
      sym_then_clause,
    STATE(19167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801783] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27224), 1,
      sym__lowercase_identifier,
    STATE(19168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27226), 2,
      anon_sym__,
      sym__uppercase_identifier,
  [801815] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_RPAREN,
    ACTIONS(27230), 1,
      anon_sym_SEMI,
    STATE(19170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801832] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_RBRACK,
    ACTIONS(27232), 1,
      anon_sym_SEMI,
    STATE(19171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801849] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27228), 1,
      anon_sym_RBRACE,
    ACTIONS(27234), 1,
      anon_sym_SEMI,
    STATE(19172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801866] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27236), 1,
      sym__lowercase_identifier,
    ACTIONS(27238), 1,
      sym__uppercase_identifier,
    STATE(19173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801883] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27240), 1,
      anon_sym_RPAREN,
    ACTIONS(27242), 1,
      anon_sym_LT_DASH,
    STATE(19174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801900] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27244), 1,
      anon_sym_RPAREN,
    ACTIONS(27246), 1,
      anon_sym_LT_DASH,
    STATE(19175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801917] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27248), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801932] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19177), 1,
      sym_attribute,
    STATE(19830), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801949] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27250), 1,
      anon_sym_DOT,
    STATE(19178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27252), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [801981] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27254), 1,
      anon_sym_SEMI,
    ACTIONS(27256), 1,
      anon_sym_RBRACE,
    STATE(19180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [801998] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RBRACK,
    ACTIONS(27258), 1,
      anon_sym_SEMI,
    STATE(19181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802015] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27260), 1,
      anon_sym_DOT,
    STATE(19182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802032] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27256), 1,
      anon_sym_RPAREN,
    ACTIONS(27262), 1,
      anon_sym_SEMI,
    STATE(19183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802049] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19184), 1,
      sym_attribute,
    STATE(21975), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802066] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26902), 1,
      anon_sym_COLON2,
    STATE(13306), 1,
      sym__polymorphic_typed,
    STATE(19185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802083] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19186), 1,
      sym_attribute,
    STATE(19751), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802100] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27264), 1,
      anon_sym_RPAREN,
    ACTIONS(27266), 1,
      anon_sym_LT_DASH,
    STATE(19187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802117] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27268), 1,
      anon_sym_RPAREN,
    ACTIONS(27270), 1,
      anon_sym_LT_DASH,
    STATE(19188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802134] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11286), 1,
      anon_sym_RBRACK,
    ACTIONS(20322), 1,
      anon_sym_PIPE,
    STATE(19189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802151] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27272), 1,
      anon_sym_DOT,
    STATE(19190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27274), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802183] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25372), 1,
      anon_sym_then,
    STATE(10978), 1,
      sym_then_clause,
    STATE(19192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802200] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27276), 1,
      anon_sym_RPAREN,
    ACTIONS(27278), 1,
      anon_sym_LT_DASH,
    STATE(19193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802217] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27280), 1,
      anon_sym_RPAREN,
    ACTIONS(27282), 1,
      anon_sym_LT_DASH,
    STATE(19194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802234] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19195), 1,
      sym_attribute,
    STATE(19992), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802251] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27284), 1,
      anon_sym_DOT,
    STATE(19196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27286), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802283] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27288), 1,
      anon_sym_SEMI,
    ACTIONS(27290), 1,
      anon_sym_RBRACE,
    STATE(19198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802300] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RBRACK,
    ACTIONS(27292), 1,
      anon_sym_SEMI,
    STATE(19199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802317] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27290), 1,
      anon_sym_RPAREN,
    ACTIONS(27294), 1,
      anon_sym_SEMI,
    STATE(19200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802334] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19201), 1,
      sym_attribute,
    STATE(20110), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802351] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19610), 1,
      anon_sym_RBRACE,
    ACTIONS(27296), 1,
      anon_sym_SEMI,
    STATE(19202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802368] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27298), 1,
      anon_sym_RPAREN,
    ACTIONS(27300), 1,
      anon_sym_LT_DASH,
    STATE(19203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802385] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27302), 1,
      anon_sym_RPAREN,
    ACTIONS(27304), 1,
      anon_sym_LT_DASH,
    STATE(19204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802402] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27306), 1,
      anon_sym_DOT,
    STATE(19205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802419] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27308), 1,
      anon_sym_RPAREN,
    ACTIONS(27310), 1,
      anon_sym_LT_DASH,
    STATE(19206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802436] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27312), 1,
      anon_sym_SEMI,
    ACTIONS(27314), 1,
      anon_sym_RBRACE,
    STATE(19207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802453] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27316), 1,
      anon_sym_RPAREN,
    ACTIONS(27318), 1,
      anon_sym_LT_DASH,
    STATE(19208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27320), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802485] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27322), 1,
      sym__lowercase_identifier,
    STATE(19210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802502] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27324), 1,
      anon_sym_RPAREN,
    ACTIONS(27326), 1,
      anon_sym_LT_DASH,
    STATE(19211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802519] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27328), 1,
      anon_sym_RPAREN,
    ACTIONS(27330), 1,
      anon_sym_LT_DASH,
    STATE(19212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802536] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27332), 1,
      anon_sym_RPAREN,
    ACTIONS(27334), 1,
      anon_sym_LT_DASH,
    STATE(19213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802553] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25856), 1,
      anon_sym_then,
    STATE(13810), 1,
      sym_then_clause,
    STATE(19214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19215), 1,
      sym_attribute,
    STATE(20506), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27336), 1,
      anon_sym_DOT,
    STATE(19216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27338), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802619] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(27340), 1,
      sym__lowercase_identifier,
    STATE(19218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802636] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27342), 1,
      anon_sym_SEMI,
    ACTIONS(27344), 1,
      anon_sym_RBRACE,
    STATE(19219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802653] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RBRACK,
    ACTIONS(27346), 1,
      anon_sym_SEMI,
    STATE(19220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802670] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27344), 1,
      anon_sym_RPAREN,
    ACTIONS(27348), 1,
      anon_sym_SEMI,
    STATE(19221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802687] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27350), 2,
      anon_sym_SEMI,
      anon_sym_GT,
  [802702] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19644), 1,
      anon_sym_RBRACE,
    ACTIONS(27352), 1,
      anon_sym_SEMI,
    STATE(19223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802719] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19224), 1,
      sym_attribute,
    STATE(20613), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802736] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(27354), 1,
      sym__lowercase_identifier,
    STATE(19225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802753] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20044), 1,
      anon_sym_as,
    ACTIONS(27356), 1,
      anon_sym_DASH_GT,
    STATE(19226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802770] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25630), 1,
      anon_sym_then,
    STATE(9527), 1,
      sym_then_clause,
    STATE(19227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802787] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27358), 1,
      anon_sym_SEMI,
    ACTIONS(27360), 1,
      anon_sym_RBRACE,
    STATE(19228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802804] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27362), 1,
      anon_sym_DOT,
    STATE(19229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27364), 1,
      anon_sym_DOT,
    STATE(19230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25520), 1,
      anon_sym_then,
    STATE(9414), 1,
      sym_then_clause,
    STATE(19231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27366), 1,
      anon_sym_RPAREN,
    ACTIONS(27368), 1,
      anon_sym_LT_DASH,
    STATE(19232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27370), 1,
      anon_sym_RPAREN,
    ACTIONS(27372), 1,
      anon_sym_LT_DASH,
    STATE(19233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802889] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27374), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802904] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25466), 1,
      anon_sym_then,
    STATE(13477), 1,
      sym_then_clause,
    STATE(19235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802921] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27376), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [802936] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27378), 1,
      anon_sym_SEMI,
    ACTIONS(27380), 1,
      anon_sym_RBRACE,
    STATE(19237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802953] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19488), 1,
      anon_sym_RBRACE,
    ACTIONS(27382), 1,
      anon_sym_SEMI,
    STATE(19238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802970] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27384), 1,
      anon_sym_RPAREN,
    ACTIONS(27386), 1,
      anon_sym_LT_DASH,
    STATE(19239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [802987] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(27388), 1,
      sym__lowercase_identifier,
    STATE(19240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803004] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27390), 1,
      anon_sym_RPAREN,
    ACTIONS(27392), 1,
      anon_sym_LT_DASH,
    STATE(19241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803021] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19242), 1,
      sym_attribute,
    STATE(20878), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803038] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27394), 1,
      anon_sym_DOT,
    STATE(19243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803055] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27396), 1,
      anon_sym_RPAREN,
    ACTIONS(27398), 1,
      anon_sym_LT_DASH,
    STATE(19244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803072] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27400), 1,
      anon_sym_SEMI,
    ACTIONS(27402), 1,
      anon_sym_RBRACE,
    STATE(19245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803089] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27402), 1,
      anon_sym_RBRACK,
    ACTIONS(27404), 1,
      anon_sym_SEMI,
    STATE(19246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803106] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27402), 1,
      anon_sym_RPAREN,
    ACTIONS(27406), 1,
      anon_sym_SEMI,
    STATE(19247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803123] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27408), 1,
      anon_sym_COLON_GT,
    ACTIONS(27410), 1,
      anon_sym_RPAREN,
    STATE(19248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27412), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803155] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19250), 1,
      sym_attribute,
    STATE(20898), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803172] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19251), 1,
      sym_attribute,
    STATE(22503), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803189] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27414), 1,
      anon_sym_RPAREN,
    ACTIONS(27416), 1,
      anon_sym_LT_DASH,
    STATE(19252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27418), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803221] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25506), 1,
      anon_sym_then,
    STATE(9444), 1,
      sym_then_clause,
    STATE(19254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803238] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27420), 1,
      anon_sym_DOT,
    STATE(19255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803255] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RPAREN,
    ACTIONS(27424), 1,
      anon_sym_SEMI,
    STATE(19256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803272] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RBRACK,
    ACTIONS(27426), 1,
      anon_sym_SEMI,
    STATE(19257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803289] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27422), 1,
      anon_sym_RBRACE,
    ACTIONS(27428), 1,
      anon_sym_SEMI,
    STATE(19258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803306] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27430), 1,
      anon_sym_RPAREN,
    ACTIONS(27432), 1,
      anon_sym_LT_DASH,
    STATE(19259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803323] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27434), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27436), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803353] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27438), 1,
      anon_sym_RPAREN,
    ACTIONS(27440), 1,
      anon_sym_LT_DASH,
    STATE(19262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803370] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25646), 1,
      anon_sym_then,
    STATE(13418), 1,
      sym_then_clause,
    STATE(19263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803387] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27442), 1,
      anon_sym_DOT,
    STATE(19264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803404] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19265), 1,
      sym_attribute,
    STATE(21210), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803421] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19266), 1,
      sym_attribute,
    STATE(22494), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803438] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27444), 1,
      anon_sym_DOT,
    STATE(19267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803455] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27446), 1,
      anon_sym_SEMI,
    ACTIONS(27448), 1,
      anon_sym_RBRACE,
    STATE(19268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27450), 2,
      anon_sym_to,
      anon_sym_downto,
  [803487] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_RBRACK,
    ACTIONS(27452), 1,
      anon_sym_SEMI,
    STATE(19270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803504] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27448), 1,
      anon_sym_RPAREN,
    ACTIONS(27454), 1,
      anon_sym_SEMI,
    STATE(19271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803521] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27456), 1,
      sym__lowercase_identifier,
    ACTIONS(27458), 1,
      anon_sym_LPAREN,
    STATE(19272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803538] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19273), 1,
      sym_attribute,
    STATE(21282), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803555] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27460), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803570] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27462), 1,
      anon_sym_COLON_GT,
    ACTIONS(27464), 1,
      anon_sym_RPAREN,
    STATE(19275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803587] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19273), 1,
      sym__lowercase_identifier,
    STATE(19276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803604] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27466), 1,
      anon_sym_RPAREN,
    ACTIONS(27468), 1,
      anon_sym_LT_DASH,
    STATE(19277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803621] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27470), 1,
      anon_sym_RPAREN,
    ACTIONS(27472), 1,
      anon_sym_LT_DASH,
    STATE(19278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803638] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27474), 1,
      sym__lowercase_identifier,
    ACTIONS(27476), 1,
      anon_sym_LPAREN,
    STATE(19279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803655] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27478), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803670] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27480), 1,
      anon_sym_DOT,
    STATE(19281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803687] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25202), 1,
      anon_sym_then,
    STATE(9374), 1,
      sym_then_clause,
    STATE(19282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803704] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27482), 1,
      anon_sym_DOT,
    STATE(19283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803721] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27484), 1,
      anon_sym_DOT,
    STATE(19284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803738] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27486), 1,
      anon_sym_EQ,
    ACTIONS(27488), 1,
      anon_sym_RPAREN,
    STATE(19285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803755] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25266), 1,
      anon_sym_then,
    STATE(9750), 1,
      sym_then_clause,
    STATE(19286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803772] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    ACTIONS(27490), 1,
      sym__lowercase_identifier,
    STATE(19287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803789] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27492), 1,
      anon_sym_RPAREN,
    ACTIONS(27494), 1,
      anon_sym_LT_DASH,
    STATE(19288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(27496), 2,
      sym__lowercase_identifier,
      sym__uppercase_identifier,
  [803821] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19462), 1,
      anon_sym_RBRACE,
    ACTIONS(27498), 1,
      anon_sym_SEMI,
    STATE(19290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803838] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21127), 1,
      anon_sym_COLON2,
    STATE(19291), 1,
      sym_attribute,
    STATE(21762), 1,
      sym__typed,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803855] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27500), 1,
      anon_sym_DOT,
    STATE(19292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803872] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12737), 1,
      anon_sym_LPAREN,
    ACTIONS(27502), 1,
      anon_sym_DOT,
    STATE(19293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803889] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9072), 1,
      sym__left_quoted_string_delimiter,
    STATE(19294), 1,
      sym_attribute,
    STATE(21809), 1,
      sym__quoted_string,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803906] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25388), 1,
      anon_sym_then,
    STATE(9250), 1,
      sym_then_clause,
    STATE(19295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803923] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_RPAREN,
    ACTIONS(27506), 1,
      anon_sym_SEMI,
    STATE(19296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(19297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
    ACTIONS(23349), 2,
      anon_sym_SEMI,
      anon_sym_RBRACE,
  [803955] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    ACTIONS(19193), 1,
      sym__lowercase_identifier,
    STATE(19298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803972] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_RBRACK,
    ACTIONS(27508), 1,
      anon_sym_SEMI,
    STATE(19299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [803989] = 5,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27504), 1,
      anon_sym_RBRACE,
    ACTIONS(27510), 1,
      anon_sym_SEMI,
    STATE(19300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27512), 1,
      anon_sym_DOT,
    STATE(19301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27514), 1,
      anon_sym_RBRACE,
    STATE(19302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27516), 1,
      anon_sym_RBRACE,
    STATE(19303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27518), 1,
      anon_sym_with,
    STATE(19304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27520), 1,
      anon_sym_RBRACK,
    STATE(19305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19299), 1,
      anon_sym_GT,
    STATE(19306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27522), 1,
      anon_sym_with,
    STATE(19307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27524), 1,
      anon_sym_DOT,
    STATE(19308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27526), 1,
      anon_sym_RBRACE,
    STATE(19309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27528), 1,
      anon_sym_RBRACE,
    STATE(19310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27530), 1,
      anon_sym_RBRACK,
    STATE(19311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27532), 1,
      anon_sym_RBRACE,
    STATE(19312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27534), 1,
      anon_sym_RBRACE,
    STATE(19313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27536), 1,
      anon_sym_RBRACK,
    STATE(19314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27538), 1,
      anon_sym_RBRACE,
    STATE(19315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27540), 1,
      anon_sym_with,
    STATE(19316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27542), 1,
      anon_sym_RBRACE,
    STATE(19317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27544), 1,
      anon_sym_with,
    STATE(19318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27546), 1,
      anon_sym_RBRACK,
    STATE(19319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27548), 1,
      anon_sym_RPAREN,
    STATE(19320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27550), 1,
      anon_sym_DOT,
    STATE(19321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18411), 1,
      anon_sym_RPAREN,
    STATE(19322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19458), 1,
      anon_sym_RPAREN,
    STATE(19323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27552), 1,
      anon_sym_RBRACE,
    STATE(19324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27554), 1,
      anon_sym_RBRACE,
    STATE(19325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27556), 1,
      anon_sym_RBRACK,
    STATE(19326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27558), 1,
      anon_sym_RBRACE,
    STATE(19327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27560), 1,
      anon_sym_RBRACE,
    STATE(19328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27562), 1,
      anon_sym_RBRACE,
    STATE(19329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27564), 1,
      anon_sym_DOT,
    STATE(19330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27566), 1,
      anon_sym_RBRACK,
    STATE(19331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27568), 1,
      anon_sym_DQUOTE,
    STATE(19332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27570), 1,
      anon_sym_end,
    STATE(19333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27572), 1,
      anon_sym_RPAREN,
    STATE(19334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27574), 1,
      sym__lowercase_identifier,
    STATE(19335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27576), 1,
      anon_sym_RPAREN,
    STATE(19336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27578), 1,
      anon_sym_RPAREN,
    STATE(19337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27580), 1,
      anon_sym_RPAREN,
    STATE(19338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RPAREN,
    STATE(19339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RBRACK,
    STATE(19340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27582), 1,
      anon_sym_RBRACE,
    STATE(19341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27584), 1,
      anon_sym_DQUOTE,
    STATE(19342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27586), 1,
      anon_sym_RBRACK,
    STATE(19343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27588), 1,
      anon_sym_RBRACE,
    STATE(19344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27590), 1,
      anon_sym_DASH_GT,
    STATE(19345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27592), 1,
      anon_sym_RBRACE,
    STATE(19346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27594), 1,
      anon_sym_RBRACE,
    STATE(19347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10108), 1,
      anon_sym_DASH_GT,
    STATE(19348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27596), 1,
      anon_sym_RBRACE,
    STATE(19349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27598), 1,
      anon_sym_RBRACK,
    STATE(19350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27600), 1,
      anon_sym_RPAREN,
    STATE(19351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27602), 1,
      anon_sym_DQUOTE,
    STATE(19352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27604), 1,
      anon_sym_SQUOTE2,
    STATE(19353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27606), 1,
      anon_sym_DOT,
    STATE(19354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27608), 1,
      anon_sym_DASH_GT,
    STATE(19355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27610), 1,
      anon_sym_RBRACK,
    STATE(19356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27612), 1,
      anon_sym_RBRACE,
    STATE(19357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27614), 1,
      anon_sym_RBRACE,
    STATE(19358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27616), 1,
      anon_sym_RPAREN,
    STATE(19359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27618), 1,
      anon_sym_with,
    STATE(19360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27620), 1,
      anon_sym_RBRACE,
    STATE(19361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16688), 1,
      anon_sym_DASH_GT,
    STATE(19362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27622), 1,
      anon_sym_with,
    STATE(19363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27624), 1,
      anon_sym_DOT,
    STATE(19364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3669), 1,
      anon_sym_RPAREN,
    STATE(19365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27626), 1,
      anon_sym_RPAREN,
    STATE(19366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27628), 1,
      anon_sym_RPAREN,
    STATE(19367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27630), 1,
      anon_sym_RPAREN,
    STATE(19368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27632), 1,
      anon_sym_RBRACE,
    STATE(19369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27634), 1,
      anon_sym_RPAREN,
    STATE(19370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [804986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_RBRACE,
    STATE(19371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_RBRACK,
    STATE(19372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27636), 1,
      anon_sym_RPAREN,
    STATE(19373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27638), 1,
      anon_sym_with,
    STATE(19374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27640), 1,
      anon_sym_RPAREN,
    STATE(19375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27642), 1,
      anon_sym_with,
    STATE(19376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27644), 1,
      anon_sym_RBRACK,
    STATE(19377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27646), 1,
      sym__lowercase_identifier,
    STATE(19378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27648), 1,
      anon_sym_RBRACK,
    STATE(19379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27650), 1,
      anon_sym_DQUOTE,
    STATE(19380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27652), 1,
      anon_sym_DOT,
    STATE(19381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27654), 1,
      anon_sym_RBRACE,
    STATE(19382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27656), 1,
      anon_sym_RBRACE,
    STATE(19383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27658), 1,
      anon_sym_RBRACE,
    STATE(19384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27660), 1,
      anon_sym_SQUOTE2,
    STATE(19385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19524), 1,
      anon_sym_RPAREN,
    STATE(19386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21163), 1,
      anon_sym_end,
    STATE(19387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27662), 1,
      anon_sym_RBRACE,
    STATE(19388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23281), 1,
      anon_sym_GT_RBRACE,
    STATE(19389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27664), 1,
      anon_sym_RPAREN,
    STATE(19390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27666), 1,
      anon_sym_RBRACE,
    STATE(19391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27668), 1,
      anon_sym_RPAREN,
    STATE(19392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27670), 1,
      anon_sym_RBRACK,
    STATE(19393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27672), 1,
      anon_sym_DQUOTE,
    STATE(19394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27674), 1,
      anon_sym_RBRACE,
    STATE(19395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27676), 1,
      anon_sym_DQUOTE,
    STATE(19396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27678), 1,
      anon_sym_SQUOTE2,
    STATE(19397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27680), 1,
      anon_sym_RBRACK,
    STATE(19398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10170), 1,
      anon_sym_DASH_GT,
    STATE(19399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27682), 1,
      anon_sym_RBRACE,
    STATE(19400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27684), 1,
      anon_sym_RPAREN,
    STATE(19401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RPAREN,
    STATE(19402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RBRACK,
    STATE(19403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27686), 1,
      anon_sym_RBRACE,
    STATE(19404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3641), 1,
      anon_sym_RPAREN,
    STATE(19405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27688), 1,
      anon_sym_RPAREN,
    STATE(19406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27690), 1,
      anon_sym_RPAREN,
    STATE(19407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27692), 1,
      anon_sym_in,
    STATE(19408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3667), 1,
      anon_sym_RPAREN,
    STATE(19409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27694), 1,
      anon_sym_RPAREN,
    STATE(19410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27696), 1,
      anon_sym_RPAREN,
    STATE(19411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27698), 1,
      anon_sym_in,
    STATE(19412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19474), 1,
      anon_sym_RPAREN,
    STATE(19413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27700), 1,
      anon_sym_RPAREN,
    STATE(19414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27702), 1,
      anon_sym_RPAREN,
    STATE(19415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27704), 1,
      anon_sym_in,
    STATE(19416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27706), 1,
      anon_sym_DOT,
    STATE(19417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27708), 1,
      anon_sym_in,
    STATE(19418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27710), 1,
      anon_sym_RBRACE,
    STATE(19419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27712), 1,
      aux_sym_number_token1,
    STATE(19420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27714), 1,
      anon_sym_DOT,
    STATE(19421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7895), 1,
      anon_sym_end,
    STATE(19422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27716), 1,
      anon_sym_with,
    STATE(19423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13148), 1,
      anon_sym_GT,
    STATE(19424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27718), 1,
      anon_sym_LT_DASH,
    STATE(19425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27720), 1,
      anon_sym_with,
    STATE(19426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27722), 1,
      anon_sym_DOT,
    STATE(19427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27724), 1,
      anon_sym_RBRACE,
    STATE(19428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27726), 1,
      anon_sym_SQUOTE2,
    STATE(19429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27728), 1,
      anon_sym_RBRACE,
    STATE(19430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27730), 1,
      anon_sym_RBRACE,
    STATE(19431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27732), 1,
      anon_sym_RBRACK,
    STATE(19432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27734), 1,
      anon_sym_DQUOTE,
    STATE(19433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27736), 1,
      anon_sym_SQUOTE2,
    STATE(19434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27738), 1,
      anon_sym_RBRACE,
    STATE(19435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    STATE(19436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27740), 1,
      anon_sym_with,
    STATE(19437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27742), 1,
      anon_sym_RPAREN,
    STATE(19438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27744), 1,
      anon_sym_with,
    STATE(19439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27746), 1,
      anon_sym_RBRACK,
    STATE(19440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27748), 1,
      anon_sym_with,
    STATE(19441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27750), 1,
      anon_sym_RBRACE,
    STATE(19442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [805994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27752), 1,
      anon_sym_RPAREN,
    STATE(19443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27754), 1,
      anon_sym_DOT,
    STATE(19444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27756), 1,
      anon_sym_with,
    STATE(19445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27758), 1,
      anon_sym_RBRACE,
    STATE(19446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21135), 1,
      anon_sym_end,
    STATE(19447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27760), 1,
      anon_sym_RPAREN,
    STATE(19448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19606), 1,
      anon_sym_RPAREN,
    STATE(19449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27762), 1,
      anon_sym_RBRACE,
    STATE(19450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27764), 1,
      anon_sym_GT,
    STATE(19451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27766), 1,
      anon_sym_RBRACK,
    STATE(19452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27768), 1,
      anon_sym_RBRACE,
    STATE(19453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27770), 1,
      anon_sym_RPAREN,
    STATE(19454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27772), 1,
      anon_sym_RBRACE,
    STATE(19455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27774), 1,
      anon_sym_RBRACK,
    STATE(19456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27776), 1,
      anon_sym_RBRACE,
    STATE(19457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27778), 1,
      anon_sym_RBRACE,
    STATE(19458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27780), 1,
      anon_sym_RBRACE,
    STATE(19459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27782), 1,
      anon_sym_RBRACE,
    STATE(19460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27380), 1,
      anon_sym_RBRACE,
    STATE(19461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27784), 1,
      anon_sym_RBRACE,
    STATE(19462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27786), 1,
      anon_sym_RBRACK,
    STATE(19463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27788), 1,
      anon_sym_RPAREN,
    STATE(19464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_RPAREN,
    STATE(19465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_RBRACK,
    STATE(19466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27790), 1,
      anon_sym_RBRACE,
    STATE(19467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27792), 1,
      anon_sym_DOT,
    STATE(19468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27794), 1,
      anon_sym_SQUOTE2,
    STATE(19469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27796), 1,
      anon_sym_with,
    STATE(19470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27798), 1,
      anon_sym_RBRACE,
    STATE(19471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3785), 1,
      anon_sym_RPAREN,
    STATE(19472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27800), 1,
      anon_sym_RPAREN,
    STATE(19473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23397), 1,
      anon_sym_GT_RBRACE,
    STATE(19474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27802), 1,
      anon_sym_RPAREN,
    STATE(19475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27804), 1,
      anon_sym_RBRACK,
    STATE(19476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27806), 1,
      anon_sym_RPAREN,
    STATE(19477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27808), 1,
      anon_sym_with,
    STATE(19478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27810), 1,
      anon_sym_RBRACE,
    STATE(19479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27812), 1,
      anon_sym_DOT,
    STATE(19480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27814), 1,
      anon_sym_RPAREN,
    STATE(19481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27816), 1,
      anon_sym_RPAREN,
    STATE(19482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27818), 1,
      anon_sym_RPAREN,
    STATE(19483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27820), 1,
      anon_sym_RPAREN,
    STATE(19484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27360), 1,
      anon_sym_RBRACE,
    STATE(19485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27822), 1,
      anon_sym_with,
    STATE(19486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27824), 1,
      anon_sym_DOT,
    STATE(19487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27826), 1,
      anon_sym_RPAREN,
    STATE(19488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27828), 1,
      anon_sym_with,
    STATE(19489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27830), 1,
      anon_sym_DOT,
    STATE(19490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27832), 1,
      anon_sym_RBRACK,
    STATE(19491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27834), 1,
      anon_sym_RBRACE,
    STATE(19492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27836), 1,
      anon_sym_RBRACE,
    STATE(19493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27838), 1,
      anon_sym_RBRACK,
    STATE(19494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27840), 1,
      anon_sym_RBRACK,
    STATE(19495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27842), 1,
      anon_sym_DQUOTE,
    STATE(19496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27844), 1,
      anon_sym_RPAREN,
    STATE(19497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27846), 1,
      anon_sym_RPAREN,
    STATE(19498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27848), 1,
      anon_sym_SQUOTE2,
    STATE(19499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27850), 1,
      anon_sym_with,
    STATE(19500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27852), 1,
      anon_sym_RBRACE,
    STATE(19501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27854), 1,
      anon_sym_with,
    STATE(19502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27856), 1,
      anon_sym_RBRACE,
    STATE(19503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3645), 1,
      anon_sym_RPAREN,
    STATE(19504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27858), 1,
      anon_sym_RPAREN,
    STATE(19505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27860), 1,
      anon_sym_RBRACK,
    STATE(19506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27862), 1,
      anon_sym_DOT,
    STATE(19507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27864), 1,
      anon_sym_RBRACE,
    STATE(19508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27866), 1,
      anon_sym_RBRACE,
    STATE(19509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27868), 1,
      anon_sym_RBRACE,
    STATE(19510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27870), 1,
      anon_sym_RPAREN,
    STATE(19511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19662), 1,
      anon_sym_RPAREN,
    STATE(19512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27872), 1,
      anon_sym_RPAREN,
    STATE(19513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [806988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27874), 1,
      anon_sym_RPAREN,
    STATE(19514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27876), 1,
      anon_sym_DASH_GT,
    STATE(19515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27878), 1,
      anon_sym_RBRACK,
    STATE(19516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27880), 1,
      anon_sym_RPAREN,
    STATE(19517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27882), 1,
      anon_sym_RBRACE,
    STATE(19518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27884), 1,
      anon_sym_RBRACE,
    STATE(19519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27886), 1,
      anon_sym_RPAREN,
    STATE(19520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27888), 1,
      anon_sym_RBRACK,
    STATE(19521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27890), 1,
      anon_sym_RBRACE,
    STATE(19522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27892), 1,
      anon_sym_RBRACE,
    STATE(19523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27894), 1,
      anon_sym_RBRACK,
    STATE(19524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27896), 1,
      anon_sym_DQUOTE,
    STATE(19525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27898), 1,
      anon_sym_SQUOTE2,
    STATE(19526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27900), 1,
      anon_sym_RPAREN,
    STATE(19527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_RPAREN,
    STATE(19528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_RBRACK,
    STATE(19529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27902), 1,
      anon_sym_RBRACE,
    STATE(19530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27904), 1,
      anon_sym_RBRACE,
    STATE(19531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27906), 1,
      anon_sym_RBRACE,
    STATE(19532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3663), 1,
      anon_sym_RPAREN,
    STATE(19533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27908), 1,
      anon_sym_RPAREN,
    STATE(19534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13003), 1,
      anon_sym_GT,
    STATE(19535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27910), 1,
      anon_sym_RPAREN,
    STATE(19536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27912), 1,
      anon_sym_RBRACE,
    STATE(19537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27914), 1,
      anon_sym_RPAREN,
    STATE(19538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27916), 1,
      anon_sym_DOT,
    STATE(19539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27918), 1,
      anon_sym_RPAREN,
    STATE(19540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27920), 1,
      anon_sym_RBRACK,
    STATE(19541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27922), 1,
      anon_sym_RBRACE,
    STATE(19542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27924), 1,
      anon_sym_RBRACE,
    STATE(19543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27926), 1,
      anon_sym_with,
    STATE(19544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27928), 1,
      anon_sym_with,
    STATE(19545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27930), 1,
      anon_sym_DOT,
    STATE(19546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27932), 1,
      anon_sym_RBRACE,
    STATE(19547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27934), 1,
      anon_sym_RBRACE,
    STATE(19548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27936), 1,
      anon_sym_RBRACK,
    STATE(19549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27938), 1,
      anon_sym_RBRACK,
    STATE(19550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27940), 1,
      anon_sym_DQUOTE,
    STATE(19551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27942), 1,
      anon_sym_SQUOTE2,
    STATE(19552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27944), 1,
      anon_sym_RBRACE,
    STATE(19553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27946), 1,
      anon_sym_RPAREN,
    STATE(19554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27948), 1,
      anon_sym_RPAREN,
    STATE(19555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27950), 1,
      anon_sym_with,
    STATE(19556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27952), 1,
      anon_sym_with,
    STATE(19557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27954), 1,
      anon_sym_DASH_GT,
    STATE(19558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    STATE(19559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27956), 1,
      anon_sym_RPAREN,
    STATE(19560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27958), 1,
      anon_sym_RBRACE,
    STATE(19561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27960), 1,
      anon_sym_DOT,
    STATE(19562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27962), 1,
      anon_sym_RBRACE,
    STATE(19563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27964), 1,
      anon_sym_DASH_GT,
    STATE(19564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27966), 1,
      anon_sym_DASH_GT,
    STATE(19565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27968), 1,
      anon_sym_RBRACK,
    STATE(19566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19724), 1,
      anon_sym_RPAREN,
    STATE(19567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27970), 1,
      anon_sym_RPAREN,
    STATE(19568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27972), 1,
      anon_sym_RBRACE,
    STATE(19569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RBRACE,
    STATE(19570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RBRACK,
    STATE(19571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27976), 1,
      anon_sym_end,
    STATE(19572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27974), 1,
      anon_sym_RPAREN,
    STATE(19573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27978), 1,
      anon_sym_RPAREN,
    STATE(19574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27980), 1,
      anon_sym_RPAREN,
    STATE(19575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27982), 1,
      anon_sym_DASH_GT,
    STATE(19576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27984), 1,
      anon_sym_RPAREN,
    STATE(19577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27986), 1,
      anon_sym_GT,
    STATE(19578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27988), 1,
      anon_sym_RBRACE,
    STATE(19579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27990), 1,
      anon_sym_RBRACE,
    STATE(19580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27992), 1,
      anon_sym_RBRACK,
    STATE(19581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27994), 1,
      anon_sym_RPAREN,
    STATE(19582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_RPAREN,
    STATE(19583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_RBRACK,
    STATE(19584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27996), 1,
      anon_sym_RBRACE,
    STATE(19585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [807996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27998), 1,
      anon_sym_DQUOTE,
    STATE(19586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28000), 1,
      anon_sym_SQUOTE2,
    STATE(19587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28002), 1,
      anon_sym_RBRACK,
    STATE(19588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26420), 1,
      anon_sym_RPAREN,
    STATE(19589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28004), 1,
      anon_sym_RBRACE,
    STATE(19590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19398), 1,
      anon_sym_GT,
    STATE(19591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    STATE(19592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7847), 1,
      anon_sym_end,
    STATE(19593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28006), 1,
      anon_sym_DOT,
    STATE(19594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28008), 1,
      anon_sym_RPAREN,
    STATE(19595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28010), 1,
      anon_sym_RBRACE,
    STATE(19596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28012), 1,
      anon_sym_RPAREN,
    STATE(19597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18359), 1,
      anon_sym_RPAREN,
    STATE(19598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28014), 1,
      anon_sym_with,
    STATE(19599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28016), 1,
      anon_sym_with,
    STATE(19600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28018), 1,
      anon_sym_DOT,
    STATE(19601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28020), 1,
      anon_sym_RBRACE,
    STATE(19602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28022), 1,
      anon_sym_RPAREN,
    STATE(19603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28024), 1,
      anon_sym_RBRACK,
    STATE(19604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28026), 1,
      anon_sym_RPAREN,
    STATE(19605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28028), 1,
      anon_sym_DASH_GT,
    STATE(19606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28030), 1,
      anon_sym_RBRACE,
    STATE(19607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28032), 1,
      anon_sym_RBRACE,
    STATE(19608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18429), 1,
      anon_sym_RPAREN,
    STATE(19609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28034), 1,
      anon_sym_RBRACK,
    STATE(19610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28036), 1,
      anon_sym_with,
    STATE(19611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28038), 1,
      anon_sym_with,
    STATE(19612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28040), 1,
      anon_sym_RBRACE,
    STATE(19613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7885), 1,
      anon_sym_RPAREN,
    STATE(19614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28042), 1,
      anon_sym_DQUOTE,
    STATE(19615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28044), 1,
      anon_sym_SQUOTE2,
    STATE(19616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28046), 1,
      anon_sym_DOT,
    STATE(19617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28048), 1,
      anon_sym_RBRACE,
    STATE(19618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28050), 1,
      anon_sym_RPAREN,
    STATE(19619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28052), 1,
      anon_sym_RBRACK,
    STATE(19620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28054), 1,
      anon_sym_RBRACE,
    STATE(19621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19776), 1,
      anon_sym_RPAREN,
    STATE(19622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28056), 1,
      anon_sym_RBRACE,
    STATE(19623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28058), 1,
      anon_sym_RPAREN,
    STATE(19624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3779), 1,
      anon_sym_RPAREN,
    STATE(19625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28060), 1,
      anon_sym_RBRACE,
    STATE(19626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28062), 1,
      anon_sym_RPAREN,
    STATE(19627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19514), 1,
      anon_sym_RPAREN,
    STATE(19628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28064), 1,
      anon_sym_RBRACE,
    STATE(19629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28066), 1,
      anon_sym_in,
    STATE(19630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28068), 1,
      anon_sym_RBRACK,
    STATE(19631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28070), 1,
      anon_sym_end,
    STATE(19632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28072), 1,
      anon_sym_RPAREN,
    STATE(19633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28074), 1,
      anon_sym_DASH_GT,
    STATE(19634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28076), 1,
      anon_sym_RPAREN,
    STATE(19635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28078), 1,
      anon_sym_RBRACK,
    STATE(19636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28080), 1,
      anon_sym_RPAREN,
    STATE(19637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_RPAREN,
    STATE(19638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_RBRACK,
    STATE(19639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28082), 1,
      anon_sym_RBRACE,
    STATE(19640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28084), 1,
      anon_sym_RBRACE,
    STATE(19641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28086), 1,
      anon_sym_RBRACE,
    STATE(19642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28088), 1,
      anon_sym_DASH_GT,
    STATE(19643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28090), 1,
      anon_sym_RBRACK,
    STATE(19644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28092), 1,
      anon_sym_RBRACE,
    STATE(19645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28094), 1,
      anon_sym_DQUOTE,
    STATE(19646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28096), 1,
      anon_sym_SQUOTE2,
    STATE(19647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28098), 1,
      anon_sym_DASH_GT,
    STATE(19648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28100), 1,
      anon_sym_DOT,
    STATE(19649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28102), 1,
      anon_sym_DOT,
    STATE(19650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28104), 1,
      anon_sym_RBRACE,
    STATE(19651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28106), 1,
      anon_sym_COLON2,
    STATE(19652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28108), 1,
      anon_sym_in,
    STATE(19653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28110), 1,
      anon_sym_with,
    STATE(19654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28112), 1,
      anon_sym_with,
    STATE(19655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28114), 1,
      anon_sym_DOT,
    STATE(19656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [808990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28116), 1,
      anon_sym_RBRACE,
    STATE(19657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3801), 1,
      anon_sym_RPAREN,
    STATE(19658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9969), 1,
      anon_sym_DASH_GT,
    STATE(19659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28118), 1,
      anon_sym_RPAREN,
    STATE(19660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28120), 1,
      anon_sym_RPAREN,
    STATE(19661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28122), 1,
      anon_sym_RPAREN,
    STATE(19662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28124), 1,
      anon_sym_with,
    STATE(19663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28126), 1,
      anon_sym_RPAREN,
    STATE(19664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28128), 1,
      anon_sym_LT_DASH,
    STATE(19665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28130), 1,
      anon_sym_with,
    STATE(19666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28132), 1,
      anon_sym_with,
    STATE(19667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28134), 1,
      anon_sym_with,
    STATE(19668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28136), 1,
      anon_sym_RPAREN,
    STATE(19669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28138), 1,
      anon_sym_RBRACK,
    STATE(19670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15445), 1,
      anon_sym_DASH_GT,
    STATE(19671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28140), 1,
      anon_sym_DOT,
    STATE(19672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28142), 1,
      anon_sym_RBRACE,
    STATE(19673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28144), 1,
      aux_sym_number_token1,
    STATE(19674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28146), 1,
      anon_sym_in,
    STATE(19675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28148), 1,
      anon_sym_RBRACE,
    STATE(19676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19808), 1,
      anon_sym_RPAREN,
    STATE(19677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28150), 1,
      anon_sym_RBRACE,
    STATE(19678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28152), 1,
      anon_sym_RBRACK,
    STATE(19679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28154), 1,
      anon_sym_DQUOTE,
    STATE(19680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28156), 1,
      anon_sym_RBRACE,
    STATE(19681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28158), 1,
      anon_sym_SQUOTE2,
    STATE(19682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28160), 1,
      anon_sym_RBRACE,
    STATE(19683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28162), 1,
      anon_sym_in,
    STATE(19684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28164), 1,
      anon_sym_RBRACE,
    STATE(19685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28166), 1,
      sym__lowercase_identifier,
    STATE(19686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28168), 1,
      anon_sym_in,
    STATE(19687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3687), 1,
      anon_sym_RPAREN,
    STATE(19688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28170), 1,
      anon_sym_RPAREN,
    STATE(19689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28172), 1,
      anon_sym_RBRACK,
    STATE(19690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28174), 1,
      anon_sym_RBRACE,
    STATE(19691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28176), 1,
      anon_sym_RPAREN,
    STATE(19692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RPAREN,
    STATE(19693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RBRACK,
    STATE(19694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28178), 1,
      anon_sym_RBRACE,
    STATE(19695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28180), 1,
      anon_sym_RPAREN,
    STATE(19696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27178), 1,
      anon_sym_RBRACE,
    STATE(19697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28182), 1,
      anon_sym_RPAREN,
    STATE(19698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28184), 1,
      anon_sym_DOT,
    STATE(19699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28186), 1,
      anon_sym_with,
    STATE(19700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28188), 1,
      sym__lowercase_identifier,
    STATE(19701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28190), 1,
      anon_sym_RBRACE,
    STATE(19702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28192), 1,
      anon_sym_RPAREN,
    STATE(19703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28194), 1,
      anon_sym_DOT,
    STATE(19704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28196), 1,
      anon_sym_DQUOTE,
    STATE(19705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28198), 1,
      anon_sym_with,
    STATE(19706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28200), 1,
      anon_sym_SQUOTE2,
    STATE(19707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21488), 1,
      anon_sym_end,
    STATE(19708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28202), 1,
      anon_sym_with,
    STATE(19709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28204), 1,
      anon_sym_with,
    STATE(19710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28206), 1,
      anon_sym_DOT,
    STATE(19711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28208), 1,
      anon_sym_RBRACE,
    STATE(19712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28210), 1,
      anon_sym_RBRACK,
    STATE(19713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28212), 1,
      anon_sym_DQUOTE,
    STATE(19714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23004), 1,
      anon_sym_GT_RBRACE,
    STATE(19715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28214), 1,
      anon_sym_SQUOTE2,
    STATE(19716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28216), 1,
      anon_sym_RBRACE,
    STATE(19717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    STATE(19718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28218), 1,
      anon_sym_RBRACE,
    STATE(19719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28220), 1,
      anon_sym_RPAREN,
    STATE(19720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28222), 1,
      anon_sym_with,
    STATE(19721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28224), 1,
      anon_sym_with,
    STATE(19722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28226), 1,
      anon_sym_RPAREN,
    STATE(19723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12863), 1,
      anon_sym_GT,
    STATE(19724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28228), 1,
      sym__lowercase_identifier,
    STATE(19725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28230), 1,
      anon_sym_RPAREN,
    STATE(19726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28232), 1,
      anon_sym_DOT,
    STATE(19727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3643), 1,
      anon_sym_RPAREN,
    STATE(19728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [809998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3709), 1,
      anon_sym_RPAREN,
    STATE(19729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28234), 1,
      anon_sym_DOT,
    STATE(19730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28236), 1,
      anon_sym_in,
    STATE(19731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19846), 1,
      anon_sym_RPAREN,
    STATE(19732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19251), 1,
      anon_sym_GT,
    STATE(19733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28238), 1,
      anon_sym_in,
    STATE(19734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3649), 1,
      anon_sym_RPAREN,
    STATE(19735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28240), 1,
      anon_sym_RBRACK,
    STATE(19736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28242), 1,
      anon_sym_RBRACE,
    STATE(19737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28244), 1,
      anon_sym_RBRACE,
    STATE(19738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28246), 1,
      anon_sym_RPAREN,
    STATE(19739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28248), 1,
      anon_sym_in,
    STATE(19740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28250), 1,
      anon_sym_RPAREN,
    STATE(19741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28252), 1,
      anon_sym_in,
    STATE(19742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28254), 1,
      anon_sym_DASH_GT,
    STATE(19743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28256), 1,
      anon_sym_in,
    STATE(19744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28258), 1,
      anon_sym_RPAREN,
    STATE(19745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28260), 1,
      aux_sym_number_token1,
    STATE(19746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28262), 1,
      anon_sym_RPAREN,
    STATE(19747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_RPAREN,
    STATE(19748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_RBRACK,
    STATE(19749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28264), 1,
      anon_sym_RBRACE,
    STATE(19750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28266), 1,
      anon_sym_RBRACE,
    STATE(19751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28268), 1,
      anon_sym_in,
    STATE(19752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28270), 1,
      anon_sym_RBRACE,
    STATE(19753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6107), 1,
      anon_sym_end,
    STATE(19754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28272), 1,
      anon_sym_RPAREN,
    STATE(19755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28274), 1,
      anon_sym_LT_DASH,
    STATE(19756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28276), 1,
      anon_sym_RBRACE,
    STATE(19757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28278), 1,
      anon_sym_RBRACE,
    STATE(19758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28280), 1,
      anon_sym_DOT,
    STATE(19759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28282), 1,
      anon_sym_RBRACK,
    STATE(19760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27314), 1,
      anon_sym_RBRACE,
    STATE(19761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28284), 1,
      anon_sym_in,
    STATE(19762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28286), 1,
      anon_sym_RBRACK,
    STATE(19763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28288), 1,
      anon_sym_with,
    STATE(19764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28290), 1,
      anon_sym_with,
    STATE(19765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28292), 1,
      anon_sym_DOT,
    STATE(19766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28294), 1,
      anon_sym_end,
    STATE(19767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28296), 1,
      anon_sym_DQUOTE,
    STATE(19768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28298), 1,
      anon_sym_SQUOTE2,
    STATE(19769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28300), 1,
      anon_sym_RBRACE,
    STATE(19770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28302), 1,
      anon_sym_RPAREN,
    STATE(19771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28304), 1,
      anon_sym_RBRACE,
    STATE(19772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28306), 1,
      anon_sym_with,
    STATE(19773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28308), 1,
      anon_sym_with,
    STATE(19774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28310), 1,
      anon_sym_RPAREN,
    STATE(19775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(19776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28312), 1,
      anon_sym_RPAREN,
    STATE(19777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28314), 1,
      anon_sym_in,
    STATE(19778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28316), 1,
      anon_sym_DOT,
    STATE(19779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23519), 1,
      anon_sym_GT_RBRACE,
    STATE(19780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28318), 1,
      anon_sym_LT_DASH,
    STATE(19781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21187), 1,
      anon_sym_end,
    STATE(19782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28320), 1,
      anon_sym_SQUOTE2,
    STATE(19783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19876), 1,
      anon_sym_RPAREN,
    STATE(19784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28322), 1,
      anon_sym_DQUOTE,
    STATE(19785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28324), 1,
      anon_sym_RPAREN,
    STATE(19786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28326), 1,
      sym__lowercase_identifier,
    STATE(19787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28328), 1,
      anon_sym_RPAREN,
    STATE(19788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28330), 1,
      anon_sym_RPAREN,
    STATE(19789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28332), 1,
      anon_sym_of,
    STATE(19790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28334), 1,
      anon_sym_RPAREN,
    STATE(19791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RPAREN,
    STATE(19792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RBRACK,
    STATE(19793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28336), 1,
      anon_sym_RBRACE,
    STATE(19794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28338), 1,
      anon_sym_RPAREN,
    STATE(19795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28340), 1,
      anon_sym_DOT,
    STATE(19796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28342), 1,
      anon_sym_RPAREN,
    STATE(19797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28344), 1,
      anon_sym_RPAREN,
    STATE(19798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28346), 1,
      anon_sym_DOT,
    STATE(19799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [810992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28348), 1,
      anon_sym_RPAREN,
    STATE(19800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28350), 1,
      anon_sym_DOT,
    STATE(19801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28352), 1,
      anon_sym_RBRACE,
    STATE(19802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18114), 1,
      anon_sym_DASH_GT,
    STATE(19803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28354), 1,
      anon_sym_RPAREN,
    STATE(19804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28356), 1,
      anon_sym_GT,
    STATE(19805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28358), 1,
      anon_sym_with,
    STATE(19806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28360), 1,
      anon_sym_with,
    STATE(19807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28362), 1,
      anon_sym_DOT,
    STATE(19808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28364), 1,
      anon_sym_RBRACE,
    STATE(19809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28366), 1,
      anon_sym_RBRACE,
    STATE(19810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28368), 1,
      anon_sym_RBRACK,
    STATE(19811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10152), 1,
      anon_sym_DASH_GT,
    STATE(19812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28370), 1,
      anon_sym_DOT,
    STATE(19813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28372), 1,
      anon_sym_DASH_GT,
    STATE(19814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28374), 1,
      anon_sym_with,
    STATE(19815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28376), 1,
      anon_sym_with,
    STATE(19816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28378), 1,
      anon_sym_RBRACE,
    STATE(19817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28380), 1,
      anon_sym_RBRACE,
    STATE(19818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28382), 1,
      anon_sym_DASH_GT,
    STATE(19819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27084), 1,
      anon_sym_RBRACE,
    STATE(19820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28384), 1,
      anon_sym_DOT,
    STATE(19821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28386), 1,
      anon_sym_DASH_GT,
    STATE(19822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_RBRACE,
    STATE(19823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_RBRACK,
    STATE(19824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28390), 1,
      anon_sym_RPAREN,
    STATE(19825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19886), 1,
      anon_sym_RPAREN,
    STATE(19826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28392), 1,
      anon_sym_DQUOTE,
    STATE(19827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28388), 1,
      anon_sym_RPAREN,
    STATE(19828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28394), 1,
      anon_sym_SQUOTE2,
    STATE(19829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28396), 1,
      anon_sym_RPAREN,
    STATE(19830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12983), 1,
      anon_sym_GT,
    STATE(19831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28398), 1,
      anon_sym_RPAREN,
    STATE(19832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RPAREN,
    STATE(19833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RBRACK,
    STATE(19834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28400), 1,
      anon_sym_RBRACE,
    STATE(19835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28402), 1,
      anon_sym_RPAREN,
    STATE(19836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28404), 1,
      anon_sym_RBRACK,
    STATE(19837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28406), 1,
      anon_sym_RBRACE,
    STATE(19838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28408), 1,
      anon_sym_RBRACE,
    STATE(19839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28410), 1,
      anon_sym_RPAREN,
    STATE(19840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28412), 1,
      anon_sym_RPAREN,
    STATE(19841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28414), 1,
      anon_sym_DOT,
    STATE(19842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28416), 1,
      anon_sym_RPAREN,
    STATE(19843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28418), 1,
      anon_sym_RBRACE,
    STATE(19844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28420), 1,
      anon_sym_DASH_GT,
    STATE(19845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28422), 1,
      anon_sym_with,
    STATE(19846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28424), 1,
      anon_sym_with,
    STATE(19847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28426), 1,
      anon_sym_with,
    STATE(19848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28428), 1,
      anon_sym_DOT,
    STATE(19849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28430), 1,
      anon_sym_RPAREN,
    STATE(19850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28432), 1,
      anon_sym_DASH_GT,
    STATE(19851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28434), 1,
      anon_sym_DOT,
    STATE(19852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28436), 1,
      anon_sym_RPAREN,
    STATE(19853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28438), 1,
      anon_sym_RPAREN,
    STATE(19854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28440), 1,
      anon_sym_RBRACE,
    STATE(19855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28442), 1,
      anon_sym_with,
    STATE(19856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28444), 1,
      anon_sym_with,
    STATE(19857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28446), 1,
      anon_sym_DASH_GT,
    STATE(19858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28448), 1,
      anon_sym_RBRACK,
    STATE(19859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28450), 1,
      anon_sym_RPAREN,
    STATE(19860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_RBRACK,
    STATE(19861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28454), 1,
      anon_sym_DOT,
    STATE(19862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_RBRACE,
    STATE(19863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28456), 1,
      anon_sym_RPAREN,
    STATE(19864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28458), 1,
      anon_sym_with,
    STATE(19865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28460), 1,
      anon_sym_end,
    STATE(19866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19898), 1,
      anon_sym_RPAREN,
    STATE(19867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28462), 1,
      anon_sym_RPAREN,
    STATE(19868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19612), 1,
      anon_sym_RPAREN,
    STATE(19869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(27042), 1,
      anon_sym_RBRACE,
    STATE(19870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [811986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28464), 1,
      anon_sym_RPAREN,
    STATE(19871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19179), 1,
      sym__uppercase_identifier,
    STATE(19872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28466), 1,
      anon_sym_RPAREN,
    STATE(19873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RPAREN,
    STATE(19874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RBRACK,
    STATE(19875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28468), 1,
      anon_sym_RBRACE,
    STATE(19876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28470), 1,
      anon_sym_RBRACE,
    STATE(19877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28472), 1,
      anon_sym_RBRACK,
    STATE(19878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28474), 1,
      anon_sym_RPAREN,
    STATE(19879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28476), 1,
      anon_sym_RPAREN,
    STATE(19880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28478), 1,
      anon_sym_RPAREN,
    STATE(19881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28480), 1,
      anon_sym_RBRACE,
    STATE(19882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28482), 1,
      anon_sym_DOT,
    STATE(19883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28484), 1,
      anon_sym_RPAREN,
    STATE(19884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28486), 1,
      anon_sym_GT,
    STATE(19885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28488), 1,
      anon_sym_DASH_GT,
    STATE(19886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28490), 1,
      anon_sym_DASH_GT,
    STATE(19887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28492), 1,
      anon_sym_with,
    STATE(19888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28494), 1,
      anon_sym_with,
    STATE(19889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28496), 1,
      anon_sym_DOT,
    STATE(19890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28498), 1,
      anon_sym_RBRACE,
    STATE(19891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28500), 1,
      anon_sym_RBRACK,
    STATE(19892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28502), 1,
      anon_sym_RPAREN,
    STATE(19893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28504), 1,
      anon_sym_RBRACE,
    STATE(19894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28506), 1,
      anon_sym_RPAREN,
    STATE(19895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28508), 1,
      anon_sym_RBRACE,
    STATE(19896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28510), 1,
      anon_sym_with,
    STATE(19897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28512), 1,
      anon_sym_with,
    STATE(19898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28514), 1,
      anon_sym_DOT,
    STATE(19899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28516), 1,
      anon_sym_DASH_GT,
    STATE(19900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28518), 1,
      anon_sym_GT,
    STATE(19901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28520), 1,
      anon_sym_RPAREN,
    STATE(19902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28522), 1,
      anon_sym_DOT,
    STATE(19903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13033), 1,
      anon_sym_GT,
    STATE(19904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18277), 1,
      anon_sym_RPAREN,
    STATE(19905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28524), 1,
      anon_sym_with,
    STATE(19906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18234), 1,
      anon_sym_RPAREN,
    STATE(19907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19928), 1,
      anon_sym_RPAREN,
    STATE(19908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28526), 1,
      anon_sym_RBRACE,
    STATE(19909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28528), 1,
      anon_sym_RPAREN,
    STATE(19910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28530), 1,
      anon_sym_RBRACK,
    STATE(19911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28532), 1,
      anon_sym_end,
    STATE(19912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28534), 1,
      anon_sym_with,
    STATE(19913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28536), 1,
      anon_sym_RPAREN,
    STATE(19914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_RPAREN,
    STATE(19915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_RBRACK,
    STATE(19916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28538), 1,
      anon_sym_RBRACE,
    STATE(19917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9965), 1,
      anon_sym_DASH_GT,
    STATE(19918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28540), 1,
      anon_sym_RBRACE,
    STATE(19919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20365), 1,
      anon_sym_DASH_GT,
    STATE(19920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28542), 1,
      sym__lowercase_identifier,
    STATE(19921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28544), 1,
      anon_sym_RBRACK,
    STATE(19922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28546), 1,
      sym__lowercase_identifier,
    STATE(19923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28548), 1,
      anon_sym_DOT,
    STATE(19924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28550), 1,
      anon_sym_LT_DASH,
    STATE(19925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28552), 1,
      anon_sym_in,
    STATE(19926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28554), 1,
      anon_sym_DQUOTE,
    STATE(19927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28556), 1,
      anon_sym_RPAREN,
    STATE(19928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28558), 1,
      anon_sym_with,
    STATE(19929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28560), 1,
      anon_sym_with,
    STATE(19930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28562), 1,
      anon_sym_DOT,
    STATE(19931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28564), 1,
      anon_sym_with,
    STATE(19932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28566), 1,
      anon_sym_SQUOTE2,
    STATE(19933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28568), 1,
      anon_sym_in,
    STATE(19934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21656), 1,
      anon_sym_end,
    STATE(19935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22805), 1,
      anon_sym_GT_RBRACE,
    STATE(19936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28570), 1,
      anon_sym_in,
    STATE(19937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28572), 1,
      anon_sym_with,
    STATE(19938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28574), 1,
      anon_sym_with,
    STATE(19939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19239), 1,
      anon_sym_GT,
    STATE(19940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28576), 1,
      anon_sym_RPAREN,
    STATE(19941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28578), 1,
      anon_sym_RPAREN,
    STATE(19942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [812994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28580), 1,
      anon_sym_RBRACE,
    STATE(19943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28582), 1,
      anon_sym_DOT,
    STATE(19944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28584), 1,
      anon_sym_COMMA,
    STATE(19945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28586), 1,
      anon_sym_with,
    STATE(19946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28588), 1,
      anon_sym_DASH_GT,
    STATE(19947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28590), 1,
      anon_sym_RPAREN,
    STATE(19948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19954), 1,
      anon_sym_RPAREN,
    STATE(19949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28592), 1,
      anon_sym_in,
    STATE(19950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28594), 1,
      anon_sym_DOT,
    STATE(19951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28596), 1,
      anon_sym_with,
    STATE(19952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3783), 1,
      anon_sym_RPAREN,
    STATE(19953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28598), 1,
      anon_sym_RPAREN,
    STATE(19954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28600), 1,
      anon_sym_RPAREN,
    STATE(19955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_RPAREN,
    STATE(19956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_RBRACK,
    STATE(19957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28602), 1,
      anon_sym_RBRACE,
    STATE(19958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28604), 1,
      anon_sym_RPAREN,
    STATE(19959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28606), 1,
      anon_sym_in,
    STATE(19960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28608), 1,
      anon_sym_in,
    STATE(19961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28610), 1,
      anon_sym_RPAREN,
    STATE(19962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28612), 1,
      anon_sym_in,
    STATE(19963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28614), 1,
      anon_sym_RBRACE,
    STATE(19964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28616), 1,
      anon_sym_DOT,
    STATE(19965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28618), 1,
      anon_sym_RBRACK,
    STATE(19966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28620), 1,
      anon_sym_DOT,
    STATE(19967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28622), 1,
      anon_sym_DOT_DOT,
    STATE(19968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28624), 1,
      anon_sym_DOT_DOT,
    STATE(19969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28626), 1,
      anon_sym_with,
    STATE(19970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28628), 1,
      anon_sym_with,
    STATE(19971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28630), 1,
      anon_sym_DOT,
    STATE(19972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28632), 1,
      anon_sym_DOT_DOT,
    STATE(19973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28634), 1,
      anon_sym_with,
    STATE(19974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28636), 1,
      anon_sym_RPAREN,
    STATE(19975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28638), 1,
      anon_sym_RBRACK,
    STATE(19976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    STATE(19977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28640), 1,
      anon_sym_in,
    STATE(19978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28642), 1,
      anon_sym_with,
    STATE(19979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28644), 1,
      anon_sym_with,
    STATE(19980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28646), 1,
      anon_sym_RPAREN,
    STATE(19981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28648), 1,
      anon_sym_RBRACK,
    STATE(19982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10054), 1,
      anon_sym_DASH_GT,
    STATE(19983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28650), 1,
      anon_sym_RBRACE,
    STATE(19984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28652), 1,
      anon_sym_DOT,
    STATE(19985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28654), 1,
      anon_sym_RBRACK,
    STATE(19986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28656), 1,
      anon_sym_DOT,
    STATE(19987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28658), 1,
      anon_sym_RPAREN,
    STATE(19988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28660), 1,
      anon_sym_RBRACE,
    STATE(19989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19964), 1,
      anon_sym_RPAREN,
    STATE(19990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28662), 1,
      anon_sym_RBRACE,
    STATE(19991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28664), 1,
      anon_sym_RPAREN,
    STATE(19992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28666), 1,
      anon_sym_DASH_GT,
    STATE(19993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28668), 1,
      anon_sym_RPAREN,
    STATE(19994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28670), 1,
      anon_sym_RBRACE,
    STATE(19995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28672), 1,
      anon_sym_RPAREN,
    STATE(19996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RPAREN,
    STATE(19997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RBRACK,
    STATE(19998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28674), 1,
      anon_sym_RBRACE,
    STATE(19999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28676), 1,
      anon_sym_RBRACK,
    STATE(20000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28678), 1,
      anon_sym_RPAREN,
    STATE(20001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28680), 1,
      anon_sym_RPAREN,
    STATE(20002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28682), 1,
      anon_sym_RPAREN,
    STATE(20003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28684), 1,
      anon_sym_RPAREN,
    STATE(20004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28686), 1,
      anon_sym_RPAREN,
    STATE(20005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28688), 1,
      anon_sym_DOT,
    STATE(20006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25940), 1,
      anon_sym_RPAREN,
    STATE(20007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28690), 1,
      anon_sym_RBRACK,
    STATE(20008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28692), 1,
      anon_sym_RPAREN,
    STATE(20009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28694), 1,
      anon_sym_RBRACE,
    STATE(20010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28696), 1,
      anon_sym_with,
    STATE(20011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28698), 1,
      anon_sym_with,
    STATE(20012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28700), 1,
      anon_sym_DOT,
    STATE(20013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [813988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28702), 1,
      anon_sym_RBRACK,
    STATE(20014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28704), 1,
      anon_sym_RPAREN,
    STATE(20015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28706), 1,
      anon_sym_RBRACE,
    STATE(20016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19183), 1,
      anon_sym_GT,
    STATE(20017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22722), 1,
      anon_sym_GT_RBRACE,
    STATE(20018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21685), 1,
      anon_sym_end,
    STATE(20019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28708), 1,
      anon_sym_with,
    STATE(20020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28710), 1,
      anon_sym_with,
    STATE(20021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28712), 1,
      anon_sym_DOT,
    STATE(20022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28714), 1,
      anon_sym_RBRACE,
    STATE(20023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28716), 1,
      anon_sym_DASH_GT,
    STATE(20024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28452), 1,
      anon_sym_RPAREN,
    STATE(20025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28718), 1,
      anon_sym_DOT,
    STATE(20026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28720), 1,
      anon_sym_RPAREN,
    STATE(20027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28722), 1,
      anon_sym_RPAREN,
    STATE(20028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28724), 1,
      anon_sym_RPAREN,
    STATE(20029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28726), 1,
      anon_sym_SQUOTE2,
    STATE(20030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20012), 1,
      anon_sym_RPAREN,
    STATE(20031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28728), 1,
      anon_sym_DQUOTE,
    STATE(20032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28730), 1,
      anon_sym_RBRACK,
    STATE(20033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28732), 1,
      anon_sym_RBRACE,
    STATE(20034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28734), 1,
      anon_sym_RPAREN,
    STATE(20035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18168), 1,
      anon_sym_RPAREN,
    STATE(20036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28736), 1,
      anon_sym_RPAREN,
    STATE(20037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_RPAREN,
    STATE(20038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_RBRACK,
    STATE(20039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28738), 1,
      anon_sym_RBRACE,
    STATE(20040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28740), 1,
      sym__lowercase_identifier,
    STATE(20041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28742), 1,
      anon_sym_RPAREN,
    STATE(20042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28744), 1,
      anon_sym_RBRACE,
    STATE(20043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28746), 1,
      anon_sym_RPAREN,
    STATE(20044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28748), 1,
      anon_sym_RBRACK,
    STATE(20045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28750), 1,
      anon_sym_end,
    STATE(20046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28752), 1,
      anon_sym_DOT,
    STATE(20047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2105), 1,
      anon_sym_COLON_COLON,
    STATE(20048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28754), 1,
      anon_sym_DOT,
    STATE(20049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28756), 1,
      anon_sym_DASH_GT,
    STATE(20050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28758), 1,
      anon_sym_DASH_GT,
    STATE(20051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28760), 1,
      anon_sym_with,
    STATE(20052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28762), 1,
      anon_sym_with,
    STATE(20053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28764), 1,
      anon_sym_DOT,
    STATE(20054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28766), 1,
      anon_sym_type,
    STATE(20055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28768), 1,
      anon_sym_in,
    STATE(20056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28770), 1,
      anon_sym_DASH_GT,
    STATE(20057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18198), 1,
      anon_sym_RPAREN,
    STATE(20058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28772), 1,
      anon_sym_RBRACE,
    STATE(20059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28774), 1,
      sym__lowercase_identifier,
    STATE(20060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28776), 1,
      anon_sym_with,
    STATE(20061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28778), 1,
      anon_sym_with,
    STATE(20062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28780), 1,
      anon_sym_DASH_GT,
    STATE(20063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10028), 1,
      anon_sym_DASH_GT,
    STATE(20064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7847), 1,
      anon_sym_RPAREN,
    STATE(20065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28782), 1,
      anon_sym_RBRACK,
    STATE(20066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28784), 1,
      anon_sym_DOT,
    STATE(20067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28786), 1,
      anon_sym_DASH_GT,
    STATE(20068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_RBRACE,
    STATE(20069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_RBRACK,
    STATE(20070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28790), 1,
      anon_sym_DQUOTE,
    STATE(20071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20026), 1,
      anon_sym_RPAREN,
    STATE(20072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28792), 1,
      anon_sym_SQUOTE2,
    STATE(20073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28788), 1,
      anon_sym_RPAREN,
    STATE(20074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28794), 1,
      anon_sym_RPAREN,
    STATE(20075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28796), 1,
      anon_sym_RBRACK,
    STATE(20076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21811), 1,
      anon_sym_end,
    STATE(20077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28798), 1,
      anon_sym_RPAREN,
    STATE(20078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RPAREN,
    STATE(20079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RBRACK,
    STATE(20080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28800), 1,
      anon_sym_RBRACE,
    STATE(20081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22659), 1,
      anon_sym_GT_RBRACE,
    STATE(20082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28802), 1,
      anon_sym_RBRACE,
    STATE(20083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28804), 1,
      anon_sym_RBRACK,
    STATE(20084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28806), 1,
      anon_sym_RPAREN,
    STATE(20085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [814996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28808), 1,
      anon_sym_RPAREN,
    STATE(20086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28810), 1,
      anon_sym_RBRACE,
    STATE(20087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28812), 1,
      anon_sym_DOT,
    STATE(20088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28814), 1,
      anon_sym_in,
    STATE(20089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28816), 1,
      anon_sym_RBRACK,
    STATE(20090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12931), 1,
      anon_sym_GT,
    STATE(20091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28818), 1,
      anon_sym_RPAREN,
    STATE(20092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28820), 1,
      anon_sym_with,
    STATE(20093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28822), 1,
      anon_sym_with,
    STATE(20094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28824), 1,
      anon_sym_DOT,
    STATE(20095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28826), 1,
      anon_sym_RBRACE,
    STATE(20096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28828), 1,
      anon_sym_DASH_GT,
    STATE(20097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3759), 1,
      anon_sym_RPAREN,
    STATE(20098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28830), 1,
      anon_sym_RBRACE,
    STATE(20099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_RPAREN,
    STATE(20100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28834), 1,
      anon_sym_RPAREN,
    STATE(20101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28836), 1,
      anon_sym_with,
    STATE(20102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28838), 1,
      anon_sym_with,
    STATE(20103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28840), 1,
      anon_sym_RPAREN,
    STATE(20104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28842), 1,
      anon_sym_in,
    STATE(20105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28844), 1,
      anon_sym_end,
    STATE(20106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28846), 1,
      anon_sym_in,
    STATE(20107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28848), 1,
      anon_sym_DOT,
    STATE(20108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28850), 1,
      anon_sym_DASH_GT,
    STATE(20109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28852), 1,
      anon_sym_RBRACE,
    STATE(20110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19754), 1,
      anon_sym_RPAREN,
    STATE(20111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22490), 1,
      anon_sym_GT_RBRACE,
    STATE(20112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20074), 1,
      anon_sym_RPAREN,
    STATE(20113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28854), 1,
      anon_sym_GT,
    STATE(20114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28856), 1,
      anon_sym_RPAREN,
    STATE(20115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28858), 1,
      anon_sym_in,
    STATE(20116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28860), 1,
      anon_sym_DASH_GT,
    STATE(20117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28862), 1,
      anon_sym_end,
    STATE(20118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28864), 1,
      anon_sym_RPAREN,
    STATE(20119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_RPAREN,
    STATE(20120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_RBRACK,
    STATE(20121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28866), 1,
      anon_sym_RBRACE,
    STATE(20122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28868), 1,
      anon_sym_RBRACK,
    STATE(20123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19736), 1,
      anon_sym_RPAREN,
    STATE(20124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28870), 1,
      anon_sym_DASH_GT,
    STATE(20125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28872), 1,
      anon_sym_RBRACE,
    STATE(20126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28874), 1,
      anon_sym_RPAREN,
    STATE(20127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10068), 1,
      anon_sym_DASH_GT,
    STATE(20128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28876), 1,
      anon_sym_DOT,
    STATE(20129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18431), 1,
      anon_sym_RPAREN,
    STATE(20130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28878), 1,
      anon_sym_DASH_GT,
    STATE(20131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28880), 1,
      anon_sym_RBRACE,
    STATE(20132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28882), 1,
      anon_sym_DASH_GT,
    STATE(20133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28884), 1,
      anon_sym_with,
    STATE(20134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28886), 1,
      anon_sym_with,
    STATE(20135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28888), 1,
      anon_sym_DOT,
    STATE(20136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28890), 1,
      anon_sym_RPAREN,
    STATE(20137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28892), 1,
      anon_sym_RBRACE,
    STATE(20138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28894), 1,
      anon_sym_RBRACK,
    STATE(20139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28896), 1,
      anon_sym_RPAREN,
    STATE(20140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28898), 1,
      anon_sym_RPAREN,
    STATE(20141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28900), 1,
      anon_sym_in,
    STATE(20142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28902), 1,
      anon_sym_with,
    STATE(20143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28904), 1,
      anon_sym_with,
    STATE(20144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28906), 1,
      anon_sym_DOT,
    STATE(20145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19334), 1,
      anon_sym_GT,
    STATE(20146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(16680), 1,
      anon_sym_DASH_GT,
    STATE(20147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28908), 1,
      anon_sym_RPAREN,
    STATE(20148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28910), 1,
      anon_sym_DOT,
    STATE(20149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28912), 1,
      anon_sym_with,
    STATE(20150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28914), 1,
      anon_sym_DASH_GT,
    STATE(20151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28916), 1,
      anon_sym_with,
    STATE(20152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28918), 1,
      anon_sym_RPAREN,
    STATE(20153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20032), 1,
      anon_sym_RPAREN,
    STATE(20154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18275), 1,
      anon_sym_RPAREN,
    STATE(20155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28920), 1,
      anon_sym_LT_DASH,
    STATE(20156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [815990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28922), 1,
      anon_sym_RPAREN,
    STATE(20157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28924), 1,
      anon_sym_RBRACE,
    STATE(20158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28926), 1,
      anon_sym_RBRACK,
    STATE(20159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28928), 1,
      anon_sym_RPAREN,
    STATE(20160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_RPAREN,
    STATE(20161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_RBRACK,
    STATE(20162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28930), 1,
      anon_sym_RBRACE,
    STATE(20163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28932), 1,
      anon_sym_RBRACE,
    STATE(20164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28934), 1,
      anon_sym_RBRACK,
    STATE(20165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28936), 1,
      anon_sym_RPAREN,
    STATE(20166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28938), 1,
      anon_sym_RBRACE,
    STATE(20167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6117), 1,
      anon_sym_end,
    STATE(20168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28940), 1,
      anon_sym_DASH_GT,
    STATE(20169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28942), 1,
      anon_sym_DOT,
    STATE(20170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28944), 1,
      anon_sym_end,
    STATE(20171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28946), 1,
      aux_sym_number_token1,
    STATE(20172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28948), 1,
      anon_sym_in,
    STATE(20173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28950), 1,
      sym__lowercase_identifier,
    STATE(20174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28952), 1,
      anon_sym_with,
    STATE(20175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28954), 1,
      anon_sym_with,
    STATE(20176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28956), 1,
      anon_sym_DOT,
    STATE(20177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28958), 1,
      anon_sym_done,
    STATE(20178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19354), 1,
      anon_sym_GT,
    STATE(20179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28960), 1,
      anon_sym_RPAREN,
    STATE(20180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28962), 1,
      anon_sym_DQUOTE,
    STATE(20181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18138), 1,
      anon_sym_RPAREN,
    STATE(20182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28964), 1,
      anon_sym_RBRACE,
    STATE(20183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28966), 1,
      anon_sym_with,
    STATE(20184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28968), 1,
      anon_sym_with,
    STATE(20185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28970), 1,
      anon_sym_DASH_GT,
    STATE(20186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28972), 1,
      anon_sym_SQUOTE2,
    STATE(20187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21983), 1,
      anon_sym_end,
    STATE(20188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28974), 1,
      anon_sym_RBRACK,
    STATE(20189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28976), 1,
      anon_sym_DOT,
    STATE(20190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28978), 1,
      anon_sym_DOT,
    STATE(20191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28980), 1,
      anon_sym_with,
    STATE(20192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28982), 1,
      anon_sym_in,
    STATE(20193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22544), 1,
      anon_sym_GT_RBRACE,
    STATE(20194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19968), 1,
      anon_sym_RPAREN,
    STATE(20195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28984), 1,
      anon_sym_end,
    STATE(20196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28986), 1,
      anon_sym_RPAREN,
    STATE(20197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28988), 1,
      anon_sym_with,
    STATE(20198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3781), 1,
      anon_sym_RPAREN,
    STATE(20199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28990), 1,
      anon_sym_DASH_GT,
    STATE(20200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28992), 1,
      anon_sym_RPAREN,
    STATE(20201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_RPAREN,
    STATE(20202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_RBRACK,
    STATE(20203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28994), 1,
      anon_sym_RBRACE,
    STATE(20204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28996), 1,
      anon_sym_RBRACE,
    STATE(20205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10144), 1,
      anon_sym_DASH_GT,
    STATE(20206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28998), 1,
      anon_sym_DASH_GT,
    STATE(20207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29000), 1,
      anon_sym_RPAREN,
    STATE(20208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29002), 1,
      anon_sym_RBRACK,
    STATE(20209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29004), 1,
      anon_sym_RBRACE,
    STATE(20210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29006), 1,
      anon_sym_DOT,
    STATE(20211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29008), 1,
      anon_sym_RBRACE,
    STATE(20212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29010), 1,
      anon_sym_DOT,
    STATE(20213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29012), 1,
      anon_sym_in,
    STATE(20214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29014), 1,
      anon_sym_with,
    STATE(20215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29016), 1,
      anon_sym_with,
    STATE(20216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29018), 1,
      anon_sym_DOT,
    STATE(20217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29020), 1,
      anon_sym_RPAREN,
    STATE(20218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29022), 1,
      sym__lowercase_identifier,
    STATE(20219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29024), 1,
      anon_sym_DOT,
    STATE(20220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29026), 1,
      anon_sym_in,
    STATE(20221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29028), 1,
      anon_sym_DQUOTE,
    STATE(20222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29030), 1,
      anon_sym_SQUOTE2,
    STATE(20223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29032), 1,
      anon_sym_with,
    STATE(20224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29034), 1,
      anon_sym_with,
    STATE(20225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29036), 1,
      anon_sym_DASH_GT,
    STATE(20226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3763), 1,
      anon_sym_RPAREN,
    STATE(20227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29038), 1,
      anon_sym_RPAREN,
    STATE(20228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [816998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22003), 1,
      anon_sym_end,
    STATE(20229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29040), 1,
      anon_sym_DOT,
    STATE(20230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_RBRACK,
    STATE(20231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29042), 1,
      anon_sym_RBRACE,
    STATE(20232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(28832), 1,
      anon_sym_RBRACE,
    STATE(20233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23889), 1,
      anon_sym_GT_RBRACE,
    STATE(20234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19926), 1,
      anon_sym_RPAREN,
    STATE(20235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29044), 1,
      anon_sym_DASH_GT,
    STATE(20236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21422), 1,
      anon_sym_end,
    STATE(20237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29046), 1,
      anon_sym_in,
    STATE(20238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26354), 1,
      anon_sym_RPAREN,
    STATE(20239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29048), 1,
      anon_sym_in,
    STATE(20240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29050), 1,
      anon_sym_RPAREN,
    STATE(20241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_RPAREN,
    STATE(20242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_RBRACK,
    STATE(20243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29052), 1,
      anon_sym_RBRACE,
    STATE(20244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29054), 1,
      anon_sym_in,
    STATE(20245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29056), 1,
      anon_sym_RBRACE,
    STATE(20246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29058), 1,
      anon_sym_in,
    STATE(20247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3755), 1,
      anon_sym_RPAREN,
    STATE(20248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29060), 1,
      anon_sym_RPAREN,
    STATE(20249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29062), 1,
      aux_sym_number_token1,
    STATE(20250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29064), 1,
      anon_sym_DOT,
    STATE(20251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29066), 1,
      anon_sym_in,
    STATE(20252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29068), 1,
      anon_sym_in,
    STATE(20253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7875), 1,
      anon_sym_end,
    STATE(20254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29070), 1,
      anon_sym_with,
    STATE(20255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29072), 1,
      anon_sym_with,
    STATE(20256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29074), 1,
      anon_sym_DOT,
    STATE(20257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29076), 1,
      anon_sym_in,
    STATE(20258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29078), 1,
      anon_sym_LT_DASH,
    STATE(20259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29080), 1,
      anon_sym_in,
    STATE(20260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29082), 1,
      anon_sym_LT_DASH,
    STATE(20261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29084), 1,
      anon_sym_SQUOTE2,
    STATE(20262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29086), 1,
      anon_sym_RPAREN,
    STATE(20263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29088), 1,
      anon_sym_with,
    STATE(20264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29090), 1,
      anon_sym_with,
    STATE(20265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29092), 1,
      anon_sym_DQUOTE,
    STATE(20266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29094), 1,
      sym__lowercase_identifier,
    STATE(20267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29096), 1,
      anon_sym_RPAREN,
    STATE(20268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29098), 1,
      anon_sym_RPAREN,
    STATE(20269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29100), 1,
      anon_sym_DOT,
    STATE(20270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29102), 1,
      anon_sym_DASH_GT,
    STATE(20271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29104), 1,
      anon_sym_DASH_GT,
    STATE(20272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10102), 1,
      anon_sym_DASH_GT,
    STATE(20273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29106), 1,
      anon_sym_DASH_GT,
    STATE(20274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19800), 1,
      anon_sym_RPAREN,
    STATE(20275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29108), 1,
      anon_sym_RBRACK,
    STATE(20276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13556), 1,
      anon_sym_DASH_GT,
    STATE(20277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29110), 1,
      anon_sym_RBRACE,
    STATE(20278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29112), 1,
      anon_sym_COLON2,
    STATE(20279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29114), 1,
      anon_sym_RPAREN,
    STATE(20280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29116), 1,
      anon_sym_RPAREN,
    STATE(20281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_RPAREN,
    STATE(20282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_RBRACK,
    STATE(20283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29118), 1,
      anon_sym_RBRACE,
    STATE(20284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29120), 1,
      anon_sym_RBRACE,
    STATE(20285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29122), 1,
      anon_sym_RBRACK,
    STATE(20286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29124), 1,
      anon_sym_RPAREN,
    STATE(20287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29126), 1,
      anon_sym_RPAREN,
    STATE(20288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29128), 1,
      anon_sym_RPAREN,
    STATE(20289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29130), 1,
      anon_sym_DOT,
    STATE(20290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10080), 1,
      anon_sym_DASH_GT,
    STATE(20291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29132), 1,
      anon_sym_in,
    STATE(20292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29134), 1,
      anon_sym_RPAREN,
    STATE(20293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29136), 1,
      anon_sym_with,
    STATE(20294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29138), 1,
      anon_sym_with,
    STATE(20295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29140), 1,
      anon_sym_DOT,
    STATE(20296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29142), 1,
      anon_sym_RBRACE,
    STATE(20297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29144), 1,
      anon_sym_RBRACK,
    STATE(20298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29146), 1,
      anon_sym_RPAREN,
    STATE(20299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [817992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29148), 1,
      anon_sym_RPAREN,
    STATE(20300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29150), 1,
      anon_sym_RPAREN,
    STATE(20301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29152), 1,
      anon_sym_RBRACE,
    STATE(20302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29154), 1,
      anon_sym_with,
    STATE(20303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29156), 1,
      anon_sym_with,
    STATE(20304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29158), 1,
      anon_sym_DASH_GT,
    STATE(20305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29160), 1,
      anon_sym_DASH_GT,
    STATE(20306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29162), 1,
      anon_sym_RPAREN,
    STATE(20307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18377), 1,
      anon_sym_RPAREN,
    STATE(20308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29164), 1,
      anon_sym_DOT,
    STATE(20309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29166), 1,
      anon_sym_in,
    STATE(20310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29168), 1,
      anon_sym_end,
    STATE(20311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29170), 1,
      anon_sym_RBRACK,
    STATE(20312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29172), 1,
      anon_sym_RBRACE,
    STATE(20313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19670), 1,
      anon_sym_RPAREN,
    STATE(20314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29174), 1,
      anon_sym_RBRACE,
    STATE(20315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29176), 1,
      anon_sym_RBRACE,
    STATE(20316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29178), 1,
      anon_sym_RPAREN,
    STATE(20317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29180), 1,
      anon_sym_GT,
    STATE(20318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29182), 1,
      sym__lowercase_identifier,
    STATE(20319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29184), 1,
      anon_sym_RPAREN,
    STATE(20320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_RPAREN,
    STATE(20321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_RBRACK,
    STATE(20322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29186), 1,
      anon_sym_RBRACE,
    STATE(20323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29188), 1,
      anon_sym_RBRACK,
    STATE(20324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29190), 1,
      anon_sym_end,
    STATE(20325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29192), 1,
      anon_sym_DASH_GT,
    STATE(20326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29194), 1,
      anon_sym_DQUOTE,
    STATE(20327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29196), 1,
      anon_sym_DASH_GT,
    STATE(20328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29198), 1,
      anon_sym_DOT,
    STATE(20329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29200), 1,
      anon_sym_RBRACE,
    STATE(20330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21450), 1,
      anon_sym_end,
    STATE(20331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10012), 1,
      anon_sym_DASH_GT,
    STATE(20332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29202), 1,
      anon_sym_with,
    STATE(20333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29204), 1,
      anon_sym_with,
    STATE(20334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29206), 1,
      anon_sym_DASH_GT,
    STATE(20335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26708), 1,
      anon_sym_RBRACE,
    STATE(20336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_RBRACE,
    STATE(20337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29210), 1,
      anon_sym_RPAREN,
    STATE(20338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12991), 1,
      anon_sym_GT,
    STATE(20339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29212), 1,
      sym__lowercase_identifier,
    STATE(20340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_RBRACK,
    STATE(20341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29214), 1,
      anon_sym_with,
    STATE(20342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29216), 1,
      anon_sym_with,
    STATE(20343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29208), 1,
      anon_sym_RPAREN,
    STATE(20344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29218), 1,
      anon_sym_DQUOTE,
    STATE(20345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29220), 1,
      anon_sym_RPAREN,
    STATE(20346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13152), 1,
      anon_sym_GT,
    STATE(20347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29222), 1,
      anon_sym_DOT,
    STATE(20348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18204), 1,
      anon_sym_RPAREN,
    STATE(20349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29224), 1,
      anon_sym_SQUOTE2,
    STATE(20350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29226), 1,
      anon_sym_RPAREN,
    STATE(20351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29228), 1,
      anon_sym_SQUOTE2,
    STATE(20352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19616), 1,
      anon_sym_RPAREN,
    STATE(20353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22192), 1,
      anon_sym_end,
    STATE(20354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23935), 1,
      anon_sym_GT_RBRACE,
    STATE(20355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22324), 1,
      anon_sym_GT_RBRACE,
    STATE(20356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29230), 1,
      anon_sym_GT,
    STATE(20357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29232), 1,
      anon_sym_RBRACE,
    STATE(20358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29234), 1,
      anon_sym_RPAREN,
    STATE(20359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_RPAREN,
    STATE(20360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_RBRACK,
    STATE(20361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29236), 1,
      anon_sym_RBRACE,
    STATE(20362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29238), 1,
      anon_sym_RBRACE,
    STATE(20363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19358), 1,
      anon_sym_GT,
    STATE(20364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29240), 1,
      anon_sym_RBRACE,
    STATE(20365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3749), 1,
      anon_sym_RPAREN,
    STATE(20366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29242), 1,
      anon_sym_RPAREN,
    STATE(20367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29244), 1,
      anon_sym_DOT,
    STATE(20368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29246), 1,
      anon_sym_in,
    STATE(20369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29248), 1,
      anon_sym_in,
    STATE(20370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [818986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29250), 1,
      anon_sym_in,
    STATE(20371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29252), 1,
      anon_sym_with,
    STATE(20372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29254), 1,
      anon_sym_with,
    STATE(20373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29256), 1,
      anon_sym_DOT,
    STATE(20374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29258), 1,
      anon_sym_LT_DASH,
    STATE(20375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29260), 1,
      anon_sym_DASH_GT,
    STATE(20376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29262), 1,
      anon_sym_DASH_GT,
    STATE(20377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29264), 1,
      anon_sym_in,
    STATE(20378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29266), 1,
      anon_sym_LT_DASH,
    STATE(20379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29268), 1,
      anon_sym_RPAREN,
    STATE(20380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29270), 1,
      anon_sym_with,
    STATE(20381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29272), 1,
      anon_sym_with,
    STATE(20382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29274), 1,
      anon_sym_RPAREN,
    STATE(20383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29276), 1,
      anon_sym_RPAREN,
    STATE(20384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29278), 1,
      anon_sym_RPAREN,
    STATE(20385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29280), 1,
      anon_sym_in,
    STATE(20386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29282), 1,
      anon_sym_DOT,
    STATE(20387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29284), 1,
      anon_sym_in,
    STATE(20388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19806), 1,
      anon_sym_RPAREN,
    STATE(20389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29286), 1,
      anon_sym_in,
    STATE(20390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26674), 1,
      anon_sym_RBRACE,
    STATE(20391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19496), 1,
      anon_sym_RPAREN,
    STATE(20392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29288), 1,
      anon_sym_DASH_GT,
    STATE(20393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29290), 1,
      anon_sym_in,
    STATE(20394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29292), 1,
      anon_sym_DASH_GT,
    STATE(20395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29294), 1,
      anon_sym_PIPE,
    STATE(20396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29296), 1,
      anon_sym_in,
    STATE(20397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29298), 1,
      anon_sym_RPAREN,
    STATE(20398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      anon_sym_RPAREN,
    STATE(20399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      anon_sym_RBRACK,
    STATE(20400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29300), 1,
      anon_sym_RBRACE,
    STATE(20401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29302), 1,
      anon_sym_RPAREN,
    STATE(20402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29304), 1,
      anon_sym_in,
    STATE(20403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29306), 1,
      anon_sym_RBRACE,
    STATE(20404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29308), 1,
      anon_sym_RPAREN,
    STATE(20405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29310), 1,
      anon_sym_RBRACK,
    STATE(20406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29312), 1,
      anon_sym_DOT,
    STATE(20407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29314), 1,
      anon_sym_RPAREN,
    STATE(20408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29316), 1,
      anon_sym_LT_DASH,
    STATE(20409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19890), 1,
      anon_sym_RPAREN,
    STATE(20410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29318), 1,
      anon_sym_with,
    STATE(20411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29320), 1,
      anon_sym_with,
    STATE(20412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29322), 1,
      anon_sym_DOT,
    STATE(20413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29324), 1,
      anon_sym_RPAREN,
    STATE(20414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29326), 1,
      anon_sym_RBRACE,
    STATE(20415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29328), 1,
      anon_sym_RBRACK,
    STATE(20416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29330), 1,
      anon_sym_RPAREN,
    STATE(20417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29332), 1,
      anon_sym_RPAREN,
    STATE(20418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29334), 1,
      anon_sym_RPAREN,
    STATE(20419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29336), 1,
      anon_sym_with,
    STATE(20420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29338), 1,
      anon_sym_with,
    STATE(20421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19283), 1,
      anon_sym_GT,
    STATE(20422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29340), 1,
      anon_sym_DOT,
    STATE(20423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29342), 1,
      anon_sym_DASH_GT,
    STATE(20424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29344), 1,
      anon_sym_RPAREN,
    STATE(20425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29346), 1,
      anon_sym_DOT,
    STATE(20426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10222), 1,
      anon_sym_DASH_GT,
    STATE(20427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29348), 1,
      anon_sym_with,
    STATE(20428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29350), 1,
      anon_sym_RBRACE,
    STATE(20429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29352), 1,
      anon_sym_RPAREN,
    STATE(20430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19490), 1,
      anon_sym_RPAREN,
    STATE(20431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29354), 1,
      anon_sym_with,
    STATE(20432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29356), 1,
      anon_sym_RPAREN,
    STATE(20433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29358), 1,
      anon_sym_RPAREN,
    STATE(20434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29360), 1,
      anon_sym_RBRACE,
    STATE(20435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29362), 1,
      anon_sym_RPAREN,
    STATE(20436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_RPAREN,
    STATE(20437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_RBRACK,
    STATE(20438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29364), 1,
      anon_sym_RBRACE,
    STATE(20439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29366), 1,
      anon_sym_RBRACK,
    STATE(20440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29368), 1,
      anon_sym_RPAREN,
    STATE(20441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29370), 1,
      anon_sym_RBRACK,
    STATE(20442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [819994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29372), 1,
      anon_sym_RBRACE,
    STATE(20443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29374), 1,
      anon_sym_in,
    STATE(20444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29376), 1,
      anon_sym_DOT,
    STATE(20445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29378), 1,
      anon_sym_DASH_GT,
    STATE(20446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29380), 1,
      anon_sym_RBRACE,
    STATE(20447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29382), 1,
      anon_sym_RBRACE,
    STATE(20448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29384), 1,
      anon_sym_with,
    STATE(20449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29386), 1,
      anon_sym_with,
    STATE(20450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29388), 1,
      anon_sym_DOT,
    STATE(20451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18261), 1,
      anon_sym_RPAREN,
    STATE(20452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29390), 1,
      anon_sym_RPAREN,
    STATE(20453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29392), 1,
      anon_sym_RPAREN,
    STATE(20454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29394), 1,
      anon_sym_GT,
    STATE(20455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29396), 1,
      anon_sym_RBRACE,
    STATE(20456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29398), 1,
      anon_sym_RBRACK,
    STATE(20457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29400), 1,
      anon_sym_with,
    STATE(20458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29402), 1,
      anon_sym_with,
    STATE(20459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29404), 1,
      anon_sym_RPAREN,
    STATE(20460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29406), 1,
      anon_sym_end,
    STATE(20461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29408), 1,
      anon_sym_RPAREN,
    STATE(20462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13180), 1,
      anon_sym_GT,
    STATE(20463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29410), 1,
      anon_sym_DOT,
    STATE(20464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29412), 1,
      anon_sym_RPAREN,
    STATE(20465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29414), 1,
      anon_sym_RBRACE,
    STATE(20466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29416), 1,
      anon_sym_DOT,
    STATE(20467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22304), 1,
      anon_sym_GT_RBRACE,
    STATE(20468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19602), 1,
      anon_sym_RPAREN,
    STATE(20469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9955), 1,
      anon_sym_DASH_GT,
    STATE(20470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29418), 1,
      sym__lowercase_identifier,
    STATE(20471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29420), 1,
      anon_sym_with,
    STATE(20472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29422), 1,
      anon_sym_RPAREN,
    STATE(20473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29424), 1,
      anon_sym_RPAREN,
    STATE(20474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_RPAREN,
    STATE(20475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_RBRACK,
    STATE(20476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29426), 1,
      anon_sym_RBRACE,
    STATE(20477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29428), 1,
      anon_sym_RPAREN,
    STATE(20478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22232), 1,
      anon_sym_end,
    STATE(20479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29430), 1,
      anon_sym_RBRACE,
    STATE(20480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29432), 1,
      anon_sym_EQ,
    STATE(20481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29434), 1,
      anon_sym_RBRACK,
    STATE(20482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29436), 1,
      anon_sym_DOT,
    STATE(20483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29438), 1,
      anon_sym_RPAREN,
    STATE(20484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29440), 1,
      anon_sym_SQUOTE2,
    STATE(20485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29442), 1,
      anon_sym_DQUOTE,
    STATE(20486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29444), 1,
      anon_sym_with,
    STATE(20487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29446), 1,
      anon_sym_with,
    STATE(20488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29448), 1,
      anon_sym_DOT,
    STATE(20489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29450), 1,
      sym__lowercase_identifier,
    STATE(20490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29452), 1,
      sym__lowercase_identifier,
    STATE(20491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19380), 1,
      anon_sym_GT,
    STATE(20492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29454), 1,
      anon_sym_DQUOTE,
    STATE(20493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29456), 1,
      anon_sym_SQUOTE2,
    STATE(20494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22166), 1,
      anon_sym_end,
    STATE(20495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29458), 1,
      anon_sym_with,
    STATE(20496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29460), 1,
      anon_sym_with,
    STATE(20497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29462), 1,
      anon_sym_RBRACK,
    STATE(20498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22328), 1,
      anon_sym_GT_RBRACE,
    STATE(20499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29464), 1,
      anon_sym_DASH_GT,
    STATE(20500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29466), 1,
      sym__lowercase_identifier,
    STATE(20501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29468), 1,
      anon_sym_DOT,
    STATE(20502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29470), 1,
      anon_sym_with,
    STATE(20503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29472), 1,
      anon_sym_RPAREN,
    STATE(20504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29474), 1,
      anon_sym_DOT,
    STATE(20505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29476), 1,
      anon_sym_RPAREN,
    STATE(20506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19630), 1,
      anon_sym_RPAREN,
    STATE(20507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29478), 1,
      anon_sym_RPAREN,
    STATE(20508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29480), 1,
      anon_sym_RBRACE,
    STATE(20509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29482), 1,
      anon_sym_EQ,
    STATE(20510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29484), 1,
      anon_sym_in,
    STATE(20511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29486), 1,
      anon_sym_RPAREN,
    STATE(20512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_RPAREN,
    STATE(20513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [820988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_RBRACK,
    STATE(20514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29488), 1,
      anon_sym_RBRACE,
    STATE(20515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29490), 1,
      anon_sym_RPAREN,
    STATE(20516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3743), 1,
      anon_sym_RPAREN,
    STATE(20517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29492), 1,
      anon_sym_RPAREN,
    STATE(20518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29494), 1,
      anon_sym_in,
    STATE(20519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25704), 1,
      anon_sym_RPAREN,
    STATE(20520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29496), 1,
      anon_sym_DOT,
    STATE(20521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29498), 1,
      anon_sym_in,
    STATE(20522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29500), 1,
      anon_sym_in,
    STATE(20523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29502), 1,
      anon_sym_LT_DASH,
    STATE(20524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29504), 1,
      anon_sym_with,
    STATE(20525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29506), 1,
      anon_sym_with,
    STATE(20526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29508), 1,
      anon_sym_DOT,
    STATE(20527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19199), 1,
      anon_sym_GT,
    STATE(20528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29510), 1,
      anon_sym_DOT,
    STATE(20529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29512), 1,
      anon_sym_RPAREN,
    STATE(20530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10042), 1,
      anon_sym_DASH_GT,
    STATE(20531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29514), 1,
      anon_sym_RBRACE,
    STATE(20532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29516), 1,
      anon_sym_RPAREN,
    STATE(20533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29518), 1,
      anon_sym_with,
    STATE(20534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29520), 1,
      anon_sym_with,
    STATE(20535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29522), 1,
      anon_sym_RBRACK,
    STATE(20536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29524), 1,
      anon_sym_DOT,
    STATE(20537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29526), 1,
      anon_sym_RPAREN,
    STATE(20538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29528), 1,
      anon_sym_RPAREN,
    STATE(20539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29530), 1,
      anon_sym_DOT,
    STATE(20540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29532), 1,
      anon_sym_RPAREN,
    STATE(20541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29534), 1,
      anon_sym_RPAREN,
    STATE(20542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29536), 1,
      anon_sym_RBRACK,
    STATE(20543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29538), 1,
      anon_sym_RBRACE,
    STATE(20544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19700), 1,
      anon_sym_RPAREN,
    STATE(20545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29540), 1,
      anon_sym_DASH_GT,
    STATE(20546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29542), 1,
      anon_sym_RPAREN,
    STATE(20547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29544), 1,
      anon_sym_RPAREN,
    STATE(20548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29546), 1,
      anon_sym_RBRACE,
    STATE(20549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29548), 1,
      anon_sym_RPAREN,
    STATE(20550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_RPAREN,
    STATE(20551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_RBRACK,
    STATE(20552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29550), 1,
      anon_sym_RBRACE,
    STATE(20553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29552), 1,
      anon_sym_RBRACK,
    STATE(20554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18220), 1,
      anon_sym_RPAREN,
    STATE(20555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29554), 1,
      anon_sym_RPAREN,
    STATE(20556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29556), 1,
      anon_sym_RPAREN,
    STATE(20557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7895), 1,
      anon_sym_RPAREN,
    STATE(20558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29558), 1,
      anon_sym_DOT,
    STATE(20559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29560), 1,
      anon_sym_RPAREN,
    STATE(20560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29562), 1,
      anon_sym_DOT,
    STATE(20561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29564), 1,
      anon_sym_DASH_GT,
    STATE(20562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29566), 1,
      anon_sym_with,
    STATE(20563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29568), 1,
      anon_sym_with,
    STATE(20564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29570), 1,
      anon_sym_DOT,
    STATE(20565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29572), 1,
      anon_sym_RPAREN,
    STATE(20566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29574), 1,
      anon_sym_RBRACE,
    STATE(20567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29576), 1,
      anon_sym_RBRACK,
    STATE(20568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29578), 1,
      anon_sym_RPAREN,
    STATE(20569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29580), 1,
      anon_sym_RBRACE,
    STATE(20570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29582), 1,
      anon_sym_end,
    STATE(20571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29584), 1,
      anon_sym_with,
    STATE(20572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29586), 1,
      anon_sym_with,
    STATE(20573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19221), 1,
      anon_sym_GT,
    STATE(20574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29588), 1,
      anon_sym_DASH_GT,
    STATE(20575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18267), 1,
      anon_sym_RPAREN,
    STATE(20576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29590), 1,
      anon_sym_RPAREN,
    STATE(20577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29592), 1,
      anon_sym_DOT,
    STATE(20578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29594), 1,
      anon_sym_RBRACE,
    STATE(20579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29596), 1,
      anon_sym_RBRACK,
    STATE(20580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29598), 1,
      anon_sym_end,
    STATE(20581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29600), 1,
      anon_sym_RBRACK,
    STATE(20582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19762), 1,
      anon_sym_RPAREN,
    STATE(20583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29602), 1,
      anon_sym_RBRACE,
    STATE(20584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29604), 1,
      anon_sym_RBRACE,
    STATE(20585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [821996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29606), 1,
      anon_sym_RBRACK,
    STATE(20586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29608), 1,
      anon_sym_end,
    STATE(20587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29610), 1,
      anon_sym_RPAREN,
    STATE(20588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_RPAREN,
    STATE(20589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_RBRACK,
    STATE(20590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29612), 1,
      anon_sym_RBRACE,
    STATE(20591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18192), 1,
      anon_sym_RPAREN,
    STATE(20592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18303), 1,
      anon_sym_RPAREN,
    STATE(20593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29614), 1,
      anon_sym_type,
    STATE(20594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29616), 1,
      anon_sym_RBRACE,
    STATE(20595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29618), 1,
      anon_sym_RBRACK,
    STATE(20596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29620), 1,
      anon_sym_DOT,
    STATE(20597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13110), 1,
      anon_sym_GT,
    STATE(20598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29622), 1,
      anon_sym_DASH_GT,
    STATE(20599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29624), 1,
      anon_sym_DASH_GT,
    STATE(20600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29626), 1,
      anon_sym_with,
    STATE(20601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29628), 1,
      anon_sym_with,
    STATE(20602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29630), 1,
      anon_sym_DOT,
    STATE(20603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29632), 1,
      anon_sym_GT,
    STATE(20604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29634), 1,
      anon_sym_end,
    STATE(20605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29636), 1,
      anon_sym_RPAREN,
    STATE(20606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10026), 1,
      anon_sym_DASH_GT,
    STATE(20607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    STATE(20608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10022), 1,
      anon_sym_DASH_GT,
    STATE(20609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29638), 1,
      anon_sym_with,
    STATE(20610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29640), 1,
      anon_sym_with,
    STATE(20611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10008), 1,
      anon_sym_DASH_GT,
    STATE(20612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29642), 1,
      anon_sym_RBRACE,
    STATE(20613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29644), 1,
      sym__lowercase_identifier,
    STATE(20614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29646), 1,
      sym__lowercase_identifier,
    STATE(20615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29648), 1,
      anon_sym_DOT,
    STATE(20616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29650), 1,
      anon_sym_DASH_GT,
    STATE(20617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29652), 1,
      anon_sym_DASH_GT,
    STATE(20618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29654), 1,
      anon_sym_DASH_GT,
    STATE(20619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29656), 1,
      anon_sym_LT_DASH,
    STATE(20620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19860), 1,
      anon_sym_RPAREN,
    STATE(20621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22028), 1,
      anon_sym_end,
    STATE(20622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29658), 1,
      anon_sym_RPAREN,
    STATE(20623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29660), 1,
      anon_sym_RBRACE,
    STATE(20624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15334), 1,
      anon_sym_DASH_GT,
    STATE(20625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29662), 1,
      anon_sym_RPAREN,
    STATE(20626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29664), 1,
      anon_sym_RPAREN,
    STATE(20627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29664), 1,
      anon_sym_RBRACK,
    STATE(20628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29664), 1,
      anon_sym_RBRACE,
    STATE(20629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29666), 1,
      anon_sym_DQUOTE,
    STATE(20630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29668), 1,
      anon_sym_SQUOTE2,
    STATE(20631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29670), 1,
      anon_sym_DASH_GT,
    STATE(20632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29672), 1,
      anon_sym_RBRACK,
    STATE(20633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22436), 1,
      anon_sym_GT_RBRACE,
    STATE(20634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29674), 1,
      anon_sym_DOT,
    STATE(20635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29676), 1,
      anon_sym_DASH_GT,
    STATE(20636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29678), 1,
      anon_sym_RBRACE,
    STATE(20637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29660), 1,
      anon_sym_RBRACK,
    STATE(20638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29680), 1,
      anon_sym_with,
    STATE(20639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29682), 1,
      anon_sym_with,
    STATE(20640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29684), 1,
      anon_sym_DOT,
    STATE(20641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29686), 1,
      anon_sym_RPAREN,
    STATE(20642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29688), 1,
      anon_sym_RBRACE,
    STATE(20643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29660), 1,
      anon_sym_RPAREN,
    STATE(20644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29690), 1,
      anon_sym_RBRACK,
    STATE(20645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29692), 1,
      anon_sym_in,
    STATE(20646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    STATE(20647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29694), 1,
      anon_sym_with,
    STATE(20648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29696), 1,
      anon_sym_with,
    STATE(20649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29698), 1,
      anon_sym_RPAREN,
    STATE(20650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29700), 1,
      anon_sym_RBRACE,
    STATE(20651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29702), 1,
      anon_sym_DASH_GT,
    STATE(20652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29704), 1,
      anon_sym_RPAREN,
    STATE(20653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29706), 1,
      anon_sym_DOT,
    STATE(20654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29708), 1,
      anon_sym_DQUOTE,
    STATE(20655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29710), 1,
      anon_sym_SQUOTE2,
    STATE(20656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [822990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21606), 1,
      anon_sym_end,
    STATE(20657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29712), 1,
      anon_sym_in,
    STATE(20658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19902), 1,
      anon_sym_RPAREN,
    STATE(20659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29714), 1,
      anon_sym_in,
    STATE(20660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29716), 1,
      anon_sym_LT_DASH,
    STATE(20661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29718), 1,
      sym__lowercase_identifier,
    STATE(20662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24168), 1,
      anon_sym_GT_RBRACE,
    STATE(20663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29720), 1,
      anon_sym_RPAREN,
    STATE(20664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29722), 1,
      anon_sym_RPAREN,
    STATE(20665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29722), 1,
      anon_sym_RBRACK,
    STATE(20666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29722), 1,
      anon_sym_RBRACE,
    STATE(20667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11610), 1,
      anon_sym_COLON_COLON,
    STATE(20668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29724), 1,
      anon_sym_DQUOTE,
    STATE(20669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29726), 1,
      anon_sym_SQUOTE2,
    STATE(20670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29728), 1,
      anon_sym_in,
    STATE(20671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21967), 1,
      anon_sym_end,
    STATE(20672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29730), 1,
      anon_sym_DOT,
    STATE(20673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29732), 1,
      anon_sym_LT_DASH,
    STATE(20674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29734), 1,
      anon_sym_DASH_GT,
    STATE(20675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22462), 1,
      anon_sym_GT_RBRACE,
    STATE(20676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29736), 1,
      anon_sym_with,
    STATE(20677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29738), 1,
      anon_sym_with,
    STATE(20678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29740), 1,
      anon_sym_DOT,
    STATE(20679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29742), 1,
      anon_sym_RPAREN,
    STATE(20680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6127), 1,
      anon_sym_end,
    STATE(20681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29744), 1,
      anon_sym_RBRACE,
    STATE(20682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29746), 1,
      anon_sym_RPAREN,
    STATE(20683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29748), 1,
      aux_sym_number_token1,
    STATE(20684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29750), 1,
      anon_sym_RPAREN,
    STATE(20685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29752), 1,
      anon_sym_with,
    STATE(20686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29754), 1,
      anon_sym_with,
    STATE(20687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29756), 1,
      anon_sym_in,
    STATE(20688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29758), 1,
      anon_sym_RBRACE,
    STATE(20689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29760), 1,
      anon_sym_RBRACK,
    STATE(20690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29762), 1,
      anon_sym_in,
    STATE(20691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29764), 1,
      anon_sym_DOT,
    STATE(20692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19908), 1,
      anon_sym_RPAREN,
    STATE(20693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29766), 1,
      anon_sym_DASH_GT,
    STATE(20694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29768), 1,
      anon_sym_in,
    STATE(20695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29770), 1,
      anon_sym_RBRACE,
    STATE(20696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19956), 1,
      anon_sym_RPAREN,
    STATE(20697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29772), 1,
      anon_sym_RPAREN,
    STATE(20698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29774), 1,
      anon_sym_RPAREN,
    STATE(20699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29776), 1,
      anon_sym_RPAREN,
    STATE(20700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29778), 1,
      anon_sym_RBRACE,
    STATE(20701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29780), 1,
      anon_sym_RPAREN,
    STATE(20702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29782), 1,
      anon_sym_RPAREN,
    STATE(20703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29782), 1,
      anon_sym_RBRACK,
    STATE(20704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29782), 1,
      anon_sym_RBRACE,
    STATE(20705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29784), 1,
      anon_sym_DASH_GT,
    STATE(20706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29786), 1,
      anon_sym_with,
    STATE(20707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29788), 1,
      anon_sym_RPAREN,
    STATE(20708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29790), 1,
      anon_sym_RBRACE,
    STATE(20709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29792), 1,
      anon_sym_in,
    STATE(20710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29794), 1,
      anon_sym_DOT,
    STATE(20711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29796), 1,
      anon_sym_RPAREN,
    STATE(20712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29798), 1,
      anon_sym_RPAREN,
    STATE(20713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29800), 1,
      anon_sym_in,
    STATE(20714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29802), 1,
      anon_sym_with,
    STATE(20715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29804), 1,
      anon_sym_with,
    STATE(20716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29806), 1,
      anon_sym_DOT,
    STATE(20717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29808), 1,
      anon_sym_in,
    STATE(20718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29810), 1,
      anon_sym_RBRACK,
    STATE(20719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29812), 1,
      anon_sym_in,
    STATE(20720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29814), 1,
      aux_sym_number_token1,
    STATE(20721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29816), 1,
      anon_sym_RPAREN,
    STATE(20722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29818), 1,
      anon_sym_RBRACE,
    STATE(20723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29820), 1,
      anon_sym_with,
    STATE(20724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29822), 1,
      anon_sym_with,
    STATE(20725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29824), 1,
      anon_sym_in,
    STATE(20726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29826), 1,
      anon_sym_DASH_GT,
    STATE(20727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29828), 1,
      anon_sym_DOT,
    STATE(20728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [823998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6059), 1,
      anon_sym_end,
    STATE(20729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29830), 1,
      anon_sym_DOT,
    STATE(20730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29832), 1,
      anon_sym_RPAREN,
    STATE(20731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29834), 1,
      anon_sym_EQ,
    STATE(20732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29836), 1,
      sym__lowercase_identifier,
    STATE(20733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29838), 1,
      anon_sym_RPAREN,
    STATE(20734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19998), 1,
      anon_sym_RPAREN,
    STATE(20735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18190), 1,
      anon_sym_RPAREN,
    STATE(20736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29840), 1,
      anon_sym_RPAREN,
    STATE(20737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29842), 1,
      anon_sym_RBRACK,
    STATE(20738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29844), 1,
      anon_sym_RBRACE,
    STATE(20739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29846), 1,
      anon_sym_RPAREN,
    STATE(20740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29848), 1,
      anon_sym_RPAREN,
    STATE(20741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29848), 1,
      anon_sym_RBRACK,
    STATE(20742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29848), 1,
      anon_sym_RBRACE,
    STATE(20743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29850), 1,
      anon_sym_RBRACK,
    STATE(20744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29852), 1,
      anon_sym_end,
    STATE(20745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29854), 1,
      anon_sym_RPAREN,
    STATE(20746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29856), 1,
      anon_sym_with,
    STATE(20747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29858), 1,
      anon_sym_RPAREN,
    STATE(20748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29860), 1,
      anon_sym_DOT,
    STATE(20749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10050), 1,
      anon_sym_DASH_GT,
    STATE(20750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29862), 1,
      anon_sym_in,
    STATE(20751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29864), 1,
      anon_sym_RBRACE,
    STATE(20752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29866), 1,
      anon_sym_with,
    STATE(20753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29868), 1,
      anon_sym_with,
    STATE(20754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29870), 1,
      anon_sym_DOT,
    STATE(20755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29872), 1,
      anon_sym_RPAREN,
    STATE(20756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29874), 1,
      anon_sym_RPAREN,
    STATE(20757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29876), 1,
      anon_sym_RPAREN,
    STATE(20758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29878), 1,
      anon_sym_RPAREN,
    STATE(20759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29880), 1,
      sym__lowercase_identifier,
    STATE(20760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29882), 1,
      anon_sym_DQUOTE,
    STATE(20761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29884), 1,
      anon_sym_with,
    STATE(20762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29886), 1,
      anon_sym_with,
    STATE(20763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29888), 1,
      anon_sym_in,
    STATE(20764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29890), 1,
      anon_sym_RPAREN,
    STATE(20765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29892), 1,
      anon_sym_SQUOTE2,
    STATE(20766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29894), 1,
      anon_sym_in,
    STATE(20767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29896), 1,
      anon_sym_DOT,
    STATE(20768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29898), 1,
      anon_sym_RBRACE,
    STATE(20769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29900), 1,
      anon_sym_RPAREN,
    STATE(20770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29902), 1,
      anon_sym_in,
    STATE(20771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29904), 1,
      anon_sym_RBRACE,
    STATE(20772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20064), 1,
      anon_sym_RPAREN,
    STATE(20773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21867), 1,
      anon_sym_end,
    STATE(20774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29906), 1,
      anon_sym_RPAREN,
    STATE(20775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29908), 1,
      anon_sym_GT,
    STATE(20776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22602), 1,
      anon_sym_GT_RBRACE,
    STATE(20777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29910), 1,
      anon_sym_RPAREN,
    STATE(20778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29912), 1,
      anon_sym_RPAREN,
    STATE(20779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29912), 1,
      anon_sym_RBRACK,
    STATE(20780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29912), 1,
      anon_sym_RBRACE,
    STATE(20781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12917), 1,
      anon_sym_GT,
    STATE(20782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29914), 1,
      anon_sym_RBRACE,
    STATE(20783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29916), 1,
      anon_sym_LT_DASH,
    STATE(20784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29918), 1,
      anon_sym_DOT,
    STATE(20785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29920), 1,
      anon_sym_with,
    STATE(20786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29922), 1,
      anon_sym_DOT,
    STATE(20787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29924), 1,
      anon_sym_RBRACE,
    STATE(20788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24234), 1,
      anon_sym_GT_RBRACE,
    STATE(20789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29926), 1,
      anon_sym_with,
    STATE(20790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29928), 1,
      anon_sym_with,
    STATE(20791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29930), 1,
      anon_sym_DOT,
    STATE(20792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29932), 1,
      anon_sym_RPAREN,
    STATE(20793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29934), 1,
      anon_sym_in,
    STATE(20794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26390), 1,
      anon_sym_RBRACE,
    STATE(20795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29936), 1,
      anon_sym_RPAREN,
    STATE(20796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    STATE(20797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29938), 1,
      anon_sym_RPAREN,
    STATE(20798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29940), 1,
      anon_sym_with,
    STATE(20799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [824992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29942), 1,
      anon_sym_with,
    STATE(20800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29944), 1,
      anon_sym_with,
    STATE(20801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29946), 1,
      anon_sym_in,
    STATE(20802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29948), 1,
      anon_sym_in,
    STATE(20803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29950), 1,
      anon_sym_in,
    STATE(20804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29952), 1,
      anon_sym_DOT,
    STATE(20805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21620), 1,
      anon_sym_end,
    STATE(20806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29954), 1,
      anon_sym_DOT,
    STATE(20807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29956), 1,
      anon_sym_SQUOTE2,
    STATE(20808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29958), 1,
      anon_sym_LT_DASH,
    STATE(20809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20080), 1,
      anon_sym_RPAREN,
    STATE(20810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29960), 1,
      anon_sym_DQUOTE,
    STATE(20811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12901), 1,
      anon_sym_GT,
    STATE(20812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29962), 1,
      anon_sym_GT,
    STATE(20813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29964), 1,
      anon_sym_RPAREN,
    STATE(20814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29966), 1,
      anon_sym_RPAREN,
    STATE(20815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29968), 1,
      anon_sym_RPAREN,
    STATE(20816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29968), 1,
      anon_sym_RBRACK,
    STATE(20817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29968), 1,
      anon_sym_RBRACE,
    STATE(20818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29970), 1,
      sym__lowercase_identifier,
    STATE(20819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29972), 1,
      anon_sym_DOT,
    STATE(20820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29974), 1,
      anon_sym_EQ,
    STATE(20821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29976), 1,
      anon_sym_RPAREN,
    STATE(20822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10230), 1,
      anon_sym_DASH_GT,
    STATE(20823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29978), 1,
      anon_sym_DOT,
    STATE(20824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29980), 1,
      anon_sym_RPAREN,
    STATE(20825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29982), 1,
      anon_sym_LT_DASH,
    STATE(20826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29984), 1,
      anon_sym_with,
    STATE(20827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29986), 1,
      anon_sym_with,
    STATE(20828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29988), 1,
      anon_sym_DOT,
    STATE(20829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29990), 1,
      anon_sym_in,
    STATE(20830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29992), 1,
      anon_sym_RPAREN,
    STATE(20831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29994), 1,
      anon_sym_RBRACE,
    STATE(20832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29996), 1,
      anon_sym_RBRACK,
    STATE(20833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(29998), 1,
      anon_sym_RPAREN,
    STATE(20834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30000), 1,
      anon_sym_in,
    STATE(20835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30002), 1,
      anon_sym_with,
    STATE(20836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30004), 1,
      anon_sym_with,
    STATE(20837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30006), 1,
      anon_sym_GT,
    STATE(20838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30008), 1,
      anon_sym_in,
    STATE(20839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30010), 1,
      anon_sym_RPAREN,
    STATE(20840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18497), 1,
      anon_sym_RPAREN,
    STATE(20841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30012), 1,
      anon_sym_DOT,
    STATE(20842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30014), 1,
      anon_sym_RBRACE,
    STATE(20843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14669), 1,
      anon_sym_DASH_GT,
    STATE(20844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9951), 1,
      anon_sym_DASH_GT,
    STATE(20845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13045), 1,
      anon_sym_GT,
    STATE(20846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20036), 1,
      anon_sym_RPAREN,
    STATE(20847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30016), 1,
      anon_sym_RPAREN,
    STATE(20848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30018), 1,
      anon_sym_DASH_GT,
    STATE(20849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30020), 1,
      anon_sym_RPAREN,
    STATE(20850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30022), 1,
      anon_sym_RBRACE,
    STATE(20851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30024), 1,
      anon_sym_RPAREN,
    STATE(20852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30026), 1,
      anon_sym_RPAREN,
    STATE(20853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30026), 1,
      anon_sym_RBRACK,
    STATE(20854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30026), 1,
      anon_sym_RBRACE,
    STATE(20855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30028), 1,
      anon_sym_RBRACK,
    STATE(20856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7865), 1,
      anon_sym_RPAREN,
    STATE(20857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30030), 1,
      sym__lowercase_identifier,
    STATE(20858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30032), 1,
      anon_sym_RPAREN,
    STATE(20859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30034), 1,
      anon_sym_RBRACE,
    STATE(20860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30036), 1,
      anon_sym_DOT,
    STATE(20861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30038), 1,
      anon_sym_end,
    STATE(20862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30040), 1,
      anon_sym_DOT,
    STATE(20863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30042), 1,
      anon_sym_RBRACK,
    STATE(20864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30044), 1,
      anon_sym_RPAREN,
    STATE(20865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30046), 1,
      anon_sym_RPAREN,
    STATE(20866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30048), 1,
      anon_sym_DOT,
    STATE(20867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30050), 1,
      anon_sym_RBRACE,
    STATE(20868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30052), 1,
      anon_sym_RPAREN,
    STATE(20869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18228), 1,
      anon_sym_RPAREN,
    STATE(20870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [825986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20028), 1,
      anon_sym_RPAREN,
    STATE(20871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30054), 1,
      anon_sym_RBRACE,
    STATE(20872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30056), 1,
      anon_sym_RPAREN,
    STATE(20873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30058), 1,
      anon_sym_RPAREN,
    STATE(20874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30058), 1,
      anon_sym_RBRACK,
    STATE(20875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30058), 1,
      anon_sym_RBRACE,
    STATE(20876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30060), 1,
      anon_sym_RPAREN,
    STATE(20877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30062), 1,
      anon_sym_RPAREN,
    STATE(20878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30064), 1,
      anon_sym_RPAREN,
    STATE(20879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3711), 1,
      anon_sym_RPAREN,
    STATE(20880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30066), 1,
      anon_sym_DOT,
    STATE(20881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30068), 1,
      anon_sym_DASH_GT,
    STATE(20882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30070), 1,
      anon_sym_in,
    STATE(20883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30072), 1,
      anon_sym_RPAREN,
    STATE(20884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30074), 1,
      anon_sym_RBRACE,
    STATE(20885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19207), 1,
      anon_sym_GT,
    STATE(20886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30076), 1,
      anon_sym_RBRACK,
    STATE(20887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20018), 1,
      anon_sym_RPAREN,
    STATE(20888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30078), 1,
      anon_sym_DASH_GT,
    STATE(20889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30080), 1,
      anon_sym_RPAREN,
    STATE(20890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30082), 1,
      anon_sym_RPAREN,
    STATE(20891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30082), 1,
      anon_sym_RBRACK,
    STATE(20892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30082), 1,
      anon_sym_RBRACE,
    STATE(20893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18463), 1,
      anon_sym_RPAREN,
    STATE(20894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26310), 1,
      anon_sym_RBRACE,
    STATE(20895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30084), 1,
      anon_sym_DQUOTE,
    STATE(20896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30086), 1,
      anon_sym_RBRACE,
    STATE(20897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30088), 1,
      anon_sym_RBRACE,
    STATE(20898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30090), 1,
      anon_sym_DASH_GT,
    STATE(20899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30092), 1,
      anon_sym_DASH_GT,
    STATE(20900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30094), 1,
      anon_sym_RPAREN,
    STATE(20901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30094), 1,
      anon_sym_RBRACK,
    STATE(20902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30094), 1,
      anon_sym_RBRACE,
    STATE(20903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30096), 1,
      anon_sym_RBRACE,
    STATE(20904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30098), 1,
      anon_sym_RPAREN,
    STATE(20905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30100), 1,
      anon_sym_RBRACK,
    STATE(20906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30102), 1,
      anon_sym_DASH_GT,
    STATE(20907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30104), 1,
      anon_sym_DASH_GT,
    STATE(20908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30106), 1,
      anon_sym_RBRACE,
    STATE(20909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30106), 1,
      anon_sym_RBRACK,
    STATE(20910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RPAREN,
    STATE(20911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RBRACK,
    STATE(20912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30108), 1,
      anon_sym_RBRACE,
    STATE(20913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30110), 1,
      anon_sym_end,
    STATE(20914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30112), 1,
      anon_sym_RBRACE,
    STATE(20915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30106), 1,
      anon_sym_RPAREN,
    STATE(20916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30114), 1,
      anon_sym_RPAREN,
    STATE(20917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30116), 1,
      anon_sym_RBRACK,
    STATE(20918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19235), 1,
      anon_sym_GT,
    STATE(20919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26772), 1,
      anon_sym_RPAREN,
    STATE(20920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30118), 1,
      anon_sym_RPAREN,
    STATE(20921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30118), 1,
      anon_sym_RBRACK,
    STATE(20922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30118), 1,
      anon_sym_RBRACE,
    STATE(20923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30120), 1,
      anon_sym_LT_DASH,
    STATE(20924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30122), 1,
      anon_sym_RBRACK,
    STATE(20925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10088), 1,
      anon_sym_DASH_GT,
    STATE(20926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30124), 1,
      anon_sym_in,
    STATE(20927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30126), 1,
      anon_sym_DASH_GT,
    STATE(20928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30128), 1,
      anon_sym_RPAREN,
    STATE(20929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30130), 1,
      anon_sym_RPAREN,
    STATE(20930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30132), 1,
      anon_sym_RPAREN,
    STATE(20931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30132), 1,
      anon_sym_RBRACK,
    STATE(20932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30132), 1,
      anon_sym_RBRACE,
    STATE(20933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30134), 1,
      anon_sym_RBRACE,
    STATE(20934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30136), 1,
      anon_sym_RPAREN,
    STATE(20935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30138), 1,
      anon_sym_in,
    STATE(20936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30140), 1,
      anon_sym_in,
    STATE(20937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30142), 1,
      anon_sym_RPAREN,
    STATE(20938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19962), 1,
      anon_sym_RPAREN,
    STATE(20939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18329), 1,
      anon_sym_RPAREN,
    STATE(20940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30144), 1,
      anon_sym_RPAREN,
    STATE(20941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30144), 1,
      anon_sym_RBRACK,
    STATE(20942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [826994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30144), 1,
      anon_sym_RBRACE,
    STATE(20943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30146), 1,
      anon_sym_DASH_GT,
    STATE(20944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30148), 1,
      anon_sym_RPAREN,
    STATE(20945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30150), 1,
      sym__lowercase_identifier,
    STATE(20946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10074), 1,
      anon_sym_DASH_GT,
    STATE(20947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30152), 1,
      anon_sym_DASH_GT,
    STATE(20948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30154), 1,
      anon_sym_RBRACE,
    STATE(20949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30156), 1,
      anon_sym_DASH_GT,
    STATE(20950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30158), 1,
      anon_sym_RPAREN,
    STATE(20951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30158), 1,
      anon_sym_RBRACK,
    STATE(20952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30158), 1,
      anon_sym_RBRACE,
    STATE(20953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22754), 1,
      anon_sym_GT_RBRACE,
    STATE(20954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30160), 1,
      anon_sym_DQUOTE,
    STATE(20955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30162), 1,
      anon_sym_SQUOTE2,
    STATE(20956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30164), 1,
      anon_sym_DOT,
    STATE(20957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30166), 1,
      anon_sym_RBRACK,
    STATE(20958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30168), 1,
      anon_sym_end,
    STATE(20959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30170), 1,
      anon_sym_with,
    STATE(20960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30172), 1,
      anon_sym_RPAREN,
    STATE(20961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30172), 1,
      anon_sym_RBRACK,
    STATE(20962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30172), 1,
      anon_sym_RBRACE,
    STATE(20963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21693), 1,
      anon_sym_end,
    STATE(20964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22744), 1,
      anon_sym_GT_RBRACE,
    STATE(20965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21780), 1,
      anon_sym_end,
    STATE(20966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30174), 1,
      anon_sym_DASH_GT,
    STATE(20967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30176), 1,
      anon_sym_with,
    STATE(20968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10116), 1,
      anon_sym_DASH_GT,
    STATE(20969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30178), 1,
      anon_sym_RPAREN,
    STATE(20970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30180), 1,
      anon_sym_RPAREN,
    STATE(20971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30180), 1,
      anon_sym_RBRACK,
    STATE(20972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30180), 1,
      anon_sym_RBRACE,
    STATE(20973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30182), 1,
      anon_sym_SQUOTE2,
    STATE(20974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30184), 1,
      sym__lowercase_identifier,
    STATE(20975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30186), 1,
      anon_sym_DQUOTE,
    STATE(20976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30188), 1,
      anon_sym_RBRACK,
    STATE(20977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30190), 1,
      anon_sym_SQUOTE2,
    STATE(20978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30192), 1,
      anon_sym_DOT,
    STATE(20979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30194), 1,
      anon_sym_with,
    STATE(20980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30196), 1,
      anon_sym_RPAREN,
    STATE(20981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30196), 1,
      anon_sym_RBRACK,
    STATE(20982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30196), 1,
      anon_sym_RBRACE,
    STATE(20983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30198), 1,
      anon_sym_RBRACE,
    STATE(20984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30200), 1,
      anon_sym_RPAREN,
    STATE(20985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21754), 1,
      anon_sym_end,
    STATE(20986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30202), 1,
      anon_sym_with,
    STATE(20987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30204), 1,
      anon_sym_RPAREN,
    STATE(20988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30206), 1,
      anon_sym_DOT,
    STATE(20989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24426), 1,
      anon_sym_GT_RBRACE,
    STATE(20990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30208), 1,
      anon_sym_RPAREN,
    STATE(20991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30208), 1,
      anon_sym_RBRACK,
    STATE(20992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30208), 1,
      anon_sym_RBRACE,
    STATE(20993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30210), 1,
      anon_sym_in,
    STATE(20994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30212), 1,
      sym__lowercase_identifier,
    STATE(20995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3639), 1,
      anon_sym_RPAREN,
    STATE(20996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30214), 1,
      anon_sym_DASH_GT,
    STATE(20997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30216), 1,
      anon_sym_RBRACE,
    STATE(20998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30218), 1,
      anon_sym_RPAREN,
    STATE(20999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30220), 1,
      anon_sym_RPAREN,
    STATE(21000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RPAREN,
    STATE(21001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RBRACK,
    STATE(21002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30222), 1,
      anon_sym_RBRACE,
    STATE(21003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30224), 1,
      anon_sym_DOT,
    STATE(21004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30226), 1,
      anon_sym_done,
    STATE(21005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30228), 1,
      anon_sym_RPAREN,
    STATE(21006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30230), 1,
      anon_sym_RBRACE,
    STATE(21007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30232), 1,
      anon_sym_RPAREN,
    STATE(21008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30234), 1,
      anon_sym_in,
    STATE(21009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30236), 1,
      anon_sym_RPAREN,
    STATE(21010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30238), 1,
      anon_sym_RPAREN,
    STATE(21011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30238), 1,
      anon_sym_RBRACK,
    STATE(21012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30238), 1,
      anon_sym_RBRACE,
    STATE(21013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [827988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30240), 1,
      anon_sym_in,
    STATE(21014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30242), 1,
      anon_sym_in,
    STATE(21015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30244), 1,
      anon_sym_RPAREN,
    STATE(21016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30246), 1,
      anon_sym_in,
    STATE(21017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30248), 1,
      anon_sym_LT_DASH,
    STATE(21018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30250), 1,
      anon_sym_in,
    STATE(21019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30252), 1,
      sym__lowercase_identifier,
    STATE(21020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30254), 1,
      anon_sym_in,
    STATE(21021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30256), 1,
      anon_sym_in,
    STATE(21022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12935), 1,
      anon_sym_GT,
    STATE(21023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30258), 1,
      anon_sym_RPAREN,
    STATE(21024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30260), 1,
      anon_sym_LT_DASH,
    STATE(21025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30262), 1,
      anon_sym_GT,
    STATE(21026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9953), 1,
      anon_sym_DASH_GT,
    STATE(21027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30264), 1,
      anon_sym_GT,
    STATE(21028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30266), 1,
      anon_sym_RPAREN,
    STATE(21029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30268), 1,
      anon_sym_RBRACE,
    STATE(21030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30270), 1,
      anon_sym_RPAREN,
    STATE(21031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30272), 1,
      anon_sym_RBRACK,
    STATE(21032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30274), 1,
      anon_sym_RPAREN,
    STATE(21033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10218), 1,
      anon_sym_DASH_GT,
    STATE(21034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30276), 1,
      anon_sym_LT_DASH,
    STATE(21035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30278), 1,
      anon_sym_DASH_GT,
    STATE(21036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30280), 1,
      anon_sym_LT_DASH,
    STATE(21037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30282), 1,
      anon_sym_RPAREN,
    STATE(21038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30284), 1,
      anon_sym_LT_DASH,
    STATE(21039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7885), 1,
      anon_sym_end,
    STATE(21040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30286), 1,
      anon_sym_RPAREN,
    STATE(21041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30288), 1,
      anon_sym_RBRACE,
    STATE(21042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30290), 1,
      aux_sym_number_token1,
    STATE(21043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30292), 1,
      anon_sym_RBRACK,
    STATE(21044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30294), 1,
      anon_sym_RPAREN,
    STATE(21045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30296), 1,
      anon_sym_in,
    STATE(21046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30298), 1,
      anon_sym_RBRACE,
    STATE(21047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30300), 1,
      anon_sym_in,
    STATE(21048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30302), 1,
      anon_sym_in,
    STATE(21049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30304), 1,
      anon_sym_DASH_GT,
    STATE(21050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30306), 1,
      anon_sym_end,
    STATE(21051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30308), 1,
      anon_sym_RPAREN,
    STATE(21052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30310), 1,
      anon_sym_RBRACE,
    STATE(21053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30312), 1,
      anon_sym_RBRACK,
    STATE(21054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    STATE(21055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18477), 1,
      anon_sym_RPAREN,
    STATE(21056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18457), 1,
      anon_sym_RPAREN,
    STATE(21057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30314), 1,
      anon_sym_in,
    STATE(21058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30316), 1,
      anon_sym_RBRACE,
    STATE(21059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30318), 1,
      anon_sym_RBRACK,
    STATE(21060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30320), 1,
      anon_sym_in,
    STATE(21061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30322), 1,
      anon_sym_end,
    STATE(21062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30324), 1,
      anon_sym_DASH_GT,
    STATE(21063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30326), 1,
      anon_sym_in,
    STATE(21064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30328), 1,
      anon_sym_DASH_GT,
    STATE(21065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10118), 1,
      anon_sym_DASH_GT,
    STATE(21066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30330), 1,
      anon_sym_DASH_GT,
    STATE(21067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30332), 1,
      anon_sym_DASH_GT,
    STATE(21068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30334), 1,
      anon_sym_RBRACE,
    STATE(21069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30336), 1,
      anon_sym_RBRACE,
    STATE(21070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30336), 1,
      anon_sym_RBRACK,
    STATE(21071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30338), 1,
      anon_sym_RPAREN,
    STATE(21072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30336), 1,
      anon_sym_RPAREN,
    STATE(21073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30340), 1,
      anon_sym_RBRACK,
    STATE(21074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30342), 1,
      sym__lowercase_identifier,
    STATE(21075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30344), 1,
      anon_sym_in,
    STATE(21076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30346), 1,
      anon_sym_RBRACE,
    STATE(21077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30348), 1,
      anon_sym_DQUOTE,
    STATE(21078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30350), 1,
      anon_sym_RPAREN,
    STATE(21079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30352), 1,
      anon_sym_SQUOTE2,
    STATE(21080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21532), 1,
      anon_sym_end,
    STATE(21081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30354), 1,
      anon_sym_in,
    STATE(21082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9959), 1,
      anon_sym_DASH_GT,
    STATE(21083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22926), 1,
      anon_sym_GT_RBRACE,
    STATE(21084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30356), 1,
      anon_sym_RPAREN,
    STATE(21085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [828996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30358), 1,
      anon_sym_DASH_GT,
    STATE(21086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30360), 1,
      anon_sym_DOT,
    STATE(21087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30362), 1,
      anon_sym_RPAREN,
    STATE(21088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30364), 1,
      anon_sym_RBRACE,
    STATE(21089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30366), 1,
      anon_sym_in,
    STATE(21090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30368), 1,
      anon_sym_RPAREN,
    STATE(21091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30370), 1,
      anon_sym_RPAREN,
    STATE(21092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30372), 1,
      anon_sym_RBRACE,
    STATE(21093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30374), 1,
      anon_sym_in,
    STATE(21094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30376), 1,
      sym__lowercase_identifier,
    STATE(21095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30378), 1,
      anon_sym_RPAREN,
    STATE(21096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30380), 1,
      anon_sym_in,
    STATE(21097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30382), 1,
      anon_sym_DASH_GT,
    STATE(21098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(26098), 1,
      anon_sym_RBRACK,
    STATE(21099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30384), 1,
      anon_sym_in,
    STATE(21100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30386), 1,
      anon_sym_in,
    STATE(21101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30388), 1,
      anon_sym_LT_DASH,
    STATE(21102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30390), 1,
      anon_sym_RBRACE,
    STATE(21103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30392), 1,
      anon_sym_RPAREN,
    STATE(21104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30394), 1,
      anon_sym_RPAREN,
    STATE(21105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12859), 1,
      anon_sym_GT,
    STATE(21106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30396), 1,
      anon_sym_RBRACK,
    STATE(21107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30398), 1,
      anon_sym_RBRACE,
    STATE(21108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30400), 1,
      anon_sym_RPAREN,
    STATE(21109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30402), 1,
      anon_sym_in,
    STATE(21110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30404), 1,
      anon_sym_RPAREN,
    STATE(21111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24550), 1,
      anon_sym_GT_RBRACE,
    STATE(21112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30406), 1,
      anon_sym_RPAREN,
    STATE(21113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20076), 1,
      anon_sym_RPAREN,
    STATE(21114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30408), 1,
      anon_sym_RPAREN,
    STATE(21115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30410), 1,
      anon_sym_RPAREN,
    STATE(21116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30412), 1,
      anon_sym_RBRACK,
    STATE(21117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30414), 1,
      anon_sym_RPAREN,
    STATE(21118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30416), 1,
      anon_sym_RBRACE,
    STATE(21119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30418), 1,
      anon_sym_RBRACK,
    STATE(21120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30420), 1,
      anon_sym_RBRACE,
    STATE(21121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30422), 1,
      anon_sym_with,
    STATE(21122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30424), 1,
      anon_sym_RPAREN,
    STATE(21123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30426), 1,
      anon_sym_RBRACK,
    STATE(21124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30428), 1,
      anon_sym_RPAREN,
    STATE(21125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30430), 1,
      anon_sym_RBRACE,
    STATE(21126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30432), 1,
      anon_sym_RPAREN,
    STATE(21127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30434), 1,
      anon_sym_DASH_GT,
    STATE(21128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30436), 1,
      anon_sym_RPAREN,
    STATE(21129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30438), 1,
      anon_sym_RPAREN,
    STATE(21130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30440), 1,
      anon_sym_RPAREN,
    STATE(21131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21803), 1,
      anon_sym_end,
    STATE(21132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21370), 1,
      anon_sym_end,
    STATE(21133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30442), 1,
      anon_sym_RBRACK,
    STATE(21134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30444), 1,
      anon_sym_LT_DASH,
    STATE(21135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30446), 1,
      anon_sym_DASH_GT,
    STATE(21136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30448), 1,
      anon_sym_RPAREN,
    STATE(21137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30450), 1,
      anon_sym_LT_DASH,
    STATE(21138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30452), 1,
      sym__lowercase_identifier,
    STATE(21139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30454), 1,
      anon_sym_RBRACE,
    STATE(21140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30456), 1,
      anon_sym_DOT,
    STATE(21141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30458), 1,
      anon_sym_DASH_GT,
    STATE(21142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30460), 1,
      anon_sym_LT_DASH,
    STATE(21143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30462), 1,
      anon_sym_in,
    STATE(21144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30464), 1,
      anon_sym_RPAREN,
    STATE(21145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30466), 1,
      anon_sym_in,
    STATE(21146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18439), 1,
      anon_sym_RPAREN,
    STATE(21147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30468), 1,
      anon_sym_SQUOTE2,
    STATE(21148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30470), 1,
      anon_sym_in,
    STATE(21149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19291), 1,
      anon_sym_GT,
    STATE(21150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30472), 1,
      anon_sym_RPAREN,
    STATE(21151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30474), 1,
      anon_sym_RBRACE,
    STATE(21152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30476), 1,
      anon_sym_RBRACK,
    STATE(21153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30478), 1,
      anon_sym_with,
    STATE(21154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30480), 1,
      anon_sym_end,
    STATE(21155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30482), 1,
      anon_sym_DQUOTE,
    STATE(21156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [829990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30484), 1,
      anon_sym_with,
    STATE(21157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30486), 1,
      sym__lowercase_identifier,
    STATE(21158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30488), 1,
      anon_sym_RPAREN,
    STATE(21159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30490), 1,
      anon_sym_in,
    STATE(21160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30492), 1,
      anon_sym_PIPE,
    STATE(21161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30494), 1,
      anon_sym_in,
    STATE(21162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30496), 1,
      sym__lowercase_identifier,
    STATE(21163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10162), 1,
      anon_sym_DASH_GT,
    STATE(21164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30498), 1,
      anon_sym_DOT,
    STATE(21165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30500), 1,
      anon_sym_DOT,
    STATE(21166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30502), 1,
      anon_sym_RBRACE,
    STATE(21167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30504), 1,
      sym__lowercase_identifier,
    STATE(21168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30506), 1,
      anon_sym_DOT_DOT,
    STATE(21169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30508), 1,
      anon_sym_DOT_DOT,
    STATE(21170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30510), 1,
      anon_sym_DOT_DOT,
    STATE(21171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18323), 1,
      anon_sym_RPAREN,
    STATE(21172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30512), 1,
      anon_sym_RPAREN,
    STATE(21173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30514), 1,
      anon_sym_DQUOTE,
    STATE(21174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7875), 1,
      anon_sym_RPAREN,
    STATE(21175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30516), 1,
      anon_sym_SQUOTE2,
    STATE(21176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30518), 1,
      anon_sym_DOT,
    STATE(21177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30520), 1,
      anon_sym_RBRACK,
    STATE(21178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22910), 1,
      anon_sym_GT_RBRACE,
    STATE(21179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23099), 1,
      anon_sym_GT_RBRACE,
    STATE(21180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21410), 1,
      anon_sym_end,
    STATE(21181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30522), 1,
      anon_sym_SQUOTE2,
    STATE(21182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30524), 1,
      anon_sym_RBRACE,
    STATE(21183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30526), 1,
      anon_sym_RBRACE,
    STATE(21184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30528), 1,
      anon_sym_COLON2,
    STATE(21185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30530), 1,
      anon_sym_RBRACE,
    STATE(21186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30532), 1,
      anon_sym_RBRACK,
    STATE(21187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30534), 1,
      anon_sym_end,
    STATE(21188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30536), 1,
      anon_sym_DQUOTE,
    STATE(21189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30538), 1,
      anon_sym_in,
    STATE(21190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30540), 1,
      anon_sym_RBRACK,
    STATE(21191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30542), 1,
      anon_sym_DASH_GT,
    STATE(21192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30544), 1,
      anon_sym_DOT,
    STATE(21193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30546), 1,
      anon_sym_DOT,
    STATE(21194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30548), 1,
      anon_sym_with,
    STATE(21195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30550), 1,
      sym__lowercase_identifier,
    STATE(21196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10110), 1,
      anon_sym_DASH_GT,
    STATE(21197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3689), 1,
      anon_sym_RPAREN,
    STATE(21198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30552), 1,
      anon_sym_RPAREN,
    STATE(21199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19680), 1,
      anon_sym_RBRACK,
    STATE(21200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30554), 1,
      anon_sym_in,
    STATE(21201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30556), 1,
      anon_sym_in,
    STATE(21202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30558), 1,
      anon_sym_RPAREN,
    STATE(21203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18653), 1,
      anon_sym_DASH_GT,
    STATE(21204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30560), 1,
      anon_sym_in,
    STATE(21205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30562), 1,
      anon_sym_LT_DASH,
    STATE(21206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30564), 1,
      anon_sym_RBRACK,
    STATE(21207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14684), 1,
      anon_sym_DASH_GT,
    STATE(21208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30566), 1,
      anon_sym_DOT,
    STATE(21209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30568), 1,
      anon_sym_RPAREN,
    STATE(21210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30570), 1,
      anon_sym_RPAREN,
    STATE(21211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30572), 1,
      anon_sym_with,
    STATE(21212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10018), 1,
      anon_sym_DASH_GT,
    STATE(21213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10096), 1,
      anon_sym_DASH_GT,
    STATE(21214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30574), 1,
      anon_sym_DOT,
    STATE(21215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30576), 1,
      anon_sym_RPAREN,
    STATE(21216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30578), 1,
      anon_sym_RBRACE,
    STATE(21217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30580), 1,
      anon_sym_RBRACK,
    STATE(21218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30582), 1,
      anon_sym_RPAREN,
    STATE(21219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30584), 1,
      anon_sym_RPAREN,
    STATE(21220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30586), 1,
      anon_sym_with,
    STATE(21221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30588), 1,
      sym__lowercase_identifier,
    STATE(21222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30590), 1,
      anon_sym_DOT,
    STATE(21223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30592), 1,
      anon_sym_DQUOTE,
    STATE(21224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30594), 1,
      anon_sym_SQUOTE2,
    STATE(21225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21290), 1,
      anon_sym_end,
    STATE(21226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30596), 1,
      anon_sym_RPAREN,
    STATE(21227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23165), 1,
      anon_sym_GT_RBRACE,
    STATE(21228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [830998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30598), 1,
      anon_sym_DASH_GT,
    STATE(21229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30600), 1,
      anon_sym_RPAREN,
    STATE(21230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30602), 1,
      anon_sym_DOT,
    STATE(21231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30604), 1,
      anon_sym_RPAREN,
    STATE(21232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30606), 1,
      anon_sym_RBRACE,
    STATE(21233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30608), 1,
      anon_sym_RPAREN,
    STATE(21234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30610), 1,
      anon_sym_end,
    STATE(21235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30612), 1,
      anon_sym_RBRACK,
    STATE(21236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30614), 1,
      anon_sym_RBRACE,
    STATE(21237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30616), 1,
      anon_sym_RBRACK,
    STATE(21238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30618), 1,
      anon_sym_RBRACE,
    STATE(21239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30620), 1,
      anon_sym_RBRACE,
    STATE(21240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30622), 1,
      anon_sym_RPAREN,
    STATE(21241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18385), 1,
      anon_sym_RPAREN,
    STATE(21242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30624), 1,
      anon_sym_RBRACE,
    STATE(21243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30626), 1,
      anon_sym_in,
    STATE(21244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3737), 1,
      anon_sym_RPAREN,
    STATE(21245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30628), 1,
      anon_sym_RPAREN,
    STATE(21246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30630), 1,
      anon_sym_in,
    STATE(21247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30632), 1,
      anon_sym_DASH_GT,
    STATE(21248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30634), 1,
      anon_sym_in,
    STATE(21249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30636), 1,
      anon_sym_in,
    STATE(21250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30638), 1,
      aux_sym_number_token1,
    STATE(21251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30640), 1,
      anon_sym_RBRACE,
    STATE(21252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30642), 1,
      anon_sym_in,
    STATE(21253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25954), 1,
      anon_sym_RBRACK,
    STATE(21254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30644), 1,
      anon_sym_DASH_GT,
    STATE(21255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18339), 1,
      anon_sym_RPAREN,
    STATE(21256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(15757), 1,
      anon_sym_end,
    STATE(21257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30646), 1,
      anon_sym_with,
    STATE(21258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30648), 1,
      anon_sym_DOT,
    STATE(21259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30650), 1,
      anon_sym_LT_DASH,
    STATE(21260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30652), 1,
      anon_sym_RPAREN,
    STATE(21261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30654), 1,
      anon_sym_RPAREN,
    STATE(21262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30656), 1,
      anon_sym_RBRACE,
    STATE(21263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30658), 1,
      anon_sym_RBRACK,
    STATE(21264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30660), 1,
      sym__lowercase_identifier,
    STATE(21265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30662), 1,
      anon_sym_end,
    STATE(21266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30664), 1,
      anon_sym_COMMA,
    STATE(21267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30666), 1,
      anon_sym_RBRACE,
    STATE(21268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19402), 1,
      anon_sym_GT,
    STATE(21269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18317), 1,
      anon_sym_RPAREN,
    STATE(21270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30668), 1,
      sym__lowercase_identifier,
    STATE(21271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30670), 1,
      sym__lowercase_identifier,
    STATE(21272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10156), 1,
      anon_sym_DASH_GT,
    STATE(21273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30672), 1,
      anon_sym_with,
    STATE(21274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30674), 1,
      sym__lowercase_identifier,
    STATE(21275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30676), 1,
      anon_sym_DASH_GT,
    STATE(21276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30678), 1,
      anon_sym_DASH_GT,
    STATE(21277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30680), 1,
      anon_sym_RPAREN,
    STATE(21278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30682), 1,
      anon_sym_RPAREN,
    STATE(21279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30684), 1,
      anon_sym_DQUOTE,
    STATE(21280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30686), 1,
      anon_sym_RPAREN,
    STATE(21281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30688), 1,
      anon_sym_RBRACE,
    STATE(21282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30690), 1,
      anon_sym_RBRACE,
    STATE(21283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30692), 1,
      anon_sym_PIPE,
    STATE(21284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30694), 1,
      anon_sym_RBRACE,
    STATE(21285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30696), 1,
      anon_sym_RPAREN,
    STATE(21286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30698), 1,
      anon_sym_DOT_DOT,
    STATE(21287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30700), 1,
      anon_sym_DOT_DOT,
    STATE(21288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30702), 1,
      anon_sym_DOT_DOT,
    STATE(21289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30704), 1,
      anon_sym_GT,
    STATE(21290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30706), 1,
      anon_sym_SQUOTE2,
    STATE(21291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21213), 1,
      anon_sym_end,
    STATE(21292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23231), 1,
      anon_sym_GT_RBRACE,
    STATE(21293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30708), 1,
      anon_sym_RPAREN,
    STATE(21294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30710), 1,
      anon_sym_RBRACK,
    STATE(21295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30712), 1,
      anon_sym_RBRACE,
    STATE(21296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30714), 1,
      anon_sym_DASH_GT,
    STATE(21297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12961), 1,
      anon_sym_GT,
    STATE(21298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30716), 1,
      anon_sym_COLON2,
    STATE(21299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [831992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30718), 1,
      anon_sym_RBRACE,
    STATE(21300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25928), 1,
      anon_sym_RBRACE,
    STATE(21301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30720), 1,
      anon_sym_RPAREN,
    STATE(21302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30722), 1,
      anon_sym_RBRACE,
    STATE(21303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30724), 1,
      anon_sym_RPAREN,
    STATE(21304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13067), 1,
      anon_sym_GT,
    STATE(21305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30726), 1,
      anon_sym_RBRACK,
    STATE(21306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30728), 1,
      anon_sym_RBRACE,
    STATE(21307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30730), 1,
      anon_sym_RBRACE,
    STATE(21308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30732), 1,
      anon_sym_in,
    STATE(21309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30734), 1,
      sym__uppercase_identifier,
    STATE(21310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30736), 1,
      anon_sym_DOT,
    STATE(21311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    STATE(21312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30738), 1,
      anon_sym_RPAREN,
    STATE(21313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30740), 1,
      anon_sym_RPAREN,
    STATE(21314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30742), 1,
      anon_sym_RPAREN,
    STATE(21315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30744), 1,
      anon_sym_in,
    STATE(21316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30746), 1,
      anon_sym_in,
    STATE(21317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30748), 1,
      anon_sym_in,
    STATE(21318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30750), 1,
      anon_sym_LT_DASH,
    STATE(21319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30752), 1,
      anon_sym_RPAREN,
    STATE(21320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30754), 1,
      anon_sym_RPAREN,
    STATE(21321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25914), 1,
      anon_sym_RBRACE,
    STATE(21322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30756), 1,
      anon_sym_RPAREN,
    STATE(21323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30758), 1,
      anon_sym_RPAREN,
    STATE(21324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30760), 1,
      anon_sym_RBRACE,
    STATE(21325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30762), 1,
      anon_sym_RBRACK,
    STATE(21326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19319), 1,
      anon_sym_GT,
    STATE(21327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30764), 1,
      anon_sym_GT,
    STATE(21328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25894), 1,
      anon_sym_RBRACK,
    STATE(21329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30766), 1,
      anon_sym_RPAREN,
    STATE(21330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30768), 1,
      anon_sym_RBRACE,
    STATE(21331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30770), 1,
      anon_sym_DOT,
    STATE(21332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30772), 1,
      anon_sym_RBRACK,
    STATE(21333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30774), 1,
      anon_sym_RPAREN,
    STATE(21334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30776), 1,
      anon_sym_end,
    STATE(21335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30778), 1,
      anon_sym_RPAREN,
    STATE(21336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30780), 1,
      anon_sym_DASH_GT,
    STATE(21337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30782), 1,
      anon_sym_RPAREN,
    STATE(21338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30784), 1,
      anon_sym_DASH_GT,
    STATE(21339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30786), 1,
      anon_sym_RPAREN,
    STATE(21340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30788), 1,
      anon_sym_RBRACE,
    STATE(21341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30790), 1,
      anon_sym_RBRACK,
    STATE(21342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30792), 1,
      anon_sym_RPAREN,
    STATE(21343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30794), 1,
      anon_sym_RBRACE,
    STATE(21344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30796), 1,
      anon_sym_RPAREN,
    STATE(21345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30798), 1,
      sym__lowercase_identifier,
    STATE(21346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30800), 1,
      anon_sym_RPAREN,
    STATE(21347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30802), 1,
      anon_sym_RBRACK,
    STATE(21348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30804), 1,
      anon_sym_RPAREN,
    STATE(21349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30806), 1,
      anon_sym_RPAREN,
    STATE(21350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30808), 1,
      anon_sym_RPAREN,
    STATE(21351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30810), 1,
      anon_sym_RBRACE,
    STATE(21352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30812), 1,
      anon_sym_RPAREN,
    STATE(21353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30814), 1,
      anon_sym_RBRACE,
    STATE(21354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30816), 1,
      sym__lowercase_identifier,
    STATE(21355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30818), 1,
      anon_sym_RBRACK,
    STATE(21356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30820), 1,
      anon_sym_RPAREN,
    STATE(21357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30822), 1,
      anon_sym_PIPE,
    STATE(21358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30824), 1,
      anon_sym_RPAREN,
    STATE(21359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30826), 1,
      anon_sym_RBRACE,
    STATE(21360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30828), 1,
      anon_sym_DOT_DOT,
    STATE(21361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30830), 1,
      anon_sym_DOT_DOT,
    STATE(21362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30832), 1,
      anon_sym_DOT_DOT,
    STATE(21363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30834), 1,
      anon_sym_RBRACK,
    STATE(21364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30836), 1,
      anon_sym_RPAREN,
    STATE(21365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30838), 1,
      anon_sym_RBRACE,
    STATE(21366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30840), 1,
      anon_sym_RPAREN,
    STATE(21367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30842), 1,
      anon_sym_DASH_GT,
    STATE(21368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30844), 1,
      anon_sym_RPAREN,
    STATE(21369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19990), 1,
      anon_sym_RPAREN,
    STATE(21370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [832986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18148), 1,
      anon_sym_RPAREN,
    STATE(21371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30846), 1,
      anon_sym_RPAREN,
    STATE(21372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30848), 1,
      anon_sym_COLON2,
    STATE(21373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18353), 1,
      anon_sym_RPAREN,
    STATE(21374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30850), 1,
      anon_sym_RPAREN,
    STATE(21375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30852), 1,
      anon_sym_RBRACK,
    STATE(21376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30854), 1,
      anon_sym_DASH_GT,
    STATE(21377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30856), 1,
      anon_sym_RBRACE,
    STATE(21378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30858), 1,
      anon_sym_RBRACK,
    STATE(21379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30860), 1,
      anon_sym_RPAREN,
    STATE(21380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30862), 1,
      anon_sym_RBRACE,
    STATE(21381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30864), 1,
      anon_sym_RPAREN,
    STATE(21382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30866), 1,
      anon_sym_done,
    STATE(21383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30868), 1,
      anon_sym_RPAREN,
    STATE(21384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30870), 1,
      anon_sym_DASH_GT,
    STATE(21385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30872), 1,
      anon_sym_RBRACE,
    STATE(21386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30874), 1,
      anon_sym_RBRACK,
    STATE(21387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30876), 1,
      anon_sym_DASH_GT,
    STATE(21388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30878), 1,
      anon_sym_in,
    STATE(21389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30880), 1,
      anon_sym_in,
    STATE(21390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30882), 1,
      anon_sym_RBRACK,
    STATE(21391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30884), 1,
      anon_sym_RBRACK,
    STATE(21392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10142), 1,
      anon_sym_DASH_GT,
    STATE(21393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30886), 1,
      anon_sym_end,
    STATE(21394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30888), 1,
      anon_sym_end,
    STATE(21395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30890), 1,
      anon_sym_DASH_GT,
    STATE(21396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30892), 1,
      anon_sym_DASH_GT,
    STATE(21397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10970), 1,
      anon_sym_RBRACK,
    STATE(21398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30894), 1,
      sym__lowercase_identifier,
    STATE(21399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30896), 1,
      anon_sym_RBRACE,
    STATE(21400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30896), 1,
      anon_sym_RBRACK,
    STATE(21401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25582), 1,
      anon_sym_RPAREN,
    STATE(21402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30898), 1,
      anon_sym_DQUOTE,
    STATE(21403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30900), 1,
      anon_sym_SQUOTE2,
    STATE(21404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30902), 1,
      anon_sym_LT_DASH,
    STATE(21405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30896), 1,
      anon_sym_RPAREN,
    STATE(21406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21092), 1,
      anon_sym_end,
    STATE(21407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30904), 1,
      anon_sym_with,
    STATE(21408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30906), 1,
      sym__lowercase_identifier,
    STATE(21409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23365), 1,
      anon_sym_GT_RBRACE,
    STATE(21410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19227), 1,
      anon_sym_GT,
    STATE(21411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30908), 1,
      anon_sym_in,
    STATE(21412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30910), 1,
      anon_sym_in,
    STATE(21413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30912), 1,
      anon_sym_PIPE,
    STATE(21414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30914), 1,
      anon_sym_end,
    STATE(21415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30916), 1,
      anon_sym_DOT_DOT,
    STATE(21416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30918), 1,
      anon_sym_DOT_DOT,
    STATE(21417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30920), 1,
      anon_sym_DOT_DOT,
    STATE(21418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30922), 1,
      anon_sym_in,
    STATE(21419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30924), 1,
      anon_sym_RPAREN,
    STATE(21420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30926), 1,
      anon_sym_COLON2,
    STATE(21421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30928), 1,
      anon_sym_RPAREN,
    STATE(21422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30930), 1,
      sym__lowercase_identifier,
    STATE(21423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    STATE(21424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30932), 1,
      anon_sym_RBRACE,
    STATE(21425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30934), 1,
      anon_sym_in,
    STATE(21426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30936), 1,
      anon_sym_in,
    STATE(21427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    STATE(21428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30938), 1,
      anon_sym_RBRACE,
    STATE(21429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18341), 1,
      anon_sym_RPAREN,
    STATE(21430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30940), 1,
      anon_sym_RPAREN,
    STATE(21431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30942), 1,
      anon_sym_in,
    STATE(21432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30944), 1,
      anon_sym_DASH_GT,
    STATE(21433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30946), 1,
      anon_sym_in,
    STATE(21434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30948), 1,
      sym__lowercase_identifier,
    STATE(21435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25842), 1,
      anon_sym_RBRACK,
    STATE(21436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30950), 1,
      anon_sym_in,
    STATE(21437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6059), 1,
      anon_sym_RPAREN,
    STATE(21438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30952), 1,
      anon_sym_COMMA,
    STATE(21439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30954), 1,
      anon_sym_LT_DASH,
    STATE(21440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30956), 1,
      anon_sym_DASH_GT,
    STATE(21441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30958), 1,
      anon_sym_DOT,
    STATE(21442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [833994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30960), 1,
      anon_sym_DASH_GT,
    STATE(21443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23421), 1,
      anon_sym_GT_RBRACE,
    STATE(21444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21086), 1,
      anon_sym_end,
    STATE(21445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30962), 1,
      anon_sym_SQUOTE2,
    STATE(21446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30964), 1,
      sym__lowercase_identifier,
    STATE(21447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30966), 1,
      anon_sym_DQUOTE,
    STATE(21448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10044), 1,
      anon_sym_DASH_GT,
    STATE(21449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30968), 1,
      anon_sym_RPAREN,
    STATE(21450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30970), 1,
      anon_sym_RBRACE,
    STATE(21451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30972), 1,
      anon_sym_PIPE,
    STATE(21452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30974), 1,
      anon_sym_RBRACK,
    STATE(21453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30976), 1,
      anon_sym_DOT_DOT,
    STATE(21454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30978), 1,
      anon_sym_DOT_DOT,
    STATE(21455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30980), 1,
      anon_sym_DOT_DOT,
    STATE(21456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30982), 1,
      sym__lowercase_identifier,
    STATE(21457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30984), 1,
      anon_sym_end,
    STATE(21458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30986), 1,
      anon_sym_RPAREN,
    STATE(21459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30988), 1,
      anon_sym_DASH_GT,
    STATE(21460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30990), 1,
      anon_sym_with,
    STATE(21461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30992), 1,
      anon_sym_EQ,
    STATE(21462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30994), 1,
      anon_sym_EQ,
    STATE(21463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12957), 1,
      anon_sym_GT,
    STATE(21464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30996), 1,
      anon_sym_RPAREN,
    STATE(21465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30998), 1,
      anon_sym_RPAREN,
    STATE(21466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30996), 1,
      anon_sym_RBRACK,
    STATE(21467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25816), 1,
      anon_sym_RBRACK,
    STATE(21468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(30996), 1,
      anon_sym_RBRACE,
    STATE(21469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31000), 1,
      anon_sym_DASH_GT,
    STATE(21470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31002), 1,
      anon_sym_RBRACE,
    STATE(21471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31004), 1,
      anon_sym_in,
    STATE(21472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31006), 1,
      anon_sym_RBRACK,
    STATE(21473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31008), 1,
      anon_sym_DASH_GT,
    STATE(21474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10030), 1,
      anon_sym_DASH_GT,
    STATE(21475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31010), 1,
      anon_sym_RPAREN,
    STATE(21476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10002), 1,
      anon_sym_DASH_GT,
    STATE(21477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31012), 1,
      sym__lowercase_identifier,
    STATE(21478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31014), 1,
      anon_sym_RPAREN,
    STATE(21479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31016), 1,
      anon_sym_RPAREN,
    STATE(21480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31018), 1,
      anon_sym_DASH_GT,
    STATE(21481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31020), 1,
      anon_sym_RPAREN,
    STATE(21482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31022), 1,
      anon_sym_PIPE,
    STATE(21483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31024), 1,
      anon_sym_RBRACE,
    STATE(21484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31026), 1,
      anon_sym_DOT_DOT,
    STATE(21485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31028), 1,
      anon_sym_DOT_DOT,
    STATE(21486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31030), 1,
      anon_sym_DOT_DOT,
    STATE(21487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31032), 1,
      anon_sym_RBRACK,
    STATE(21488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31034), 1,
      anon_sym_RPAREN,
    STATE(21489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31036), 1,
      anon_sym_GT,
    STATE(21490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(17833), 1,
      anon_sym_DASH_GT,
    STATE(21491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31038), 1,
      anon_sym_RPAREN,
    STATE(21492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31040), 1,
      anon_sym_RBRACE,
    STATE(21493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10104), 1,
      anon_sym_DASH_GT,
    STATE(21494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31042), 1,
      anon_sym_DASH_GT,
    STATE(21495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10092), 1,
      anon_sym_DASH_GT,
    STATE(21496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31044), 1,
      anon_sym_DASH_GT,
    STATE(21497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19976), 1,
      anon_sym_RPAREN,
    STATE(21498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25806), 1,
      anon_sym_RBRACK,
    STATE(21499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31046), 1,
      anon_sym_DASH_GT,
    STATE(21500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18271), 1,
      anon_sym_RPAREN,
    STATE(21501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31048), 1,
      anon_sym_RBRACE,
    STATE(21502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31050), 1,
      anon_sym_RBRACK,
    STATE(21503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31052), 1,
      anon_sym_end,
    STATE(21504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31054), 1,
      anon_sym_RPAREN,
    STATE(21505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31056), 1,
      sym__lowercase_identifier,
    STATE(21506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24835), 1,
      anon_sym_GT_RBRACE,
    STATE(21507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31058), 1,
      anon_sym_DASH_GT,
    STATE(21508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31060), 1,
      anon_sym_PIPE,
    STATE(21509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31062), 1,
      anon_sym_DOT_DOT,
    STATE(21510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31064), 1,
      anon_sym_DOT_DOT,
    STATE(21511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31066), 1,
      anon_sym_DOT_DOT,
    STATE(21512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31068), 1,
      anon_sym_RBRACK,
    STATE(21513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [834988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31070), 1,
      anon_sym_DASH_GT,
    STATE(21514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31072), 1,
      anon_sym_RBRACE,
    STATE(21515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31074), 1,
      anon_sym_RPAREN,
    STATE(21516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31076), 1,
      sym__lowercase_identifier,
    STATE(21517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31078), 1,
      anon_sym_DOT,
    STATE(21518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31080), 1,
      anon_sym_DASH_GT,
    STATE(21519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18291), 1,
      anon_sym_RPAREN,
    STATE(21520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31082), 1,
      anon_sym_DQUOTE,
    STATE(21521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31084), 1,
      anon_sym_SQUOTE2,
    STATE(21522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31086), 1,
      anon_sym_with,
    STATE(21523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11006), 1,
      anon_sym_RBRACK,
    STATE(21524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31088), 1,
      anon_sym_DASH_GT,
    STATE(21525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31090), 1,
      sym__lowercase_identifier,
    STATE(21526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21991), 1,
      anon_sym_end,
    STATE(21527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31092), 1,
      anon_sym_DQUOTE,
    STATE(21528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31094), 1,
      anon_sym_with,
    STATE(21529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31096), 1,
      anon_sym_SQUOTE2,
    STATE(21530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31098), 1,
      sym__lowercase_identifier,
    STATE(21531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31100), 1,
      anon_sym_RBRACE,
    STATE(21532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31102), 1,
      anon_sym_PIPE,
    STATE(21533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31104), 1,
      anon_sym_DOT_DOT,
    STATE(21534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31106), 1,
      anon_sym_DOT_DOT,
    STATE(21535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31108), 1,
      anon_sym_DOT_DOT,
    STATE(21536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21205), 1,
      anon_sym_end,
    STATE(21537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23551), 1,
      anon_sym_GT_RBRACE,
    STATE(21538), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31110), 1,
      sym__lowercase_identifier,
    STATE(21539), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31112), 1,
      anon_sym_RPAREN,
    STATE(21540), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31114), 1,
      anon_sym_in,
    STATE(21541), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31116), 1,
      anon_sym_RBRACK,
    STATE(21542), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31118), 1,
      anon_sym_in,
    STATE(21543), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11022), 1,
      anon_sym_RBRACK,
    STATE(21544), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31120), 1,
      anon_sym_DQUOTE,
    STATE(21545), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31122), 1,
      anon_sym_in,
    STATE(21546), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31124), 1,
      anon_sym_SQUOTE2,
    STATE(21547), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31126), 1,
      anon_sym_RBRACE,
    STATE(21548), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21266), 1,
      anon_sym_end,
    STATE(21549), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31128), 1,
      anon_sym_RPAREN,
    STATE(21550), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31130), 1,
      sym__lowercase_identifier,
    STATE(21551), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31132), 1,
      anon_sym_RBRACE,
    STATE(21552), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31134), 1,
      anon_sym_PIPE,
    STATE(21553), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31136), 1,
      anon_sym_DOT_DOT,
    STATE(21554), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31138), 1,
      anon_sym_DOT_DOT,
    STATE(21555), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31140), 1,
      anon_sym_DOT_DOT,
    STATE(21556), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23567), 1,
      anon_sym_GT_RBRACE,
    STATE(21557), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31142), 1,
      anon_sym_end,
    STATE(21558), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31144), 1,
      anon_sym_in,
    STATE(21559), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31146), 1,
      anon_sym_RPAREN,
    STATE(21560), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3787), 1,
      anon_sym_RPAREN,
    STATE(21561), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31148), 1,
      anon_sym_RPAREN,
    STATE(21562), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31150), 1,
      anon_sym_RBRACE,
    STATE(21563), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25756), 1,
      anon_sym_RBRACK,
    STATE(21564), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31152), 1,
      anon_sym_in,
    STATE(21565), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31154), 1,
      anon_sym_LT_DASH,
    STATE(21566), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31156), 1,
      anon_sym_in,
    STATE(21567), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31158), 1,
      anon_sym_in,
    STATE(21568), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3747), 1,
      anon_sym_RPAREN,
    STATE(21569), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31160), 1,
      sym__lowercase_identifier,
    STATE(21570), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31162), 1,
      anon_sym_in,
    STATE(21571), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31164), 1,
      anon_sym_PIPE,
    STATE(21572), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31166), 1,
      anon_sym_DOT_DOT,
    STATE(21573), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31168), 1,
      anon_sym_DOT_DOT,
    STATE(21574), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31170), 1,
      anon_sym_DOT_DOT,
    STATE(21575), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18601), 1,
      anon_sym_DASH_GT,
    STATE(21576), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31172), 1,
      anon_sym_LT_DASH,
    STATE(21577), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6039), 1,
      anon_sym_end,
    STATE(21578), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31174), 1,
      anon_sym_RPAREN,
    STATE(21579), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31176), 1,
      aux_sym_number_token1,
    STATE(21580), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31178), 1,
      anon_sym_RPAREN,
    STATE(21581), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31180), 1,
      anon_sym_in,
    STATE(21582), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10994), 1,
      anon_sym_RBRACK,
    STATE(21583), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31182), 1,
      anon_sym_RBRACE,
    STATE(21584), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31184), 1,
      anon_sym_RPAREN,
    STATE(21585), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [835996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31186), 1,
      anon_sym_RBRACK,
    STATE(21586), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31188), 1,
      anon_sym_RPAREN,
    STATE(21587), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31190), 1,
      anon_sym_in,
    STATE(21588), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31192), 1,
      sym__lowercase_identifier,
    STATE(21589), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31194), 1,
      anon_sym_RBRACE,
    STATE(21590), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31196), 1,
      anon_sym_PIPE,
    STATE(21591), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31198), 1,
      anon_sym_DOT_DOT,
    STATE(21592), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31200), 1,
      anon_sym_DOT_DOT,
    STATE(21593), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31202), 1,
      anon_sym_DOT_DOT,
    STATE(21594), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31204), 1,
      anon_sym_in,
    STATE(21595), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31206), 1,
      anon_sym_in,
    STATE(21596), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3635), 1,
      anon_sym_RPAREN,
    STATE(21597), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31208), 1,
      anon_sym_RPAREN,
    STATE(21598), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31210), 1,
      anon_sym_RPAREN,
    STATE(21599), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31212), 1,
      anon_sym_RPAREN,
    STATE(21600), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31214), 1,
      sym__lowercase_identifier,
    STATE(21601), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31216), 1,
      anon_sym_RBRACE,
    STATE(21602), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31218), 1,
      anon_sym_in,
    STATE(21603), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31220), 1,
      anon_sym_RBRACK,
    STATE(21604), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31222), 1,
      anon_sym_in,
    STATE(21605), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31224), 1,
      sym__lowercase_identifier,
    STATE(21606), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31226), 1,
      anon_sym_RPAREN,
    STATE(21607), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31228), 1,
      anon_sym_PIPE,
    STATE(21608), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31230), 1,
      anon_sym_DOT_DOT,
    STATE(21609), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31232), 1,
      anon_sym_DOT_DOT,
    STATE(21610), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31234), 1,
      anon_sym_DOT_DOT,
    STATE(21611), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31236), 1,
      anon_sym_RPAREN,
    STATE(21612), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31238), 1,
      anon_sym_in,
    STATE(21613), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25600), 1,
      aux_sym_number_token1,
    STATE(21614), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31240), 1,
      anon_sym_DOT,
    STATE(21615), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31242), 1,
      anon_sym_RPAREN,
    STATE(21616), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31244), 1,
      anon_sym_RPAREN,
    STATE(21617), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2099), 1,
      anon_sym_end,
    STATE(21618), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31246), 1,
      anon_sym_with,
    STATE(21619), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31248), 1,
      anon_sym_RPAREN,
    STATE(21620), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31250), 1,
      anon_sym_RBRACE,
    STATE(21621), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31252), 1,
      anon_sym_RBRACK,
    STATE(21622), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31254), 1,
      sym__lowercase_identifier,
    STATE(21623), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31256), 1,
      anon_sym_RPAREN,
    STATE(21624), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31258), 1,
      anon_sym_PIPE,
    STATE(21625), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31260), 1,
      anon_sym_DOT_DOT,
    STATE(21626), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31262), 1,
      anon_sym_DOT_DOT,
    STATE(21627), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31264), 1,
      anon_sym_DOT_DOT,
    STATE(21628), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31266), 1,
      anon_sym_RBRACE,
    STATE(21629), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31268), 1,
      anon_sym_EQ,
    STATE(21630), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10010), 1,
      anon_sym_DASH_GT,
    STATE(21631), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31270), 1,
      anon_sym_DASH_GT,
    STATE(21632), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18367), 1,
      anon_sym_RPAREN,
    STATE(21633), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31272), 1,
      anon_sym_RBRACE,
    STATE(21634), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31274), 1,
      anon_sym_LT_DASH,
    STATE(21635), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31276), 1,
      anon_sym_RPAREN,
    STATE(21636), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(20736), 1,
      sym__uppercase_identifier,
    STATE(21637), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31278), 1,
      anon_sym_RBRACK,
    STATE(21638), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31280), 1,
      anon_sym_end,
    STATE(21639), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31282), 1,
      sym__lowercase_identifier,
    STATE(21640), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31284), 1,
      anon_sym_with,
    STATE(21641), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31286), 1,
      anon_sym_PIPE,
    STATE(21642), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31288), 1,
      anon_sym_DOT_DOT,
    STATE(21643), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31290), 1,
      anon_sym_DOT_DOT,
    STATE(21644), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31292), 1,
      anon_sym_DOT_DOT,
    STATE(21645), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836836] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31294), 1,
      anon_sym_LT_DASH,
    STATE(21646), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31296), 1,
      anon_sym_RPAREN,
    STATE(21647), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31298), 1,
      anon_sym_end,
    STATE(21648), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31300), 1,
      anon_sym_DOT,
    STATE(21649), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10064), 1,
      anon_sym_DASH_GT,
    STATE(21650), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10004), 1,
      anon_sym_DASH_GT,
    STATE(21651), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31302), 1,
      anon_sym_in,
    STATE(21652), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31304), 1,
      anon_sym_in,
    STATE(21653), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31306), 1,
      anon_sym_in,
    STATE(21654), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31308), 1,
      sym__lowercase_identifier,
    STATE(21655), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31310), 1,
      anon_sym_in,
    STATE(21656), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [836990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31312), 1,
      sym__lowercase_identifier,
    STATE(21657), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31314), 1,
      anon_sym_LT_DASH,
    STATE(21658), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31316), 1,
      anon_sym_PIPE,
    STATE(21659), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31318), 1,
      anon_sym_DOT_DOT,
    STATE(21660), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31320), 1,
      anon_sym_DOT_DOT,
    STATE(21661), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31322), 1,
      anon_sym_DOT_DOT,
    STATE(21662), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31324), 1,
      anon_sym_DQUOTE,
    STATE(21663), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31326), 1,
      anon_sym_SQUOTE2,
    STATE(21664), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21348), 1,
      anon_sym_end,
    STATE(21665), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23731), 1,
      anon_sym_GT_RBRACE,
    STATE(21666), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31328), 1,
      anon_sym_in,
    STATE(21667), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31330), 1,
      anon_sym_RPAREN,
    STATE(21668), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    STATE(21669), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31332), 1,
      anon_sym_in,
    STATE(21670), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31334), 1,
      anon_sym_RBRACE,
    STATE(21671), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31336), 1,
      anon_sym_RBRACE,
    STATE(21672), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31338), 1,
      anon_sym_in,
    STATE(21673), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31340), 1,
      sym__lowercase_identifier,
    STATE(21674), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31342), 1,
      anon_sym_RPAREN,
    STATE(21675), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31344), 1,
      anon_sym_PIPE,
    STATE(21676), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31346), 1,
      anon_sym_DOT_DOT,
    STATE(21677), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31348), 1,
      anon_sym_DOT_DOT,
    STATE(21678), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31350), 1,
      anon_sym_DOT_DOT,
    STATE(21679), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3633), 1,
      anon_sym_RPAREN,
    STATE(21680), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31352), 1,
      anon_sym_RPAREN,
    STATE(21681), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31354), 1,
      anon_sym_DOT,
    STATE(21682), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31356), 1,
      anon_sym_RPAREN,
    STATE(21683), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31358), 1,
      anon_sym_RPAREN,
    STATE(21684), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31360), 1,
      anon_sym_in,
    STATE(21685), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31362), 1,
      anon_sym_in,
    STATE(21686), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31364), 1,
      anon_sym_in,
    STATE(21687), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31366), 1,
      anon_sym_GT,
    STATE(21688), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31368), 1,
      anon_sym_LT_DASH,
    STATE(21689), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31370), 1,
      anon_sym_DOT,
    STATE(21690), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31372), 1,
      sym__lowercase_identifier,
    STATE(21691), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23781), 1,
      anon_sym_GT_RBRACE,
    STATE(21692), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31374), 1,
      anon_sym_PIPE,
    STATE(21693), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31376), 1,
      anon_sym_DOT_DOT,
    STATE(21694), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31378), 1,
      anon_sym_DOT_DOT,
    STATE(21695), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31380), 1,
      anon_sym_DOT_DOT,
    STATE(21696), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21344), 1,
      anon_sym_end,
    STATE(21697), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31382), 1,
      anon_sym_RPAREN,
    STATE(21698), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31384), 1,
      anon_sym_SQUOTE2,
    STATE(21699), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31386), 1,
      anon_sym_RBRACE,
    STATE(21700), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31388), 1,
      anon_sym_DQUOTE,
    STATE(21701), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31390), 1,
      anon_sym_RBRACE,
    STATE(21702), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(12879), 1,
      anon_sym_GT,
    STATE(21703), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31392), 1,
      anon_sym_RPAREN,
    STATE(21704), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31394), 1,
      sym__lowercase_identifier,
    STATE(21705), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24883), 1,
      anon_sym_GT_RBRACE,
    STATE(21706), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31396), 1,
      sym__lowercase_identifier,
    STATE(21707), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31398), 1,
      anon_sym_in,
    STATE(21708), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31400), 1,
      anon_sym_PIPE,
    STATE(21709), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31402), 1,
      anon_sym_DOT_DOT,
    STATE(21710), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31404), 1,
      anon_sym_DOT_DOT,
    STATE(21711), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31406), 1,
      anon_sym_DOT_DOT,
    STATE(21712), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31408), 1,
      anon_sym_GT,
    STATE(21713), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31410), 1,
      anon_sym_RPAREN,
    STATE(21714), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21863), 1,
      anon_sym_end,
    STATE(21715), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31412), 1,
      anon_sym_RPAREN,
    STATE(21716), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31414), 1,
      anon_sym_RBRACE,
    STATE(21717), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31416), 1,
      anon_sym_RBRACK,
    STATE(21718), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31418), 1,
      anon_sym_RPAREN,
    STATE(21719), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31420), 1,
      sym__right_quoted_string_delimiter,
    STATE(21720), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31422), 1,
      anon_sym_RPAREN,
    STATE(21721), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10146), 1,
      anon_sym_DASH_GT,
    STATE(21722), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31424), 1,
      sym__lowercase_identifier,
    STATE(21723), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31426), 1,
      anon_sym_RPAREN,
    STATE(21724), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31428), 1,
      anon_sym_PIPE,
    STATE(21725), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31430), 1,
      anon_sym_DOT_DOT,
    STATE(21726), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31432), 1,
      anon_sym_DOT_DOT,
    STATE(21727), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31434), 1,
      anon_sym_DOT_DOT,
    STATE(21728), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [837998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31436), 1,
      anon_sym_RBRACE,
    STATE(21729), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31438), 1,
      anon_sym_SQUOTE2,
    STATE(21730), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31440), 1,
      anon_sym_RPAREN,
    STATE(21731), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31442), 1,
      anon_sym_RBRACE,
    STATE(21732), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31444), 1,
      anon_sym_RBRACK,
    STATE(21733), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31446), 1,
      anon_sym_DQUOTE,
    STATE(21734), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31448), 1,
      sym__lowercase_identifier,
    STATE(21735), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31450), 1,
      anon_sym_RPAREN,
    STATE(21736), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31452), 1,
      anon_sym_RPAREN,
    STATE(21737), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31454), 1,
      anon_sym_PLUS_EQ,
    STATE(21738), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31456), 1,
      sym__lowercase_identifier,
    STATE(21739), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31458), 1,
      anon_sym_RBRACE,
    STATE(21740), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31460), 1,
      anon_sym_PIPE,
    STATE(21741), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31462), 1,
      anon_sym_DOT_DOT,
    STATE(21742), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31464), 1,
      anon_sym_DOT_DOT,
    STATE(21743), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31466), 1,
      anon_sym_DOT_DOT,
    STATE(21744), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31468), 1,
      anon_sym_RBRACE,
    STATE(21745), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31470), 1,
      anon_sym_DASH_GT,
    STATE(21746), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31472), 1,
      anon_sym_RBRACK,
    STATE(21747), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31474), 1,
      anon_sym_DASH_GT,
    STATE(21748), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31476), 1,
      anon_sym_end,
    STATE(21749), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18479), 1,
      anon_sym_RPAREN,
    STATE(21750), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31478), 1,
      anon_sym_RPAREN,
    STATE(21751), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19628), 1,
      anon_sym_DASH_GT,
    STATE(21752), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31480), 1,
      anon_sym_RBRACE,
    STATE(21753), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31482), 1,
      anon_sym_RBRACE,
    STATE(21754), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31484), 1,
      sym__lowercase_identifier,
    STATE(21755), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31486), 1,
      anon_sym_RBRACE,
    STATE(21756), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31488), 1,
      anon_sym_PIPE,
    STATE(21757), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31490), 1,
      anon_sym_DOT_DOT,
    STATE(21758), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31492), 1,
      anon_sym_DOT_DOT,
    STATE(21759), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31494), 1,
      anon_sym_DOT_DOT,
    STATE(21760), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31496), 1,
      anon_sym_RBRACK,
    STATE(21761), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31498), 1,
      anon_sym_RPAREN,
    STATE(21762), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31500), 1,
      anon_sym_RBRACK,
    STATE(21763), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25644), 1,
      anon_sym_RBRACE,
    STATE(21764), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31502), 1,
      anon_sym_end,
    STATE(21765), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31504), 1,
      anon_sym_RPAREN,
    STATE(21766), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31506), 1,
      anon_sym_DASH_GT,
    STATE(21767), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18487), 1,
      anon_sym_RPAREN,
    STATE(21768), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31508), 1,
      anon_sym_DASH_GT,
    STATE(21769), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31510), 1,
      anon_sym_RPAREN,
    STATE(21770), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31512), 1,
      sym__lowercase_identifier,
    STATE(21771), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31514), 1,
      anon_sym_RPAREN,
    STATE(21772), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31516), 1,
      anon_sym_DOT_DOT,
    STATE(21773), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31518), 1,
      anon_sym_DOT_DOT,
    STATE(21774), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31520), 1,
      anon_sym_DOT_DOT,
    STATE(21775), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31522), 1,
      anon_sym_end,
    STATE(21776), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31524), 1,
      anon_sym_RBRACK,
    STATE(21777), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31526), 1,
      anon_sym_DASH_GT,
    STATE(21778), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31528), 1,
      anon_sym_EQ,
    STATE(21779), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31530), 1,
      sym__lowercase_identifier,
    STATE(21780), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31532), 1,
      anon_sym_RBRACE,
    STATE(21781), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31534), 1,
      anon_sym_RPAREN,
    STATE(21782), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18184), 1,
      anon_sym_RPAREN,
    STATE(21783), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31536), 1,
      anon_sym_DQUOTE,
    STATE(21784), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13126), 1,
      anon_sym_GT,
    STATE(21785), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31538), 1,
      sym__lowercase_identifier,
    STATE(21786), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31540), 1,
      anon_sym_SQUOTE2,
    STATE(21787), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31542), 1,
      anon_sym_DOT_DOT,
    STATE(21788), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31544), 1,
      anon_sym_DOT_DOT,
    STATE(21789), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31546), 1,
      anon_sym_DOT_DOT,
    STATE(21790), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21474), 1,
      anon_sym_end,
    STATE(21791), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(23975), 1,
      anon_sym_GT_RBRACE,
    STATE(21792), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31548), 1,
      anon_sym_RBRACE,
    STATE(21793), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31550), 1,
      anon_sym_RPAREN,
    STATE(21794), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31552), 1,
      anon_sym_RBRACK,
    STATE(21795), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31554), 1,
      anon_sym_RBRACE,
    STATE(21796), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31556), 1,
      anon_sym_RBRACE,
    STATE(21797), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31558), 1,
      anon_sym_RBRACE,
    STATE(21798), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31560), 1,
      anon_sym_in,
    STATE(21799), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [838992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31562), 1,
      anon_sym_RBRACK,
    STATE(21800), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31564), 1,
      sym__lowercase_identifier,
    STATE(21801), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31566), 1,
      anon_sym_RPAREN,
    STATE(21802), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31568), 1,
      anon_sym_DOT_DOT,
    STATE(21803), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31570), 1,
      anon_sym_DOT_DOT,
    STATE(21804), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31572), 1,
      anon_sym_DOT_DOT,
    STATE(21805), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31574), 1,
      anon_sym_RPAREN,
    STATE(21806), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3637), 1,
      anon_sym_RPAREN,
    STATE(21807), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31576), 1,
      anon_sym_RPAREN,
    STATE(21808), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31578), 1,
      anon_sym_RBRACE,
    STATE(21809), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31580), 1,
      anon_sym_in,
    STATE(21810), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31582), 1,
      anon_sym_in,
    STATE(21811), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31584), 1,
      sym__lowercase_identifier,
    STATE(21812), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31586), 1,
      anon_sym_in,
    STATE(21813), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31588), 1,
      anon_sym_LT_DASH,
    STATE(21814), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31590), 1,
      anon_sym_DASH_GT,
    STATE(21815), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31592), 1,
      sym__lowercase_identifier,
    STATE(21816), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31594), 1,
      anon_sym_RPAREN,
    STATE(21817), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31596), 1,
      anon_sym_DOT_DOT,
    STATE(21818), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31598), 1,
      anon_sym_DOT_DOT,
    STATE(21819), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31600), 1,
      anon_sym_DOT_DOT,
    STATE(21820), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31602), 1,
      anon_sym_DOT,
    STATE(21821), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31604), 1,
      anon_sym_RPAREN,
    STATE(21822), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31606), 1,
      anon_sym_RBRACK,
    STATE(21823), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31608), 1,
      anon_sym_RBRACE,
    STATE(21824), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31610), 1,
      anon_sym_RPAREN,
    STATE(21825), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31612), 1,
      anon_sym_RPAREN,
    STATE(21826), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19267), 1,
      anon_sym_GT,
    STATE(21827), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19376), 1,
      anon_sym_GT,
    STATE(21828), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31614), 1,
      anon_sym_RBRACK,
    STATE(21829), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31616), 1,
      anon_sym_RPAREN,
    STATE(21830), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31618), 1,
      sym__lowercase_identifier,
    STATE(21831), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31620), 1,
      anon_sym_RPAREN,
    STATE(21832), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31622), 1,
      anon_sym_DOT_DOT,
    STATE(21833), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31624), 1,
      anon_sym_DOT_DOT,
    STATE(21834), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31626), 1,
      anon_sym_DOT_DOT,
    STATE(21835), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31628), 1,
      anon_sym_RBRACE,
    STATE(21836), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31630), 1,
      anon_sym_RBRACK,
    STATE(21837), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31632), 1,
      anon_sym_RBRACK,
    STATE(21838), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(8795), 1,
      anon_sym_RBRACK,
    STATE(21839), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31634), 1,
      anon_sym_RPAREN,
    STATE(21840), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31636), 1,
      anon_sym_in,
    STATE(21841), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31638), 1,
      anon_sym_DASH_GT,
    STATE(21842), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31640), 1,
      anon_sym_RPAREN,
    STATE(21843), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31642), 1,
      anon_sym_RBRACK,
    STATE(21844), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31644), 1,
      anon_sym_RPAREN,
    STATE(21845), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31646), 1,
      sym__lowercase_identifier,
    STATE(21846), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31648), 1,
      anon_sym_RBRACE,
    STATE(21847), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31650), 1,
      anon_sym_DOT_DOT,
    STATE(21848), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31652), 1,
      anon_sym_DOT_DOT,
    STATE(21849), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31654), 1,
      anon_sym_DOT_DOT,
    STATE(21850), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31656), 1,
      anon_sym_RPAREN,
    STATE(21851), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18419), 1,
      anon_sym_RPAREN,
    STATE(21852), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31658), 1,
      anon_sym_RBRACE,
    STATE(21853), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31660), 1,
      anon_sym_RBRACK,
    STATE(21854), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31662), 1,
      anon_sym_RPAREN,
    STATE(21855), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31664), 1,
      anon_sym_RPAREN,
    STATE(21856), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31666), 1,
      anon_sym_RBRACE,
    STATE(21857), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31668), 1,
      anon_sym_DASH_GT,
    STATE(21858), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18327), 1,
      anon_sym_RPAREN,
    STATE(21859), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31670), 1,
      anon_sym_RBRACK,
    STATE(21860), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31672), 1,
      sym__lowercase_identifier,
    STATE(21861), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31674), 1,
      anon_sym_RBRACE,
    STATE(21862), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31676), 1,
      anon_sym_DOT_DOT,
    STATE(21863), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31678), 1,
      anon_sym_DOT_DOT,
    STATE(21864), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31680), 1,
      anon_sym_DOT_DOT,
    STATE(21865), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31682), 1,
      anon_sym_DOT,
    STATE(21866), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31684), 1,
      sym__lowercase_identifier,
    STATE(21867), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31686), 1,
      anon_sym_RBRACE,
    STATE(21868), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25586), 1,
      anon_sym_RBRACE,
    STATE(21869), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31688), 1,
      anon_sym_RBRACE,
    STATE(21870), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [839986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31690), 1,
      anon_sym_RPAREN,
    STATE(21871), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31692), 1,
      anon_sym_RPAREN,
    STATE(21872), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31694), 1,
      anon_sym_RBRACE,
    STATE(21873), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31696), 1,
      anon_sym_RBRACK,
    STATE(21874), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31698), 1,
      anon_sym_RBRACK,
    STATE(21875), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31700), 1,
      sym__lowercase_identifier,
    STATE(21876), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31702), 1,
      anon_sym_end,
    STATE(21877), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31704), 1,
      anon_sym_DOT_DOT,
    STATE(21878), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31706), 1,
      anon_sym_DOT_DOT,
    STATE(21879), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31708), 1,
      anon_sym_DOT_DOT,
    STATE(21880), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31710), 1,
      anon_sym_RPAREN,
    STATE(21881), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31712), 1,
      anon_sym_DQUOTE,
    STATE(21882), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31714), 1,
      anon_sym_RPAREN,
    STATE(21883), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31716), 1,
      anon_sym_RPAREN,
    STATE(21884), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31718), 1,
      anon_sym_LT_DASH,
    STATE(21885), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31720), 1,
      anon_sym_SQUOTE2,
    STATE(21886), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18082), 1,
      anon_sym_SQUOTE2,
    STATE(21887), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31722), 1,
      anon_sym_SQUOTE2,
    STATE(21888), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31724), 1,
      anon_sym_DASH_GT,
    STATE(21889), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31726), 1,
      anon_sym_in,
    STATE(21890), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31728), 1,
      sym__lowercase_identifier,
    STATE(21891), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31730), 1,
      anon_sym_RBRACE,
    STATE(21892), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31732), 1,
      anon_sym_DOT_DOT,
    STATE(21893), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31734), 1,
      anon_sym_DOT_DOT,
    STATE(21894), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31736), 1,
      anon_sym_DOT_DOT,
    STATE(21895), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9982), 1,
      anon_sym_DASH_GT,
    STATE(21896), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21815), 1,
      anon_sym_end,
    STATE(21897), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31738), 1,
      anon_sym_RPAREN,
    STATE(21898), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31740), 1,
      anon_sym_in,
    STATE(21899), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31742), 1,
      anon_sym_RPAREN,
    STATE(21900), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31744), 1,
      anon_sym_in,
    STATE(21901), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31746), 1,
      anon_sym_end,
    STATE(21902), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24180), 1,
      anon_sym_GT_RBRACE,
    STATE(21903), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31748), 1,
      anon_sym_RPAREN,
    STATE(21904), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31750), 1,
      anon_sym_DOT,
    STATE(21905), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31752), 1,
      sym__lowercase_identifier,
    STATE(21906), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31754), 1,
      sym__lowercase_identifier,
    STATE(21907), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31756), 1,
      anon_sym_DOT_DOT,
    STATE(21908), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31758), 1,
      anon_sym_DOT_DOT,
    STATE(21909), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31760), 1,
      anon_sym_DOT_DOT,
    STATE(21910), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3775), 1,
      anon_sym_RPAREN,
    STATE(21911), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31762), 1,
      anon_sym_DOT,
    STATE(21912), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31764), 1,
      anon_sym_DQUOTE,
    STATE(21913), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31766), 1,
      anon_sym_DOT,
    STATE(21914), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31768), 1,
      anon_sym_SQUOTE2,
    STATE(21915), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31770), 1,
      anon_sym_with,
    STATE(21916), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31772), 1,
      anon_sym_DASH_GT,
    STATE(21917), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21632), 1,
      anon_sym_end,
    STATE(21918), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24204), 1,
      anon_sym_GT_RBRACE,
    STATE(21919), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31774), 1,
      anon_sym_in,
    STATE(21920), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31776), 1,
      sym__lowercase_identifier,
    STATE(21921), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31778), 1,
      anon_sym_DASH_GT,
    STATE(21922), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31780), 1,
      anon_sym_DOT_DOT,
    STATE(21923), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31782), 1,
      anon_sym_DOT_DOT,
    STATE(21924), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31784), 1,
      anon_sym_DOT_DOT,
    STATE(21925), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31786), 1,
      anon_sym_RPAREN,
    STATE(21926), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31788), 1,
      anon_sym_RBRACE,
    STATE(21927), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31790), 1,
      anon_sym_RBRACE,
    STATE(21928), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31792), 1,
      anon_sym_DOT,
    STATE(21929), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10034), 1,
      anon_sym_DASH_GT,
    STATE(21930), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31794), 1,
      anon_sym_with,
    STATE(21931), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31796), 1,
      anon_sym_EQ,
    STATE(21932), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31798), 1,
      anon_sym_in,
    STATE(21933), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    STATE(21934), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31800), 1,
      anon_sym_DASH_GT,
    STATE(21935), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31802), 1,
      sym__lowercase_identifier,
    STATE(21936), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24254), 1,
      anon_sym_GT_RBRACE,
    STATE(21937), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31804), 1,
      anon_sym_DOT_DOT,
    STATE(21938), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31806), 1,
      anon_sym_DOT_DOT,
    STATE(21939), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31808), 1,
      anon_sym_DOT_DOT,
    STATE(21940), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31810), 1,
      anon_sym_with,
    STATE(21941), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31812), 1,
      anon_sym_RPAREN,
    STATE(21942), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [840994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31814), 1,
      anon_sym_in,
    STATE(21943), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31816), 1,
      anon_sym_in,
    STATE(21944), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31818), 1,
      anon_sym_in,
    STATE(21945), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31820), 1,
      anon_sym_LT_DASH,
    STATE(21946), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31822), 1,
      anon_sym_DASH_GT,
    STATE(21947), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21626), 1,
      anon_sym_end,
    STATE(21948), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31824), 1,
      anon_sym_SQUOTE2,
    STATE(21949), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31826), 1,
      anon_sym_DQUOTE,
    STATE(21950), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31828), 1,
      sym__lowercase_identifier,
    STATE(21951), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31830), 1,
      anon_sym_DASH_GT,
    STATE(21952), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31832), 1,
      anon_sym_DOT_DOT,
    STATE(21953), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31834), 1,
      anon_sym_DOT_DOT,
    STATE(21954), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31836), 1,
      anon_sym_DOT_DOT,
    STATE(21955), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31838), 1,
      sym__lowercase_identifier,
    STATE(21956), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31840), 1,
      anon_sym_RBRACE,
    STATE(21957), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24442), 1,
      anon_sym_GT_RBRACE,
    STATE(21958), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31842), 1,
      anon_sym_RPAREN,
    STATE(21959), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31840), 1,
      anon_sym_RBRACK,
    STATE(21960), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31844), 1,
      anon_sym_in,
    STATE(21961), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31846), 1,
      sym__lowercase_identifier,
    STATE(21962), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31840), 1,
      anon_sym_RPAREN,
    STATE(21963), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9998), 1,
      anon_sym_DASH_GT,
    STATE(21964), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31848), 1,
      anon_sym_RPAREN,
    STATE(21965), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31850), 1,
      sym__lowercase_identifier,
    STATE(21966), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31852), 1,
      anon_sym_RBRACE,
    STATE(21967), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31854), 1,
      anon_sym_DOT_DOT,
    STATE(21968), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31856), 1,
      anon_sym_DOT_DOT,
    STATE(21969), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31858), 1,
      anon_sym_DOT_DOT,
    STATE(21970), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13922), 1,
      anon_sym_DASH_GT,
    STATE(21971), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31860), 1,
      anon_sym_RBRACK,
    STATE(21972), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31862), 1,
      anon_sym_RPAREN,
    STATE(21973), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31864), 1,
      anon_sym_RPAREN,
    STATE(21974), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31866), 1,
      anon_sym_RPAREN,
    STATE(21975), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31868), 1,
      anon_sym_RPAREN,
    STATE(21976), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31870), 1,
      anon_sym_RPAREN,
    STATE(21977), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31872), 1,
      anon_sym_with,
    STATE(21978), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31874), 1,
      anon_sym_RPAREN,
    STATE(21979), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31876), 1,
      anon_sym_RBRACE,
    STATE(21980), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31878), 1,
      sym__lowercase_identifier,
    STATE(21981), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31880), 1,
      anon_sym_RBRACK,
    STATE(21982), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31882), 1,
      anon_sym_DOT_DOT,
    STATE(21983), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31884), 1,
      anon_sym_DOT_DOT,
    STATE(21984), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31886), 1,
      anon_sym_DOT_DOT,
    STATE(21985), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31888), 1,
      anon_sym_RPAREN,
    STATE(21986), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31890), 1,
      anon_sym_end,
    STATE(21987), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31892), 1,
      anon_sym_RBRACE,
    STATE(21988), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31894), 1,
      anon_sym_of,
    STATE(21989), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31896), 1,
      anon_sym_DASH_GT,
    STATE(21990), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31898), 1,
      anon_sym_RPAREN,
    STATE(21991), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31900), 1,
      anon_sym_RPAREN,
    STATE(21992), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31902), 1,
      anon_sym_DASH_GT,
    STATE(21993), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31904), 1,
      anon_sym_end,
    STATE(21994), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18415), 1,
      anon_sym_RPAREN,
    STATE(21995), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31906), 1,
      sym__lowercase_identifier,
    STATE(21996), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31908), 1,
      anon_sym_RBRACK,
    STATE(21997), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31910), 1,
      anon_sym_DOT_DOT,
    STATE(21998), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31912), 1,
      anon_sym_DOT_DOT,
    STATE(21999), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31914), 1,
      anon_sym_DOT_DOT,
    STATE(22000), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31916), 1,
      anon_sym_RBRACE,
    STATE(22001), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31918), 1,
      anon_sym_RBRACK,
    STATE(22002), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31920), 1,
      anon_sym_end,
    STATE(22003), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31922), 1,
      anon_sym_DOT,
    STATE(22004), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18425), 1,
      anon_sym_RPAREN,
    STATE(22005), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31924), 1,
      anon_sym_DASH_GT,
    STATE(22006), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31926), 1,
      anon_sym_RBRACE,
    STATE(22007), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31928), 1,
      anon_sym_RBRACK,
    STATE(22008), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9949), 1,
      anon_sym_DASH_GT,
    STATE(22009), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31930), 1,
      anon_sym_RPAREN,
    STATE(22010), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31932), 1,
      anon_sym_DASH_GT,
    STATE(22011), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31934), 1,
      anon_sym_DOT_DOT,
    STATE(22012), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31936), 1,
      anon_sym_DOT_DOT,
    STATE(22013), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [841988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31938), 1,
      anon_sym_DOT_DOT,
    STATE(22014), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31940), 1,
      anon_sym_in,
    STATE(22015), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31942), 1,
      anon_sym_RPAREN,
    STATE(22016), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31944), 1,
      anon_sym_RBRACE,
    STATE(22017), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31946), 1,
      sym__lowercase_identifier,
    STATE(22018), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31948), 1,
      anon_sym_RPAREN,
    STATE(22019), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31950), 1,
      anon_sym_DASH_GT,
    STATE(22020), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31952), 1,
      anon_sym_DQUOTE,
    STATE(22021), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31954), 1,
      anon_sym_SQUOTE2,
    STATE(22022), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31956), 1,
      anon_sym_RBRACK,
    STATE(22023), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31958), 1,
      anon_sym_RPAREN,
    STATE(22024), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21770), 1,
      anon_sym_end,
    STATE(22025), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31960), 1,
      anon_sym_DOT_DOT,
    STATE(22026), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31962), 1,
      anon_sym_DOT_DOT,
    STATE(22027), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31964), 1,
      anon_sym_DOT_DOT,
    STATE(22028), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31966), 1,
      anon_sym_RPAREN,
    STATE(22029), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25480), 1,
      anon_sym_RBRACK,
    STATE(22030), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31968), 1,
      anon_sym_RBRACE,
    STATE(22031), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31970), 1,
      sym__lowercase_identifier,
    STATE(22032), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31972), 1,
      anon_sym_RPAREN,
    STATE(22033), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31974), 1,
      anon_sym_DQUOTE,
    STATE(22034), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31976), 1,
      anon_sym_DOT,
    STATE(22035), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31978), 1,
      anon_sym_RBRACE,
    STATE(22036), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31980), 1,
      anon_sym_RPAREN,
    STATE(22037), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842324] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31982), 1,
      anon_sym_RBRACE,
    STATE(22038), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842338] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31984), 1,
      anon_sym_in,
    STATE(22039), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842352] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31986), 1,
      anon_sym_DOT_DOT,
    STATE(22040), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842366] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31988), 1,
      anon_sym_DOT_DOT,
    STATE(22041), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842380] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31990), 1,
      anon_sym_DOT_DOT,
    STATE(22042), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842394] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3751), 1,
      anon_sym_RPAREN,
    STATE(22043), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842408] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31992), 1,
      anon_sym_RPAREN,
    STATE(22044), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842422] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31994), 1,
      anon_sym_RPAREN,
    STATE(22045), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842436] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31996), 1,
      anon_sym_RPAREN,
    STATE(22046), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842450] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(31998), 1,
      anon_sym_RPAREN,
    STATE(22047), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842464] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32000), 1,
      anon_sym_in,
    STATE(22048), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842478] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32002), 1,
      anon_sym_in,
    STATE(22049), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842492] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32004), 1,
      anon_sym_PLUS_EQ,
    STATE(22050), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842506] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32006), 1,
      anon_sym_in,
    STATE(22051), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842520] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32008), 1,
      anon_sym_SQUOTE2,
    STATE(22052), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842534] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32010), 1,
      anon_sym_LT_DASH,
    STATE(22053), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842548] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32012), 1,
      anon_sym_DOT_DOT,
    STATE(22054), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842562] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32014), 1,
      anon_sym_DOT_DOT,
    STATE(22055), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842576] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32016), 1,
      anon_sym_DOT_DOT,
    STATE(22056), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842590] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32018), 1,
      anon_sym_RBRACK,
    STATE(22057), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842604] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13063), 1,
      anon_sym_GT,
    STATE(22058), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842618] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22134), 1,
      anon_sym_end,
    STATE(22059), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842632] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32020), 1,
      anon_sym_RPAREN,
    STATE(22060), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842646] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32022), 1,
      anon_sym_RBRACK,
    STATE(22061), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842660] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32024), 1,
      anon_sym_RBRACE,
    STATE(22062), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842674] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25013), 1,
      anon_sym_GT_RBRACE,
    STATE(22063), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842688] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32026), 1,
      anon_sym_RBRACE,
    STATE(22064), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842702] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32028), 1,
      anon_sym_RPAREN,
    STATE(22065), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842716] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32030), 1,
      anon_sym_RBRACK,
    STATE(22066), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842730] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32032), 1,
      anon_sym_RPAREN,
    STATE(22067), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842744] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32034), 1,
      anon_sym_DOT_DOT,
    STATE(22068), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842758] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32036), 1,
      anon_sym_DOT_DOT,
    STATE(22069), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842772] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32038), 1,
      anon_sym_DOT_DOT,
    STATE(22070), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842786] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32040), 1,
      anon_sym_RPAREN,
    STATE(22071), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842800] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19730), 1,
      anon_sym_RPAREN,
    STATE(22072), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842814] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32042), 1,
      anon_sym_in,
    STATE(22073), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842828] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32044), 1,
      anon_sym_RPAREN,
    STATE(22074), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842842] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32046), 1,
      anon_sym_RPAREN,
    STATE(22075), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842856] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32048), 1,
      anon_sym_RBRACE,
    STATE(22076), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842870] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32050), 1,
      anon_sym_RBRACE,
    STATE(22077), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842884] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32052), 1,
      anon_sym_DASH_GT,
    STATE(22078), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842898] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32054), 1,
      anon_sym_RBRACK,
    STATE(22079), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842912] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32056), 1,
      anon_sym_RPAREN,
    STATE(22080), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842926] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32058), 1,
      anon_sym_RPAREN,
    STATE(22081), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842940] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32060), 1,
      anon_sym_DOT_DOT,
    STATE(22082), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842954] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32062), 1,
      anon_sym_DOT_DOT,
    STATE(22083), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842968] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32064), 1,
      anon_sym_DOT_DOT,
    STATE(22084), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842982] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32066), 1,
      anon_sym_RPAREN,
    STATE(22085), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [842996] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32068), 1,
      anon_sym_DASH_GT,
    STATE(22086), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843010] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32070), 1,
      anon_sym_RPAREN,
    STATE(22087), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843024] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32072), 1,
      anon_sym_in,
    STATE(22088), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843038] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32074), 1,
      anon_sym_RBRACE,
    STATE(22089), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843052] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(11495), 1,
      anon_sym_RPAREN,
    STATE(22090), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843066] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32076), 1,
      anon_sym_RPAREN,
    STATE(22091), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843080] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    STATE(22092), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843094] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32078), 1,
      anon_sym_RBRACK,
    STATE(22093), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843108] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32080), 1,
      anon_sym_done,
    STATE(22094), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843122] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21859), 1,
      anon_sym_end,
    STATE(22095), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843136] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32082), 1,
      anon_sym_DOT_DOT,
    STATE(22096), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843150] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32084), 1,
      anon_sym_DOT_DOT,
    STATE(22097), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843164] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32086), 1,
      anon_sym_DOT_DOT,
    STATE(22098), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843178] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32088), 1,
      anon_sym_RPAREN,
    STATE(22099), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843192] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32090), 1,
      anon_sym_RBRACE,
    STATE(22100), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843206] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32092), 1,
      anon_sym_DASH_GT,
    STATE(22101), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843220] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32094), 1,
      sym_indexing_operator,
    STATE(22102), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843234] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32096), 1,
      anon_sym_with,
    STATE(22103), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843248] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32098), 1,
      anon_sym_DOT,
    STATE(22104), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843262] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32100), 1,
      anon_sym_in,
    STATE(22105), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843276] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32102), 1,
      anon_sym_in,
    STATE(22106), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843290] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18461), 1,
      anon_sym_RPAREN,
    STATE(22107), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843304] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32104), 1,
      anon_sym_in,
    STATE(22108), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843318] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32106), 1,
      anon_sym_LT_DASH,
    STATE(22109), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843332] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32108), 1,
      anon_sym_DOT_DOT,
    STATE(22110), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843346] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32110), 1,
      anon_sym_DOT_DOT,
    STATE(22111), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843360] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32112), 1,
      anon_sym_DOT_DOT,
    STATE(22112), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843374] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32114), 1,
      anon_sym_DASH_GT,
    STATE(22113), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843388] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32116), 1,
      aux_sym_number_token1,
    STATE(22114), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843402] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32118), 1,
      anon_sym_in,
    STATE(22115), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843416] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32120), 1,
      anon_sym_RBRACE,
    STATE(22116), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843430] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32122), 1,
      anon_sym_RBRACK,
    STATE(22117), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843444] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(7865), 1,
      anon_sym_end,
    STATE(22118), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843458] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32124), 1,
      anon_sym_end,
    STATE(22119), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843472] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32126), 1,
      anon_sym_RBRACE,
    STATE(22120), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843486] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32128), 1,
      anon_sym_in,
    STATE(22121), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843500] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32130), 1,
      anon_sym_DASH_GT,
    STATE(22122), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843514] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32132), 1,
      anon_sym_in,
    STATE(22123), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843528] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32134), 1,
      anon_sym_DOT_DOT,
    STATE(22124), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843542] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32136), 1,
      anon_sym_DOT_DOT,
    STATE(22125), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843556] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32138), 1,
      anon_sym_DOT_DOT,
    STATE(22126), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843570] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32140), 1,
      ts_builtin_sym_end,
    STATE(22127), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843584] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32142), 1,
      anon_sym_RPAREN,
    STATE(22128), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843598] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32144), 1,
      anon_sym_with,
    STATE(22129), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843612] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32146), 1,
      anon_sym_LT_DASH,
    STATE(22130), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843626] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3683), 1,
      anon_sym_RPAREN,
    STATE(22131), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843640] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32148), 1,
      anon_sym_DOT,
    STATE(22132), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843654] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(9990), 1,
      anon_sym_DASH_GT,
    STATE(22133), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843668] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32150), 1,
      anon_sym_in,
    STATE(22134), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843682] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32152), 1,
      anon_sym_DOT,
    STATE(22135), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843696] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32154), 1,
      anon_sym_RPAREN,
    STATE(22136), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843710] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32156), 1,
      anon_sym_RBRACE,
    STATE(22137), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843724] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32158), 1,
      anon_sym_DOT_DOT,
    STATE(22138), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843738] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32160), 1,
      anon_sym_DOT_DOT,
    STATE(22139), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843752] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32162), 1,
      anon_sym_DOT_DOT,
    STATE(22140), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843766] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32164), 1,
      anon_sym_RPAREN,
    STATE(22141), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843780] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32166), 1,
      sym__lowercase_identifier,
    STATE(22142), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843794] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24873), 1,
      anon_sym_GT_RBRACE,
    STATE(22143), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843808] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32168), 1,
      anon_sym_LT_DASH,
    STATE(22144), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843822] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32170), 1,
      anon_sym_DQUOTE,
    STATE(22145), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843836] = 4,
    ACTIONS(747), 1,
      ts_builtin_sym_end,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    STATE(22146), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843850] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32172), 1,
      ts_builtin_sym_end,
    STATE(22147), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843864] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32174), 1,
      anon_sym_with,
    STATE(22148), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843878] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32176), 1,
      anon_sym_SQUOTE2,
    STATE(22149), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843892] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32178), 1,
      anon_sym_with,
    STATE(22150), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843906] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(21907), 1,
      anon_sym_end,
    STATE(22151), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843920] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32180), 1,
      anon_sym_DOT_DOT,
    STATE(22152), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843934] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32182), 1,
      anon_sym_DOT_DOT,
    STATE(22153), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843948] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32184), 1,
      anon_sym_DOT_DOT,
    STATE(22154), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843962] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24634), 1,
      anon_sym_GT_RBRACE,
    STATE(22155), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843976] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32186), 1,
      anon_sym_DASH_GT,
    STATE(22156), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [843990] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32188), 1,
      anon_sym_SQUOTE2,
    STATE(22157), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844004] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19231), 1,
      anon_sym_GT,
    STATE(22158), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844018] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32190), 1,
      anon_sym_DQUOTE,
    STATE(22159), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844032] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32192), 1,
      anon_sym_in,
    STATE(22160), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844046] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32194), 1,
      anon_sym_RBRACE,
    STATE(22161), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844060] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32196), 1,
      sym__lowercase_identifier,
    STATE(22162), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844074] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32198), 1,
      anon_sym_in,
    STATE(22163), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844088] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32200), 1,
      anon_sym_DOT,
    STATE(22164), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844102] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32202), 1,
      anon_sym_GT,
    STATE(22165), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844116] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32204), 1,
      anon_sym_DOT_DOT,
    STATE(22166), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844130] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32206), 1,
      anon_sym_DOT_DOT,
    STATE(22167), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844144] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32208), 1,
      anon_sym_DOT_DOT,
    STATE(22168), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844158] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    STATE(22169), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844172] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32210), 1,
      anon_sym_RPAREN,
    STATE(22170), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844186] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32212), 1,
      anon_sym_in,
    STATE(22171), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844200] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32214), 1,
      anon_sym_in,
    STATE(22172), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844214] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32216), 1,
      anon_sym_DOT_DOT,
    STATE(22173), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844228] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32218), 1,
      anon_sym_DOT_DOT,
    STATE(22174), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844242] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32220), 1,
      anon_sym_DOT_DOT,
    STATE(22175), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844256] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32222), 1,
      anon_sym_in,
    STATE(22176), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844270] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32224), 1,
      anon_sym_LT_DASH,
    STATE(22177), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844284] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32226), 1,
      anon_sym_RPAREN,
    STATE(22178), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844298] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10112), 1,
      anon_sym_DASH_GT,
    STATE(22179), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844312] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32228), 1,
      anon_sym_DOT_DOT,
    STATE(22180), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844326] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32230), 1,
      anon_sym_DOT_DOT,
    STATE(22181), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844340] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32232), 1,
      anon_sym_DOT_DOT,
    STATE(22182), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844354] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3789), 1,
      anon_sym_RPAREN,
    STATE(22183), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844368] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32234), 1,
      anon_sym_DASH_GT,
    STATE(22184), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844382] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32236), 1,
      anon_sym_DOT_DOT,
    STATE(22185), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844396] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32238), 1,
      anon_sym_DOT_DOT,
    STATE(22186), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844410] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32240), 1,
      anon_sym_DOT_DOT,
    STATE(22187), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844424] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32242), 1,
      anon_sym_RPAREN,
    STATE(22188), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844438] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32244), 1,
      anon_sym_RPAREN,
    STATE(22189), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844452] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32246), 1,
      anon_sym_DOT_DOT,
    STATE(22190), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844466] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32248), 1,
      anon_sym_DOT_DOT,
    STATE(22191), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844480] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32250), 1,
      anon_sym_DOT_DOT,
    STATE(22192), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844494] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32252), 1,
      anon_sym_in,
    STATE(22193), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844508] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32254), 1,
      anon_sym_RPAREN,
    STATE(22194), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844522] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32256), 1,
      anon_sym_DOT_DOT,
    STATE(22195), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844536] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32258), 1,
      anon_sym_DOT_DOT,
    STATE(22196), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844550] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32260), 1,
      anon_sym_DOT_DOT,
    STATE(22197), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844564] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32262), 1,
      anon_sym_RBRACE,
    STATE(22198), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844578] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32264), 1,
      anon_sym_RBRACK,
    STATE(22199), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844592] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32266), 1,
      anon_sym_DOT_DOT,
    STATE(22200), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844606] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32268), 1,
      anon_sym_DOT_DOT,
    STATE(22201), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844620] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32270), 1,
      anon_sym_DOT_DOT,
    STATE(22202), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844634] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32272), 1,
      anon_sym_RPAREN,
    STATE(22203), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844648] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32274), 1,
      anon_sym_RPAREN,
    STATE(22204), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844662] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32276), 1,
      anon_sym_DOT_DOT,
    STATE(22205), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844676] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32278), 1,
      anon_sym_DOT_DOT,
    STATE(22206), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844690] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32280), 1,
      anon_sym_DOT_DOT,
    STATE(22207), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844704] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32282), 1,
      anon_sym_end,
    STATE(22208), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844718] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32284), 1,
      anon_sym_RBRACK,
    STATE(22209), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844732] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32286), 1,
      anon_sym_DOT_DOT,
    STATE(22210), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844746] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32288), 1,
      anon_sym_DOT_DOT,
    STATE(22211), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844760] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32290), 1,
      anon_sym_DOT_DOT,
    STATE(22212), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844774] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32292), 1,
      anon_sym_RPAREN,
    STATE(22213), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844788] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32294), 1,
      anon_sym_in,
    STATE(22214), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844802] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32296), 1,
      anon_sym_DOT_DOT,
    STATE(22215), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844816] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32298), 1,
      anon_sym_DOT_DOT,
    STATE(22216), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844830] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32300), 1,
      anon_sym_DOT_DOT,
    STATE(22217), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844844] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32302), 1,
      anon_sym_RPAREN,
    STATE(22218), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844858] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32304), 1,
      anon_sym_RBRACE,
    STATE(22219), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844872] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32306), 1,
      anon_sym_DOT_DOT,
    STATE(22220), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844886] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32308), 1,
      anon_sym_DOT_DOT,
    STATE(22221), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844900] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32310), 1,
      anon_sym_DOT_DOT,
    STATE(22222), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844914] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32312), 1,
      anon_sym_RBRACK,
    STATE(22223), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844928] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32314), 1,
      anon_sym_RPAREN,
    STATE(22224), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844942] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32316), 1,
      anon_sym_DOT_DOT,
    STATE(22225), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844956] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32318), 1,
      anon_sym_DOT_DOT,
    STATE(22226), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844970] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32320), 1,
      anon_sym_DOT_DOT,
    STATE(22227), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844984] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32322), 1,
      anon_sym_RBRACE,
    STATE(22228), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [844998] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32324), 1,
      anon_sym_RBRACE,
    STATE(22229), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845012] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32326), 1,
      anon_sym_DOT_DOT,
    STATE(22230), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845026] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32328), 1,
      anon_sym_DOT_DOT,
    STATE(22231), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845040] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32330), 1,
      anon_sym_DOT_DOT,
    STATE(22232), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845054] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18337), 1,
      anon_sym_RPAREN,
    STATE(22233), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845068] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32332), 1,
      anon_sym_DASH_GT,
    STATE(22234), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845082] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32334), 1,
      anon_sym_DOT_DOT,
    STATE(22235), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845096] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32336), 1,
      anon_sym_DOT_DOT,
    STATE(22236), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845110] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32338), 1,
      anon_sym_DOT_DOT,
    STATE(22237), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845124] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18335), 1,
      anon_sym_RPAREN,
    STATE(22238), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845138] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32340), 1,
      anon_sym_RBRACE,
    STATE(22239), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845152] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32342), 1,
      anon_sym_DOT_DOT,
    STATE(22240), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845166] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32344), 1,
      anon_sym_DOT_DOT,
    STATE(22241), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845180] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32346), 1,
      anon_sym_DOT_DOT,
    STATE(22242), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845194] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32348), 1,
      anon_sym_RBRACK,
    STATE(22243), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845208] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32350), 1,
      anon_sym_end,
    STATE(22244), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845222] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25366), 1,
      anon_sym_RBRACE,
    STATE(22245), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845236] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32352), 1,
      anon_sym_DASH_GT,
    STATE(22246), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845250] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32354), 1,
      anon_sym_DOT,
    STATE(22247), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845264] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32356), 1,
      anon_sym_with,
    STATE(22248), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845278] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32358), 1,
      anon_sym_RBRACE,
    STATE(22249), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845292] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10150), 1,
      anon_sym_DASH_GT,
    STATE(22250), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845306] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32360), 1,
      anon_sym_RBRACK,
    STATE(22251), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845320] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32362), 1,
      anon_sym_in,
    STATE(22252), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845334] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32364), 1,
      anon_sym_DASH_GT,
    STATE(22253), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845348] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32366), 1,
      anon_sym_RBRACE,
    STATE(22254), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845362] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32368), 1,
      sym__lowercase_identifier,
    STATE(22255), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845376] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32370), 1,
      anon_sym_RPAREN,
    STATE(22256), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845390] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32372), 1,
      anon_sym_with,
    STATE(22257), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845404] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32374), 1,
      anon_sym_DQUOTE,
    STATE(22258), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845418] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32376), 1,
      anon_sym_SQUOTE2,
    STATE(22259), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845432] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32378), 1,
      anon_sym_DOT,
    STATE(22260), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845446] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22057), 1,
      anon_sym_end,
    STATE(22261), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845460] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(24901), 1,
      anon_sym_GT_RBRACE,
    STATE(22262), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845474] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32380), 1,
      anon_sym_RPAREN,
    STATE(22263), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845488] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32382), 1,
      anon_sym_RPAREN,
    STATE(22264), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845502] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32384), 1,
      anon_sym_RBRACE,
    STATE(22265), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845516] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32386), 1,
      anon_sym_RPAREN,
    STATE(22266), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845530] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32388), 1,
      anon_sym_in,
    STATE(22267), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845544] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32390), 1,
      sym_indexing_operator,
    STATE(22268), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845558] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32392), 1,
      anon_sym_PLUS_EQ,
    STATE(22269), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845572] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32394), 1,
      anon_sym_DASH_GT,
    STATE(22270), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845586] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32396), 1,
      anon_sym_RBRACK,
    STATE(22271), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845600] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32398), 1,
      anon_sym_RBRACE,
    STATE(22272), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845614] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32400), 1,
      anon_sym_RPAREN,
    STATE(22273), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845628] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32402), 1,
      anon_sym_PLUS_EQ,
    STATE(22274), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845642] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32404), 1,
      anon_sym_RPAREN,
    STATE(22275), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845656] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32406), 1,
      anon_sym_RPAREN,
    STATE(22276), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845670] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32408), 1,
      anon_sym_in,
    STATE(22277), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845684] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32410), 1,
      anon_sym_in,
    STATE(22278), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845698] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32412), 1,
      anon_sym_in,
    STATE(22279), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845712] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32414), 1,
      anon_sym_in,
    STATE(22280), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845726] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32416), 1,
      anon_sym_LT_DASH,
    STATE(22281), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845740] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32418), 1,
      sym__lowercase_identifier,
    STATE(22282), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845754] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32420), 1,
      sym__lowercase_identifier,
    STATE(22283), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845768] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32422), 1,
      anon_sym_end,
    STATE(22284), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845782] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32424), 1,
      anon_sym_LT_DASH,
    STATE(22285), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845796] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22100), 1,
      anon_sym_end,
    STATE(22286), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845810] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32426), 1,
      anon_sym_of,
    STATE(22287), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845824] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32428), 1,
      anon_sym_RPAREN,
    STATE(22288), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845838] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32430), 1,
      anon_sym_RPAREN,
    STATE(22289), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845852] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32432), 1,
      sym__lowercase_identifier,
    STATE(22290), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845866] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32434), 1,
      sym__lowercase_identifier,
    STATE(22291), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845880] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32436), 1,
      anon_sym_RPAREN,
    STATE(22292), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845894] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(6137), 1,
      anon_sym_end,
    STATE(22293), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845908] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32438), 1,
      sym__lowercase_identifier,
    STATE(22294), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845922] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32440), 1,
      anon_sym_LT_DASH,
    STATE(22295), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845936] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32442), 1,
      anon_sym_in,
    STATE(22296), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845950] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32444), 1,
      anon_sym_in,
    STATE(22297), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845964] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32446), 1,
      anon_sym_RPAREN,
    STATE(22298), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845978] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32448), 1,
      anon_sym_in,
    STATE(22299), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [845992] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32450), 1,
      anon_sym_DOT,
    STATE(22300), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846006] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32452), 1,
      anon_sym_in,
    STATE(22301), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846020] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32454), 1,
      sym_indexing_operator,
    STATE(22302), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846034] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32456), 1,
      anon_sym_PLUS_EQ,
    STATE(22303), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846048] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32458), 1,
      anon_sym_PLUS_EQ,
    STATE(22304), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846062] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32460), 1,
      anon_sym_RPAREN,
    STATE(22305), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846076] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18255), 1,
      anon_sym_RPAREN,
    STATE(22306), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846090] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32462), 1,
      sym__lowercase_identifier,
    STATE(22307), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846104] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32464), 1,
      anon_sym_RPAREN,
    STATE(22308), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846118] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(2099), 1,
      anon_sym_RPAREN,
    STATE(22309), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846132] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32466), 1,
      anon_sym_RBRACE,
    STATE(22310), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846146] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32468), 1,
      anon_sym_RBRACK,
    STATE(22311), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846160] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32470), 1,
      anon_sym_DOT,
    STATE(22312), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846174] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32472), 1,
      anon_sym_RPAREN,
    STATE(22313), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846188] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32474), 1,
      anon_sym_RPAREN,
    STATE(22314), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846202] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3753), 1,
      anon_sym_RPAREN,
    STATE(22315), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846216] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32476), 1,
      anon_sym_in,
    STATE(22316), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846230] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32478), 1,
      anon_sym_RPAREN,
    STATE(22317), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846244] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32480), 1,
      anon_sym_RPAREN,
    STATE(22318), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846258] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32482), 1,
      anon_sym_DOT,
    STATE(22319), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846272] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32484), 1,
      sym_indexing_operator,
    STATE(22320), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846286] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32486), 1,
      anon_sym_PLUS_EQ,
    STATE(22321), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846300] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32488), 1,
      anon_sym_PLUS_EQ,
    STATE(22322), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846314] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32490), 1,
      anon_sym_RBRACE,
    STATE(22323), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846328] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32492), 1,
      anon_sym_RBRACK,
    STATE(22324), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846342] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32494), 1,
      sym__lowercase_identifier,
    STATE(22325), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846356] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32496), 1,
      anon_sym_RPAREN,
    STATE(22326), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846370] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32498), 1,
      anon_sym_end,
    STATE(22327), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846384] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32500), 1,
      anon_sym_RBRACE,
    STATE(22328), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846398] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32502), 1,
      anon_sym_RBRACK,
    STATE(22329), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846412] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32504), 1,
      anon_sym_RPAREN,
    STATE(22330), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846426] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32506), 1,
      anon_sym_in,
    STATE(22331), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846440] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32508), 1,
      anon_sym_DASH_GT,
    STATE(22332), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846454] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32510), 1,
      anon_sym_RBRACE,
    STATE(22333), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846468] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32512), 1,
      sym_indexing_operator,
    STATE(22334), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846482] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19590), 1,
      anon_sym_RPAREN,
    STATE(22335), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846496] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32514), 1,
      sym__lowercase_identifier,
    STATE(22336), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846510] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32516), 1,
      anon_sym_in,
    STATE(22337), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846524] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32518), 1,
      anon_sym_DASH_GT,
    STATE(22338), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846538] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32520), 1,
      anon_sym_RBRACE,
    STATE(22339), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846552] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10070), 1,
      anon_sym_DASH_GT,
    STATE(22340), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846566] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18251), 1,
      anon_sym_RPAREN,
    STATE(22341), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846580] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32522), 1,
      anon_sym_RBRACE,
    STATE(22342), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846594] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32524), 1,
      anon_sym_RBRACK,
    STATE(22343), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846608] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32526), 1,
      sym_indexing_operator,
    STATE(22344), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846622] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32528), 1,
      anon_sym_end,
    STATE(22345), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846636] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32530), 1,
      anon_sym_RPAREN,
    STATE(22346), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846650] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32532), 1,
      sym_indexing_operator,
    STATE(22347), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846664] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32534), 1,
      anon_sym_RPAREN,
    STATE(22348), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846678] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14589), 1,
      anon_sym_DASH_GT,
    STATE(22349), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846692] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32536), 1,
      sym_indexing_operator,
    STATE(22350), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846706] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32538), 1,
      anon_sym_RPAREN,
    STATE(22351), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846720] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32540), 1,
      sym__uppercase_identifier,
    STATE(22352), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846734] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32542), 1,
      sym_indexing_operator,
    STATE(22353), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846748] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32544), 1,
      sym_indexing_operator,
    STATE(22354), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846762] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32546), 1,
      sym_indexing_operator,
    STATE(22355), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846776] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32548), 1,
      sym_indexing_operator,
    STATE(22356), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846790] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32550), 1,
      sym_indexing_operator,
    STATE(22357), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846804] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32552), 1,
      sym_indexing_operator,
    STATE(22358), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846818] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32554), 1,
      sym_indexing_operator,
    STATE(22359), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846832] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32556), 1,
      sym_indexing_operator,
    STATE(22360), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846846] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32558), 1,
      sym_indexing_operator,
    STATE(22361), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846860] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32560), 1,
      sym_indexing_operator,
    STATE(22362), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846874] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32562), 1,
      sym_indexing_operator,
    STATE(22363), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846888] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32564), 1,
      sym_indexing_operator,
    STATE(22364), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846902] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32566), 1,
      sym_indexing_operator,
    STATE(22365), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846916] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32568), 1,
      sym_indexing_operator,
    STATE(22366), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846930] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32570), 1,
      sym_indexing_operator,
    STATE(22367), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846944] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32572), 1,
      sym_indexing_operator,
    STATE(22368), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846958] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32574), 1,
      sym_indexing_operator,
    STATE(22369), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846972] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32576), 1,
      sym_indexing_operator,
    STATE(22370), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [846986] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32578), 1,
      sym_indexing_operator,
    STATE(22371), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847000] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32580), 1,
      sym_indexing_operator,
    STATE(22372), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847014] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32582), 1,
      sym_indexing_operator,
    STATE(22373), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847028] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32584), 1,
      sym_indexing_operator,
    STATE(22374), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847042] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32586), 1,
      sym_indexing_operator,
    STATE(22375), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847056] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32588), 1,
      sym_indexing_operator,
    STATE(22376), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847070] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32590), 1,
      sym_indexing_operator,
    STATE(22377), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847084] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32592), 1,
      sym_indexing_operator,
    STATE(22378), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847098] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32594), 1,
      sym_indexing_operator,
    STATE(22379), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847112] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32596), 1,
      sym_indexing_operator,
    STATE(22380), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847126] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32598), 1,
      sym_indexing_operator,
    STATE(22381), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847140] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32600), 1,
      sym_indexing_operator,
    STATE(22382), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847154] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32602), 1,
      sym_indexing_operator,
    STATE(22383), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847168] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32604), 1,
      sym_indexing_operator,
    STATE(22384), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847182] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32606), 1,
      sym_indexing_operator,
    STATE(22385), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847196] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32608), 1,
      sym_indexing_operator,
    STATE(22386), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847210] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32610), 1,
      sym_indexing_operator,
    STATE(22387), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847224] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32612), 1,
      sym_indexing_operator,
    STATE(22388), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847238] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32614), 1,
      sym_indexing_operator,
    STATE(22389), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847252] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32616), 1,
      sym_indexing_operator,
    STATE(22390), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847266] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32618), 1,
      sym_indexing_operator,
    STATE(22391), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847280] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32620), 1,
      sym_indexing_operator,
    STATE(22392), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847294] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32622), 1,
      sym_indexing_operator,
    STATE(22393), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847308] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32624), 1,
      sym_indexing_operator,
    STATE(22394), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847322] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32626), 1,
      sym_indexing_operator,
    STATE(22395), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847336] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32628), 1,
      sym_indexing_operator,
    STATE(22396), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847350] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32630), 1,
      sym_indexing_operator,
    STATE(22397), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847364] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32632), 1,
      sym_indexing_operator,
    STATE(22398), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847378] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32634), 1,
      sym_indexing_operator,
    STATE(22399), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847392] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32636), 1,
      sym_indexing_operator,
    STATE(22400), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847406] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32638), 1,
      sym_indexing_operator,
    STATE(22401), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847420] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32640), 1,
      sym_indexing_operator,
    STATE(22402), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847434] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32642), 1,
      sym_indexing_operator,
    STATE(22403), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847448] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32644), 1,
      sym_indexing_operator,
    STATE(22404), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847462] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32646), 1,
      sym_indexing_operator,
    STATE(22405), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847476] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32648), 1,
      sym_indexing_operator,
    STATE(22406), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847490] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32650), 1,
      sym_indexing_operator,
    STATE(22407), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847504] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32652), 1,
      sym_indexing_operator,
    STATE(22408), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847518] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25009), 1,
      anon_sym_GT_RBRACE,
    STATE(22409), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847532] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32654), 1,
      anon_sym_EQ,
    STATE(22410), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847546] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32656), 1,
      anon_sym_DASH_GT,
    STATE(22411), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847560] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32658), 1,
      anon_sym_EQ,
    STATE(22412), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847574] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32660), 1,
      anon_sym_type,
    STATE(22413), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847588] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32662), 1,
      anon_sym_DASH_GT,
    STATE(22414), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847602] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22154), 1,
      anon_sym_end,
    STATE(22415), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847616] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32664), 1,
      anon_sym_RBRACE,
    STATE(22416), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847630] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32666), 1,
      anon_sym_SQUOTE2,
    STATE(22417), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847644] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10046), 1,
      anon_sym_DASH_GT,
    STATE(22418), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847658] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32668), 1,
      anon_sym_DQUOTE,
    STATE(22419), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847672] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32670), 1,
      anon_sym_in,
    STATE(22420), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847686] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32672), 1,
      sym__lowercase_identifier,
    STATE(22421), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847700] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25099), 1,
      anon_sym_GT_RBRACE,
    STATE(22422), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847714] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22204), 1,
      anon_sym_end,
    STATE(22423), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847728] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32674), 1,
      anon_sym_SQUOTE2,
    STATE(22424), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847742] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32676), 1,
      anon_sym_DQUOTE,
    STATE(22425), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847756] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32678), 1,
      sym__lowercase_identifier,
    STATE(22426), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847770] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32680), 1,
      anon_sym_DASH_GT,
    STATE(22427), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847784] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32682), 1,
      sym__lowercase_identifier,
    STATE(22428), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847798] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32684), 1,
      anon_sym_EQ,
    STATE(22429), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847812] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32686), 1,
      anon_sym_EQ,
    STATE(22430), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847826] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32688), 1,
      anon_sym_RPAREN,
    STATE(22431), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847840] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32690), 1,
      anon_sym_DQUOTE,
    STATE(22432), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847854] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32692), 1,
      anon_sym_SQUOTE2,
    STATE(22433), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847868] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32694), 1,
      anon_sym_GT,
    STATE(22434), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847882] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32696), 1,
      sym__lowercase_identifier,
    STATE(22435), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847896] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(14806), 1,
      anon_sym_DASH_GT,
    STATE(22436), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847910] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32698), 1,
      anon_sym_EQ,
    STATE(22437), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847924] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32700), 1,
      anon_sym_EQ,
    STATE(22438), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847938] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32702), 1,
      anon_sym_DQUOTE,
    STATE(22439), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847952] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32704), 1,
      anon_sym_SQUOTE2,
    STATE(22440), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847966] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22172), 1,
      anon_sym_end,
    STATE(22441), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847980] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25053), 1,
      anon_sym_GT_RBRACE,
    STATE(22442), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [847994] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25059), 1,
      anon_sym_GT_RBRACE,
    STATE(22443), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848008] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10058), 1,
      anon_sym_DASH_GT,
    STATE(22444), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848022] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10160), 1,
      anon_sym_DASH_GT,
    STATE(22445), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848036] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32706), 1,
      anon_sym_DASH_GT,
    STATE(22446), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848050] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32708), 1,
      anon_sym_RBRACE,
    STATE(22447), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848064] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32710), 1,
      anon_sym_RPAREN,
    STATE(22448), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848078] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32712), 1,
      anon_sym_DASH_GT,
    STATE(22449), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848092] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32714), 1,
      anon_sym_in,
    STATE(22450), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848106] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32716), 1,
      anon_sym_RBRACE,
    STATE(22451), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848120] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32718), 1,
      anon_sym_RPAREN,
    STATE(22452), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848134] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32720), 1,
      anon_sym_RPAREN,
    STATE(22453), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848148] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25248), 1,
      anon_sym_RBRACK,
    STATE(22454), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848162] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32722), 1,
      anon_sym_RPAREN,
    STATE(22455), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848176] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32724), 1,
      anon_sym_in,
    STATE(22456), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848190] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32726), 1,
      anon_sym_end,
    STATE(22457), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848204] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32728), 1,
      anon_sym_in,
    STATE(22458), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848218] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32730), 1,
      anon_sym_in,
    STATE(22459), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848232] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32732), 1,
      anon_sym_RBRACE,
    STATE(22460), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848246] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32734), 1,
      anon_sym_LT_DASH,
    STATE(22461), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848260] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32736), 1,
      anon_sym_RBRACK,
    STATE(22462), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848274] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32738), 1,
      anon_sym_end,
    STATE(22463), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848288] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32740), 1,
      anon_sym_RBRACE,
    STATE(22464), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848302] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32742), 1,
      anon_sym_RBRACK,
    STATE(22465), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848316] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32744), 1,
      anon_sym_in,
    STATE(22466), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848330] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32746), 1,
      anon_sym_RPAREN,
    STATE(22467), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848344] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32748), 1,
      anon_sym_RBRACE,
    STATE(22468), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848358] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18196), 1,
      anon_sym_RPAREN,
    STATE(22469), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848372] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32750), 1,
      anon_sym_DASH_GT,
    STATE(22470), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848386] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32752), 1,
      anon_sym_RPAREN,
    STATE(22471), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848400] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32754), 1,
      anon_sym_RPAREN,
    STATE(22472), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848414] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32756), 1,
      anon_sym_RBRACE,
    STATE(22473), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848428] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32758), 1,
      anon_sym_in,
    STATE(22474), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848442] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32760), 1,
      anon_sym_in,
    STATE(22475), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848456] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32762), 1,
      anon_sym_in,
    STATE(22476), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848470] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32764), 1,
      aux_sym_number_token1,
    STATE(22477), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848484] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18273), 1,
      anon_sym_RPAREN,
    STATE(22478), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848498] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32766), 1,
      anon_sym_RPAREN,
    STATE(22479), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848512] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32768), 1,
      anon_sym_RBRACK,
    STATE(22480), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848526] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32770), 1,
      anon_sym_RPAREN,
    STATE(22481), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848540] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(5993), 1,
      anon_sym_end,
    STATE(22482), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848554] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32772), 1,
      anon_sym_RBRACE,
    STATE(22483), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848568] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32774), 1,
      anon_sym_RBRACK,
    STATE(22484), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848582] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32776), 1,
      anon_sym_LT_DASH,
    STATE(22485), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848596] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32718), 1,
      anon_sym_RBRACK,
    STATE(22486), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848610] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32778), 1,
      anon_sym_RPAREN,
    STATE(22487), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848624] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(13079), 1,
      anon_sym_GT,
    STATE(22488), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848638] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32780), 1,
      anon_sym_RPAREN,
    STATE(22489), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848652] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32782), 1,
      anon_sym_DASH_GT,
    STATE(22490), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848666] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32784), 1,
      anon_sym_RBRACE,
    STATE(22491), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848680] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(19203), 1,
      anon_sym_GT,
    STATE(22492), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848694] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32786), 1,
      anon_sym_RPAREN,
    STATE(22493), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848708] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32788), 1,
      anon_sym_RPAREN,
    STATE(22494), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848722] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32790), 1,
      anon_sym_DASH_GT,
    STATE(22495), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848736] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32792), 1,
      anon_sym_RPAREN,
    STATE(22496), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848750] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32794), 1,
      anon_sym_RBRACE,
    STATE(22497), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848764] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32796), 1,
      anon_sym_RPAREN,
    STATE(22498), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848778] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32798), 1,
      anon_sym_RBRACK,
    STATE(22499), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848792] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32800), 1,
      anon_sym_RPAREN,
    STATE(22500), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848806] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32802), 1,
      anon_sym_RBRACE,
    STATE(22501), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848820] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32804), 1,
      anon_sym_RPAREN,
    STATE(22502), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848834] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32806), 1,
      anon_sym_RBRACE,
    STATE(22503), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848848] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32808), 1,
      anon_sym_RPAREN,
    STATE(22504), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848862] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32810), 1,
      anon_sym_DASH_GT,
    STATE(22505), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848876] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32812), 1,
      anon_sym_RPAREN,
    STATE(22506), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848890] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(18180), 1,
      anon_sym_RPAREN,
    STATE(22507), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848904] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32814), 1,
      anon_sym_RPAREN,
    STATE(22508), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848918] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32816), 1,
      anon_sym_RPAREN,
    STATE(22509), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848932] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32818), 1,
      anon_sym_RBRACK,
    STATE(22510), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848946] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32820), 1,
      anon_sym_RBRACE,
    STATE(22511), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848960] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32822), 1,
      anon_sym_RBRACK,
    STATE(22512), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848974] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32824), 1,
      anon_sym_end,
    STATE(22513), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [848988] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32826), 1,
      anon_sym_RBRACE,
    STATE(22514), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849002] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32828), 1,
      anon_sym_DASH_GT,
    STATE(22515), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849016] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32830), 1,
      anon_sym_RBRACK,
    STATE(22516), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849030] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(10136), 1,
      anon_sym_DASH_GT,
    STATE(22517), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849044] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32832), 1,
      anon_sym_RPAREN,
    STATE(22518), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849058] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32834), 1,
      anon_sym_RBRACK,
    STATE(22519), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849072] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32836), 1,
      anon_sym_RBRACE,
    STATE(22520), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849086] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32838), 1,
      anon_sym_RPAREN,
    STATE(22521), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849100] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32840), 1,
      anon_sym_RBRACE,
    STATE(22522), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849114] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32842), 1,
      anon_sym_RPAREN,
    STATE(22523), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849128] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32844), 1,
      sym__lowercase_identifier,
    STATE(22524), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849142] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32846), 1,
      anon_sym_RPAREN,
    STATE(22525), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849156] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32718), 1,
      anon_sym_RBRACE,
    STATE(22526), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849170] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32848), 1,
      anon_sym_DQUOTE,
    STATE(22527), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849184] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32850), 1,
      anon_sym_SQUOTE2,
    STATE(22528), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849198] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32852), 1,
      anon_sym_RPAREN,
    STATE(22529), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849212] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(22254), 1,
      anon_sym_end,
    STATE(22530), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849226] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(25158), 1,
      anon_sym_GT_RBRACE,
    STATE(22531), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849240] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32854), 1,
      anon_sym_RBRACE,
    STATE(22532), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849254] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32856), 1,
      anon_sym_in,
    STATE(22533), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849268] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(3661), 1,
      anon_sym_RPAREN,
    STATE(22534), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849282] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32858), 1,
      anon_sym_RPAREN,
    STATE(22535), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849296] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32860), 1,
      anon_sym_in,
    STATE(22536), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849310] = 4,
    ACTIONS(1421), 1,
      aux_sym_attribute_token1,
    ACTIONS(32862), 1,
      anon_sym_in,
    STATE(22537), 1,
      sym_attribute,
    ACTIONS(5), 2,
      sym_comment,
      sym_line_number_directive,
  [849324] = 1,
    ACTIONS(32864), 1,
      ts_builtin_sym_end,
  [849328] = 1,
    ACTIONS(32866), 1,
      ts_builtin_sym_end,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(3324)] = 0,
  [SMALL_STATE(3325)] = 75,
  [SMALL_STATE(3326)] = 150,
  [SMALL_STATE(3327)] = 225,
  [SMALL_STATE(3328)] = 300,
  [SMALL_STATE(3329)] = 423,
  [SMALL_STATE(3330)] = 498,
  [SMALL_STATE(3331)] = 573,
  [SMALL_STATE(3332)] = 708,
  [SMALL_STATE(3333)] = 783,
  [SMALL_STATE(3334)] = 858,
  [SMALL_STATE(3335)] = 933,
  [SMALL_STATE(3336)] = 1068,
  [SMALL_STATE(3337)] = 1143,
  [SMALL_STATE(3338)] = 1218,
  [SMALL_STATE(3339)] = 1293,
  [SMALL_STATE(3340)] = 1368,
  [SMALL_STATE(3341)] = 1443,
  [SMALL_STATE(3342)] = 1518,
  [SMALL_STATE(3343)] = 1593,
  [SMALL_STATE(3344)] = 1728,
  [SMALL_STATE(3345)] = 1803,
  [SMALL_STATE(3346)] = 1938,
  [SMALL_STATE(3347)] = 2013,
  [SMALL_STATE(3348)] = 2148,
  [SMALL_STATE(3349)] = 2283,
  [SMALL_STATE(3350)] = 2358,
  [SMALL_STATE(3351)] = 2435,
  [SMALL_STATE(3352)] = 2512,
  [SMALL_STATE(3353)] = 2587,
  [SMALL_STATE(3354)] = 2722,
  [SMALL_STATE(3355)] = 2799,
  [SMALL_STATE(3356)] = 2876,
  [SMALL_STATE(3357)] = 3011,
  [SMALL_STATE(3358)] = 3086,
  [SMALL_STATE(3359)] = 3221,
  [SMALL_STATE(3360)] = 3356,
  [SMALL_STATE(3361)] = 3491,
  [SMALL_STATE(3362)] = 3566,
  [SMALL_STATE(3363)] = 3701,
  [SMALL_STATE(3364)] = 3836,
  [SMALL_STATE(3365)] = 3911,
  [SMALL_STATE(3366)] = 4046,
  [SMALL_STATE(3367)] = 4181,
  [SMALL_STATE(3368)] = 4256,
  [SMALL_STATE(3369)] = 4331,
  [SMALL_STATE(3370)] = 4406,
  [SMALL_STATE(3371)] = 4481,
  [SMALL_STATE(3372)] = 4616,
  [SMALL_STATE(3373)] = 4751,
  [SMALL_STATE(3374)] = 4886,
  [SMALL_STATE(3375)] = 4963,
  [SMALL_STATE(3376)] = 5040,
  [SMALL_STATE(3377)] = 5114,
  [SMALL_STATE(3378)] = 5244,
  [SMALL_STATE(3379)] = 5376,
  [SMALL_STATE(3380)] = 5506,
  [SMALL_STATE(3381)] = 5638,
  [SMALL_STATE(3382)] = 5770,
  [SMALL_STATE(3383)] = 5902,
  [SMALL_STATE(3384)] = 6034,
  [SMALL_STATE(3385)] = 6108,
  [SMALL_STATE(3386)] = 6240,
  [SMALL_STATE(3387)] = 6372,
  [SMALL_STATE(3388)] = 6446,
  [SMALL_STATE(3389)] = 6578,
  [SMALL_STATE(3390)] = 6652,
  [SMALL_STATE(3391)] = 6784,
  [SMALL_STATE(3392)] = 6916,
  [SMALL_STATE(3393)] = 7048,
  [SMALL_STATE(3394)] = 7122,
  [SMALL_STATE(3395)] = 7196,
  [SMALL_STATE(3396)] = 7270,
  [SMALL_STATE(3397)] = 7344,
  [SMALL_STATE(3398)] = 7418,
  [SMALL_STATE(3399)] = 7550,
  [SMALL_STATE(3400)] = 7624,
  [SMALL_STATE(3401)] = 7754,
  [SMALL_STATE(3402)] = 7828,
  [SMALL_STATE(3403)] = 7904,
  [SMALL_STATE(3404)] = 8036,
  [SMALL_STATE(3405)] = 8168,
  [SMALL_STATE(3406)] = 8242,
  [SMALL_STATE(3407)] = 8316,
  [SMALL_STATE(3408)] = 8390,
  [SMALL_STATE(3409)] = 8464,
  [SMALL_STATE(3410)] = 8538,
  [SMALL_STATE(3411)] = 8670,
  [SMALL_STATE(3412)] = 8802,
  [SMALL_STATE(3413)] = 8934,
  [SMALL_STATE(3414)] = 9066,
  [SMALL_STATE(3415)] = 9140,
  [SMALL_STATE(3416)] = 9272,
  [SMALL_STATE(3417)] = 9404,
  [SMALL_STATE(3418)] = 9536,
  [SMALL_STATE(3419)] = 9612,
  [SMALL_STATE(3420)] = 9686,
  [SMALL_STATE(3421)] = 9762,
  [SMALL_STATE(3422)] = 9894,
  [SMALL_STATE(3423)] = 10026,
  [SMALL_STATE(3424)] = 10156,
  [SMALL_STATE(3425)] = 10288,
  [SMALL_STATE(3426)] = 10420,
  [SMALL_STATE(3427)] = 10552,
  [SMALL_STATE(3428)] = 10626,
  [SMALL_STATE(3429)] = 10700,
  [SMALL_STATE(3430)] = 10774,
  [SMALL_STATE(3431)] = 10848,
  [SMALL_STATE(3432)] = 10980,
  [SMALL_STATE(3433)] = 11054,
  [SMALL_STATE(3434)] = 11186,
  [SMALL_STATE(3435)] = 11260,
  [SMALL_STATE(3436)] = 11334,
  [SMALL_STATE(3437)] = 11408,
  [SMALL_STATE(3438)] = 11482,
  [SMALL_STATE(3439)] = 11556,
  [SMALL_STATE(3440)] = 11630,
  [SMALL_STATE(3441)] = 11704,
  [SMALL_STATE(3442)] = 11834,
  [SMALL_STATE(3443)] = 11908,
  [SMALL_STATE(3444)] = 12040,
  [SMALL_STATE(3445)] = 12114,
  [SMALL_STATE(3446)] = 12188,
  [SMALL_STATE(3447)] = 12320,
  [SMALL_STATE(3448)] = 12452,
  [SMALL_STATE(3449)] = 12526,
  [SMALL_STATE(3450)] = 12600,
  [SMALL_STATE(3451)] = 12732,
  [SMALL_STATE(3452)] = 12806,
  [SMALL_STATE(3453)] = 12880,
  [SMALL_STATE(3454)] = 13012,
  [SMALL_STATE(3455)] = 13092,
  [SMALL_STATE(3456)] = 13224,
  [SMALL_STATE(3457)] = 13298,
  [SMALL_STATE(3458)] = 13372,
  [SMALL_STATE(3459)] = 13502,
  [SMALL_STATE(3460)] = 13576,
  [SMALL_STATE(3461)] = 13650,
  [SMALL_STATE(3462)] = 13724,
  [SMALL_STATE(3463)] = 13798,
  [SMALL_STATE(3464)] = 13872,
  [SMALL_STATE(3465)] = 13946,
  [SMALL_STATE(3466)] = 14020,
  [SMALL_STATE(3467)] = 14152,
  [SMALL_STATE(3468)] = 14226,
  [SMALL_STATE(3469)] = 14300,
  [SMALL_STATE(3470)] = 14374,
  [SMALL_STATE(3471)] = 14448,
  [SMALL_STATE(3472)] = 14522,
  [SMALL_STATE(3473)] = 14598,
  [SMALL_STATE(3474)] = 14672,
  [SMALL_STATE(3475)] = 14746,
  [SMALL_STATE(3476)] = 14820,
  [SMALL_STATE(3477)] = 14894,
  [SMALL_STATE(3478)] = 14968,
  [SMALL_STATE(3479)] = 15042,
  [SMALL_STATE(3480)] = 15174,
  [SMALL_STATE(3481)] = 15248,
  [SMALL_STATE(3482)] = 15322,
  [SMALL_STATE(3483)] = 15454,
  [SMALL_STATE(3484)] = 15586,
  [SMALL_STATE(3485)] = 15718,
  [SMALL_STATE(3486)] = 15792,
  [SMALL_STATE(3487)] = 15866,
  [SMALL_STATE(3488)] = 15940,
  [SMALL_STATE(3489)] = 16014,
  [SMALL_STATE(3490)] = 16088,
  [SMALL_STATE(3491)] = 16162,
  [SMALL_STATE(3492)] = 16236,
  [SMALL_STATE(3493)] = 16310,
  [SMALL_STATE(3494)] = 16384,
  [SMALL_STATE(3495)] = 16458,
  [SMALL_STATE(3496)] = 16532,
  [SMALL_STATE(3497)] = 16606,
  [SMALL_STATE(3498)] = 16680,
  [SMALL_STATE(3499)] = 16754,
  [SMALL_STATE(3500)] = 16828,
  [SMALL_STATE(3501)] = 16902,
  [SMALL_STATE(3502)] = 16982,
  [SMALL_STATE(3503)] = 17056,
  [SMALL_STATE(3504)] = 17130,
  [SMALL_STATE(3505)] = 17262,
  [SMALL_STATE(3506)] = 17336,
  [SMALL_STATE(3507)] = 17410,
  [SMALL_STATE(3508)] = 17540,
  [SMALL_STATE(3509)] = 17672,
  [SMALL_STATE(3510)] = 17748,
  [SMALL_STATE(3511)] = 17822,
  [SMALL_STATE(3512)] = 17896,
  [SMALL_STATE(3513)] = 18028,
  [SMALL_STATE(3514)] = 18104,
  [SMALL_STATE(3515)] = 18236,
  [SMALL_STATE(3516)] = 18310,
  [SMALL_STATE(3517)] = 18442,
  [SMALL_STATE(3518)] = 18516,
  [SMALL_STATE(3519)] = 18590,
  [SMALL_STATE(3520)] = 18670,
  [SMALL_STATE(3521)] = 18800,
  [SMALL_STATE(3522)] = 18874,
  [SMALL_STATE(3523)] = 18948,
  [SMALL_STATE(3524)] = 19022,
  [SMALL_STATE(3525)] = 19096,
  [SMALL_STATE(3526)] = 19176,
  [SMALL_STATE(3527)] = 19250,
  [SMALL_STATE(3528)] = 19324,
  [SMALL_STATE(3529)] = 19456,
  [SMALL_STATE(3530)] = 19530,
  [SMALL_STATE(3531)] = 19604,
  [SMALL_STATE(3532)] = 19678,
  [SMALL_STATE(3533)] = 19810,
  [SMALL_STATE(3534)] = 19884,
  [SMALL_STATE(3535)] = 19958,
  [SMALL_STATE(3536)] = 20090,
  [SMALL_STATE(3537)] = 20222,
  [SMALL_STATE(3538)] = 20296,
  [SMALL_STATE(3539)] = 20426,
  [SMALL_STATE(3540)] = 20500,
  [SMALL_STATE(3541)] = 20574,
  [SMALL_STATE(3542)] = 20648,
  [SMALL_STATE(3543)] = 20780,
  [SMALL_STATE(3544)] = 20854,
  [SMALL_STATE(3545)] = 20984,
  [SMALL_STATE(3546)] = 21116,
  [SMALL_STATE(3547)] = 21190,
  [SMALL_STATE(3548)] = 21264,
  [SMALL_STATE(3549)] = 21340,
  [SMALL_STATE(3550)] = 21414,
  [SMALL_STATE(3551)] = 21488,
  [SMALL_STATE(3552)] = 21562,
  [SMALL_STATE(3553)] = 21694,
  [SMALL_STATE(3554)] = 21826,
  [SMALL_STATE(3555)] = 21958,
  [SMALL_STATE(3556)] = 22032,
  [SMALL_STATE(3557)] = 22106,
  [SMALL_STATE(3558)] = 22180,
  [SMALL_STATE(3559)] = 22254,
  [SMALL_STATE(3560)] = 22328,
  [SMALL_STATE(3561)] = 22404,
  [SMALL_STATE(3562)] = 22478,
  [SMALL_STATE(3563)] = 22552,
  [SMALL_STATE(3564)] = 22626,
  [SMALL_STATE(3565)] = 22700,
  [SMALL_STATE(3566)] = 22776,
  [SMALL_STATE(3567)] = 22908,
  [SMALL_STATE(3568)] = 22982,
  [SMALL_STATE(3569)] = 23114,
  [SMALL_STATE(3570)] = 23188,
  [SMALL_STATE(3571)] = 23262,
  [SMALL_STATE(3572)] = 23392,
  [SMALL_STATE(3573)] = 23466,
  [SMALL_STATE(3574)] = 23540,
  [SMALL_STATE(3575)] = 23614,
  [SMALL_STATE(3576)] = 23744,
  [SMALL_STATE(3577)] = 23876,
  [SMALL_STATE(3578)] = 24008,
  [SMALL_STATE(3579)] = 24082,
  [SMALL_STATE(3580)] = 24158,
  [SMALL_STATE(3581)] = 24234,
  [SMALL_STATE(3582)] = 24310,
  [SMALL_STATE(3583)] = 24386,
  [SMALL_STATE(3584)] = 24460,
  [SMALL_STATE(3585)] = 24534,
  [SMALL_STATE(3586)] = 24608,
  [SMALL_STATE(3587)] = 24740,
  [SMALL_STATE(3588)] = 24814,
  [SMALL_STATE(3589)] = 24888,
  [SMALL_STATE(3590)] = 25018,
  [SMALL_STATE(3591)] = 25092,
  [SMALL_STATE(3592)] = 25222,
  [SMALL_STATE(3593)] = 25296,
  [SMALL_STATE(3594)] = 25370,
  [SMALL_STATE(3595)] = 25444,
  [SMALL_STATE(3596)] = 25518,
  [SMALL_STATE(3597)] = 25592,
  [SMALL_STATE(3598)] = 25666,
  [SMALL_STATE(3599)] = 25740,
  [SMALL_STATE(3600)] = 25814,
  [SMALL_STATE(3601)] = 25888,
  [SMALL_STATE(3602)] = 25962,
  [SMALL_STATE(3603)] = 26092,
  [SMALL_STATE(3604)] = 26224,
  [SMALL_STATE(3605)] = 26354,
  [SMALL_STATE(3606)] = 26486,
  [SMALL_STATE(3607)] = 26560,
  [SMALL_STATE(3608)] = 26634,
  [SMALL_STATE(3609)] = 26708,
  [SMALL_STATE(3610)] = 26782,
  [SMALL_STATE(3611)] = 26914,
  [SMALL_STATE(3612)] = 26988,
  [SMALL_STATE(3613)] = 27120,
  [SMALL_STATE(3614)] = 27252,
  [SMALL_STATE(3615)] = 27382,
  [SMALL_STATE(3616)] = 27456,
  [SMALL_STATE(3617)] = 27586,
  [SMALL_STATE(3618)] = 27716,
  [SMALL_STATE(3619)] = 27848,
  [SMALL_STATE(3620)] = 27980,
  [SMALL_STATE(3621)] = 28112,
  [SMALL_STATE(3622)] = 28242,
  [SMALL_STATE(3623)] = 28316,
  [SMALL_STATE(3624)] = 28448,
  [SMALL_STATE(3625)] = 28580,
  [SMALL_STATE(3626)] = 28710,
  [SMALL_STATE(3627)] = 28784,
  [SMALL_STATE(3628)] = 28916,
  [SMALL_STATE(3629)] = 28990,
  [SMALL_STATE(3630)] = 29064,
  [SMALL_STATE(3631)] = 29194,
  [SMALL_STATE(3632)] = 29268,
  [SMALL_STATE(3633)] = 29400,
  [SMALL_STATE(3634)] = 29474,
  [SMALL_STATE(3635)] = 29604,
  [SMALL_STATE(3636)] = 29678,
  [SMALL_STATE(3637)] = 29810,
  [SMALL_STATE(3638)] = 29884,
  [SMALL_STATE(3639)] = 30016,
  [SMALL_STATE(3640)] = 30090,
  [SMALL_STATE(3641)] = 30222,
  [SMALL_STATE(3642)] = 30296,
  [SMALL_STATE(3643)] = 30426,
  [SMALL_STATE(3644)] = 30500,
  [SMALL_STATE(3645)] = 30632,
  [SMALL_STATE(3646)] = 30762,
  [SMALL_STATE(3647)] = 30836,
  [SMALL_STATE(3648)] = 30910,
  [SMALL_STATE(3649)] = 31040,
  [SMALL_STATE(3650)] = 31114,
  [SMALL_STATE(3651)] = 31188,
  [SMALL_STATE(3652)] = 31262,
  [SMALL_STATE(3653)] = 31392,
  [SMALL_STATE(3654)] = 31468,
  [SMALL_STATE(3655)] = 31542,
  [SMALL_STATE(3656)] = 31674,
  [SMALL_STATE(3657)] = 31748,
  [SMALL_STATE(3658)] = 31880,
  [SMALL_STATE(3659)] = 31954,
  [SMALL_STATE(3660)] = 32084,
  [SMALL_STATE(3661)] = 32158,
  [SMALL_STATE(3662)] = 32288,
  [SMALL_STATE(3663)] = 32362,
  [SMALL_STATE(3664)] = 32436,
  [SMALL_STATE(3665)] = 32566,
  [SMALL_STATE(3666)] = 32640,
  [SMALL_STATE(3667)] = 32714,
  [SMALL_STATE(3668)] = 32788,
  [SMALL_STATE(3669)] = 32862,
  [SMALL_STATE(3670)] = 32994,
  [SMALL_STATE(3671)] = 33124,
  [SMALL_STATE(3672)] = 33198,
  [SMALL_STATE(3673)] = 33328,
  [SMALL_STATE(3674)] = 33460,
  [SMALL_STATE(3675)] = 33534,
  [SMALL_STATE(3676)] = 33610,
  [SMALL_STATE(3677)] = 33684,
  [SMALL_STATE(3678)] = 33758,
  [SMALL_STATE(3679)] = 33832,
  [SMALL_STATE(3680)] = 33962,
  [SMALL_STATE(3681)] = 34036,
  [SMALL_STATE(3682)] = 34168,
  [SMALL_STATE(3683)] = 34300,
  [SMALL_STATE(3684)] = 34432,
  [SMALL_STATE(3685)] = 34506,
  [SMALL_STATE(3686)] = 34638,
  [SMALL_STATE(3687)] = 34712,
  [SMALL_STATE(3688)] = 34786,
  [SMALL_STATE(3689)] = 34916,
  [SMALL_STATE(3690)] = 34990,
  [SMALL_STATE(3691)] = 35122,
  [SMALL_STATE(3692)] = 35254,
  [SMALL_STATE(3693)] = 35386,
  [SMALL_STATE(3694)] = 35460,
  [SMALL_STATE(3695)] = 35590,
  [SMALL_STATE(3696)] = 35664,
  [SMALL_STATE(3697)] = 35738,
  [SMALL_STATE(3698)] = 35812,
  [SMALL_STATE(3699)] = 35886,
  [SMALL_STATE(3700)] = 36018,
  [SMALL_STATE(3701)] = 36150,
  [SMALL_STATE(3702)] = 36224,
  [SMALL_STATE(3703)] = 36298,
  [SMALL_STATE(3704)] = 36372,
  [SMALL_STATE(3705)] = 36448,
  [SMALL_STATE(3706)] = 36522,
  [SMALL_STATE(3707)] = 36596,
  [SMALL_STATE(3708)] = 36670,
  [SMALL_STATE(3709)] = 36744,
  [SMALL_STATE(3710)] = 36818,
  [SMALL_STATE(3711)] = 36948,
  [SMALL_STATE(3712)] = 37080,
  [SMALL_STATE(3713)] = 37212,
  [SMALL_STATE(3714)] = 37344,
  [SMALL_STATE(3715)] = 37476,
  [SMALL_STATE(3716)] = 37608,
  [SMALL_STATE(3717)] = 37682,
  [SMALL_STATE(3718)] = 37814,
  [SMALL_STATE(3719)] = 37946,
  [SMALL_STATE(3720)] = 38020,
  [SMALL_STATE(3721)] = 38150,
  [SMALL_STATE(3722)] = 38282,
  [SMALL_STATE(3723)] = 38414,
  [SMALL_STATE(3724)] = 38488,
  [SMALL_STATE(3725)] = 38562,
  [SMALL_STATE(3726)] = 38636,
  [SMALL_STATE(3727)] = 38712,
  [SMALL_STATE(3728)] = 38786,
  [SMALL_STATE(3729)] = 38860,
  [SMALL_STATE(3730)] = 38934,
  [SMALL_STATE(3731)] = 39008,
  [SMALL_STATE(3732)] = 39082,
  [SMALL_STATE(3733)] = 39212,
  [SMALL_STATE(3734)] = 39344,
  [SMALL_STATE(3735)] = 39418,
  [SMALL_STATE(3736)] = 39492,
  [SMALL_STATE(3737)] = 39566,
  [SMALL_STATE(3738)] = 39640,
  [SMALL_STATE(3739)] = 39714,
  [SMALL_STATE(3740)] = 39788,
  [SMALL_STATE(3741)] = 39920,
  [SMALL_STATE(3742)] = 40050,
  [SMALL_STATE(3743)] = 40182,
  [SMALL_STATE(3744)] = 40314,
  [SMALL_STATE(3745)] = 40446,
  [SMALL_STATE(3746)] = 40576,
  [SMALL_STATE(3747)] = 40650,
  [SMALL_STATE(3748)] = 40782,
  [SMALL_STATE(3749)] = 40856,
  [SMALL_STATE(3750)] = 40988,
  [SMALL_STATE(3751)] = 41064,
  [SMALL_STATE(3752)] = 41138,
  [SMALL_STATE(3753)] = 41268,
  [SMALL_STATE(3754)] = 41342,
  [SMALL_STATE(3755)] = 41472,
  [SMALL_STATE(3756)] = 41546,
  [SMALL_STATE(3757)] = 41620,
  [SMALL_STATE(3758)] = 41750,
  [SMALL_STATE(3759)] = 41824,
  [SMALL_STATE(3760)] = 41956,
  [SMALL_STATE(3761)] = 42030,
  [SMALL_STATE(3762)] = 42104,
  [SMALL_STATE(3763)] = 42178,
  [SMALL_STATE(3764)] = 42252,
  [SMALL_STATE(3765)] = 42326,
  [SMALL_STATE(3766)] = 42456,
  [SMALL_STATE(3767)] = 42588,
  [SMALL_STATE(3768)] = 42720,
  [SMALL_STATE(3769)] = 42794,
  [SMALL_STATE(3770)] = 42868,
  [SMALL_STATE(3771)] = 42942,
  [SMALL_STATE(3772)] = 43016,
  [SMALL_STATE(3773)] = 43148,
  [SMALL_STATE(3774)] = 43280,
  [SMALL_STATE(3775)] = 43412,
  [SMALL_STATE(3776)] = 43544,
  [SMALL_STATE(3777)] = 43676,
  [SMALL_STATE(3778)] = 43808,
  [SMALL_STATE(3779)] = 43940,
  [SMALL_STATE(3780)] = 44014,
  [SMALL_STATE(3781)] = 44146,
  [SMALL_STATE(3782)] = 44220,
  [SMALL_STATE(3783)] = 44350,
  [SMALL_STATE(3784)] = 44424,
  [SMALL_STATE(3785)] = 44498,
  [SMALL_STATE(3786)] = 44574,
  [SMALL_STATE(3787)] = 44648,
  [SMALL_STATE(3788)] = 44722,
  [SMALL_STATE(3789)] = 44796,
  [SMALL_STATE(3790)] = 44926,
  [SMALL_STATE(3791)] = 45000,
  [SMALL_STATE(3792)] = 45074,
  [SMALL_STATE(3793)] = 45204,
  [SMALL_STATE(3794)] = 45278,
  [SMALL_STATE(3795)] = 45352,
  [SMALL_STATE(3796)] = 45484,
  [SMALL_STATE(3797)] = 45558,
  [SMALL_STATE(3798)] = 45690,
  [SMALL_STATE(3799)] = 45822,
  [SMALL_STATE(3800)] = 45898,
  [SMALL_STATE(3801)] = 45972,
  [SMALL_STATE(3802)] = 46046,
  [SMALL_STATE(3803)] = 46120,
  [SMALL_STATE(3804)] = 46194,
  [SMALL_STATE(3805)] = 46268,
  [SMALL_STATE(3806)] = 46342,
  [SMALL_STATE(3807)] = 46416,
  [SMALL_STATE(3808)] = 46548,
  [SMALL_STATE(3809)] = 46680,
  [SMALL_STATE(3810)] = 46810,
  [SMALL_STATE(3811)] = 46942,
  [SMALL_STATE(3812)] = 47074,
  [SMALL_STATE(3813)] = 47204,
  [SMALL_STATE(3814)] = 47284,
  [SMALL_STATE(3815)] = 47358,
  [SMALL_STATE(3816)] = 47432,
  [SMALL_STATE(3817)] = 47506,
  [SMALL_STATE(3818)] = 47580,
  [SMALL_STATE(3819)] = 47710,
  [SMALL_STATE(3820)] = 47840,
  [SMALL_STATE(3821)] = 47972,
  [SMALL_STATE(3822)] = 48046,
  [SMALL_STATE(3823)] = 48178,
  [SMALL_STATE(3824)] = 48252,
  [SMALL_STATE(3825)] = 48326,
  [SMALL_STATE(3826)] = 48402,
  [SMALL_STATE(3827)] = 48482,
  [SMALL_STATE(3828)] = 48556,
  [SMALL_STATE(3829)] = 48630,
  [SMALL_STATE(3830)] = 48704,
  [SMALL_STATE(3831)] = 48836,
  [SMALL_STATE(3832)] = 48910,
  [SMALL_STATE(3833)] = 49042,
  [SMALL_STATE(3834)] = 49174,
  [SMALL_STATE(3835)] = 49306,
  [SMALL_STATE(3836)] = 49380,
  [SMALL_STATE(3837)] = 49453,
  [SMALL_STATE(3838)] = 49528,
  [SMALL_STATE(3839)] = 49601,
  [SMALL_STATE(3840)] = 49674,
  [SMALL_STATE(3841)] = 49747,
  [SMALL_STATE(3842)] = 49820,
  [SMALL_STATE(3843)] = 49893,
  [SMALL_STATE(3844)] = 50022,
  [SMALL_STATE(3845)] = 50095,
  [SMALL_STATE(3846)] = 50168,
  [SMALL_STATE(3847)] = 50297,
  [SMALL_STATE(3848)] = 50370,
  [SMALL_STATE(3849)] = 50443,
  [SMALL_STATE(3850)] = 50516,
  [SMALL_STATE(3851)] = 50589,
  [SMALL_STATE(3852)] = 50664,
  [SMALL_STATE(3853)] = 50737,
  [SMALL_STATE(3854)] = 50868,
  [SMALL_STATE(3855)] = 50999,
  [SMALL_STATE(3856)] = 51072,
  [SMALL_STATE(3857)] = 51145,
  [SMALL_STATE(3858)] = 51220,
  [SMALL_STATE(3859)] = 51293,
  [SMALL_STATE(3860)] = 51366,
  [SMALL_STATE(3861)] = 51439,
  [SMALL_STATE(3862)] = 51512,
  [SMALL_STATE(3863)] = 51585,
  [SMALL_STATE(3864)] = 51658,
  [SMALL_STATE(3865)] = 51731,
  [SMALL_STATE(3866)] = 51804,
  [SMALL_STATE(3867)] = 51877,
  [SMALL_STATE(3868)] = 51950,
  [SMALL_STATE(3869)] = 52023,
  [SMALL_STATE(3870)] = 52096,
  [SMALL_STATE(3871)] = 52169,
  [SMALL_STATE(3872)] = 52242,
  [SMALL_STATE(3873)] = 52315,
  [SMALL_STATE(3874)] = 52388,
  [SMALL_STATE(3875)] = 52461,
  [SMALL_STATE(3876)] = 52534,
  [SMALL_STATE(3877)] = 52607,
  [SMALL_STATE(3878)] = 52736,
  [SMALL_STATE(3879)] = 52809,
  [SMALL_STATE(3880)] = 52938,
  [SMALL_STATE(3881)] = 53011,
  [SMALL_STATE(3882)] = 53084,
  [SMALL_STATE(3883)] = 53157,
  [SMALL_STATE(3884)] = 53230,
  [SMALL_STATE(3885)] = 53303,
  [SMALL_STATE(3886)] = 53376,
  [SMALL_STATE(3887)] = 53449,
  [SMALL_STATE(3888)] = 53522,
  [SMALL_STATE(3889)] = 53595,
  [SMALL_STATE(3890)] = 53668,
  [SMALL_STATE(3891)] = 53741,
  [SMALL_STATE(3892)] = 53814,
  [SMALL_STATE(3893)] = 53887,
  [SMALL_STATE(3894)] = 53960,
  [SMALL_STATE(3895)] = 54033,
  [SMALL_STATE(3896)] = 54106,
  [SMALL_STATE(3897)] = 54179,
  [SMALL_STATE(3898)] = 54252,
  [SMALL_STATE(3899)] = 54325,
  [SMALL_STATE(3900)] = 54398,
  [SMALL_STATE(3901)] = 54471,
  [SMALL_STATE(3902)] = 54544,
  [SMALL_STATE(3903)] = 54673,
  [SMALL_STATE(3904)] = 54746,
  [SMALL_STATE(3905)] = 54875,
  [SMALL_STATE(3906)] = 55004,
  [SMALL_STATE(3907)] = 55133,
  [SMALL_STATE(3908)] = 55262,
  [SMALL_STATE(3909)] = 55391,
  [SMALL_STATE(3910)] = 55520,
  [SMALL_STATE(3911)] = 55649,
  [SMALL_STATE(3912)] = 55778,
  [SMALL_STATE(3913)] = 55907,
  [SMALL_STATE(3914)] = 55980,
  [SMALL_STATE(3915)] = 56109,
  [SMALL_STATE(3916)] = 56182,
  [SMALL_STATE(3917)] = 56255,
  [SMALL_STATE(3918)] = 56328,
  [SMALL_STATE(3919)] = 56457,
  [SMALL_STATE(3920)] = 56530,
  [SMALL_STATE(3921)] = 56603,
  [SMALL_STATE(3922)] = 56676,
  [SMALL_STATE(3923)] = 56749,
  [SMALL_STATE(3924)] = 56822,
  [SMALL_STATE(3925)] = 56895,
  [SMALL_STATE(3926)] = 56968,
  [SMALL_STATE(3927)] = 57041,
  [SMALL_STATE(3928)] = 57170,
  [SMALL_STATE(3929)] = 57243,
  [SMALL_STATE(3930)] = 57316,
  [SMALL_STATE(3931)] = 57389,
  [SMALL_STATE(3932)] = 57462,
  [SMALL_STATE(3933)] = 57535,
  [SMALL_STATE(3934)] = 57608,
  [SMALL_STATE(3935)] = 57681,
  [SMALL_STATE(3936)] = 57754,
  [SMALL_STATE(3937)] = 57827,
  [SMALL_STATE(3938)] = 57900,
  [SMALL_STATE(3939)] = 57973,
  [SMALL_STATE(3940)] = 58046,
  [SMALL_STATE(3941)] = 58119,
  [SMALL_STATE(3942)] = 58192,
  [SMALL_STATE(3943)] = 58265,
  [SMALL_STATE(3944)] = 58338,
  [SMALL_STATE(3945)] = 58411,
  [SMALL_STATE(3946)] = 58484,
  [SMALL_STATE(3947)] = 58557,
  [SMALL_STATE(3948)] = 58630,
  [SMALL_STATE(3949)] = 58703,
  [SMALL_STATE(3950)] = 58776,
  [SMALL_STATE(3951)] = 58849,
  [SMALL_STATE(3952)] = 58924,
  [SMALL_STATE(3953)] = 58997,
  [SMALL_STATE(3954)] = 59072,
  [SMALL_STATE(3955)] = 59145,
  [SMALL_STATE(3956)] = 59218,
  [SMALL_STATE(3957)] = 59291,
  [SMALL_STATE(3958)] = 59364,
  [SMALL_STATE(3959)] = 59437,
  [SMALL_STATE(3960)] = 59516,
  [SMALL_STATE(3961)] = 59589,
  [SMALL_STATE(3962)] = 59662,
  [SMALL_STATE(3963)] = 59735,
  [SMALL_STATE(3964)] = 59808,
  [SMALL_STATE(3965)] = 59937,
  [SMALL_STATE(3966)] = 60010,
  [SMALL_STATE(3967)] = 60083,
  [SMALL_STATE(3968)] = 60212,
  [SMALL_STATE(3969)] = 60285,
  [SMALL_STATE(3970)] = 60360,
  [SMALL_STATE(3971)] = 60433,
  [SMALL_STATE(3972)] = 60506,
  [SMALL_STATE(3973)] = 60579,
  [SMALL_STATE(3974)] = 60652,
  [SMALL_STATE(3975)] = 60725,
  [SMALL_STATE(3976)] = 60798,
  [SMALL_STATE(3977)] = 60871,
  [SMALL_STATE(3978)] = 61000,
  [SMALL_STATE(3979)] = 61129,
  [SMALL_STATE(3980)] = 61202,
  [SMALL_STATE(3981)] = 61331,
  [SMALL_STATE(3982)] = 61404,
  [SMALL_STATE(3983)] = 61477,
  [SMALL_STATE(3984)] = 61606,
  [SMALL_STATE(3985)] = 61735,
  [SMALL_STATE(3986)] = 61808,
  [SMALL_STATE(3987)] = 61881,
  [SMALL_STATE(3988)] = 62010,
  [SMALL_STATE(3989)] = 62083,
  [SMALL_STATE(3990)] = 62158,
  [SMALL_STATE(3991)] = 62231,
  [SMALL_STATE(3992)] = 62304,
  [SMALL_STATE(3993)] = 62377,
  [SMALL_STATE(3994)] = 62450,
  [SMALL_STATE(3995)] = 62523,
  [SMALL_STATE(3996)] = 62596,
  [SMALL_STATE(3997)] = 62669,
  [SMALL_STATE(3998)] = 62798,
  [SMALL_STATE(3999)] = 62871,
  [SMALL_STATE(4000)] = 63000,
  [SMALL_STATE(4001)] = 63075,
  [SMALL_STATE(4002)] = 63204,
  [SMALL_STATE(4003)] = 63277,
  [SMALL_STATE(4004)] = 63350,
  [SMALL_STATE(4005)] = 63423,
  [SMALL_STATE(4006)] = 63552,
  [SMALL_STATE(4007)] = 63625,
  [SMALL_STATE(4008)] = 63698,
  [SMALL_STATE(4009)] = 63771,
  [SMALL_STATE(4010)] = 63844,
  [SMALL_STATE(4011)] = 63917,
  [SMALL_STATE(4012)] = 64046,
  [SMALL_STATE(4013)] = 64125,
  [SMALL_STATE(4014)] = 64198,
  [SMALL_STATE(4015)] = 64271,
  [SMALL_STATE(4016)] = 64344,
  [SMALL_STATE(4017)] = 64417,
  [SMALL_STATE(4018)] = 64490,
  [SMALL_STATE(4019)] = 64563,
  [SMALL_STATE(4020)] = 64636,
  [SMALL_STATE(4021)] = 64709,
  [SMALL_STATE(4022)] = 64782,
  [SMALL_STATE(4023)] = 64855,
  [SMALL_STATE(4024)] = 64928,
  [SMALL_STATE(4025)] = 65001,
  [SMALL_STATE(4026)] = 65074,
  [SMALL_STATE(4027)] = 65147,
  [SMALL_STATE(4028)] = 65220,
  [SMALL_STATE(4029)] = 65293,
  [SMALL_STATE(4030)] = 65366,
  [SMALL_STATE(4031)] = 65439,
  [SMALL_STATE(4032)] = 65512,
  [SMALL_STATE(4033)] = 65585,
  [SMALL_STATE(4034)] = 65658,
  [SMALL_STATE(4035)] = 65737,
  [SMALL_STATE(4036)] = 65866,
  [SMALL_STATE(4037)] = 65939,
  [SMALL_STATE(4038)] = 66012,
  [SMALL_STATE(4039)] = 66085,
  [SMALL_STATE(4040)] = 66158,
  [SMALL_STATE(4041)] = 66231,
  [SMALL_STATE(4042)] = 66304,
  [SMALL_STATE(4043)] = 66377,
  [SMALL_STATE(4044)] = 66450,
  [SMALL_STATE(4045)] = 66523,
  [SMALL_STATE(4046)] = 66596,
  [SMALL_STATE(4047)] = 66725,
  [SMALL_STATE(4048)] = 66798,
  [SMALL_STATE(4049)] = 66871,
  [SMALL_STATE(4050)] = 66944,
  [SMALL_STATE(4051)] = 67017,
  [SMALL_STATE(4052)] = 67090,
  [SMALL_STATE(4053)] = 67219,
  [SMALL_STATE(4054)] = 67292,
  [SMALL_STATE(4055)] = 67365,
  [SMALL_STATE(4056)] = 67438,
  [SMALL_STATE(4057)] = 67513,
  [SMALL_STATE(4058)] = 67642,
  [SMALL_STATE(4059)] = 67717,
  [SMALL_STATE(4060)] = 67790,
  [SMALL_STATE(4061)] = 67863,
  [SMALL_STATE(4062)] = 67936,
  [SMALL_STATE(4063)] = 68009,
  [SMALL_STATE(4064)] = 68082,
  [SMALL_STATE(4065)] = 68211,
  [SMALL_STATE(4066)] = 68340,
  [SMALL_STATE(4067)] = 68419,
  [SMALL_STATE(4068)] = 68492,
  [SMALL_STATE(4069)] = 68567,
  [SMALL_STATE(4070)] = 68640,
  [SMALL_STATE(4071)] = 68713,
  [SMALL_STATE(4072)] = 68786,
  [SMALL_STATE(4073)] = 68915,
  [SMALL_STATE(4074)] = 68990,
  [SMALL_STATE(4075)] = 69119,
  [SMALL_STATE(4076)] = 69192,
  [SMALL_STATE(4077)] = 69265,
  [SMALL_STATE(4078)] = 69394,
  [SMALL_STATE(4079)] = 69467,
  [SMALL_STATE(4080)] = 69540,
  [SMALL_STATE(4081)] = 69669,
  [SMALL_STATE(4082)] = 69800,
  [SMALL_STATE(4083)] = 69929,
  [SMALL_STATE(4084)] = 70004,
  [SMALL_STATE(4085)] = 70077,
  [SMALL_STATE(4086)] = 70206,
  [SMALL_STATE(4087)] = 70279,
  [SMALL_STATE(4088)] = 70408,
  [SMALL_STATE(4089)] = 70537,
  [SMALL_STATE(4090)] = 70610,
  [SMALL_STATE(4091)] = 70683,
  [SMALL_STATE(4092)] = 70758,
  [SMALL_STATE(4093)] = 70831,
  [SMALL_STATE(4094)] = 70904,
  [SMALL_STATE(4095)] = 71033,
  [SMALL_STATE(4096)] = 71162,
  [SMALL_STATE(4097)] = 71235,
  [SMALL_STATE(4098)] = 71364,
  [SMALL_STATE(4099)] = 71437,
  [SMALL_STATE(4100)] = 71566,
  [SMALL_STATE(4101)] = 71695,
  [SMALL_STATE(4102)] = 71824,
  [SMALL_STATE(4103)] = 71953,
  [SMALL_STATE(4104)] = 72082,
  [SMALL_STATE(4105)] = 72211,
  [SMALL_STATE(4106)] = 72340,
  [SMALL_STATE(4107)] = 72413,
  [SMALL_STATE(4108)] = 72492,
  [SMALL_STATE(4109)] = 72621,
  [SMALL_STATE(4110)] = 72750,
  [SMALL_STATE(4111)] = 72879,
  [SMALL_STATE(4112)] = 73008,
  [SMALL_STATE(4113)] = 73081,
  [SMALL_STATE(4114)] = 73210,
  [SMALL_STATE(4115)] = 73339,
  [SMALL_STATE(4116)] = 73412,
  [SMALL_STATE(4117)] = 73485,
  [SMALL_STATE(4118)] = 73558,
  [SMALL_STATE(4119)] = 73631,
  [SMALL_STATE(4120)] = 73760,
  [SMALL_STATE(4121)] = 73833,
  [SMALL_STATE(4122)] = 73906,
  [SMALL_STATE(4123)] = 73979,
  [SMALL_STATE(4124)] = 74052,
  [SMALL_STATE(4125)] = 74125,
  [SMALL_STATE(4126)] = 74198,
  [SMALL_STATE(4127)] = 74271,
  [SMALL_STATE(4128)] = 74344,
  [SMALL_STATE(4129)] = 74417,
  [SMALL_STATE(4130)] = 74490,
  [SMALL_STATE(4131)] = 74563,
  [SMALL_STATE(4132)] = 74636,
  [SMALL_STATE(4133)] = 74709,
  [SMALL_STATE(4134)] = 74782,
  [SMALL_STATE(4135)] = 74911,
  [SMALL_STATE(4136)] = 74984,
  [SMALL_STATE(4137)] = 75113,
  [SMALL_STATE(4138)] = 75188,
  [SMALL_STATE(4139)] = 75261,
  [SMALL_STATE(4140)] = 75334,
  [SMALL_STATE(4141)] = 75475,
  [SMALL_STATE(4142)] = 75548,
  [SMALL_STATE(4143)] = 75621,
  [SMALL_STATE(4144)] = 75694,
  [SMALL_STATE(4145)] = 75767,
  [SMALL_STATE(4146)] = 75840,
  [SMALL_STATE(4147)] = 75913,
  [SMALL_STATE(4148)] = 75986,
  [SMALL_STATE(4149)] = 76059,
  [SMALL_STATE(4150)] = 76132,
  [SMALL_STATE(4151)] = 76205,
  [SMALL_STATE(4152)] = 76278,
  [SMALL_STATE(4153)] = 76351,
  [SMALL_STATE(4154)] = 76480,
  [SMALL_STATE(4155)] = 76553,
  [SMALL_STATE(4156)] = 76626,
  [SMALL_STATE(4157)] = 76705,
  [SMALL_STATE(4158)] = 76778,
  [SMALL_STATE(4159)] = 76907,
  [SMALL_STATE(4160)] = 77036,
  [SMALL_STATE(4161)] = 77109,
  [SMALL_STATE(4162)] = 77182,
  [SMALL_STATE(4163)] = 77311,
  [SMALL_STATE(4164)] = 77384,
  [SMALL_STATE(4165)] = 77513,
  [SMALL_STATE(4166)] = 77586,
  [SMALL_STATE(4167)] = 77715,
  [SMALL_STATE(4168)] = 77844,
  [SMALL_STATE(4169)] = 77973,
  [SMALL_STATE(4170)] = 78102,
  [SMALL_STATE(4171)] = 78175,
  [SMALL_STATE(4172)] = 78248,
  [SMALL_STATE(4173)] = 78321,
  [SMALL_STATE(4174)] = 78450,
  [SMALL_STATE(4175)] = 78579,
  [SMALL_STATE(4176)] = 78708,
  [SMALL_STATE(4177)] = 78837,
  [SMALL_STATE(4178)] = 78910,
  [SMALL_STATE(4179)] = 78983,
  [SMALL_STATE(4180)] = 79112,
  [SMALL_STATE(4181)] = 79253,
  [SMALL_STATE(4182)] = 79326,
  [SMALL_STATE(4183)] = 79455,
  [SMALL_STATE(4184)] = 79528,
  [SMALL_STATE(4185)] = 79657,
  [SMALL_STATE(4186)] = 79788,
  [SMALL_STATE(4187)] = 79917,
  [SMALL_STATE(4188)] = 80046,
  [SMALL_STATE(4189)] = 80119,
  [SMALL_STATE(4190)] = 80192,
  [SMALL_STATE(4191)] = 80265,
  [SMALL_STATE(4192)] = 80338,
  [SMALL_STATE(4193)] = 80479,
  [SMALL_STATE(4194)] = 80554,
  [SMALL_STATE(4195)] = 80683,
  [SMALL_STATE(4196)] = 80812,
  [SMALL_STATE(4197)] = 80885,
  [SMALL_STATE(4198)] = 81014,
  [SMALL_STATE(4199)] = 81143,
  [SMALL_STATE(4200)] = 81216,
  [SMALL_STATE(4201)] = 81345,
  [SMALL_STATE(4202)] = 81474,
  [SMALL_STATE(4203)] = 81603,
  [SMALL_STATE(4204)] = 81732,
  [SMALL_STATE(4205)] = 81861,
  [SMALL_STATE(4206)] = 81936,
  [SMALL_STATE(4207)] = 82065,
  [SMALL_STATE(4208)] = 82138,
  [SMALL_STATE(4209)] = 82267,
  [SMALL_STATE(4210)] = 82340,
  [SMALL_STATE(4211)] = 82469,
  [SMALL_STATE(4212)] = 82542,
  [SMALL_STATE(4213)] = 82615,
  [SMALL_STATE(4214)] = 82688,
  [SMALL_STATE(4215)] = 82761,
  [SMALL_STATE(4216)] = 82834,
  [SMALL_STATE(4217)] = 82907,
  [SMALL_STATE(4218)] = 83036,
  [SMALL_STATE(4219)] = 83109,
  [SMALL_STATE(4220)] = 83250,
  [SMALL_STATE(4221)] = 83379,
  [SMALL_STATE(4222)] = 83508,
  [SMALL_STATE(4223)] = 83581,
  [SMALL_STATE(4224)] = 83654,
  [SMALL_STATE(4225)] = 83783,
  [SMALL_STATE(4226)] = 83912,
  [SMALL_STATE(4227)] = 83985,
  [SMALL_STATE(4228)] = 84114,
  [SMALL_STATE(4229)] = 84255,
  [SMALL_STATE(4230)] = 84328,
  [SMALL_STATE(4231)] = 84401,
  [SMALL_STATE(4232)] = 84474,
  [SMALL_STATE(4233)] = 84553,
  [SMALL_STATE(4234)] = 84682,
  [SMALL_STATE(4235)] = 84755,
  [SMALL_STATE(4236)] = 84884,
  [SMALL_STATE(4237)] = 85013,
  [SMALL_STATE(4238)] = 85142,
  [SMALL_STATE(4239)] = 85215,
  [SMALL_STATE(4240)] = 85288,
  [SMALL_STATE(4241)] = 85361,
  [SMALL_STATE(4242)] = 85434,
  [SMALL_STATE(4243)] = 85507,
  [SMALL_STATE(4244)] = 85648,
  [SMALL_STATE(4245)] = 85721,
  [SMALL_STATE(4246)] = 85794,
  [SMALL_STATE(4247)] = 85923,
  [SMALL_STATE(4248)] = 86002,
  [SMALL_STATE(4249)] = 86075,
  [SMALL_STATE(4250)] = 86148,
  [SMALL_STATE(4251)] = 86227,
  [SMALL_STATE(4252)] = 86300,
  [SMALL_STATE(4253)] = 86373,
  [SMALL_STATE(4254)] = 86446,
  [SMALL_STATE(4255)] = 86519,
  [SMALL_STATE(4256)] = 86592,
  [SMALL_STATE(4257)] = 86665,
  [SMALL_STATE(4258)] = 86738,
  [SMALL_STATE(4259)] = 86867,
  [SMALL_STATE(4260)] = 86940,
  [SMALL_STATE(4261)] = 87013,
  [SMALL_STATE(4262)] = 87142,
  [SMALL_STATE(4263)] = 87271,
  [SMALL_STATE(4264)] = 87346,
  [SMALL_STATE(4265)] = 87421,
  [SMALL_STATE(4266)] = 87550,
  [SMALL_STATE(4267)] = 87623,
  [SMALL_STATE(4268)] = 87752,
  [SMALL_STATE(4269)] = 87881,
  [SMALL_STATE(4270)] = 87954,
  [SMALL_STATE(4271)] = 88083,
  [SMALL_STATE(4272)] = 88212,
  [SMALL_STATE(4273)] = 88285,
  [SMALL_STATE(4274)] = 88426,
  [SMALL_STATE(4275)] = 88499,
  [SMALL_STATE(4276)] = 88628,
  [SMALL_STATE(4277)] = 88701,
  [SMALL_STATE(4278)] = 88774,
  [SMALL_STATE(4279)] = 88847,
  [SMALL_STATE(4280)] = 88920,
  [SMALL_STATE(4281)] = 89049,
  [SMALL_STATE(4282)] = 89122,
  [SMALL_STATE(4283)] = 89195,
  [SMALL_STATE(4284)] = 89268,
  [SMALL_STATE(4285)] = 89341,
  [SMALL_STATE(4286)] = 89414,
  [SMALL_STATE(4287)] = 89487,
  [SMALL_STATE(4288)] = 89560,
  [SMALL_STATE(4289)] = 89635,
  [SMALL_STATE(4290)] = 89708,
  [SMALL_STATE(4291)] = 89781,
  [SMALL_STATE(4292)] = 89854,
  [SMALL_STATE(4293)] = 89927,
  [SMALL_STATE(4294)] = 90000,
  [SMALL_STATE(4295)] = 90073,
  [SMALL_STATE(4296)] = 90146,
  [SMALL_STATE(4297)] = 90219,
  [SMALL_STATE(4298)] = 90292,
  [SMALL_STATE(4299)] = 90365,
  [SMALL_STATE(4300)] = 90438,
  [SMALL_STATE(4301)] = 90511,
  [SMALL_STATE(4302)] = 90584,
  [SMALL_STATE(4303)] = 90657,
  [SMALL_STATE(4304)] = 90730,
  [SMALL_STATE(4305)] = 90803,
  [SMALL_STATE(4306)] = 90876,
  [SMALL_STATE(4307)] = 90949,
  [SMALL_STATE(4308)] = 91022,
  [SMALL_STATE(4309)] = 91095,
  [SMALL_STATE(4310)] = 91168,
  [SMALL_STATE(4311)] = 91297,
  [SMALL_STATE(4312)] = 91426,
  [SMALL_STATE(4313)] = 91499,
  [SMALL_STATE(4314)] = 91572,
  [SMALL_STATE(4315)] = 91645,
  [SMALL_STATE(4316)] = 91718,
  [SMALL_STATE(4317)] = 91791,
  [SMALL_STATE(4318)] = 91864,
  [SMALL_STATE(4319)] = 91937,
  [SMALL_STATE(4320)] = 92010,
  [SMALL_STATE(4321)] = 92083,
  [SMALL_STATE(4322)] = 92156,
  [SMALL_STATE(4323)] = 92229,
  [SMALL_STATE(4324)] = 92302,
  [SMALL_STATE(4325)] = 92375,
  [SMALL_STATE(4326)] = 92448,
  [SMALL_STATE(4327)] = 92523,
  [SMALL_STATE(4328)] = 92652,
  [SMALL_STATE(4329)] = 92727,
  [SMALL_STATE(4330)] = 92800,
  [SMALL_STATE(4331)] = 92873,
  [SMALL_STATE(4332)] = 92946,
  [SMALL_STATE(4333)] = 93075,
  [SMALL_STATE(4334)] = 93148,
  [SMALL_STATE(4335)] = 93277,
  [SMALL_STATE(4336)] = 93350,
  [SMALL_STATE(4337)] = 93423,
  [SMALL_STATE(4338)] = 93502,
  [SMALL_STATE(4339)] = 93575,
  [SMALL_STATE(4340)] = 93648,
  [SMALL_STATE(4341)] = 93721,
  [SMALL_STATE(4342)] = 93794,
  [SMALL_STATE(4343)] = 93867,
  [SMALL_STATE(4344)] = 93996,
  [SMALL_STATE(4345)] = 94069,
  [SMALL_STATE(4346)] = 94142,
  [SMALL_STATE(4347)] = 94271,
  [SMALL_STATE(4348)] = 94344,
  [SMALL_STATE(4349)] = 94419,
  [SMALL_STATE(4350)] = 94548,
  [SMALL_STATE(4351)] = 94621,
  [SMALL_STATE(4352)] = 94694,
  [SMALL_STATE(4353)] = 94767,
  [SMALL_STATE(4354)] = 94840,
  [SMALL_STATE(4355)] = 94913,
  [SMALL_STATE(4356)] = 94986,
  [SMALL_STATE(4357)] = 95059,
  [SMALL_STATE(4358)] = 95138,
  [SMALL_STATE(4359)] = 95211,
  [SMALL_STATE(4360)] = 95284,
  [SMALL_STATE(4361)] = 95357,
  [SMALL_STATE(4362)] = 95430,
  [SMALL_STATE(4363)] = 95503,
  [SMALL_STATE(4364)] = 95576,
  [SMALL_STATE(4365)] = 95649,
  [SMALL_STATE(4366)] = 95722,
  [SMALL_STATE(4367)] = 95795,
  [SMALL_STATE(4368)] = 95868,
  [SMALL_STATE(4369)] = 95941,
  [SMALL_STATE(4370)] = 96014,
  [SMALL_STATE(4371)] = 96087,
  [SMALL_STATE(4372)] = 96160,
  [SMALL_STATE(4373)] = 96233,
  [SMALL_STATE(4374)] = 96306,
  [SMALL_STATE(4375)] = 96379,
  [SMALL_STATE(4376)] = 96452,
  [SMALL_STATE(4377)] = 96525,
  [SMALL_STATE(4378)] = 96598,
  [SMALL_STATE(4379)] = 96671,
  [SMALL_STATE(4380)] = 96744,
  [SMALL_STATE(4381)] = 96817,
  [SMALL_STATE(4382)] = 96896,
  [SMALL_STATE(4383)] = 96969,
  [SMALL_STATE(4384)] = 97042,
  [SMALL_STATE(4385)] = 97171,
  [SMALL_STATE(4386)] = 97244,
  [SMALL_STATE(4387)] = 97317,
  [SMALL_STATE(4388)] = 97390,
  [SMALL_STATE(4389)] = 97463,
  [SMALL_STATE(4390)] = 97536,
  [SMALL_STATE(4391)] = 97609,
  [SMALL_STATE(4392)] = 97682,
  [SMALL_STATE(4393)] = 97755,
  [SMALL_STATE(4394)] = 97828,
  [SMALL_STATE(4395)] = 97901,
  [SMALL_STATE(4396)] = 97974,
  [SMALL_STATE(4397)] = 98047,
  [SMALL_STATE(4398)] = 98120,
  [SMALL_STATE(4399)] = 98193,
  [SMALL_STATE(4400)] = 98266,
  [SMALL_STATE(4401)] = 98339,
  [SMALL_STATE(4402)] = 98412,
  [SMALL_STATE(4403)] = 98485,
  [SMALL_STATE(4404)] = 98558,
  [SMALL_STATE(4405)] = 98687,
  [SMALL_STATE(4406)] = 98760,
  [SMALL_STATE(4407)] = 98833,
  [SMALL_STATE(4408)] = 98906,
  [SMALL_STATE(4409)] = 98979,
  [SMALL_STATE(4410)] = 99052,
  [SMALL_STATE(4411)] = 99127,
  [SMALL_STATE(4412)] = 99200,
  [SMALL_STATE(4413)] = 99273,
  [SMALL_STATE(4414)] = 99346,
  [SMALL_STATE(4415)] = 99475,
  [SMALL_STATE(4416)] = 99548,
  [SMALL_STATE(4417)] = 99621,
  [SMALL_STATE(4418)] = 99694,
  [SMALL_STATE(4419)] = 99767,
  [SMALL_STATE(4420)] = 99840,
  [SMALL_STATE(4421)] = 99969,
  [SMALL_STATE(4422)] = 100042,
  [SMALL_STATE(4423)] = 100171,
  [SMALL_STATE(4424)] = 100244,
  [SMALL_STATE(4425)] = 100317,
  [SMALL_STATE(4426)] = 100390,
  [SMALL_STATE(4427)] = 100463,
  [SMALL_STATE(4428)] = 100536,
  [SMALL_STATE(4429)] = 100665,
  [SMALL_STATE(4430)] = 100738,
  [SMALL_STATE(4431)] = 100867,
  [SMALL_STATE(4432)] = 100940,
  [SMALL_STATE(4433)] = 101013,
  [SMALL_STATE(4434)] = 101086,
  [SMALL_STATE(4435)] = 101159,
  [SMALL_STATE(4436)] = 101232,
  [SMALL_STATE(4437)] = 101305,
  [SMALL_STATE(4438)] = 101378,
  [SMALL_STATE(4439)] = 101451,
  [SMALL_STATE(4440)] = 101524,
  [SMALL_STATE(4441)] = 101597,
  [SMALL_STATE(4442)] = 101669,
  [SMALL_STATE(4443)] = 101793,
  [SMALL_STATE(4444)] = 101865,
  [SMALL_STATE(4445)] = 101937,
  [SMALL_STATE(4446)] = 102009,
  [SMALL_STATE(4447)] = 102133,
  [SMALL_STATE(4448)] = 102205,
  [SMALL_STATE(4449)] = 102277,
  [SMALL_STATE(4450)] = 102349,
  [SMALL_STATE(4451)] = 102473,
  [SMALL_STATE(4452)] = 102545,
  [SMALL_STATE(4453)] = 102617,
  [SMALL_STATE(4454)] = 102689,
  [SMALL_STATE(4455)] = 102813,
  [SMALL_STATE(4456)] = 102885,
  [SMALL_STATE(4457)] = 103009,
  [SMALL_STATE(4458)] = 103081,
  [SMALL_STATE(4459)] = 103153,
  [SMALL_STATE(4460)] = 103225,
  [SMALL_STATE(4461)] = 103297,
  [SMALL_STATE(4462)] = 103371,
  [SMALL_STATE(4463)] = 103445,
  [SMALL_STATE(4464)] = 103517,
  [SMALL_STATE(4465)] = 103589,
  [SMALL_STATE(4466)] = 103661,
  [SMALL_STATE(4467)] = 103733,
  [SMALL_STATE(4468)] = 103805,
  [SMALL_STATE(4469)] = 103877,
  [SMALL_STATE(4470)] = 103949,
  [SMALL_STATE(4471)] = 104021,
  [SMALL_STATE(4472)] = 104093,
  [SMALL_STATE(4473)] = 104167,
  [SMALL_STATE(4474)] = 104239,
  [SMALL_STATE(4475)] = 104311,
  [SMALL_STATE(4476)] = 104383,
  [SMALL_STATE(4477)] = 104455,
  [SMALL_STATE(4478)] = 104527,
  [SMALL_STATE(4479)] = 104599,
  [SMALL_STATE(4480)] = 104671,
  [SMALL_STATE(4481)] = 104743,
  [SMALL_STATE(4482)] = 104815,
  [SMALL_STATE(4483)] = 104887,
  [SMALL_STATE(4484)] = 104959,
  [SMALL_STATE(4485)] = 105031,
  [SMALL_STATE(4486)] = 105103,
  [SMALL_STATE(4487)] = 105175,
  [SMALL_STATE(4488)] = 105247,
  [SMALL_STATE(4489)] = 105319,
  [SMALL_STATE(4490)] = 105393,
  [SMALL_STATE(4491)] = 105465,
  [SMALL_STATE(4492)] = 105537,
  [SMALL_STATE(4493)] = 105615,
  [SMALL_STATE(4494)] = 105739,
  [SMALL_STATE(4495)] = 105863,
  [SMALL_STATE(4496)] = 105987,
  [SMALL_STATE(4497)] = 106059,
  [SMALL_STATE(4498)] = 106131,
  [SMALL_STATE(4499)] = 106203,
  [SMALL_STATE(4500)] = 106327,
  [SMALL_STATE(4501)] = 106451,
  [SMALL_STATE(4502)] = 106523,
  [SMALL_STATE(4503)] = 106595,
  [SMALL_STATE(4504)] = 106667,
  [SMALL_STATE(4505)] = 106739,
  [SMALL_STATE(4506)] = 106811,
  [SMALL_STATE(4507)] = 106883,
  [SMALL_STATE(4508)] = 107007,
  [SMALL_STATE(4509)] = 107079,
  [SMALL_STATE(4510)] = 107157,
  [SMALL_STATE(4511)] = 107229,
  [SMALL_STATE(4512)] = 107301,
  [SMALL_STATE(4513)] = 107373,
  [SMALL_STATE(4514)] = 107445,
  [SMALL_STATE(4515)] = 107569,
  [SMALL_STATE(4516)] = 107641,
  [SMALL_STATE(4517)] = 107713,
  [SMALL_STATE(4518)] = 107785,
  [SMALL_STATE(4519)] = 107857,
  [SMALL_STATE(4520)] = 107981,
  [SMALL_STATE(4521)] = 108053,
  [SMALL_STATE(4522)] = 108125,
  [SMALL_STATE(4523)] = 108197,
  [SMALL_STATE(4524)] = 108321,
  [SMALL_STATE(4525)] = 108393,
  [SMALL_STATE(4526)] = 108465,
  [SMALL_STATE(4527)] = 108537,
  [SMALL_STATE(4528)] = 108661,
  [SMALL_STATE(4529)] = 108733,
  [SMALL_STATE(4530)] = 108805,
  [SMALL_STATE(4531)] = 108877,
  [SMALL_STATE(4532)] = 109001,
  [SMALL_STATE(4533)] = 109125,
  [SMALL_STATE(4534)] = 109197,
  [SMALL_STATE(4535)] = 109271,
  [SMALL_STATE(4536)] = 109343,
  [SMALL_STATE(4537)] = 109415,
  [SMALL_STATE(4538)] = 109487,
  [SMALL_STATE(4539)] = 109559,
  [SMALL_STATE(4540)] = 109683,
  [SMALL_STATE(4541)] = 109755,
  [SMALL_STATE(4542)] = 109827,
  [SMALL_STATE(4543)] = 109899,
  [SMALL_STATE(4544)] = 109973,
  [SMALL_STATE(4545)] = 110045,
  [SMALL_STATE(4546)] = 110117,
  [SMALL_STATE(4547)] = 110189,
  [SMALL_STATE(4548)] = 110313,
  [SMALL_STATE(4549)] = 110437,
  [SMALL_STATE(4550)] = 110561,
  [SMALL_STATE(4551)] = 110633,
  [SMALL_STATE(4552)] = 110757,
  [SMALL_STATE(4553)] = 110829,
  [SMALL_STATE(4554)] = 110901,
  [SMALL_STATE(4555)] = 111025,
  [SMALL_STATE(4556)] = 111097,
  [SMALL_STATE(4557)] = 111221,
  [SMALL_STATE(4558)] = 111345,
  [SMALL_STATE(4559)] = 111469,
  [SMALL_STATE(4560)] = 111541,
  [SMALL_STATE(4561)] = 111665,
  [SMALL_STATE(4562)] = 111789,
  [SMALL_STATE(4563)] = 111861,
  [SMALL_STATE(4564)] = 111933,
  [SMALL_STATE(4565)] = 112057,
  [SMALL_STATE(4566)] = 112181,
  [SMALL_STATE(4567)] = 112305,
  [SMALL_STATE(4568)] = 112429,
  [SMALL_STATE(4569)] = 112501,
  [SMALL_STATE(4570)] = 112573,
  [SMALL_STATE(4571)] = 112645,
  [SMALL_STATE(4572)] = 112717,
  [SMALL_STATE(4573)] = 112789,
  [SMALL_STATE(4574)] = 112861,
  [SMALL_STATE(4575)] = 112985,
  [SMALL_STATE(4576)] = 113057,
  [SMALL_STATE(4577)] = 113129,
  [SMALL_STATE(4578)] = 113201,
  [SMALL_STATE(4579)] = 113273,
  [SMALL_STATE(4580)] = 113345,
  [SMALL_STATE(4581)] = 113417,
  [SMALL_STATE(4582)] = 113489,
  [SMALL_STATE(4583)] = 113561,
  [SMALL_STATE(4584)] = 113633,
  [SMALL_STATE(4585)] = 113757,
  [SMALL_STATE(4586)] = 113881,
  [SMALL_STATE(4587)] = 113953,
  [SMALL_STATE(4588)] = 114025,
  [SMALL_STATE(4589)] = 114149,
  [SMALL_STATE(4590)] = 114273,
  [SMALL_STATE(4591)] = 114345,
  [SMALL_STATE(4592)] = 114419,
  [SMALL_STATE(4593)] = 114543,
  [SMALL_STATE(4594)] = 114617,
  [SMALL_STATE(4595)] = 114741,
  [SMALL_STATE(4596)] = 114815,
  [SMALL_STATE(4597)] = 114887,
  [SMALL_STATE(4598)] = 115011,
  [SMALL_STATE(4599)] = 115083,
  [SMALL_STATE(4600)] = 115155,
  [SMALL_STATE(4601)] = 115227,
  [SMALL_STATE(4602)] = 115351,
  [SMALL_STATE(4603)] = 115423,
  [SMALL_STATE(4604)] = 115547,
  [SMALL_STATE(4605)] = 115671,
  [SMALL_STATE(4606)] = 115743,
  [SMALL_STATE(4607)] = 115815,
  [SMALL_STATE(4608)] = 115887,
  [SMALL_STATE(4609)] = 115959,
  [SMALL_STATE(4610)] = 116031,
  [SMALL_STATE(4611)] = 116103,
  [SMALL_STATE(4612)] = 116227,
  [SMALL_STATE(4613)] = 116351,
  [SMALL_STATE(4614)] = 116423,
  [SMALL_STATE(4615)] = 116495,
  [SMALL_STATE(4616)] = 116619,
  [SMALL_STATE(4617)] = 116691,
  [SMALL_STATE(4618)] = 116763,
  [SMALL_STATE(4619)] = 116835,
  [SMALL_STATE(4620)] = 116959,
  [SMALL_STATE(4621)] = 117031,
  [SMALL_STATE(4622)] = 117103,
  [SMALL_STATE(4623)] = 117175,
  [SMALL_STATE(4624)] = 117247,
  [SMALL_STATE(4625)] = 117319,
  [SMALL_STATE(4626)] = 117391,
  [SMALL_STATE(4627)] = 117463,
  [SMALL_STATE(4628)] = 117535,
  [SMALL_STATE(4629)] = 117607,
  [SMALL_STATE(4630)] = 117679,
  [SMALL_STATE(4631)] = 117803,
  [SMALL_STATE(4632)] = 117881,
  [SMALL_STATE(4633)] = 117953,
  [SMALL_STATE(4634)] = 118025,
  [SMALL_STATE(4635)] = 118149,
  [SMALL_STATE(4636)] = 118221,
  [SMALL_STATE(4637)] = 118293,
  [SMALL_STATE(4638)] = 118365,
  [SMALL_STATE(4639)] = 118437,
  [SMALL_STATE(4640)] = 118511,
  [SMALL_STATE(4641)] = 118585,
  [SMALL_STATE(4642)] = 118657,
  [SMALL_STATE(4643)] = 118781,
  [SMALL_STATE(4644)] = 118853,
  [SMALL_STATE(4645)] = 118977,
  [SMALL_STATE(4646)] = 119049,
  [SMALL_STATE(4647)] = 119121,
  [SMALL_STATE(4648)] = 119199,
  [SMALL_STATE(4649)] = 119271,
  [SMALL_STATE(4650)] = 119345,
  [SMALL_STATE(4651)] = 119417,
  [SMALL_STATE(4652)] = 119541,
  [SMALL_STATE(4653)] = 119613,
  [SMALL_STATE(4654)] = 119685,
  [SMALL_STATE(4655)] = 119757,
  [SMALL_STATE(4656)] = 119829,
  [SMALL_STATE(4657)] = 119901,
  [SMALL_STATE(4658)] = 119973,
  [SMALL_STATE(4659)] = 120047,
  [SMALL_STATE(4660)] = 120171,
  [SMALL_STATE(4661)] = 120243,
  [SMALL_STATE(4662)] = 120321,
  [SMALL_STATE(4663)] = 120393,
  [SMALL_STATE(4664)] = 120467,
  [SMALL_STATE(4665)] = 120539,
  [SMALL_STATE(4666)] = 120611,
  [SMALL_STATE(4667)] = 120683,
  [SMALL_STATE(4668)] = 120755,
  [SMALL_STATE(4669)] = 120827,
  [SMALL_STATE(4670)] = 120901,
  [SMALL_STATE(4671)] = 120973,
  [SMALL_STATE(4672)] = 121045,
  [SMALL_STATE(4673)] = 121117,
  [SMALL_STATE(4674)] = 121189,
  [SMALL_STATE(4675)] = 121261,
  [SMALL_STATE(4676)] = 121333,
  [SMALL_STATE(4677)] = 121407,
  [SMALL_STATE(4678)] = 121479,
  [SMALL_STATE(4679)] = 121553,
  [SMALL_STATE(4680)] = 121625,
  [SMALL_STATE(4681)] = 121697,
  [SMALL_STATE(4682)] = 121769,
  [SMALL_STATE(4683)] = 121841,
  [SMALL_STATE(4684)] = 121965,
  [SMALL_STATE(4685)] = 122037,
  [SMALL_STATE(4686)] = 122161,
  [SMALL_STATE(4687)] = 122233,
  [SMALL_STATE(4688)] = 122305,
  [SMALL_STATE(4689)] = 122377,
  [SMALL_STATE(4690)] = 122449,
  [SMALL_STATE(4691)] = 122573,
  [SMALL_STATE(4692)] = 122645,
  [SMALL_STATE(4693)] = 122717,
  [SMALL_STATE(4694)] = 122789,
  [SMALL_STATE(4695)] = 122861,
  [SMALL_STATE(4696)] = 122933,
  [SMALL_STATE(4697)] = 123005,
  [SMALL_STATE(4698)] = 123077,
  [SMALL_STATE(4699)] = 123149,
  [SMALL_STATE(4700)] = 123221,
  [SMALL_STATE(4701)] = 123293,
  [SMALL_STATE(4702)] = 123365,
  [SMALL_STATE(4703)] = 123489,
  [SMALL_STATE(4704)] = 123561,
  [SMALL_STATE(4705)] = 123685,
  [SMALL_STATE(4706)] = 123757,
  [SMALL_STATE(4707)] = 123829,
  [SMALL_STATE(4708)] = 123901,
  [SMALL_STATE(4709)] = 123973,
  [SMALL_STATE(4710)] = 124045,
  [SMALL_STATE(4711)] = 124117,
  [SMALL_STATE(4712)] = 124189,
  [SMALL_STATE(4713)] = 124261,
  [SMALL_STATE(4714)] = 124333,
  [SMALL_STATE(4715)] = 124405,
  [SMALL_STATE(4716)] = 124477,
  [SMALL_STATE(4717)] = 124555,
  [SMALL_STATE(4718)] = 124627,
  [SMALL_STATE(4719)] = 124751,
  [SMALL_STATE(4720)] = 124823,
  [SMALL_STATE(4721)] = 124895,
  [SMALL_STATE(4722)] = 124967,
  [SMALL_STATE(4723)] = 125039,
  [SMALL_STATE(4724)] = 125111,
  [SMALL_STATE(4725)] = 125183,
  [SMALL_STATE(4726)] = 125255,
  [SMALL_STATE(4727)] = 125327,
  [SMALL_STATE(4728)] = 125399,
  [SMALL_STATE(4729)] = 125471,
  [SMALL_STATE(4730)] = 125543,
  [SMALL_STATE(4731)] = 125615,
  [SMALL_STATE(4732)] = 125687,
  [SMALL_STATE(4733)] = 125759,
  [SMALL_STATE(4734)] = 125831,
  [SMALL_STATE(4735)] = 125903,
  [SMALL_STATE(4736)] = 125975,
  [SMALL_STATE(4737)] = 126047,
  [SMALL_STATE(4738)] = 126119,
  [SMALL_STATE(4739)] = 126191,
  [SMALL_STATE(4740)] = 126263,
  [SMALL_STATE(4741)] = 126335,
  [SMALL_STATE(4742)] = 126407,
  [SMALL_STATE(4743)] = 126479,
  [SMALL_STATE(4744)] = 126551,
  [SMALL_STATE(4745)] = 126623,
  [SMALL_STATE(4746)] = 126697,
  [SMALL_STATE(4747)] = 126769,
  [SMALL_STATE(4748)] = 126893,
  [SMALL_STATE(4749)] = 126965,
  [SMALL_STATE(4750)] = 127037,
  [SMALL_STATE(4751)] = 127109,
  [SMALL_STATE(4752)] = 127181,
  [SMALL_STATE(4753)] = 127253,
  [SMALL_STATE(4754)] = 127325,
  [SMALL_STATE(4755)] = 127397,
  [SMALL_STATE(4756)] = 127468,
  [SMALL_STATE(4757)] = 127539,
  [SMALL_STATE(4758)] = 127610,
  [SMALL_STATE(4759)] = 127731,
  [SMALL_STATE(4760)] = 127802,
  [SMALL_STATE(4761)] = 127923,
  [SMALL_STATE(4762)] = 127994,
  [SMALL_STATE(4763)] = 128115,
  [SMALL_STATE(4764)] = 128186,
  [SMALL_STATE(4765)] = 128321,
  [SMALL_STATE(4766)] = 128442,
  [SMALL_STATE(4767)] = 128563,
  [SMALL_STATE(4768)] = 128684,
  [SMALL_STATE(4769)] = 128755,
  [SMALL_STATE(4770)] = 128826,
  [SMALL_STATE(4771)] = 128897,
  [SMALL_STATE(4772)] = 128968,
  [SMALL_STATE(4773)] = 129039,
  [SMALL_STATE(4774)] = 129110,
  [SMALL_STATE(4775)] = 129181,
  [SMALL_STATE(4776)] = 129252,
  [SMALL_STATE(4777)] = 129329,
  [SMALL_STATE(4778)] = 129402,
  [SMALL_STATE(4779)] = 129523,
  [SMALL_STATE(4780)] = 129594,
  [SMALL_STATE(4781)] = 129665,
  [SMALL_STATE(4782)] = 129736,
  [SMALL_STATE(4783)] = 129807,
  [SMALL_STATE(4784)] = 129878,
  [SMALL_STATE(4785)] = 129949,
  [SMALL_STATE(4786)] = 130020,
  [SMALL_STATE(4787)] = 130091,
  [SMALL_STATE(4788)] = 130162,
  [SMALL_STATE(4789)] = 130233,
  [SMALL_STATE(4790)] = 130304,
  [SMALL_STATE(4791)] = 130375,
  [SMALL_STATE(4792)] = 130446,
  [SMALL_STATE(4793)] = 130523,
  [SMALL_STATE(4794)] = 130594,
  [SMALL_STATE(4795)] = 130665,
  [SMALL_STATE(4796)] = 130736,
  [SMALL_STATE(4797)] = 130857,
  [SMALL_STATE(4798)] = 130928,
  [SMALL_STATE(4799)] = 131001,
  [SMALL_STATE(4800)] = 131074,
  [SMALL_STATE(4801)] = 131145,
  [SMALL_STATE(4802)] = 131216,
  [SMALL_STATE(4803)] = 131287,
  [SMALL_STATE(4804)] = 131358,
  [SMALL_STATE(4805)] = 131479,
  [SMALL_STATE(4806)] = 131600,
  [SMALL_STATE(4807)] = 131671,
  [SMALL_STATE(4808)] = 131742,
  [SMALL_STATE(4809)] = 131813,
  [SMALL_STATE(4810)] = 131884,
  [SMALL_STATE(4811)] = 131955,
  [SMALL_STATE(4812)] = 132026,
  [SMALL_STATE(4813)] = 132097,
  [SMALL_STATE(4814)] = 132168,
  [SMALL_STATE(4815)] = 132239,
  [SMALL_STATE(4816)] = 132310,
  [SMALL_STATE(4817)] = 132381,
  [SMALL_STATE(4818)] = 132452,
  [SMALL_STATE(4819)] = 132523,
  [SMALL_STATE(4820)] = 132594,
  [SMALL_STATE(4821)] = 132665,
  [SMALL_STATE(4822)] = 132736,
  [SMALL_STATE(4823)] = 132807,
  [SMALL_STATE(4824)] = 132878,
  [SMALL_STATE(4825)] = 132949,
  [SMALL_STATE(4826)] = 133020,
  [SMALL_STATE(4827)] = 133091,
  [SMALL_STATE(4828)] = 133164,
  [SMALL_STATE(4829)] = 133235,
  [SMALL_STATE(4830)] = 133306,
  [SMALL_STATE(4831)] = 133377,
  [SMALL_STATE(4832)] = 133448,
  [SMALL_STATE(4833)] = 133519,
  [SMALL_STATE(4834)] = 133592,
  [SMALL_STATE(4835)] = 133663,
  [SMALL_STATE(4836)] = 133734,
  [SMALL_STATE(4837)] = 133805,
  [SMALL_STATE(4838)] = 133876,
  [SMALL_STATE(4839)] = 134011,
  [SMALL_STATE(4840)] = 134082,
  [SMALL_STATE(4841)] = 134153,
  [SMALL_STATE(4842)] = 134224,
  [SMALL_STATE(4843)] = 134295,
  [SMALL_STATE(4844)] = 134366,
  [SMALL_STATE(4845)] = 134437,
  [SMALL_STATE(4846)] = 134508,
  [SMALL_STATE(4847)] = 134585,
  [SMALL_STATE(4848)] = 134656,
  [SMALL_STATE(4849)] = 134727,
  [SMALL_STATE(4850)] = 134798,
  [SMALL_STATE(4851)] = 134869,
  [SMALL_STATE(4852)] = 134940,
  [SMALL_STATE(4853)] = 135011,
  [SMALL_STATE(4854)] = 135082,
  [SMALL_STATE(4855)] = 135153,
  [SMALL_STATE(4856)] = 135224,
  [SMALL_STATE(4857)] = 135295,
  [SMALL_STATE(4858)] = 135368,
  [SMALL_STATE(4859)] = 135489,
  [SMALL_STATE(4860)] = 135560,
  [SMALL_STATE(4861)] = 135631,
  [SMALL_STATE(4862)] = 135702,
  [SMALL_STATE(4863)] = 135773,
  [SMALL_STATE(4864)] = 135846,
  [SMALL_STATE(4865)] = 135917,
  [SMALL_STATE(4866)] = 135988,
  [SMALL_STATE(4867)] = 136109,
  [SMALL_STATE(4868)] = 136180,
  [SMALL_STATE(4869)] = 136251,
  [SMALL_STATE(4870)] = 136322,
  [SMALL_STATE(4871)] = 136393,
  [SMALL_STATE(4872)] = 136464,
  [SMALL_STATE(4873)] = 136535,
  [SMALL_STATE(4874)] = 136656,
  [SMALL_STATE(4875)] = 136727,
  [SMALL_STATE(4876)] = 136798,
  [SMALL_STATE(4877)] = 136869,
  [SMALL_STATE(4878)] = 136940,
  [SMALL_STATE(4879)] = 137011,
  [SMALL_STATE(4880)] = 137082,
  [SMALL_STATE(4881)] = 137153,
  [SMALL_STATE(4882)] = 137224,
  [SMALL_STATE(4883)] = 137295,
  [SMALL_STATE(4884)] = 137416,
  [SMALL_STATE(4885)] = 137537,
  [SMALL_STATE(4886)] = 137608,
  [SMALL_STATE(4887)] = 137681,
  [SMALL_STATE(4888)] = 137752,
  [SMALL_STATE(4889)] = 137873,
  [SMALL_STATE(4890)] = 137944,
  [SMALL_STATE(4891)] = 138015,
  [SMALL_STATE(4892)] = 138092,
  [SMALL_STATE(4893)] = 138163,
  [SMALL_STATE(4894)] = 138234,
  [SMALL_STATE(4895)] = 138305,
  [SMALL_STATE(4896)] = 138376,
  [SMALL_STATE(4897)] = 138449,
  [SMALL_STATE(4898)] = 138520,
  [SMALL_STATE(4899)] = 138591,
  [SMALL_STATE(4900)] = 138662,
  [SMALL_STATE(4901)] = 138735,
  [SMALL_STATE(4902)] = 138806,
  [SMALL_STATE(4903)] = 138927,
  [SMALL_STATE(4904)] = 138998,
  [SMALL_STATE(4905)] = 139069,
  [SMALL_STATE(4906)] = 139140,
  [SMALL_STATE(4907)] = 139211,
  [SMALL_STATE(4908)] = 139282,
  [SMALL_STATE(4909)] = 139355,
  [SMALL_STATE(4910)] = 139426,
  [SMALL_STATE(4911)] = 139497,
  [SMALL_STATE(4912)] = 139618,
  [SMALL_STATE(4913)] = 139689,
  [SMALL_STATE(4914)] = 139760,
  [SMALL_STATE(4915)] = 139831,
  [SMALL_STATE(4916)] = 139952,
  [SMALL_STATE(4917)] = 140023,
  [SMALL_STATE(4918)] = 140094,
  [SMALL_STATE(4919)] = 140165,
  [SMALL_STATE(4920)] = 140236,
  [SMALL_STATE(4921)] = 140307,
  [SMALL_STATE(4922)] = 140428,
  [SMALL_STATE(4923)] = 140499,
  [SMALL_STATE(4924)] = 140570,
  [SMALL_STATE(4925)] = 140691,
  [SMALL_STATE(4926)] = 140812,
  [SMALL_STATE(4927)] = 140933,
  [SMALL_STATE(4928)] = 141054,
  [SMALL_STATE(4929)] = 141125,
  [SMALL_STATE(4930)] = 141196,
  [SMALL_STATE(4931)] = 141267,
  [SMALL_STATE(4932)] = 141338,
  [SMALL_STATE(4933)] = 141411,
  [SMALL_STATE(4934)] = 141482,
  [SMALL_STATE(4935)] = 141553,
  [SMALL_STATE(4936)] = 141624,
  [SMALL_STATE(4937)] = 141695,
  [SMALL_STATE(4938)] = 141768,
  [SMALL_STATE(4939)] = 141839,
  [SMALL_STATE(4940)] = 141960,
  [SMALL_STATE(4941)] = 142031,
  [SMALL_STATE(4942)] = 142102,
  [SMALL_STATE(4943)] = 142223,
  [SMALL_STATE(4944)] = 142294,
  [SMALL_STATE(4945)] = 142365,
  [SMALL_STATE(4946)] = 142486,
  [SMALL_STATE(4947)] = 142557,
  [SMALL_STATE(4948)] = 142628,
  [SMALL_STATE(4949)] = 142749,
  [SMALL_STATE(4950)] = 142822,
  [SMALL_STATE(4951)] = 142893,
  [SMALL_STATE(4952)] = 142964,
  [SMALL_STATE(4953)] = 143085,
  [SMALL_STATE(4954)] = 143156,
  [SMALL_STATE(4955)] = 143227,
  [SMALL_STATE(4956)] = 143348,
  [SMALL_STATE(4957)] = 143419,
  [SMALL_STATE(4958)] = 143490,
  [SMALL_STATE(4959)] = 143561,
  [SMALL_STATE(4960)] = 143634,
  [SMALL_STATE(4961)] = 143755,
  [SMALL_STATE(4962)] = 143826,
  [SMALL_STATE(4963)] = 143947,
  [SMALL_STATE(4964)] = 144018,
  [SMALL_STATE(4965)] = 144091,
  [SMALL_STATE(4966)] = 144162,
  [SMALL_STATE(4967)] = 144283,
  [SMALL_STATE(4968)] = 144404,
  [SMALL_STATE(4969)] = 144475,
  [SMALL_STATE(4970)] = 144548,
  [SMALL_STATE(4971)] = 144621,
  [SMALL_STATE(4972)] = 144692,
  [SMALL_STATE(4973)] = 144763,
  [SMALL_STATE(4974)] = 144884,
  [SMALL_STATE(4975)] = 144955,
  [SMALL_STATE(4976)] = 145076,
  [SMALL_STATE(4977)] = 145147,
  [SMALL_STATE(4978)] = 145218,
  [SMALL_STATE(4979)] = 145339,
  [SMALL_STATE(4980)] = 145410,
  [SMALL_STATE(4981)] = 145481,
  [SMALL_STATE(4982)] = 145552,
  [SMALL_STATE(4983)] = 145625,
  [SMALL_STATE(4984)] = 145746,
  [SMALL_STATE(4985)] = 145817,
  [SMALL_STATE(4986)] = 145888,
  [SMALL_STATE(4987)] = 145959,
  [SMALL_STATE(4988)] = 146030,
  [SMALL_STATE(4989)] = 146101,
  [SMALL_STATE(4990)] = 146172,
  [SMALL_STATE(4991)] = 146293,
  [SMALL_STATE(4992)] = 146364,
  [SMALL_STATE(4993)] = 146435,
  [SMALL_STATE(4994)] = 146506,
  [SMALL_STATE(4995)] = 146627,
  [SMALL_STATE(4996)] = 146698,
  [SMALL_STATE(4997)] = 146769,
  [SMALL_STATE(4998)] = 146840,
  [SMALL_STATE(4999)] = 146911,
  [SMALL_STATE(5000)] = 146982,
  [SMALL_STATE(5001)] = 147053,
  [SMALL_STATE(5002)] = 147124,
  [SMALL_STATE(5003)] = 147195,
  [SMALL_STATE(5004)] = 147266,
  [SMALL_STATE(5005)] = 147387,
  [SMALL_STATE(5006)] = 147508,
  [SMALL_STATE(5007)] = 147579,
  [SMALL_STATE(5008)] = 147650,
  [SMALL_STATE(5009)] = 147721,
  [SMALL_STATE(5010)] = 147792,
  [SMALL_STATE(5011)] = 147913,
  [SMALL_STATE(5012)] = 147984,
  [SMALL_STATE(5013)] = 148055,
  [SMALL_STATE(5014)] = 148176,
  [SMALL_STATE(5015)] = 148247,
  [SMALL_STATE(5016)] = 148318,
  [SMALL_STATE(5017)] = 148389,
  [SMALL_STATE(5018)] = 148510,
  [SMALL_STATE(5019)] = 148581,
  [SMALL_STATE(5020)] = 148702,
  [SMALL_STATE(5021)] = 148823,
  [SMALL_STATE(5022)] = 148894,
  [SMALL_STATE(5023)] = 148971,
  [SMALL_STATE(5024)] = 149092,
  [SMALL_STATE(5025)] = 149163,
  [SMALL_STATE(5026)] = 149234,
  [SMALL_STATE(5027)] = 149355,
  [SMALL_STATE(5028)] = 149426,
  [SMALL_STATE(5029)] = 149503,
  [SMALL_STATE(5030)] = 149574,
  [SMALL_STATE(5031)] = 149645,
  [SMALL_STATE(5032)] = 149766,
  [SMALL_STATE(5033)] = 149837,
  [SMALL_STATE(5034)] = 149908,
  [SMALL_STATE(5035)] = 149979,
  [SMALL_STATE(5036)] = 150050,
  [SMALL_STATE(5037)] = 150185,
  [SMALL_STATE(5038)] = 150256,
  [SMALL_STATE(5039)] = 150327,
  [SMALL_STATE(5040)] = 150398,
  [SMALL_STATE(5041)] = 150469,
  [SMALL_STATE(5042)] = 150540,
  [SMALL_STATE(5043)] = 150611,
  [SMALL_STATE(5044)] = 150682,
  [SMALL_STATE(5045)] = 150753,
  [SMALL_STATE(5046)] = 150826,
  [SMALL_STATE(5047)] = 150897,
  [SMALL_STATE(5048)] = 150968,
  [SMALL_STATE(5049)] = 151039,
  [SMALL_STATE(5050)] = 151110,
  [SMALL_STATE(5051)] = 151181,
  [SMALL_STATE(5052)] = 151252,
  [SMALL_STATE(5053)] = 151323,
  [SMALL_STATE(5054)] = 151394,
  [SMALL_STATE(5055)] = 151465,
  [SMALL_STATE(5056)] = 151536,
  [SMALL_STATE(5057)] = 151607,
  [SMALL_STATE(5058)] = 151678,
  [SMALL_STATE(5059)] = 151749,
  [SMALL_STATE(5060)] = 151822,
  [SMALL_STATE(5061)] = 151893,
  [SMALL_STATE(5062)] = 151964,
  [SMALL_STATE(5063)] = 152035,
  [SMALL_STATE(5064)] = 152106,
  [SMALL_STATE(5065)] = 152177,
  [SMALL_STATE(5066)] = 152298,
  [SMALL_STATE(5067)] = 152369,
  [SMALL_STATE(5068)] = 152440,
  [SMALL_STATE(5069)] = 152511,
  [SMALL_STATE(5070)] = 152582,
  [SMALL_STATE(5071)] = 152652,
  [SMALL_STATE(5072)] = 152770,
  [SMALL_STATE(5073)] = 152840,
  [SMALL_STATE(5074)] = 152910,
  [SMALL_STATE(5075)] = 153028,
  [SMALL_STATE(5076)] = 153098,
  [SMALL_STATE(5077)] = 153168,
  [SMALL_STATE(5078)] = 153238,
  [SMALL_STATE(5079)] = 153356,
  [SMALL_STATE(5080)] = 153426,
  [SMALL_STATE(5081)] = 153496,
  [SMALL_STATE(5082)] = 153566,
  [SMALL_STATE(5083)] = 153636,
  [SMALL_STATE(5084)] = 153706,
  [SMALL_STATE(5085)] = 153776,
  [SMALL_STATE(5086)] = 153894,
  [SMALL_STATE(5087)] = 153964,
  [SMALL_STATE(5088)] = 154082,
  [SMALL_STATE(5089)] = 154152,
  [SMALL_STATE(5090)] = 154222,
  [SMALL_STATE(5091)] = 154340,
  [SMALL_STATE(5092)] = 154416,
  [SMALL_STATE(5093)] = 154534,
  [SMALL_STATE(5094)] = 154652,
  [SMALL_STATE(5095)] = 154722,
  [SMALL_STATE(5096)] = 154792,
  [SMALL_STATE(5097)] = 154862,
  [SMALL_STATE(5098)] = 154932,
  [SMALL_STATE(5099)] = 155050,
  [SMALL_STATE(5100)] = 155120,
  [SMALL_STATE(5101)] = 155190,
  [SMALL_STATE(5102)] = 155308,
  [SMALL_STATE(5103)] = 155378,
  [SMALL_STATE(5104)] = 155448,
  [SMALL_STATE(5105)] = 155518,
  [SMALL_STATE(5106)] = 155588,
  [SMALL_STATE(5107)] = 155706,
  [SMALL_STATE(5108)] = 155824,
  [SMALL_STATE(5109)] = 155894,
  [SMALL_STATE(5110)] = 156012,
  [SMALL_STATE(5111)] = 156130,
  [SMALL_STATE(5112)] = 156248,
  [SMALL_STATE(5113)] = 156366,
  [SMALL_STATE(5114)] = 156436,
  [SMALL_STATE(5115)] = 156506,
  [SMALL_STATE(5116)] = 156576,
  [SMALL_STATE(5117)] = 156646,
  [SMALL_STATE(5118)] = 156716,
  [SMALL_STATE(5119)] = 156834,
  [SMALL_STATE(5120)] = 156904,
  [SMALL_STATE(5121)] = 156974,
  [SMALL_STATE(5122)] = 157092,
  [SMALL_STATE(5123)] = 157162,
  [SMALL_STATE(5124)] = 157232,
  [SMALL_STATE(5125)] = 157350,
  [SMALL_STATE(5126)] = 157420,
  [SMALL_STATE(5127)] = 157538,
  [SMALL_STATE(5128)] = 157608,
  [SMALL_STATE(5129)] = 157678,
  [SMALL_STATE(5130)] = 157796,
  [SMALL_STATE(5131)] = 157866,
  [SMALL_STATE(5132)] = 157936,
  [SMALL_STATE(5133)] = 158054,
  [SMALL_STATE(5134)] = 158124,
  [SMALL_STATE(5135)] = 158242,
  [SMALL_STATE(5136)] = 158318,
  [SMALL_STATE(5137)] = 158388,
  [SMALL_STATE(5138)] = 158458,
  [SMALL_STATE(5139)] = 158528,
  [SMALL_STATE(5140)] = 158646,
  [SMALL_STATE(5141)] = 158764,
  [SMALL_STATE(5142)] = 158834,
  [SMALL_STATE(5143)] = 158904,
  [SMALL_STATE(5144)] = 158974,
  [SMALL_STATE(5145)] = 159046,
  [SMALL_STATE(5146)] = 159116,
  [SMALL_STATE(5147)] = 159186,
  [SMALL_STATE(5148)] = 159256,
  [SMALL_STATE(5149)] = 159374,
  [SMALL_STATE(5150)] = 159492,
  [SMALL_STATE(5151)] = 159610,
  [SMALL_STATE(5152)] = 159680,
  [SMALL_STATE(5153)] = 159798,
  [SMALL_STATE(5154)] = 159868,
  [SMALL_STATE(5155)] = 159986,
  [SMALL_STATE(5156)] = 160056,
  [SMALL_STATE(5157)] = 160126,
  [SMALL_STATE(5158)] = 160196,
  [SMALL_STATE(5159)] = 160266,
  [SMALL_STATE(5160)] = 160336,
  [SMALL_STATE(5161)] = 160406,
  [SMALL_STATE(5162)] = 160524,
  [SMALL_STATE(5163)] = 160596,
  [SMALL_STATE(5164)] = 160666,
  [SMALL_STATE(5165)] = 160736,
  [SMALL_STATE(5166)] = 160854,
  [SMALL_STATE(5167)] = 160924,
  [SMALL_STATE(5168)] = 160994,
  [SMALL_STATE(5169)] = 161064,
  [SMALL_STATE(5170)] = 161134,
  [SMALL_STATE(5171)] = 161204,
  [SMALL_STATE(5172)] = 161274,
  [SMALL_STATE(5173)] = 161344,
  [SMALL_STATE(5174)] = 161414,
  [SMALL_STATE(5175)] = 161484,
  [SMALL_STATE(5176)] = 161602,
  [SMALL_STATE(5177)] = 161720,
  [SMALL_STATE(5178)] = 161790,
  [SMALL_STATE(5179)] = 161860,
  [SMALL_STATE(5180)] = 161978,
  [SMALL_STATE(5181)] = 162048,
  [SMALL_STATE(5182)] = 162118,
  [SMALL_STATE(5183)] = 162188,
  [SMALL_STATE(5184)] = 162258,
  [SMALL_STATE(5185)] = 162376,
  [SMALL_STATE(5186)] = 162446,
  [SMALL_STATE(5187)] = 162516,
  [SMALL_STATE(5188)] = 162586,
  [SMALL_STATE(5189)] = 162656,
  [SMALL_STATE(5190)] = 162774,
  [SMALL_STATE(5191)] = 162846,
  [SMALL_STATE(5192)] = 162916,
  [SMALL_STATE(5193)] = 162986,
  [SMALL_STATE(5194)] = 163056,
  [SMALL_STATE(5195)] = 163126,
  [SMALL_STATE(5196)] = 163196,
  [SMALL_STATE(5197)] = 163314,
  [SMALL_STATE(5198)] = 163384,
  [SMALL_STATE(5199)] = 163502,
  [SMALL_STATE(5200)] = 163620,
  [SMALL_STATE(5201)] = 163738,
  [SMALL_STATE(5202)] = 163810,
  [SMALL_STATE(5203)] = 163928,
  [SMALL_STATE(5204)] = 163998,
  [SMALL_STATE(5205)] = 164068,
  [SMALL_STATE(5206)] = 164138,
  [SMALL_STATE(5207)] = 164256,
  [SMALL_STATE(5208)] = 164326,
  [SMALL_STATE(5209)] = 164396,
  [SMALL_STATE(5210)] = 164514,
  [SMALL_STATE(5211)] = 164584,
  [SMALL_STATE(5212)] = 164702,
  [SMALL_STATE(5213)] = 164820,
  [SMALL_STATE(5214)] = 164890,
  [SMALL_STATE(5215)] = 164960,
  [SMALL_STATE(5216)] = 165078,
  [SMALL_STATE(5217)] = 165196,
  [SMALL_STATE(5218)] = 165266,
  [SMALL_STATE(5219)] = 165338,
  [SMALL_STATE(5220)] = 165408,
  [SMALL_STATE(5221)] = 165526,
  [SMALL_STATE(5222)] = 165596,
  [SMALL_STATE(5223)] = 165666,
  [SMALL_STATE(5224)] = 165736,
  [SMALL_STATE(5225)] = 165806,
  [SMALL_STATE(5226)] = 165876,
  [SMALL_STATE(5227)] = 165946,
  [SMALL_STATE(5228)] = 166016,
  [SMALL_STATE(5229)] = 166086,
  [SMALL_STATE(5230)] = 166204,
  [SMALL_STATE(5231)] = 166274,
  [SMALL_STATE(5232)] = 166344,
  [SMALL_STATE(5233)] = 166462,
  [SMALL_STATE(5234)] = 166532,
  [SMALL_STATE(5235)] = 166602,
  [SMALL_STATE(5236)] = 166720,
  [SMALL_STATE(5237)] = 166790,
  [SMALL_STATE(5238)] = 166908,
  [SMALL_STATE(5239)] = 167026,
  [SMALL_STATE(5240)] = 167096,
  [SMALL_STATE(5241)] = 167166,
  [SMALL_STATE(5242)] = 167236,
  [SMALL_STATE(5243)] = 167306,
  [SMALL_STATE(5244)] = 167424,
  [SMALL_STATE(5245)] = 167494,
  [SMALL_STATE(5246)] = 167564,
  [SMALL_STATE(5247)] = 167682,
  [SMALL_STATE(5248)] = 167800,
  [SMALL_STATE(5249)] = 167870,
  [SMALL_STATE(5250)] = 167988,
  [SMALL_STATE(5251)] = 168106,
  [SMALL_STATE(5252)] = 168176,
  [SMALL_STATE(5253)] = 168246,
  [SMALL_STATE(5254)] = 168316,
  [SMALL_STATE(5255)] = 168434,
  [SMALL_STATE(5256)] = 168552,
  [SMALL_STATE(5257)] = 168622,
  [SMALL_STATE(5258)] = 168740,
  [SMALL_STATE(5259)] = 168810,
  [SMALL_STATE(5260)] = 168928,
  [SMALL_STATE(5261)] = 168998,
  [SMALL_STATE(5262)] = 169068,
  [SMALL_STATE(5263)] = 169138,
  [SMALL_STATE(5264)] = 169256,
  [SMALL_STATE(5265)] = 169326,
  [SMALL_STATE(5266)] = 169444,
  [SMALL_STATE(5267)] = 169514,
  [SMALL_STATE(5268)] = 169584,
  [SMALL_STATE(5269)] = 169654,
  [SMALL_STATE(5270)] = 169724,
  [SMALL_STATE(5271)] = 169842,
  [SMALL_STATE(5272)] = 169918,
  [SMALL_STATE(5273)] = 170036,
  [SMALL_STATE(5274)] = 170154,
  [SMALL_STATE(5275)] = 170272,
  [SMALL_STATE(5276)] = 170342,
  [SMALL_STATE(5277)] = 170412,
  [SMALL_STATE(5278)] = 170530,
  [SMALL_STATE(5279)] = 170648,
  [SMALL_STATE(5280)] = 170718,
  [SMALL_STATE(5281)] = 170788,
  [SMALL_STATE(5282)] = 170906,
  [SMALL_STATE(5283)] = 171024,
  [SMALL_STATE(5284)] = 171094,
  [SMALL_STATE(5285)] = 171212,
  [SMALL_STATE(5286)] = 171330,
  [SMALL_STATE(5287)] = 171400,
  [SMALL_STATE(5288)] = 171470,
  [SMALL_STATE(5289)] = 171540,
  [SMALL_STATE(5290)] = 171612,
  [SMALL_STATE(5291)] = 171730,
  [SMALL_STATE(5292)] = 171800,
  [SMALL_STATE(5293)] = 171870,
  [SMALL_STATE(5294)] = 171940,
  [SMALL_STATE(5295)] = 172010,
  [SMALL_STATE(5296)] = 172080,
  [SMALL_STATE(5297)] = 172198,
  [SMALL_STATE(5298)] = 172316,
  [SMALL_STATE(5299)] = 172434,
  [SMALL_STATE(5300)] = 172504,
  [SMALL_STATE(5301)] = 172622,
  [SMALL_STATE(5302)] = 172692,
  [SMALL_STATE(5303)] = 172764,
  [SMALL_STATE(5304)] = 172882,
  [SMALL_STATE(5305)] = 172952,
  [SMALL_STATE(5306)] = 173070,
  [SMALL_STATE(5307)] = 173188,
  [SMALL_STATE(5308)] = 173258,
  [SMALL_STATE(5309)] = 173330,
  [SMALL_STATE(5310)] = 173400,
  [SMALL_STATE(5311)] = 173470,
  [SMALL_STATE(5312)] = 173540,
  [SMALL_STATE(5313)] = 173610,
  [SMALL_STATE(5314)] = 173686,
  [SMALL_STATE(5315)] = 173756,
  [SMALL_STATE(5316)] = 173874,
  [SMALL_STATE(5317)] = 173992,
  [SMALL_STATE(5318)] = 174110,
  [SMALL_STATE(5319)] = 174180,
  [SMALL_STATE(5320)] = 174250,
  [SMALL_STATE(5321)] = 174368,
  [SMALL_STATE(5322)] = 174438,
  [SMALL_STATE(5323)] = 174508,
  [SMALL_STATE(5324)] = 174626,
  [SMALL_STATE(5325)] = 174744,
  [SMALL_STATE(5326)] = 174862,
  [SMALL_STATE(5327)] = 174932,
  [SMALL_STATE(5328)] = 175050,
  [SMALL_STATE(5329)] = 175168,
  [SMALL_STATE(5330)] = 175238,
  [SMALL_STATE(5331)] = 175308,
  [SMALL_STATE(5332)] = 175378,
  [SMALL_STATE(5333)] = 175496,
  [SMALL_STATE(5334)] = 175614,
  [SMALL_STATE(5335)] = 175684,
  [SMALL_STATE(5336)] = 175754,
  [SMALL_STATE(5337)] = 175872,
  [SMALL_STATE(5338)] = 175990,
  [SMALL_STATE(5339)] = 176108,
  [SMALL_STATE(5340)] = 176226,
  [SMALL_STATE(5341)] = 176344,
  [SMALL_STATE(5342)] = 176414,
  [SMALL_STATE(5343)] = 176532,
  [SMALL_STATE(5344)] = 176602,
  [SMALL_STATE(5345)] = 176672,
  [SMALL_STATE(5346)] = 176742,
  [SMALL_STATE(5347)] = 176860,
  [SMALL_STATE(5348)] = 176936,
  [SMALL_STATE(5349)] = 177054,
  [SMALL_STATE(5350)] = 177172,
  [SMALL_STATE(5351)] = 177242,
  [SMALL_STATE(5352)] = 177360,
  [SMALL_STATE(5353)] = 177478,
  [SMALL_STATE(5354)] = 177596,
  [SMALL_STATE(5355)] = 177714,
  [SMALL_STATE(5356)] = 177832,
  [SMALL_STATE(5357)] = 177950,
  [SMALL_STATE(5358)] = 178020,
  [SMALL_STATE(5359)] = 178090,
  [SMALL_STATE(5360)] = 178160,
  [SMALL_STATE(5361)] = 178278,
  [SMALL_STATE(5362)] = 178396,
  [SMALL_STATE(5363)] = 178466,
  [SMALL_STATE(5364)] = 178584,
  [SMALL_STATE(5365)] = 178654,
  [SMALL_STATE(5366)] = 178724,
  [SMALL_STATE(5367)] = 178794,
  [SMALL_STATE(5368)] = 178866,
  [SMALL_STATE(5369)] = 178936,
  [SMALL_STATE(5370)] = 179054,
  [SMALL_STATE(5371)] = 179172,
  [SMALL_STATE(5372)] = 179290,
  [SMALL_STATE(5373)] = 179408,
  [SMALL_STATE(5374)] = 179478,
  [SMALL_STATE(5375)] = 179596,
  [SMALL_STATE(5376)] = 179666,
  [SMALL_STATE(5377)] = 179736,
  [SMALL_STATE(5378)] = 179854,
  [SMALL_STATE(5379)] = 179972,
  [SMALL_STATE(5380)] = 180090,
  [SMALL_STATE(5381)] = 180160,
  [SMALL_STATE(5382)] = 180230,
  [SMALL_STATE(5383)] = 180306,
  [SMALL_STATE(5384)] = 180376,
  [SMALL_STATE(5385)] = 180446,
  [SMALL_STATE(5386)] = 180564,
  [SMALL_STATE(5387)] = 180682,
  [SMALL_STATE(5388)] = 180800,
  [SMALL_STATE(5389)] = 180870,
  [SMALL_STATE(5390)] = 180988,
  [SMALL_STATE(5391)] = 181058,
  [SMALL_STATE(5392)] = 181130,
  [SMALL_STATE(5393)] = 181248,
  [SMALL_STATE(5394)] = 181318,
  [SMALL_STATE(5395)] = 181388,
  [SMALL_STATE(5396)] = 181506,
  [SMALL_STATE(5397)] = 181624,
  [SMALL_STATE(5398)] = 181742,
  [SMALL_STATE(5399)] = 181860,
  [SMALL_STATE(5400)] = 181930,
  [SMALL_STATE(5401)] = 182048,
  [SMALL_STATE(5402)] = 182118,
  [SMALL_STATE(5403)] = 182188,
  [SMALL_STATE(5404)] = 182306,
  [SMALL_STATE(5405)] = 182378,
  [SMALL_STATE(5406)] = 182496,
  [SMALL_STATE(5407)] = 182614,
  [SMALL_STATE(5408)] = 182684,
  [SMALL_STATE(5409)] = 182754,
  [SMALL_STATE(5410)] = 182824,
  [SMALL_STATE(5411)] = 182894,
  [SMALL_STATE(5412)] = 183012,
  [SMALL_STATE(5413)] = 183082,
  [SMALL_STATE(5414)] = 183200,
  [SMALL_STATE(5415)] = 183270,
  [SMALL_STATE(5416)] = 183388,
  [SMALL_STATE(5417)] = 183458,
  [SMALL_STATE(5418)] = 183528,
  [SMALL_STATE(5419)] = 183598,
  [SMALL_STATE(5420)] = 183716,
  [SMALL_STATE(5421)] = 183786,
  [SMALL_STATE(5422)] = 183856,
  [SMALL_STATE(5423)] = 183926,
  [SMALL_STATE(5424)] = 183996,
  [SMALL_STATE(5425)] = 184066,
  [SMALL_STATE(5426)] = 184138,
  [SMALL_STATE(5427)] = 184256,
  [SMALL_STATE(5428)] = 184374,
  [SMALL_STATE(5429)] = 184492,
  [SMALL_STATE(5430)] = 184610,
  [SMALL_STATE(5431)] = 184728,
  [SMALL_STATE(5432)] = 184798,
  [SMALL_STATE(5433)] = 184868,
  [SMALL_STATE(5434)] = 184986,
  [SMALL_STATE(5435)] = 185104,
  [SMALL_STATE(5436)] = 185222,
  [SMALL_STATE(5437)] = 185340,
  [SMALL_STATE(5438)] = 185458,
  [SMALL_STATE(5439)] = 185576,
  [SMALL_STATE(5440)] = 185694,
  [SMALL_STATE(5441)] = 185812,
  [SMALL_STATE(5442)] = 185882,
  [SMALL_STATE(5443)] = 185952,
  [SMALL_STATE(5444)] = 186022,
  [SMALL_STATE(5445)] = 186140,
  [SMALL_STATE(5446)] = 186258,
  [SMALL_STATE(5447)] = 186376,
  [SMALL_STATE(5448)] = 186494,
  [SMALL_STATE(5449)] = 186564,
  [SMALL_STATE(5450)] = 186682,
  [SMALL_STATE(5451)] = 186800,
  [SMALL_STATE(5452)] = 186918,
  [SMALL_STATE(5453)] = 187047,
  [SMALL_STATE(5454)] = 187176,
  [SMALL_STATE(5455)] = 187305,
  [SMALL_STATE(5456)] = 187434,
  [SMALL_STATE(5457)] = 187563,
  [SMALL_STATE(5458)] = 187692,
  [SMALL_STATE(5459)] = 187821,
  [SMALL_STATE(5460)] = 187950,
  [SMALL_STATE(5461)] = 188079,
  [SMALL_STATE(5462)] = 188148,
  [SMALL_STATE(5463)] = 188277,
  [SMALL_STATE(5464)] = 188406,
  [SMALL_STATE(5465)] = 188535,
  [SMALL_STATE(5466)] = 188664,
  [SMALL_STATE(5467)] = 188793,
  [SMALL_STATE(5468)] = 188922,
  [SMALL_STATE(5469)] = 189051,
  [SMALL_STATE(5470)] = 189180,
  [SMALL_STATE(5471)] = 189309,
  [SMALL_STATE(5472)] = 189438,
  [SMALL_STATE(5473)] = 189567,
  [SMALL_STATE(5474)] = 189696,
  [SMALL_STATE(5475)] = 189825,
  [SMALL_STATE(5476)] = 189954,
  [SMALL_STATE(5477)] = 190083,
  [SMALL_STATE(5478)] = 190212,
  [SMALL_STATE(5479)] = 190341,
  [SMALL_STATE(5480)] = 190470,
  [SMALL_STATE(5481)] = 190539,
  [SMALL_STATE(5482)] = 190668,
  [SMALL_STATE(5483)] = 190797,
  [SMALL_STATE(5484)] = 190926,
  [SMALL_STATE(5485)] = 191055,
  [SMALL_STATE(5486)] = 191124,
  [SMALL_STATE(5487)] = 191253,
  [SMALL_STATE(5488)] = 191382,
  [SMALL_STATE(5489)] = 191511,
  [SMALL_STATE(5490)] = 191640,
  [SMALL_STATE(5491)] = 191711,
  [SMALL_STATE(5492)] = 191840,
  [SMALL_STATE(5493)] = 191969,
  [SMALL_STATE(5494)] = 192098,
  [SMALL_STATE(5495)] = 192227,
  [SMALL_STATE(5496)] = 192356,
  [SMALL_STATE(5497)] = 192485,
  [SMALL_STATE(5498)] = 192614,
  [SMALL_STATE(5499)] = 192743,
  [SMALL_STATE(5500)] = 192872,
  [SMALL_STATE(5501)] = 193001,
  [SMALL_STATE(5502)] = 193130,
  [SMALL_STATE(5503)] = 193259,
  [SMALL_STATE(5504)] = 193388,
  [SMALL_STATE(5505)] = 193517,
  [SMALL_STATE(5506)] = 193646,
  [SMALL_STATE(5507)] = 193775,
  [SMALL_STATE(5508)] = 193904,
  [SMALL_STATE(5509)] = 193975,
  [SMALL_STATE(5510)] = 194104,
  [SMALL_STATE(5511)] = 194233,
  [SMALL_STATE(5512)] = 194362,
  [SMALL_STATE(5513)] = 194491,
  [SMALL_STATE(5514)] = 194620,
  [SMALL_STATE(5515)] = 194749,
  [SMALL_STATE(5516)] = 194878,
  [SMALL_STATE(5517)] = 195007,
  [SMALL_STATE(5518)] = 195076,
  [SMALL_STATE(5519)] = 195205,
  [SMALL_STATE(5520)] = 195276,
  [SMALL_STATE(5521)] = 195405,
  [SMALL_STATE(5522)] = 195534,
  [SMALL_STATE(5523)] = 195663,
  [SMALL_STATE(5524)] = 195792,
  [SMALL_STATE(5525)] = 195921,
  [SMALL_STATE(5526)] = 196050,
  [SMALL_STATE(5527)] = 196179,
  [SMALL_STATE(5528)] = 196308,
  [SMALL_STATE(5529)] = 196437,
  [SMALL_STATE(5530)] = 196566,
  [SMALL_STATE(5531)] = 196695,
  [SMALL_STATE(5532)] = 196824,
  [SMALL_STATE(5533)] = 196950,
  [SMALL_STATE(5534)] = 197076,
  [SMALL_STATE(5535)] = 197202,
  [SMALL_STATE(5536)] = 197328,
  [SMALL_STATE(5537)] = 197454,
  [SMALL_STATE(5538)] = 197580,
  [SMALL_STATE(5539)] = 197706,
  [SMALL_STATE(5540)] = 197832,
  [SMALL_STATE(5541)] = 197958,
  [SMALL_STATE(5542)] = 198084,
  [SMALL_STATE(5543)] = 198210,
  [SMALL_STATE(5544)] = 198336,
  [SMALL_STATE(5545)] = 198462,
  [SMALL_STATE(5546)] = 198588,
  [SMALL_STATE(5547)] = 198714,
  [SMALL_STATE(5548)] = 198840,
  [SMALL_STATE(5549)] = 198966,
  [SMALL_STATE(5550)] = 199092,
  [SMALL_STATE(5551)] = 199218,
  [SMALL_STATE(5552)] = 199344,
  [SMALL_STATE(5553)] = 199470,
  [SMALL_STATE(5554)] = 199596,
  [SMALL_STATE(5555)] = 199722,
  [SMALL_STATE(5556)] = 199848,
  [SMALL_STATE(5557)] = 199974,
  [SMALL_STATE(5558)] = 200100,
  [SMALL_STATE(5559)] = 200168,
  [SMALL_STATE(5560)] = 200294,
  [SMALL_STATE(5561)] = 200420,
  [SMALL_STATE(5562)] = 200546,
  [SMALL_STATE(5563)] = 200672,
  [SMALL_STATE(5564)] = 200798,
  [SMALL_STATE(5565)] = 200924,
  [SMALL_STATE(5566)] = 201050,
  [SMALL_STATE(5567)] = 201176,
  [SMALL_STATE(5568)] = 201302,
  [SMALL_STATE(5569)] = 201428,
  [SMALL_STATE(5570)] = 201554,
  [SMALL_STATE(5571)] = 201680,
  [SMALL_STATE(5572)] = 201806,
  [SMALL_STATE(5573)] = 201932,
  [SMALL_STATE(5574)] = 202058,
  [SMALL_STATE(5575)] = 202184,
  [SMALL_STATE(5576)] = 202310,
  [SMALL_STATE(5577)] = 202436,
  [SMALL_STATE(5578)] = 202562,
  [SMALL_STATE(5579)] = 202688,
  [SMALL_STATE(5580)] = 202814,
  [SMALL_STATE(5581)] = 202884,
  [SMALL_STATE(5582)] = 203010,
  [SMALL_STATE(5583)] = 203078,
  [SMALL_STATE(5584)] = 203204,
  [SMALL_STATE(5585)] = 203330,
  [SMALL_STATE(5586)] = 203456,
  [SMALL_STATE(5587)] = 203582,
  [SMALL_STATE(5588)] = 203708,
  [SMALL_STATE(5589)] = 203834,
  [SMALL_STATE(5590)] = 203960,
  [SMALL_STATE(5591)] = 204086,
  [SMALL_STATE(5592)] = 204212,
  [SMALL_STATE(5593)] = 204338,
  [SMALL_STATE(5594)] = 204464,
  [SMALL_STATE(5595)] = 204590,
  [SMALL_STATE(5596)] = 204716,
  [SMALL_STATE(5597)] = 204786,
  [SMALL_STATE(5598)] = 204854,
  [SMALL_STATE(5599)] = 204980,
  [SMALL_STATE(5600)] = 205106,
  [SMALL_STATE(5601)] = 205232,
  [SMALL_STATE(5602)] = 205358,
  [SMALL_STATE(5603)] = 205484,
  [SMALL_STATE(5604)] = 205554,
  [SMALL_STATE(5605)] = 205622,
  [SMALL_STATE(5606)] = 205748,
  [SMALL_STATE(5607)] = 205874,
  [SMALL_STATE(5608)] = 206000,
  [SMALL_STATE(5609)] = 206126,
  [SMALL_STATE(5610)] = 206249,
  [SMALL_STATE(5611)] = 206372,
  [SMALL_STATE(5612)] = 206495,
  [SMALL_STATE(5613)] = 206562,
  [SMALL_STATE(5614)] = 206685,
  [SMALL_STATE(5615)] = 206808,
  [SMALL_STATE(5616)] = 206929,
  [SMALL_STATE(5617)] = 207052,
  [SMALL_STATE(5618)] = 207175,
  [SMALL_STATE(5619)] = 207298,
  [SMALL_STATE(5620)] = 207421,
  [SMALL_STATE(5621)] = 207544,
  [SMALL_STATE(5622)] = 207667,
  [SMALL_STATE(5623)] = 207790,
  [SMALL_STATE(5624)] = 207913,
  [SMALL_STATE(5625)] = 208036,
  [SMALL_STATE(5626)] = 208159,
  [SMALL_STATE(5627)] = 208280,
  [SMALL_STATE(5628)] = 208403,
  [SMALL_STATE(5629)] = 208526,
  [SMALL_STATE(5630)] = 208649,
  [SMALL_STATE(5631)] = 208772,
  [SMALL_STATE(5632)] = 208893,
  [SMALL_STATE(5633)] = 209016,
  [SMALL_STATE(5634)] = 209139,
  [SMALL_STATE(5635)] = 209262,
  [SMALL_STATE(5636)] = 209385,
  [SMALL_STATE(5637)] = 209506,
  [SMALL_STATE(5638)] = 209621,
  [SMALL_STATE(5639)] = 209744,
  [SMALL_STATE(5640)] = 209865,
  [SMALL_STATE(5641)] = 209988,
  [SMALL_STATE(5642)] = 210055,
  [SMALL_STATE(5643)] = 210178,
  [SMALL_STATE(5644)] = 210301,
  [SMALL_STATE(5645)] = 210424,
  [SMALL_STATE(5646)] = 210547,
  [SMALL_STATE(5647)] = 210670,
  [SMALL_STATE(5648)] = 210793,
  [SMALL_STATE(5649)] = 210916,
  [SMALL_STATE(5650)] = 211039,
  [SMALL_STATE(5651)] = 211162,
  [SMALL_STATE(5652)] = 211285,
  [SMALL_STATE(5653)] = 211408,
  [SMALL_STATE(5654)] = 211529,
  [SMALL_STATE(5655)] = 211650,
  [SMALL_STATE(5656)] = 211768,
  [SMALL_STATE(5657)] = 211886,
  [SMALL_STATE(5658)] = 211952,
  [SMALL_STATE(5659)] = 212070,
  [SMALL_STATE(5660)] = 212188,
  [SMALL_STATE(5661)] = 212306,
  [SMALL_STATE(5662)] = 212424,
  [SMALL_STATE(5663)] = 212542,
  [SMALL_STATE(5664)] = 212660,
  [SMALL_STATE(5665)] = 212778,
  [SMALL_STATE(5666)] = 212896,
  [SMALL_STATE(5667)] = 213014,
  [SMALL_STATE(5668)] = 213132,
  [SMALL_STATE(5669)] = 213250,
  [SMALL_STATE(5670)] = 213368,
  [SMALL_STATE(5671)] = 213436,
  [SMALL_STATE(5672)] = 213554,
  [SMALL_STATE(5673)] = 213672,
  [SMALL_STATE(5674)] = 213790,
  [SMALL_STATE(5675)] = 213908,
  [SMALL_STATE(5676)] = 214026,
  [SMALL_STATE(5677)] = 214144,
  [SMALL_STATE(5678)] = 214262,
  [SMALL_STATE(5679)] = 214380,
  [SMALL_STATE(5680)] = 214498,
  [SMALL_STATE(5681)] = 214616,
  [SMALL_STATE(5682)] = 214734,
  [SMALL_STATE(5683)] = 214852,
  [SMALL_STATE(5684)] = 214970,
  [SMALL_STATE(5685)] = 215088,
  [SMALL_STATE(5686)] = 215206,
  [SMALL_STATE(5687)] = 215324,
  [SMALL_STATE(5688)] = 215442,
  [SMALL_STATE(5689)] = 215560,
  [SMALL_STATE(5690)] = 215678,
  [SMALL_STATE(5691)] = 215796,
  [SMALL_STATE(5692)] = 215914,
  [SMALL_STATE(5693)] = 216032,
  [SMALL_STATE(5694)] = 216150,
  [SMALL_STATE(5695)] = 216268,
  [SMALL_STATE(5696)] = 216386,
  [SMALL_STATE(5697)] = 216504,
  [SMALL_STATE(5698)] = 216622,
  [SMALL_STATE(5699)] = 216740,
  [SMALL_STATE(5700)] = 216858,
  [SMALL_STATE(5701)] = 216976,
  [SMALL_STATE(5702)] = 217094,
  [SMALL_STATE(5703)] = 217212,
  [SMALL_STATE(5704)] = 217330,
  [SMALL_STATE(5705)] = 217448,
  [SMALL_STATE(5706)] = 217566,
  [SMALL_STATE(5707)] = 217684,
  [SMALL_STATE(5708)] = 217802,
  [SMALL_STATE(5709)] = 217920,
  [SMALL_STATE(5710)] = 218038,
  [SMALL_STATE(5711)] = 218156,
  [SMALL_STATE(5712)] = 218274,
  [SMALL_STATE(5713)] = 218392,
  [SMALL_STATE(5714)] = 218510,
  [SMALL_STATE(5715)] = 218628,
  [SMALL_STATE(5716)] = 218746,
  [SMALL_STATE(5717)] = 218864,
  [SMALL_STATE(5718)] = 218982,
  [SMALL_STATE(5719)] = 219100,
  [SMALL_STATE(5720)] = 219218,
  [SMALL_STATE(5721)] = 219336,
  [SMALL_STATE(5722)] = 219402,
  [SMALL_STATE(5723)] = 219520,
  [SMALL_STATE(5724)] = 219638,
  [SMALL_STATE(5725)] = 219706,
  [SMALL_STATE(5726)] = 219824,
  [SMALL_STATE(5727)] = 219942,
  [SMALL_STATE(5728)] = 220060,
  [SMALL_STATE(5729)] = 220178,
  [SMALL_STATE(5730)] = 220296,
  [SMALL_STATE(5731)] = 220414,
  [SMALL_STATE(5732)] = 220532,
  [SMALL_STATE(5733)] = 220650,
  [SMALL_STATE(5734)] = 220768,
  [SMALL_STATE(5735)] = 220886,
  [SMALL_STATE(5736)] = 220952,
  [SMALL_STATE(5737)] = 221070,
  [SMALL_STATE(5738)] = 221188,
  [SMALL_STATE(5739)] = 221254,
  [SMALL_STATE(5740)] = 221320,
  [SMALL_STATE(5741)] = 221438,
  [SMALL_STATE(5742)] = 221556,
  [SMALL_STATE(5743)] = 221674,
  [SMALL_STATE(5744)] = 221792,
  [SMALL_STATE(5745)] = 221910,
  [SMALL_STATE(5746)] = 221980,
  [SMALL_STATE(5747)] = 222098,
  [SMALL_STATE(5748)] = 222216,
  [SMALL_STATE(5749)] = 222282,
  [SMALL_STATE(5750)] = 222348,
  [SMALL_STATE(5751)] = 222466,
  [SMALL_STATE(5752)] = 222532,
  [SMALL_STATE(5753)] = 222650,
  [SMALL_STATE(5754)] = 222768,
  [SMALL_STATE(5755)] = 222886,
  [SMALL_STATE(5756)] = 222956,
  [SMALL_STATE(5757)] = 223074,
  [SMALL_STATE(5758)] = 223192,
  [SMALL_STATE(5759)] = 223310,
  [SMALL_STATE(5760)] = 223428,
  [SMALL_STATE(5761)] = 223546,
  [SMALL_STATE(5762)] = 223664,
  [SMALL_STATE(5763)] = 223732,
  [SMALL_STATE(5764)] = 223850,
  [SMALL_STATE(5765)] = 223968,
  [SMALL_STATE(5766)] = 224086,
  [SMALL_STATE(5767)] = 224204,
  [SMALL_STATE(5768)] = 224322,
  [SMALL_STATE(5769)] = 224440,
  [SMALL_STATE(5770)] = 224558,
  [SMALL_STATE(5771)] = 224624,
  [SMALL_STATE(5772)] = 224742,
  [SMALL_STATE(5773)] = 224860,
  [SMALL_STATE(5774)] = 224925,
  [SMALL_STATE(5775)] = 224990,
  [SMALL_STATE(5776)] = 225055,
  [SMALL_STATE(5777)] = 225120,
  [SMALL_STATE(5778)] = 225235,
  [SMALL_STATE(5779)] = 225300,
  [SMALL_STATE(5780)] = 225365,
  [SMALL_STATE(5781)] = 225430,
  [SMALL_STATE(5782)] = 225545,
  [SMALL_STATE(5783)] = 225660,
  [SMALL_STATE(5784)] = 225725,
  [SMALL_STATE(5785)] = 225840,
  [SMALL_STATE(5786)] = 225905,
  [SMALL_STATE(5787)] = 226020,
  [SMALL_STATE(5788)] = 226087,
  [SMALL_STATE(5789)] = 226152,
  [SMALL_STATE(5790)] = 226217,
  [SMALL_STATE(5791)] = 226284,
  [SMALL_STATE(5792)] = 226399,
  [SMALL_STATE(5793)] = 226514,
  [SMALL_STATE(5794)] = 226629,
  [SMALL_STATE(5795)] = 226694,
  [SMALL_STATE(5796)] = 226759,
  [SMALL_STATE(5797)] = 226824,
  [SMALL_STATE(5798)] = 226889,
  [SMALL_STATE(5799)] = 226954,
  [SMALL_STATE(5800)] = 227021,
  [SMALL_STATE(5801)] = 227086,
  [SMALL_STATE(5802)] = 227201,
  [SMALL_STATE(5803)] = 227266,
  [SMALL_STATE(5804)] = 227331,
  [SMALL_STATE(5805)] = 227396,
  [SMALL_STATE(5806)] = 227461,
  [SMALL_STATE(5807)] = 227526,
  [SMALL_STATE(5808)] = 227591,
  [SMALL_STATE(5809)] = 227656,
  [SMALL_STATE(5810)] = 227771,
  [SMALL_STATE(5811)] = 227836,
  [SMALL_STATE(5812)] = 227901,
  [SMALL_STATE(5813)] = 227966,
  [SMALL_STATE(5814)] = 228081,
  [SMALL_STATE(5815)] = 228146,
  [SMALL_STATE(5816)] = 228211,
  [SMALL_STATE(5817)] = 228276,
  [SMALL_STATE(5818)] = 228391,
  [SMALL_STATE(5819)] = 228456,
  [SMALL_STATE(5820)] = 228521,
  [SMALL_STATE(5821)] = 228586,
  [SMALL_STATE(5822)] = 228701,
  [SMALL_STATE(5823)] = 228766,
  [SMALL_STATE(5824)] = 228881,
  [SMALL_STATE(5825)] = 228946,
  [SMALL_STATE(5826)] = 229061,
  [SMALL_STATE(5827)] = 229128,
  [SMALL_STATE(5828)] = 229193,
  [SMALL_STATE(5829)] = 229258,
  [SMALL_STATE(5830)] = 229373,
  [SMALL_STATE(5831)] = 229488,
  [SMALL_STATE(5832)] = 229553,
  [SMALL_STATE(5833)] = 229620,
  [SMALL_STATE(5834)] = 229685,
  [SMALL_STATE(5835)] = 229750,
  [SMALL_STATE(5836)] = 229815,
  [SMALL_STATE(5837)] = 229880,
  [SMALL_STATE(5838)] = 229945,
  [SMALL_STATE(5839)] = 230010,
  [SMALL_STATE(5840)] = 230075,
  [SMALL_STATE(5841)] = 230190,
  [SMALL_STATE(5842)] = 230255,
  [SMALL_STATE(5843)] = 230320,
  [SMALL_STATE(5844)] = 230385,
  [SMALL_STATE(5845)] = 230500,
  [SMALL_STATE(5846)] = 230567,
  [SMALL_STATE(5847)] = 230682,
  [SMALL_STATE(5848)] = 230797,
  [SMALL_STATE(5849)] = 230912,
  [SMALL_STATE(5850)] = 231027,
  [SMALL_STATE(5851)] = 231092,
  [SMALL_STATE(5852)] = 231157,
  [SMALL_STATE(5853)] = 231272,
  [SMALL_STATE(5854)] = 231387,
  [SMALL_STATE(5855)] = 231502,
  [SMALL_STATE(5856)] = 231617,
  [SMALL_STATE(5857)] = 231682,
  [SMALL_STATE(5858)] = 231797,
  [SMALL_STATE(5859)] = 231912,
  [SMALL_STATE(5860)] = 231977,
  [SMALL_STATE(5861)] = 232092,
  [SMALL_STATE(5862)] = 232207,
  [SMALL_STATE(5863)] = 232272,
  [SMALL_STATE(5864)] = 232387,
  [SMALL_STATE(5865)] = 232452,
  [SMALL_STATE(5866)] = 232517,
  [SMALL_STATE(5867)] = 232632,
  [SMALL_STATE(5868)] = 232747,
  [SMALL_STATE(5869)] = 232862,
  [SMALL_STATE(5870)] = 232933,
  [SMALL_STATE(5871)] = 233048,
  [SMALL_STATE(5872)] = 233113,
  [SMALL_STATE(5873)] = 233178,
  [SMALL_STATE(5874)] = 233293,
  [SMALL_STATE(5875)] = 233408,
  [SMALL_STATE(5876)] = 233473,
  [SMALL_STATE(5877)] = 233538,
  [SMALL_STATE(5878)] = 233603,
  [SMALL_STATE(5879)] = 233718,
  [SMALL_STATE(5880)] = 233833,
  [SMALL_STATE(5881)] = 233898,
  [SMALL_STATE(5882)] = 234013,
  [SMALL_STATE(5883)] = 234078,
  [SMALL_STATE(5884)] = 234193,
  [SMALL_STATE(5885)] = 234308,
  [SMALL_STATE(5886)] = 234423,
  [SMALL_STATE(5887)] = 234488,
  [SMALL_STATE(5888)] = 234553,
  [SMALL_STATE(5889)] = 234668,
  [SMALL_STATE(5890)] = 234783,
  [SMALL_STATE(5891)] = 234848,
  [SMALL_STATE(5892)] = 234913,
  [SMALL_STATE(5893)] = 234978,
  [SMALL_STATE(5894)] = 235093,
  [SMALL_STATE(5895)] = 235208,
  [SMALL_STATE(5896)] = 235273,
  [SMALL_STATE(5897)] = 235338,
  [SMALL_STATE(5898)] = 235403,
  [SMALL_STATE(5899)] = 235468,
  [SMALL_STATE(5900)] = 235533,
  [SMALL_STATE(5901)] = 235598,
  [SMALL_STATE(5902)] = 235713,
  [SMALL_STATE(5903)] = 235778,
  [SMALL_STATE(5904)] = 235849,
  [SMALL_STATE(5905)] = 235914,
  [SMALL_STATE(5906)] = 236029,
  [SMALL_STATE(5907)] = 236094,
  [SMALL_STATE(5908)] = 236209,
  [SMALL_STATE(5909)] = 236274,
  [SMALL_STATE(5910)] = 236389,
  [SMALL_STATE(5911)] = 236453,
  [SMALL_STATE(5912)] = 236517,
  [SMALL_STATE(5913)] = 236581,
  [SMALL_STATE(5914)] = 236645,
  [SMALL_STATE(5915)] = 236709,
  [SMALL_STATE(5916)] = 236773,
  [SMALL_STATE(5917)] = 236837,
  [SMALL_STATE(5918)] = 236901,
  [SMALL_STATE(5919)] = 236965,
  [SMALL_STATE(5920)] = 237029,
  [SMALL_STATE(5921)] = 237093,
  [SMALL_STATE(5922)] = 237157,
  [SMALL_STATE(5923)] = 237221,
  [SMALL_STATE(5924)] = 237285,
  [SMALL_STATE(5925)] = 237349,
  [SMALL_STATE(5926)] = 237413,
  [SMALL_STATE(5927)] = 237477,
  [SMALL_STATE(5928)] = 237541,
  [SMALL_STATE(5929)] = 237611,
  [SMALL_STATE(5930)] = 237675,
  [SMALL_STATE(5931)] = 237739,
  [SMALL_STATE(5932)] = 237803,
  [SMALL_STATE(5933)] = 237867,
  [SMALL_STATE(5934)] = 237931,
  [SMALL_STATE(5935)] = 237995,
  [SMALL_STATE(5936)] = 238059,
  [SMALL_STATE(5937)] = 238123,
  [SMALL_STATE(5938)] = 238187,
  [SMALL_STATE(5939)] = 238251,
  [SMALL_STATE(5940)] = 238317,
  [SMALL_STATE(5941)] = 238381,
  [SMALL_STATE(5942)] = 238445,
  [SMALL_STATE(5943)] = 238509,
  [SMALL_STATE(5944)] = 238621,
  [SMALL_STATE(5945)] = 238685,
  [SMALL_STATE(5946)] = 238749,
  [SMALL_STATE(5947)] = 238813,
  [SMALL_STATE(5948)] = 238877,
  [SMALL_STATE(5949)] = 238943,
  [SMALL_STATE(5950)] = 239007,
  [SMALL_STATE(5951)] = 239073,
  [SMALL_STATE(5952)] = 239137,
  [SMALL_STATE(5953)] = 239201,
  [SMALL_STATE(5954)] = 239313,
  [SMALL_STATE(5955)] = 239425,
  [SMALL_STATE(5956)] = 239489,
  [SMALL_STATE(5957)] = 239555,
  [SMALL_STATE(5958)] = 239619,
  [SMALL_STATE(5959)] = 239683,
  [SMALL_STATE(5960)] = 239747,
  [SMALL_STATE(5961)] = 239811,
  [SMALL_STATE(5962)] = 239875,
  [SMALL_STATE(5963)] = 239939,
  [SMALL_STATE(5964)] = 240009,
  [SMALL_STATE(5965)] = 240073,
  [SMALL_STATE(5966)] = 240137,
  [SMALL_STATE(5967)] = 240203,
  [SMALL_STATE(5968)] = 240267,
  [SMALL_STATE(5969)] = 240331,
  [SMALL_STATE(5970)] = 240395,
  [SMALL_STATE(5971)] = 240459,
  [SMALL_STATE(5972)] = 240523,
  [SMALL_STATE(5973)] = 240587,
  [SMALL_STATE(5974)] = 240651,
  [SMALL_STATE(5975)] = 240715,
  [SMALL_STATE(5976)] = 240827,
  [SMALL_STATE(5977)] = 240939,
  [SMALL_STATE(5978)] = 241003,
  [SMALL_STATE(5979)] = 241067,
  [SMALL_STATE(5980)] = 241131,
  [SMALL_STATE(5981)] = 241195,
  [SMALL_STATE(5982)] = 241259,
  [SMALL_STATE(5983)] = 241323,
  [SMALL_STATE(5984)] = 241387,
  [SMALL_STATE(5985)] = 241451,
  [SMALL_STATE(5986)] = 241515,
  [SMALL_STATE(5987)] = 241579,
  [SMALL_STATE(5988)] = 241643,
  [SMALL_STATE(5989)] = 241707,
  [SMALL_STATE(5990)] = 241771,
  [SMALL_STATE(5991)] = 241837,
  [SMALL_STATE(5992)] = 241949,
  [SMALL_STATE(5993)] = 242013,
  [SMALL_STATE(5994)] = 242077,
  [SMALL_STATE(5995)] = 242141,
  [SMALL_STATE(5996)] = 242205,
  [SMALL_STATE(5997)] = 242269,
  [SMALL_STATE(5998)] = 242333,
  [SMALL_STATE(5999)] = 242397,
  [SMALL_STATE(6000)] = 242461,
  [SMALL_STATE(6001)] = 242573,
  [SMALL_STATE(6002)] = 242682,
  [SMALL_STATE(6003)] = 242745,
  [SMALL_STATE(6004)] = 242854,
  [SMALL_STATE(6005)] = 242963,
  [SMALL_STATE(6006)] = 243072,
  [SMALL_STATE(6007)] = 243181,
  [SMALL_STATE(6008)] = 243290,
  [SMALL_STATE(6009)] = 243355,
  [SMALL_STATE(6010)] = 243418,
  [SMALL_STATE(6011)] = 243481,
  [SMALL_STATE(6012)] = 243590,
  [SMALL_STATE(6013)] = 243699,
  [SMALL_STATE(6014)] = 243762,
  [SMALL_STATE(6015)] = 243825,
  [SMALL_STATE(6016)] = 243934,
  [SMALL_STATE(6017)] = 244045,
  [SMALL_STATE(6018)] = 244154,
  [SMALL_STATE(6019)] = 244263,
  [SMALL_STATE(6020)] = 244326,
  [SMALL_STATE(6021)] = 244435,
  [SMALL_STATE(6022)] = 244498,
  [SMALL_STATE(6023)] = 244607,
  [SMALL_STATE(6024)] = 244716,
  [SMALL_STATE(6025)] = 244825,
  [SMALL_STATE(6026)] = 244934,
  [SMALL_STATE(6027)] = 244999,
  [SMALL_STATE(6028)] = 245108,
  [SMALL_STATE(6029)] = 245171,
  [SMALL_STATE(6030)] = 245280,
  [SMALL_STATE(6031)] = 245389,
  [SMALL_STATE(6032)] = 245452,
  [SMALL_STATE(6033)] = 245515,
  [SMALL_STATE(6034)] = 245578,
  [SMALL_STATE(6035)] = 245641,
  [SMALL_STATE(6036)] = 245704,
  [SMALL_STATE(6037)] = 245767,
  [SMALL_STATE(6038)] = 245876,
  [SMALL_STATE(6039)] = 245985,
  [SMALL_STATE(6040)] = 246094,
  [SMALL_STATE(6041)] = 246157,
  [SMALL_STATE(6042)] = 246220,
  [SMALL_STATE(6043)] = 246283,
  [SMALL_STATE(6044)] = 246346,
  [SMALL_STATE(6045)] = 246409,
  [SMALL_STATE(6046)] = 246472,
  [SMALL_STATE(6047)] = 246581,
  [SMALL_STATE(6048)] = 246646,
  [SMALL_STATE(6049)] = 246709,
  [SMALL_STATE(6050)] = 246772,
  [SMALL_STATE(6051)] = 246835,
  [SMALL_STATE(6052)] = 246898,
  [SMALL_STATE(6053)] = 246961,
  [SMALL_STATE(6054)] = 247024,
  [SMALL_STATE(6055)] = 247087,
  [SMALL_STATE(6056)] = 247196,
  [SMALL_STATE(6057)] = 247259,
  [SMALL_STATE(6058)] = 247368,
  [SMALL_STATE(6059)] = 247431,
  [SMALL_STATE(6060)] = 247494,
  [SMALL_STATE(6061)] = 247557,
  [SMALL_STATE(6062)] = 247620,
  [SMALL_STATE(6063)] = 247729,
  [SMALL_STATE(6064)] = 247838,
  [SMALL_STATE(6065)] = 247949,
  [SMALL_STATE(6066)] = 248058,
  [SMALL_STATE(6067)] = 248167,
  [SMALL_STATE(6068)] = 248230,
  [SMALL_STATE(6069)] = 248339,
  [SMALL_STATE(6070)] = 248448,
  [SMALL_STATE(6071)] = 248557,
  [SMALL_STATE(6072)] = 248620,
  [SMALL_STATE(6073)] = 248729,
  [SMALL_STATE(6074)] = 248792,
  [SMALL_STATE(6075)] = 248901,
  [SMALL_STATE(6076)] = 248964,
  [SMALL_STATE(6077)] = 249073,
  [SMALL_STATE(6078)] = 249136,
  [SMALL_STATE(6079)] = 249245,
  [SMALL_STATE(6080)] = 249354,
  [SMALL_STATE(6081)] = 249417,
  [SMALL_STATE(6082)] = 249482,
  [SMALL_STATE(6083)] = 249545,
  [SMALL_STATE(6084)] = 249608,
  [SMALL_STATE(6085)] = 249671,
  [SMALL_STATE(6086)] = 249780,
  [SMALL_STATE(6087)] = 249843,
  [SMALL_STATE(6088)] = 249906,
  [SMALL_STATE(6089)] = 250015,
  [SMALL_STATE(6090)] = 250078,
  [SMALL_STATE(6091)] = 250141,
  [SMALL_STATE(6092)] = 250204,
  [SMALL_STATE(6093)] = 250267,
  [SMALL_STATE(6094)] = 250376,
  [SMALL_STATE(6095)] = 250439,
  [SMALL_STATE(6096)] = 250502,
  [SMALL_STATE(6097)] = 250611,
  [SMALL_STATE(6098)] = 250680,
  [SMALL_STATE(6099)] = 250743,
  [SMALL_STATE(6100)] = 250806,
  [SMALL_STATE(6101)] = 250871,
  [SMALL_STATE(6102)] = 250980,
  [SMALL_STATE(6103)] = 251089,
  [SMALL_STATE(6104)] = 251198,
  [SMALL_STATE(6105)] = 251261,
  [SMALL_STATE(6106)] = 251324,
  [SMALL_STATE(6107)] = 251433,
  [SMALL_STATE(6108)] = 251542,
  [SMALL_STATE(6109)] = 251605,
  [SMALL_STATE(6110)] = 251668,
  [SMALL_STATE(6111)] = 251731,
  [SMALL_STATE(6112)] = 251840,
  [SMALL_STATE(6113)] = 251903,
  [SMALL_STATE(6114)] = 251966,
  [SMALL_STATE(6115)] = 252075,
  [SMALL_STATE(6116)] = 252184,
  [SMALL_STATE(6117)] = 252293,
  [SMALL_STATE(6118)] = 252356,
  [SMALL_STATE(6119)] = 252419,
  [SMALL_STATE(6120)] = 252482,
  [SMALL_STATE(6121)] = 252545,
  [SMALL_STATE(6122)] = 252608,
  [SMALL_STATE(6123)] = 252671,
  [SMALL_STATE(6124)] = 252734,
  [SMALL_STATE(6125)] = 252797,
  [SMALL_STATE(6126)] = 252860,
  [SMALL_STATE(6127)] = 252969,
  [SMALL_STATE(6128)] = 253034,
  [SMALL_STATE(6129)] = 253097,
  [SMALL_STATE(6130)] = 253160,
  [SMALL_STATE(6131)] = 253223,
  [SMALL_STATE(6132)] = 253292,
  [SMALL_STATE(6133)] = 253355,
  [SMALL_STATE(6134)] = 253420,
  [SMALL_STATE(6135)] = 253483,
  [SMALL_STATE(6136)] = 253546,
  [SMALL_STATE(6137)] = 253609,
  [SMALL_STATE(6138)] = 253718,
  [SMALL_STATE(6139)] = 253781,
  [SMALL_STATE(6140)] = 253844,
  [SMALL_STATE(6141)] = 253907,
  [SMALL_STATE(6142)] = 254016,
  [SMALL_STATE(6143)] = 254081,
  [SMALL_STATE(6144)] = 254144,
  [SMALL_STATE(6145)] = 254209,
  [SMALL_STATE(6146)] = 254320,
  [SMALL_STATE(6147)] = 254429,
  [SMALL_STATE(6148)] = 254494,
  [SMALL_STATE(6149)] = 254603,
  [SMALL_STATE(6150)] = 254712,
  [SMALL_STATE(6151)] = 254775,
  [SMALL_STATE(6152)] = 254838,
  [SMALL_STATE(6153)] = 254901,
  [SMALL_STATE(6154)] = 255010,
  [SMALL_STATE(6155)] = 255119,
  [SMALL_STATE(6156)] = 255182,
  [SMALL_STATE(6157)] = 255245,
  [SMALL_STATE(6158)] = 255354,
  [SMALL_STATE(6159)] = 255417,
  [SMALL_STATE(6160)] = 255480,
  [SMALL_STATE(6161)] = 255543,
  [SMALL_STATE(6162)] = 255607,
  [SMALL_STATE(6163)] = 255669,
  [SMALL_STATE(6164)] = 255731,
  [SMALL_STATE(6165)] = 255795,
  [SMALL_STATE(6166)] = 255857,
  [SMALL_STATE(6167)] = 255921,
  [SMALL_STATE(6168)] = 255983,
  [SMALL_STATE(6169)] = 256047,
  [SMALL_STATE(6170)] = 256111,
  [SMALL_STATE(6171)] = 256173,
  [SMALL_STATE(6172)] = 256235,
  [SMALL_STATE(6173)] = 256297,
  [SMALL_STATE(6174)] = 256359,
  [SMALL_STATE(6175)] = 256421,
  [SMALL_STATE(6176)] = 256483,
  [SMALL_STATE(6177)] = 256545,
  [SMALL_STATE(6178)] = 256609,
  [SMALL_STATE(6179)] = 256671,
  [SMALL_STATE(6180)] = 256733,
  [SMALL_STATE(6181)] = 256795,
  [SMALL_STATE(6182)] = 256859,
  [SMALL_STATE(6183)] = 256921,
  [SMALL_STATE(6184)] = 256983,
  [SMALL_STATE(6185)] = 257051,
  [SMALL_STATE(6186)] = 257113,
  [SMALL_STATE(6187)] = 257175,
  [SMALL_STATE(6188)] = 257237,
  [SMALL_STATE(6189)] = 257299,
  [SMALL_STATE(6190)] = 257361,
  [SMALL_STATE(6191)] = 257423,
  [SMALL_STATE(6192)] = 257485,
  [SMALL_STATE(6193)] = 257547,
  [SMALL_STATE(6194)] = 257609,
  [SMALL_STATE(6195)] = 257671,
  [SMALL_STATE(6196)] = 257733,
  [SMALL_STATE(6197)] = 257795,
  [SMALL_STATE(6198)] = 257857,
  [SMALL_STATE(6199)] = 257919,
  [SMALL_STATE(6200)] = 257981,
  [SMALL_STATE(6201)] = 258043,
  [SMALL_STATE(6202)] = 258105,
  [SMALL_STATE(6203)] = 258167,
  [SMALL_STATE(6204)] = 258229,
  [SMALL_STATE(6205)] = 258291,
  [SMALL_STATE(6206)] = 258353,
  [SMALL_STATE(6207)] = 258415,
  [SMALL_STATE(6208)] = 258477,
  [SMALL_STATE(6209)] = 258539,
  [SMALL_STATE(6210)] = 258601,
  [SMALL_STATE(6211)] = 258663,
  [SMALL_STATE(6212)] = 258725,
  [SMALL_STATE(6213)] = 258787,
  [SMALL_STATE(6214)] = 258849,
  [SMALL_STATE(6215)] = 258911,
  [SMALL_STATE(6216)] = 258973,
  [SMALL_STATE(6217)] = 259035,
  [SMALL_STATE(6218)] = 259097,
  [SMALL_STATE(6219)] = 259159,
  [SMALL_STATE(6220)] = 259221,
  [SMALL_STATE(6221)] = 259283,
  [SMALL_STATE(6222)] = 259345,
  [SMALL_STATE(6223)] = 259407,
  [SMALL_STATE(6224)] = 259469,
  [SMALL_STATE(6225)] = 259531,
  [SMALL_STATE(6226)] = 259593,
  [SMALL_STATE(6227)] = 259657,
  [SMALL_STATE(6228)] = 259719,
  [SMALL_STATE(6229)] = 259781,
  [SMALL_STATE(6230)] = 259843,
  [SMALL_STATE(6231)] = 259907,
  [SMALL_STATE(6232)] = 259969,
  [SMALL_STATE(6233)] = 260031,
  [SMALL_STATE(6234)] = 260093,
  [SMALL_STATE(6235)] = 260155,
  [SMALL_STATE(6236)] = 260217,
  [SMALL_STATE(6237)] = 260279,
  [SMALL_STATE(6238)] = 260341,
  [SMALL_STATE(6239)] = 260403,
  [SMALL_STATE(6240)] = 260465,
  [SMALL_STATE(6241)] = 260527,
  [SMALL_STATE(6242)] = 260589,
  [SMALL_STATE(6243)] = 260651,
  [SMALL_STATE(6244)] = 260713,
  [SMALL_STATE(6245)] = 260775,
  [SMALL_STATE(6246)] = 260837,
  [SMALL_STATE(6247)] = 260899,
  [SMALL_STATE(6248)] = 260961,
  [SMALL_STATE(6249)] = 261023,
  [SMALL_STATE(6250)] = 261085,
  [SMALL_STATE(6251)] = 261147,
  [SMALL_STATE(6252)] = 261209,
  [SMALL_STATE(6253)] = 261271,
  [SMALL_STATE(6254)] = 261333,
  [SMALL_STATE(6255)] = 261395,
  [SMALL_STATE(6256)] = 261457,
  [SMALL_STATE(6257)] = 261521,
  [SMALL_STATE(6258)] = 261583,
  [SMALL_STATE(6259)] = 261645,
  [SMALL_STATE(6260)] = 261707,
  [SMALL_STATE(6261)] = 261769,
  [SMALL_STATE(6262)] = 261831,
  [SMALL_STATE(6263)] = 261893,
  [SMALL_STATE(6264)] = 261955,
  [SMALL_STATE(6265)] = 262017,
  [SMALL_STATE(6266)] = 262079,
  [SMALL_STATE(6267)] = 262141,
  [SMALL_STATE(6268)] = 262203,
  [SMALL_STATE(6269)] = 262265,
  [SMALL_STATE(6270)] = 262327,
  [SMALL_STATE(6271)] = 262395,
  [SMALL_STATE(6272)] = 262457,
  [SMALL_STATE(6273)] = 262519,
  [SMALL_STATE(6274)] = 262581,
  [SMALL_STATE(6275)] = 262643,
  [SMALL_STATE(6276)] = 262705,
  [SMALL_STATE(6277)] = 262767,
  [SMALL_STATE(6278)] = 262829,
  [SMALL_STATE(6279)] = 262891,
  [SMALL_STATE(6280)] = 262953,
  [SMALL_STATE(6281)] = 263015,
  [SMALL_STATE(6282)] = 263077,
  [SMALL_STATE(6283)] = 263139,
  [SMALL_STATE(6284)] = 263203,
  [SMALL_STATE(6285)] = 263265,
  [SMALL_STATE(6286)] = 263327,
  [SMALL_STATE(6287)] = 263389,
  [SMALL_STATE(6288)] = 263451,
  [SMALL_STATE(6289)] = 263513,
  [SMALL_STATE(6290)] = 263575,
  [SMALL_STATE(6291)] = 263637,
  [SMALL_STATE(6292)] = 263699,
  [SMALL_STATE(6293)] = 263761,
  [SMALL_STATE(6294)] = 263823,
  [SMALL_STATE(6295)] = 263885,
  [SMALL_STATE(6296)] = 263947,
  [SMALL_STATE(6297)] = 264009,
  [SMALL_STATE(6298)] = 264073,
  [SMALL_STATE(6299)] = 264135,
  [SMALL_STATE(6300)] = 264197,
  [SMALL_STATE(6301)] = 264265,
  [SMALL_STATE(6302)] = 264327,
  [SMALL_STATE(6303)] = 264389,
  [SMALL_STATE(6304)] = 264453,
  [SMALL_STATE(6305)] = 264515,
  [SMALL_STATE(6306)] = 264577,
  [SMALL_STATE(6307)] = 264639,
  [SMALL_STATE(6308)] = 264701,
  [SMALL_STATE(6309)] = 264763,
  [SMALL_STATE(6310)] = 264825,
  [SMALL_STATE(6311)] = 264887,
  [SMALL_STATE(6312)] = 264949,
  [SMALL_STATE(6313)] = 265011,
  [SMALL_STATE(6314)] = 265073,
  [SMALL_STATE(6315)] = 265135,
  [SMALL_STATE(6316)] = 265197,
  [SMALL_STATE(6317)] = 265259,
  [SMALL_STATE(6318)] = 265321,
  [SMALL_STATE(6319)] = 265383,
  [SMALL_STATE(6320)] = 265445,
  [SMALL_STATE(6321)] = 265507,
  [SMALL_STATE(6322)] = 265569,
  [SMALL_STATE(6323)] = 265637,
  [SMALL_STATE(6324)] = 265699,
  [SMALL_STATE(6325)] = 265763,
  [SMALL_STATE(6326)] = 265825,
  [SMALL_STATE(6327)] = 265887,
  [SMALL_STATE(6328)] = 265949,
  [SMALL_STATE(6329)] = 266013,
  [SMALL_STATE(6330)] = 266075,
  [SMALL_STATE(6331)] = 266137,
  [SMALL_STATE(6332)] = 266199,
  [SMALL_STATE(6333)] = 266261,
  [SMALL_STATE(6334)] = 266323,
  [SMALL_STATE(6335)] = 266385,
  [SMALL_STATE(6336)] = 266447,
  [SMALL_STATE(6337)] = 266509,
  [SMALL_STATE(6338)] = 266571,
  [SMALL_STATE(6339)] = 266633,
  [SMALL_STATE(6340)] = 266695,
  [SMALL_STATE(6341)] = 266757,
  [SMALL_STATE(6342)] = 266819,
  [SMALL_STATE(6343)] = 266881,
  [SMALL_STATE(6344)] = 266942,
  [SMALL_STATE(6345)] = 267003,
  [SMALL_STATE(6346)] = 267064,
  [SMALL_STATE(6347)] = 267125,
  [SMALL_STATE(6348)] = 267186,
  [SMALL_STATE(6349)] = 267247,
  [SMALL_STATE(6350)] = 267308,
  [SMALL_STATE(6351)] = 267369,
  [SMALL_STATE(6352)] = 267430,
  [SMALL_STATE(6353)] = 267491,
  [SMALL_STATE(6354)] = 267552,
  [SMALL_STATE(6355)] = 267613,
  [SMALL_STATE(6356)] = 267674,
  [SMALL_STATE(6357)] = 267735,
  [SMALL_STATE(6358)] = 267796,
  [SMALL_STATE(6359)] = 267857,
  [SMALL_STATE(6360)] = 267918,
  [SMALL_STATE(6361)] = 267979,
  [SMALL_STATE(6362)] = 268040,
  [SMALL_STATE(6363)] = 268101,
  [SMALL_STATE(6364)] = 268162,
  [SMALL_STATE(6365)] = 268223,
  [SMALL_STATE(6366)] = 268284,
  [SMALL_STATE(6367)] = 268347,
  [SMALL_STATE(6368)] = 268412,
  [SMALL_STATE(6369)] = 268473,
  [SMALL_STATE(6370)] = 268534,
  [SMALL_STATE(6371)] = 268601,
  [SMALL_STATE(6372)] = 268662,
  [SMALL_STATE(6373)] = 268725,
  [SMALL_STATE(6374)] = 268786,
  [SMALL_STATE(6375)] = 268847,
  [SMALL_STATE(6376)] = 268908,
  [SMALL_STATE(6377)] = 268969,
  [SMALL_STATE(6378)] = 269030,
  [SMALL_STATE(6379)] = 269093,
  [SMALL_STATE(6380)] = 269154,
  [SMALL_STATE(6381)] = 269215,
  [SMALL_STATE(6382)] = 269276,
  [SMALL_STATE(6383)] = 269337,
  [SMALL_STATE(6384)] = 269398,
  [SMALL_STATE(6385)] = 269459,
  [SMALL_STATE(6386)] = 269520,
  [SMALL_STATE(6387)] = 269581,
  [SMALL_STATE(6388)] = 269642,
  [SMALL_STATE(6389)] = 269705,
  [SMALL_STATE(6390)] = 269766,
  [SMALL_STATE(6391)] = 269827,
  [SMALL_STATE(6392)] = 269890,
  [SMALL_STATE(6393)] = 269953,
  [SMALL_STATE(6394)] = 270014,
  [SMALL_STATE(6395)] = 270075,
  [SMALL_STATE(6396)] = 270136,
  [SMALL_STATE(6397)] = 270197,
  [SMALL_STATE(6398)] = 270258,
  [SMALL_STATE(6399)] = 270319,
  [SMALL_STATE(6400)] = 270380,
  [SMALL_STATE(6401)] = 270441,
  [SMALL_STATE(6402)] = 270502,
  [SMALL_STATE(6403)] = 270563,
  [SMALL_STATE(6404)] = 270624,
  [SMALL_STATE(6405)] = 270687,
  [SMALL_STATE(6406)] = 270748,
  [SMALL_STATE(6407)] = 270809,
  [SMALL_STATE(6408)] = 270870,
  [SMALL_STATE(6409)] = 270931,
  [SMALL_STATE(6410)] = 270994,
  [SMALL_STATE(6411)] = 271055,
  [SMALL_STATE(6412)] = 271116,
  [SMALL_STATE(6413)] = 271177,
  [SMALL_STATE(6414)] = 271238,
  [SMALL_STATE(6415)] = 271299,
  [SMALL_STATE(6416)] = 271360,
  [SMALL_STATE(6417)] = 271421,
  [SMALL_STATE(6418)] = 271482,
  [SMALL_STATE(6419)] = 271543,
  [SMALL_STATE(6420)] = 271604,
  [SMALL_STATE(6421)] = 271665,
  [SMALL_STATE(6422)] = 271726,
  [SMALL_STATE(6423)] = 271787,
  [SMALL_STATE(6424)] = 271848,
  [SMALL_STATE(6425)] = 271909,
  [SMALL_STATE(6426)] = 271970,
  [SMALL_STATE(6427)] = 272031,
  [SMALL_STATE(6428)] = 272092,
  [SMALL_STATE(6429)] = 272153,
  [SMALL_STATE(6430)] = 272214,
  [SMALL_STATE(6431)] = 272275,
  [SMALL_STATE(6432)] = 272336,
  [SMALL_STATE(6433)] = 272397,
  [SMALL_STATE(6434)] = 272458,
  [SMALL_STATE(6435)] = 272519,
  [SMALL_STATE(6436)] = 272580,
  [SMALL_STATE(6437)] = 272641,
  [SMALL_STATE(6438)] = 272702,
  [SMALL_STATE(6439)] = 272763,
  [SMALL_STATE(6440)] = 272824,
  [SMALL_STATE(6441)] = 272885,
  [SMALL_STATE(6442)] = 272946,
  [SMALL_STATE(6443)] = 273007,
  [SMALL_STATE(6444)] = 273068,
  [SMALL_STATE(6445)] = 273129,
  [SMALL_STATE(6446)] = 273190,
  [SMALL_STATE(6447)] = 273251,
  [SMALL_STATE(6448)] = 273312,
  [SMALL_STATE(6449)] = 273373,
  [SMALL_STATE(6450)] = 273440,
  [SMALL_STATE(6451)] = 273501,
  [SMALL_STATE(6452)] = 273562,
  [SMALL_STATE(6453)] = 273623,
  [SMALL_STATE(6454)] = 273684,
  [SMALL_STATE(6455)] = 273745,
  [SMALL_STATE(6456)] = 273808,
  [SMALL_STATE(6457)] = 273869,
  [SMALL_STATE(6458)] = 273930,
  [SMALL_STATE(6459)] = 273991,
  [SMALL_STATE(6460)] = 274052,
  [SMALL_STATE(6461)] = 274113,
  [SMALL_STATE(6462)] = 274174,
  [SMALL_STATE(6463)] = 274235,
  [SMALL_STATE(6464)] = 274296,
  [SMALL_STATE(6465)] = 274357,
  [SMALL_STATE(6466)] = 274418,
  [SMALL_STATE(6467)] = 274479,
  [SMALL_STATE(6468)] = 274540,
  [SMALL_STATE(6469)] = 274601,
  [SMALL_STATE(6470)] = 274662,
  [SMALL_STATE(6471)] = 274723,
  [SMALL_STATE(6472)] = 274784,
  [SMALL_STATE(6473)] = 274845,
  [SMALL_STATE(6474)] = 274906,
  [SMALL_STATE(6475)] = 274967,
  [SMALL_STATE(6476)] = 275028,
  [SMALL_STATE(6477)] = 275089,
  [SMALL_STATE(6478)] = 275150,
  [SMALL_STATE(6479)] = 275211,
  [SMALL_STATE(6480)] = 275272,
  [SMALL_STATE(6481)] = 275333,
  [SMALL_STATE(6482)] = 275396,
  [SMALL_STATE(6483)] = 275457,
  [SMALL_STATE(6484)] = 275518,
  [SMALL_STATE(6485)] = 275579,
  [SMALL_STATE(6486)] = 275640,
  [SMALL_STATE(6487)] = 275701,
  [SMALL_STATE(6488)] = 275762,
  [SMALL_STATE(6489)] = 275825,
  [SMALL_STATE(6490)] = 275886,
  [SMALL_STATE(6491)] = 275947,
  [SMALL_STATE(6492)] = 276008,
  [SMALL_STATE(6493)] = 276069,
  [SMALL_STATE(6494)] = 276130,
  [SMALL_STATE(6495)] = 276191,
  [SMALL_STATE(6496)] = 276252,
  [SMALL_STATE(6497)] = 276313,
  [SMALL_STATE(6498)] = 276374,
  [SMALL_STATE(6499)] = 276435,
  [SMALL_STATE(6500)] = 276496,
  [SMALL_STATE(6501)] = 276556,
  [SMALL_STATE(6502)] = 276616,
  [SMALL_STATE(6503)] = 276676,
  [SMALL_STATE(6504)] = 276736,
  [SMALL_STATE(6505)] = 276796,
  [SMALL_STATE(6506)] = 276856,
  [SMALL_STATE(6507)] = 276916,
  [SMALL_STATE(6508)] = 276976,
  [SMALL_STATE(6509)] = 277036,
  [SMALL_STATE(6510)] = 277096,
  [SMALL_STATE(6511)] = 277156,
  [SMALL_STATE(6512)] = 277216,
  [SMALL_STATE(6513)] = 277276,
  [SMALL_STATE(6514)] = 277336,
  [SMALL_STATE(6515)] = 277396,
  [SMALL_STATE(6516)] = 277456,
  [SMALL_STATE(6517)] = 277516,
  [SMALL_STATE(6518)] = 277576,
  [SMALL_STATE(6519)] = 277636,
  [SMALL_STATE(6520)] = 277696,
  [SMALL_STATE(6521)] = 277756,
  [SMALL_STATE(6522)] = 277816,
  [SMALL_STATE(6523)] = 277876,
  [SMALL_STATE(6524)] = 277936,
  [SMALL_STATE(6525)] = 277996,
  [SMALL_STATE(6526)] = 278056,
  [SMALL_STATE(6527)] = 278116,
  [SMALL_STATE(6528)] = 278176,
  [SMALL_STATE(6529)] = 278236,
  [SMALL_STATE(6530)] = 278296,
  [SMALL_STATE(6531)] = 278356,
  [SMALL_STATE(6532)] = 278416,
  [SMALL_STATE(6533)] = 278476,
  [SMALL_STATE(6534)] = 278536,
  [SMALL_STATE(6535)] = 278596,
  [SMALL_STATE(6536)] = 278656,
  [SMALL_STATE(6537)] = 278716,
  [SMALL_STATE(6538)] = 278776,
  [SMALL_STATE(6539)] = 278836,
  [SMALL_STATE(6540)] = 278896,
  [SMALL_STATE(6541)] = 278956,
  [SMALL_STATE(6542)] = 279016,
  [SMALL_STATE(6543)] = 279076,
  [SMALL_STATE(6544)] = 279136,
  [SMALL_STATE(6545)] = 279196,
  [SMALL_STATE(6546)] = 279256,
  [SMALL_STATE(6547)] = 279316,
  [SMALL_STATE(6548)] = 279378,
  [SMALL_STATE(6549)] = 279438,
  [SMALL_STATE(6550)] = 279498,
  [SMALL_STATE(6551)] = 279558,
  [SMALL_STATE(6552)] = 279618,
  [SMALL_STATE(6553)] = 279678,
  [SMALL_STATE(6554)] = 279738,
  [SMALL_STATE(6555)] = 279798,
  [SMALL_STATE(6556)] = 279860,
  [SMALL_STATE(6557)] = 279920,
  [SMALL_STATE(6558)] = 279980,
  [SMALL_STATE(6559)] = 280040,
  [SMALL_STATE(6560)] = 280100,
  [SMALL_STATE(6561)] = 280160,
  [SMALL_STATE(6562)] = 280220,
  [SMALL_STATE(6563)] = 280280,
  [SMALL_STATE(6564)] = 280340,
  [SMALL_STATE(6565)] = 280402,
  [SMALL_STATE(6566)] = 280466,
  [SMALL_STATE(6567)] = 280526,
  [SMALL_STATE(6568)] = 280588,
  [SMALL_STATE(6569)] = 280648,
  [SMALL_STATE(6570)] = 280708,
  [SMALL_STATE(6571)] = 280768,
  [SMALL_STATE(6572)] = 280830,
  [SMALL_STATE(6573)] = 280890,
  [SMALL_STATE(6574)] = 280950,
  [SMALL_STATE(6575)] = 281010,
  [SMALL_STATE(6576)] = 281070,
  [SMALL_STATE(6577)] = 281134,
  [SMALL_STATE(6578)] = 281194,
  [SMALL_STATE(6579)] = 281254,
  [SMALL_STATE(6580)] = 281314,
  [SMALL_STATE(6581)] = 281376,
  [SMALL_STATE(6582)] = 281436,
  [SMALL_STATE(6583)] = 281496,
  [SMALL_STATE(6584)] = 281556,
  [SMALL_STATE(6585)] = 281616,
  [SMALL_STATE(6586)] = 281676,
  [SMALL_STATE(6587)] = 281736,
  [SMALL_STATE(6588)] = 281796,
  [SMALL_STATE(6589)] = 281856,
  [SMALL_STATE(6590)] = 281916,
  [SMALL_STATE(6591)] = 281976,
  [SMALL_STATE(6592)] = 282036,
  [SMALL_STATE(6593)] = 282096,
  [SMALL_STATE(6594)] = 282156,
  [SMALL_STATE(6595)] = 282216,
  [SMALL_STATE(6596)] = 282276,
  [SMALL_STATE(6597)] = 282336,
  [SMALL_STATE(6598)] = 282396,
  [SMALL_STATE(6599)] = 282456,
  [SMALL_STATE(6600)] = 282516,
  [SMALL_STATE(6601)] = 282576,
  [SMALL_STATE(6602)] = 282636,
  [SMALL_STATE(6603)] = 282696,
  [SMALL_STATE(6604)] = 282756,
  [SMALL_STATE(6605)] = 282816,
  [SMALL_STATE(6606)] = 282876,
  [SMALL_STATE(6607)] = 282936,
  [SMALL_STATE(6608)] = 282996,
  [SMALL_STATE(6609)] = 283056,
  [SMALL_STATE(6610)] = 283116,
  [SMALL_STATE(6611)] = 283176,
  [SMALL_STATE(6612)] = 283236,
  [SMALL_STATE(6613)] = 283298,
  [SMALL_STATE(6614)] = 283358,
  [SMALL_STATE(6615)] = 283418,
  [SMALL_STATE(6616)] = 283478,
  [SMALL_STATE(6617)] = 283538,
  [SMALL_STATE(6618)] = 283598,
  [SMALL_STATE(6619)] = 283658,
  [SMALL_STATE(6620)] = 283718,
  [SMALL_STATE(6621)] = 283778,
  [SMALL_STATE(6622)] = 283838,
  [SMALL_STATE(6623)] = 283898,
  [SMALL_STATE(6624)] = 283958,
  [SMALL_STATE(6625)] = 284018,
  [SMALL_STATE(6626)] = 284080,
  [SMALL_STATE(6627)] = 284140,
  [SMALL_STATE(6628)] = 284202,
  [SMALL_STATE(6629)] = 284261,
  [SMALL_STATE(6630)] = 284320,
  [SMALL_STATE(6631)] = 284379,
  [SMALL_STATE(6632)] = 284438,
  [SMALL_STATE(6633)] = 284499,
  [SMALL_STATE(6634)] = 284558,
  [SMALL_STATE(6635)] = 284617,
  [SMALL_STATE(6636)] = 284676,
  [SMALL_STATE(6637)] = 284735,
  [SMALL_STATE(6638)] = 284794,
  [SMALL_STATE(6639)] = 284853,
  [SMALL_STATE(6640)] = 284912,
  [SMALL_STATE(6641)] = 284971,
  [SMALL_STATE(6642)] = 285030,
  [SMALL_STATE(6643)] = 285089,
  [SMALL_STATE(6644)] = 285148,
  [SMALL_STATE(6645)] = 285207,
  [SMALL_STATE(6646)] = 285266,
  [SMALL_STATE(6647)] = 285325,
  [SMALL_STATE(6648)] = 285384,
  [SMALL_STATE(6649)] = 285445,
  [SMALL_STATE(6650)] = 285504,
  [SMALL_STATE(6651)] = 285563,
  [SMALL_STATE(6652)] = 285624,
  [SMALL_STATE(6653)] = 285683,
  [SMALL_STATE(6654)] = 285744,
  [SMALL_STATE(6655)] = 285803,
  [SMALL_STATE(6656)] = 285862,
  [SMALL_STATE(6657)] = 285921,
  [SMALL_STATE(6658)] = 285980,
  [SMALL_STATE(6659)] = 286039,
  [SMALL_STATE(6660)] = 286098,
  [SMALL_STATE(6661)] = 286157,
  [SMALL_STATE(6662)] = 286216,
  [SMALL_STATE(6663)] = 286275,
  [SMALL_STATE(6664)] = 286334,
  [SMALL_STATE(6665)] = 286393,
  [SMALL_STATE(6666)] = 286452,
  [SMALL_STATE(6667)] = 286517,
  [SMALL_STATE(6668)] = 286576,
  [SMALL_STATE(6669)] = 286635,
  [SMALL_STATE(6670)] = 286694,
  [SMALL_STATE(6671)] = 286753,
  [SMALL_STATE(6672)] = 286812,
  [SMALL_STATE(6673)] = 286871,
  [SMALL_STATE(6674)] = 286930,
  [SMALL_STATE(6675)] = 286989,
  [SMALL_STATE(6676)] = 287048,
  [SMALL_STATE(6677)] = 287107,
  [SMALL_STATE(6678)] = 287166,
  [SMALL_STATE(6679)] = 287225,
  [SMALL_STATE(6680)] = 287284,
  [SMALL_STATE(6681)] = 287343,
  [SMALL_STATE(6682)] = 287402,
  [SMALL_STATE(6683)] = 287461,
  [SMALL_STATE(6684)] = 287520,
  [SMALL_STATE(6685)] = 287579,
  [SMALL_STATE(6686)] = 287638,
  [SMALL_STATE(6687)] = 287697,
  [SMALL_STATE(6688)] = 287756,
  [SMALL_STATE(6689)] = 287815,
  [SMALL_STATE(6690)] = 287874,
  [SMALL_STATE(6691)] = 287933,
  [SMALL_STATE(6692)] = 287992,
  [SMALL_STATE(6693)] = 288057,
  [SMALL_STATE(6694)] = 288116,
  [SMALL_STATE(6695)] = 288175,
  [SMALL_STATE(6696)] = 288234,
  [SMALL_STATE(6697)] = 288293,
  [SMALL_STATE(6698)] = 288352,
  [SMALL_STATE(6699)] = 288411,
  [SMALL_STATE(6700)] = 288470,
  [SMALL_STATE(6701)] = 288529,
  [SMALL_STATE(6702)] = 288588,
  [SMALL_STATE(6703)] = 288647,
  [SMALL_STATE(6704)] = 288706,
  [SMALL_STATE(6705)] = 288765,
  [SMALL_STATE(6706)] = 288824,
  [SMALL_STATE(6707)] = 288883,
  [SMALL_STATE(6708)] = 288942,
  [SMALL_STATE(6709)] = 289001,
  [SMALL_STATE(6710)] = 289060,
  [SMALL_STATE(6711)] = 289119,
  [SMALL_STATE(6712)] = 289180,
  [SMALL_STATE(6713)] = 289239,
  [SMALL_STATE(6714)] = 289298,
  [SMALL_STATE(6715)] = 289357,
  [SMALL_STATE(6716)] = 289416,
  [SMALL_STATE(6717)] = 289475,
  [SMALL_STATE(6718)] = 289534,
  [SMALL_STATE(6719)] = 289593,
  [SMALL_STATE(6720)] = 289652,
  [SMALL_STATE(6721)] = 289711,
  [SMALL_STATE(6722)] = 289770,
  [SMALL_STATE(6723)] = 289829,
  [SMALL_STATE(6724)] = 289892,
  [SMALL_STATE(6725)] = 289951,
  [SMALL_STATE(6726)] = 290010,
  [SMALL_STATE(6727)] = 290069,
  [SMALL_STATE(6728)] = 290128,
  [SMALL_STATE(6729)] = 290187,
  [SMALL_STATE(6730)] = 290246,
  [SMALL_STATE(6731)] = 290305,
  [SMALL_STATE(6732)] = 290364,
  [SMALL_STATE(6733)] = 290425,
  [SMALL_STATE(6734)] = 290484,
  [SMALL_STATE(6735)] = 290543,
  [SMALL_STATE(6736)] = 290602,
  [SMALL_STATE(6737)] = 290661,
  [SMALL_STATE(6738)] = 290720,
  [SMALL_STATE(6739)] = 290779,
  [SMALL_STATE(6740)] = 290838,
  [SMALL_STATE(6741)] = 290897,
  [SMALL_STATE(6742)] = 290956,
  [SMALL_STATE(6743)] = 291015,
  [SMALL_STATE(6744)] = 291074,
  [SMALL_STATE(6745)] = 291133,
  [SMALL_STATE(6746)] = 291192,
  [SMALL_STATE(6747)] = 291251,
  [SMALL_STATE(6748)] = 291312,
  [SMALL_STATE(6749)] = 291371,
  [SMALL_STATE(6750)] = 291430,
  [SMALL_STATE(6751)] = 291489,
  [SMALL_STATE(6752)] = 291548,
  [SMALL_STATE(6753)] = 291607,
  [SMALL_STATE(6754)] = 291666,
  [SMALL_STATE(6755)] = 291725,
  [SMALL_STATE(6756)] = 291784,
  [SMALL_STATE(6757)] = 291843,
  [SMALL_STATE(6758)] = 291904,
  [SMALL_STATE(6759)] = 291963,
  [SMALL_STATE(6760)] = 292022,
  [SMALL_STATE(6761)] = 292081,
  [SMALL_STATE(6762)] = 292140,
  [SMALL_STATE(6763)] = 292199,
  [SMALL_STATE(6764)] = 292260,
  [SMALL_STATE(6765)] = 292319,
  [SMALL_STATE(6766)] = 292378,
  [SMALL_STATE(6767)] = 292436,
  [SMALL_STATE(6768)] = 292494,
  [SMALL_STATE(6769)] = 292552,
  [SMALL_STATE(6770)] = 292610,
  [SMALL_STATE(6771)] = 292668,
  [SMALL_STATE(6772)] = 292726,
  [SMALL_STATE(6773)] = 292784,
  [SMALL_STATE(6774)] = 292842,
  [SMALL_STATE(6775)] = 292900,
  [SMALL_STATE(6776)] = 292998,
  [SMALL_STATE(6777)] = 293056,
  [SMALL_STATE(6778)] = 293114,
  [SMALL_STATE(6779)] = 293172,
  [SMALL_STATE(6780)] = 293230,
  [SMALL_STATE(6781)] = 293288,
  [SMALL_STATE(6782)] = 293346,
  [SMALL_STATE(6783)] = 293404,
  [SMALL_STATE(6784)] = 293462,
  [SMALL_STATE(6785)] = 293520,
  [SMALL_STATE(6786)] = 293584,
  [SMALL_STATE(6787)] = 293682,
  [SMALL_STATE(6788)] = 293740,
  [SMALL_STATE(6789)] = 293798,
  [SMALL_STATE(6790)] = 293896,
  [SMALL_STATE(6791)] = 293994,
  [SMALL_STATE(6792)] = 294052,
  [SMALL_STATE(6793)] = 294110,
  [SMALL_STATE(6794)] = 294168,
  [SMALL_STATE(6795)] = 294226,
  [SMALL_STATE(6796)] = 294284,
  [SMALL_STATE(6797)] = 294342,
  [SMALL_STATE(6798)] = 294400,
  [SMALL_STATE(6799)] = 294498,
  [SMALL_STATE(6800)] = 294556,
  [SMALL_STATE(6801)] = 294614,
  [SMALL_STATE(6802)] = 294672,
  [SMALL_STATE(6803)] = 294730,
  [SMALL_STATE(6804)] = 294788,
  [SMALL_STATE(6805)] = 294846,
  [SMALL_STATE(6806)] = 294906,
  [SMALL_STATE(6807)] = 294964,
  [SMALL_STATE(6808)] = 295022,
  [SMALL_STATE(6809)] = 295082,
  [SMALL_STATE(6810)] = 295140,
  [SMALL_STATE(6811)] = 295198,
  [SMALL_STATE(6812)] = 295256,
  [SMALL_STATE(6813)] = 295314,
  [SMALL_STATE(6814)] = 295412,
  [SMALL_STATE(6815)] = 295470,
  [SMALL_STATE(6816)] = 295528,
  [SMALL_STATE(6817)] = 295586,
  [SMALL_STATE(6818)] = 295644,
  [SMALL_STATE(6819)] = 295702,
  [SMALL_STATE(6820)] = 295760,
  [SMALL_STATE(6821)] = 295858,
  [SMALL_STATE(6822)] = 295916,
  [SMALL_STATE(6823)] = 295974,
  [SMALL_STATE(6824)] = 296032,
  [SMALL_STATE(6825)] = 296092,
  [SMALL_STATE(6826)] = 296150,
  [SMALL_STATE(6827)] = 296248,
  [SMALL_STATE(6828)] = 296308,
  [SMALL_STATE(6829)] = 296366,
  [SMALL_STATE(6830)] = 296424,
  [SMALL_STATE(6831)] = 296482,
  [SMALL_STATE(6832)] = 296540,
  [SMALL_STATE(6833)] = 296598,
  [SMALL_STATE(6834)] = 296656,
  [SMALL_STATE(6835)] = 296714,
  [SMALL_STATE(6836)] = 296772,
  [SMALL_STATE(6837)] = 296830,
  [SMALL_STATE(6838)] = 296888,
  [SMALL_STATE(6839)] = 296946,
  [SMALL_STATE(6840)] = 297004,
  [SMALL_STATE(6841)] = 297062,
  [SMALL_STATE(6842)] = 297122,
  [SMALL_STATE(6843)] = 297180,
  [SMALL_STATE(6844)] = 297240,
  [SMALL_STATE(6845)] = 297298,
  [SMALL_STATE(6846)] = 297356,
  [SMALL_STATE(6847)] = 297414,
  [SMALL_STATE(6848)] = 297472,
  [SMALL_STATE(6849)] = 297530,
  [SMALL_STATE(6850)] = 297588,
  [SMALL_STATE(6851)] = 297652,
  [SMALL_STATE(6852)] = 297710,
  [SMALL_STATE(6853)] = 297768,
  [SMALL_STATE(6854)] = 297826,
  [SMALL_STATE(6855)] = 297884,
  [SMALL_STATE(6856)] = 297982,
  [SMALL_STATE(6857)] = 298040,
  [SMALL_STATE(6858)] = 298098,
  [SMALL_STATE(6859)] = 298156,
  [SMALL_STATE(6860)] = 298214,
  [SMALL_STATE(6861)] = 298272,
  [SMALL_STATE(6862)] = 298329,
  [SMALL_STATE(6863)] = 298386,
  [SMALL_STATE(6864)] = 298443,
  [SMALL_STATE(6865)] = 298500,
  [SMALL_STATE(6866)] = 298557,
  [SMALL_STATE(6867)] = 298614,
  [SMALL_STATE(6868)] = 298671,
  [SMALL_STATE(6869)] = 298728,
  [SMALL_STATE(6870)] = 298785,
  [SMALL_STATE(6871)] = 298842,
  [SMALL_STATE(6872)] = 298899,
  [SMALL_STATE(6873)] = 298956,
  [SMALL_STATE(6874)] = 299013,
  [SMALL_STATE(6875)] = 299070,
  [SMALL_STATE(6876)] = 299127,
  [SMALL_STATE(6877)] = 299184,
  [SMALL_STATE(6878)] = 299241,
  [SMALL_STATE(6879)] = 299298,
  [SMALL_STATE(6880)] = 299355,
  [SMALL_STATE(6881)] = 299412,
  [SMALL_STATE(6882)] = 299469,
  [SMALL_STATE(6883)] = 299526,
  [SMALL_STATE(6884)] = 299583,
  [SMALL_STATE(6885)] = 299642,
  [SMALL_STATE(6886)] = 299699,
  [SMALL_STATE(6887)] = 299756,
  [SMALL_STATE(6888)] = 299813,
  [SMALL_STATE(6889)] = 299870,
  [SMALL_STATE(6890)] = 299927,
  [SMALL_STATE(6891)] = 299984,
  [SMALL_STATE(6892)] = 300041,
  [SMALL_STATE(6893)] = 300098,
  [SMALL_STATE(6894)] = 300155,
  [SMALL_STATE(6895)] = 300212,
  [SMALL_STATE(6896)] = 300269,
  [SMALL_STATE(6897)] = 300326,
  [SMALL_STATE(6898)] = 300383,
  [SMALL_STATE(6899)] = 300440,
  [SMALL_STATE(6900)] = 300497,
  [SMALL_STATE(6901)] = 300554,
  [SMALL_STATE(6902)] = 300611,
  [SMALL_STATE(6903)] = 300668,
  [SMALL_STATE(6904)] = 300725,
  [SMALL_STATE(6905)] = 300782,
  [SMALL_STATE(6906)] = 300839,
  [SMALL_STATE(6907)] = 300896,
  [SMALL_STATE(6908)] = 300953,
  [SMALL_STATE(6909)] = 301010,
  [SMALL_STATE(6910)] = 301067,
  [SMALL_STATE(6911)] = 301124,
  [SMALL_STATE(6912)] = 301181,
  [SMALL_STATE(6913)] = 301238,
  [SMALL_STATE(6914)] = 301295,
  [SMALL_STATE(6915)] = 301352,
  [SMALL_STATE(6916)] = 301409,
  [SMALL_STATE(6917)] = 301466,
  [SMALL_STATE(6918)] = 301523,
  [SMALL_STATE(6919)] = 301580,
  [SMALL_STATE(6920)] = 301637,
  [SMALL_STATE(6921)] = 301694,
  [SMALL_STATE(6922)] = 301751,
  [SMALL_STATE(6923)] = 301808,
  [SMALL_STATE(6924)] = 301867,
  [SMALL_STATE(6925)] = 301926,
  [SMALL_STATE(6926)] = 301983,
  [SMALL_STATE(6927)] = 302040,
  [SMALL_STATE(6928)] = 302097,
  [SMALL_STATE(6929)] = 302154,
  [SMALL_STATE(6930)] = 302211,
  [SMALL_STATE(6931)] = 302268,
  [SMALL_STATE(6932)] = 302325,
  [SMALL_STATE(6933)] = 302384,
  [SMALL_STATE(6934)] = 302441,
  [SMALL_STATE(6935)] = 302498,
  [SMALL_STATE(6936)] = 302555,
  [SMALL_STATE(6937)] = 302612,
  [SMALL_STATE(6938)] = 302669,
  [SMALL_STATE(6939)] = 302726,
  [SMALL_STATE(6940)] = 302783,
  [SMALL_STATE(6941)] = 302840,
  [SMALL_STATE(6942)] = 302897,
  [SMALL_STATE(6943)] = 302954,
  [SMALL_STATE(6944)] = 303011,
  [SMALL_STATE(6945)] = 303068,
  [SMALL_STATE(6946)] = 303125,
  [SMALL_STATE(6947)] = 303182,
  [SMALL_STATE(6948)] = 303239,
  [SMALL_STATE(6949)] = 303296,
  [SMALL_STATE(6950)] = 303353,
  [SMALL_STATE(6951)] = 303410,
  [SMALL_STATE(6952)] = 303467,
  [SMALL_STATE(6953)] = 303524,
  [SMALL_STATE(6954)] = 303581,
  [SMALL_STATE(6955)] = 303638,
  [SMALL_STATE(6956)] = 303695,
  [SMALL_STATE(6957)] = 303752,
  [SMALL_STATE(6958)] = 303809,
  [SMALL_STATE(6959)] = 303868,
  [SMALL_STATE(6960)] = 303925,
  [SMALL_STATE(6961)] = 303982,
  [SMALL_STATE(6962)] = 304039,
  [SMALL_STATE(6963)] = 304096,
  [SMALL_STATE(6964)] = 304153,
  [SMALL_STATE(6965)] = 304210,
  [SMALL_STATE(6966)] = 304267,
  [SMALL_STATE(6967)] = 304324,
  [SMALL_STATE(6968)] = 304381,
  [SMALL_STATE(6969)] = 304438,
  [SMALL_STATE(6970)] = 304495,
  [SMALL_STATE(6971)] = 304552,
  [SMALL_STATE(6972)] = 304609,
  [SMALL_STATE(6973)] = 304668,
  [SMALL_STATE(6974)] = 304725,
  [SMALL_STATE(6975)] = 304782,
  [SMALL_STATE(6976)] = 304839,
  [SMALL_STATE(6977)] = 304896,
  [SMALL_STATE(6978)] = 304953,
  [SMALL_STATE(6979)] = 305010,
  [SMALL_STATE(6980)] = 305067,
  [SMALL_STATE(6981)] = 305124,
  [SMALL_STATE(6982)] = 305181,
  [SMALL_STATE(6983)] = 305238,
  [SMALL_STATE(6984)] = 305295,
  [SMALL_STATE(6985)] = 305352,
  [SMALL_STATE(6986)] = 305409,
  [SMALL_STATE(6987)] = 305466,
  [SMALL_STATE(6988)] = 305523,
  [SMALL_STATE(6989)] = 305580,
  [SMALL_STATE(6990)] = 305637,
  [SMALL_STATE(6991)] = 305694,
  [SMALL_STATE(6992)] = 305751,
  [SMALL_STATE(6993)] = 305808,
  [SMALL_STATE(6994)] = 305865,
  [SMALL_STATE(6995)] = 305922,
  [SMALL_STATE(6996)] = 305979,
  [SMALL_STATE(6997)] = 306038,
  [SMALL_STATE(6998)] = 306095,
  [SMALL_STATE(6999)] = 306152,
  [SMALL_STATE(7000)] = 306209,
  [SMALL_STATE(7001)] = 306266,
  [SMALL_STATE(7002)] = 306323,
  [SMALL_STATE(7003)] = 306380,
  [SMALL_STATE(7004)] = 306437,
  [SMALL_STATE(7005)] = 306494,
  [SMALL_STATE(7006)] = 306551,
  [SMALL_STATE(7007)] = 306608,
  [SMALL_STATE(7008)] = 306665,
  [SMALL_STATE(7009)] = 306722,
  [SMALL_STATE(7010)] = 306779,
  [SMALL_STATE(7011)] = 306836,
  [SMALL_STATE(7012)] = 306893,
  [SMALL_STATE(7013)] = 306950,
  [SMALL_STATE(7014)] = 307007,
  [SMALL_STATE(7015)] = 307064,
  [SMALL_STATE(7016)] = 307121,
  [SMALL_STATE(7017)] = 307178,
  [SMALL_STATE(7018)] = 307235,
  [SMALL_STATE(7019)] = 307292,
  [SMALL_STATE(7020)] = 307349,
  [SMALL_STATE(7021)] = 307408,
  [SMALL_STATE(7022)] = 307471,
  [SMALL_STATE(7023)] = 307528,
  [SMALL_STATE(7024)] = 307585,
  [SMALL_STATE(7025)] = 307644,
  [SMALL_STATE(7026)] = 307701,
  [SMALL_STATE(7027)] = 307758,
  [SMALL_STATE(7028)] = 307815,
  [SMALL_STATE(7029)] = 307872,
  [SMALL_STATE(7030)] = 307929,
  [SMALL_STATE(7031)] = 307986,
  [SMALL_STATE(7032)] = 308043,
  [SMALL_STATE(7033)] = 308100,
  [SMALL_STATE(7034)] = 308159,
  [SMALL_STATE(7035)] = 308216,
  [SMALL_STATE(7036)] = 308279,
  [SMALL_STATE(7037)] = 308336,
  [SMALL_STATE(7038)] = 308393,
  [SMALL_STATE(7039)] = 308450,
  [SMALL_STATE(7040)] = 308507,
  [SMALL_STATE(7041)] = 308564,
  [SMALL_STATE(7042)] = 308621,
  [SMALL_STATE(7043)] = 308678,
  [SMALL_STATE(7044)] = 308735,
  [SMALL_STATE(7045)] = 308792,
  [SMALL_STATE(7046)] = 308849,
  [SMALL_STATE(7047)] = 308906,
  [SMALL_STATE(7048)] = 308963,
  [SMALL_STATE(7049)] = 309020,
  [SMALL_STATE(7050)] = 309083,
  [SMALL_STATE(7051)] = 309140,
  [SMALL_STATE(7052)] = 309197,
  [SMALL_STATE(7053)] = 309254,
  [SMALL_STATE(7054)] = 309311,
  [SMALL_STATE(7055)] = 309368,
  [SMALL_STATE(7056)] = 309425,
  [SMALL_STATE(7057)] = 309482,
  [SMALL_STATE(7058)] = 309539,
  [SMALL_STATE(7059)] = 309596,
  [SMALL_STATE(7060)] = 309653,
  [SMALL_STATE(7061)] = 309710,
  [SMALL_STATE(7062)] = 309767,
  [SMALL_STATE(7063)] = 309824,
  [SMALL_STATE(7064)] = 309881,
  [SMALL_STATE(7065)] = 309938,
  [SMALL_STATE(7066)] = 309995,
  [SMALL_STATE(7067)] = 310058,
  [SMALL_STATE(7068)] = 310115,
  [SMALL_STATE(7069)] = 310172,
  [SMALL_STATE(7070)] = 310231,
  [SMALL_STATE(7071)] = 310288,
  [SMALL_STATE(7072)] = 310345,
  [SMALL_STATE(7073)] = 310402,
  [SMALL_STATE(7074)] = 310459,
  [SMALL_STATE(7075)] = 310518,
  [SMALL_STATE(7076)] = 310575,
  [SMALL_STATE(7077)] = 310632,
  [SMALL_STATE(7078)] = 310689,
  [SMALL_STATE(7079)] = 310746,
  [SMALL_STATE(7080)] = 310803,
  [SMALL_STATE(7081)] = 310860,
  [SMALL_STATE(7082)] = 310917,
  [SMALL_STATE(7083)] = 310974,
  [SMALL_STATE(7084)] = 311031,
  [SMALL_STATE(7085)] = 311088,
  [SMALL_STATE(7086)] = 311145,
  [SMALL_STATE(7087)] = 311202,
  [SMALL_STATE(7088)] = 311259,
  [SMALL_STATE(7089)] = 311316,
  [SMALL_STATE(7090)] = 311373,
  [SMALL_STATE(7091)] = 311430,
  [SMALL_STATE(7092)] = 311487,
  [SMALL_STATE(7093)] = 311544,
  [SMALL_STATE(7094)] = 311601,
  [SMALL_STATE(7095)] = 311658,
  [SMALL_STATE(7096)] = 311715,
  [SMALL_STATE(7097)] = 311772,
  [SMALL_STATE(7098)] = 311829,
  [SMALL_STATE(7099)] = 311886,
  [SMALL_STATE(7100)] = 311943,
  [SMALL_STATE(7101)] = 312000,
  [SMALL_STATE(7102)] = 312059,
  [SMALL_STATE(7103)] = 312116,
  [SMALL_STATE(7104)] = 312173,
  [SMALL_STATE(7105)] = 312230,
  [SMALL_STATE(7106)] = 312287,
  [SMALL_STATE(7107)] = 312344,
  [SMALL_STATE(7108)] = 312401,
  [SMALL_STATE(7109)] = 312458,
  [SMALL_STATE(7110)] = 312515,
  [SMALL_STATE(7111)] = 312574,
  [SMALL_STATE(7112)] = 312631,
  [SMALL_STATE(7113)] = 312688,
  [SMALL_STATE(7114)] = 312745,
  [SMALL_STATE(7115)] = 312802,
  [SMALL_STATE(7116)] = 312859,
  [SMALL_STATE(7117)] = 312916,
  [SMALL_STATE(7118)] = 312973,
  [SMALL_STATE(7119)] = 313030,
  [SMALL_STATE(7120)] = 313087,
  [SMALL_STATE(7121)] = 313144,
  [SMALL_STATE(7122)] = 313201,
  [SMALL_STATE(7123)] = 313258,
  [SMALL_STATE(7124)] = 313315,
  [SMALL_STATE(7125)] = 313372,
  [SMALL_STATE(7126)] = 313429,
  [SMALL_STATE(7127)] = 313486,
  [SMALL_STATE(7128)] = 313545,
  [SMALL_STATE(7129)] = 313602,
  [SMALL_STATE(7130)] = 313661,
  [SMALL_STATE(7131)] = 313718,
  [SMALL_STATE(7132)] = 313775,
  [SMALL_STATE(7133)] = 313832,
  [SMALL_STATE(7134)] = 313889,
  [SMALL_STATE(7135)] = 313946,
  [SMALL_STATE(7136)] = 314003,
  [SMALL_STATE(7137)] = 314060,
  [SMALL_STATE(7138)] = 314117,
  [SMALL_STATE(7139)] = 314174,
  [SMALL_STATE(7140)] = 314231,
  [SMALL_STATE(7141)] = 314288,
  [SMALL_STATE(7142)] = 314345,
  [SMALL_STATE(7143)] = 314402,
  [SMALL_STATE(7144)] = 314459,
  [SMALL_STATE(7145)] = 314516,
  [SMALL_STATE(7146)] = 314575,
  [SMALL_STATE(7147)] = 314634,
  [SMALL_STATE(7148)] = 314691,
  [SMALL_STATE(7149)] = 314748,
  [SMALL_STATE(7150)] = 314805,
  [SMALL_STATE(7151)] = 314862,
  [SMALL_STATE(7152)] = 314919,
  [SMALL_STATE(7153)] = 314976,
  [SMALL_STATE(7154)] = 315033,
  [SMALL_STATE(7155)] = 315090,
  [SMALL_STATE(7156)] = 315147,
  [SMALL_STATE(7157)] = 315204,
  [SMALL_STATE(7158)] = 315261,
  [SMALL_STATE(7159)] = 315318,
  [SMALL_STATE(7160)] = 315375,
  [SMALL_STATE(7161)] = 315432,
  [SMALL_STATE(7162)] = 315489,
  [SMALL_STATE(7163)] = 315546,
  [SMALL_STATE(7164)] = 315609,
  [SMALL_STATE(7165)] = 315672,
  [SMALL_STATE(7166)] = 315731,
  [SMALL_STATE(7167)] = 315788,
  [SMALL_STATE(7168)] = 315847,
  [SMALL_STATE(7169)] = 315904,
  [SMALL_STATE(7170)] = 315961,
  [SMALL_STATE(7171)] = 316020,
  [SMALL_STATE(7172)] = 316077,
  [SMALL_STATE(7173)] = 316134,
  [SMALL_STATE(7174)] = 316191,
  [SMALL_STATE(7175)] = 316248,
  [SMALL_STATE(7176)] = 316307,
  [SMALL_STATE(7177)] = 316364,
  [SMALL_STATE(7178)] = 316427,
  [SMALL_STATE(7179)] = 316484,
  [SMALL_STATE(7180)] = 316541,
  [SMALL_STATE(7181)] = 316600,
  [SMALL_STATE(7182)] = 316657,
  [SMALL_STATE(7183)] = 316714,
  [SMALL_STATE(7184)] = 316771,
  [SMALL_STATE(7185)] = 316828,
  [SMALL_STATE(7186)] = 316885,
  [SMALL_STATE(7187)] = 316942,
  [SMALL_STATE(7188)] = 316999,
  [SMALL_STATE(7189)] = 317056,
  [SMALL_STATE(7190)] = 317113,
  [SMALL_STATE(7191)] = 317170,
  [SMALL_STATE(7192)] = 317227,
  [SMALL_STATE(7193)] = 317284,
  [SMALL_STATE(7194)] = 317341,
  [SMALL_STATE(7195)] = 317398,
  [SMALL_STATE(7196)] = 317455,
  [SMALL_STATE(7197)] = 317514,
  [SMALL_STATE(7198)] = 317571,
  [SMALL_STATE(7199)] = 317628,
  [SMALL_STATE(7200)] = 317685,
  [SMALL_STATE(7201)] = 317742,
  [SMALL_STATE(7202)] = 317799,
  [SMALL_STATE(7203)] = 317856,
  [SMALL_STATE(7204)] = 317915,
  [SMALL_STATE(7205)] = 317972,
  [SMALL_STATE(7206)] = 318029,
  [SMALL_STATE(7207)] = 318086,
  [SMALL_STATE(7208)] = 318143,
  [SMALL_STATE(7209)] = 318200,
  [SMALL_STATE(7210)] = 318257,
  [SMALL_STATE(7211)] = 318314,
  [SMALL_STATE(7212)] = 318373,
  [SMALL_STATE(7213)] = 318430,
  [SMALL_STATE(7214)] = 318493,
  [SMALL_STATE(7215)] = 318550,
  [SMALL_STATE(7216)] = 318607,
  [SMALL_STATE(7217)] = 318664,
  [SMALL_STATE(7218)] = 318721,
  [SMALL_STATE(7219)] = 318778,
  [SMALL_STATE(7220)] = 318835,
  [SMALL_STATE(7221)] = 318892,
  [SMALL_STATE(7222)] = 318949,
  [SMALL_STATE(7223)] = 319006,
  [SMALL_STATE(7224)] = 319063,
  [SMALL_STATE(7225)] = 319120,
  [SMALL_STATE(7226)] = 319177,
  [SMALL_STATE(7227)] = 319234,
  [SMALL_STATE(7228)] = 319291,
  [SMALL_STATE(7229)] = 319348,
  [SMALL_STATE(7230)] = 319405,
  [SMALL_STATE(7231)] = 319462,
  [SMALL_STATE(7232)] = 319519,
  [SMALL_STATE(7233)] = 319576,
  [SMALL_STATE(7234)] = 319633,
  [SMALL_STATE(7235)] = 319690,
  [SMALL_STATE(7236)] = 319747,
  [SMALL_STATE(7237)] = 319804,
  [SMALL_STATE(7238)] = 319861,
  [SMALL_STATE(7239)] = 319918,
  [SMALL_STATE(7240)] = 319975,
  [SMALL_STATE(7241)] = 320032,
  [SMALL_STATE(7242)] = 320089,
  [SMALL_STATE(7243)] = 320146,
  [SMALL_STATE(7244)] = 320203,
  [SMALL_STATE(7245)] = 320259,
  [SMALL_STATE(7246)] = 320315,
  [SMALL_STATE(7247)] = 320371,
  [SMALL_STATE(7248)] = 320429,
  [SMALL_STATE(7249)] = 320485,
  [SMALL_STATE(7250)] = 320543,
  [SMALL_STATE(7251)] = 320599,
  [SMALL_STATE(7252)] = 320655,
  [SMALL_STATE(7253)] = 320711,
  [SMALL_STATE(7254)] = 320767,
  [SMALL_STATE(7255)] = 320823,
  [SMALL_STATE(7256)] = 320879,
  [SMALL_STATE(7257)] = 320935,
  [SMALL_STATE(7258)] = 320991,
  [SMALL_STATE(7259)] = 321047,
  [SMALL_STATE(7260)] = 321103,
  [SMALL_STATE(7261)] = 321159,
  [SMALL_STATE(7262)] = 321215,
  [SMALL_STATE(7263)] = 321271,
  [SMALL_STATE(7264)] = 321327,
  [SMALL_STATE(7265)] = 321383,
  [SMALL_STATE(7266)] = 321439,
  [SMALL_STATE(7267)] = 321495,
  [SMALL_STATE(7268)] = 321551,
  [SMALL_STATE(7269)] = 321607,
  [SMALL_STATE(7270)] = 321663,
  [SMALL_STATE(7271)] = 321719,
  [SMALL_STATE(7272)] = 321775,
  [SMALL_STATE(7273)] = 321831,
  [SMALL_STATE(7274)] = 321887,
  [SMALL_STATE(7275)] = 321949,
  [SMALL_STATE(7276)] = 322005,
  [SMALL_STATE(7277)] = 322061,
  [SMALL_STATE(7278)] = 322117,
  [SMALL_STATE(7279)] = 322173,
  [SMALL_STATE(7280)] = 322229,
  [SMALL_STATE(7281)] = 322285,
  [SMALL_STATE(7282)] = 322341,
  [SMALL_STATE(7283)] = 322397,
  [SMALL_STATE(7284)] = 322453,
  [SMALL_STATE(7285)] = 322509,
  [SMALL_STATE(7286)] = 322565,
  [SMALL_STATE(7287)] = 322627,
  [SMALL_STATE(7288)] = 322735,
  [SMALL_STATE(7289)] = 322791,
  [SMALL_STATE(7290)] = 322847,
  [SMALL_STATE(7291)] = 322903,
  [SMALL_STATE(7292)] = 322959,
  [SMALL_STATE(7293)] = 323015,
  [SMALL_STATE(7294)] = 323071,
  [SMALL_STATE(7295)] = 323127,
  [SMALL_STATE(7296)] = 323183,
  [SMALL_STATE(7297)] = 323239,
  [SMALL_STATE(7298)] = 323295,
  [SMALL_STATE(7299)] = 323351,
  [SMALL_STATE(7300)] = 323407,
  [SMALL_STATE(7301)] = 323463,
  [SMALL_STATE(7302)] = 323571,
  [SMALL_STATE(7303)] = 323627,
  [SMALL_STATE(7304)] = 323683,
  [SMALL_STATE(7305)] = 323739,
  [SMALL_STATE(7306)] = 323795,
  [SMALL_STATE(7307)] = 323851,
  [SMALL_STATE(7308)] = 323907,
  [SMALL_STATE(7309)] = 323963,
  [SMALL_STATE(7310)] = 324021,
  [SMALL_STATE(7311)] = 324077,
  [SMALL_STATE(7312)] = 324133,
  [SMALL_STATE(7313)] = 324189,
  [SMALL_STATE(7314)] = 324245,
  [SMALL_STATE(7315)] = 324301,
  [SMALL_STATE(7316)] = 324357,
  [SMALL_STATE(7317)] = 324413,
  [SMALL_STATE(7318)] = 324469,
  [SMALL_STATE(7319)] = 324525,
  [SMALL_STATE(7320)] = 324581,
  [SMALL_STATE(7321)] = 324637,
  [SMALL_STATE(7322)] = 324693,
  [SMALL_STATE(7323)] = 324749,
  [SMALL_STATE(7324)] = 324805,
  [SMALL_STATE(7325)] = 324863,
  [SMALL_STATE(7326)] = 324919,
  [SMALL_STATE(7327)] = 324975,
  [SMALL_STATE(7328)] = 325031,
  [SMALL_STATE(7329)] = 325087,
  [SMALL_STATE(7330)] = 325145,
  [SMALL_STATE(7331)] = 325201,
  [SMALL_STATE(7332)] = 325257,
  [SMALL_STATE(7333)] = 325315,
  [SMALL_STATE(7334)] = 325371,
  [SMALL_STATE(7335)] = 325427,
  [SMALL_STATE(7336)] = 325483,
  [SMALL_STATE(7337)] = 325539,
  [SMALL_STATE(7338)] = 325595,
  [SMALL_STATE(7339)] = 325651,
  [SMALL_STATE(7340)] = 325707,
  [SMALL_STATE(7341)] = 325763,
  [SMALL_STATE(7342)] = 325821,
  [SMALL_STATE(7343)] = 325877,
  [SMALL_STATE(7344)] = 325933,
  [SMALL_STATE(7345)] = 325989,
  [SMALL_STATE(7346)] = 326045,
  [SMALL_STATE(7347)] = 326101,
  [SMALL_STATE(7348)] = 326157,
  [SMALL_STATE(7349)] = 326213,
  [SMALL_STATE(7350)] = 326269,
  [SMALL_STATE(7351)] = 326325,
  [SMALL_STATE(7352)] = 326383,
  [SMALL_STATE(7353)] = 326439,
  [SMALL_STATE(7354)] = 326495,
  [SMALL_STATE(7355)] = 326551,
  [SMALL_STATE(7356)] = 326607,
  [SMALL_STATE(7357)] = 326663,
  [SMALL_STATE(7358)] = 326719,
  [SMALL_STATE(7359)] = 326777,
  [SMALL_STATE(7360)] = 326835,
  [SMALL_STATE(7361)] = 326891,
  [SMALL_STATE(7362)] = 326947,
  [SMALL_STATE(7363)] = 327003,
  [SMALL_STATE(7364)] = 327059,
  [SMALL_STATE(7365)] = 327115,
  [SMALL_STATE(7366)] = 327171,
  [SMALL_STATE(7367)] = 327227,
  [SMALL_STATE(7368)] = 327283,
  [SMALL_STATE(7369)] = 327339,
  [SMALL_STATE(7370)] = 327397,
  [SMALL_STATE(7371)] = 327455,
  [SMALL_STATE(7372)] = 327513,
  [SMALL_STATE(7373)] = 327569,
  [SMALL_STATE(7374)] = 327625,
  [SMALL_STATE(7375)] = 327681,
  [SMALL_STATE(7376)] = 327737,
  [SMALL_STATE(7377)] = 327793,
  [SMALL_STATE(7378)] = 327849,
  [SMALL_STATE(7379)] = 327905,
  [SMALL_STATE(7380)] = 327963,
  [SMALL_STATE(7381)] = 328019,
  [SMALL_STATE(7382)] = 328075,
  [SMALL_STATE(7383)] = 328131,
  [SMALL_STATE(7384)] = 328187,
  [SMALL_STATE(7385)] = 328243,
  [SMALL_STATE(7386)] = 328351,
  [SMALL_STATE(7387)] = 328407,
  [SMALL_STATE(7388)] = 328463,
  [SMALL_STATE(7389)] = 328521,
  [SMALL_STATE(7390)] = 328577,
  [SMALL_STATE(7391)] = 328633,
  [SMALL_STATE(7392)] = 328689,
  [SMALL_STATE(7393)] = 328745,
  [SMALL_STATE(7394)] = 328801,
  [SMALL_STATE(7395)] = 328857,
  [SMALL_STATE(7396)] = 328913,
  [SMALL_STATE(7397)] = 328969,
  [SMALL_STATE(7398)] = 329025,
  [SMALL_STATE(7399)] = 329081,
  [SMALL_STATE(7400)] = 329137,
  [SMALL_STATE(7401)] = 329193,
  [SMALL_STATE(7402)] = 329249,
  [SMALL_STATE(7403)] = 329305,
  [SMALL_STATE(7404)] = 329367,
  [SMALL_STATE(7405)] = 329423,
  [SMALL_STATE(7406)] = 329479,
  [SMALL_STATE(7407)] = 329535,
  [SMALL_STATE(7408)] = 329591,
  [SMALL_STATE(7409)] = 329647,
  [SMALL_STATE(7410)] = 329703,
  [SMALL_STATE(7411)] = 329759,
  [SMALL_STATE(7412)] = 329815,
  [SMALL_STATE(7413)] = 329871,
  [SMALL_STATE(7414)] = 329929,
  [SMALL_STATE(7415)] = 329985,
  [SMALL_STATE(7416)] = 330041,
  [SMALL_STATE(7417)] = 330097,
  [SMALL_STATE(7418)] = 330153,
  [SMALL_STATE(7419)] = 330209,
  [SMALL_STATE(7420)] = 330265,
  [SMALL_STATE(7421)] = 330321,
  [SMALL_STATE(7422)] = 330377,
  [SMALL_STATE(7423)] = 330433,
  [SMALL_STATE(7424)] = 330489,
  [SMALL_STATE(7425)] = 330545,
  [SMALL_STATE(7426)] = 330603,
  [SMALL_STATE(7427)] = 330659,
  [SMALL_STATE(7428)] = 330715,
  [SMALL_STATE(7429)] = 330823,
  [SMALL_STATE(7430)] = 330879,
  [SMALL_STATE(7431)] = 330935,
  [SMALL_STATE(7432)] = 330991,
  [SMALL_STATE(7433)] = 331047,
  [SMALL_STATE(7434)] = 331103,
  [SMALL_STATE(7435)] = 331159,
  [SMALL_STATE(7436)] = 331215,
  [SMALL_STATE(7437)] = 331273,
  [SMALL_STATE(7438)] = 331329,
  [SMALL_STATE(7439)] = 331385,
  [SMALL_STATE(7440)] = 331441,
  [SMALL_STATE(7441)] = 331497,
  [SMALL_STATE(7442)] = 331553,
  [SMALL_STATE(7443)] = 331609,
  [SMALL_STATE(7444)] = 331665,
  [SMALL_STATE(7445)] = 331721,
  [SMALL_STATE(7446)] = 331777,
  [SMALL_STATE(7447)] = 331833,
  [SMALL_STATE(7448)] = 331891,
  [SMALL_STATE(7449)] = 331947,
  [SMALL_STATE(7450)] = 332003,
  [SMALL_STATE(7451)] = 332059,
  [SMALL_STATE(7452)] = 332115,
  [SMALL_STATE(7453)] = 332223,
  [SMALL_STATE(7454)] = 332279,
  [SMALL_STATE(7455)] = 332335,
  [SMALL_STATE(7456)] = 332391,
  [SMALL_STATE(7457)] = 332447,
  [SMALL_STATE(7458)] = 332505,
  [SMALL_STATE(7459)] = 332561,
  [SMALL_STATE(7460)] = 332619,
  [SMALL_STATE(7461)] = 332675,
  [SMALL_STATE(7462)] = 332731,
  [SMALL_STATE(7463)] = 332789,
  [SMALL_STATE(7464)] = 332845,
  [SMALL_STATE(7465)] = 332901,
  [SMALL_STATE(7466)] = 332957,
  [SMALL_STATE(7467)] = 333013,
  [SMALL_STATE(7468)] = 333071,
  [SMALL_STATE(7469)] = 333127,
  [SMALL_STATE(7470)] = 333183,
  [SMALL_STATE(7471)] = 333239,
  [SMALL_STATE(7472)] = 333295,
  [SMALL_STATE(7473)] = 333351,
  [SMALL_STATE(7474)] = 333409,
  [SMALL_STATE(7475)] = 333465,
  [SMALL_STATE(7476)] = 333521,
  [SMALL_STATE(7477)] = 333583,
  [SMALL_STATE(7478)] = 333639,
  [SMALL_STATE(7479)] = 333695,
  [SMALL_STATE(7480)] = 333751,
  [SMALL_STATE(7481)] = 333807,
  [SMALL_STATE(7482)] = 333863,
  [SMALL_STATE(7483)] = 333919,
  [SMALL_STATE(7484)] = 333975,
  [SMALL_STATE(7485)] = 334031,
  [SMALL_STATE(7486)] = 334087,
  [SMALL_STATE(7487)] = 334143,
  [SMALL_STATE(7488)] = 334199,
  [SMALL_STATE(7489)] = 334255,
  [SMALL_STATE(7490)] = 334311,
  [SMALL_STATE(7491)] = 334367,
  [SMALL_STATE(7492)] = 334423,
  [SMALL_STATE(7493)] = 334479,
  [SMALL_STATE(7494)] = 334535,
  [SMALL_STATE(7495)] = 334591,
  [SMALL_STATE(7496)] = 334647,
  [SMALL_STATE(7497)] = 334703,
  [SMALL_STATE(7498)] = 334759,
  [SMALL_STATE(7499)] = 334815,
  [SMALL_STATE(7500)] = 334873,
  [SMALL_STATE(7501)] = 334929,
  [SMALL_STATE(7502)] = 334985,
  [SMALL_STATE(7503)] = 335041,
  [SMALL_STATE(7504)] = 335099,
  [SMALL_STATE(7505)] = 335155,
  [SMALL_STATE(7506)] = 335211,
  [SMALL_STATE(7507)] = 335267,
  [SMALL_STATE(7508)] = 335323,
  [SMALL_STATE(7509)] = 335381,
  [SMALL_STATE(7510)] = 335437,
  [SMALL_STATE(7511)] = 335493,
  [SMALL_STATE(7512)] = 335549,
  [SMALL_STATE(7513)] = 335607,
  [SMALL_STATE(7514)] = 335663,
  [SMALL_STATE(7515)] = 335719,
  [SMALL_STATE(7516)] = 335775,
  [SMALL_STATE(7517)] = 335831,
  [SMALL_STATE(7518)] = 335887,
  [SMALL_STATE(7519)] = 335943,
  [SMALL_STATE(7520)] = 335999,
  [SMALL_STATE(7521)] = 336055,
  [SMALL_STATE(7522)] = 336111,
  [SMALL_STATE(7523)] = 336167,
  [SMALL_STATE(7524)] = 336223,
  [SMALL_STATE(7525)] = 336279,
  [SMALL_STATE(7526)] = 336335,
  [SMALL_STATE(7527)] = 336391,
  [SMALL_STATE(7528)] = 336447,
  [SMALL_STATE(7529)] = 336503,
  [SMALL_STATE(7530)] = 336559,
  [SMALL_STATE(7531)] = 336615,
  [SMALL_STATE(7532)] = 336677,
  [SMALL_STATE(7533)] = 336733,
  [SMALL_STATE(7534)] = 336789,
  [SMALL_STATE(7535)] = 336845,
  [SMALL_STATE(7536)] = 336901,
  [SMALL_STATE(7537)] = 336957,
  [SMALL_STATE(7538)] = 337013,
  [SMALL_STATE(7539)] = 337069,
  [SMALL_STATE(7540)] = 337125,
  [SMALL_STATE(7541)] = 337181,
  [SMALL_STATE(7542)] = 337237,
  [SMALL_STATE(7543)] = 337293,
  [SMALL_STATE(7544)] = 337349,
  [SMALL_STATE(7545)] = 337405,
  [SMALL_STATE(7546)] = 337461,
  [SMALL_STATE(7547)] = 337523,
  [SMALL_STATE(7548)] = 337579,
  [SMALL_STATE(7549)] = 337635,
  [SMALL_STATE(7550)] = 337691,
  [SMALL_STATE(7551)] = 337747,
  [SMALL_STATE(7552)] = 337803,
  [SMALL_STATE(7553)] = 337859,
  [SMALL_STATE(7554)] = 337915,
  [SMALL_STATE(7555)] = 337971,
  [SMALL_STATE(7556)] = 338027,
  [SMALL_STATE(7557)] = 338083,
  [SMALL_STATE(7558)] = 338139,
  [SMALL_STATE(7559)] = 338195,
  [SMALL_STATE(7560)] = 338251,
  [SMALL_STATE(7561)] = 338307,
  [SMALL_STATE(7562)] = 338363,
  [SMALL_STATE(7563)] = 338419,
  [SMALL_STATE(7564)] = 338475,
  [SMALL_STATE(7565)] = 338531,
  [SMALL_STATE(7566)] = 338587,
  [SMALL_STATE(7567)] = 338645,
  [SMALL_STATE(7568)] = 338701,
  [SMALL_STATE(7569)] = 338757,
  [SMALL_STATE(7570)] = 338813,
  [SMALL_STATE(7571)] = 338869,
  [SMALL_STATE(7572)] = 338925,
  [SMALL_STATE(7573)] = 338981,
  [SMALL_STATE(7574)] = 339037,
  [SMALL_STATE(7575)] = 339093,
  [SMALL_STATE(7576)] = 339149,
  [SMALL_STATE(7577)] = 339205,
  [SMALL_STATE(7578)] = 339261,
  [SMALL_STATE(7579)] = 339317,
  [SMALL_STATE(7580)] = 339373,
  [SMALL_STATE(7581)] = 339429,
  [SMALL_STATE(7582)] = 339485,
  [SMALL_STATE(7583)] = 339541,
  [SMALL_STATE(7584)] = 339597,
  [SMALL_STATE(7585)] = 339653,
  [SMALL_STATE(7586)] = 339709,
  [SMALL_STATE(7587)] = 339765,
  [SMALL_STATE(7588)] = 339821,
  [SMALL_STATE(7589)] = 339877,
  [SMALL_STATE(7590)] = 339933,
  [SMALL_STATE(7591)] = 339989,
  [SMALL_STATE(7592)] = 340045,
  [SMALL_STATE(7593)] = 340103,
  [SMALL_STATE(7594)] = 340159,
  [SMALL_STATE(7595)] = 340215,
  [SMALL_STATE(7596)] = 340277,
  [SMALL_STATE(7597)] = 340333,
  [SMALL_STATE(7598)] = 340389,
  [SMALL_STATE(7599)] = 340445,
  [SMALL_STATE(7600)] = 340501,
  [SMALL_STATE(7601)] = 340557,
  [SMALL_STATE(7602)] = 340613,
  [SMALL_STATE(7603)] = 340669,
  [SMALL_STATE(7604)] = 340725,
  [SMALL_STATE(7605)] = 340781,
  [SMALL_STATE(7606)] = 340837,
  [SMALL_STATE(7607)] = 340893,
  [SMALL_STATE(7608)] = 340949,
  [SMALL_STATE(7609)] = 341005,
  [SMALL_STATE(7610)] = 341061,
  [SMALL_STATE(7611)] = 341117,
  [SMALL_STATE(7612)] = 341173,
  [SMALL_STATE(7613)] = 341229,
  [SMALL_STATE(7614)] = 341285,
  [SMALL_STATE(7615)] = 341347,
  [SMALL_STATE(7616)] = 341403,
  [SMALL_STATE(7617)] = 341459,
  [SMALL_STATE(7618)] = 341515,
  [SMALL_STATE(7619)] = 341571,
  [SMALL_STATE(7620)] = 341627,
  [SMALL_STATE(7621)] = 341683,
  [SMALL_STATE(7622)] = 341739,
  [SMALL_STATE(7623)] = 341797,
  [SMALL_STATE(7624)] = 341853,
  [SMALL_STATE(7625)] = 341909,
  [SMALL_STATE(7626)] = 341965,
  [SMALL_STATE(7627)] = 342021,
  [SMALL_STATE(7628)] = 342077,
  [SMALL_STATE(7629)] = 342185,
  [SMALL_STATE(7630)] = 342241,
  [SMALL_STATE(7631)] = 342297,
  [SMALL_STATE(7632)] = 342353,
  [SMALL_STATE(7633)] = 342409,
  [SMALL_STATE(7634)] = 342465,
  [SMALL_STATE(7635)] = 342521,
  [SMALL_STATE(7636)] = 342629,
  [SMALL_STATE(7637)] = 342685,
  [SMALL_STATE(7638)] = 342741,
  [SMALL_STATE(7639)] = 342797,
  [SMALL_STATE(7640)] = 342853,
  [SMALL_STATE(7641)] = 342909,
  [SMALL_STATE(7642)] = 342965,
  [SMALL_STATE(7643)] = 343021,
  [SMALL_STATE(7644)] = 343077,
  [SMALL_STATE(7645)] = 343133,
  [SMALL_STATE(7646)] = 343189,
  [SMALL_STATE(7647)] = 343245,
  [SMALL_STATE(7648)] = 343301,
  [SMALL_STATE(7649)] = 343359,
  [SMALL_STATE(7650)] = 343415,
  [SMALL_STATE(7651)] = 343471,
  [SMALL_STATE(7652)] = 343527,
  [SMALL_STATE(7653)] = 343583,
  [SMALL_STATE(7654)] = 343639,
  [SMALL_STATE(7655)] = 343695,
  [SMALL_STATE(7656)] = 343751,
  [SMALL_STATE(7657)] = 343807,
  [SMALL_STATE(7658)] = 343865,
  [SMALL_STATE(7659)] = 343921,
  [SMALL_STATE(7660)] = 343977,
  [SMALL_STATE(7661)] = 344033,
  [SMALL_STATE(7662)] = 344089,
  [SMALL_STATE(7663)] = 344145,
  [SMALL_STATE(7664)] = 344201,
  [SMALL_STATE(7665)] = 344257,
  [SMALL_STATE(7666)] = 344313,
  [SMALL_STATE(7667)] = 344375,
  [SMALL_STATE(7668)] = 344437,
  [SMALL_STATE(7669)] = 344493,
  [SMALL_STATE(7670)] = 344549,
  [SMALL_STATE(7671)] = 344605,
  [SMALL_STATE(7672)] = 344661,
  [SMALL_STATE(7673)] = 344717,
  [SMALL_STATE(7674)] = 344773,
  [SMALL_STATE(7675)] = 344829,
  [SMALL_STATE(7676)] = 344885,
  [SMALL_STATE(7677)] = 344941,
  [SMALL_STATE(7678)] = 344997,
  [SMALL_STATE(7679)] = 345053,
  [SMALL_STATE(7680)] = 345109,
  [SMALL_STATE(7681)] = 345165,
  [SMALL_STATE(7682)] = 345221,
  [SMALL_STATE(7683)] = 345277,
  [SMALL_STATE(7684)] = 345333,
  [SMALL_STATE(7685)] = 345389,
  [SMALL_STATE(7686)] = 345445,
  [SMALL_STATE(7687)] = 345501,
  [SMALL_STATE(7688)] = 345557,
  [SMALL_STATE(7689)] = 345613,
  [SMALL_STATE(7690)] = 345669,
  [SMALL_STATE(7691)] = 345725,
  [SMALL_STATE(7692)] = 345781,
  [SMALL_STATE(7693)] = 345843,
  [SMALL_STATE(7694)] = 345899,
  [SMALL_STATE(7695)] = 345955,
  [SMALL_STATE(7696)] = 346011,
  [SMALL_STATE(7697)] = 346067,
  [SMALL_STATE(7698)] = 346123,
  [SMALL_STATE(7699)] = 346179,
  [SMALL_STATE(7700)] = 346235,
  [SMALL_STATE(7701)] = 346291,
  [SMALL_STATE(7702)] = 346347,
  [SMALL_STATE(7703)] = 346403,
  [SMALL_STATE(7704)] = 346459,
  [SMALL_STATE(7705)] = 346515,
  [SMALL_STATE(7706)] = 346571,
  [SMALL_STATE(7707)] = 346627,
  [SMALL_STATE(7708)] = 346683,
  [SMALL_STATE(7709)] = 346739,
  [SMALL_STATE(7710)] = 346795,
  [SMALL_STATE(7711)] = 346903,
  [SMALL_STATE(7712)] = 346959,
  [SMALL_STATE(7713)] = 347015,
  [SMALL_STATE(7714)] = 347071,
  [SMALL_STATE(7715)] = 347127,
  [SMALL_STATE(7716)] = 347183,
  [SMALL_STATE(7717)] = 347239,
  [SMALL_STATE(7718)] = 347295,
  [SMALL_STATE(7719)] = 347351,
  [SMALL_STATE(7720)] = 347413,
  [SMALL_STATE(7721)] = 347469,
  [SMALL_STATE(7722)] = 347525,
  [SMALL_STATE(7723)] = 347581,
  [SMALL_STATE(7724)] = 347637,
  [SMALL_STATE(7725)] = 347693,
  [SMALL_STATE(7726)] = 347749,
  [SMALL_STATE(7727)] = 347807,
  [SMALL_STATE(7728)] = 347863,
  [SMALL_STATE(7729)] = 347919,
  [SMALL_STATE(7730)] = 347975,
  [SMALL_STATE(7731)] = 348031,
  [SMALL_STATE(7732)] = 348087,
  [SMALL_STATE(7733)] = 348143,
  [SMALL_STATE(7734)] = 348199,
  [SMALL_STATE(7735)] = 348255,
  [SMALL_STATE(7736)] = 348311,
  [SMALL_STATE(7737)] = 348367,
  [SMALL_STATE(7738)] = 348423,
  [SMALL_STATE(7739)] = 348479,
  [SMALL_STATE(7740)] = 348535,
  [SMALL_STATE(7741)] = 348591,
  [SMALL_STATE(7742)] = 348647,
  [SMALL_STATE(7743)] = 348703,
  [SMALL_STATE(7744)] = 348759,
  [SMALL_STATE(7745)] = 348815,
  [SMALL_STATE(7746)] = 348871,
  [SMALL_STATE(7747)] = 348927,
  [SMALL_STATE(7748)] = 348982,
  [SMALL_STATE(7749)] = 349037,
  [SMALL_STATE(7750)] = 349092,
  [SMALL_STATE(7751)] = 349147,
  [SMALL_STATE(7752)] = 349202,
  [SMALL_STATE(7753)] = 349257,
  [SMALL_STATE(7754)] = 349312,
  [SMALL_STATE(7755)] = 349367,
  [SMALL_STATE(7756)] = 349422,
  [SMALL_STATE(7757)] = 349477,
  [SMALL_STATE(7758)] = 349532,
  [SMALL_STATE(7759)] = 349589,
  [SMALL_STATE(7760)] = 349644,
  [SMALL_STATE(7761)] = 349699,
  [SMALL_STATE(7762)] = 349754,
  [SMALL_STATE(7763)] = 349809,
  [SMALL_STATE(7764)] = 349864,
  [SMALL_STATE(7765)] = 349919,
  [SMALL_STATE(7766)] = 349974,
  [SMALL_STATE(7767)] = 350029,
  [SMALL_STATE(7768)] = 350084,
  [SMALL_STATE(7769)] = 350139,
  [SMALL_STATE(7770)] = 350194,
  [SMALL_STATE(7771)] = 350249,
  [SMALL_STATE(7772)] = 350304,
  [SMALL_STATE(7773)] = 350359,
  [SMALL_STATE(7774)] = 350414,
  [SMALL_STATE(7775)] = 350475,
  [SMALL_STATE(7776)] = 350530,
  [SMALL_STATE(7777)] = 350585,
  [SMALL_STATE(7778)] = 350640,
  [SMALL_STATE(7779)] = 350695,
  [SMALL_STATE(7780)] = 350750,
  [SMALL_STATE(7781)] = 350805,
  [SMALL_STATE(7782)] = 350860,
  [SMALL_STATE(7783)] = 350915,
  [SMALL_STATE(7784)] = 350970,
  [SMALL_STATE(7785)] = 351025,
  [SMALL_STATE(7786)] = 351080,
  [SMALL_STATE(7787)] = 351135,
  [SMALL_STATE(7788)] = 351190,
  [SMALL_STATE(7789)] = 351247,
  [SMALL_STATE(7790)] = 351302,
  [SMALL_STATE(7791)] = 351357,
  [SMALL_STATE(7792)] = 351412,
  [SMALL_STATE(7793)] = 351467,
  [SMALL_STATE(7794)] = 351522,
  [SMALL_STATE(7795)] = 351577,
  [SMALL_STATE(7796)] = 351632,
  [SMALL_STATE(7797)] = 351687,
  [SMALL_STATE(7798)] = 351742,
  [SMALL_STATE(7799)] = 351797,
  [SMALL_STATE(7800)] = 351852,
  [SMALL_STATE(7801)] = 351907,
  [SMALL_STATE(7802)] = 351962,
  [SMALL_STATE(7803)] = 352017,
  [SMALL_STATE(7804)] = 352072,
  [SMALL_STATE(7805)] = 352127,
  [SMALL_STATE(7806)] = 352182,
  [SMALL_STATE(7807)] = 352243,
  [SMALL_STATE(7808)] = 352298,
  [SMALL_STATE(7809)] = 352353,
  [SMALL_STATE(7810)] = 352408,
  [SMALL_STATE(7811)] = 352463,
  [SMALL_STATE(7812)] = 352518,
  [SMALL_STATE(7813)] = 352573,
  [SMALL_STATE(7814)] = 352628,
  [SMALL_STATE(7815)] = 352683,
  [SMALL_STATE(7816)] = 352738,
  [SMALL_STATE(7817)] = 352793,
  [SMALL_STATE(7818)] = 352848,
  [SMALL_STATE(7819)] = 352903,
  [SMALL_STATE(7820)] = 352958,
  [SMALL_STATE(7821)] = 353013,
  [SMALL_STATE(7822)] = 353068,
  [SMALL_STATE(7823)] = 353123,
  [SMALL_STATE(7824)] = 353178,
  [SMALL_STATE(7825)] = 353233,
  [SMALL_STATE(7826)] = 353288,
  [SMALL_STATE(7827)] = 353343,
  [SMALL_STATE(7828)] = 353398,
  [SMALL_STATE(7829)] = 353453,
  [SMALL_STATE(7830)] = 353508,
  [SMALL_STATE(7831)] = 353563,
  [SMALL_STATE(7832)] = 353618,
  [SMALL_STATE(7833)] = 353673,
  [SMALL_STATE(7834)] = 353728,
  [SMALL_STATE(7835)] = 353783,
  [SMALL_STATE(7836)] = 353838,
  [SMALL_STATE(7837)] = 353893,
  [SMALL_STATE(7838)] = 353950,
  [SMALL_STATE(7839)] = 354005,
  [SMALL_STATE(7840)] = 354060,
  [SMALL_STATE(7841)] = 354115,
  [SMALL_STATE(7842)] = 354170,
  [SMALL_STATE(7843)] = 354225,
  [SMALL_STATE(7844)] = 354282,
  [SMALL_STATE(7845)] = 354337,
  [SMALL_STATE(7846)] = 354392,
  [SMALL_STATE(7847)] = 354447,
  [SMALL_STATE(7848)] = 354504,
  [SMALL_STATE(7849)] = 354559,
  [SMALL_STATE(7850)] = 354614,
  [SMALL_STATE(7851)] = 354669,
  [SMALL_STATE(7852)] = 354724,
  [SMALL_STATE(7853)] = 354779,
  [SMALL_STATE(7854)] = 354834,
  [SMALL_STATE(7855)] = 354889,
  [SMALL_STATE(7856)] = 354944,
  [SMALL_STATE(7857)] = 354999,
  [SMALL_STATE(7858)] = 355054,
  [SMALL_STATE(7859)] = 355109,
  [SMALL_STATE(7860)] = 355164,
  [SMALL_STATE(7861)] = 355219,
  [SMALL_STATE(7862)] = 355274,
  [SMALL_STATE(7863)] = 355329,
  [SMALL_STATE(7864)] = 355384,
  [SMALL_STATE(7865)] = 355439,
  [SMALL_STATE(7866)] = 355500,
  [SMALL_STATE(7867)] = 355555,
  [SMALL_STATE(7868)] = 355610,
  [SMALL_STATE(7869)] = 355665,
  [SMALL_STATE(7870)] = 355720,
  [SMALL_STATE(7871)] = 355775,
  [SMALL_STATE(7872)] = 355830,
  [SMALL_STATE(7873)] = 355885,
  [SMALL_STATE(7874)] = 355940,
  [SMALL_STATE(7875)] = 355995,
  [SMALL_STATE(7876)] = 356050,
  [SMALL_STATE(7877)] = 356105,
  [SMALL_STATE(7878)] = 356160,
  [SMALL_STATE(7879)] = 356215,
  [SMALL_STATE(7880)] = 356270,
  [SMALL_STATE(7881)] = 356325,
  [SMALL_STATE(7882)] = 356380,
  [SMALL_STATE(7883)] = 356435,
  [SMALL_STATE(7884)] = 356490,
  [SMALL_STATE(7885)] = 356545,
  [SMALL_STATE(7886)] = 356600,
  [SMALL_STATE(7887)] = 356655,
  [SMALL_STATE(7888)] = 356710,
  [SMALL_STATE(7889)] = 356767,
  [SMALL_STATE(7890)] = 356822,
  [SMALL_STATE(7891)] = 356877,
  [SMALL_STATE(7892)] = 356932,
  [SMALL_STATE(7893)] = 356987,
  [SMALL_STATE(7894)] = 357042,
  [SMALL_STATE(7895)] = 357103,
  [SMALL_STATE(7896)] = 357158,
  [SMALL_STATE(7897)] = 357213,
  [SMALL_STATE(7898)] = 357268,
  [SMALL_STATE(7899)] = 357323,
  [SMALL_STATE(7900)] = 357380,
  [SMALL_STATE(7901)] = 357435,
  [SMALL_STATE(7902)] = 357490,
  [SMALL_STATE(7903)] = 357547,
  [SMALL_STATE(7904)] = 357602,
  [SMALL_STATE(7905)] = 357657,
  [SMALL_STATE(7906)] = 357712,
  [SMALL_STATE(7907)] = 357767,
  [SMALL_STATE(7908)] = 357822,
  [SMALL_STATE(7909)] = 357877,
  [SMALL_STATE(7910)] = 357932,
  [SMALL_STATE(7911)] = 357987,
  [SMALL_STATE(7912)] = 358042,
  [SMALL_STATE(7913)] = 358097,
  [SMALL_STATE(7914)] = 358152,
  [SMALL_STATE(7915)] = 358207,
  [SMALL_STATE(7916)] = 358312,
  [SMALL_STATE(7917)] = 358367,
  [SMALL_STATE(7918)] = 358422,
  [SMALL_STATE(7919)] = 358477,
  [SMALL_STATE(7920)] = 358532,
  [SMALL_STATE(7921)] = 358587,
  [SMALL_STATE(7922)] = 358642,
  [SMALL_STATE(7923)] = 358697,
  [SMALL_STATE(7924)] = 358752,
  [SMALL_STATE(7925)] = 358807,
  [SMALL_STATE(7926)] = 358862,
  [SMALL_STATE(7927)] = 358917,
  [SMALL_STATE(7928)] = 358972,
  [SMALL_STATE(7929)] = 359027,
  [SMALL_STATE(7930)] = 359082,
  [SMALL_STATE(7931)] = 359137,
  [SMALL_STATE(7932)] = 359192,
  [SMALL_STATE(7933)] = 359247,
  [SMALL_STATE(7934)] = 359302,
  [SMALL_STATE(7935)] = 359357,
  [SMALL_STATE(7936)] = 359412,
  [SMALL_STATE(7937)] = 359467,
  [SMALL_STATE(7938)] = 359522,
  [SMALL_STATE(7939)] = 359577,
  [SMALL_STATE(7940)] = 359632,
  [SMALL_STATE(7941)] = 359687,
  [SMALL_STATE(7942)] = 359748,
  [SMALL_STATE(7943)] = 359803,
  [SMALL_STATE(7944)] = 359858,
  [SMALL_STATE(7945)] = 359913,
  [SMALL_STATE(7946)] = 359970,
  [SMALL_STATE(7947)] = 360025,
  [SMALL_STATE(7948)] = 360080,
  [SMALL_STATE(7949)] = 360135,
  [SMALL_STATE(7950)] = 360190,
  [SMALL_STATE(7951)] = 360245,
  [SMALL_STATE(7952)] = 360300,
  [SMALL_STATE(7953)] = 360355,
  [SMALL_STATE(7954)] = 360410,
  [SMALL_STATE(7955)] = 360465,
  [SMALL_STATE(7956)] = 360520,
  [SMALL_STATE(7957)] = 360575,
  [SMALL_STATE(7958)] = 360632,
  [SMALL_STATE(7959)] = 360687,
  [SMALL_STATE(7960)] = 360742,
  [SMALL_STATE(7961)] = 360799,
  [SMALL_STATE(7962)] = 360854,
  [SMALL_STATE(7963)] = 360909,
  [SMALL_STATE(7964)] = 360964,
  [SMALL_STATE(7965)] = 361021,
  [SMALL_STATE(7966)] = 361076,
  [SMALL_STATE(7967)] = 361131,
  [SMALL_STATE(7968)] = 361186,
  [SMALL_STATE(7969)] = 361241,
  [SMALL_STATE(7970)] = 361296,
  [SMALL_STATE(7971)] = 361401,
  [SMALL_STATE(7972)] = 361456,
  [SMALL_STATE(7973)] = 361511,
  [SMALL_STATE(7974)] = 361566,
  [SMALL_STATE(7975)] = 361621,
  [SMALL_STATE(7976)] = 361676,
  [SMALL_STATE(7977)] = 361731,
  [SMALL_STATE(7978)] = 361786,
  [SMALL_STATE(7979)] = 361841,
  [SMALL_STATE(7980)] = 361896,
  [SMALL_STATE(7981)] = 361951,
  [SMALL_STATE(7982)] = 362006,
  [SMALL_STATE(7983)] = 362061,
  [SMALL_STATE(7984)] = 362116,
  [SMALL_STATE(7985)] = 362171,
  [SMALL_STATE(7986)] = 362228,
  [SMALL_STATE(7987)] = 362283,
  [SMALL_STATE(7988)] = 362338,
  [SMALL_STATE(7989)] = 362393,
  [SMALL_STATE(7990)] = 362454,
  [SMALL_STATE(7991)] = 362509,
  [SMALL_STATE(7992)] = 362564,
  [SMALL_STATE(7993)] = 362619,
  [SMALL_STATE(7994)] = 362674,
  [SMALL_STATE(7995)] = 362729,
  [SMALL_STATE(7996)] = 362784,
  [SMALL_STATE(7997)] = 362839,
  [SMALL_STATE(7998)] = 362944,
  [SMALL_STATE(7999)] = 363001,
  [SMALL_STATE(8000)] = 363056,
  [SMALL_STATE(8001)] = 363111,
  [SMALL_STATE(8002)] = 363166,
  [SMALL_STATE(8003)] = 363221,
  [SMALL_STATE(8004)] = 363276,
  [SMALL_STATE(8005)] = 363331,
  [SMALL_STATE(8006)] = 363386,
  [SMALL_STATE(8007)] = 363441,
  [SMALL_STATE(8008)] = 363496,
  [SMALL_STATE(8009)] = 363551,
  [SMALL_STATE(8010)] = 363606,
  [SMALL_STATE(8011)] = 363661,
  [SMALL_STATE(8012)] = 363716,
  [SMALL_STATE(8013)] = 363771,
  [SMALL_STATE(8014)] = 363826,
  [SMALL_STATE(8015)] = 363881,
  [SMALL_STATE(8016)] = 363936,
  [SMALL_STATE(8017)] = 363997,
  [SMALL_STATE(8018)] = 364052,
  [SMALL_STATE(8019)] = 364107,
  [SMALL_STATE(8020)] = 364162,
  [SMALL_STATE(8021)] = 364217,
  [SMALL_STATE(8022)] = 364272,
  [SMALL_STATE(8023)] = 364327,
  [SMALL_STATE(8024)] = 364382,
  [SMALL_STATE(8025)] = 364437,
  [SMALL_STATE(8026)] = 364492,
  [SMALL_STATE(8027)] = 364547,
  [SMALL_STATE(8028)] = 364602,
  [SMALL_STATE(8029)] = 364657,
  [SMALL_STATE(8030)] = 364712,
  [SMALL_STATE(8031)] = 364767,
  [SMALL_STATE(8032)] = 364822,
  [SMALL_STATE(8033)] = 364883,
  [SMALL_STATE(8034)] = 364938,
  [SMALL_STATE(8035)] = 364993,
  [SMALL_STATE(8036)] = 365048,
  [SMALL_STATE(8037)] = 365105,
  [SMALL_STATE(8038)] = 365160,
  [SMALL_STATE(8039)] = 365215,
  [SMALL_STATE(8040)] = 365270,
  [SMALL_STATE(8041)] = 365325,
  [SMALL_STATE(8042)] = 365380,
  [SMALL_STATE(8043)] = 365435,
  [SMALL_STATE(8044)] = 365490,
  [SMALL_STATE(8045)] = 365545,
  [SMALL_STATE(8046)] = 365600,
  [SMALL_STATE(8047)] = 365661,
  [SMALL_STATE(8048)] = 365716,
  [SMALL_STATE(8049)] = 365771,
  [SMALL_STATE(8050)] = 365828,
  [SMALL_STATE(8051)] = 365883,
  [SMALL_STATE(8052)] = 365938,
  [SMALL_STATE(8053)] = 365999,
  [SMALL_STATE(8054)] = 366054,
  [SMALL_STATE(8055)] = 366109,
  [SMALL_STATE(8056)] = 366164,
  [SMALL_STATE(8057)] = 366219,
  [SMALL_STATE(8058)] = 366274,
  [SMALL_STATE(8059)] = 366329,
  [SMALL_STATE(8060)] = 366384,
  [SMALL_STATE(8061)] = 366439,
  [SMALL_STATE(8062)] = 366494,
  [SMALL_STATE(8063)] = 366549,
  [SMALL_STATE(8064)] = 366604,
  [SMALL_STATE(8065)] = 366659,
  [SMALL_STATE(8066)] = 366720,
  [SMALL_STATE(8067)] = 366775,
  [SMALL_STATE(8068)] = 366830,
  [SMALL_STATE(8069)] = 366885,
  [SMALL_STATE(8070)] = 366940,
  [SMALL_STATE(8071)] = 366995,
  [SMALL_STATE(8072)] = 367050,
  [SMALL_STATE(8073)] = 367105,
  [SMALL_STATE(8074)] = 367160,
  [SMALL_STATE(8075)] = 367215,
  [SMALL_STATE(8076)] = 367270,
  [SMALL_STATE(8077)] = 367325,
  [SMALL_STATE(8078)] = 367380,
  [SMALL_STATE(8079)] = 367435,
  [SMALL_STATE(8080)] = 367490,
  [SMALL_STATE(8081)] = 367545,
  [SMALL_STATE(8082)] = 367600,
  [SMALL_STATE(8083)] = 367655,
  [SMALL_STATE(8084)] = 367710,
  [SMALL_STATE(8085)] = 367765,
  [SMALL_STATE(8086)] = 367820,
  [SMALL_STATE(8087)] = 367877,
  [SMALL_STATE(8088)] = 367932,
  [SMALL_STATE(8089)] = 367987,
  [SMALL_STATE(8090)] = 368042,
  [SMALL_STATE(8091)] = 368097,
  [SMALL_STATE(8092)] = 368152,
  [SMALL_STATE(8093)] = 368207,
  [SMALL_STATE(8094)] = 368262,
  [SMALL_STATE(8095)] = 368317,
  [SMALL_STATE(8096)] = 368372,
  [SMALL_STATE(8097)] = 368427,
  [SMALL_STATE(8098)] = 368482,
  [SMALL_STATE(8099)] = 368537,
  [SMALL_STATE(8100)] = 368642,
  [SMALL_STATE(8101)] = 368697,
  [SMALL_STATE(8102)] = 368752,
  [SMALL_STATE(8103)] = 368807,
  [SMALL_STATE(8104)] = 368862,
  [SMALL_STATE(8105)] = 368917,
  [SMALL_STATE(8106)] = 368972,
  [SMALL_STATE(8107)] = 369027,
  [SMALL_STATE(8108)] = 369082,
  [SMALL_STATE(8109)] = 369137,
  [SMALL_STATE(8110)] = 369192,
  [SMALL_STATE(8111)] = 369247,
  [SMALL_STATE(8112)] = 369302,
  [SMALL_STATE(8113)] = 369359,
  [SMALL_STATE(8114)] = 369414,
  [SMALL_STATE(8115)] = 369469,
  [SMALL_STATE(8116)] = 369526,
  [SMALL_STATE(8117)] = 369581,
  [SMALL_STATE(8118)] = 369636,
  [SMALL_STATE(8119)] = 369691,
  [SMALL_STATE(8120)] = 369746,
  [SMALL_STATE(8121)] = 369801,
  [SMALL_STATE(8122)] = 369856,
  [SMALL_STATE(8123)] = 369911,
  [SMALL_STATE(8124)] = 369966,
  [SMALL_STATE(8125)] = 370021,
  [SMALL_STATE(8126)] = 370076,
  [SMALL_STATE(8127)] = 370131,
  [SMALL_STATE(8128)] = 370186,
  [SMALL_STATE(8129)] = 370241,
  [SMALL_STATE(8130)] = 370296,
  [SMALL_STATE(8131)] = 370351,
  [SMALL_STATE(8132)] = 370406,
  [SMALL_STATE(8133)] = 370461,
  [SMALL_STATE(8134)] = 370516,
  [SMALL_STATE(8135)] = 370571,
  [SMALL_STATE(8136)] = 370626,
  [SMALL_STATE(8137)] = 370681,
  [SMALL_STATE(8138)] = 370736,
  [SMALL_STATE(8139)] = 370791,
  [SMALL_STATE(8140)] = 370846,
  [SMALL_STATE(8141)] = 370901,
  [SMALL_STATE(8142)] = 370956,
  [SMALL_STATE(8143)] = 371011,
  [SMALL_STATE(8144)] = 371066,
  [SMALL_STATE(8145)] = 371121,
  [SMALL_STATE(8146)] = 371176,
  [SMALL_STATE(8147)] = 371233,
  [SMALL_STATE(8148)] = 371288,
  [SMALL_STATE(8149)] = 371343,
  [SMALL_STATE(8150)] = 371400,
  [SMALL_STATE(8151)] = 371455,
  [SMALL_STATE(8152)] = 371510,
  [SMALL_STATE(8153)] = 371565,
  [SMALL_STATE(8154)] = 371620,
  [SMALL_STATE(8155)] = 371675,
  [SMALL_STATE(8156)] = 371730,
  [SMALL_STATE(8157)] = 371785,
  [SMALL_STATE(8158)] = 371840,
  [SMALL_STATE(8159)] = 371895,
  [SMALL_STATE(8160)] = 371950,
  [SMALL_STATE(8161)] = 372005,
  [SMALL_STATE(8162)] = 372060,
  [SMALL_STATE(8163)] = 372115,
  [SMALL_STATE(8164)] = 372170,
  [SMALL_STATE(8165)] = 372225,
  [SMALL_STATE(8166)] = 372280,
  [SMALL_STATE(8167)] = 372335,
  [SMALL_STATE(8168)] = 372390,
  [SMALL_STATE(8169)] = 372445,
  [SMALL_STATE(8170)] = 372500,
  [SMALL_STATE(8171)] = 372555,
  [SMALL_STATE(8172)] = 372610,
  [SMALL_STATE(8173)] = 372665,
  [SMALL_STATE(8174)] = 372720,
  [SMALL_STATE(8175)] = 372775,
  [SMALL_STATE(8176)] = 372830,
  [SMALL_STATE(8177)] = 372885,
  [SMALL_STATE(8178)] = 372940,
  [SMALL_STATE(8179)] = 372995,
  [SMALL_STATE(8180)] = 373052,
  [SMALL_STATE(8181)] = 373107,
  [SMALL_STATE(8182)] = 373162,
  [SMALL_STATE(8183)] = 373217,
  [SMALL_STATE(8184)] = 373272,
  [SMALL_STATE(8185)] = 373327,
  [SMALL_STATE(8186)] = 373384,
  [SMALL_STATE(8187)] = 373439,
  [SMALL_STATE(8188)] = 373494,
  [SMALL_STATE(8189)] = 373549,
  [SMALL_STATE(8190)] = 373604,
  [SMALL_STATE(8191)] = 373659,
  [SMALL_STATE(8192)] = 373714,
  [SMALL_STATE(8193)] = 373769,
  [SMALL_STATE(8194)] = 373824,
  [SMALL_STATE(8195)] = 373879,
  [SMALL_STATE(8196)] = 373936,
  [SMALL_STATE(8197)] = 373991,
  [SMALL_STATE(8198)] = 374046,
  [SMALL_STATE(8199)] = 374101,
  [SMALL_STATE(8200)] = 374156,
  [SMALL_STATE(8201)] = 374211,
  [SMALL_STATE(8202)] = 374266,
  [SMALL_STATE(8203)] = 374321,
  [SMALL_STATE(8204)] = 374376,
  [SMALL_STATE(8205)] = 374431,
  [SMALL_STATE(8206)] = 374486,
  [SMALL_STATE(8207)] = 374541,
  [SMALL_STATE(8208)] = 374596,
  [SMALL_STATE(8209)] = 374651,
  [SMALL_STATE(8210)] = 374706,
  [SMALL_STATE(8211)] = 374761,
  [SMALL_STATE(8212)] = 374816,
  [SMALL_STATE(8213)] = 374871,
  [SMALL_STATE(8214)] = 374932,
  [SMALL_STATE(8215)] = 374987,
  [SMALL_STATE(8216)] = 375042,
  [SMALL_STATE(8217)] = 375097,
  [SMALL_STATE(8218)] = 375152,
  [SMALL_STATE(8219)] = 375213,
  [SMALL_STATE(8220)] = 375268,
  [SMALL_STATE(8221)] = 375373,
  [SMALL_STATE(8222)] = 375428,
  [SMALL_STATE(8223)] = 375483,
  [SMALL_STATE(8224)] = 375540,
  [SMALL_STATE(8225)] = 375595,
  [SMALL_STATE(8226)] = 375652,
  [SMALL_STATE(8227)] = 375707,
  [SMALL_STATE(8228)] = 375762,
  [SMALL_STATE(8229)] = 375817,
  [SMALL_STATE(8230)] = 375872,
  [SMALL_STATE(8231)] = 375927,
  [SMALL_STATE(8232)] = 375982,
  [SMALL_STATE(8233)] = 376037,
  [SMALL_STATE(8234)] = 376142,
  [SMALL_STATE(8235)] = 376197,
  [SMALL_STATE(8236)] = 376252,
  [SMALL_STATE(8237)] = 376307,
  [SMALL_STATE(8238)] = 376362,
  [SMALL_STATE(8239)] = 376417,
  [SMALL_STATE(8240)] = 376472,
  [SMALL_STATE(8241)] = 376527,
  [SMALL_STATE(8242)] = 376584,
  [SMALL_STATE(8243)] = 376641,
  [SMALL_STATE(8244)] = 376696,
  [SMALL_STATE(8245)] = 376751,
  [SMALL_STATE(8246)] = 376808,
  [SMALL_STATE(8247)] = 376863,
  [SMALL_STATE(8248)] = 376920,
  [SMALL_STATE(8249)] = 376975,
  [SMALL_STATE(8250)] = 377030,
  [SMALL_STATE(8251)] = 377085,
  [SMALL_STATE(8252)] = 377140,
  [SMALL_STATE(8253)] = 377195,
  [SMALL_STATE(8254)] = 377250,
  [SMALL_STATE(8255)] = 377305,
  [SMALL_STATE(8256)] = 377360,
  [SMALL_STATE(8257)] = 377415,
  [SMALL_STATE(8258)] = 377470,
  [SMALL_STATE(8259)] = 377527,
  [SMALL_STATE(8260)] = 377582,
  [SMALL_STATE(8261)] = 377637,
  [SMALL_STATE(8262)] = 377692,
  [SMALL_STATE(8263)] = 377747,
  [SMALL_STATE(8264)] = 377802,
  [SMALL_STATE(8265)] = 377857,
  [SMALL_STATE(8266)] = 377912,
  [SMALL_STATE(8267)] = 377967,
  [SMALL_STATE(8268)] = 378022,
  [SMALL_STATE(8269)] = 378077,
  [SMALL_STATE(8270)] = 378132,
  [SMALL_STATE(8271)] = 378187,
  [SMALL_STATE(8272)] = 378242,
  [SMALL_STATE(8273)] = 378297,
  [SMALL_STATE(8274)] = 378352,
  [SMALL_STATE(8275)] = 378407,
  [SMALL_STATE(8276)] = 378462,
  [SMALL_STATE(8277)] = 378517,
  [SMALL_STATE(8278)] = 378574,
  [SMALL_STATE(8279)] = 378629,
  [SMALL_STATE(8280)] = 378684,
  [SMALL_STATE(8281)] = 378739,
  [SMALL_STATE(8282)] = 378794,
  [SMALL_STATE(8283)] = 378849,
  [SMALL_STATE(8284)] = 378904,
  [SMALL_STATE(8285)] = 379009,
  [SMALL_STATE(8286)] = 379064,
  [SMALL_STATE(8287)] = 379119,
  [SMALL_STATE(8288)] = 379174,
  [SMALL_STATE(8289)] = 379229,
  [SMALL_STATE(8290)] = 379284,
  [SMALL_STATE(8291)] = 379339,
  [SMALL_STATE(8292)] = 379394,
  [SMALL_STATE(8293)] = 379449,
  [SMALL_STATE(8294)] = 379504,
  [SMALL_STATE(8295)] = 379559,
  [SMALL_STATE(8296)] = 379614,
  [SMALL_STATE(8297)] = 379671,
  [SMALL_STATE(8298)] = 379726,
  [SMALL_STATE(8299)] = 379781,
  [SMALL_STATE(8300)] = 379836,
  [SMALL_STATE(8301)] = 379891,
  [SMALL_STATE(8302)] = 379948,
  [SMALL_STATE(8303)] = 380003,
  [SMALL_STATE(8304)] = 380058,
  [SMALL_STATE(8305)] = 380113,
  [SMALL_STATE(8306)] = 380168,
  [SMALL_STATE(8307)] = 380223,
  [SMALL_STATE(8308)] = 380278,
  [SMALL_STATE(8309)] = 380333,
  [SMALL_STATE(8310)] = 380388,
  [SMALL_STATE(8311)] = 380443,
  [SMALL_STATE(8312)] = 380504,
  [SMALL_STATE(8313)] = 380559,
  [SMALL_STATE(8314)] = 380614,
  [SMALL_STATE(8315)] = 380719,
  [SMALL_STATE(8316)] = 380773,
  [SMALL_STATE(8317)] = 380827,
  [SMALL_STATE(8318)] = 380881,
  [SMALL_STATE(8319)] = 380935,
  [SMALL_STATE(8320)] = 380989,
  [SMALL_STATE(8321)] = 381043,
  [SMALL_STATE(8322)] = 381097,
  [SMALL_STATE(8323)] = 381151,
  [SMALL_STATE(8324)] = 381205,
  [SMALL_STATE(8325)] = 381259,
  [SMALL_STATE(8326)] = 381313,
  [SMALL_STATE(8327)] = 381367,
  [SMALL_STATE(8328)] = 381421,
  [SMALL_STATE(8329)] = 381477,
  [SMALL_STATE(8330)] = 381531,
  [SMALL_STATE(8331)] = 381585,
  [SMALL_STATE(8332)] = 381641,
  [SMALL_STATE(8333)] = 381695,
  [SMALL_STATE(8334)] = 381749,
  [SMALL_STATE(8335)] = 381803,
  [SMALL_STATE(8336)] = 381857,
  [SMALL_STATE(8337)] = 381911,
  [SMALL_STATE(8338)] = 381965,
  [SMALL_STATE(8339)] = 382019,
  [SMALL_STATE(8340)] = 382073,
  [SMALL_STATE(8341)] = 382127,
  [SMALL_STATE(8342)] = 382181,
  [SMALL_STATE(8343)] = 382235,
  [SMALL_STATE(8344)] = 382289,
  [SMALL_STATE(8345)] = 382343,
  [SMALL_STATE(8346)] = 382397,
  [SMALL_STATE(8347)] = 382451,
  [SMALL_STATE(8348)] = 382505,
  [SMALL_STATE(8349)] = 382559,
  [SMALL_STATE(8350)] = 382613,
  [SMALL_STATE(8351)] = 382667,
  [SMALL_STATE(8352)] = 382721,
  [SMALL_STATE(8353)] = 382775,
  [SMALL_STATE(8354)] = 382829,
  [SMALL_STATE(8355)] = 382883,
  [SMALL_STATE(8356)] = 382937,
  [SMALL_STATE(8357)] = 382991,
  [SMALL_STATE(8358)] = 383045,
  [SMALL_STATE(8359)] = 383099,
  [SMALL_STATE(8360)] = 383153,
  [SMALL_STATE(8361)] = 383207,
  [SMALL_STATE(8362)] = 383261,
  [SMALL_STATE(8363)] = 383315,
  [SMALL_STATE(8364)] = 383369,
  [SMALL_STATE(8365)] = 383425,
  [SMALL_STATE(8366)] = 383479,
  [SMALL_STATE(8367)] = 383533,
  [SMALL_STATE(8368)] = 383587,
  [SMALL_STATE(8369)] = 383643,
  [SMALL_STATE(8370)] = 383697,
  [SMALL_STATE(8371)] = 383751,
  [SMALL_STATE(8372)] = 383805,
  [SMALL_STATE(8373)] = 383859,
  [SMALL_STATE(8374)] = 383913,
  [SMALL_STATE(8375)] = 383969,
  [SMALL_STATE(8376)] = 384023,
  [SMALL_STATE(8377)] = 384077,
  [SMALL_STATE(8378)] = 384131,
  [SMALL_STATE(8379)] = 384187,
  [SMALL_STATE(8380)] = 384241,
  [SMALL_STATE(8381)] = 384295,
  [SMALL_STATE(8382)] = 384349,
  [SMALL_STATE(8383)] = 384403,
  [SMALL_STATE(8384)] = 384457,
  [SMALL_STATE(8385)] = 384511,
  [SMALL_STATE(8386)] = 384565,
  [SMALL_STATE(8387)] = 384619,
  [SMALL_STATE(8388)] = 384673,
  [SMALL_STATE(8389)] = 384727,
  [SMALL_STATE(8390)] = 384781,
  [SMALL_STATE(8391)] = 384835,
  [SMALL_STATE(8392)] = 384889,
  [SMALL_STATE(8393)] = 384943,
  [SMALL_STATE(8394)] = 384997,
  [SMALL_STATE(8395)] = 385051,
  [SMALL_STATE(8396)] = 385105,
  [SMALL_STATE(8397)] = 385159,
  [SMALL_STATE(8398)] = 385213,
  [SMALL_STATE(8399)] = 385267,
  [SMALL_STATE(8400)] = 385321,
  [SMALL_STATE(8401)] = 385375,
  [SMALL_STATE(8402)] = 385429,
  [SMALL_STATE(8403)] = 385489,
  [SMALL_STATE(8404)] = 385543,
  [SMALL_STATE(8405)] = 385597,
  [SMALL_STATE(8406)] = 385651,
  [SMALL_STATE(8407)] = 385711,
  [SMALL_STATE(8408)] = 385765,
  [SMALL_STATE(8409)] = 385819,
  [SMALL_STATE(8410)] = 385873,
  [SMALL_STATE(8411)] = 385927,
  [SMALL_STATE(8412)] = 385981,
  [SMALL_STATE(8413)] = 386035,
  [SMALL_STATE(8414)] = 386089,
  [SMALL_STATE(8415)] = 386143,
  [SMALL_STATE(8416)] = 386197,
  [SMALL_STATE(8417)] = 386251,
  [SMALL_STATE(8418)] = 386305,
  [SMALL_STATE(8419)] = 386359,
  [SMALL_STATE(8420)] = 386413,
  [SMALL_STATE(8421)] = 386467,
  [SMALL_STATE(8422)] = 386521,
  [SMALL_STATE(8423)] = 386575,
  [SMALL_STATE(8424)] = 386629,
  [SMALL_STATE(8425)] = 386683,
  [SMALL_STATE(8426)] = 386737,
  [SMALL_STATE(8427)] = 386791,
  [SMALL_STATE(8428)] = 386845,
  [SMALL_STATE(8429)] = 386899,
  [SMALL_STATE(8430)] = 386953,
  [SMALL_STATE(8431)] = 387013,
  [SMALL_STATE(8432)] = 387067,
  [SMALL_STATE(8433)] = 387127,
  [SMALL_STATE(8434)] = 387181,
  [SMALL_STATE(8435)] = 387235,
  [SMALL_STATE(8436)] = 387289,
  [SMALL_STATE(8437)] = 387343,
  [SMALL_STATE(8438)] = 387397,
  [SMALL_STATE(8439)] = 387451,
  [SMALL_STATE(8440)] = 387505,
  [SMALL_STATE(8441)] = 387561,
  [SMALL_STATE(8442)] = 387615,
  [SMALL_STATE(8443)] = 387669,
  [SMALL_STATE(8444)] = 387723,
  [SMALL_STATE(8445)] = 387777,
  [SMALL_STATE(8446)] = 387831,
  [SMALL_STATE(8447)] = 387885,
  [SMALL_STATE(8448)] = 387939,
  [SMALL_STATE(8449)] = 387995,
  [SMALL_STATE(8450)] = 388049,
  [SMALL_STATE(8451)] = 388103,
  [SMALL_STATE(8452)] = 388157,
  [SMALL_STATE(8453)] = 388211,
  [SMALL_STATE(8454)] = 388265,
  [SMALL_STATE(8455)] = 388319,
  [SMALL_STATE(8456)] = 388373,
  [SMALL_STATE(8457)] = 388427,
  [SMALL_STATE(8458)] = 388481,
  [SMALL_STATE(8459)] = 388535,
  [SMALL_STATE(8460)] = 388589,
  [SMALL_STATE(8461)] = 388643,
  [SMALL_STATE(8462)] = 388697,
  [SMALL_STATE(8463)] = 388751,
  [SMALL_STATE(8464)] = 388805,
  [SMALL_STATE(8465)] = 388859,
  [SMALL_STATE(8466)] = 388913,
  [SMALL_STATE(8467)] = 388969,
  [SMALL_STATE(8468)] = 389023,
  [SMALL_STATE(8469)] = 389077,
  [SMALL_STATE(8470)] = 389131,
  [SMALL_STATE(8471)] = 389185,
  [SMALL_STATE(8472)] = 389239,
  [SMALL_STATE(8473)] = 389293,
  [SMALL_STATE(8474)] = 389347,
  [SMALL_STATE(8475)] = 389401,
  [SMALL_STATE(8476)] = 389455,
  [SMALL_STATE(8477)] = 389511,
  [SMALL_STATE(8478)] = 389565,
  [SMALL_STATE(8479)] = 389619,
  [SMALL_STATE(8480)] = 389673,
  [SMALL_STATE(8481)] = 389727,
  [SMALL_STATE(8482)] = 389781,
  [SMALL_STATE(8483)] = 389837,
  [SMALL_STATE(8484)] = 389891,
  [SMALL_STATE(8485)] = 389945,
  [SMALL_STATE(8486)] = 389999,
  [SMALL_STATE(8487)] = 390053,
  [SMALL_STATE(8488)] = 390109,
  [SMALL_STATE(8489)] = 390163,
  [SMALL_STATE(8490)] = 390217,
  [SMALL_STATE(8491)] = 390271,
  [SMALL_STATE(8492)] = 390325,
  [SMALL_STATE(8493)] = 390378,
  [SMALL_STATE(8494)] = 390431,
  [SMALL_STATE(8495)] = 390484,
  [SMALL_STATE(8496)] = 390537,
  [SMALL_STATE(8497)] = 390590,
  [SMALL_STATE(8498)] = 390643,
  [SMALL_STATE(8499)] = 390696,
  [SMALL_STATE(8500)] = 390749,
  [SMALL_STATE(8501)] = 390802,
  [SMALL_STATE(8502)] = 390855,
  [SMALL_STATE(8503)] = 390908,
  [SMALL_STATE(8504)] = 390961,
  [SMALL_STATE(8505)] = 391014,
  [SMALL_STATE(8506)] = 391067,
  [SMALL_STATE(8507)] = 391120,
  [SMALL_STATE(8508)] = 391173,
  [SMALL_STATE(8509)] = 391226,
  [SMALL_STATE(8510)] = 391279,
  [SMALL_STATE(8511)] = 391332,
  [SMALL_STATE(8512)] = 391385,
  [SMALL_STATE(8513)] = 391438,
  [SMALL_STATE(8514)] = 391491,
  [SMALL_STATE(8515)] = 391544,
  [SMALL_STATE(8516)] = 391597,
  [SMALL_STATE(8517)] = 391650,
  [SMALL_STATE(8518)] = 391703,
  [SMALL_STATE(8519)] = 391756,
  [SMALL_STATE(8520)] = 391809,
  [SMALL_STATE(8521)] = 391862,
  [SMALL_STATE(8522)] = 391915,
  [SMALL_STATE(8523)] = 391968,
  [SMALL_STATE(8524)] = 392021,
  [SMALL_STATE(8525)] = 392074,
  [SMALL_STATE(8526)] = 392127,
  [SMALL_STATE(8527)] = 392180,
  [SMALL_STATE(8528)] = 392233,
  [SMALL_STATE(8529)] = 392286,
  [SMALL_STATE(8530)] = 392339,
  [SMALL_STATE(8531)] = 392392,
  [SMALL_STATE(8532)] = 392445,
  [SMALL_STATE(8533)] = 392498,
  [SMALL_STATE(8534)] = 392551,
  [SMALL_STATE(8535)] = 392604,
  [SMALL_STATE(8536)] = 392657,
  [SMALL_STATE(8537)] = 392710,
  [SMALL_STATE(8538)] = 392763,
  [SMALL_STATE(8539)] = 392816,
  [SMALL_STATE(8540)] = 392871,
  [SMALL_STATE(8541)] = 392924,
  [SMALL_STATE(8542)] = 392979,
  [SMALL_STATE(8543)] = 393032,
  [SMALL_STATE(8544)] = 393085,
  [SMALL_STATE(8545)] = 393138,
  [SMALL_STATE(8546)] = 393191,
  [SMALL_STATE(8547)] = 393244,
  [SMALL_STATE(8548)] = 393297,
  [SMALL_STATE(8549)] = 393350,
  [SMALL_STATE(8550)] = 393403,
  [SMALL_STATE(8551)] = 393456,
  [SMALL_STATE(8552)] = 393509,
  [SMALL_STATE(8553)] = 393562,
  [SMALL_STATE(8554)] = 393615,
  [SMALL_STATE(8555)] = 393668,
  [SMALL_STATE(8556)] = 393721,
  [SMALL_STATE(8557)] = 393774,
  [SMALL_STATE(8558)] = 393827,
  [SMALL_STATE(8559)] = 393880,
  [SMALL_STATE(8560)] = 393933,
  [SMALL_STATE(8561)] = 393986,
  [SMALL_STATE(8562)] = 394039,
  [SMALL_STATE(8563)] = 394092,
  [SMALL_STATE(8564)] = 394145,
  [SMALL_STATE(8565)] = 394198,
  [SMALL_STATE(8566)] = 394251,
  [SMALL_STATE(8567)] = 394304,
  [SMALL_STATE(8568)] = 394357,
  [SMALL_STATE(8569)] = 394410,
  [SMALL_STATE(8570)] = 394463,
  [SMALL_STATE(8571)] = 394516,
  [SMALL_STATE(8572)] = 394569,
  [SMALL_STATE(8573)] = 394622,
  [SMALL_STATE(8574)] = 394675,
  [SMALL_STATE(8575)] = 394728,
  [SMALL_STATE(8576)] = 394781,
  [SMALL_STATE(8577)] = 394834,
  [SMALL_STATE(8578)] = 394887,
  [SMALL_STATE(8579)] = 394940,
  [SMALL_STATE(8580)] = 394993,
  [SMALL_STATE(8581)] = 395046,
  [SMALL_STATE(8582)] = 395099,
  [SMALL_STATE(8583)] = 395152,
  [SMALL_STATE(8584)] = 395205,
  [SMALL_STATE(8585)] = 395258,
  [SMALL_STATE(8586)] = 395311,
  [SMALL_STATE(8587)] = 395364,
  [SMALL_STATE(8588)] = 395417,
  [SMALL_STATE(8589)] = 395470,
  [SMALL_STATE(8590)] = 395523,
  [SMALL_STATE(8591)] = 395576,
  [SMALL_STATE(8592)] = 395629,
  [SMALL_STATE(8593)] = 395688,
  [SMALL_STATE(8594)] = 395747,
  [SMALL_STATE(8595)] = 395800,
  [SMALL_STATE(8596)] = 395853,
  [SMALL_STATE(8597)] = 395906,
  [SMALL_STATE(8598)] = 395959,
  [SMALL_STATE(8599)] = 396012,
  [SMALL_STATE(8600)] = 396065,
  [SMALL_STATE(8601)] = 396118,
  [SMALL_STATE(8602)] = 396173,
  [SMALL_STATE(8603)] = 396226,
  [SMALL_STATE(8604)] = 396285,
  [SMALL_STATE(8605)] = 396338,
  [SMALL_STATE(8606)] = 396397,
  [SMALL_STATE(8607)] = 396450,
  [SMALL_STATE(8608)] = 396503,
  [SMALL_STATE(8609)] = 396556,
  [SMALL_STATE(8610)] = 396609,
  [SMALL_STATE(8611)] = 396662,
  [SMALL_STATE(8612)] = 396715,
  [SMALL_STATE(8613)] = 396768,
  [SMALL_STATE(8614)] = 396821,
  [SMALL_STATE(8615)] = 396874,
  [SMALL_STATE(8616)] = 396927,
  [SMALL_STATE(8617)] = 396980,
  [SMALL_STATE(8618)] = 397033,
  [SMALL_STATE(8619)] = 397086,
  [SMALL_STATE(8620)] = 397139,
  [SMALL_STATE(8621)] = 397192,
  [SMALL_STATE(8622)] = 397245,
  [SMALL_STATE(8623)] = 397298,
  [SMALL_STATE(8624)] = 397351,
  [SMALL_STATE(8625)] = 397404,
  [SMALL_STATE(8626)] = 397459,
  [SMALL_STATE(8627)] = 397512,
  [SMALL_STATE(8628)] = 397565,
  [SMALL_STATE(8629)] = 397618,
  [SMALL_STATE(8630)] = 397671,
  [SMALL_STATE(8631)] = 397724,
  [SMALL_STATE(8632)] = 397777,
  [SMALL_STATE(8633)] = 397830,
  [SMALL_STATE(8634)] = 397883,
  [SMALL_STATE(8635)] = 397936,
  [SMALL_STATE(8636)] = 397989,
  [SMALL_STATE(8637)] = 398042,
  [SMALL_STATE(8638)] = 398097,
  [SMALL_STATE(8639)] = 398150,
  [SMALL_STATE(8640)] = 398203,
  [SMALL_STATE(8641)] = 398256,
  [SMALL_STATE(8642)] = 398309,
  [SMALL_STATE(8643)] = 398362,
  [SMALL_STATE(8644)] = 398421,
  [SMALL_STATE(8645)] = 398474,
  [SMALL_STATE(8646)] = 398533,
  [SMALL_STATE(8647)] = 398586,
  [SMALL_STATE(8648)] = 398639,
  [SMALL_STATE(8649)] = 398692,
  [SMALL_STATE(8650)] = 398745,
  [SMALL_STATE(8651)] = 398798,
  [SMALL_STATE(8652)] = 398851,
  [SMALL_STATE(8653)] = 398904,
  [SMALL_STATE(8654)] = 398957,
  [SMALL_STATE(8655)] = 399010,
  [SMALL_STATE(8656)] = 399065,
  [SMALL_STATE(8657)] = 399118,
  [SMALL_STATE(8658)] = 399171,
  [SMALL_STATE(8659)] = 399224,
  [SMALL_STATE(8660)] = 399277,
  [SMALL_STATE(8661)] = 399330,
  [SMALL_STATE(8662)] = 399383,
  [SMALL_STATE(8663)] = 399438,
  [SMALL_STATE(8664)] = 399491,
  [SMALL_STATE(8665)] = 399544,
  [SMALL_STATE(8666)] = 399597,
  [SMALL_STATE(8667)] = 399650,
  [SMALL_STATE(8668)] = 399703,
  [SMALL_STATE(8669)] = 399756,
  [SMALL_STATE(8670)] = 399809,
  [SMALL_STATE(8671)] = 399864,
  [SMALL_STATE(8672)] = 399917,
  [SMALL_STATE(8673)] = 399970,
  [SMALL_STATE(8674)] = 400023,
  [SMALL_STATE(8675)] = 400076,
  [SMALL_STATE(8676)] = 400129,
  [SMALL_STATE(8677)] = 400182,
  [SMALL_STATE(8678)] = 400235,
  [SMALL_STATE(8679)] = 400288,
  [SMALL_STATE(8680)] = 400341,
  [SMALL_STATE(8681)] = 400394,
  [SMALL_STATE(8682)] = 400447,
  [SMALL_STATE(8683)] = 400500,
  [SMALL_STATE(8684)] = 400553,
  [SMALL_STATE(8685)] = 400606,
  [SMALL_STATE(8686)] = 400665,
  [SMALL_STATE(8687)] = 400718,
  [SMALL_STATE(8688)] = 400771,
  [SMALL_STATE(8689)] = 400830,
  [SMALL_STATE(8690)] = 400883,
  [SMALL_STATE(8691)] = 400936,
  [SMALL_STATE(8692)] = 400989,
  [SMALL_STATE(8693)] = 401042,
  [SMALL_STATE(8694)] = 401095,
  [SMALL_STATE(8695)] = 401148,
  [SMALL_STATE(8696)] = 401201,
  [SMALL_STATE(8697)] = 401254,
  [SMALL_STATE(8698)] = 401307,
  [SMALL_STATE(8699)] = 401360,
  [SMALL_STATE(8700)] = 401413,
  [SMALL_STATE(8701)] = 401466,
  [SMALL_STATE(8702)] = 401519,
  [SMALL_STATE(8703)] = 401572,
  [SMALL_STATE(8704)] = 401625,
  [SMALL_STATE(8705)] = 401678,
  [SMALL_STATE(8706)] = 401731,
  [SMALL_STATE(8707)] = 401784,
  [SMALL_STATE(8708)] = 401837,
  [SMALL_STATE(8709)] = 401890,
  [SMALL_STATE(8710)] = 401943,
  [SMALL_STATE(8711)] = 401998,
  [SMALL_STATE(8712)] = 402051,
  [SMALL_STATE(8713)] = 402106,
  [SMALL_STATE(8714)] = 402159,
  [SMALL_STATE(8715)] = 402212,
  [SMALL_STATE(8716)] = 402265,
  [SMALL_STATE(8717)] = 402318,
  [SMALL_STATE(8718)] = 402371,
  [SMALL_STATE(8719)] = 402424,
  [SMALL_STATE(8720)] = 402477,
  [SMALL_STATE(8721)] = 402530,
  [SMALL_STATE(8722)] = 402583,
  [SMALL_STATE(8723)] = 402636,
  [SMALL_STATE(8724)] = 402689,
  [SMALL_STATE(8725)] = 402744,
  [SMALL_STATE(8726)] = 402797,
  [SMALL_STATE(8727)] = 402850,
  [SMALL_STATE(8728)] = 402903,
  [SMALL_STATE(8729)] = 402956,
  [SMALL_STATE(8730)] = 403009,
  [SMALL_STATE(8731)] = 403062,
  [SMALL_STATE(8732)] = 403115,
  [SMALL_STATE(8733)] = 403168,
  [SMALL_STATE(8734)] = 403223,
  [SMALL_STATE(8735)] = 403276,
  [SMALL_STATE(8736)] = 403329,
  [SMALL_STATE(8737)] = 403384,
  [SMALL_STATE(8738)] = 403437,
  [SMALL_STATE(8739)] = 403490,
  [SMALL_STATE(8740)] = 403542,
  [SMALL_STATE(8741)] = 403594,
  [SMALL_STATE(8742)] = 403646,
  [SMALL_STATE(8743)] = 403698,
  [SMALL_STATE(8744)] = 403798,
  [SMALL_STATE(8745)] = 403850,
  [SMALL_STATE(8746)] = 403950,
  [SMALL_STATE(8747)] = 404002,
  [SMALL_STATE(8748)] = 404054,
  [SMALL_STATE(8749)] = 404106,
  [SMALL_STATE(8750)] = 404158,
  [SMALL_STATE(8751)] = 404210,
  [SMALL_STATE(8752)] = 404262,
  [SMALL_STATE(8753)] = 404314,
  [SMALL_STATE(8754)] = 404366,
  [SMALL_STATE(8755)] = 404418,
  [SMALL_STATE(8756)] = 404470,
  [SMALL_STATE(8757)] = 404522,
  [SMALL_STATE(8758)] = 404574,
  [SMALL_STATE(8759)] = 404626,
  [SMALL_STATE(8760)] = 404726,
  [SMALL_STATE(8761)] = 404778,
  [SMALL_STATE(8762)] = 404830,
  [SMALL_STATE(8763)] = 404882,
  [SMALL_STATE(8764)] = 404934,
  [SMALL_STATE(8765)] = 405034,
  [SMALL_STATE(8766)] = 405134,
  [SMALL_STATE(8767)] = 405234,
  [SMALL_STATE(8768)] = 405286,
  [SMALL_STATE(8769)] = 405366,
  [SMALL_STATE(8770)] = 405418,
  [SMALL_STATE(8771)] = 405472,
  [SMALL_STATE(8772)] = 405524,
  [SMALL_STATE(8773)] = 405576,
  [SMALL_STATE(8774)] = 405628,
  [SMALL_STATE(8775)] = 405682,
  [SMALL_STATE(8776)] = 405734,
  [SMALL_STATE(8777)] = 405786,
  [SMALL_STATE(8778)] = 405838,
  [SMALL_STATE(8779)] = 405938,
  [SMALL_STATE(8780)] = 405990,
  [SMALL_STATE(8781)] = 406042,
  [SMALL_STATE(8782)] = 406094,
  [SMALL_STATE(8783)] = 406146,
  [SMALL_STATE(8784)] = 406198,
  [SMALL_STATE(8785)] = 406250,
  [SMALL_STATE(8786)] = 406302,
  [SMALL_STATE(8787)] = 406360,
  [SMALL_STATE(8788)] = 406418,
  [SMALL_STATE(8789)] = 406472,
  [SMALL_STATE(8790)] = 406524,
  [SMALL_STATE(8791)] = 406576,
  [SMALL_STATE(8792)] = 406628,
  [SMALL_STATE(8793)] = 406680,
  [SMALL_STATE(8794)] = 406732,
  [SMALL_STATE(8795)] = 406784,
  [SMALL_STATE(8796)] = 406884,
  [SMALL_STATE(8797)] = 406936,
  [SMALL_STATE(8798)] = 407036,
  [SMALL_STATE(8799)] = 407088,
  [SMALL_STATE(8800)] = 407140,
  [SMALL_STATE(8801)] = 407192,
  [SMALL_STATE(8802)] = 407244,
  [SMALL_STATE(8803)] = 407296,
  [SMALL_STATE(8804)] = 407348,
  [SMALL_STATE(8805)] = 407400,
  [SMALL_STATE(8806)] = 407452,
  [SMALL_STATE(8807)] = 407504,
  [SMALL_STATE(8808)] = 407556,
  [SMALL_STATE(8809)] = 407614,
  [SMALL_STATE(8810)] = 407666,
  [SMALL_STATE(8811)] = 407718,
  [SMALL_STATE(8812)] = 407776,
  [SMALL_STATE(8813)] = 407876,
  [SMALL_STATE(8814)] = 407928,
  [SMALL_STATE(8815)] = 407980,
  [SMALL_STATE(8816)] = 408032,
  [SMALL_STATE(8817)] = 408132,
  [SMALL_STATE(8818)] = 408186,
  [SMALL_STATE(8819)] = 408238,
  [SMALL_STATE(8820)] = 408290,
  [SMALL_STATE(8821)] = 408342,
  [SMALL_STATE(8822)] = 408394,
  [SMALL_STATE(8823)] = 408446,
  [SMALL_STATE(8824)] = 408498,
  [SMALL_STATE(8825)] = 408550,
  [SMALL_STATE(8826)] = 408602,
  [SMALL_STATE(8827)] = 408654,
  [SMALL_STATE(8828)] = 408706,
  [SMALL_STATE(8829)] = 408760,
  [SMALL_STATE(8830)] = 408812,
  [SMALL_STATE(8831)] = 408864,
  [SMALL_STATE(8832)] = 408916,
  [SMALL_STATE(8833)] = 408968,
  [SMALL_STATE(8834)] = 409020,
  [SMALL_STATE(8835)] = 409072,
  [SMALL_STATE(8836)] = 409124,
  [SMALL_STATE(8837)] = 409224,
  [SMALL_STATE(8838)] = 409324,
  [SMALL_STATE(8839)] = 409424,
  [SMALL_STATE(8840)] = 409524,
  [SMALL_STATE(8841)] = 409576,
  [SMALL_STATE(8842)] = 409628,
  [SMALL_STATE(8843)] = 409680,
  [SMALL_STATE(8844)] = 409732,
  [SMALL_STATE(8845)] = 409784,
  [SMALL_STATE(8846)] = 409884,
  [SMALL_STATE(8847)] = 409938,
  [SMALL_STATE(8848)] = 409990,
  [SMALL_STATE(8849)] = 410042,
  [SMALL_STATE(8850)] = 410142,
  [SMALL_STATE(8851)] = 410194,
  [SMALL_STATE(8852)] = 410246,
  [SMALL_STATE(8853)] = 410298,
  [SMALL_STATE(8854)] = 410398,
  [SMALL_STATE(8855)] = 410450,
  [SMALL_STATE(8856)] = 410502,
  [SMALL_STATE(8857)] = 410602,
  [SMALL_STATE(8858)] = 410656,
  [SMALL_STATE(8859)] = 410708,
  [SMALL_STATE(8860)] = 410808,
  [SMALL_STATE(8861)] = 410860,
  [SMALL_STATE(8862)] = 410960,
  [SMALL_STATE(8863)] = 411012,
  [SMALL_STATE(8864)] = 411112,
  [SMALL_STATE(8865)] = 411164,
  [SMALL_STATE(8866)] = 411216,
  [SMALL_STATE(8867)] = 411316,
  [SMALL_STATE(8868)] = 411368,
  [SMALL_STATE(8869)] = 411468,
  [SMALL_STATE(8870)] = 411520,
  [SMALL_STATE(8871)] = 411572,
  [SMALL_STATE(8872)] = 411672,
  [SMALL_STATE(8873)] = 411772,
  [SMALL_STATE(8874)] = 411824,
  [SMALL_STATE(8875)] = 411875,
  [SMALL_STATE(8876)] = 411926,
  [SMALL_STATE(8877)] = 411977,
  [SMALL_STATE(8878)] = 412028,
  [SMALL_STATE(8879)] = 412079,
  [SMALL_STATE(8880)] = 412130,
  [SMALL_STATE(8881)] = 412181,
  [SMALL_STATE(8882)] = 412278,
  [SMALL_STATE(8883)] = 412329,
  [SMALL_STATE(8884)] = 412380,
  [SMALL_STATE(8885)] = 412431,
  [SMALL_STATE(8886)] = 412484,
  [SMALL_STATE(8887)] = 412535,
  [SMALL_STATE(8888)] = 412586,
  [SMALL_STATE(8889)] = 412637,
  [SMALL_STATE(8890)] = 412688,
  [SMALL_STATE(8891)] = 412787,
  [SMALL_STATE(8892)] = 412838,
  [SMALL_STATE(8893)] = 412889,
  [SMALL_STATE(8894)] = 412940,
  [SMALL_STATE(8895)] = 412991,
  [SMALL_STATE(8896)] = 413042,
  [SMALL_STATE(8897)] = 413093,
  [SMALL_STATE(8898)] = 413144,
  [SMALL_STATE(8899)] = 413195,
  [SMALL_STATE(8900)] = 413246,
  [SMALL_STATE(8901)] = 413297,
  [SMALL_STATE(8902)] = 413390,
  [SMALL_STATE(8903)] = 413441,
  [SMALL_STATE(8904)] = 413492,
  [SMALL_STATE(8905)] = 413589,
  [SMALL_STATE(8906)] = 413640,
  [SMALL_STATE(8907)] = 413737,
  [SMALL_STATE(8908)] = 413788,
  [SMALL_STATE(8909)] = 413839,
  [SMALL_STATE(8910)] = 413890,
  [SMALL_STATE(8911)] = 413941,
  [SMALL_STATE(8912)] = 413992,
  [SMALL_STATE(8913)] = 414043,
  [SMALL_STATE(8914)] = 414094,
  [SMALL_STATE(8915)] = 414145,
  [SMALL_STATE(8916)] = 414196,
  [SMALL_STATE(8917)] = 414293,
  [SMALL_STATE(8918)] = 414344,
  [SMALL_STATE(8919)] = 414441,
  [SMALL_STATE(8920)] = 414492,
  [SMALL_STATE(8921)] = 414543,
  [SMALL_STATE(8922)] = 414636,
  [SMALL_STATE(8923)] = 414687,
  [SMALL_STATE(8924)] = 414738,
  [SMALL_STATE(8925)] = 414789,
  [SMALL_STATE(8926)] = 414840,
  [SMALL_STATE(8927)] = 414891,
  [SMALL_STATE(8928)] = 414942,
  [SMALL_STATE(8929)] = 414997,
  [SMALL_STATE(8930)] = 415094,
  [SMALL_STATE(8931)] = 415187,
  [SMALL_STATE(8932)] = 415238,
  [SMALL_STATE(8933)] = 415335,
  [SMALL_STATE(8934)] = 415432,
  [SMALL_STATE(8935)] = 415529,
  [SMALL_STATE(8936)] = 415580,
  [SMALL_STATE(8937)] = 415631,
  [SMALL_STATE(8938)] = 415682,
  [SMALL_STATE(8939)] = 415733,
  [SMALL_STATE(8940)] = 415784,
  [SMALL_STATE(8941)] = 415835,
  [SMALL_STATE(8942)] = 415886,
  [SMALL_STATE(8943)] = 415937,
  [SMALL_STATE(8944)] = 415988,
  [SMALL_STATE(8945)] = 416085,
  [SMALL_STATE(8946)] = 416136,
  [SMALL_STATE(8947)] = 416233,
  [SMALL_STATE(8948)] = 416284,
  [SMALL_STATE(8949)] = 416335,
  [SMALL_STATE(8950)] = 416386,
  [SMALL_STATE(8951)] = 416479,
  [SMALL_STATE(8952)] = 416576,
  [SMALL_STATE(8953)] = 416669,
  [SMALL_STATE(8954)] = 416720,
  [SMALL_STATE(8955)] = 416771,
  [SMALL_STATE(8956)] = 416868,
  [SMALL_STATE(8957)] = 416965,
  [SMALL_STATE(8958)] = 417016,
  [SMALL_STATE(8959)] = 417067,
  [SMALL_STATE(8960)] = 417118,
  [SMALL_STATE(8961)] = 417215,
  [SMALL_STATE(8962)] = 417266,
  [SMALL_STATE(8963)] = 417317,
  [SMALL_STATE(8964)] = 417368,
  [SMALL_STATE(8965)] = 417419,
  [SMALL_STATE(8966)] = 417470,
  [SMALL_STATE(8967)] = 417569,
  [SMALL_STATE(8968)] = 417666,
  [SMALL_STATE(8969)] = 417763,
  [SMALL_STATE(8970)] = 417816,
  [SMALL_STATE(8971)] = 417867,
  [SMALL_STATE(8972)] = 417960,
  [SMALL_STATE(8973)] = 418057,
  [SMALL_STATE(8974)] = 418108,
  [SMALL_STATE(8975)] = 418159,
  [SMALL_STATE(8976)] = 418210,
  [SMALL_STATE(8977)] = 418261,
  [SMALL_STATE(8978)] = 418358,
  [SMALL_STATE(8979)] = 418409,
  [SMALL_STATE(8980)] = 418460,
  [SMALL_STATE(8981)] = 418557,
  [SMALL_STATE(8982)] = 418608,
  [SMALL_STATE(8983)] = 418665,
  [SMALL_STATE(8984)] = 418716,
  [SMALL_STATE(8985)] = 418813,
  [SMALL_STATE(8986)] = 418864,
  [SMALL_STATE(8987)] = 418915,
  [SMALL_STATE(8988)] = 418966,
  [SMALL_STATE(8989)] = 419017,
  [SMALL_STATE(8990)] = 419068,
  [SMALL_STATE(8991)] = 419165,
  [SMALL_STATE(8992)] = 419216,
  [SMALL_STATE(8993)] = 419267,
  [SMALL_STATE(8994)] = 419318,
  [SMALL_STATE(8995)] = 419369,
  [SMALL_STATE(8996)] = 419420,
  [SMALL_STATE(8997)] = 419471,
  [SMALL_STATE(8998)] = 419568,
  [SMALL_STATE(8999)] = 419619,
  [SMALL_STATE(9000)] = 419670,
  [SMALL_STATE(9001)] = 419721,
  [SMALL_STATE(9002)] = 419818,
  [SMALL_STATE(9003)] = 419869,
  [SMALL_STATE(9004)] = 419920,
  [SMALL_STATE(9005)] = 420017,
  [SMALL_STATE(9006)] = 420068,
  [SMALL_STATE(9007)] = 420119,
  [SMALL_STATE(9008)] = 420170,
  [SMALL_STATE(9009)] = 420221,
  [SMALL_STATE(9010)] = 420272,
  [SMALL_STATE(9011)] = 420323,
  [SMALL_STATE(9012)] = 420374,
  [SMALL_STATE(9013)] = 420425,
  [SMALL_STATE(9014)] = 420524,
  [SMALL_STATE(9015)] = 420575,
  [SMALL_STATE(9016)] = 420672,
  [SMALL_STATE(9017)] = 420723,
  [SMALL_STATE(9018)] = 420774,
  [SMALL_STATE(9019)] = 420825,
  [SMALL_STATE(9020)] = 420922,
  [SMALL_STATE(9021)] = 421019,
  [SMALL_STATE(9022)] = 421116,
  [SMALL_STATE(9023)] = 421167,
  [SMALL_STATE(9024)] = 421218,
  [SMALL_STATE(9025)] = 421269,
  [SMALL_STATE(9026)] = 421320,
  [SMALL_STATE(9027)] = 421413,
  [SMALL_STATE(9028)] = 421464,
  [SMALL_STATE(9029)] = 421515,
  [SMALL_STATE(9030)] = 421566,
  [SMALL_STATE(9031)] = 421659,
  [SMALL_STATE(9032)] = 421710,
  [SMALL_STATE(9033)] = 421761,
  [SMALL_STATE(9034)] = 421858,
  [SMALL_STATE(9035)] = 421955,
  [SMALL_STATE(9036)] = 422034,
  [SMALL_STATE(9037)] = 422131,
  [SMALL_STATE(9038)] = 422184,
  [SMALL_STATE(9039)] = 422235,
  [SMALL_STATE(9040)] = 422286,
  [SMALL_STATE(9041)] = 422383,
  [SMALL_STATE(9042)] = 422476,
  [SMALL_STATE(9043)] = 422527,
  [SMALL_STATE(9044)] = 422626,
  [SMALL_STATE(9045)] = 422677,
  [SMALL_STATE(9046)] = 422728,
  [SMALL_STATE(9047)] = 422779,
  [SMALL_STATE(9048)] = 422830,
  [SMALL_STATE(9049)] = 422881,
  [SMALL_STATE(9050)] = 422932,
  [SMALL_STATE(9051)] = 423025,
  [SMALL_STATE(9052)] = 423076,
  [SMALL_STATE(9053)] = 423127,
  [SMALL_STATE(9054)] = 423182,
  [SMALL_STATE(9055)] = 423279,
  [SMALL_STATE(9056)] = 423330,
  [SMALL_STATE(9057)] = 423381,
  [SMALL_STATE(9058)] = 423478,
  [SMALL_STATE(9059)] = 423529,
  [SMALL_STATE(9060)] = 423580,
  [SMALL_STATE(9061)] = 423631,
  [SMALL_STATE(9062)] = 423724,
  [SMALL_STATE(9063)] = 423775,
  [SMALL_STATE(9064)] = 423826,
  [SMALL_STATE(9065)] = 423877,
  [SMALL_STATE(9066)] = 423928,
  [SMALL_STATE(9067)] = 424025,
  [SMALL_STATE(9068)] = 424076,
  [SMALL_STATE(9069)] = 424173,
  [SMALL_STATE(9070)] = 424270,
  [SMALL_STATE(9071)] = 424321,
  [SMALL_STATE(9072)] = 424418,
  [SMALL_STATE(9073)] = 424515,
  [SMALL_STATE(9074)] = 424612,
  [SMALL_STATE(9075)] = 424663,
  [SMALL_STATE(9076)] = 424714,
  [SMALL_STATE(9077)] = 424807,
  [SMALL_STATE(9078)] = 424858,
  [SMALL_STATE(9079)] = 424955,
  [SMALL_STATE(9080)] = 425006,
  [SMALL_STATE(9081)] = 425103,
  [SMALL_STATE(9082)] = 425154,
  [SMALL_STATE(9083)] = 425205,
  [SMALL_STATE(9084)] = 425256,
  [SMALL_STATE(9085)] = 425307,
  [SMALL_STATE(9086)] = 425358,
  [SMALL_STATE(9087)] = 425455,
  [SMALL_STATE(9088)] = 425506,
  [SMALL_STATE(9089)] = 425603,
  [SMALL_STATE(9090)] = 425654,
  [SMALL_STATE(9091)] = 425705,
  [SMALL_STATE(9092)] = 425756,
  [SMALL_STATE(9093)] = 425807,
  [SMALL_STATE(9094)] = 425858,
  [SMALL_STATE(9095)] = 425909,
  [SMALL_STATE(9096)] = 425960,
  [SMALL_STATE(9097)] = 426011,
  [SMALL_STATE(9098)] = 426062,
  [SMALL_STATE(9099)] = 426155,
  [SMALL_STATE(9100)] = 426206,
  [SMALL_STATE(9101)] = 426257,
  [SMALL_STATE(9102)] = 426308,
  [SMALL_STATE(9103)] = 426359,
  [SMALL_STATE(9104)] = 426410,
  [SMALL_STATE(9105)] = 426461,
  [SMALL_STATE(9106)] = 426512,
  [SMALL_STATE(9107)] = 426563,
  [SMALL_STATE(9108)] = 426614,
  [SMALL_STATE(9109)] = 426671,
  [SMALL_STATE(9110)] = 426722,
  [SMALL_STATE(9111)] = 426815,
  [SMALL_STATE(9112)] = 426912,
  [SMALL_STATE(9113)] = 427009,
  [SMALL_STATE(9114)] = 427106,
  [SMALL_STATE(9115)] = 427157,
  [SMALL_STATE(9116)] = 427208,
  [SMALL_STATE(9117)] = 427301,
  [SMALL_STATE(9118)] = 427352,
  [SMALL_STATE(9119)] = 427403,
  [SMALL_STATE(9120)] = 427454,
  [SMALL_STATE(9121)] = 427547,
  [SMALL_STATE(9122)] = 427646,
  [SMALL_STATE(9123)] = 427745,
  [SMALL_STATE(9124)] = 427796,
  [SMALL_STATE(9125)] = 427847,
  [SMALL_STATE(9126)] = 427944,
  [SMALL_STATE(9127)] = 427995,
  [SMALL_STATE(9128)] = 428046,
  [SMALL_STATE(9129)] = 428139,
  [SMALL_STATE(9130)] = 428190,
  [SMALL_STATE(9131)] = 428241,
  [SMALL_STATE(9132)] = 428292,
  [SMALL_STATE(9133)] = 428343,
  [SMALL_STATE(9134)] = 428440,
  [SMALL_STATE(9135)] = 428491,
  [SMALL_STATE(9136)] = 428542,
  [SMALL_STATE(9137)] = 428593,
  [SMALL_STATE(9138)] = 428644,
  [SMALL_STATE(9139)] = 428695,
  [SMALL_STATE(9140)] = 428792,
  [SMALL_STATE(9141)] = 428889,
  [SMALL_STATE(9142)] = 428940,
  [SMALL_STATE(9143)] = 428991,
  [SMALL_STATE(9144)] = 429042,
  [SMALL_STATE(9145)] = 429093,
  [SMALL_STATE(9146)] = 429144,
  [SMALL_STATE(9147)] = 429237,
  [SMALL_STATE(9148)] = 429334,
  [SMALL_STATE(9149)] = 429431,
  [SMALL_STATE(9150)] = 429482,
  [SMALL_STATE(9151)] = 429533,
  [SMALL_STATE(9152)] = 429584,
  [SMALL_STATE(9153)] = 429635,
  [SMALL_STATE(9154)] = 429686,
  [SMALL_STATE(9155)] = 429737,
  [SMALL_STATE(9156)] = 429788,
  [SMALL_STATE(9157)] = 429839,
  [SMALL_STATE(9158)] = 429890,
  [SMALL_STATE(9159)] = 429941,
  [SMALL_STATE(9160)] = 430038,
  [SMALL_STATE(9161)] = 430089,
  [SMALL_STATE(9162)] = 430186,
  [SMALL_STATE(9163)] = 430283,
  [SMALL_STATE(9164)] = 430380,
  [SMALL_STATE(9165)] = 430431,
  [SMALL_STATE(9166)] = 430482,
  [SMALL_STATE(9167)] = 430533,
  [SMALL_STATE(9168)] = 430584,
  [SMALL_STATE(9169)] = 430635,
  [SMALL_STATE(9170)] = 430686,
  [SMALL_STATE(9171)] = 430737,
  [SMALL_STATE(9172)] = 430788,
  [SMALL_STATE(9173)] = 430839,
  [SMALL_STATE(9174)] = 430936,
  [SMALL_STATE(9175)] = 431033,
  [SMALL_STATE(9176)] = 431084,
  [SMALL_STATE(9177)] = 431135,
  [SMALL_STATE(9178)] = 431186,
  [SMALL_STATE(9179)] = 431283,
  [SMALL_STATE(9180)] = 431334,
  [SMALL_STATE(9181)] = 431385,
  [SMALL_STATE(9182)] = 431436,
  [SMALL_STATE(9183)] = 431487,
  [SMALL_STATE(9184)] = 431538,
  [SMALL_STATE(9185)] = 431589,
  [SMALL_STATE(9186)] = 431640,
  [SMALL_STATE(9187)] = 431737,
  [SMALL_STATE(9188)] = 431788,
  [SMALL_STATE(9189)] = 431839,
  [SMALL_STATE(9190)] = 431936,
  [SMALL_STATE(9191)] = 431987,
  [SMALL_STATE(9192)] = 432038,
  [SMALL_STATE(9193)] = 432091,
  [SMALL_STATE(9194)] = 432188,
  [SMALL_STATE(9195)] = 432281,
  [SMALL_STATE(9196)] = 432374,
  [SMALL_STATE(9197)] = 432471,
  [SMALL_STATE(9198)] = 432522,
  [SMALL_STATE(9199)] = 432573,
  [SMALL_STATE(9200)] = 432624,
  [SMALL_STATE(9201)] = 432675,
  [SMALL_STATE(9202)] = 432726,
  [SMALL_STATE(9203)] = 432777,
  [SMALL_STATE(9204)] = 432828,
  [SMALL_STATE(9205)] = 432879,
  [SMALL_STATE(9206)] = 432976,
  [SMALL_STATE(9207)] = 433073,
  [SMALL_STATE(9208)] = 433124,
  [SMALL_STATE(9209)] = 433175,
  [SMALL_STATE(9210)] = 433226,
  [SMALL_STATE(9211)] = 433277,
  [SMALL_STATE(9212)] = 433328,
  [SMALL_STATE(9213)] = 433379,
  [SMALL_STATE(9214)] = 433476,
  [SMALL_STATE(9215)] = 433527,
  [SMALL_STATE(9216)] = 433578,
  [SMALL_STATE(9217)] = 433629,
  [SMALL_STATE(9218)] = 433680,
  [SMALL_STATE(9219)] = 433731,
  [SMALL_STATE(9220)] = 433782,
  [SMALL_STATE(9221)] = 433833,
  [SMALL_STATE(9222)] = 433884,
  [SMALL_STATE(9223)] = 433935,
  [SMALL_STATE(9224)] = 433986,
  [SMALL_STATE(9225)] = 434036,
  [SMALL_STATE(9226)] = 434092,
  [SMALL_STATE(9227)] = 434164,
  [SMALL_STATE(9228)] = 434258,
  [SMALL_STATE(9229)] = 434352,
  [SMALL_STATE(9230)] = 434446,
  [SMALL_STATE(9231)] = 434540,
  [SMALL_STATE(9232)] = 434612,
  [SMALL_STATE(9233)] = 434680,
  [SMALL_STATE(9234)] = 434732,
  [SMALL_STATE(9235)] = 434782,
  [SMALL_STATE(9236)] = 434876,
  [SMALL_STATE(9237)] = 434970,
  [SMALL_STATE(9238)] = 435064,
  [SMALL_STATE(9239)] = 435158,
  [SMALL_STATE(9240)] = 435252,
  [SMALL_STATE(9241)] = 435346,
  [SMALL_STATE(9242)] = 435400,
  [SMALL_STATE(9243)] = 435494,
  [SMALL_STATE(9244)] = 435566,
  [SMALL_STATE(9245)] = 435616,
  [SMALL_STATE(9246)] = 435670,
  [SMALL_STATE(9247)] = 435720,
  [SMALL_STATE(9248)] = 435788,
  [SMALL_STATE(9249)] = 435882,
  [SMALL_STATE(9250)] = 435936,
  [SMALL_STATE(9251)] = 435990,
  [SMALL_STATE(9252)] = 436050,
  [SMALL_STATE(9253)] = 436104,
  [SMALL_STATE(9254)] = 436198,
  [SMALL_STATE(9255)] = 436252,
  [SMALL_STATE(9256)] = 436304,
  [SMALL_STATE(9257)] = 436398,
  [SMALL_STATE(9258)] = 436460,
  [SMALL_STATE(9259)] = 436554,
  [SMALL_STATE(9260)] = 436648,
  [SMALL_STATE(9261)] = 436742,
  [SMALL_STATE(9262)] = 436836,
  [SMALL_STATE(9263)] = 436898,
  [SMALL_STATE(9264)] = 436952,
  [SMALL_STATE(9265)] = 437018,
  [SMALL_STATE(9266)] = 437068,
  [SMALL_STATE(9267)] = 437122,
  [SMALL_STATE(9268)] = 437190,
  [SMALL_STATE(9269)] = 437284,
  [SMALL_STATE(9270)] = 437336,
  [SMALL_STATE(9271)] = 437430,
  [SMALL_STATE(9272)] = 437502,
  [SMALL_STATE(9273)] = 437568,
  [SMALL_STATE(9274)] = 437640,
  [SMALL_STATE(9275)] = 437734,
  [SMALL_STATE(9276)] = 437788,
  [SMALL_STATE(9277)] = 437850,
  [SMALL_STATE(9278)] = 437906,
  [SMALL_STATE(9279)] = 437978,
  [SMALL_STATE(9280)] = 438050,
  [SMALL_STATE(9281)] = 438104,
  [SMALL_STATE(9282)] = 438198,
  [SMALL_STATE(9283)] = 438270,
  [SMALL_STATE(9284)] = 438324,
  [SMALL_STATE(9285)] = 438418,
  [SMALL_STATE(9286)] = 438480,
  [SMALL_STATE(9287)] = 438552,
  [SMALL_STATE(9288)] = 438620,
  [SMALL_STATE(9289)] = 438714,
  [SMALL_STATE(9290)] = 438768,
  [SMALL_STATE(9291)] = 438820,
  [SMALL_STATE(9292)] = 438886,
  [SMALL_STATE(9293)] = 438980,
  [SMALL_STATE(9294)] = 439036,
  [SMALL_STATE(9295)] = 439098,
  [SMALL_STATE(9296)] = 439192,
  [SMALL_STATE(9297)] = 439242,
  [SMALL_STATE(9298)] = 439304,
  [SMALL_STATE(9299)] = 439358,
  [SMALL_STATE(9300)] = 439430,
  [SMALL_STATE(9301)] = 439484,
  [SMALL_STATE(9302)] = 439538,
  [SMALL_STATE(9303)] = 439592,
  [SMALL_STATE(9304)] = 439646,
  [SMALL_STATE(9305)] = 439706,
  [SMALL_STATE(9306)] = 439778,
  [SMALL_STATE(9307)] = 439846,
  [SMALL_STATE(9308)] = 439940,
  [SMALL_STATE(9309)] = 440034,
  [SMALL_STATE(9310)] = 440094,
  [SMALL_STATE(9311)] = 440188,
  [SMALL_STATE(9312)] = 440282,
  [SMALL_STATE(9313)] = 440336,
  [SMALL_STATE(9314)] = 440430,
  [SMALL_STATE(9315)] = 440524,
  [SMALL_STATE(9316)] = 440574,
  [SMALL_STATE(9317)] = 440642,
  [SMALL_STATE(9318)] = 440736,
  [SMALL_STATE(9319)] = 440790,
  [SMALL_STATE(9320)] = 440884,
  [SMALL_STATE(9321)] = 440938,
  [SMALL_STATE(9322)] = 441032,
  [SMALL_STATE(9323)] = 441082,
  [SMALL_STATE(9324)] = 441176,
  [SMALL_STATE(9325)] = 441270,
  [SMALL_STATE(9326)] = 441364,
  [SMALL_STATE(9327)] = 441458,
  [SMALL_STATE(9328)] = 441552,
  [SMALL_STATE(9329)] = 441646,
  [SMALL_STATE(9330)] = 441698,
  [SMALL_STATE(9331)] = 441748,
  [SMALL_STATE(9332)] = 441802,
  [SMALL_STATE(9333)] = 441896,
  [SMALL_STATE(9334)] = 441950,
  [SMALL_STATE(9335)] = 442024,
  [SMALL_STATE(9336)] = 442118,
  [SMALL_STATE(9337)] = 442168,
  [SMALL_STATE(9338)] = 442262,
  [SMALL_STATE(9339)] = 442316,
  [SMALL_STATE(9340)] = 442366,
  [SMALL_STATE(9341)] = 442418,
  [SMALL_STATE(9342)] = 442468,
  [SMALL_STATE(9343)] = 442562,
  [SMALL_STATE(9344)] = 442612,
  [SMALL_STATE(9345)] = 442662,
  [SMALL_STATE(9346)] = 442712,
  [SMALL_STATE(9347)] = 442766,
  [SMALL_STATE(9348)] = 442816,
  [SMALL_STATE(9349)] = 442870,
  [SMALL_STATE(9350)] = 442944,
  [SMALL_STATE(9351)] = 443038,
  [SMALL_STATE(9352)] = 443132,
  [SMALL_STATE(9353)] = 443226,
  [SMALL_STATE(9354)] = 443320,
  [SMALL_STATE(9355)] = 443414,
  [SMALL_STATE(9356)] = 443508,
  [SMALL_STATE(9357)] = 443602,
  [SMALL_STATE(9358)] = 443696,
  [SMALL_STATE(9359)] = 443790,
  [SMALL_STATE(9360)] = 443884,
  [SMALL_STATE(9361)] = 443978,
  [SMALL_STATE(9362)] = 444032,
  [SMALL_STATE(9363)] = 444126,
  [SMALL_STATE(9364)] = 444180,
  [SMALL_STATE(9365)] = 444274,
  [SMALL_STATE(9366)] = 444368,
  [SMALL_STATE(9367)] = 444418,
  [SMALL_STATE(9368)] = 444512,
  [SMALL_STATE(9369)] = 444584,
  [SMALL_STATE(9370)] = 444636,
  [SMALL_STATE(9371)] = 444730,
  [SMALL_STATE(9372)] = 444784,
  [SMALL_STATE(9373)] = 444878,
  [SMALL_STATE(9374)] = 444952,
  [SMALL_STATE(9375)] = 445006,
  [SMALL_STATE(9376)] = 445060,
  [SMALL_STATE(9377)] = 445110,
  [SMALL_STATE(9378)] = 445204,
  [SMALL_STATE(9379)] = 445254,
  [SMALL_STATE(9380)] = 445304,
  [SMALL_STATE(9381)] = 445354,
  [SMALL_STATE(9382)] = 445404,
  [SMALL_STATE(9383)] = 445454,
  [SMALL_STATE(9384)] = 445504,
  [SMALL_STATE(9385)] = 445554,
  [SMALL_STATE(9386)] = 445604,
  [SMALL_STATE(9387)] = 445654,
  [SMALL_STATE(9388)] = 445704,
  [SMALL_STATE(9389)] = 445756,
  [SMALL_STATE(9390)] = 445806,
  [SMALL_STATE(9391)] = 445856,
  [SMALL_STATE(9392)] = 445906,
  [SMALL_STATE(9393)] = 445956,
  [SMALL_STATE(9394)] = 446008,
  [SMALL_STATE(9395)] = 446102,
  [SMALL_STATE(9396)] = 446152,
  [SMALL_STATE(9397)] = 446246,
  [SMALL_STATE(9398)] = 446296,
  [SMALL_STATE(9399)] = 446346,
  [SMALL_STATE(9400)] = 446440,
  [SMALL_STATE(9401)] = 446490,
  [SMALL_STATE(9402)] = 446584,
  [SMALL_STATE(9403)] = 446639,
  [SMALL_STATE(9404)] = 446692,
  [SMALL_STATE(9405)] = 446753,
  [SMALL_STATE(9406)] = 446818,
  [SMALL_STATE(9407)] = 446891,
  [SMALL_STATE(9408)] = 446964,
  [SMALL_STATE(9409)] = 447035,
  [SMALL_STATE(9410)] = 447088,
  [SMALL_STATE(9411)] = 447141,
  [SMALL_STATE(9412)] = 447192,
  [SMALL_STATE(9413)] = 447259,
  [SMALL_STATE(9414)] = 447320,
  [SMALL_STATE(9415)] = 447373,
  [SMALL_STATE(9416)] = 447432,
  [SMALL_STATE(9417)] = 447499,
  [SMALL_STATE(9418)] = 447570,
  [SMALL_STATE(9419)] = 447623,
  [SMALL_STATE(9420)] = 447676,
  [SMALL_STATE(9421)] = 447731,
  [SMALL_STATE(9422)] = 447784,
  [SMALL_STATE(9423)] = 447855,
  [SMALL_STATE(9424)] = 447908,
  [SMALL_STATE(9425)] = 447999,
  [SMALL_STATE(9426)] = 448070,
  [SMALL_STATE(9427)] = 448123,
  [SMALL_STATE(9428)] = 448194,
  [SMALL_STATE(9429)] = 448245,
  [SMALL_STATE(9430)] = 448316,
  [SMALL_STATE(9431)] = 448369,
  [SMALL_STATE(9432)] = 448422,
  [SMALL_STATE(9433)] = 448471,
  [SMALL_STATE(9434)] = 448562,
  [SMALL_STATE(9435)] = 448635,
  [SMALL_STATE(9436)] = 448726,
  [SMALL_STATE(9437)] = 448797,
  [SMALL_STATE(9438)] = 448868,
  [SMALL_STATE(9439)] = 448923,
  [SMALL_STATE(9440)] = 448978,
  [SMALL_STATE(9441)] = 449031,
  [SMALL_STATE(9442)] = 449080,
  [SMALL_STATE(9443)] = 449147,
  [SMALL_STATE(9444)] = 449198,
  [SMALL_STATE(9445)] = 449251,
  [SMALL_STATE(9446)] = 449304,
  [SMALL_STATE(9447)] = 449375,
  [SMALL_STATE(9448)] = 449442,
  [SMALL_STATE(9449)] = 449503,
  [SMALL_STATE(9450)] = 449556,
  [SMALL_STATE(9451)] = 449609,
  [SMALL_STATE(9452)] = 449660,
  [SMALL_STATE(9453)] = 449721,
  [SMALL_STATE(9454)] = 449792,
  [SMALL_STATE(9455)] = 449845,
  [SMALL_STATE(9456)] = 449898,
  [SMALL_STATE(9457)] = 449951,
  [SMALL_STATE(9458)] = 450004,
  [SMALL_STATE(9459)] = 450057,
  [SMALL_STATE(9460)] = 450122,
  [SMALL_STATE(9461)] = 450175,
  [SMALL_STATE(9462)] = 450234,
  [SMALL_STATE(9463)] = 450301,
  [SMALL_STATE(9464)] = 450372,
  [SMALL_STATE(9465)] = 450445,
  [SMALL_STATE(9466)] = 450498,
  [SMALL_STATE(9467)] = 450569,
  [SMALL_STATE(9468)] = 450636,
  [SMALL_STATE(9469)] = 450689,
  [SMALL_STATE(9470)] = 450748,
  [SMALL_STATE(9471)] = 450801,
  [SMALL_STATE(9472)] = 450860,
  [SMALL_STATE(9473)] = 450913,
  [SMALL_STATE(9474)] = 450966,
  [SMALL_STATE(9475)] = 451019,
  [SMALL_STATE(9476)] = 451072,
  [SMALL_STATE(9477)] = 451123,
  [SMALL_STATE(9478)] = 451184,
  [SMALL_STATE(9479)] = 451237,
  [SMALL_STATE(9480)] = 451290,
  [SMALL_STATE(9481)] = 451343,
  [SMALL_STATE(9482)] = 451394,
  [SMALL_STATE(9483)] = 451447,
  [SMALL_STATE(9484)] = 451514,
  [SMALL_STATE(9485)] = 451575,
  [SMALL_STATE(9486)] = 451640,
  [SMALL_STATE(9487)] = 451701,
  [SMALL_STATE(9488)] = 451766,
  [SMALL_STATE(9489)] = 451833,
  [SMALL_STATE(9490)] = 451904,
  [SMALL_STATE(9491)] = 451959,
  [SMALL_STATE(9492)] = 452012,
  [SMALL_STATE(9493)] = 452103,
  [SMALL_STATE(9494)] = 452154,
  [SMALL_STATE(9495)] = 452207,
  [SMALL_STATE(9496)] = 452268,
  [SMALL_STATE(9497)] = 452321,
  [SMALL_STATE(9498)] = 452372,
  [SMALL_STATE(9499)] = 452443,
  [SMALL_STATE(9500)] = 452494,
  [SMALL_STATE(9501)] = 452555,
  [SMALL_STATE(9502)] = 452608,
  [SMALL_STATE(9503)] = 452669,
  [SMALL_STATE(9504)] = 452734,
  [SMALL_STATE(9505)] = 452801,
  [SMALL_STATE(9506)] = 452854,
  [SMALL_STATE(9507)] = 452925,
  [SMALL_STATE(9508)] = 452978,
  [SMALL_STATE(9509)] = 453049,
  [SMALL_STATE(9510)] = 453100,
  [SMALL_STATE(9511)] = 453151,
  [SMALL_STATE(9512)] = 453204,
  [SMALL_STATE(9513)] = 453257,
  [SMALL_STATE(9514)] = 453308,
  [SMALL_STATE(9515)] = 453361,
  [SMALL_STATE(9516)] = 453432,
  [SMALL_STATE(9517)] = 453505,
  [SMALL_STATE(9518)] = 453556,
  [SMALL_STATE(9519)] = 453605,
  [SMALL_STATE(9520)] = 453678,
  [SMALL_STATE(9521)] = 453731,
  [SMALL_STATE(9522)] = 453790,
  [SMALL_STATE(9523)] = 453857,
  [SMALL_STATE(9524)] = 453928,
  [SMALL_STATE(9525)] = 453999,
  [SMALL_STATE(9526)] = 454054,
  [SMALL_STATE(9527)] = 454107,
  [SMALL_STATE(9528)] = 454160,
  [SMALL_STATE(9529)] = 454227,
  [SMALL_STATE(9530)] = 454286,
  [SMALL_STATE(9531)] = 454339,
  [SMALL_STATE(9532)] = 454392,
  [SMALL_STATE(9533)] = 454445,
  [SMALL_STATE(9534)] = 454506,
  [SMALL_STATE(9535)] = 454577,
  [SMALL_STATE(9536)] = 454638,
  [SMALL_STATE(9537)] = 454703,
  [SMALL_STATE(9538)] = 454770,
  [SMALL_STATE(9539)] = 454841,
  [SMALL_STATE(9540)] = 454905,
  [SMALL_STATE(9541)] = 454957,
  [SMALL_STATE(9542)] = 455007,
  [SMALL_STATE(9543)] = 455059,
  [SMALL_STATE(9544)] = 455111,
  [SMALL_STATE(9545)] = 455161,
  [SMALL_STATE(9546)] = 455213,
  [SMALL_STATE(9547)] = 455261,
  [SMALL_STATE(9548)] = 455319,
  [SMALL_STATE(9549)] = 455377,
  [SMALL_STATE(9550)] = 455425,
  [SMALL_STATE(9551)] = 455475,
  [SMALL_STATE(9552)] = 455525,
  [SMALL_STATE(9553)] = 455609,
  [SMALL_STATE(9554)] = 455681,
  [SMALL_STATE(9555)] = 455729,
  [SMALL_STATE(9556)] = 455801,
  [SMALL_STATE(9557)] = 455859,
  [SMALL_STATE(9558)] = 455925,
  [SMALL_STATE(9559)] = 455983,
  [SMALL_STATE(9560)] = 456035,
  [SMALL_STATE(9561)] = 456119,
  [SMALL_STATE(9562)] = 456171,
  [SMALL_STATE(9563)] = 456237,
  [SMALL_STATE(9564)] = 456321,
  [SMALL_STATE(9565)] = 456387,
  [SMALL_STATE(9566)] = 456439,
  [SMALL_STATE(9567)] = 456491,
  [SMALL_STATE(9568)] = 456563,
  [SMALL_STATE(9569)] = 456621,
  [SMALL_STATE(9570)] = 456681,
  [SMALL_STATE(9571)] = 456765,
  [SMALL_STATE(9572)] = 456849,
  [SMALL_STATE(9573)] = 456897,
  [SMALL_STATE(9574)] = 456949,
  [SMALL_STATE(9575)] = 456997,
  [SMALL_STATE(9576)] = 457081,
  [SMALL_STATE(9577)] = 457165,
  [SMALL_STATE(9578)] = 457231,
  [SMALL_STATE(9579)] = 457291,
  [SMALL_STATE(9580)] = 457351,
  [SMALL_STATE(9581)] = 457411,
  [SMALL_STATE(9582)] = 457463,
  [SMALL_STATE(9583)] = 457513,
  [SMALL_STATE(9584)] = 457563,
  [SMALL_STATE(9585)] = 457615,
  [SMALL_STATE(9586)] = 457687,
  [SMALL_STATE(9587)] = 457753,
  [SMALL_STATE(9588)] = 457837,
  [SMALL_STATE(9589)] = 457889,
  [SMALL_STATE(9590)] = 457953,
  [SMALL_STATE(9591)] = 458019,
  [SMALL_STATE(9592)] = 458103,
  [SMALL_STATE(9593)] = 458173,
  [SMALL_STATE(9594)] = 458243,
  [SMALL_STATE(9595)] = 458297,
  [SMALL_STATE(9596)] = 458347,
  [SMALL_STATE(9597)] = 458397,
  [SMALL_STATE(9598)] = 458447,
  [SMALL_STATE(9599)] = 458499,
  [SMALL_STATE(9600)] = 458547,
  [SMALL_STATE(9601)] = 458617,
  [SMALL_STATE(9602)] = 458669,
  [SMALL_STATE(9603)] = 458721,
  [SMALL_STATE(9604)] = 458773,
  [SMALL_STATE(9605)] = 458843,
  [SMALL_STATE(9606)] = 458925,
  [SMALL_STATE(9607)] = 458975,
  [SMALL_STATE(9608)] = 459039,
  [SMALL_STATE(9609)] = 459091,
  [SMALL_STATE(9610)] = 459143,
  [SMALL_STATE(9611)] = 459213,
  [SMALL_STATE(9612)] = 459267,
  [SMALL_STATE(9613)] = 459337,
  [SMALL_STATE(9614)] = 459409,
  [SMALL_STATE(9615)] = 459479,
  [SMALL_STATE(9616)] = 459561,
  [SMALL_STATE(9617)] = 459645,
  [SMALL_STATE(9618)] = 459715,
  [SMALL_STATE(9619)] = 459787,
  [SMALL_STATE(9620)] = 459847,
  [SMALL_STATE(9621)] = 459901,
  [SMALL_STATE(9622)] = 459985,
  [SMALL_STATE(9623)] = 460033,
  [SMALL_STATE(9624)] = 460115,
  [SMALL_STATE(9625)] = 460199,
  [SMALL_STATE(9626)] = 460269,
  [SMALL_STATE(9627)] = 460329,
  [SMALL_STATE(9628)] = 460378,
  [SMALL_STATE(9629)] = 460425,
  [SMALL_STATE(9630)] = 460474,
  [SMALL_STATE(9631)] = 460559,
  [SMALL_STATE(9632)] = 460610,
  [SMALL_STATE(9633)] = 460695,
  [SMALL_STATE(9634)] = 460780,
  [SMALL_STATE(9635)] = 460837,
  [SMALL_STATE(9636)] = 460902,
  [SMALL_STATE(9637)] = 460987,
  [SMALL_STATE(9638)] = 461058,
  [SMALL_STATE(9639)] = 461109,
  [SMALL_STATE(9640)] = 461168,
  [SMALL_STATE(9641)] = 461219,
  [SMALL_STATE(9642)] = 461270,
  [SMALL_STATE(9643)] = 461339,
  [SMALL_STATE(9644)] = 461390,
  [SMALL_STATE(9645)] = 461443,
  [SMALL_STATE(9646)] = 461494,
  [SMALL_STATE(9647)] = 461579,
  [SMALL_STATE(9648)] = 461664,
  [SMALL_STATE(9649)] = 461723,
  [SMALL_STATE(9650)] = 461808,
  [SMALL_STATE(9651)] = 461857,
  [SMALL_STATE(9652)] = 461942,
  [SMALL_STATE(9653)] = 462027,
  [SMALL_STATE(9654)] = 462086,
  [SMALL_STATE(9655)] = 462171,
  [SMALL_STATE(9656)] = 462240,
  [SMALL_STATE(9657)] = 462299,
  [SMALL_STATE(9658)] = 462384,
  [SMALL_STATE(9659)] = 462435,
  [SMALL_STATE(9660)] = 462520,
  [SMALL_STATE(9661)] = 462605,
  [SMALL_STATE(9662)] = 462668,
  [SMALL_STATE(9663)] = 462731,
  [SMALL_STATE(9664)] = 462800,
  [SMALL_STATE(9665)] = 462865,
  [SMALL_STATE(9666)] = 462916,
  [SMALL_STATE(9667)] = 463001,
  [SMALL_STATE(9668)] = 463052,
  [SMALL_STATE(9669)] = 463137,
  [SMALL_STATE(9670)] = 463222,
  [SMALL_STATE(9671)] = 463307,
  [SMALL_STATE(9672)] = 463358,
  [SMALL_STATE(9673)] = 463423,
  [SMALL_STATE(9674)] = 463508,
  [SMALL_STATE(9675)] = 463593,
  [SMALL_STATE(9676)] = 463678,
  [SMALL_STATE(9677)] = 463763,
  [SMALL_STATE(9678)] = 463814,
  [SMALL_STATE(9679)] = 463899,
  [SMALL_STATE(9680)] = 463968,
  [SMALL_STATE(9681)] = 464025,
  [SMALL_STATE(9682)] = 464110,
  [SMALL_STATE(9683)] = 464195,
  [SMALL_STATE(9684)] = 464244,
  [SMALL_STATE(9685)] = 464291,
  [SMALL_STATE(9686)] = 464356,
  [SMALL_STATE(9687)] = 464441,
  [SMALL_STATE(9688)] = 464526,
  [SMALL_STATE(9689)] = 464595,
  [SMALL_STATE(9690)] = 464666,
  [SMALL_STATE(9691)] = 464713,
  [SMALL_STATE(9692)] = 464760,
  [SMALL_STATE(9693)] = 464811,
  [SMALL_STATE(9694)] = 464860,
  [SMALL_STATE(9695)] = 464945,
  [SMALL_STATE(9696)] = 465030,
  [SMALL_STATE(9697)] = 465081,
  [SMALL_STATE(9698)] = 465132,
  [SMALL_STATE(9699)] = 465201,
  [SMALL_STATE(9700)] = 465250,
  [SMALL_STATE(9701)] = 465319,
  [SMALL_STATE(9702)] = 465404,
  [SMALL_STATE(9703)] = 465489,
  [SMALL_STATE(9704)] = 465538,
  [SMALL_STATE(9705)] = 465607,
  [SMALL_STATE(9706)] = 465660,
  [SMALL_STATE(9707)] = 465707,
  [SMALL_STATE(9708)] = 465792,
  [SMALL_STATE(9709)] = 465877,
  [SMALL_STATE(9710)] = 465926,
  [SMALL_STATE(9711)] = 466011,
  [SMALL_STATE(9712)] = 466080,
  [SMALL_STATE(9713)] = 466165,
  [SMALL_STATE(9714)] = 466234,
  [SMALL_STATE(9715)] = 466285,
  [SMALL_STATE(9716)] = 466370,
  [SMALL_STATE(9717)] = 466455,
  [SMALL_STATE(9718)] = 466524,
  [SMALL_STATE(9719)] = 466577,
  [SMALL_STATE(9720)] = 466646,
  [SMALL_STATE(9721)] = 466731,
  [SMALL_STATE(9722)] = 466816,
  [SMALL_STATE(9723)] = 466881,
  [SMALL_STATE(9724)] = 466966,
  [SMALL_STATE(9725)] = 467029,
  [SMALL_STATE(9726)] = 467100,
  [SMALL_STATE(9727)] = 467151,
  [SMALL_STATE(9728)] = 467210,
  [SMALL_STATE(9729)] = 467269,
  [SMALL_STATE(9730)] = 467320,
  [SMALL_STATE(9731)] = 467405,
  [SMALL_STATE(9732)] = 467456,
  [SMALL_STATE(9733)] = 467513,
  [SMALL_STATE(9734)] = 467578,
  [SMALL_STATE(9735)] = 467649,
  [SMALL_STATE(9736)] = 467734,
  [SMALL_STATE(9737)] = 467819,
  [SMALL_STATE(9738)] = 467904,
  [SMALL_STATE(9739)] = 467989,
  [SMALL_STATE(9740)] = 468060,
  [SMALL_STATE(9741)] = 468145,
  [SMALL_STATE(9742)] = 468196,
  [SMALL_STATE(9743)] = 468281,
  [SMALL_STATE(9744)] = 468366,
  [SMALL_STATE(9745)] = 468451,
  [SMALL_STATE(9746)] = 468498,
  [SMALL_STATE(9747)] = 468583,
  [SMALL_STATE(9748)] = 468634,
  [SMALL_STATE(9749)] = 468683,
  [SMALL_STATE(9750)] = 468768,
  [SMALL_STATE(9751)] = 468819,
  [SMALL_STATE(9752)] = 468870,
  [SMALL_STATE(9753)] = 468921,
  [SMALL_STATE(9754)] = 469006,
  [SMALL_STATE(9755)] = 469055,
  [SMALL_STATE(9756)] = 469106,
  [SMALL_STATE(9757)] = 469157,
  [SMALL_STATE(9758)] = 469242,
  [SMALL_STATE(9759)] = 469293,
  [SMALL_STATE(9760)] = 469364,
  [SMALL_STATE(9761)] = 469415,
  [SMALL_STATE(9762)] = 469462,
  [SMALL_STATE(9763)] = 469509,
  [SMALL_STATE(9764)] = 469560,
  [SMALL_STATE(9765)] = 469609,
  [SMALL_STATE(9766)] = 469694,
  [SMALL_STATE(9767)] = 469745,
  [SMALL_STATE(9768)] = 469830,
  [SMALL_STATE(9769)] = 469915,
  [SMALL_STATE(9770)] = 469966,
  [SMALL_STATE(9771)] = 470048,
  [SMALL_STATE(9772)] = 470130,
  [SMALL_STATE(9773)] = 470212,
  [SMALL_STATE(9774)] = 470294,
  [SMALL_STATE(9775)] = 470344,
  [SMALL_STATE(9776)] = 470426,
  [SMALL_STATE(9777)] = 470508,
  [SMALL_STATE(9778)] = 470590,
  [SMALL_STATE(9779)] = 470672,
  [SMALL_STATE(9780)] = 470754,
  [SMALL_STATE(9781)] = 470836,
  [SMALL_STATE(9782)] = 470882,
  [SMALL_STATE(9783)] = 470932,
  [SMALL_STATE(9784)] = 470978,
  [SMALL_STATE(9785)] = 471024,
  [SMALL_STATE(9786)] = 471070,
  [SMALL_STATE(9787)] = 471116,
  [SMALL_STATE(9788)] = 471198,
  [SMALL_STATE(9789)] = 471244,
  [SMALL_STATE(9790)] = 471326,
  [SMALL_STATE(9791)] = 471372,
  [SMALL_STATE(9792)] = 471418,
  [SMALL_STATE(9793)] = 471500,
  [SMALL_STATE(9794)] = 471582,
  [SMALL_STATE(9795)] = 471664,
  [SMALL_STATE(9796)] = 471746,
  [SMALL_STATE(9797)] = 471828,
  [SMALL_STATE(9798)] = 471910,
  [SMALL_STATE(9799)] = 471992,
  [SMALL_STATE(9800)] = 472074,
  [SMALL_STATE(9801)] = 472120,
  [SMALL_STATE(9802)] = 472202,
  [SMALL_STATE(9803)] = 472284,
  [SMALL_STATE(9804)] = 472366,
  [SMALL_STATE(9805)] = 472448,
  [SMALL_STATE(9806)] = 472530,
  [SMALL_STATE(9807)] = 472612,
  [SMALL_STATE(9808)] = 472694,
  [SMALL_STATE(9809)] = 472776,
  [SMALL_STATE(9810)] = 472858,
  [SMALL_STATE(9811)] = 472940,
  [SMALL_STATE(9812)] = 473022,
  [SMALL_STATE(9813)] = 473104,
  [SMALL_STATE(9814)] = 473186,
  [SMALL_STATE(9815)] = 473268,
  [SMALL_STATE(9816)] = 473350,
  [SMALL_STATE(9817)] = 473432,
  [SMALL_STATE(9818)] = 473514,
  [SMALL_STATE(9819)] = 473596,
  [SMALL_STATE(9820)] = 473642,
  [SMALL_STATE(9821)] = 473724,
  [SMALL_STATE(9822)] = 473770,
  [SMALL_STATE(9823)] = 473852,
  [SMALL_STATE(9824)] = 473934,
  [SMALL_STATE(9825)] = 473980,
  [SMALL_STATE(9826)] = 474062,
  [SMALL_STATE(9827)] = 474144,
  [SMALL_STATE(9828)] = 474226,
  [SMALL_STATE(9829)] = 474308,
  [SMALL_STATE(9830)] = 474390,
  [SMALL_STATE(9831)] = 474472,
  [SMALL_STATE(9832)] = 474554,
  [SMALL_STATE(9833)] = 474636,
  [SMALL_STATE(9834)] = 474718,
  [SMALL_STATE(9835)] = 474800,
  [SMALL_STATE(9836)] = 474882,
  [SMALL_STATE(9837)] = 474964,
  [SMALL_STATE(9838)] = 475046,
  [SMALL_STATE(9839)] = 475092,
  [SMALL_STATE(9840)] = 475174,
  [SMALL_STATE(9841)] = 475220,
  [SMALL_STATE(9842)] = 475268,
  [SMALL_STATE(9843)] = 475314,
  [SMALL_STATE(9844)] = 475396,
  [SMALL_STATE(9845)] = 475442,
  [SMALL_STATE(9846)] = 475524,
  [SMALL_STATE(9847)] = 475606,
  [SMALL_STATE(9848)] = 475652,
  [SMALL_STATE(9849)] = 475700,
  [SMALL_STATE(9850)] = 475782,
  [SMALL_STATE(9851)] = 475864,
  [SMALL_STATE(9852)] = 475946,
  [SMALL_STATE(9853)] = 476028,
  [SMALL_STATE(9854)] = 476074,
  [SMALL_STATE(9855)] = 476156,
  [SMALL_STATE(9856)] = 476238,
  [SMALL_STATE(9857)] = 476306,
  [SMALL_STATE(9858)] = 476388,
  [SMALL_STATE(9859)] = 476470,
  [SMALL_STATE(9860)] = 476552,
  [SMALL_STATE(9861)] = 476598,
  [SMALL_STATE(9862)] = 476680,
  [SMALL_STATE(9863)] = 476762,
  [SMALL_STATE(9864)] = 476844,
  [SMALL_STATE(9865)] = 476926,
  [SMALL_STATE(9866)] = 476972,
  [SMALL_STATE(9867)] = 477054,
  [SMALL_STATE(9868)] = 477136,
  [SMALL_STATE(9869)] = 477218,
  [SMALL_STATE(9870)] = 477300,
  [SMALL_STATE(9871)] = 477382,
  [SMALL_STATE(9872)] = 477464,
  [SMALL_STATE(9873)] = 477546,
  [SMALL_STATE(9874)] = 477628,
  [SMALL_STATE(9875)] = 477674,
  [SMALL_STATE(9876)] = 477756,
  [SMALL_STATE(9877)] = 477838,
  [SMALL_STATE(9878)] = 477920,
  [SMALL_STATE(9879)] = 478002,
  [SMALL_STATE(9880)] = 478084,
  [SMALL_STATE(9881)] = 478130,
  [SMALL_STATE(9882)] = 478212,
  [SMALL_STATE(9883)] = 478294,
  [SMALL_STATE(9884)] = 478340,
  [SMALL_STATE(9885)] = 478386,
  [SMALL_STATE(9886)] = 478432,
  [SMALL_STATE(9887)] = 478478,
  [SMALL_STATE(9888)] = 478560,
  [SMALL_STATE(9889)] = 478642,
  [SMALL_STATE(9890)] = 478688,
  [SMALL_STATE(9891)] = 478770,
  [SMALL_STATE(9892)] = 478852,
  [SMALL_STATE(9893)] = 478934,
  [SMALL_STATE(9894)] = 478982,
  [SMALL_STATE(9895)] = 479064,
  [SMALL_STATE(9896)] = 479146,
  [SMALL_STATE(9897)] = 479228,
  [SMALL_STATE(9898)] = 479274,
  [SMALL_STATE(9899)] = 479356,
  [SMALL_STATE(9900)] = 479402,
  [SMALL_STATE(9901)] = 479448,
  [SMALL_STATE(9902)] = 479530,
  [SMALL_STATE(9903)] = 479612,
  [SMALL_STATE(9904)] = 479660,
  [SMALL_STATE(9905)] = 479706,
  [SMALL_STATE(9906)] = 479788,
  [SMALL_STATE(9907)] = 479836,
  [SMALL_STATE(9908)] = 479918,
  [SMALL_STATE(9909)] = 480000,
  [SMALL_STATE(9910)] = 480082,
  [SMALL_STATE(9911)] = 480128,
  [SMALL_STATE(9912)] = 480210,
  [SMALL_STATE(9913)] = 480292,
  [SMALL_STATE(9914)] = 480374,
  [SMALL_STATE(9915)] = 480456,
  [SMALL_STATE(9916)] = 480538,
  [SMALL_STATE(9917)] = 480600,
  [SMALL_STATE(9918)] = 480668,
  [SMALL_STATE(9919)] = 480714,
  [SMALL_STATE(9920)] = 480796,
  [SMALL_STATE(9921)] = 480878,
  [SMALL_STATE(9922)] = 480942,
  [SMALL_STATE(9923)] = 480998,
  [SMALL_STATE(9924)] = 481080,
  [SMALL_STATE(9925)] = 481162,
  [SMALL_STATE(9926)] = 481232,
  [SMALL_STATE(9927)] = 481314,
  [SMALL_STATE(9928)] = 481396,
  [SMALL_STATE(9929)] = 481446,
  [SMALL_STATE(9930)] = 481528,
  [SMALL_STATE(9931)] = 481578,
  [SMALL_STATE(9932)] = 481660,
  [SMALL_STATE(9933)] = 481718,
  [SMALL_STATE(9934)] = 481800,
  [SMALL_STATE(9935)] = 481882,
  [SMALL_STATE(9936)] = 481930,
  [SMALL_STATE(9937)] = 481980,
  [SMALL_STATE(9938)] = 482062,
  [SMALL_STATE(9939)] = 482108,
  [SMALL_STATE(9940)] = 482190,
  [SMALL_STATE(9941)] = 482272,
  [SMALL_STATE(9942)] = 482354,
  [SMALL_STATE(9943)] = 482436,
  [SMALL_STATE(9944)] = 482518,
  [SMALL_STATE(9945)] = 482600,
  [SMALL_STATE(9946)] = 482682,
  [SMALL_STATE(9947)] = 482740,
  [SMALL_STATE(9948)] = 482822,
  [SMALL_STATE(9949)] = 482872,
  [SMALL_STATE(9950)] = 482934,
  [SMALL_STATE(9951)] = 483016,
  [SMALL_STATE(9952)] = 483098,
  [SMALL_STATE(9953)] = 483180,
  [SMALL_STATE(9954)] = 483248,
  [SMALL_STATE(9955)] = 483330,
  [SMALL_STATE(9956)] = 483394,
  [SMALL_STATE(9957)] = 483476,
  [SMALL_STATE(9958)] = 483522,
  [SMALL_STATE(9959)] = 483568,
  [SMALL_STATE(9960)] = 483636,
  [SMALL_STATE(9961)] = 483682,
  [SMALL_STATE(9962)] = 483728,
  [SMALL_STATE(9963)] = 483780,
  [SMALL_STATE(9964)] = 483826,
  [SMALL_STATE(9965)] = 483876,
  [SMALL_STATE(9966)] = 483958,
  [SMALL_STATE(9967)] = 484004,
  [SMALL_STATE(9968)] = 484086,
  [SMALL_STATE(9969)] = 484168,
  [SMALL_STATE(9970)] = 484236,
  [SMALL_STATE(9971)] = 484318,
  [SMALL_STATE(9972)] = 484400,
  [SMALL_STATE(9973)] = 484482,
  [SMALL_STATE(9974)] = 484528,
  [SMALL_STATE(9975)] = 484610,
  [SMALL_STATE(9976)] = 484692,
  [SMALL_STATE(9977)] = 484774,
  [SMALL_STATE(9978)] = 484820,
  [SMALL_STATE(9979)] = 484866,
  [SMALL_STATE(9980)] = 484948,
  [SMALL_STATE(9981)] = 485030,
  [SMALL_STATE(9982)] = 485080,
  [SMALL_STATE(9983)] = 485126,
  [SMALL_STATE(9984)] = 485172,
  [SMALL_STATE(9985)] = 485254,
  [SMALL_STATE(9986)] = 485336,
  [SMALL_STATE(9987)] = 485382,
  [SMALL_STATE(9988)] = 485464,
  [SMALL_STATE(9989)] = 485546,
  [SMALL_STATE(9990)] = 485596,
  [SMALL_STATE(9991)] = 485678,
  [SMALL_STATE(9992)] = 485726,
  [SMALL_STATE(9993)] = 485808,
  [SMALL_STATE(9994)] = 485890,
  [SMALL_STATE(9995)] = 485972,
  [SMALL_STATE(9996)] = 486054,
  [SMALL_STATE(9997)] = 486100,
  [SMALL_STATE(9998)] = 486146,
  [SMALL_STATE(9999)] = 486192,
  [SMALL_STATE(10000)] = 486274,
  [SMALL_STATE(10001)] = 486356,
  [SMALL_STATE(10002)] = 486438,
  [SMALL_STATE(10003)] = 486484,
  [SMALL_STATE(10004)] = 486530,
  [SMALL_STATE(10005)] = 486576,
  [SMALL_STATE(10006)] = 486622,
  [SMALL_STATE(10007)] = 486668,
  [SMALL_STATE(10008)] = 486750,
  [SMALL_STATE(10009)] = 486800,
  [SMALL_STATE(10010)] = 486882,
  [SMALL_STATE(10011)] = 486928,
  [SMALL_STATE(10012)] = 486974,
  [SMALL_STATE(10013)] = 487056,
  [SMALL_STATE(10014)] = 487102,
  [SMALL_STATE(10015)] = 487148,
  [SMALL_STATE(10016)] = 487230,
  [SMALL_STATE(10017)] = 487312,
  [SMALL_STATE(10018)] = 487358,
  [SMALL_STATE(10019)] = 487404,
  [SMALL_STATE(10020)] = 487486,
  [SMALL_STATE(10021)] = 487532,
  [SMALL_STATE(10022)] = 487614,
  [SMALL_STATE(10023)] = 487660,
  [SMALL_STATE(10024)] = 487742,
  [SMALL_STATE(10025)] = 487788,
  [SMALL_STATE(10026)] = 487836,
  [SMALL_STATE(10027)] = 487882,
  [SMALL_STATE(10028)] = 487928,
  [SMALL_STATE(10029)] = 487974,
  [SMALL_STATE(10030)] = 488020,
  [SMALL_STATE(10031)] = 488066,
  [SMALL_STATE(10032)] = 488148,
  [SMALL_STATE(10033)] = 488230,
  [SMALL_STATE(10034)] = 488276,
  [SMALL_STATE(10035)] = 488358,
  [SMALL_STATE(10036)] = 488440,
  [SMALL_STATE(10037)] = 488522,
  [SMALL_STATE(10038)] = 488604,
  [SMALL_STATE(10039)] = 488650,
  [SMALL_STATE(10040)] = 488732,
  [SMALL_STATE(10041)] = 488796,
  [SMALL_STATE(10042)] = 488846,
  [SMALL_STATE(10043)] = 488928,
  [SMALL_STATE(10044)] = 488998,
  [SMALL_STATE(10045)] = 489062,
  [SMALL_STATE(10046)] = 489144,
  [SMALL_STATE(10047)] = 489192,
  [SMALL_STATE(10048)] = 489238,
  [SMALL_STATE(10049)] = 489294,
  [SMALL_STATE(10050)] = 489376,
  [SMALL_STATE(10051)] = 489422,
  [SMALL_STATE(10052)] = 489472,
  [SMALL_STATE(10053)] = 489554,
  [SMALL_STATE(10054)] = 489604,
  [SMALL_STATE(10055)] = 489654,
  [SMALL_STATE(10056)] = 489712,
  [SMALL_STATE(10057)] = 489770,
  [SMALL_STATE(10058)] = 489832,
  [SMALL_STATE(10059)] = 489914,
  [SMALL_STATE(10060)] = 489996,
  [SMALL_STATE(10061)] = 490078,
  [SMALL_STATE(10062)] = 490160,
  [SMALL_STATE(10063)] = 490216,
  [SMALL_STATE(10064)] = 490280,
  [SMALL_STATE(10065)] = 490348,
  [SMALL_STATE(10066)] = 490398,
  [SMALL_STATE(10067)] = 490450,
  [SMALL_STATE(10068)] = 490532,
  [SMALL_STATE(10069)] = 490614,
  [SMALL_STATE(10070)] = 490696,
  [SMALL_STATE(10071)] = 490778,
  [SMALL_STATE(10072)] = 490828,
  [SMALL_STATE(10073)] = 490874,
  [SMALL_STATE(10074)] = 490932,
  [SMALL_STATE(10075)] = 491002,
  [SMALL_STATE(10076)] = 491084,
  [SMALL_STATE(10077)] = 491130,
  [SMALL_STATE(10078)] = 491176,
  [SMALL_STATE(10079)] = 491244,
  [SMALL_STATE(10080)] = 491290,
  [SMALL_STATE(10081)] = 491372,
  [SMALL_STATE(10082)] = 491454,
  [SMALL_STATE(10083)] = 491536,
  [SMALL_STATE(10084)] = 491618,
  [SMALL_STATE(10085)] = 491664,
  [SMALL_STATE(10086)] = 491710,
  [SMALL_STATE(10087)] = 491792,
  [SMALL_STATE(10088)] = 491874,
  [SMALL_STATE(10089)] = 491956,
  [SMALL_STATE(10090)] = 492038,
  [SMALL_STATE(10091)] = 492100,
  [SMALL_STATE(10092)] = 492182,
  [SMALL_STATE(10093)] = 492264,
  [SMALL_STATE(10094)] = 492310,
  [SMALL_STATE(10095)] = 492356,
  [SMALL_STATE(10096)] = 492406,
  [SMALL_STATE(10097)] = 492468,
  [SMALL_STATE(10098)] = 492514,
  [SMALL_STATE(10099)] = 492572,
  [SMALL_STATE(10100)] = 492634,
  [SMALL_STATE(10101)] = 492698,
  [SMALL_STATE(10102)] = 492780,
  [SMALL_STATE(10103)] = 492862,
  [SMALL_STATE(10104)] = 492930,
  [SMALL_STATE(10105)] = 493012,
  [SMALL_STATE(10106)] = 493060,
  [SMALL_STATE(10107)] = 493142,
  [SMALL_STATE(10108)] = 493192,
  [SMALL_STATE(10109)] = 493274,
  [SMALL_STATE(10110)] = 493356,
  [SMALL_STATE(10111)] = 493424,
  [SMALL_STATE(10112)] = 493506,
  [SMALL_STATE(10113)] = 493588,
  [SMALL_STATE(10114)] = 493670,
  [SMALL_STATE(10115)] = 493752,
  [SMALL_STATE(10116)] = 493834,
  [SMALL_STATE(10117)] = 493916,
  [SMALL_STATE(10118)] = 493998,
  [SMALL_STATE(10119)] = 494080,
  [SMALL_STATE(10120)] = 494132,
  [SMALL_STATE(10121)] = 494214,
  [SMALL_STATE(10122)] = 494296,
  [SMALL_STATE(10123)] = 494341,
  [SMALL_STATE(10124)] = 494386,
  [SMALL_STATE(10125)] = 494431,
  [SMALL_STATE(10126)] = 494492,
  [SMALL_STATE(10127)] = 494537,
  [SMALL_STATE(10128)] = 494582,
  [SMALL_STATE(10129)] = 494627,
  [SMALL_STATE(10130)] = 494688,
  [SMALL_STATE(10131)] = 494733,
  [SMALL_STATE(10132)] = 494778,
  [SMALL_STATE(10133)] = 494839,
  [SMALL_STATE(10134)] = 494884,
  [SMALL_STATE(10135)] = 494929,
  [SMALL_STATE(10136)] = 494974,
  [SMALL_STATE(10137)] = 495019,
  [SMALL_STATE(10138)] = 495064,
  [SMALL_STATE(10139)] = 495119,
  [SMALL_STATE(10140)] = 495164,
  [SMALL_STATE(10141)] = 495209,
  [SMALL_STATE(10142)] = 495254,
  [SMALL_STATE(10143)] = 495323,
  [SMALL_STATE(10144)] = 495368,
  [SMALL_STATE(10145)] = 495413,
  [SMALL_STATE(10146)] = 495458,
  [SMALL_STATE(10147)] = 495503,
  [SMALL_STATE(10148)] = 495548,
  [SMALL_STATE(10149)] = 495593,
  [SMALL_STATE(10150)] = 495638,
  [SMALL_STATE(10151)] = 495685,
  [SMALL_STATE(10152)] = 495730,
  [SMALL_STATE(10153)] = 495775,
  [SMALL_STATE(10154)] = 495824,
  [SMALL_STATE(10155)] = 495871,
  [SMALL_STATE(10156)] = 495916,
  [SMALL_STATE(10157)] = 495961,
  [SMALL_STATE(10158)] = 496006,
  [SMALL_STATE(10159)] = 496051,
  [SMALL_STATE(10160)] = 496096,
  [SMALL_STATE(10161)] = 496141,
  [SMALL_STATE(10162)] = 496186,
  [SMALL_STATE(10163)] = 496231,
  [SMALL_STATE(10164)] = 496276,
  [SMALL_STATE(10165)] = 496331,
  [SMALL_STATE(10166)] = 496376,
  [SMALL_STATE(10167)] = 496453,
  [SMALL_STATE(10168)] = 496522,
  [SMALL_STATE(10169)] = 496567,
  [SMALL_STATE(10170)] = 496612,
  [SMALL_STATE(10171)] = 496657,
  [SMALL_STATE(10172)] = 496702,
  [SMALL_STATE(10173)] = 496757,
  [SMALL_STATE(10174)] = 496802,
  [SMALL_STATE(10175)] = 496879,
  [SMALL_STATE(10176)] = 496924,
  [SMALL_STATE(10177)] = 496969,
  [SMALL_STATE(10178)] = 497014,
  [SMALL_STATE(10179)] = 497059,
  [SMALL_STATE(10180)] = 497104,
  [SMALL_STATE(10181)] = 497149,
  [SMALL_STATE(10182)] = 497194,
  [SMALL_STATE(10183)] = 497239,
  [SMALL_STATE(10184)] = 497284,
  [SMALL_STATE(10185)] = 497353,
  [SMALL_STATE(10186)] = 497398,
  [SMALL_STATE(10187)] = 497443,
  [SMALL_STATE(10188)] = 497488,
  [SMALL_STATE(10189)] = 497533,
  [SMALL_STATE(10190)] = 497578,
  [SMALL_STATE(10191)] = 497623,
  [SMALL_STATE(10192)] = 497668,
  [SMALL_STATE(10193)] = 497713,
  [SMALL_STATE(10194)] = 497758,
  [SMALL_STATE(10195)] = 497803,
  [SMALL_STATE(10196)] = 497848,
  [SMALL_STATE(10197)] = 497893,
  [SMALL_STATE(10198)] = 497938,
  [SMALL_STATE(10199)] = 497983,
  [SMALL_STATE(10200)] = 498028,
  [SMALL_STATE(10201)] = 498082,
  [SMALL_STATE(10202)] = 498136,
  [SMALL_STATE(10203)] = 498196,
  [SMALL_STATE(10204)] = 498240,
  [SMALL_STATE(10205)] = 498312,
  [SMALL_STATE(10206)] = 498358,
  [SMALL_STATE(10207)] = 498432,
  [SMALL_STATE(10208)] = 498486,
  [SMALL_STATE(10209)] = 498560,
  [SMALL_STATE(10210)] = 498614,
  [SMALL_STATE(10211)] = 498674,
  [SMALL_STATE(10212)] = 498746,
  [SMALL_STATE(10213)] = 498823,
  [SMALL_STATE(10214)] = 498900,
  [SMALL_STATE(10215)] = 498977,
  [SMALL_STATE(10216)] = 499020,
  [SMALL_STATE(10217)] = 499063,
  [SMALL_STATE(10218)] = 499106,
  [SMALL_STATE(10219)] = 499149,
  [SMALL_STATE(10220)] = 499192,
  [SMALL_STATE(10221)] = 499235,
  [SMALL_STATE(10222)] = 499278,
  [SMALL_STATE(10223)] = 499349,
  [SMALL_STATE(10224)] = 499426,
  [SMALL_STATE(10225)] = 499469,
  [SMALL_STATE(10226)] = 499512,
  [SMALL_STATE(10227)] = 499555,
  [SMALL_STATE(10228)] = 499632,
  [SMALL_STATE(10229)] = 499709,
  [SMALL_STATE(10230)] = 499752,
  [SMALL_STATE(10231)] = 499795,
  [SMALL_STATE(10232)] = 499838,
  [SMALL_STATE(10233)] = 499915,
  [SMALL_STATE(10234)] = 499968,
  [SMALL_STATE(10235)] = 500045,
  [SMALL_STATE(10236)] = 500088,
  [SMALL_STATE(10237)] = 500131,
  [SMALL_STATE(10238)] = 500208,
  [SMALL_STATE(10239)] = 500267,
  [SMALL_STATE(10240)] = 500310,
  [SMALL_STATE(10241)] = 500353,
  [SMALL_STATE(10242)] = 500430,
  [SMALL_STATE(10243)] = 500475,
  [SMALL_STATE(10244)] = 500552,
  [SMALL_STATE(10245)] = 500629,
  [SMALL_STATE(10246)] = 500706,
  [SMALL_STATE(10247)] = 500749,
  [SMALL_STATE(10248)] = 500794,
  [SMALL_STATE(10249)] = 500871,
  [SMALL_STATE(10250)] = 500948,
  [SMALL_STATE(10251)] = 501025,
  [SMALL_STATE(10252)] = 501068,
  [SMALL_STATE(10253)] = 501145,
  [SMALL_STATE(10254)] = 501222,
  [SMALL_STATE(10255)] = 501293,
  [SMALL_STATE(10256)] = 501370,
  [SMALL_STATE(10257)] = 501415,
  [SMALL_STATE(10258)] = 501492,
  [SMALL_STATE(10259)] = 501569,
  [SMALL_STATE(10260)] = 501640,
  [SMALL_STATE(10261)] = 501717,
  [SMALL_STATE(10262)] = 501794,
  [SMALL_STATE(10263)] = 501841,
  [SMALL_STATE(10264)] = 501918,
  [SMALL_STATE(10265)] = 501977,
  [SMALL_STATE(10266)] = 502020,
  [SMALL_STATE(10267)] = 502097,
  [SMALL_STATE(10268)] = 502174,
  [SMALL_STATE(10269)] = 502217,
  [SMALL_STATE(10270)] = 502260,
  [SMALL_STATE(10271)] = 502337,
  [SMALL_STATE(10272)] = 502380,
  [SMALL_STATE(10273)] = 502457,
  [SMALL_STATE(10274)] = 502516,
  [SMALL_STATE(10275)] = 502593,
  [SMALL_STATE(10276)] = 502670,
  [SMALL_STATE(10277)] = 502729,
  [SMALL_STATE(10278)] = 502772,
  [SMALL_STATE(10279)] = 502831,
  [SMALL_STATE(10280)] = 502908,
  [SMALL_STATE(10281)] = 502951,
  [SMALL_STATE(10282)] = 503028,
  [SMALL_STATE(10283)] = 503071,
  [SMALL_STATE(10284)] = 503114,
  [SMALL_STATE(10285)] = 503157,
  [SMALL_STATE(10286)] = 503200,
  [SMALL_STATE(10287)] = 503253,
  [SMALL_STATE(10288)] = 503296,
  [SMALL_STATE(10289)] = 503339,
  [SMALL_STATE(10290)] = 503398,
  [SMALL_STATE(10291)] = 503475,
  [SMALL_STATE(10292)] = 503518,
  [SMALL_STATE(10293)] = 503561,
  [SMALL_STATE(10294)] = 503604,
  [SMALL_STATE(10295)] = 503647,
  [SMALL_STATE(10296)] = 503724,
  [SMALL_STATE(10297)] = 503767,
  [SMALL_STATE(10298)] = 503844,
  [SMALL_STATE(10299)] = 503921,
  [SMALL_STATE(10300)] = 503992,
  [SMALL_STATE(10301)] = 504069,
  [SMALL_STATE(10302)] = 504122,
  [SMALL_STATE(10303)] = 504199,
  [SMALL_STATE(10304)] = 504276,
  [SMALL_STATE(10305)] = 504318,
  [SMALL_STATE(10306)] = 504360,
  [SMALL_STATE(10307)] = 504418,
  [SMALL_STATE(10308)] = 504462,
  [SMALL_STATE(10309)] = 504504,
  [SMALL_STATE(10310)] = 504576,
  [SMALL_STATE(10311)] = 504648,
  [SMALL_STATE(10312)] = 504690,
  [SMALL_STATE(10313)] = 504732,
  [SMALL_STATE(10314)] = 504774,
  [SMALL_STATE(10315)] = 504818,
  [SMALL_STATE(10316)] = 504890,
  [SMALL_STATE(10317)] = 504932,
  [SMALL_STATE(10318)] = 505004,
  [SMALL_STATE(10319)] = 505076,
  [SMALL_STATE(10320)] = 505148,
  [SMALL_STATE(10321)] = 505190,
  [SMALL_STATE(10322)] = 505262,
  [SMALL_STATE(10323)] = 505304,
  [SMALL_STATE(10324)] = 505376,
  [SMALL_STATE(10325)] = 505418,
  [SMALL_STATE(10326)] = 505460,
  [SMALL_STATE(10327)] = 505502,
  [SMALL_STATE(10328)] = 505544,
  [SMALL_STATE(10329)] = 505602,
  [SMALL_STATE(10330)] = 505644,
  [SMALL_STATE(10331)] = 505686,
  [SMALL_STATE(10332)] = 505758,
  [SMALL_STATE(10333)] = 505816,
  [SMALL_STATE(10334)] = 505888,
  [SMALL_STATE(10335)] = 505930,
  [SMALL_STATE(10336)] = 506002,
  [SMALL_STATE(10337)] = 506044,
  [SMALL_STATE(10338)] = 506086,
  [SMALL_STATE(10339)] = 506128,
  [SMALL_STATE(10340)] = 506170,
  [SMALL_STATE(10341)] = 506212,
  [SMALL_STATE(10342)] = 506254,
  [SMALL_STATE(10343)] = 506326,
  [SMALL_STATE(10344)] = 506398,
  [SMALL_STATE(10345)] = 506470,
  [SMALL_STATE(10346)] = 506528,
  [SMALL_STATE(10347)] = 506570,
  [SMALL_STATE(10348)] = 506612,
  [SMALL_STATE(10349)] = 506670,
  [SMALL_STATE(10350)] = 506712,
  [SMALL_STATE(10351)] = 506754,
  [SMALL_STATE(10352)] = 506826,
  [SMALL_STATE(10353)] = 506898,
  [SMALL_STATE(10354)] = 506956,
  [SMALL_STATE(10355)] = 507016,
  [SMALL_STATE(10356)] = 507088,
  [SMALL_STATE(10357)] = 507146,
  [SMALL_STATE(10358)] = 507190,
  [SMALL_STATE(10359)] = 507232,
  [SMALL_STATE(10360)] = 507274,
  [SMALL_STATE(10361)] = 507346,
  [SMALL_STATE(10362)] = 507418,
  [SMALL_STATE(10363)] = 507490,
  [SMALL_STATE(10364)] = 507562,
  [SMALL_STATE(10365)] = 507634,
  [SMALL_STATE(10366)] = 507706,
  [SMALL_STATE(10367)] = 507748,
  [SMALL_STATE(10368)] = 507820,
  [SMALL_STATE(10369)] = 507868,
  [SMALL_STATE(10370)] = 507940,
  [SMALL_STATE(10371)] = 508012,
  [SMALL_STATE(10372)] = 508084,
  [SMALL_STATE(10373)] = 508126,
  [SMALL_STATE(10374)] = 508168,
  [SMALL_STATE(10375)] = 508210,
  [SMALL_STATE(10376)] = 508258,
  [SMALL_STATE(10377)] = 508300,
  [SMALL_STATE(10378)] = 508372,
  [SMALL_STATE(10379)] = 508414,
  [SMALL_STATE(10380)] = 508486,
  [SMALL_STATE(10381)] = 508558,
  [SMALL_STATE(10382)] = 508626,
  [SMALL_STATE(10383)] = 508698,
  [SMALL_STATE(10384)] = 508770,
  [SMALL_STATE(10385)] = 508830,
  [SMALL_STATE(10386)] = 508902,
  [SMALL_STATE(10387)] = 508944,
  [SMALL_STATE(10388)] = 508986,
  [SMALL_STATE(10389)] = 509058,
  [SMALL_STATE(10390)] = 509130,
  [SMALL_STATE(10391)] = 509172,
  [SMALL_STATE(10392)] = 509244,
  [SMALL_STATE(10393)] = 509286,
  [SMALL_STATE(10394)] = 509328,
  [SMALL_STATE(10395)] = 509370,
  [SMALL_STATE(10396)] = 509428,
  [SMALL_STATE(10397)] = 509486,
  [SMALL_STATE(10398)] = 509542,
  [SMALL_STATE(10399)] = 509584,
  [SMALL_STATE(10400)] = 509626,
  [SMALL_STATE(10401)] = 509668,
  [SMALL_STATE(10402)] = 509710,
  [SMALL_STATE(10403)] = 509752,
  [SMALL_STATE(10404)] = 509794,
  [SMALL_STATE(10405)] = 509866,
  [SMALL_STATE(10406)] = 509908,
  [SMALL_STATE(10407)] = 509950,
  [SMALL_STATE(10408)] = 510022,
  [SMALL_STATE(10409)] = 510064,
  [SMALL_STATE(10410)] = 510136,
  [SMALL_STATE(10411)] = 510208,
  [SMALL_STATE(10412)] = 510280,
  [SMALL_STATE(10413)] = 510322,
  [SMALL_STATE(10414)] = 510394,
  [SMALL_STATE(10415)] = 510466,
  [SMALL_STATE(10416)] = 510508,
  [SMALL_STATE(10417)] = 510550,
  [SMALL_STATE(10418)] = 510622,
  [SMALL_STATE(10419)] = 510664,
  [SMALL_STATE(10420)] = 510736,
  [SMALL_STATE(10421)] = 510794,
  [SMALL_STATE(10422)] = 510836,
  [SMALL_STATE(10423)] = 510908,
  [SMALL_STATE(10424)] = 510980,
  [SMALL_STATE(10425)] = 511052,
  [SMALL_STATE(10426)] = 511124,
  [SMALL_STATE(10427)] = 511166,
  [SMALL_STATE(10428)] = 511238,
  [SMALL_STATE(10429)] = 511310,
  [SMALL_STATE(10430)] = 511382,
  [SMALL_STATE(10431)] = 511424,
  [SMALL_STATE(10432)] = 511496,
  [SMALL_STATE(10433)] = 511568,
  [SMALL_STATE(10434)] = 511640,
  [SMALL_STATE(10435)] = 511682,
  [SMALL_STATE(10436)] = 511724,
  [SMALL_STATE(10437)] = 511766,
  [SMALL_STATE(10438)] = 511808,
  [SMALL_STATE(10439)] = 511880,
  [SMALL_STATE(10440)] = 511922,
  [SMALL_STATE(10441)] = 511994,
  [SMALL_STATE(10442)] = 512036,
  [SMALL_STATE(10443)] = 512088,
  [SMALL_STATE(10444)] = 512130,
  [SMALL_STATE(10445)] = 512182,
  [SMALL_STATE(10446)] = 512224,
  [SMALL_STATE(10447)] = 512266,
  [SMALL_STATE(10448)] = 512338,
  [SMALL_STATE(10449)] = 512380,
  [SMALL_STATE(10450)] = 512422,
  [SMALL_STATE(10451)] = 512464,
  [SMALL_STATE(10452)] = 512536,
  [SMALL_STATE(10453)] = 512578,
  [SMALL_STATE(10454)] = 512650,
  [SMALL_STATE(10455)] = 512722,
  [SMALL_STATE(10456)] = 512764,
  [SMALL_STATE(10457)] = 512806,
  [SMALL_STATE(10458)] = 512878,
  [SMALL_STATE(10459)] = 512920,
  [SMALL_STATE(10460)] = 512978,
  [SMALL_STATE(10461)] = 513050,
  [SMALL_STATE(10462)] = 513092,
  [SMALL_STATE(10463)] = 513164,
  [SMALL_STATE(10464)] = 513236,
  [SMALL_STATE(10465)] = 513278,
  [SMALL_STATE(10466)] = 513320,
  [SMALL_STATE(10467)] = 513392,
  [SMALL_STATE(10468)] = 513434,
  [SMALL_STATE(10469)] = 513476,
  [SMALL_STATE(10470)] = 513548,
  [SMALL_STATE(10471)] = 513620,
  [SMALL_STATE(10472)] = 513692,
  [SMALL_STATE(10473)] = 513764,
  [SMALL_STATE(10474)] = 513826,
  [SMALL_STATE(10475)] = 513898,
  [SMALL_STATE(10476)] = 513970,
  [SMALL_STATE(10477)] = 514042,
  [SMALL_STATE(10478)] = 514086,
  [SMALL_STATE(10479)] = 514130,
  [SMALL_STATE(10480)] = 514202,
  [SMALL_STATE(10481)] = 514244,
  [SMALL_STATE(10482)] = 514316,
  [SMALL_STATE(10483)] = 514388,
  [SMALL_STATE(10484)] = 514460,
  [SMALL_STATE(10485)] = 514532,
  [SMALL_STATE(10486)] = 514604,
  [SMALL_STATE(10487)] = 514646,
  [SMALL_STATE(10488)] = 514688,
  [SMALL_STATE(10489)] = 514760,
  [SMALL_STATE(10490)] = 514802,
  [SMALL_STATE(10491)] = 514846,
  [SMALL_STATE(10492)] = 514918,
  [SMALL_STATE(10493)] = 514960,
  [SMALL_STATE(10494)] = 515032,
  [SMALL_STATE(10495)] = 515104,
  [SMALL_STATE(10496)] = 515176,
  [SMALL_STATE(10497)] = 515218,
  [SMALL_STATE(10498)] = 515270,
  [SMALL_STATE(10499)] = 515312,
  [SMALL_STATE(10500)] = 515364,
  [SMALL_STATE(10501)] = 515406,
  [SMALL_STATE(10502)] = 515448,
  [SMALL_STATE(10503)] = 515520,
  [SMALL_STATE(10504)] = 515562,
  [SMALL_STATE(10505)] = 515604,
  [SMALL_STATE(10506)] = 515646,
  [SMALL_STATE(10507)] = 515718,
  [SMALL_STATE(10508)] = 515790,
  [SMALL_STATE(10509)] = 515862,
  [SMALL_STATE(10510)] = 515934,
  [SMALL_STATE(10511)] = 516006,
  [SMALL_STATE(10512)] = 516078,
  [SMALL_STATE(10513)] = 516120,
  [SMALL_STATE(10514)] = 516192,
  [SMALL_STATE(10515)] = 516264,
  [SMALL_STATE(10516)] = 516336,
  [SMALL_STATE(10517)] = 516404,
  [SMALL_STATE(10518)] = 516446,
  [SMALL_STATE(10519)] = 516518,
  [SMALL_STATE(10520)] = 516560,
  [SMALL_STATE(10521)] = 516602,
  [SMALL_STATE(10522)] = 516644,
  [SMALL_STATE(10523)] = 516716,
  [SMALL_STATE(10524)] = 516758,
  [SMALL_STATE(10525)] = 516830,
  [SMALL_STATE(10526)] = 516902,
  [SMALL_STATE(10527)] = 516948,
  [SMALL_STATE(10528)] = 516990,
  [SMALL_STATE(10529)] = 517062,
  [SMALL_STATE(10530)] = 517104,
  [SMALL_STATE(10531)] = 517176,
  [SMALL_STATE(10532)] = 517248,
  [SMALL_STATE(10533)] = 517320,
  [SMALL_STATE(10534)] = 517362,
  [SMALL_STATE(10535)] = 517404,
  [SMALL_STATE(10536)] = 517476,
  [SMALL_STATE(10537)] = 517518,
  [SMALL_STATE(10538)] = 517590,
  [SMALL_STATE(10539)] = 517662,
  [SMALL_STATE(10540)] = 517704,
  [SMALL_STATE(10541)] = 517776,
  [SMALL_STATE(10542)] = 517848,
  [SMALL_STATE(10543)] = 517890,
  [SMALL_STATE(10544)] = 517932,
  [SMALL_STATE(10545)] = 518004,
  [SMALL_STATE(10546)] = 518046,
  [SMALL_STATE(10547)] = 518118,
  [SMALL_STATE(10548)] = 518190,
  [SMALL_STATE(10549)] = 518232,
  [SMALL_STATE(10550)] = 518274,
  [SMALL_STATE(10551)] = 518346,
  [SMALL_STATE(10552)] = 518388,
  [SMALL_STATE(10553)] = 518460,
  [SMALL_STATE(10554)] = 518532,
  [SMALL_STATE(10555)] = 518604,
  [SMALL_STATE(10556)] = 518676,
  [SMALL_STATE(10557)] = 518718,
  [SMALL_STATE(10558)] = 518790,
  [SMALL_STATE(10559)] = 518862,
  [SMALL_STATE(10560)] = 518934,
  [SMALL_STATE(10561)] = 519006,
  [SMALL_STATE(10562)] = 519048,
  [SMALL_STATE(10563)] = 519090,
  [SMALL_STATE(10564)] = 519162,
  [SMALL_STATE(10565)] = 519214,
  [SMALL_STATE(10566)] = 519286,
  [SMALL_STATE(10567)] = 519328,
  [SMALL_STATE(10568)] = 519370,
  [SMALL_STATE(10569)] = 519412,
  [SMALL_STATE(10570)] = 519464,
  [SMALL_STATE(10571)] = 519506,
  [SMALL_STATE(10572)] = 519548,
  [SMALL_STATE(10573)] = 519620,
  [SMALL_STATE(10574)] = 519662,
  [SMALL_STATE(10575)] = 519704,
  [SMALL_STATE(10576)] = 519776,
  [SMALL_STATE(10577)] = 519818,
  [SMALL_STATE(10578)] = 519860,
  [SMALL_STATE(10579)] = 519902,
  [SMALL_STATE(10580)] = 519974,
  [SMALL_STATE(10581)] = 520046,
  [SMALL_STATE(10582)] = 520088,
  [SMALL_STATE(10583)] = 520160,
  [SMALL_STATE(10584)] = 520232,
  [SMALL_STATE(10585)] = 520274,
  [SMALL_STATE(10586)] = 520346,
  [SMALL_STATE(10587)] = 520398,
  [SMALL_STATE(10588)] = 520440,
  [SMALL_STATE(10589)] = 520482,
  [SMALL_STATE(10590)] = 520554,
  [SMALL_STATE(10591)] = 520626,
  [SMALL_STATE(10592)] = 520698,
  [SMALL_STATE(10593)] = 520770,
  [SMALL_STATE(10594)] = 520812,
  [SMALL_STATE(10595)] = 520854,
  [SMALL_STATE(10596)] = 520896,
  [SMALL_STATE(10597)] = 520938,
  [SMALL_STATE(10598)] = 521000,
  [SMALL_STATE(10599)] = 521072,
  [SMALL_STATE(10600)] = 521114,
  [SMALL_STATE(10601)] = 521156,
  [SMALL_STATE(10602)] = 521228,
  [SMALL_STATE(10603)] = 521270,
  [SMALL_STATE(10604)] = 521328,
  [SMALL_STATE(10605)] = 521370,
  [SMALL_STATE(10606)] = 521412,
  [SMALL_STATE(10607)] = 521454,
  [SMALL_STATE(10608)] = 521496,
  [SMALL_STATE(10609)] = 521568,
  [SMALL_STATE(10610)] = 521640,
  [SMALL_STATE(10611)] = 521692,
  [SMALL_STATE(10612)] = 521764,
  [SMALL_STATE(10613)] = 521836,
  [SMALL_STATE(10614)] = 521908,
  [SMALL_STATE(10615)] = 521980,
  [SMALL_STATE(10616)] = 522022,
  [SMALL_STATE(10617)] = 522064,
  [SMALL_STATE(10618)] = 522136,
  [SMALL_STATE(10619)] = 522208,
  [SMALL_STATE(10620)] = 522280,
  [SMALL_STATE(10621)] = 522352,
  [SMALL_STATE(10622)] = 522394,
  [SMALL_STATE(10623)] = 522436,
  [SMALL_STATE(10624)] = 522478,
  [SMALL_STATE(10625)] = 522537,
  [SMALL_STATE(10626)] = 522578,
  [SMALL_STATE(10627)] = 522621,
  [SMALL_STATE(10628)] = 522666,
  [SMALL_STATE(10629)] = 522709,
  [SMALL_STATE(10630)] = 522778,
  [SMALL_STATE(10631)] = 522819,
  [SMALL_STATE(10632)] = 522874,
  [SMALL_STATE(10633)] = 522915,
  [SMALL_STATE(10634)] = 522956,
  [SMALL_STATE(10635)] = 522997,
  [SMALL_STATE(10636)] = 523038,
  [SMALL_STATE(10637)] = 523089,
  [SMALL_STATE(10638)] = 523134,
  [SMALL_STATE(10639)] = 523179,
  [SMALL_STATE(10640)] = 523220,
  [SMALL_STATE(10641)] = 523273,
  [SMALL_STATE(10642)] = 523326,
  [SMALL_STATE(10643)] = 523371,
  [SMALL_STATE(10644)] = 523428,
  [SMALL_STATE(10645)] = 523479,
  [SMALL_STATE(10646)] = 523538,
  [SMALL_STATE(10647)] = 523601,
  [SMALL_STATE(10648)] = 523644,
  [SMALL_STATE(10649)] = 523691,
  [SMALL_STATE(10650)] = 523732,
  [SMALL_STATE(10651)] = 523791,
  [SMALL_STATE(10652)] = 523832,
  [SMALL_STATE(10653)] = 523895,
  [SMALL_STATE(10654)] = 523958,
  [SMALL_STATE(10655)] = 523999,
  [SMALL_STATE(10656)] = 524068,
  [SMALL_STATE(10657)] = 524137,
  [SMALL_STATE(10658)] = 524178,
  [SMALL_STATE(10659)] = 524229,
  [SMALL_STATE(10660)] = 524270,
  [SMALL_STATE(10661)] = 524311,
  [SMALL_STATE(10662)] = 524370,
  [SMALL_STATE(10663)] = 524411,
  [SMALL_STATE(10664)] = 524452,
  [SMALL_STATE(10665)] = 524493,
  [SMALL_STATE(10666)] = 524534,
  [SMALL_STATE(10667)] = 524575,
  [SMALL_STATE(10668)] = 524616,
  [SMALL_STATE(10669)] = 524657,
  [SMALL_STATE(10670)] = 524698,
  [SMALL_STATE(10671)] = 524751,
  [SMALL_STATE(10672)] = 524792,
  [SMALL_STATE(10673)] = 524833,
  [SMALL_STATE(10674)] = 524876,
  [SMALL_STATE(10675)] = 524917,
  [SMALL_STATE(10676)] = 524978,
  [SMALL_STATE(10677)] = 525023,
  [SMALL_STATE(10678)] = 525092,
  [SMALL_STATE(10679)] = 525133,
  [SMALL_STATE(10680)] = 525202,
  [SMALL_STATE(10681)] = 525243,
  [SMALL_STATE(10682)] = 525284,
  [SMALL_STATE(10683)] = 525325,
  [SMALL_STATE(10684)] = 525366,
  [SMALL_STATE(10685)] = 525409,
  [SMALL_STATE(10686)] = 525450,
  [SMALL_STATE(10687)] = 525491,
  [SMALL_STATE(10688)] = 525532,
  [SMALL_STATE(10689)] = 525575,
  [SMALL_STATE(10690)] = 525640,
  [SMALL_STATE(10691)] = 525681,
  [SMALL_STATE(10692)] = 525722,
  [SMALL_STATE(10693)] = 525763,
  [SMALL_STATE(10694)] = 525808,
  [SMALL_STATE(10695)] = 525865,
  [SMALL_STATE(10696)] = 525906,
  [SMALL_STATE(10697)] = 525975,
  [SMALL_STATE(10698)] = 526030,
  [SMALL_STATE(10699)] = 526071,
  [SMALL_STATE(10700)] = 526132,
  [SMALL_STATE(10701)] = 526189,
  [SMALL_STATE(10702)] = 526230,
  [SMALL_STATE(10703)] = 526271,
  [SMALL_STATE(10704)] = 526342,
  [SMALL_STATE(10705)] = 526399,
  [SMALL_STATE(10706)] = 526456,
  [SMALL_STATE(10707)] = 526497,
  [SMALL_STATE(10708)] = 526538,
  [SMALL_STATE(10709)] = 526595,
  [SMALL_STATE(10710)] = 526636,
  [SMALL_STATE(10711)] = 526677,
  [SMALL_STATE(10712)] = 526718,
  [SMALL_STATE(10713)] = 526759,
  [SMALL_STATE(10714)] = 526822,
  [SMALL_STATE(10715)] = 526863,
  [SMALL_STATE(10716)] = 526914,
  [SMALL_STATE(10717)] = 526955,
  [SMALL_STATE(10718)] = 526996,
  [SMALL_STATE(10719)] = 527047,
  [SMALL_STATE(10720)] = 527090,
  [SMALL_STATE(10721)] = 527147,
  [SMALL_STATE(10722)] = 527192,
  [SMALL_STATE(10723)] = 527237,
  [SMALL_STATE(10724)] = 527282,
  [SMALL_STATE(10725)] = 527327,
  [SMALL_STATE(10726)] = 527372,
  [SMALL_STATE(10727)] = 527413,
  [SMALL_STATE(10728)] = 527482,
  [SMALL_STATE(10729)] = 527551,
  [SMALL_STATE(10730)] = 527592,
  [SMALL_STATE(10731)] = 527633,
  [SMALL_STATE(10732)] = 527674,
  [SMALL_STATE(10733)] = 527743,
  [SMALL_STATE(10734)] = 527812,
  [SMALL_STATE(10735)] = 527852,
  [SMALL_STATE(10736)] = 527892,
  [SMALL_STATE(10737)] = 527932,
  [SMALL_STATE(10738)] = 527972,
  [SMALL_STATE(10739)] = 528040,
  [SMALL_STATE(10740)] = 528080,
  [SMALL_STATE(10741)] = 528136,
  [SMALL_STATE(10742)] = 528176,
  [SMALL_STATE(10743)] = 528244,
  [SMALL_STATE(10744)] = 528312,
  [SMALL_STATE(10745)] = 528380,
  [SMALL_STATE(10746)] = 528448,
  [SMALL_STATE(10747)] = 528488,
  [SMALL_STATE(10748)] = 528556,
  [SMALL_STATE(10749)] = 528624,
  [SMALL_STATE(10750)] = 528692,
  [SMALL_STATE(10751)] = 528748,
  [SMALL_STATE(10752)] = 528816,
  [SMALL_STATE(10753)] = 528884,
  [SMALL_STATE(10754)] = 528924,
  [SMALL_STATE(10755)] = 528992,
  [SMALL_STATE(10756)] = 529032,
  [SMALL_STATE(10757)] = 529082,
  [SMALL_STATE(10758)] = 529150,
  [SMALL_STATE(10759)] = 529194,
  [SMALL_STATE(10760)] = 529234,
  [SMALL_STATE(10761)] = 529302,
  [SMALL_STATE(10762)] = 529364,
  [SMALL_STATE(10763)] = 529404,
  [SMALL_STATE(10764)] = 529444,
  [SMALL_STATE(10765)] = 529488,
  [SMALL_STATE(10766)] = 529528,
  [SMALL_STATE(10767)] = 529596,
  [SMALL_STATE(10768)] = 529636,
  [SMALL_STATE(10769)] = 529698,
  [SMALL_STATE(10770)] = 529738,
  [SMALL_STATE(10771)] = 529784,
  [SMALL_STATE(10772)] = 529852,
  [SMALL_STATE(10773)] = 529914,
  [SMALL_STATE(10774)] = 529960,
  [SMALL_STATE(10775)] = 530010,
  [SMALL_STATE(10776)] = 530068,
  [SMALL_STATE(10777)] = 530124,
  [SMALL_STATE(10778)] = 530176,
  [SMALL_STATE(10779)] = 530228,
  [SMALL_STATE(10780)] = 530278,
  [SMALL_STATE(10781)] = 530318,
  [SMALL_STATE(10782)] = 530362,
  [SMALL_STATE(10783)] = 530430,
  [SMALL_STATE(10784)] = 530498,
  [SMALL_STATE(10785)] = 530548,
  [SMALL_STATE(10786)] = 530598,
  [SMALL_STATE(10787)] = 530642,
  [SMALL_STATE(10788)] = 530692,
  [SMALL_STATE(10789)] = 530750,
  [SMALL_STATE(10790)] = 530818,
  [SMALL_STATE(10791)] = 530858,
  [SMALL_STATE(10792)] = 530926,
  [SMALL_STATE(10793)] = 530980,
  [SMALL_STATE(10794)] = 531038,
  [SMALL_STATE(10795)] = 531088,
  [SMALL_STATE(10796)] = 531132,
  [SMALL_STATE(10797)] = 531172,
  [SMALL_STATE(10798)] = 531240,
  [SMALL_STATE(10799)] = 531284,
  [SMALL_STATE(10800)] = 531336,
  [SMALL_STATE(10801)] = 531388,
  [SMALL_STATE(10802)] = 531456,
  [SMALL_STATE(10803)] = 531512,
  [SMALL_STATE(10804)] = 531570,
  [SMALL_STATE(10805)] = 531632,
  [SMALL_STATE(10806)] = 531678,
  [SMALL_STATE(10807)] = 531740,
  [SMALL_STATE(10808)] = 531796,
  [SMALL_STATE(10809)] = 531864,
  [SMALL_STATE(10810)] = 531926,
  [SMALL_STATE(10811)] = 531982,
  [SMALL_STATE(10812)] = 532038,
  [SMALL_STATE(10813)] = 532094,
  [SMALL_STATE(10814)] = 532134,
  [SMALL_STATE(10815)] = 532174,
  [SMALL_STATE(10816)] = 532220,
  [SMALL_STATE(10817)] = 532270,
  [SMALL_STATE(10818)] = 532326,
  [SMALL_STATE(10819)] = 532394,
  [SMALL_STATE(10820)] = 532434,
  [SMALL_STATE(10821)] = 532474,
  [SMALL_STATE(10822)] = 532520,
  [SMALL_STATE(10823)] = 532588,
  [SMALL_STATE(10824)] = 532656,
  [SMALL_STATE(10825)] = 532712,
  [SMALL_STATE(10826)] = 532768,
  [SMALL_STATE(10827)] = 532818,
  [SMALL_STATE(10828)] = 532858,
  [SMALL_STATE(10829)] = 532926,
  [SMALL_STATE(10830)] = 532982,
  [SMALL_STATE(10831)] = 533022,
  [SMALL_STATE(10832)] = 533062,
  [SMALL_STATE(10833)] = 533130,
  [SMALL_STATE(10834)] = 533198,
  [SMALL_STATE(10835)] = 533238,
  [SMALL_STATE(10836)] = 533280,
  [SMALL_STATE(10837)] = 533348,
  [SMALL_STATE(10838)] = 533388,
  [SMALL_STATE(10839)] = 533428,
  [SMALL_STATE(10840)] = 533468,
  [SMALL_STATE(10841)] = 533508,
  [SMALL_STATE(10842)] = 533548,
  [SMALL_STATE(10843)] = 533588,
  [SMALL_STATE(10844)] = 533656,
  [SMALL_STATE(10845)] = 533724,
  [SMALL_STATE(10846)] = 533764,
  [SMALL_STATE(10847)] = 533832,
  [SMALL_STATE(10848)] = 533900,
  [SMALL_STATE(10849)] = 533968,
  [SMALL_STATE(10850)] = 534036,
  [SMALL_STATE(10851)] = 534104,
  [SMALL_STATE(10852)] = 534172,
  [SMALL_STATE(10853)] = 534240,
  [SMALL_STATE(10854)] = 534280,
  [SMALL_STATE(10855)] = 534320,
  [SMALL_STATE(10856)] = 534372,
  [SMALL_STATE(10857)] = 534440,
  [SMALL_STATE(10858)] = 534480,
  [SMALL_STATE(10859)] = 534548,
  [SMALL_STATE(10860)] = 534616,
  [SMALL_STATE(10861)] = 534656,
  [SMALL_STATE(10862)] = 534724,
  [SMALL_STATE(10863)] = 534764,
  [SMALL_STATE(10864)] = 534804,
  [SMALL_STATE(10865)] = 534872,
  [SMALL_STATE(10866)] = 534912,
  [SMALL_STATE(10867)] = 534980,
  [SMALL_STATE(10868)] = 535022,
  [SMALL_STATE(10869)] = 535062,
  [SMALL_STATE(10870)] = 535102,
  [SMALL_STATE(10871)] = 535170,
  [SMALL_STATE(10872)] = 535238,
  [SMALL_STATE(10873)] = 535306,
  [SMALL_STATE(10874)] = 535346,
  [SMALL_STATE(10875)] = 535414,
  [SMALL_STATE(10876)] = 535454,
  [SMALL_STATE(10877)] = 535522,
  [SMALL_STATE(10878)] = 535562,
  [SMALL_STATE(10879)] = 535630,
  [SMALL_STATE(10880)] = 535698,
  [SMALL_STATE(10881)] = 535738,
  [SMALL_STATE(10882)] = 535806,
  [SMALL_STATE(10883)] = 535846,
  [SMALL_STATE(10884)] = 535886,
  [SMALL_STATE(10885)] = 535954,
  [SMALL_STATE(10886)] = 536022,
  [SMALL_STATE(10887)] = 536062,
  [SMALL_STATE(10888)] = 536102,
  [SMALL_STATE(10889)] = 536158,
  [SMALL_STATE(10890)] = 536226,
  [SMALL_STATE(10891)] = 536294,
  [SMALL_STATE(10892)] = 536362,
  [SMALL_STATE(10893)] = 536430,
  [SMALL_STATE(10894)] = 536498,
  [SMALL_STATE(10895)] = 536566,
  [SMALL_STATE(10896)] = 536606,
  [SMALL_STATE(10897)] = 536646,
  [SMALL_STATE(10898)] = 536686,
  [SMALL_STATE(10899)] = 536754,
  [SMALL_STATE(10900)] = 536794,
  [SMALL_STATE(10901)] = 536862,
  [SMALL_STATE(10902)] = 536902,
  [SMALL_STATE(10903)] = 536942,
  [SMALL_STATE(10904)] = 536982,
  [SMALL_STATE(10905)] = 537050,
  [SMALL_STATE(10906)] = 537100,
  [SMALL_STATE(10907)] = 537146,
  [SMALL_STATE(10908)] = 537186,
  [SMALL_STATE(10909)] = 537226,
  [SMALL_STATE(10910)] = 537294,
  [SMALL_STATE(10911)] = 537334,
  [SMALL_STATE(10912)] = 537402,
  [SMALL_STATE(10913)] = 537442,
  [SMALL_STATE(10914)] = 537482,
  [SMALL_STATE(10915)] = 537528,
  [SMALL_STATE(10916)] = 537596,
  [SMALL_STATE(10917)] = 537664,
  [SMALL_STATE(10918)] = 537716,
  [SMALL_STATE(10919)] = 537756,
  [SMALL_STATE(10920)] = 537824,
  [SMALL_STATE(10921)] = 537864,
  [SMALL_STATE(10922)] = 537904,
  [SMALL_STATE(10923)] = 537944,
  [SMALL_STATE(10924)] = 537984,
  [SMALL_STATE(10925)] = 538052,
  [SMALL_STATE(10926)] = 538092,
  [SMALL_STATE(10927)] = 538132,
  [SMALL_STATE(10928)] = 538172,
  [SMALL_STATE(10929)] = 538212,
  [SMALL_STATE(10930)] = 538252,
  [SMALL_STATE(10931)] = 538292,
  [SMALL_STATE(10932)] = 538332,
  [SMALL_STATE(10933)] = 538372,
  [SMALL_STATE(10934)] = 538412,
  [SMALL_STATE(10935)] = 538452,
  [SMALL_STATE(10936)] = 538492,
  [SMALL_STATE(10937)] = 538560,
  [SMALL_STATE(10938)] = 538628,
  [SMALL_STATE(10939)] = 538668,
  [SMALL_STATE(10940)] = 538708,
  [SMALL_STATE(10941)] = 538748,
  [SMALL_STATE(10942)] = 538788,
  [SMALL_STATE(10943)] = 538828,
  [SMALL_STATE(10944)] = 538870,
  [SMALL_STATE(10945)] = 538926,
  [SMALL_STATE(10946)] = 538966,
  [SMALL_STATE(10947)] = 539006,
  [SMALL_STATE(10948)] = 539070,
  [SMALL_STATE(10949)] = 539110,
  [SMALL_STATE(10950)] = 539150,
  [SMALL_STATE(10951)] = 539190,
  [SMALL_STATE(10952)] = 539230,
  [SMALL_STATE(10953)] = 539270,
  [SMALL_STATE(10954)] = 539310,
  [SMALL_STATE(10955)] = 539350,
  [SMALL_STATE(10956)] = 539390,
  [SMALL_STATE(10957)] = 539430,
  [SMALL_STATE(10958)] = 539470,
  [SMALL_STATE(10959)] = 539510,
  [SMALL_STATE(10960)] = 539578,
  [SMALL_STATE(10961)] = 539618,
  [SMALL_STATE(10962)] = 539686,
  [SMALL_STATE(10963)] = 539726,
  [SMALL_STATE(10964)] = 539770,
  [SMALL_STATE(10965)] = 539810,
  [SMALL_STATE(10966)] = 539850,
  [SMALL_STATE(10967)] = 539890,
  [SMALL_STATE(10968)] = 539930,
  [SMALL_STATE(10969)] = 539972,
  [SMALL_STATE(10970)] = 540012,
  [SMALL_STATE(10971)] = 540080,
  [SMALL_STATE(10972)] = 540120,
  [SMALL_STATE(10973)] = 540160,
  [SMALL_STATE(10974)] = 540210,
  [SMALL_STATE(10975)] = 540250,
  [SMALL_STATE(10976)] = 540290,
  [SMALL_STATE(10977)] = 540346,
  [SMALL_STATE(10978)] = 540396,
  [SMALL_STATE(10979)] = 540440,
  [SMALL_STATE(10980)] = 540480,
  [SMALL_STATE(10981)] = 540536,
  [SMALL_STATE(10982)] = 540598,
  [SMALL_STATE(10983)] = 540638,
  [SMALL_STATE(10984)] = 540706,
  [SMALL_STATE(10985)] = 540748,
  [SMALL_STATE(10986)] = 540816,
  [SMALL_STATE(10987)] = 540856,
  [SMALL_STATE(10988)] = 540924,
  [SMALL_STATE(10989)] = 540964,
  [SMALL_STATE(10990)] = 541032,
  [SMALL_STATE(10991)] = 541074,
  [SMALL_STATE(10992)] = 541114,
  [SMALL_STATE(10993)] = 541182,
  [SMALL_STATE(10994)] = 541250,
  [SMALL_STATE(10995)] = 541290,
  [SMALL_STATE(10996)] = 541358,
  [SMALL_STATE(10997)] = 541426,
  [SMALL_STATE(10998)] = 541494,
  [SMALL_STATE(10999)] = 541534,
  [SMALL_STATE(11000)] = 541602,
  [SMALL_STATE(11001)] = 541642,
  [SMALL_STATE(11002)] = 541710,
  [SMALL_STATE(11003)] = 541750,
  [SMALL_STATE(11004)] = 541790,
  [SMALL_STATE(11005)] = 541830,
  [SMALL_STATE(11006)] = 541870,
  [SMALL_STATE(11007)] = 541910,
  [SMALL_STATE(11008)] = 541950,
  [SMALL_STATE(11009)] = 541990,
  [SMALL_STATE(11010)] = 542030,
  [SMALL_STATE(11011)] = 542098,
  [SMALL_STATE(11012)] = 542138,
  [SMALL_STATE(11013)] = 542206,
  [SMALL_STATE(11014)] = 542246,
  [SMALL_STATE(11015)] = 542286,
  [SMALL_STATE(11016)] = 542326,
  [SMALL_STATE(11017)] = 542366,
  [SMALL_STATE(11018)] = 542412,
  [SMALL_STATE(11019)] = 542452,
  [SMALL_STATE(11020)] = 542520,
  [SMALL_STATE(11021)] = 542588,
  [SMALL_STATE(11022)] = 542628,
  [SMALL_STATE(11023)] = 542668,
  [SMALL_STATE(11024)] = 542712,
  [SMALL_STATE(11025)] = 542754,
  [SMALL_STATE(11026)] = 542822,
  [SMALL_STATE(11027)] = 542872,
  [SMALL_STATE(11028)] = 542940,
  [SMALL_STATE(11029)] = 542996,
  [SMALL_STATE(11030)] = 543064,
  [SMALL_STATE(11031)] = 543132,
  [SMALL_STATE(11032)] = 543172,
  [SMALL_STATE(11033)] = 543218,
  [SMALL_STATE(11034)] = 543258,
  [SMALL_STATE(11035)] = 543308,
  [SMALL_STATE(11036)] = 543354,
  [SMALL_STATE(11037)] = 543420,
  [SMALL_STATE(11038)] = 543460,
  [SMALL_STATE(11039)] = 543500,
  [SMALL_STATE(11040)] = 543540,
  [SMALL_STATE(11041)] = 543596,
  [SMALL_STATE(11042)] = 543636,
  [SMALL_STATE(11043)] = 543692,
  [SMALL_STATE(11044)] = 543732,
  [SMALL_STATE(11045)] = 543772,
  [SMALL_STATE(11046)] = 543840,
  [SMALL_STATE(11047)] = 543908,
  [SMALL_STATE(11048)] = 543948,
  [SMALL_STATE(11049)] = 543988,
  [SMALL_STATE(11050)] = 544028,
  [SMALL_STATE(11051)] = 544096,
  [SMALL_STATE(11052)] = 544164,
  [SMALL_STATE(11053)] = 544232,
  [SMALL_STATE(11054)] = 544300,
  [SMALL_STATE(11055)] = 544368,
  [SMALL_STATE(11056)] = 544436,
  [SMALL_STATE(11057)] = 544504,
  [SMALL_STATE(11058)] = 544544,
  [SMALL_STATE(11059)] = 544584,
  [SMALL_STATE(11060)] = 544624,
  [SMALL_STATE(11061)] = 544674,
  [SMALL_STATE(11062)] = 544718,
  [SMALL_STATE(11063)] = 544774,
  [SMALL_STATE(11064)] = 544818,
  [SMALL_STATE(11065)] = 544862,
  [SMALL_STATE(11066)] = 544906,
  [SMALL_STATE(11067)] = 544948,
  [SMALL_STATE(11068)] = 544988,
  [SMALL_STATE(11069)] = 545034,
  [SMALL_STATE(11070)] = 545074,
  [SMALL_STATE(11071)] = 545114,
  [SMALL_STATE(11072)] = 545154,
  [SMALL_STATE(11073)] = 545194,
  [SMALL_STATE(11074)] = 545234,
  [SMALL_STATE(11075)] = 545274,
  [SMALL_STATE(11076)] = 545338,
  [SMALL_STATE(11077)] = 545406,
  [SMALL_STATE(11078)] = 545446,
  [SMALL_STATE(11079)] = 545486,
  [SMALL_STATE(11080)] = 545526,
  [SMALL_STATE(11081)] = 545566,
  [SMALL_STATE(11082)] = 545606,
  [SMALL_STATE(11083)] = 545646,
  [SMALL_STATE(11084)] = 545686,
  [SMALL_STATE(11085)] = 545728,
  [SMALL_STATE(11086)] = 545791,
  [SMALL_STATE(11087)] = 545854,
  [SMALL_STATE(11088)] = 545905,
  [SMALL_STATE(11089)] = 545960,
  [SMALL_STATE(11090)] = 545999,
  [SMALL_STATE(11091)] = 546050,
  [SMALL_STATE(11092)] = 546093,
  [SMALL_STATE(11093)] = 546156,
  [SMALL_STATE(11094)] = 546199,
  [SMALL_STATE(11095)] = 546262,
  [SMALL_STATE(11096)] = 546325,
  [SMALL_STATE(11097)] = 546388,
  [SMALL_STATE(11098)] = 546431,
  [SMALL_STATE(11099)] = 546474,
  [SMALL_STATE(11100)] = 546523,
  [SMALL_STATE(11101)] = 546580,
  [SMALL_STATE(11102)] = 546619,
  [SMALL_STATE(11103)] = 546662,
  [SMALL_STATE(11104)] = 546725,
  [SMALL_STATE(11105)] = 546764,
  [SMALL_STATE(11106)] = 546803,
  [SMALL_STATE(11107)] = 546842,
  [SMALL_STATE(11108)] = 546905,
  [SMALL_STATE(11109)] = 546968,
  [SMALL_STATE(11110)] = 547007,
  [SMALL_STATE(11111)] = 547062,
  [SMALL_STATE(11112)] = 547125,
  [SMALL_STATE(11113)] = 547180,
  [SMALL_STATE(11114)] = 547243,
  [SMALL_STATE(11115)] = 547282,
  [SMALL_STATE(11116)] = 547321,
  [SMALL_STATE(11117)] = 547384,
  [SMALL_STATE(11118)] = 547447,
  [SMALL_STATE(11119)] = 547502,
  [SMALL_STATE(11120)] = 547565,
  [SMALL_STATE(11121)] = 547628,
  [SMALL_STATE(11122)] = 547691,
  [SMALL_STATE(11123)] = 547754,
  [SMALL_STATE(11124)] = 547817,
  [SMALL_STATE(11125)] = 547856,
  [SMALL_STATE(11126)] = 547919,
  [SMALL_STATE(11127)] = 547958,
  [SMALL_STATE(11128)] = 548021,
  [SMALL_STATE(11129)] = 548084,
  [SMALL_STATE(11130)] = 548147,
  [SMALL_STATE(11131)] = 548210,
  [SMALL_STATE(11132)] = 548249,
  [SMALL_STATE(11133)] = 548288,
  [SMALL_STATE(11134)] = 548327,
  [SMALL_STATE(11135)] = 548388,
  [SMALL_STATE(11136)] = 548427,
  [SMALL_STATE(11137)] = 548466,
  [SMALL_STATE(11138)] = 548505,
  [SMALL_STATE(11139)] = 548550,
  [SMALL_STATE(11140)] = 548613,
  [SMALL_STATE(11141)] = 548652,
  [SMALL_STATE(11142)] = 548693,
  [SMALL_STATE(11143)] = 548748,
  [SMALL_STATE(11144)] = 548791,
  [SMALL_STATE(11145)] = 548846,
  [SMALL_STATE(11146)] = 548909,
  [SMALL_STATE(11147)] = 548972,
  [SMALL_STATE(11148)] = 549029,
  [SMALL_STATE(11149)] = 549092,
  [SMALL_STATE(11150)] = 549153,
  [SMALL_STATE(11151)] = 549198,
  [SMALL_STATE(11152)] = 549261,
  [SMALL_STATE(11153)] = 549300,
  [SMALL_STATE(11154)] = 549363,
  [SMALL_STATE(11155)] = 549426,
  [SMALL_STATE(11156)] = 549489,
  [SMALL_STATE(11157)] = 549552,
  [SMALL_STATE(11158)] = 549607,
  [SMALL_STATE(11159)] = 549646,
  [SMALL_STATE(11160)] = 549685,
  [SMALL_STATE(11161)] = 549724,
  [SMALL_STATE(11162)] = 549787,
  [SMALL_STATE(11163)] = 549850,
  [SMALL_STATE(11164)] = 549913,
  [SMALL_STATE(11165)] = 549958,
  [SMALL_STATE(11166)] = 550003,
  [SMALL_STATE(11167)] = 550054,
  [SMALL_STATE(11168)] = 550099,
  [SMALL_STATE(11169)] = 550138,
  [SMALL_STATE(11170)] = 550181,
  [SMALL_STATE(11171)] = 550226,
  [SMALL_STATE(11172)] = 550289,
  [SMALL_STATE(11173)] = 550328,
  [SMALL_STATE(11174)] = 550371,
  [SMALL_STATE(11175)] = 550418,
  [SMALL_STATE(11176)] = 550475,
  [SMALL_STATE(11177)] = 550530,
  [SMALL_STATE(11178)] = 550569,
  [SMALL_STATE(11179)] = 550632,
  [SMALL_STATE(11180)] = 550695,
  [SMALL_STATE(11181)] = 550758,
  [SMALL_STATE(11182)] = 550799,
  [SMALL_STATE(11183)] = 550862,
  [SMALL_STATE(11184)] = 550919,
  [SMALL_STATE(11185)] = 550982,
  [SMALL_STATE(11186)] = 551045,
  [SMALL_STATE(11187)] = 551084,
  [SMALL_STATE(11188)] = 551139,
  [SMALL_STATE(11189)] = 551180,
  [SMALL_STATE(11190)] = 551219,
  [SMALL_STATE(11191)] = 551258,
  [SMALL_STATE(11192)] = 551299,
  [SMALL_STATE(11193)] = 551362,
  [SMALL_STATE(11194)] = 551425,
  [SMALL_STATE(11195)] = 551464,
  [SMALL_STATE(11196)] = 551527,
  [SMALL_STATE(11197)] = 551576,
  [SMALL_STATE(11198)] = 551639,
  [SMALL_STATE(11199)] = 551702,
  [SMALL_STATE(11200)] = 551751,
  [SMALL_STATE(11201)] = 551790,
  [SMALL_STATE(11202)] = 551829,
  [SMALL_STATE(11203)] = 551892,
  [SMALL_STATE(11204)] = 551955,
  [SMALL_STATE(11205)] = 552004,
  [SMALL_STATE(11206)] = 552053,
  [SMALL_STATE(11207)] = 552092,
  [SMALL_STATE(11208)] = 552131,
  [SMALL_STATE(11209)] = 552194,
  [SMALL_STATE(11210)] = 552233,
  [SMALL_STATE(11211)] = 552274,
  [SMALL_STATE(11212)] = 552313,
  [SMALL_STATE(11213)] = 552352,
  [SMALL_STATE(11214)] = 552391,
  [SMALL_STATE(11215)] = 552430,
  [SMALL_STATE(11216)] = 552493,
  [SMALL_STATE(11217)] = 552556,
  [SMALL_STATE(11218)] = 552619,
  [SMALL_STATE(11219)] = 552658,
  [SMALL_STATE(11220)] = 552707,
  [SMALL_STATE(11221)] = 552746,
  [SMALL_STATE(11222)] = 552785,
  [SMALL_STATE(11223)] = 552824,
  [SMALL_STATE(11224)] = 552863,
  [SMALL_STATE(11225)] = 552926,
  [SMALL_STATE(11226)] = 552989,
  [SMALL_STATE(11227)] = 553042,
  [SMALL_STATE(11228)] = 553105,
  [SMALL_STATE(11229)] = 553160,
  [SMALL_STATE(11230)] = 553201,
  [SMALL_STATE(11231)] = 553256,
  [SMALL_STATE(11232)] = 553319,
  [SMALL_STATE(11233)] = 553382,
  [SMALL_STATE(11234)] = 553445,
  [SMALL_STATE(11235)] = 553484,
  [SMALL_STATE(11236)] = 553547,
  [SMALL_STATE(11237)] = 553610,
  [SMALL_STATE(11238)] = 553663,
  [SMALL_STATE(11239)] = 553726,
  [SMALL_STATE(11240)] = 553789,
  [SMALL_STATE(11241)] = 553852,
  [SMALL_STATE(11242)] = 553915,
  [SMALL_STATE(11243)] = 553978,
  [SMALL_STATE(11244)] = 554041,
  [SMALL_STATE(11245)] = 554104,
  [SMALL_STATE(11246)] = 554167,
  [SMALL_STATE(11247)] = 554230,
  [SMALL_STATE(11248)] = 554269,
  [SMALL_STATE(11249)] = 554332,
  [SMALL_STATE(11250)] = 554385,
  [SMALL_STATE(11251)] = 554448,
  [SMALL_STATE(11252)] = 554511,
  [SMALL_STATE(11253)] = 554574,
  [SMALL_STATE(11254)] = 554637,
  [SMALL_STATE(11255)] = 554692,
  [SMALL_STATE(11256)] = 554747,
  [SMALL_STATE(11257)] = 554794,
  [SMALL_STATE(11258)] = 554833,
  [SMALL_STATE(11259)] = 554884,
  [SMALL_STATE(11260)] = 554947,
  [SMALL_STATE(11261)] = 555002,
  [SMALL_STATE(11262)] = 555051,
  [SMALL_STATE(11263)] = 555090,
  [SMALL_STATE(11264)] = 555153,
  [SMALL_STATE(11265)] = 555192,
  [SMALL_STATE(11266)] = 555231,
  [SMALL_STATE(11267)] = 555294,
  [SMALL_STATE(11268)] = 555349,
  [SMALL_STATE(11269)] = 555412,
  [SMALL_STATE(11270)] = 555475,
  [SMALL_STATE(11271)] = 555514,
  [SMALL_STATE(11272)] = 555569,
  [SMALL_STATE(11273)] = 555612,
  [SMALL_STATE(11274)] = 555651,
  [SMALL_STATE(11275)] = 555714,
  [SMALL_STATE(11276)] = 555763,
  [SMALL_STATE(11277)] = 555802,
  [SMALL_STATE(11278)] = 555851,
  [SMALL_STATE(11279)] = 555914,
  [SMALL_STATE(11280)] = 555953,
  [SMALL_STATE(11281)] = 556016,
  [SMALL_STATE(11282)] = 556079,
  [SMALL_STATE(11283)] = 556128,
  [SMALL_STATE(11284)] = 556167,
  [SMALL_STATE(11285)] = 556206,
  [SMALL_STATE(11286)] = 556245,
  [SMALL_STATE(11287)] = 556308,
  [SMALL_STATE(11288)] = 556347,
  [SMALL_STATE(11289)] = 556408,
  [SMALL_STATE(11290)] = 556447,
  [SMALL_STATE(11291)] = 556510,
  [SMALL_STATE(11292)] = 556549,
  [SMALL_STATE(11293)] = 556602,
  [SMALL_STATE(11294)] = 556641,
  [SMALL_STATE(11295)] = 556680,
  [SMALL_STATE(11296)] = 556719,
  [SMALL_STATE(11297)] = 556758,
  [SMALL_STATE(11298)] = 556813,
  [SMALL_STATE(11299)] = 556852,
  [SMALL_STATE(11300)] = 556901,
  [SMALL_STATE(11301)] = 556942,
  [SMALL_STATE(11302)] = 557005,
  [SMALL_STATE(11303)] = 557044,
  [SMALL_STATE(11304)] = 557083,
  [SMALL_STATE(11305)] = 557122,
  [SMALL_STATE(11306)] = 557185,
  [SMALL_STATE(11307)] = 557224,
  [SMALL_STATE(11308)] = 557263,
  [SMALL_STATE(11309)] = 557302,
  [SMALL_STATE(11310)] = 557365,
  [SMALL_STATE(11311)] = 557404,
  [SMALL_STATE(11312)] = 557443,
  [SMALL_STATE(11313)] = 557482,
  [SMALL_STATE(11314)] = 557545,
  [SMALL_STATE(11315)] = 557608,
  [SMALL_STATE(11316)] = 557647,
  [SMALL_STATE(11317)] = 557686,
  [SMALL_STATE(11318)] = 557725,
  [SMALL_STATE(11319)] = 557764,
  [SMALL_STATE(11320)] = 557803,
  [SMALL_STATE(11321)] = 557842,
  [SMALL_STATE(11322)] = 557881,
  [SMALL_STATE(11323)] = 557920,
  [SMALL_STATE(11324)] = 557977,
  [SMALL_STATE(11325)] = 558016,
  [SMALL_STATE(11326)] = 558055,
  [SMALL_STATE(11327)] = 558094,
  [SMALL_STATE(11328)] = 558133,
  [SMALL_STATE(11329)] = 558174,
  [SMALL_STATE(11330)] = 558237,
  [SMALL_STATE(11331)] = 558300,
  [SMALL_STATE(11332)] = 558363,
  [SMALL_STATE(11333)] = 558402,
  [SMALL_STATE(11334)] = 558441,
  [SMALL_STATE(11335)] = 558480,
  [SMALL_STATE(11336)] = 558543,
  [SMALL_STATE(11337)] = 558598,
  [SMALL_STATE(11338)] = 558637,
  [SMALL_STATE(11339)] = 558676,
  [SMALL_STATE(11340)] = 558731,
  [SMALL_STATE(11341)] = 558794,
  [SMALL_STATE(11342)] = 558833,
  [SMALL_STATE(11343)] = 558888,
  [SMALL_STATE(11344)] = 558927,
  [SMALL_STATE(11345)] = 558990,
  [SMALL_STATE(11346)] = 559029,
  [SMALL_STATE(11347)] = 559084,
  [SMALL_STATE(11348)] = 559123,
  [SMALL_STATE(11349)] = 559186,
  [SMALL_STATE(11350)] = 559235,
  [SMALL_STATE(11351)] = 559276,
  [SMALL_STATE(11352)] = 559339,
  [SMALL_STATE(11353)] = 559402,
  [SMALL_STATE(11354)] = 559441,
  [SMALL_STATE(11355)] = 559504,
  [SMALL_STATE(11356)] = 559543,
  [SMALL_STATE(11357)] = 559600,
  [SMALL_STATE(11358)] = 559653,
  [SMALL_STATE(11359)] = 559692,
  [SMALL_STATE(11360)] = 559731,
  [SMALL_STATE(11361)] = 559782,
  [SMALL_STATE(11362)] = 559821,
  [SMALL_STATE(11363)] = 559884,
  [SMALL_STATE(11364)] = 559939,
  [SMALL_STATE(11365)] = 560002,
  [SMALL_STATE(11366)] = 560051,
  [SMALL_STATE(11367)] = 560100,
  [SMALL_STATE(11368)] = 560163,
  [SMALL_STATE(11369)] = 560226,
  [SMALL_STATE(11370)] = 560265,
  [SMALL_STATE(11371)] = 560304,
  [SMALL_STATE(11372)] = 560343,
  [SMALL_STATE(11373)] = 560392,
  [SMALL_STATE(11374)] = 560431,
  [SMALL_STATE(11375)] = 560486,
  [SMALL_STATE(11376)] = 560549,
  [SMALL_STATE(11377)] = 560588,
  [SMALL_STATE(11378)] = 560627,
  [SMALL_STATE(11379)] = 560690,
  [SMALL_STATE(11380)] = 560753,
  [SMALL_STATE(11381)] = 560792,
  [SMALL_STATE(11382)] = 560831,
  [SMALL_STATE(11383)] = 560870,
  [SMALL_STATE(11384)] = 560909,
  [SMALL_STATE(11385)] = 560972,
  [SMALL_STATE(11386)] = 561011,
  [SMALL_STATE(11387)] = 561050,
  [SMALL_STATE(11388)] = 561113,
  [SMALL_STATE(11389)] = 561153,
  [SMALL_STATE(11390)] = 561219,
  [SMALL_STATE(11391)] = 561261,
  [SMALL_STATE(11392)] = 561311,
  [SMALL_STATE(11393)] = 561349,
  [SMALL_STATE(11394)] = 561393,
  [SMALL_STATE(11395)] = 561431,
  [SMALL_STATE(11396)] = 561473,
  [SMALL_STATE(11397)] = 561511,
  [SMALL_STATE(11398)] = 561549,
  [SMALL_STATE(11399)] = 561589,
  [SMALL_STATE(11400)] = 561633,
  [SMALL_STATE(11401)] = 561671,
  [SMALL_STATE(11402)] = 561711,
  [SMALL_STATE(11403)] = 561749,
  [SMALL_STATE(11404)] = 561801,
  [SMALL_STATE(11405)] = 561849,
  [SMALL_STATE(11406)] = 561887,
  [SMALL_STATE(11407)] = 561929,
  [SMALL_STATE(11408)] = 561967,
  [SMALL_STATE(11409)] = 562017,
  [SMALL_STATE(11410)] = 562073,
  [SMALL_STATE(11411)] = 562115,
  [SMALL_STATE(11412)] = 562157,
  [SMALL_STATE(11413)] = 562195,
  [SMALL_STATE(11414)] = 562237,
  [SMALL_STATE(11415)] = 562277,
  [SMALL_STATE(11416)] = 562315,
  [SMALL_STATE(11417)] = 562365,
  [SMALL_STATE(11418)] = 562403,
  [SMALL_STATE(11419)] = 562441,
  [SMALL_STATE(11420)] = 562479,
  [SMALL_STATE(11421)] = 562545,
  [SMALL_STATE(11422)] = 562611,
  [SMALL_STATE(11423)] = 562677,
  [SMALL_STATE(11424)] = 562715,
  [SMALL_STATE(11425)] = 562765,
  [SMALL_STATE(11426)] = 562831,
  [SMALL_STATE(11427)] = 562881,
  [SMALL_STATE(11428)] = 562931,
  [SMALL_STATE(11429)] = 562973,
  [SMALL_STATE(11430)] = 563027,
  [SMALL_STATE(11431)] = 563065,
  [SMALL_STATE(11432)] = 563103,
  [SMALL_STATE(11433)] = 563141,
  [SMALL_STATE(11434)] = 563179,
  [SMALL_STATE(11435)] = 563245,
  [SMALL_STATE(11436)] = 563285,
  [SMALL_STATE(11437)] = 563323,
  [SMALL_STATE(11438)] = 563367,
  [SMALL_STATE(11439)] = 563411,
  [SMALL_STATE(11440)] = 563467,
  [SMALL_STATE(11441)] = 563505,
  [SMALL_STATE(11442)] = 563549,
  [SMALL_STATE(11443)] = 563609,
  [SMALL_STATE(11444)] = 563653,
  [SMALL_STATE(11445)] = 563691,
  [SMALL_STATE(11446)] = 563751,
  [SMALL_STATE(11447)] = 563811,
  [SMALL_STATE(11448)] = 563849,
  [SMALL_STATE(11449)] = 563915,
  [SMALL_STATE(11450)] = 563981,
  [SMALL_STATE(11451)] = 564047,
  [SMALL_STATE(11452)] = 564085,
  [SMALL_STATE(11453)] = 564127,
  [SMALL_STATE(11454)] = 564177,
  [SMALL_STATE(11455)] = 564215,
  [SMALL_STATE(11456)] = 564253,
  [SMALL_STATE(11457)] = 564295,
  [SMALL_STATE(11458)] = 564335,
  [SMALL_STATE(11459)] = 564373,
  [SMALL_STATE(11460)] = 564421,
  [SMALL_STATE(11461)] = 564487,
  [SMALL_STATE(11462)] = 564535,
  [SMALL_STATE(11463)] = 564601,
  [SMALL_STATE(11464)] = 564639,
  [SMALL_STATE(11465)] = 564705,
  [SMALL_STATE(11466)] = 564743,
  [SMALL_STATE(11467)] = 564781,
  [SMALL_STATE(11468)] = 564819,
  [SMALL_STATE(11469)] = 564857,
  [SMALL_STATE(11470)] = 564895,
  [SMALL_STATE(11471)] = 564933,
  [SMALL_STATE(11472)] = 564977,
  [SMALL_STATE(11473)] = 565015,
  [SMALL_STATE(11474)] = 565053,
  [SMALL_STATE(11475)] = 565097,
  [SMALL_STATE(11476)] = 565139,
  [SMALL_STATE(11477)] = 565191,
  [SMALL_STATE(11478)] = 565229,
  [SMALL_STATE(11479)] = 565277,
  [SMALL_STATE(11480)] = 565325,
  [SMALL_STATE(11481)] = 565391,
  [SMALL_STATE(11482)] = 565441,
  [SMALL_STATE(11483)] = 565491,
  [SMALL_STATE(11484)] = 565529,
  [SMALL_STATE(11485)] = 565567,
  [SMALL_STATE(11486)] = 565609,
  [SMALL_STATE(11487)] = 565647,
  [SMALL_STATE(11488)] = 565685,
  [SMALL_STATE(11489)] = 565727,
  [SMALL_STATE(11490)] = 565775,
  [SMALL_STATE(11491)] = 565841,
  [SMALL_STATE(11492)] = 565885,
  [SMALL_STATE(11493)] = 565929,
  [SMALL_STATE(11494)] = 565971,
  [SMALL_STATE(11495)] = 566021,
  [SMALL_STATE(11496)] = 566065,
  [SMALL_STATE(11497)] = 566107,
  [SMALL_STATE(11498)] = 566151,
  [SMALL_STATE(11499)] = 566213,
  [SMALL_STATE(11500)] = 566263,
  [SMALL_STATE(11501)] = 566301,
  [SMALL_STATE(11502)] = 566339,
  [SMALL_STATE(11503)] = 566389,
  [SMALL_STATE(11504)] = 566427,
  [SMALL_STATE(11505)] = 566465,
  [SMALL_STATE(11506)] = 566503,
  [SMALL_STATE(11507)] = 566541,
  [SMALL_STATE(11508)] = 566607,
  [SMALL_STATE(11509)] = 566645,
  [SMALL_STATE(11510)] = 566685,
  [SMALL_STATE(11511)] = 566733,
  [SMALL_STATE(11512)] = 566781,
  [SMALL_STATE(11513)] = 566819,
  [SMALL_STATE(11514)] = 566857,
  [SMALL_STATE(11515)] = 566895,
  [SMALL_STATE(11516)] = 566933,
  [SMALL_STATE(11517)] = 566971,
  [SMALL_STATE(11518)] = 567009,
  [SMALL_STATE(11519)] = 567051,
  [SMALL_STATE(11520)] = 567093,
  [SMALL_STATE(11521)] = 567159,
  [SMALL_STATE(11522)] = 567225,
  [SMALL_STATE(11523)] = 567265,
  [SMALL_STATE(11524)] = 567313,
  [SMALL_STATE(11525)] = 567353,
  [SMALL_STATE(11526)] = 567391,
  [SMALL_STATE(11527)] = 567457,
  [SMALL_STATE(11528)] = 567495,
  [SMALL_STATE(11529)] = 567537,
  [SMALL_STATE(11530)] = 567575,
  [SMALL_STATE(11531)] = 567641,
  [SMALL_STATE(11532)] = 567679,
  [SMALL_STATE(11533)] = 567717,
  [SMALL_STATE(11534)] = 567769,
  [SMALL_STATE(11535)] = 567819,
  [SMALL_STATE(11536)] = 567857,
  [SMALL_STATE(11537)] = 567923,
  [SMALL_STATE(11538)] = 567961,
  [SMALL_STATE(11539)] = 567999,
  [SMALL_STATE(11540)] = 568047,
  [SMALL_STATE(11541)] = 568097,
  [SMALL_STATE(11542)] = 568163,
  [SMALL_STATE(11543)] = 568229,
  [SMALL_STATE(11544)] = 568281,
  [SMALL_STATE(11545)] = 568331,
  [SMALL_STATE(11546)] = 568381,
  [SMALL_STATE(11547)] = 568419,
  [SMALL_STATE(11548)] = 568485,
  [SMALL_STATE(11549)] = 568527,
  [SMALL_STATE(11550)] = 568565,
  [SMALL_STATE(11551)] = 568603,
  [SMALL_STATE(11552)] = 568641,
  [SMALL_STATE(11553)] = 568685,
  [SMALL_STATE(11554)] = 568723,
  [SMALL_STATE(11555)] = 568771,
  [SMALL_STATE(11556)] = 568815,
  [SMALL_STATE(11557)] = 568859,
  [SMALL_STATE(11558)] = 568909,
  [SMALL_STATE(11559)] = 568947,
  [SMALL_STATE(11560)] = 568985,
  [SMALL_STATE(11561)] = 569023,
  [SMALL_STATE(11562)] = 569061,
  [SMALL_STATE(11563)] = 569111,
  [SMALL_STATE(11564)] = 569161,
  [SMALL_STATE(11565)] = 569227,
  [SMALL_STATE(11566)] = 569265,
  [SMALL_STATE(11567)] = 569307,
  [SMALL_STATE(11568)] = 569345,
  [SMALL_STATE(11569)] = 569383,
  [SMALL_STATE(11570)] = 569449,
  [SMALL_STATE(11571)] = 569487,
  [SMALL_STATE(11572)] = 569525,
  [SMALL_STATE(11573)] = 569563,
  [SMALL_STATE(11574)] = 569601,
  [SMALL_STATE(11575)] = 569641,
  [SMALL_STATE(11576)] = 569701,
  [SMALL_STATE(11577)] = 569753,
  [SMALL_STATE(11578)] = 569795,
  [SMALL_STATE(11579)] = 569833,
  [SMALL_STATE(11580)] = 569871,
  [SMALL_STATE(11581)] = 569909,
  [SMALL_STATE(11582)] = 569947,
  [SMALL_STATE(11583)] = 569985,
  [SMALL_STATE(11584)] = 570023,
  [SMALL_STATE(11585)] = 570061,
  [SMALL_STATE(11586)] = 570103,
  [SMALL_STATE(11587)] = 570141,
  [SMALL_STATE(11588)] = 570179,
  [SMALL_STATE(11589)] = 570217,
  [SMALL_STATE(11590)] = 570255,
  [SMALL_STATE(11591)] = 570305,
  [SMALL_STATE(11592)] = 570343,
  [SMALL_STATE(11593)] = 570381,
  [SMALL_STATE(11594)] = 570419,
  [SMALL_STATE(11595)] = 570485,
  [SMALL_STATE(11596)] = 570533,
  [SMALL_STATE(11597)] = 570581,
  [SMALL_STATE(11598)] = 570619,
  [SMALL_STATE(11599)] = 570662,
  [SMALL_STATE(11600)] = 570703,
  [SMALL_STATE(11601)] = 570766,
  [SMALL_STATE(11602)] = 570803,
  [SMALL_STATE(11603)] = 570846,
  [SMALL_STATE(11604)] = 570895,
  [SMALL_STATE(11605)] = 570944,
  [SMALL_STATE(11606)] = 570983,
  [SMALL_STATE(11607)] = 571038,
  [SMALL_STATE(11608)] = 571075,
  [SMALL_STATE(11609)] = 571118,
  [SMALL_STATE(11610)] = 571181,
  [SMALL_STATE(11611)] = 571218,
  [SMALL_STATE(11612)] = 571255,
  [SMALL_STATE(11613)] = 571298,
  [SMALL_STATE(11614)] = 571335,
  [SMALL_STATE(11615)] = 571378,
  [SMALL_STATE(11616)] = 571419,
  [SMALL_STATE(11617)] = 571456,
  [SMALL_STATE(11618)] = 571493,
  [SMALL_STATE(11619)] = 571530,
  [SMALL_STATE(11620)] = 571567,
  [SMALL_STATE(11621)] = 571604,
  [SMALL_STATE(11622)] = 571645,
  [SMALL_STATE(11623)] = 571694,
  [SMALL_STATE(11624)] = 571731,
  [SMALL_STATE(11625)] = 571768,
  [SMALL_STATE(11626)] = 571805,
  [SMALL_STATE(11627)] = 571868,
  [SMALL_STATE(11628)] = 571905,
  [SMALL_STATE(11629)] = 571968,
  [SMALL_STATE(11630)] = 572005,
  [SMALL_STATE(11631)] = 572042,
  [SMALL_STATE(11632)] = 572083,
  [SMALL_STATE(11633)] = 572126,
  [SMALL_STATE(11634)] = 572169,
  [SMALL_STATE(11635)] = 572210,
  [SMALL_STATE(11636)] = 572247,
  [SMALL_STATE(11637)] = 572284,
  [SMALL_STATE(11638)] = 572343,
  [SMALL_STATE(11639)] = 572398,
  [SMALL_STATE(11640)] = 572435,
  [SMALL_STATE(11641)] = 572474,
  [SMALL_STATE(11642)] = 572511,
  [SMALL_STATE(11643)] = 572554,
  [SMALL_STATE(11644)] = 572595,
  [SMALL_STATE(11645)] = 572638,
  [SMALL_STATE(11646)] = 572675,
  [SMALL_STATE(11647)] = 572738,
  [SMALL_STATE(11648)] = 572801,
  [SMALL_STATE(11649)] = 572844,
  [SMALL_STATE(11650)] = 572907,
  [SMALL_STATE(11651)] = 572950,
  [SMALL_STATE(11652)] = 572987,
  [SMALL_STATE(11653)] = 573050,
  [SMALL_STATE(11654)] = 573093,
  [SMALL_STATE(11655)] = 573130,
  [SMALL_STATE(11656)] = 573173,
  [SMALL_STATE(11657)] = 573210,
  [SMALL_STATE(11658)] = 573247,
  [SMALL_STATE(11659)] = 573290,
  [SMALL_STATE(11660)] = 573337,
  [SMALL_STATE(11661)] = 573374,
  [SMALL_STATE(11662)] = 573417,
  [SMALL_STATE(11663)] = 573454,
  [SMALL_STATE(11664)] = 573497,
  [SMALL_STATE(11665)] = 573540,
  [SMALL_STATE(11666)] = 573589,
  [SMALL_STATE(11667)] = 573626,
  [SMALL_STATE(11668)] = 573667,
  [SMALL_STATE(11669)] = 573710,
  [SMALL_STATE(11670)] = 573759,
  [SMALL_STATE(11671)] = 573802,
  [SMALL_STATE(11672)] = 573865,
  [SMALL_STATE(11673)] = 573918,
  [SMALL_STATE(11674)] = 573981,
  [SMALL_STATE(11675)] = 574024,
  [SMALL_STATE(11676)] = 574073,
  [SMALL_STATE(11677)] = 574122,
  [SMALL_STATE(11678)] = 574159,
  [SMALL_STATE(11679)] = 574202,
  [SMALL_STATE(11680)] = 574245,
  [SMALL_STATE(11681)] = 574288,
  [SMALL_STATE(11682)] = 574337,
  [SMALL_STATE(11683)] = 574386,
  [SMALL_STATE(11684)] = 574423,
  [SMALL_STATE(11685)] = 574476,
  [SMALL_STATE(11686)] = 574523,
  [SMALL_STATE(11687)] = 574576,
  [SMALL_STATE(11688)] = 574613,
  [SMALL_STATE(11689)] = 574654,
  [SMALL_STATE(11690)] = 574691,
  [SMALL_STATE(11691)] = 574728,
  [SMALL_STATE(11692)] = 574771,
  [SMALL_STATE(11693)] = 574808,
  [SMALL_STATE(11694)] = 574851,
  [SMALL_STATE(11695)] = 574894,
  [SMALL_STATE(11696)] = 574937,
  [SMALL_STATE(11697)] = 574980,
  [SMALL_STATE(11698)] = 575029,
  [SMALL_STATE(11699)] = 575072,
  [SMALL_STATE(11700)] = 575111,
  [SMALL_STATE(11701)] = 575148,
  [SMALL_STATE(11702)] = 575185,
  [SMALL_STATE(11703)] = 575248,
  [SMALL_STATE(11704)] = 575291,
  [SMALL_STATE(11705)] = 575334,
  [SMALL_STATE(11706)] = 575371,
  [SMALL_STATE(11707)] = 575418,
  [SMALL_STATE(11708)] = 575461,
  [SMALL_STATE(11709)] = 575524,
  [SMALL_STATE(11710)] = 575573,
  [SMALL_STATE(11711)] = 575610,
  [SMALL_STATE(11712)] = 575659,
  [SMALL_STATE(11713)] = 575722,
  [SMALL_STATE(11714)] = 575765,
  [SMALL_STATE(11715)] = 575802,
  [SMALL_STATE(11716)] = 575865,
  [SMALL_STATE(11717)] = 575914,
  [SMALL_STATE(11718)] = 575957,
  [SMALL_STATE(11719)] = 576000,
  [SMALL_STATE(11720)] = 576049,
  [SMALL_STATE(11721)] = 576092,
  [SMALL_STATE(11722)] = 576129,
  [SMALL_STATE(11723)] = 576192,
  [SMALL_STATE(11724)] = 576245,
  [SMALL_STATE(11725)] = 576298,
  [SMALL_STATE(11726)] = 576341,
  [SMALL_STATE(11727)] = 576382,
  [SMALL_STATE(11728)] = 576445,
  [SMALL_STATE(11729)] = 576508,
  [SMALL_STATE(11730)] = 576545,
  [SMALL_STATE(11731)] = 576588,
  [SMALL_STATE(11732)] = 576631,
  [SMALL_STATE(11733)] = 576668,
  [SMALL_STATE(11734)] = 576711,
  [SMALL_STATE(11735)] = 576754,
  [SMALL_STATE(11736)] = 576791,
  [SMALL_STATE(11737)] = 576834,
  [SMALL_STATE(11738)] = 576877,
  [SMALL_STATE(11739)] = 576914,
  [SMALL_STATE(11740)] = 576977,
  [SMALL_STATE(11741)] = 577020,
  [SMALL_STATE(11742)] = 577057,
  [SMALL_STATE(11743)] = 577098,
  [SMALL_STATE(11744)] = 577147,
  [SMALL_STATE(11745)] = 577210,
  [SMALL_STATE(11746)] = 577251,
  [SMALL_STATE(11747)] = 577292,
  [SMALL_STATE(11748)] = 577331,
  [SMALL_STATE(11749)] = 577394,
  [SMALL_STATE(11750)] = 577437,
  [SMALL_STATE(11751)] = 577480,
  [SMALL_STATE(11752)] = 577523,
  [SMALL_STATE(11753)] = 577586,
  [SMALL_STATE(11754)] = 577645,
  [SMALL_STATE(11755)] = 577708,
  [SMALL_STATE(11756)] = 577751,
  [SMALL_STATE(11757)] = 577794,
  [SMALL_STATE(11758)] = 577837,
  [SMALL_STATE(11759)] = 577880,
  [SMALL_STATE(11760)] = 577923,
  [SMALL_STATE(11761)] = 577966,
  [SMALL_STATE(11762)] = 578009,
  [SMALL_STATE(11763)] = 578058,
  [SMALL_STATE(11764)] = 578121,
  [SMALL_STATE(11765)] = 578184,
  [SMALL_STATE(11766)] = 578233,
  [SMALL_STATE(11767)] = 578292,
  [SMALL_STATE(11768)] = 578351,
  [SMALL_STATE(11769)] = 578394,
  [SMALL_STATE(11770)] = 578437,
  [SMALL_STATE(11771)] = 578480,
  [SMALL_STATE(11772)] = 578517,
  [SMALL_STATE(11773)] = 578558,
  [SMALL_STATE(11774)] = 578621,
  [SMALL_STATE(11775)] = 578684,
  [SMALL_STATE(11776)] = 578747,
  [SMALL_STATE(11777)] = 578800,
  [SMALL_STATE(11778)] = 578843,
  [SMALL_STATE(11779)] = 578882,
  [SMALL_STATE(11780)] = 578935,
  [SMALL_STATE(11781)] = 578976,
  [SMALL_STATE(11782)] = 579025,
  [SMALL_STATE(11783)] = 579074,
  [SMALL_STATE(11784)] = 579117,
  [SMALL_STATE(11785)] = 579164,
  [SMALL_STATE(11786)] = 579207,
  [SMALL_STATE(11787)] = 579250,
  [SMALL_STATE(11788)] = 579297,
  [SMALL_STATE(11789)] = 579340,
  [SMALL_STATE(11790)] = 579381,
  [SMALL_STATE(11791)] = 579424,
  [SMALL_STATE(11792)] = 579465,
  [SMALL_STATE(11793)] = 579502,
  [SMALL_STATE(11794)] = 579539,
  [SMALL_STATE(11795)] = 579576,
  [SMALL_STATE(11796)] = 579639,
  [SMALL_STATE(11797)] = 579692,
  [SMALL_STATE(11798)] = 579755,
  [SMALL_STATE(11799)] = 579798,
  [SMALL_STATE(11800)] = 579861,
  [SMALL_STATE(11801)] = 579904,
  [SMALL_STATE(11802)] = 579943,
  [SMALL_STATE(11803)] = 579990,
  [SMALL_STATE(11804)] = 580033,
  [SMALL_STATE(11805)] = 580088,
  [SMALL_STATE(11806)] = 580151,
  [SMALL_STATE(11807)] = 580188,
  [SMALL_STATE(11808)] = 580231,
  [SMALL_STATE(11809)] = 580274,
  [SMALL_STATE(11810)] = 580315,
  [SMALL_STATE(11811)] = 580358,
  [SMALL_STATE(11812)] = 580401,
  [SMALL_STATE(11813)] = 580448,
  [SMALL_STATE(11814)] = 580491,
  [SMALL_STATE(11815)] = 580528,
  [SMALL_STATE(11816)] = 580571,
  [SMALL_STATE(11817)] = 580614,
  [SMALL_STATE(11818)] = 580657,
  [SMALL_STATE(11819)] = 580694,
  [SMALL_STATE(11820)] = 580731,
  [SMALL_STATE(11821)] = 580768,
  [SMALL_STATE(11822)] = 580811,
  [SMALL_STATE(11823)] = 580850,
  [SMALL_STATE(11824)] = 580891,
  [SMALL_STATE(11825)] = 580954,
  [SMALL_STATE(11826)] = 580995,
  [SMALL_STATE(11827)] = 581056,
  [SMALL_STATE(11828)] = 581103,
  [SMALL_STATE(11829)] = 581150,
  [SMALL_STATE(11830)] = 581187,
  [SMALL_STATE(11831)] = 581230,
  [SMALL_STATE(11832)] = 581267,
  [SMALL_STATE(11833)] = 581304,
  [SMALL_STATE(11834)] = 581351,
  [SMALL_STATE(11835)] = 581388,
  [SMALL_STATE(11836)] = 581451,
  [SMALL_STATE(11837)] = 581494,
  [SMALL_STATE(11838)] = 581537,
  [SMALL_STATE(11839)] = 581574,
  [SMALL_STATE(11840)] = 581611,
  [SMALL_STATE(11841)] = 581654,
  [SMALL_STATE(11842)] = 581703,
  [SMALL_STATE(11843)] = 581740,
  [SMALL_STATE(11844)] = 581777,
  [SMALL_STATE(11845)] = 581820,
  [SMALL_STATE(11846)] = 581863,
  [SMALL_STATE(11847)] = 581906,
  [SMALL_STATE(11848)] = 581967,
  [SMALL_STATE(11849)] = 582022,
  [SMALL_STATE(11850)] = 582059,
  [SMALL_STATE(11851)] = 582106,
  [SMALL_STATE(11852)] = 582149,
  [SMALL_STATE(11853)] = 582212,
  [SMALL_STATE(11854)] = 582259,
  [SMALL_STATE(11855)] = 582300,
  [SMALL_STATE(11856)] = 582337,
  [SMALL_STATE(11857)] = 582374,
  [SMALL_STATE(11858)] = 582437,
  [SMALL_STATE(11859)] = 582496,
  [SMALL_STATE(11860)] = 582533,
  [SMALL_STATE(11861)] = 582574,
  [SMALL_STATE(11862)] = 582611,
  [SMALL_STATE(11863)] = 582654,
  [SMALL_STATE(11864)] = 582695,
  [SMALL_STATE(11865)] = 582736,
  [SMALL_STATE(11866)] = 582783,
  [SMALL_STATE(11867)] = 582822,
  [SMALL_STATE(11868)] = 582869,
  [SMALL_STATE(11869)] = 582932,
  [SMALL_STATE(11870)] = 582995,
  [SMALL_STATE(11871)] = 583034,
  [SMALL_STATE(11872)] = 583071,
  [SMALL_STATE(11873)] = 583134,
  [SMALL_STATE(11874)] = 583177,
  [SMALL_STATE(11875)] = 583224,
  [SMALL_STATE(11876)] = 583271,
  [SMALL_STATE(11877)] = 583318,
  [SMALL_STATE(11878)] = 583365,
  [SMALL_STATE(11879)] = 583406,
  [SMALL_STATE(11880)] = 583443,
  [SMALL_STATE(11881)] = 583486,
  [SMALL_STATE(11882)] = 583549,
  [SMALL_STATE(11883)] = 583586,
  [SMALL_STATE(11884)] = 583629,
  [SMALL_STATE(11885)] = 583672,
  [SMALL_STATE(11886)] = 583719,
  [SMALL_STATE(11887)] = 583772,
  [SMALL_STATE(11888)] = 583815,
  [SMALL_STATE(11889)] = 583852,
  [SMALL_STATE(11890)] = 583895,
  [SMALL_STATE(11891)] = 583938,
  [SMALL_STATE(11892)] = 584001,
  [SMALL_STATE(11893)] = 584064,
  [SMALL_STATE(11894)] = 584103,
  [SMALL_STATE(11895)] = 584150,
  [SMALL_STATE(11896)] = 584187,
  [SMALL_STATE(11897)] = 584234,
  [SMALL_STATE(11898)] = 584277,
  [SMALL_STATE(11899)] = 584330,
  [SMALL_STATE(11900)] = 584377,
  [SMALL_STATE(11901)] = 584414,
  [SMALL_STATE(11902)] = 584477,
  [SMALL_STATE(11903)] = 584520,
  [SMALL_STATE(11904)] = 584559,
  [SMALL_STATE(11905)] = 584606,
  [SMALL_STATE(11906)] = 584669,
  [SMALL_STATE(11907)] = 584712,
  [SMALL_STATE(11908)] = 584749,
  [SMALL_STATE(11909)] = 584796,
  [SMALL_STATE(11910)] = 584839,
  [SMALL_STATE(11911)] = 584882,
  [SMALL_STATE(11912)] = 584923,
  [SMALL_STATE(11913)] = 584986,
  [SMALL_STATE(11914)] = 585029,
  [SMALL_STATE(11915)] = 585076,
  [SMALL_STATE(11916)] = 585119,
  [SMALL_STATE(11917)] = 585158,
  [SMALL_STATE(11918)] = 585201,
  [SMALL_STATE(11919)] = 585248,
  [SMALL_STATE(11920)] = 585295,
  [SMALL_STATE(11921)] = 585358,
  [SMALL_STATE(11922)] = 585405,
  [SMALL_STATE(11923)] = 585468,
  [SMALL_STATE(11924)] = 585531,
  [SMALL_STATE(11925)] = 585580,
  [SMALL_STATE(11926)] = 585617,
  [SMALL_STATE(11927)] = 585654,
  [SMALL_STATE(11928)] = 585697,
  [SMALL_STATE(11929)] = 585744,
  [SMALL_STATE(11930)] = 585787,
  [SMALL_STATE(11931)] = 585830,
  [SMALL_STATE(11932)] = 585867,
  [SMALL_STATE(11933)] = 585920,
  [SMALL_STATE(11934)] = 585957,
  [SMALL_STATE(11935)] = 585994,
  [SMALL_STATE(11936)] = 586031,
  [SMALL_STATE(11937)] = 586084,
  [SMALL_STATE(11938)] = 586147,
  [SMALL_STATE(11939)] = 586190,
  [SMALL_STATE(11940)] = 586233,
  [SMALL_STATE(11941)] = 586270,
  [SMALL_STATE(11942)] = 586329,
  [SMALL_STATE(11943)] = 586392,
  [SMALL_STATE(11944)] = 586435,
  [SMALL_STATE(11945)] = 586494,
  [SMALL_STATE(11946)] = 586535,
  [SMALL_STATE(11947)] = 586572,
  [SMALL_STATE(11948)] = 586609,
  [SMALL_STATE(11949)] = 586646,
  [SMALL_STATE(11950)] = 586709,
  [SMALL_STATE(11951)] = 586772,
  [SMALL_STATE(11952)] = 586809,
  [SMALL_STATE(11953)] = 586862,
  [SMALL_STATE(11954)] = 586925,
  [SMALL_STATE(11955)] = 586974,
  [SMALL_STATE(11956)] = 587027,
  [SMALL_STATE(11957)] = 587064,
  [SMALL_STATE(11958)] = 587101,
  [SMALL_STATE(11959)] = 587147,
  [SMALL_STATE(11960)] = 587183,
  [SMALL_STATE(11961)] = 587231,
  [SMALL_STATE(11962)] = 587291,
  [SMALL_STATE(11963)] = 587333,
  [SMALL_STATE(11964)] = 587381,
  [SMALL_STATE(11965)] = 587429,
  [SMALL_STATE(11966)] = 587465,
  [SMALL_STATE(11967)] = 587511,
  [SMALL_STATE(11968)] = 587547,
  [SMALL_STATE(11969)] = 587585,
  [SMALL_STATE(11970)] = 587625,
  [SMALL_STATE(11971)] = 587665,
  [SMALL_STATE(11972)] = 587703,
  [SMALL_STATE(11973)] = 587749,
  [SMALL_STATE(11974)] = 587795,
  [SMALL_STATE(11975)] = 587837,
  [SMALL_STATE(11976)] = 587897,
  [SMALL_STATE(11977)] = 587943,
  [SMALL_STATE(11978)] = 587989,
  [SMALL_STATE(11979)] = 588035,
  [SMALL_STATE(11980)] = 588095,
  [SMALL_STATE(11981)] = 588155,
  [SMALL_STATE(11982)] = 588203,
  [SMALL_STATE(11983)] = 588263,
  [SMALL_STATE(11984)] = 588323,
  [SMALL_STATE(11985)] = 588383,
  [SMALL_STATE(11986)] = 588423,
  [SMALL_STATE(11987)] = 588483,
  [SMALL_STATE(11988)] = 588543,
  [SMALL_STATE(11989)] = 588603,
  [SMALL_STATE(11990)] = 588663,
  [SMALL_STATE(11991)] = 588705,
  [SMALL_STATE(11992)] = 588751,
  [SMALL_STATE(11993)] = 588791,
  [SMALL_STATE(11994)] = 588837,
  [SMALL_STATE(11995)] = 588883,
  [SMALL_STATE(11996)] = 588943,
  [SMALL_STATE(11997)] = 588981,
  [SMALL_STATE(11998)] = 589041,
  [SMALL_STATE(11999)] = 589085,
  [SMALL_STATE(12000)] = 589127,
  [SMALL_STATE(12001)] = 589173,
  [SMALL_STATE(12002)] = 589211,
  [SMALL_STATE(12003)] = 589247,
  [SMALL_STATE(12004)] = 589283,
  [SMALL_STATE(12005)] = 589323,
  [SMALL_STATE(12006)] = 589363,
  [SMALL_STATE(12007)] = 589409,
  [SMALL_STATE(12008)] = 589451,
  [SMALL_STATE(12009)] = 589487,
  [SMALL_STATE(12010)] = 589533,
  [SMALL_STATE(12011)] = 589575,
  [SMALL_STATE(12012)] = 589617,
  [SMALL_STATE(12013)] = 589663,
  [SMALL_STATE(12014)] = 589699,
  [SMALL_STATE(12015)] = 589739,
  [SMALL_STATE(12016)] = 589779,
  [SMALL_STATE(12017)] = 589821,
  [SMALL_STATE(12018)] = 589881,
  [SMALL_STATE(12019)] = 589935,
  [SMALL_STATE(12020)] = 589981,
  [SMALL_STATE(12021)] = 590021,
  [SMALL_STATE(12022)] = 590057,
  [SMALL_STATE(12023)] = 590103,
  [SMALL_STATE(12024)] = 590143,
  [SMALL_STATE(12025)] = 590191,
  [SMALL_STATE(12026)] = 590239,
  [SMALL_STATE(12027)] = 590275,
  [SMALL_STATE(12028)] = 590311,
  [SMALL_STATE(12029)] = 590347,
  [SMALL_STATE(12030)] = 590399,
  [SMALL_STATE(12031)] = 590453,
  [SMALL_STATE(12032)] = 590511,
  [SMALL_STATE(12033)] = 590553,
  [SMALL_STATE(12034)] = 590611,
  [SMALL_STATE(12035)] = 590657,
  [SMALL_STATE(12036)] = 590697,
  [SMALL_STATE(12037)] = 590739,
  [SMALL_STATE(12038)] = 590775,
  [SMALL_STATE(12039)] = 590835,
  [SMALL_STATE(12040)] = 590877,
  [SMALL_STATE(12041)] = 590921,
  [SMALL_STATE(12042)] = 590957,
  [SMALL_STATE(12043)] = 590993,
  [SMALL_STATE(12044)] = 591053,
  [SMALL_STATE(12045)] = 591093,
  [SMALL_STATE(12046)] = 591143,
  [SMALL_STATE(12047)] = 591179,
  [SMALL_STATE(12048)] = 591215,
  [SMALL_STATE(12049)] = 591251,
  [SMALL_STATE(12050)] = 591287,
  [SMALL_STATE(12051)] = 591347,
  [SMALL_STATE(12052)] = 591383,
  [SMALL_STATE(12053)] = 591425,
  [SMALL_STATE(12054)] = 591485,
  [SMALL_STATE(12055)] = 591521,
  [SMALL_STATE(12056)] = 591557,
  [SMALL_STATE(12057)] = 591593,
  [SMALL_STATE(12058)] = 591633,
  [SMALL_STATE(12059)] = 591693,
  [SMALL_STATE(12060)] = 591739,
  [SMALL_STATE(12061)] = 591785,
  [SMALL_STATE(12062)] = 591827,
  [SMALL_STATE(12063)] = 591887,
  [SMALL_STATE(12064)] = 591933,
  [SMALL_STATE(12065)] = 591971,
  [SMALL_STATE(12066)] = 592031,
  [SMALL_STATE(12067)] = 592071,
  [SMALL_STATE(12068)] = 592107,
  [SMALL_STATE(12069)] = 592167,
  [SMALL_STATE(12070)] = 592203,
  [SMALL_STATE(12071)] = 592263,
  [SMALL_STATE(12072)] = 592323,
  [SMALL_STATE(12073)] = 592361,
  [SMALL_STATE(12074)] = 592421,
  [SMALL_STATE(12075)] = 592461,
  [SMALL_STATE(12076)] = 592501,
  [SMALL_STATE(12077)] = 592561,
  [SMALL_STATE(12078)] = 592597,
  [SMALL_STATE(12079)] = 592639,
  [SMALL_STATE(12080)] = 592675,
  [SMALL_STATE(12081)] = 592735,
  [SMALL_STATE(12082)] = 592771,
  [SMALL_STATE(12083)] = 592831,
  [SMALL_STATE(12084)] = 592867,
  [SMALL_STATE(12085)] = 592909,
  [SMALL_STATE(12086)] = 592951,
  [SMALL_STATE(12087)] = 592987,
  [SMALL_STATE(12088)] = 593023,
  [SMALL_STATE(12089)] = 593059,
  [SMALL_STATE(12090)] = 593119,
  [SMALL_STATE(12091)] = 593155,
  [SMALL_STATE(12092)] = 593191,
  [SMALL_STATE(12093)] = 593227,
  [SMALL_STATE(12094)] = 593263,
  [SMALL_STATE(12095)] = 593323,
  [SMALL_STATE(12096)] = 593363,
  [SMALL_STATE(12097)] = 593399,
  [SMALL_STATE(12098)] = 593435,
  [SMALL_STATE(12099)] = 593471,
  [SMALL_STATE(12100)] = 593507,
  [SMALL_STATE(12101)] = 593549,
  [SMALL_STATE(12102)] = 593585,
  [SMALL_STATE(12103)] = 593621,
  [SMALL_STATE(12104)] = 593657,
  [SMALL_STATE(12105)] = 593693,
  [SMALL_STATE(12106)] = 593753,
  [SMALL_STATE(12107)] = 593789,
  [SMALL_STATE(12108)] = 593825,
  [SMALL_STATE(12109)] = 593885,
  [SMALL_STATE(12110)] = 593945,
  [SMALL_STATE(12111)] = 593981,
  [SMALL_STATE(12112)] = 594041,
  [SMALL_STATE(12113)] = 594101,
  [SMALL_STATE(12114)] = 594161,
  [SMALL_STATE(12115)] = 594197,
  [SMALL_STATE(12116)] = 594233,
  [SMALL_STATE(12117)] = 594293,
  [SMALL_STATE(12118)] = 594335,
  [SMALL_STATE(12119)] = 594395,
  [SMALL_STATE(12120)] = 594455,
  [SMALL_STATE(12121)] = 594515,
  [SMALL_STATE(12122)] = 594557,
  [SMALL_STATE(12123)] = 594593,
  [SMALL_STATE(12124)] = 594629,
  [SMALL_STATE(12125)] = 594671,
  [SMALL_STATE(12126)] = 594731,
  [SMALL_STATE(12127)] = 594791,
  [SMALL_STATE(12128)] = 594851,
  [SMALL_STATE(12129)] = 594911,
  [SMALL_STATE(12130)] = 594971,
  [SMALL_STATE(12131)] = 595021,
  [SMALL_STATE(12132)] = 595081,
  [SMALL_STATE(12133)] = 595121,
  [SMALL_STATE(12134)] = 595181,
  [SMALL_STATE(12135)] = 595219,
  [SMALL_STATE(12136)] = 595279,
  [SMALL_STATE(12137)] = 595339,
  [SMALL_STATE(12138)] = 595397,
  [SMALL_STATE(12139)] = 595437,
  [SMALL_STATE(12140)] = 595477,
  [SMALL_STATE(12141)] = 595517,
  [SMALL_STATE(12142)] = 595557,
  [SMALL_STATE(12143)] = 595593,
  [SMALL_STATE(12144)] = 595653,
  [SMALL_STATE(12145)] = 595695,
  [SMALL_STATE(12146)] = 595737,
  [SMALL_STATE(12147)] = 595779,
  [SMALL_STATE(12148)] = 595819,
  [SMALL_STATE(12149)] = 595865,
  [SMALL_STATE(12150)] = 595925,
  [SMALL_STATE(12151)] = 595967,
  [SMALL_STATE(12152)] = 596003,
  [SMALL_STATE(12153)] = 596043,
  [SMALL_STATE(12154)] = 596103,
  [SMALL_STATE(12155)] = 596139,
  [SMALL_STATE(12156)] = 596175,
  [SMALL_STATE(12157)] = 596211,
  [SMALL_STATE(12158)] = 596247,
  [SMALL_STATE(12159)] = 596283,
  [SMALL_STATE(12160)] = 596319,
  [SMALL_STATE(12161)] = 596355,
  [SMALL_STATE(12162)] = 596395,
  [SMALL_STATE(12163)] = 596431,
  [SMALL_STATE(12164)] = 596491,
  [SMALL_STATE(12165)] = 596527,
  [SMALL_STATE(12166)] = 596563,
  [SMALL_STATE(12167)] = 596623,
  [SMALL_STATE(12168)] = 596659,
  [SMALL_STATE(12169)] = 596719,
  [SMALL_STATE(12170)] = 596761,
  [SMALL_STATE(12171)] = 596797,
  [SMALL_STATE(12172)] = 596833,
  [SMALL_STATE(12173)] = 596869,
  [SMALL_STATE(12174)] = 596905,
  [SMALL_STATE(12175)] = 596965,
  [SMALL_STATE(12176)] = 597001,
  [SMALL_STATE(12177)] = 597061,
  [SMALL_STATE(12178)] = 597097,
  [SMALL_STATE(12179)] = 597133,
  [SMALL_STATE(12180)] = 597169,
  [SMALL_STATE(12181)] = 597229,
  [SMALL_STATE(12182)] = 597265,
  [SMALL_STATE(12183)] = 597325,
  [SMALL_STATE(12184)] = 597361,
  [SMALL_STATE(12185)] = 597397,
  [SMALL_STATE(12186)] = 597457,
  [SMALL_STATE(12187)] = 597493,
  [SMALL_STATE(12188)] = 597529,
  [SMALL_STATE(12189)] = 597565,
  [SMALL_STATE(12190)] = 597625,
  [SMALL_STATE(12191)] = 597685,
  [SMALL_STATE(12192)] = 597721,
  [SMALL_STATE(12193)] = 597781,
  [SMALL_STATE(12194)] = 597821,
  [SMALL_STATE(12195)] = 597857,
  [SMALL_STATE(12196)] = 597895,
  [SMALL_STATE(12197)] = 597931,
  [SMALL_STATE(12198)] = 597991,
  [SMALL_STATE(12199)] = 598051,
  [SMALL_STATE(12200)] = 598087,
  [SMALL_STATE(12201)] = 598123,
  [SMALL_STATE(12202)] = 598159,
  [SMALL_STATE(12203)] = 598219,
  [SMALL_STATE(12204)] = 598255,
  [SMALL_STATE(12205)] = 598291,
  [SMALL_STATE(12206)] = 598327,
  [SMALL_STATE(12207)] = 598363,
  [SMALL_STATE(12208)] = 598399,
  [SMALL_STATE(12209)] = 598435,
  [SMALL_STATE(12210)] = 598495,
  [SMALL_STATE(12211)] = 598533,
  [SMALL_STATE(12212)] = 598590,
  [SMALL_STATE(12213)] = 598627,
  [SMALL_STATE(12214)] = 598672,
  [SMALL_STATE(12215)] = 598729,
  [SMALL_STATE(12216)] = 598764,
  [SMALL_STATE(12217)] = 598807,
  [SMALL_STATE(12218)] = 598842,
  [SMALL_STATE(12219)] = 598877,
  [SMALL_STATE(12220)] = 598912,
  [SMALL_STATE(12221)] = 598969,
  [SMALL_STATE(12222)] = 599004,
  [SMALL_STATE(12223)] = 599039,
  [SMALL_STATE(12224)] = 599082,
  [SMALL_STATE(12225)] = 599117,
  [SMALL_STATE(12226)] = 599152,
  [SMALL_STATE(12227)] = 599187,
  [SMALL_STATE(12228)] = 599230,
  [SMALL_STATE(12229)] = 599265,
  [SMALL_STATE(12230)] = 599300,
  [SMALL_STATE(12231)] = 599335,
  [SMALL_STATE(12232)] = 599370,
  [SMALL_STATE(12233)] = 599405,
  [SMALL_STATE(12234)] = 599448,
  [SMALL_STATE(12235)] = 599483,
  [SMALL_STATE(12236)] = 599518,
  [SMALL_STATE(12237)] = 599563,
  [SMALL_STATE(12238)] = 599598,
  [SMALL_STATE(12239)] = 599643,
  [SMALL_STATE(12240)] = 599686,
  [SMALL_STATE(12241)] = 599721,
  [SMALL_STATE(12242)] = 599756,
  [SMALL_STATE(12243)] = 599791,
  [SMALL_STATE(12244)] = 599826,
  [SMALL_STATE(12245)] = 599861,
  [SMALL_STATE(12246)] = 599896,
  [SMALL_STATE(12247)] = 599931,
  [SMALL_STATE(12248)] = 599974,
  [SMALL_STATE(12249)] = 600009,
  [SMALL_STATE(12250)] = 600066,
  [SMALL_STATE(12251)] = 600111,
  [SMALL_STATE(12252)] = 600146,
  [SMALL_STATE(12253)] = 600183,
  [SMALL_STATE(12254)] = 600218,
  [SMALL_STATE(12255)] = 600253,
  [SMALL_STATE(12256)] = 600296,
  [SMALL_STATE(12257)] = 600331,
  [SMALL_STATE(12258)] = 600374,
  [SMALL_STATE(12259)] = 600409,
  [SMALL_STATE(12260)] = 600444,
  [SMALL_STATE(12261)] = 600481,
  [SMALL_STATE(12262)] = 600516,
  [SMALL_STATE(12263)] = 600559,
  [SMALL_STATE(12264)] = 600602,
  [SMALL_STATE(12265)] = 600637,
  [SMALL_STATE(12266)] = 600680,
  [SMALL_STATE(12267)] = 600725,
  [SMALL_STATE(12268)] = 600760,
  [SMALL_STATE(12269)] = 600795,
  [SMALL_STATE(12270)] = 600830,
  [SMALL_STATE(12271)] = 600869,
  [SMALL_STATE(12272)] = 600904,
  [SMALL_STATE(12273)] = 600939,
  [SMALL_STATE(12274)] = 600974,
  [SMALL_STATE(12275)] = 601017,
  [SMALL_STATE(12276)] = 601074,
  [SMALL_STATE(12277)] = 601131,
  [SMALL_STATE(12278)] = 601168,
  [SMALL_STATE(12279)] = 601207,
  [SMALL_STATE(12280)] = 601264,
  [SMALL_STATE(12281)] = 601303,
  [SMALL_STATE(12282)] = 601342,
  [SMALL_STATE(12283)] = 601381,
  [SMALL_STATE(12284)] = 601438,
  [SMALL_STATE(12285)] = 601473,
  [SMALL_STATE(12286)] = 601512,
  [SMALL_STATE(12287)] = 601549,
  [SMALL_STATE(12288)] = 601592,
  [SMALL_STATE(12289)] = 601627,
  [SMALL_STATE(12290)] = 601670,
  [SMALL_STATE(12291)] = 601705,
  [SMALL_STATE(12292)] = 601762,
  [SMALL_STATE(12293)] = 601799,
  [SMALL_STATE(12294)] = 601838,
  [SMALL_STATE(12295)] = 601879,
  [SMALL_STATE(12296)] = 601936,
  [SMALL_STATE(12297)] = 601979,
  [SMALL_STATE(12298)] = 602022,
  [SMALL_STATE(12299)] = 602061,
  [SMALL_STATE(12300)] = 602102,
  [SMALL_STATE(12301)] = 602141,
  [SMALL_STATE(12302)] = 602182,
  [SMALL_STATE(12303)] = 602225,
  [SMALL_STATE(12304)] = 602268,
  [SMALL_STATE(12305)] = 602325,
  [SMALL_STATE(12306)] = 602366,
  [SMALL_STATE(12307)] = 602423,
  [SMALL_STATE(12308)] = 602458,
  [SMALL_STATE(12309)] = 602497,
  [SMALL_STATE(12310)] = 602540,
  [SMALL_STATE(12311)] = 602583,
  [SMALL_STATE(12312)] = 602628,
  [SMALL_STATE(12313)] = 602671,
  [SMALL_STATE(12314)] = 602716,
  [SMALL_STATE(12315)] = 602751,
  [SMALL_STATE(12316)] = 602808,
  [SMALL_STATE(12317)] = 602865,
  [SMALL_STATE(12318)] = 602908,
  [SMALL_STATE(12319)] = 602945,
  [SMALL_STATE(12320)] = 602980,
  [SMALL_STATE(12321)] = 603023,
  [SMALL_STATE(12322)] = 603058,
  [SMALL_STATE(12323)] = 603115,
  [SMALL_STATE(12324)] = 603150,
  [SMALL_STATE(12325)] = 603185,
  [SMALL_STATE(12326)] = 603220,
  [SMALL_STATE(12327)] = 603255,
  [SMALL_STATE(12328)] = 603298,
  [SMALL_STATE(12329)] = 603343,
  [SMALL_STATE(12330)] = 603400,
  [SMALL_STATE(12331)] = 603457,
  [SMALL_STATE(12332)] = 603514,
  [SMALL_STATE(12333)] = 603549,
  [SMALL_STATE(12334)] = 603606,
  [SMALL_STATE(12335)] = 603663,
  [SMALL_STATE(12336)] = 603720,
  [SMALL_STATE(12337)] = 603777,
  [SMALL_STATE(12338)] = 603820,
  [SMALL_STATE(12339)] = 603877,
  [SMALL_STATE(12340)] = 603920,
  [SMALL_STATE(12341)] = 603977,
  [SMALL_STATE(12342)] = 604018,
  [SMALL_STATE(12343)] = 604053,
  [SMALL_STATE(12344)] = 604088,
  [SMALL_STATE(12345)] = 604133,
  [SMALL_STATE(12346)] = 604170,
  [SMALL_STATE(12347)] = 604205,
  [SMALL_STATE(12348)] = 604262,
  [SMALL_STATE(12349)] = 604297,
  [SMALL_STATE(12350)] = 604336,
  [SMALL_STATE(12351)] = 604373,
  [SMALL_STATE(12352)] = 604412,
  [SMALL_STATE(12353)] = 604469,
  [SMALL_STATE(12354)] = 604504,
  [SMALL_STATE(12355)] = 604539,
  [SMALL_STATE(12356)] = 604574,
  [SMALL_STATE(12357)] = 604609,
  [SMALL_STATE(12358)] = 604654,
  [SMALL_STATE(12359)] = 604711,
  [SMALL_STATE(12360)] = 604746,
  [SMALL_STATE(12361)] = 604781,
  [SMALL_STATE(12362)] = 604816,
  [SMALL_STATE(12363)] = 604855,
  [SMALL_STATE(12364)] = 604896,
  [SMALL_STATE(12365)] = 604941,
  [SMALL_STATE(12366)] = 604976,
  [SMALL_STATE(12367)] = 605015,
  [SMALL_STATE(12368)] = 605072,
  [SMALL_STATE(12369)] = 605129,
  [SMALL_STATE(12370)] = 605186,
  [SMALL_STATE(12371)] = 605243,
  [SMALL_STATE(12372)] = 605284,
  [SMALL_STATE(12373)] = 605325,
  [SMALL_STATE(12374)] = 605360,
  [SMALL_STATE(12375)] = 605417,
  [SMALL_STATE(12376)] = 605462,
  [SMALL_STATE(12377)] = 605519,
  [SMALL_STATE(12378)] = 605576,
  [SMALL_STATE(12379)] = 605621,
  [SMALL_STATE(12380)] = 605666,
  [SMALL_STATE(12381)] = 605705,
  [SMALL_STATE(12382)] = 605740,
  [SMALL_STATE(12383)] = 605775,
  [SMALL_STATE(12384)] = 605832,
  [SMALL_STATE(12385)] = 605867,
  [SMALL_STATE(12386)] = 605924,
  [SMALL_STATE(12387)] = 605959,
  [SMALL_STATE(12388)] = 606004,
  [SMALL_STATE(12389)] = 606061,
  [SMALL_STATE(12390)] = 606106,
  [SMALL_STATE(12391)] = 606151,
  [SMALL_STATE(12392)] = 606192,
  [SMALL_STATE(12393)] = 606233,
  [SMALL_STATE(12394)] = 606274,
  [SMALL_STATE(12395)] = 606319,
  [SMALL_STATE(12396)] = 606362,
  [SMALL_STATE(12397)] = 606407,
  [SMALL_STATE(12398)] = 606452,
  [SMALL_STATE(12399)] = 606509,
  [SMALL_STATE(12400)] = 606550,
  [SMALL_STATE(12401)] = 606595,
  [SMALL_STATE(12402)] = 606652,
  [SMALL_STATE(12403)] = 606695,
  [SMALL_STATE(12404)] = 606734,
  [SMALL_STATE(12405)] = 606791,
  [SMALL_STATE(12406)] = 606848,
  [SMALL_STATE(12407)] = 606905,
  [SMALL_STATE(12408)] = 606944,
  [SMALL_STATE(12409)] = 606987,
  [SMALL_STATE(12410)] = 607044,
  [SMALL_STATE(12411)] = 607089,
  [SMALL_STATE(12412)] = 607134,
  [SMALL_STATE(12413)] = 607179,
  [SMALL_STATE(12414)] = 607224,
  [SMALL_STATE(12415)] = 607281,
  [SMALL_STATE(12416)] = 607320,
  [SMALL_STATE(12417)] = 607365,
  [SMALL_STATE(12418)] = 607404,
  [SMALL_STATE(12419)] = 607449,
  [SMALL_STATE(12420)] = 607488,
  [SMALL_STATE(12421)] = 607533,
  [SMALL_STATE(12422)] = 607574,
  [SMALL_STATE(12423)] = 607613,
  [SMALL_STATE(12424)] = 607652,
  [SMALL_STATE(12425)] = 607705,
  [SMALL_STATE(12426)] = 607744,
  [SMALL_STATE(12427)] = 607789,
  [SMALL_STATE(12428)] = 607828,
  [SMALL_STATE(12429)] = 607867,
  [SMALL_STATE(12430)] = 607914,
  [SMALL_STATE(12431)] = 607957,
  [SMALL_STATE(12432)] = 608016,
  [SMALL_STATE(12433)] = 608063,
  [SMALL_STATE(12434)] = 608108,
  [SMALL_STATE(12435)] = 608143,
  [SMALL_STATE(12436)] = 608200,
  [SMALL_STATE(12437)] = 608251,
  [SMALL_STATE(12438)] = 608294,
  [SMALL_STATE(12439)] = 608339,
  [SMALL_STATE(12440)] = 608378,
  [SMALL_STATE(12441)] = 608431,
  [SMALL_STATE(12442)] = 608488,
  [SMALL_STATE(12443)] = 608545,
  [SMALL_STATE(12444)] = 608586,
  [SMALL_STATE(12445)] = 608643,
  [SMALL_STATE(12446)] = 608682,
  [SMALL_STATE(12447)] = 608739,
  [SMALL_STATE(12448)] = 608784,
  [SMALL_STATE(12449)] = 608821,
  [SMALL_STATE(12450)] = 608864,
  [SMALL_STATE(12451)] = 608921,
  [SMALL_STATE(12452)] = 608978,
  [SMALL_STATE(12453)] = 609017,
  [SMALL_STATE(12454)] = 609074,
  [SMALL_STATE(12455)] = 609109,
  [SMALL_STATE(12456)] = 609154,
  [SMALL_STATE(12457)] = 609193,
  [SMALL_STATE(12458)] = 609250,
  [SMALL_STATE(12459)] = 609295,
  [SMALL_STATE(12460)] = 609340,
  [SMALL_STATE(12461)] = 609385,
  [SMALL_STATE(12462)] = 609430,
  [SMALL_STATE(12463)] = 609475,
  [SMALL_STATE(12464)] = 609532,
  [SMALL_STATE(12465)] = 609589,
  [SMALL_STATE(12466)] = 609646,
  [SMALL_STATE(12467)] = 609685,
  [SMALL_STATE(12468)] = 609742,
  [SMALL_STATE(12469)] = 609779,
  [SMALL_STATE(12470)] = 609824,
  [SMALL_STATE(12471)] = 609881,
  [SMALL_STATE(12472)] = 609926,
  [SMALL_STATE(12473)] = 609965,
  [SMALL_STATE(12474)] = 610003,
  [SMALL_STATE(12475)] = 610057,
  [SMALL_STATE(12476)] = 610111,
  [SMALL_STATE(12477)] = 610165,
  [SMALL_STATE(12478)] = 610219,
  [SMALL_STATE(12479)] = 610273,
  [SMALL_STATE(12480)] = 610327,
  [SMALL_STATE(12481)] = 610377,
  [SMALL_STATE(12482)] = 610431,
  [SMALL_STATE(12483)] = 610485,
  [SMALL_STATE(12484)] = 610539,
  [SMALL_STATE(12485)] = 610593,
  [SMALL_STATE(12486)] = 610647,
  [SMALL_STATE(12487)] = 610701,
  [SMALL_STATE(12488)] = 610755,
  [SMALL_STATE(12489)] = 610809,
  [SMALL_STATE(12490)] = 610863,
  [SMALL_STATE(12491)] = 610917,
  [SMALL_STATE(12492)] = 610971,
  [SMALL_STATE(12493)] = 611025,
  [SMALL_STATE(12494)] = 611079,
  [SMALL_STATE(12495)] = 611125,
  [SMALL_STATE(12496)] = 611179,
  [SMALL_STATE(12497)] = 611233,
  [SMALL_STATE(12498)] = 611279,
  [SMALL_STATE(12499)] = 611333,
  [SMALL_STATE(12500)] = 611387,
  [SMALL_STATE(12501)] = 611441,
  [SMALL_STATE(12502)] = 611479,
  [SMALL_STATE(12503)] = 611517,
  [SMALL_STATE(12504)] = 611557,
  [SMALL_STATE(12505)] = 611611,
  [SMALL_STATE(12506)] = 611665,
  [SMALL_STATE(12507)] = 611699,
  [SMALL_STATE(12508)] = 611753,
  [SMALL_STATE(12509)] = 611807,
  [SMALL_STATE(12510)] = 611845,
  [SMALL_STATE(12511)] = 611899,
  [SMALL_STATE(12512)] = 611953,
  [SMALL_STATE(12513)] = 611987,
  [SMALL_STATE(12514)] = 612025,
  [SMALL_STATE(12515)] = 612069,
  [SMALL_STATE(12516)] = 612109,
  [SMALL_STATE(12517)] = 612149,
  [SMALL_STATE(12518)] = 612203,
  [SMALL_STATE(12519)] = 612257,
  [SMALL_STATE(12520)] = 612311,
  [SMALL_STATE(12521)] = 612349,
  [SMALL_STATE(12522)] = 612403,
  [SMALL_STATE(12523)] = 612455,
  [SMALL_STATE(12524)] = 612509,
  [SMALL_STATE(12525)] = 612547,
  [SMALL_STATE(12526)] = 612601,
  [SMALL_STATE(12527)] = 612655,
  [SMALL_STATE(12528)] = 612709,
  [SMALL_STATE(12529)] = 612763,
  [SMALL_STATE(12530)] = 612801,
  [SMALL_STATE(12531)] = 612855,
  [SMALL_STATE(12532)] = 612909,
  [SMALL_STATE(12533)] = 612963,
  [SMALL_STATE(12534)] = 613017,
  [SMALL_STATE(12535)] = 613071,
  [SMALL_STATE(12536)] = 613109,
  [SMALL_STATE(12537)] = 613163,
  [SMALL_STATE(12538)] = 613217,
  [SMALL_STATE(12539)] = 613271,
  [SMALL_STATE(12540)] = 613325,
  [SMALL_STATE(12541)] = 613379,
  [SMALL_STATE(12542)] = 613433,
  [SMALL_STATE(12543)] = 613487,
  [SMALL_STATE(12544)] = 613541,
  [SMALL_STATE(12545)] = 613595,
  [SMALL_STATE(12546)] = 613649,
  [SMALL_STATE(12547)] = 613687,
  [SMALL_STATE(12548)] = 613741,
  [SMALL_STATE(12549)] = 613795,
  [SMALL_STATE(12550)] = 613849,
  [SMALL_STATE(12551)] = 613903,
  [SMALL_STATE(12552)] = 613957,
  [SMALL_STATE(12553)] = 614011,
  [SMALL_STATE(12554)] = 614065,
  [SMALL_STATE(12555)] = 614119,
  [SMALL_STATE(12556)] = 614173,
  [SMALL_STATE(12557)] = 614227,
  [SMALL_STATE(12558)] = 614281,
  [SMALL_STATE(12559)] = 614335,
  [SMALL_STATE(12560)] = 614389,
  [SMALL_STATE(12561)] = 614443,
  [SMALL_STATE(12562)] = 614497,
  [SMALL_STATE(12563)] = 614535,
  [SMALL_STATE(12564)] = 614589,
  [SMALL_STATE(12565)] = 614643,
  [SMALL_STATE(12566)] = 614697,
  [SMALL_STATE(12567)] = 614735,
  [SMALL_STATE(12568)] = 614773,
  [SMALL_STATE(12569)] = 614809,
  [SMALL_STATE(12570)] = 614863,
  [SMALL_STATE(12571)] = 614917,
  [SMALL_STATE(12572)] = 614971,
  [SMALL_STATE(12573)] = 615025,
  [SMALL_STATE(12574)] = 615079,
  [SMALL_STATE(12575)] = 615117,
  [SMALL_STATE(12576)] = 615155,
  [SMALL_STATE(12577)] = 615209,
  [SMALL_STATE(12578)] = 615263,
  [SMALL_STATE(12579)] = 615317,
  [SMALL_STATE(12580)] = 615371,
  [SMALL_STATE(12581)] = 615425,
  [SMALL_STATE(12582)] = 615479,
  [SMALL_STATE(12583)] = 615533,
  [SMALL_STATE(12584)] = 615587,
  [SMALL_STATE(12585)] = 615641,
  [SMALL_STATE(12586)] = 615695,
  [SMALL_STATE(12587)] = 615747,
  [SMALL_STATE(12588)] = 615801,
  [SMALL_STATE(12589)] = 615855,
  [SMALL_STATE(12590)] = 615909,
  [SMALL_STATE(12591)] = 615963,
  [SMALL_STATE(12592)] = 616017,
  [SMALL_STATE(12593)] = 616055,
  [SMALL_STATE(12594)] = 616091,
  [SMALL_STATE(12595)] = 616145,
  [SMALL_STATE(12596)] = 616199,
  [SMALL_STATE(12597)] = 616253,
  [SMALL_STATE(12598)] = 616307,
  [SMALL_STATE(12599)] = 616361,
  [SMALL_STATE(12600)] = 616415,
  [SMALL_STATE(12601)] = 616469,
  [SMALL_STATE(12602)] = 616507,
  [SMALL_STATE(12603)] = 616561,
  [SMALL_STATE(12604)] = 616615,
  [SMALL_STATE(12605)] = 616669,
  [SMALL_STATE(12606)] = 616723,
  [SMALL_STATE(12607)] = 616757,
  [SMALL_STATE(12608)] = 616811,
  [SMALL_STATE(12609)] = 616865,
  [SMALL_STATE(12610)] = 616903,
  [SMALL_STATE(12611)] = 616957,
  [SMALL_STATE(12612)] = 617011,
  [SMALL_STATE(12613)] = 617065,
  [SMALL_STATE(12614)] = 617119,
  [SMALL_STATE(12615)] = 617173,
  [SMALL_STATE(12616)] = 617227,
  [SMALL_STATE(12617)] = 617281,
  [SMALL_STATE(12618)] = 617335,
  [SMALL_STATE(12619)] = 617389,
  [SMALL_STATE(12620)] = 617443,
  [SMALL_STATE(12621)] = 617497,
  [SMALL_STATE(12622)] = 617551,
  [SMALL_STATE(12623)] = 617587,
  [SMALL_STATE(12624)] = 617641,
  [SMALL_STATE(12625)] = 617695,
  [SMALL_STATE(12626)] = 617749,
  [SMALL_STATE(12627)] = 617793,
  [SMALL_STATE(12628)] = 617847,
  [SMALL_STATE(12629)] = 617901,
  [SMALL_STATE(12630)] = 617957,
  [SMALL_STATE(12631)] = 618011,
  [SMALL_STATE(12632)] = 618065,
  [SMALL_STATE(12633)] = 618101,
  [SMALL_STATE(12634)] = 618137,
  [SMALL_STATE(12635)] = 618191,
  [SMALL_STATE(12636)] = 618245,
  [SMALL_STATE(12637)] = 618285,
  [SMALL_STATE(12638)] = 618339,
  [SMALL_STATE(12639)] = 618393,
  [SMALL_STATE(12640)] = 618449,
  [SMALL_STATE(12641)] = 618487,
  [SMALL_STATE(12642)] = 618531,
  [SMALL_STATE(12643)] = 618585,
  [SMALL_STATE(12644)] = 618639,
  [SMALL_STATE(12645)] = 618683,
  [SMALL_STATE(12646)] = 618737,
  [SMALL_STATE(12647)] = 618791,
  [SMALL_STATE(12648)] = 618845,
  [SMALL_STATE(12649)] = 618899,
  [SMALL_STATE(12650)] = 618937,
  [SMALL_STATE(12651)] = 618993,
  [SMALL_STATE(12652)] = 619047,
  [SMALL_STATE(12653)] = 619101,
  [SMALL_STATE(12654)] = 619155,
  [SMALL_STATE(12655)] = 619209,
  [SMALL_STATE(12656)] = 619263,
  [SMALL_STATE(12657)] = 619317,
  [SMALL_STATE(12658)] = 619371,
  [SMALL_STATE(12659)] = 619425,
  [SMALL_STATE(12660)] = 619459,
  [SMALL_STATE(12661)] = 619513,
  [SMALL_STATE(12662)] = 619567,
  [SMALL_STATE(12663)] = 619621,
  [SMALL_STATE(12664)] = 619675,
  [SMALL_STATE(12665)] = 619729,
  [SMALL_STATE(12666)] = 619783,
  [SMALL_STATE(12667)] = 619819,
  [SMALL_STATE(12668)] = 619873,
  [SMALL_STATE(12669)] = 619927,
  [SMALL_STATE(12670)] = 619981,
  [SMALL_STATE(12671)] = 620035,
  [SMALL_STATE(12672)] = 620089,
  [SMALL_STATE(12673)] = 620145,
  [SMALL_STATE(12674)] = 620199,
  [SMALL_STATE(12675)] = 620253,
  [SMALL_STATE(12676)] = 620307,
  [SMALL_STATE(12677)] = 620361,
  [SMALL_STATE(12678)] = 620415,
  [SMALL_STATE(12679)] = 620469,
  [SMALL_STATE(12680)] = 620523,
  [SMALL_STATE(12681)] = 620577,
  [SMALL_STATE(12682)] = 620631,
  [SMALL_STATE(12683)] = 620689,
  [SMALL_STATE(12684)] = 620743,
  [SMALL_STATE(12685)] = 620797,
  [SMALL_STATE(12686)] = 620851,
  [SMALL_STATE(12687)] = 620905,
  [SMALL_STATE(12688)] = 620959,
  [SMALL_STATE(12689)] = 621013,
  [SMALL_STATE(12690)] = 621067,
  [SMALL_STATE(12691)] = 621121,
  [SMALL_STATE(12692)] = 621175,
  [SMALL_STATE(12693)] = 621229,
  [SMALL_STATE(12694)] = 621283,
  [SMALL_STATE(12695)] = 621337,
  [SMALL_STATE(12696)] = 621391,
  [SMALL_STATE(12697)] = 621445,
  [SMALL_STATE(12698)] = 621499,
  [SMALL_STATE(12699)] = 621553,
  [SMALL_STATE(12700)] = 621607,
  [SMALL_STATE(12701)] = 621661,
  [SMALL_STATE(12702)] = 621715,
  [SMALL_STATE(12703)] = 621769,
  [SMALL_STATE(12704)] = 621823,
  [SMALL_STATE(12705)] = 621861,
  [SMALL_STATE(12706)] = 621901,
  [SMALL_STATE(12707)] = 621955,
  [SMALL_STATE(12708)] = 622009,
  [SMALL_STATE(12709)] = 622063,
  [SMALL_STATE(12710)] = 622117,
  [SMALL_STATE(12711)] = 622171,
  [SMALL_STATE(12712)] = 622225,
  [SMALL_STATE(12713)] = 622261,
  [SMALL_STATE(12714)] = 622315,
  [SMALL_STATE(12715)] = 622369,
  [SMALL_STATE(12716)] = 622405,
  [SMALL_STATE(12717)] = 622443,
  [SMALL_STATE(12718)] = 622497,
  [SMALL_STATE(12719)] = 622551,
  [SMALL_STATE(12720)] = 622605,
  [SMALL_STATE(12721)] = 622659,
  [SMALL_STATE(12722)] = 622713,
  [SMALL_STATE(12723)] = 622767,
  [SMALL_STATE(12724)] = 622821,
  [SMALL_STATE(12725)] = 622875,
  [SMALL_STATE(12726)] = 622929,
  [SMALL_STATE(12727)] = 622983,
  [SMALL_STATE(12728)] = 623037,
  [SMALL_STATE(12729)] = 623091,
  [SMALL_STATE(12730)] = 623145,
  [SMALL_STATE(12731)] = 623199,
  [SMALL_STATE(12732)] = 623253,
  [SMALL_STATE(12733)] = 623307,
  [SMALL_STATE(12734)] = 623361,
  [SMALL_STATE(12735)] = 623415,
  [SMALL_STATE(12736)] = 623455,
  [SMALL_STATE(12737)] = 623509,
  [SMALL_STATE(12738)] = 623549,
  [SMALL_STATE(12739)] = 623589,
  [SMALL_STATE(12740)] = 623643,
  [SMALL_STATE(12741)] = 623681,
  [SMALL_STATE(12742)] = 623725,
  [SMALL_STATE(12743)] = 623765,
  [SMALL_STATE(12744)] = 623819,
  [SMALL_STATE(12745)] = 623873,
  [SMALL_STATE(12746)] = 623927,
  [SMALL_STATE(12747)] = 623981,
  [SMALL_STATE(12748)] = 624021,
  [SMALL_STATE(12749)] = 624075,
  [SMALL_STATE(12750)] = 624129,
  [SMALL_STATE(12751)] = 624173,
  [SMALL_STATE(12752)] = 624227,
  [SMALL_STATE(12753)] = 624281,
  [SMALL_STATE(12754)] = 624335,
  [SMALL_STATE(12755)] = 624389,
  [SMALL_STATE(12756)] = 624443,
  [SMALL_STATE(12757)] = 624483,
  [SMALL_STATE(12758)] = 624537,
  [SMALL_STATE(12759)] = 624591,
  [SMALL_STATE(12760)] = 624645,
  [SMALL_STATE(12761)] = 624699,
  [SMALL_STATE(12762)] = 624753,
  [SMALL_STATE(12763)] = 624807,
  [SMALL_STATE(12764)] = 624851,
  [SMALL_STATE(12765)] = 624905,
  [SMALL_STATE(12766)] = 624959,
  [SMALL_STATE(12767)] = 625013,
  [SMALL_STATE(12768)] = 625053,
  [SMALL_STATE(12769)] = 625087,
  [SMALL_STATE(12770)] = 625141,
  [SMALL_STATE(12771)] = 625177,
  [SMALL_STATE(12772)] = 625231,
  [SMALL_STATE(12773)] = 625285,
  [SMALL_STATE(12774)] = 625339,
  [SMALL_STATE(12775)] = 625393,
  [SMALL_STATE(12776)] = 625447,
  [SMALL_STATE(12777)] = 625487,
  [SMALL_STATE(12778)] = 625541,
  [SMALL_STATE(12779)] = 625581,
  [SMALL_STATE(12780)] = 625635,
  [SMALL_STATE(12781)] = 625689,
  [SMALL_STATE(12782)] = 625729,
  [SMALL_STATE(12783)] = 625783,
  [SMALL_STATE(12784)] = 625823,
  [SMALL_STATE(12785)] = 625861,
  [SMALL_STATE(12786)] = 625915,
  [SMALL_STATE(12787)] = 625969,
  [SMALL_STATE(12788)] = 626023,
  [SMALL_STATE(12789)] = 626077,
  [SMALL_STATE(12790)] = 626131,
  [SMALL_STATE(12791)] = 626185,
  [SMALL_STATE(12792)] = 626239,
  [SMALL_STATE(12793)] = 626293,
  [SMALL_STATE(12794)] = 626331,
  [SMALL_STATE(12795)] = 626385,
  [SMALL_STATE(12796)] = 626421,
  [SMALL_STATE(12797)] = 626475,
  [SMALL_STATE(12798)] = 626515,
  [SMALL_STATE(12799)] = 626569,
  [SMALL_STATE(12800)] = 626623,
  [SMALL_STATE(12801)] = 626677,
  [SMALL_STATE(12802)] = 626731,
  [SMALL_STATE(12803)] = 626785,
  [SMALL_STATE(12804)] = 626839,
  [SMALL_STATE(12805)] = 626893,
  [SMALL_STATE(12806)] = 626947,
  [SMALL_STATE(12807)] = 627001,
  [SMALL_STATE(12808)] = 627055,
  [SMALL_STATE(12809)] = 627109,
  [SMALL_STATE(12810)] = 627163,
  [SMALL_STATE(12811)] = 627217,
  [SMALL_STATE(12812)] = 627271,
  [SMALL_STATE(12813)] = 627311,
  [SMALL_STATE(12814)] = 627365,
  [SMALL_STATE(12815)] = 627419,
  [SMALL_STATE(12816)] = 627473,
  [SMALL_STATE(12817)] = 627527,
  [SMALL_STATE(12818)] = 627581,
  [SMALL_STATE(12819)] = 627639,
  [SMALL_STATE(12820)] = 627693,
  [SMALL_STATE(12821)] = 627747,
  [SMALL_STATE(12822)] = 627801,
  [SMALL_STATE(12823)] = 627853,
  [SMALL_STATE(12824)] = 627907,
  [SMALL_STATE(12825)] = 627961,
  [SMALL_STATE(12826)] = 628015,
  [SMALL_STATE(12827)] = 628069,
  [SMALL_STATE(12828)] = 628123,
  [SMALL_STATE(12829)] = 628177,
  [SMALL_STATE(12830)] = 628231,
  [SMALL_STATE(12831)] = 628275,
  [SMALL_STATE(12832)] = 628329,
  [SMALL_STATE(12833)] = 628383,
  [SMALL_STATE(12834)] = 628439,
  [SMALL_STATE(12835)] = 628477,
  [SMALL_STATE(12836)] = 628533,
  [SMALL_STATE(12837)] = 628573,
  [SMALL_STATE(12838)] = 628629,
  [SMALL_STATE(12839)] = 628681,
  [SMALL_STATE(12840)] = 628731,
  [SMALL_STATE(12841)] = 628777,
  [SMALL_STATE(12842)] = 628831,
  [SMALL_STATE(12843)] = 628877,
  [SMALL_STATE(12844)] = 628915,
  [SMALL_STATE(12845)] = 628953,
  [SMALL_STATE(12846)] = 628997,
  [SMALL_STATE(12847)] = 629049,
  [SMALL_STATE(12848)] = 629103,
  [SMALL_STATE(12849)] = 629157,
  [SMALL_STATE(12850)] = 629211,
  [SMALL_STATE(12851)] = 629265,
  [SMALL_STATE(12852)] = 629319,
  [SMALL_STATE(12853)] = 629359,
  [SMALL_STATE(12854)] = 629413,
  [SMALL_STATE(12855)] = 629467,
  [SMALL_STATE(12856)] = 629507,
  [SMALL_STATE(12857)] = 629561,
  [SMALL_STATE(12858)] = 629615,
  [SMALL_STATE(12859)] = 629669,
  [SMALL_STATE(12860)] = 629723,
  [SMALL_STATE(12861)] = 629777,
  [SMALL_STATE(12862)] = 629831,
  [SMALL_STATE(12863)] = 629885,
  [SMALL_STATE(12864)] = 629939,
  [SMALL_STATE(12865)] = 629985,
  [SMALL_STATE(12866)] = 630039,
  [SMALL_STATE(12867)] = 630093,
  [SMALL_STATE(12868)] = 630147,
  [SMALL_STATE(12869)] = 630185,
  [SMALL_STATE(12870)] = 630239,
  [SMALL_STATE(12871)] = 630279,
  [SMALL_STATE(12872)] = 630333,
  [SMALL_STATE(12873)] = 630387,
  [SMALL_STATE(12874)] = 630441,
  [SMALL_STATE(12875)] = 630485,
  [SMALL_STATE(12876)] = 630539,
  [SMALL_STATE(12877)] = 630593,
  [SMALL_STATE(12878)] = 630647,
  [SMALL_STATE(12879)] = 630701,
  [SMALL_STATE(12880)] = 630755,
  [SMALL_STATE(12881)] = 630809,
  [SMALL_STATE(12882)] = 630863,
  [SMALL_STATE(12883)] = 630917,
  [SMALL_STATE(12884)] = 630971,
  [SMALL_STATE(12885)] = 631025,
  [SMALL_STATE(12886)] = 631079,
  [SMALL_STATE(12887)] = 631133,
  [SMALL_STATE(12888)] = 631187,
  [SMALL_STATE(12889)] = 631241,
  [SMALL_STATE(12890)] = 631295,
  [SMALL_STATE(12891)] = 631335,
  [SMALL_STATE(12892)] = 631389,
  [SMALL_STATE(12893)] = 631443,
  [SMALL_STATE(12894)] = 631497,
  [SMALL_STATE(12895)] = 631551,
  [SMALL_STATE(12896)] = 631589,
  [SMALL_STATE(12897)] = 631643,
  [SMALL_STATE(12898)] = 631697,
  [SMALL_STATE(12899)] = 631751,
  [SMALL_STATE(12900)] = 631789,
  [SMALL_STATE(12901)] = 631843,
  [SMALL_STATE(12902)] = 631897,
  [SMALL_STATE(12903)] = 631951,
  [SMALL_STATE(12904)] = 632005,
  [SMALL_STATE(12905)] = 632043,
  [SMALL_STATE(12906)] = 632097,
  [SMALL_STATE(12907)] = 632151,
  [SMALL_STATE(12908)] = 632205,
  [SMALL_STATE(12909)] = 632245,
  [SMALL_STATE(12910)] = 632299,
  [SMALL_STATE(12911)] = 632353,
  [SMALL_STATE(12912)] = 632407,
  [SMALL_STATE(12913)] = 632461,
  [SMALL_STATE(12914)] = 632515,
  [SMALL_STATE(12915)] = 632569,
  [SMALL_STATE(12916)] = 632623,
  [SMALL_STATE(12917)] = 632677,
  [SMALL_STATE(12918)] = 632731,
  [SMALL_STATE(12919)] = 632785,
  [SMALL_STATE(12920)] = 632839,
  [SMALL_STATE(12921)] = 632893,
  [SMALL_STATE(12922)] = 632947,
  [SMALL_STATE(12923)] = 633001,
  [SMALL_STATE(12924)] = 633055,
  [SMALL_STATE(12925)] = 633109,
  [SMALL_STATE(12926)] = 633163,
  [SMALL_STATE(12927)] = 633221,
  [SMALL_STATE(12928)] = 633275,
  [SMALL_STATE(12929)] = 633319,
  [SMALL_STATE(12930)] = 633373,
  [SMALL_STATE(12931)] = 633427,
  [SMALL_STATE(12932)] = 633481,
  [SMALL_STATE(12933)] = 633535,
  [SMALL_STATE(12934)] = 633575,
  [SMALL_STATE(12935)] = 633629,
  [SMALL_STATE(12936)] = 633683,
  [SMALL_STATE(12937)] = 633737,
  [SMALL_STATE(12938)] = 633791,
  [SMALL_STATE(12939)] = 633845,
  [SMALL_STATE(12940)] = 633899,
  [SMALL_STATE(12941)] = 633953,
  [SMALL_STATE(12942)] = 634007,
  [SMALL_STATE(12943)] = 634061,
  [SMALL_STATE(12944)] = 634115,
  [SMALL_STATE(12945)] = 634169,
  [SMALL_STATE(12946)] = 634223,
  [SMALL_STATE(12947)] = 634277,
  [SMALL_STATE(12948)] = 634331,
  [SMALL_STATE(12949)] = 634385,
  [SMALL_STATE(12950)] = 634439,
  [SMALL_STATE(12951)] = 634493,
  [SMALL_STATE(12952)] = 634547,
  [SMALL_STATE(12953)] = 634601,
  [SMALL_STATE(12954)] = 634655,
  [SMALL_STATE(12955)] = 634709,
  [SMALL_STATE(12956)] = 634763,
  [SMALL_STATE(12957)] = 634801,
  [SMALL_STATE(12958)] = 634855,
  [SMALL_STATE(12959)] = 634909,
  [SMALL_STATE(12960)] = 634963,
  [SMALL_STATE(12961)] = 635017,
  [SMALL_STATE(12962)] = 635071,
  [SMALL_STATE(12963)] = 635125,
  [SMALL_STATE(12964)] = 635179,
  [SMALL_STATE(12965)] = 635233,
  [SMALL_STATE(12966)] = 635287,
  [SMALL_STATE(12967)] = 635341,
  [SMALL_STATE(12968)] = 635395,
  [SMALL_STATE(12969)] = 635449,
  [SMALL_STATE(12970)] = 635503,
  [SMALL_STATE(12971)] = 635557,
  [SMALL_STATE(12972)] = 635611,
  [SMALL_STATE(12973)] = 635665,
  [SMALL_STATE(12974)] = 635719,
  [SMALL_STATE(12975)] = 635773,
  [SMALL_STATE(12976)] = 635827,
  [SMALL_STATE(12977)] = 635881,
  [SMALL_STATE(12978)] = 635935,
  [SMALL_STATE(12979)] = 635989,
  [SMALL_STATE(12980)] = 636043,
  [SMALL_STATE(12981)] = 636077,
  [SMALL_STATE(12982)] = 636131,
  [SMALL_STATE(12983)] = 636185,
  [SMALL_STATE(12984)] = 636239,
  [SMALL_STATE(12985)] = 636293,
  [SMALL_STATE(12986)] = 636347,
  [SMALL_STATE(12987)] = 636401,
  [SMALL_STATE(12988)] = 636455,
  [SMALL_STATE(12989)] = 636509,
  [SMALL_STATE(12990)] = 636563,
  [SMALL_STATE(12991)] = 636617,
  [SMALL_STATE(12992)] = 636671,
  [SMALL_STATE(12993)] = 636725,
  [SMALL_STATE(12994)] = 636779,
  [SMALL_STATE(12995)] = 636833,
  [SMALL_STATE(12996)] = 636887,
  [SMALL_STATE(12997)] = 636941,
  [SMALL_STATE(12998)] = 636995,
  [SMALL_STATE(12999)] = 637039,
  [SMALL_STATE(13000)] = 637083,
  [SMALL_STATE(13001)] = 637137,
  [SMALL_STATE(13002)] = 637191,
  [SMALL_STATE(13003)] = 637245,
  [SMALL_STATE(13004)] = 637299,
  [SMALL_STATE(13005)] = 637353,
  [SMALL_STATE(13006)] = 637407,
  [SMALL_STATE(13007)] = 637461,
  [SMALL_STATE(13008)] = 637515,
  [SMALL_STATE(13009)] = 637569,
  [SMALL_STATE(13010)] = 637623,
  [SMALL_STATE(13011)] = 637677,
  [SMALL_STATE(13012)] = 637731,
  [SMALL_STATE(13013)] = 637785,
  [SMALL_STATE(13014)] = 637839,
  [SMALL_STATE(13015)] = 637893,
  [SMALL_STATE(13016)] = 637947,
  [SMALL_STATE(13017)] = 638001,
  [SMALL_STATE(13018)] = 638055,
  [SMALL_STATE(13019)] = 638109,
  [SMALL_STATE(13020)] = 638163,
  [SMALL_STATE(13021)] = 638217,
  [SMALL_STATE(13022)] = 638271,
  [SMALL_STATE(13023)] = 638325,
  [SMALL_STATE(13024)] = 638379,
  [SMALL_STATE(13025)] = 638419,
  [SMALL_STATE(13026)] = 638473,
  [SMALL_STATE(13027)] = 638527,
  [SMALL_STATE(13028)] = 638581,
  [SMALL_STATE(13029)] = 638635,
  [SMALL_STATE(13030)] = 638671,
  [SMALL_STATE(13031)] = 638725,
  [SMALL_STATE(13032)] = 638779,
  [SMALL_STATE(13033)] = 638833,
  [SMALL_STATE(13034)] = 638887,
  [SMALL_STATE(13035)] = 638941,
  [SMALL_STATE(13036)] = 638995,
  [SMALL_STATE(13037)] = 639035,
  [SMALL_STATE(13038)] = 639073,
  [SMALL_STATE(13039)] = 639113,
  [SMALL_STATE(13040)] = 639167,
  [SMALL_STATE(13041)] = 639221,
  [SMALL_STATE(13042)] = 639275,
  [SMALL_STATE(13043)] = 639329,
  [SMALL_STATE(13044)] = 639383,
  [SMALL_STATE(13045)] = 639437,
  [SMALL_STATE(13046)] = 639481,
  [SMALL_STATE(13047)] = 639535,
  [SMALL_STATE(13048)] = 639589,
  [SMALL_STATE(13049)] = 639643,
  [SMALL_STATE(13050)] = 639697,
  [SMALL_STATE(13051)] = 639751,
  [SMALL_STATE(13052)] = 639805,
  [SMALL_STATE(13053)] = 639859,
  [SMALL_STATE(13054)] = 639899,
  [SMALL_STATE(13055)] = 639953,
  [SMALL_STATE(13056)] = 640007,
  [SMALL_STATE(13057)] = 640061,
  [SMALL_STATE(13058)] = 640115,
  [SMALL_STATE(13059)] = 640169,
  [SMALL_STATE(13060)] = 640223,
  [SMALL_STATE(13061)] = 640262,
  [SMALL_STATE(13062)] = 640305,
  [SMALL_STATE(13063)] = 640344,
  [SMALL_STATE(13064)] = 640383,
  [SMALL_STATE(13065)] = 640422,
  [SMALL_STATE(13066)] = 640461,
  [SMALL_STATE(13067)] = 640512,
  [SMALL_STATE(13068)] = 640545,
  [SMALL_STATE(13069)] = 640584,
  [SMALL_STATE(13070)] = 640621,
  [SMALL_STATE(13071)] = 640672,
  [SMALL_STATE(13072)] = 640711,
  [SMALL_STATE(13073)] = 640754,
  [SMALL_STATE(13074)] = 640793,
  [SMALL_STATE(13075)] = 640826,
  [SMALL_STATE(13076)] = 640859,
  [SMALL_STATE(13077)] = 640892,
  [SMALL_STATE(13078)] = 640929,
  [SMALL_STATE(13079)] = 640968,
  [SMALL_STATE(13080)] = 641001,
  [SMALL_STATE(13081)] = 641038,
  [SMALL_STATE(13082)] = 641073,
  [SMALL_STATE(13083)] = 641112,
  [SMALL_STATE(13084)] = 641151,
  [SMALL_STATE(13085)] = 641190,
  [SMALL_STATE(13086)] = 641229,
  [SMALL_STATE(13087)] = 641268,
  [SMALL_STATE(13088)] = 641307,
  [SMALL_STATE(13089)] = 641346,
  [SMALL_STATE(13090)] = 641385,
  [SMALL_STATE(13091)] = 641424,
  [SMALL_STATE(13092)] = 641463,
  [SMALL_STATE(13093)] = 641500,
  [SMALL_STATE(13094)] = 641539,
  [SMALL_STATE(13095)] = 641576,
  [SMALL_STATE(13096)] = 641609,
  [SMALL_STATE(13097)] = 641648,
  [SMALL_STATE(13098)] = 641691,
  [SMALL_STATE(13099)] = 641730,
  [SMALL_STATE(13100)] = 641763,
  [SMALL_STATE(13101)] = 641798,
  [SMALL_STATE(13102)] = 641835,
  [SMALL_STATE(13103)] = 641872,
  [SMALL_STATE(13104)] = 641905,
  [SMALL_STATE(13105)] = 641938,
  [SMALL_STATE(13106)] = 641971,
  [SMALL_STATE(13107)] = 642004,
  [SMALL_STATE(13108)] = 642037,
  [SMALL_STATE(13109)] = 642074,
  [SMALL_STATE(13110)] = 642109,
  [SMALL_STATE(13111)] = 642146,
  [SMALL_STATE(13112)] = 642183,
  [SMALL_STATE(13113)] = 642240,
  [SMALL_STATE(13114)] = 642277,
  [SMALL_STATE(13115)] = 642314,
  [SMALL_STATE(13116)] = 642353,
  [SMALL_STATE(13117)] = 642392,
  [SMALL_STATE(13118)] = 642425,
  [SMALL_STATE(13119)] = 642462,
  [SMALL_STATE(13120)] = 642499,
  [SMALL_STATE(13121)] = 642532,
  [SMALL_STATE(13122)] = 642583,
  [SMALL_STATE(13123)] = 642618,
  [SMALL_STATE(13124)] = 642651,
  [SMALL_STATE(13125)] = 642702,
  [SMALL_STATE(13126)] = 642737,
  [SMALL_STATE(13127)] = 642774,
  [SMALL_STATE(13128)] = 642811,
  [SMALL_STATE(13129)] = 642844,
  [SMALL_STATE(13130)] = 642877,
  [SMALL_STATE(13131)] = 642914,
  [SMALL_STATE(13132)] = 642947,
  [SMALL_STATE(13133)] = 642980,
  [SMALL_STATE(13134)] = 643013,
  [SMALL_STATE(13135)] = 643056,
  [SMALL_STATE(13136)] = 643091,
  [SMALL_STATE(13137)] = 643124,
  [SMALL_STATE(13138)] = 643161,
  [SMALL_STATE(13139)] = 643196,
  [SMALL_STATE(13140)] = 643233,
  [SMALL_STATE(13141)] = 643268,
  [SMALL_STATE(13142)] = 643301,
  [SMALL_STATE(13143)] = 643340,
  [SMALL_STATE(13144)] = 643373,
  [SMALL_STATE(13145)] = 643406,
  [SMALL_STATE(13146)] = 643457,
  [SMALL_STATE(13147)] = 643494,
  [SMALL_STATE(13148)] = 643527,
  [SMALL_STATE(13149)] = 643560,
  [SMALL_STATE(13150)] = 643597,
  [SMALL_STATE(13151)] = 643630,
  [SMALL_STATE(13152)] = 643669,
  [SMALL_STATE(13153)] = 643724,
  [SMALL_STATE(13154)] = 643761,
  [SMALL_STATE(13155)] = 643802,
  [SMALL_STATE(13156)] = 643857,
  [SMALL_STATE(13157)] = 643894,
  [SMALL_STATE(13158)] = 643949,
  [SMALL_STATE(13159)] = 643988,
  [SMALL_STATE(13160)] = 644043,
  [SMALL_STATE(13161)] = 644094,
  [SMALL_STATE(13162)] = 644143,
  [SMALL_STATE(13163)] = 644188,
  [SMALL_STATE(13164)] = 644233,
  [SMALL_STATE(13165)] = 644270,
  [SMALL_STATE(13166)] = 644307,
  [SMALL_STATE(13167)] = 644350,
  [SMALL_STATE(13168)] = 644383,
  [SMALL_STATE(13169)] = 644416,
  [SMALL_STATE(13170)] = 644467,
  [SMALL_STATE(13171)] = 644518,
  [SMALL_STATE(13172)] = 644561,
  [SMALL_STATE(13173)] = 644598,
  [SMALL_STATE(13174)] = 644637,
  [SMALL_STATE(13175)] = 644676,
  [SMALL_STATE(13176)] = 644713,
  [SMALL_STATE(13177)] = 644752,
  [SMALL_STATE(13178)] = 644791,
  [SMALL_STATE(13179)] = 644830,
  [SMALL_STATE(13180)] = 644869,
  [SMALL_STATE(13181)] = 644908,
  [SMALL_STATE(13182)] = 644945,
  [SMALL_STATE(13183)] = 644984,
  [SMALL_STATE(13184)] = 645021,
  [SMALL_STATE(13185)] = 645058,
  [SMALL_STATE(13186)] = 645093,
  [SMALL_STATE(13187)] = 645130,
  [SMALL_STATE(13188)] = 645165,
  [SMALL_STATE(13189)] = 645202,
  [SMALL_STATE(13190)] = 645255,
  [SMALL_STATE(13191)] = 645310,
  [SMALL_STATE(13192)] = 645347,
  [SMALL_STATE(13193)] = 645398,
  [SMALL_STATE(13194)] = 645441,
  [SMALL_STATE(13195)] = 645484,
  [SMALL_STATE(13196)] = 645521,
  [SMALL_STATE(13197)] = 645558,
  [SMALL_STATE(13198)] = 645599,
  [SMALL_STATE(13199)] = 645640,
  [SMALL_STATE(13200)] = 645681,
  [SMALL_STATE(13201)] = 645732,
  [SMALL_STATE(13202)] = 645769,
  [SMALL_STATE(13203)] = 645806,
  [SMALL_STATE(13204)] = 645841,
  [SMALL_STATE(13205)] = 645882,
  [SMALL_STATE(13206)] = 645915,
  [SMALL_STATE(13207)] = 645954,
  [SMALL_STATE(13208)] = 645999,
  [SMALL_STATE(13209)] = 646042,
  [SMALL_STATE(13210)] = 646087,
  [SMALL_STATE(13211)] = 646128,
  [SMALL_STATE(13212)] = 646177,
  [SMALL_STATE(13213)] = 646228,
  [SMALL_STATE(13214)] = 646283,
  [SMALL_STATE(13215)] = 646322,
  [SMALL_STATE(13216)] = 646361,
  [SMALL_STATE(13217)] = 646412,
  [SMALL_STATE(13218)] = 646451,
  [SMALL_STATE(13219)] = 646488,
  [SMALL_STATE(13220)] = 646525,
  [SMALL_STATE(13221)] = 646564,
  [SMALL_STATE(13222)] = 646621,
  [SMALL_STATE(13223)] = 646660,
  [SMALL_STATE(13224)] = 646699,
  [SMALL_STATE(13225)] = 646740,
  [SMALL_STATE(13226)] = 646795,
  [SMALL_STATE(13227)] = 646828,
  [SMALL_STATE(13228)] = 646871,
  [SMALL_STATE(13229)] = 646904,
  [SMALL_STATE(13230)] = 646943,
  [SMALL_STATE(13231)] = 646980,
  [SMALL_STATE(13232)] = 647021,
  [SMALL_STATE(13233)] = 647064,
  [SMALL_STATE(13234)] = 647121,
  [SMALL_STATE(13235)] = 647160,
  [SMALL_STATE(13236)] = 647197,
  [SMALL_STATE(13237)] = 647248,
  [SMALL_STATE(13238)] = 647291,
  [SMALL_STATE(13239)] = 647334,
  [SMALL_STATE(13240)] = 647367,
  [SMALL_STATE(13241)] = 647404,
  [SMALL_STATE(13242)] = 647436,
  [SMALL_STATE(13243)] = 647470,
  [SMALL_STATE(13244)] = 647506,
  [SMALL_STATE(13245)] = 647542,
  [SMALL_STATE(13246)] = 647574,
  [SMALL_STATE(13247)] = 647610,
  [SMALL_STATE(13248)] = 647658,
  [SMALL_STATE(13249)] = 647706,
  [SMALL_STATE(13250)] = 647754,
  [SMALL_STATE(13251)] = 647790,
  [SMALL_STATE(13252)] = 647838,
  [SMALL_STATE(13253)] = 647874,
  [SMALL_STATE(13254)] = 647906,
  [SMALL_STATE(13255)] = 647954,
  [SMALL_STATE(13256)] = 648002,
  [SMALL_STATE(13257)] = 648050,
  [SMALL_STATE(13258)] = 648086,
  [SMALL_STATE(13259)] = 648120,
  [SMALL_STATE(13260)] = 648170,
  [SMALL_STATE(13261)] = 648204,
  [SMALL_STATE(13262)] = 648252,
  [SMALL_STATE(13263)] = 648300,
  [SMALL_STATE(13264)] = 648336,
  [SMALL_STATE(13265)] = 648372,
  [SMALL_STATE(13266)] = 648426,
  [SMALL_STATE(13267)] = 648462,
  [SMALL_STATE(13268)] = 648510,
  [SMALL_STATE(13269)] = 648546,
  [SMALL_STATE(13270)] = 648582,
  [SMALL_STATE(13271)] = 648616,
  [SMALL_STATE(13272)] = 648664,
  [SMALL_STATE(13273)] = 648696,
  [SMALL_STATE(13274)] = 648738,
  [SMALL_STATE(13275)] = 648796,
  [SMALL_STATE(13276)] = 648832,
  [SMALL_STATE(13277)] = 648880,
  [SMALL_STATE(13278)] = 648914,
  [SMALL_STATE(13279)] = 648950,
  [SMALL_STATE(13280)] = 648986,
  [SMALL_STATE(13281)] = 649030,
  [SMALL_STATE(13282)] = 649066,
  [SMALL_STATE(13283)] = 649122,
  [SMALL_STATE(13284)] = 649158,
  [SMALL_STATE(13285)] = 649216,
  [SMALL_STATE(13286)] = 649252,
  [SMALL_STATE(13287)] = 649300,
  [SMALL_STATE(13288)] = 649336,
  [SMALL_STATE(13289)] = 649384,
  [SMALL_STATE(13290)] = 649428,
  [SMALL_STATE(13291)] = 649476,
  [SMALL_STATE(13292)] = 649524,
  [SMALL_STATE(13293)] = 649574,
  [SMALL_STATE(13294)] = 649628,
  [SMALL_STATE(13295)] = 649676,
  [SMALL_STATE(13296)] = 649714,
  [SMALL_STATE(13297)] = 649762,
  [SMALL_STATE(13298)] = 649798,
  [SMALL_STATE(13299)] = 649852,
  [SMALL_STATE(13300)] = 649888,
  [SMALL_STATE(13301)] = 649924,
  [SMALL_STATE(13302)] = 649978,
  [SMALL_STATE(13303)] = 650014,
  [SMALL_STATE(13304)] = 650050,
  [SMALL_STATE(13305)] = 650084,
  [SMALL_STATE(13306)] = 650120,
  [SMALL_STATE(13307)] = 650156,
  [SMALL_STATE(13308)] = 650188,
  [SMALL_STATE(13309)] = 650222,
  [SMALL_STATE(13310)] = 650254,
  [SMALL_STATE(13311)] = 650302,
  [SMALL_STATE(13312)] = 650340,
  [SMALL_STATE(13313)] = 650374,
  [SMALL_STATE(13314)] = 650422,
  [SMALL_STATE(13315)] = 650458,
  [SMALL_STATE(13316)] = 650506,
  [SMALL_STATE(13317)] = 650542,
  [SMALL_STATE(13318)] = 650576,
  [SMALL_STATE(13319)] = 650612,
  [SMALL_STATE(13320)] = 650660,
  [SMALL_STATE(13321)] = 650708,
  [SMALL_STATE(13322)] = 650744,
  [SMALL_STATE(13323)] = 650780,
  [SMALL_STATE(13324)] = 650834,
  [SMALL_STATE(13325)] = 650890,
  [SMALL_STATE(13326)] = 650926,
  [SMALL_STATE(13327)] = 650962,
  [SMALL_STATE(13328)] = 651012,
  [SMALL_STATE(13329)] = 651060,
  [SMALL_STATE(13330)] = 651094,
  [SMALL_STATE(13331)] = 651130,
  [SMALL_STATE(13332)] = 651184,
  [SMALL_STATE(13333)] = 651226,
  [SMALL_STATE(13334)] = 651258,
  [SMALL_STATE(13335)] = 651294,
  [SMALL_STATE(13336)] = 651330,
  [SMALL_STATE(13337)] = 651366,
  [SMALL_STATE(13338)] = 651402,
  [SMALL_STATE(13339)] = 651450,
  [SMALL_STATE(13340)] = 651486,
  [SMALL_STATE(13341)] = 651530,
  [SMALL_STATE(13342)] = 651562,
  [SMALL_STATE(13343)] = 651598,
  [SMALL_STATE(13344)] = 651634,
  [SMALL_STATE(13345)] = 651670,
  [SMALL_STATE(13346)] = 651714,
  [SMALL_STATE(13347)] = 651748,
  [SMALL_STATE(13348)] = 651796,
  [SMALL_STATE(13349)] = 651828,
  [SMALL_STATE(13350)] = 651876,
  [SMALL_STATE(13351)] = 651936,
  [SMALL_STATE(13352)] = 651972,
  [SMALL_STATE(13353)] = 652008,
  [SMALL_STATE(13354)] = 652058,
  [SMALL_STATE(13355)] = 652094,
  [SMALL_STATE(13356)] = 652144,
  [SMALL_STATE(13357)] = 652180,
  [SMALL_STATE(13358)] = 652214,
  [SMALL_STATE(13359)] = 652250,
  [SMALL_STATE(13360)] = 652304,
  [SMALL_STATE(13361)] = 652352,
  [SMALL_STATE(13362)] = 652400,
  [SMALL_STATE(13363)] = 652448,
  [SMALL_STATE(13364)] = 652484,
  [SMALL_STATE(13365)] = 652538,
  [SMALL_STATE(13366)] = 652574,
  [SMALL_STATE(13367)] = 652628,
  [SMALL_STATE(13368)] = 652664,
  [SMALL_STATE(13369)] = 652718,
  [SMALL_STATE(13370)] = 652766,
  [SMALL_STATE(13371)] = 652820,
  [SMALL_STATE(13372)] = 652868,
  [SMALL_STATE(13373)] = 652900,
  [SMALL_STATE(13374)] = 652938,
  [SMALL_STATE(13375)] = 652992,
  [SMALL_STATE(13376)] = 653048,
  [SMALL_STATE(13377)] = 653098,
  [SMALL_STATE(13378)] = 653152,
  [SMALL_STATE(13379)] = 653200,
  [SMALL_STATE(13380)] = 653244,
  [SMALL_STATE(13381)] = 653280,
  [SMALL_STATE(13382)] = 653324,
  [SMALL_STATE(13383)] = 653360,
  [SMALL_STATE(13384)] = 653396,
  [SMALL_STATE(13385)] = 653432,
  [SMALL_STATE(13386)] = 653466,
  [SMALL_STATE(13387)] = 653502,
  [SMALL_STATE(13388)] = 653550,
  [SMALL_STATE(13389)] = 653586,
  [SMALL_STATE(13390)] = 653618,
  [SMALL_STATE(13391)] = 653650,
  [SMALL_STATE(13392)] = 653682,
  [SMALL_STATE(13393)] = 653724,
  [SMALL_STATE(13394)] = 653760,
  [SMALL_STATE(13395)] = 653792,
  [SMALL_STATE(13396)] = 653828,
  [SMALL_STATE(13397)] = 653862,
  [SMALL_STATE(13398)] = 653916,
  [SMALL_STATE(13399)] = 653954,
  [SMALL_STATE(13400)] = 654008,
  [SMALL_STATE(13401)] = 654058,
  [SMALL_STATE(13402)] = 654106,
  [SMALL_STATE(13403)] = 654154,
  [SMALL_STATE(13404)] = 654198,
  [SMALL_STATE(13405)] = 654242,
  [SMALL_STATE(13406)] = 654278,
  [SMALL_STATE(13407)] = 654314,
  [SMALL_STATE(13408)] = 654356,
  [SMALL_STATE(13409)] = 654404,
  [SMALL_STATE(13410)] = 654442,
  [SMALL_STATE(13411)] = 654492,
  [SMALL_STATE(13412)] = 654534,
  [SMALL_STATE(13413)] = 654584,
  [SMALL_STATE(13414)] = 654622,
  [SMALL_STATE(13415)] = 654654,
  [SMALL_STATE(13416)] = 654702,
  [SMALL_STATE(13417)] = 654738,
  [SMALL_STATE(13418)] = 654774,
  [SMALL_STATE(13419)] = 654810,
  [SMALL_STATE(13420)] = 654858,
  [SMALL_STATE(13421)] = 654906,
  [SMALL_STATE(13422)] = 654954,
  [SMALL_STATE(13423)] = 654996,
  [SMALL_STATE(13424)] = 655028,
  [SMALL_STATE(13425)] = 655084,
  [SMALL_STATE(13426)] = 655120,
  [SMALL_STATE(13427)] = 655168,
  [SMALL_STATE(13428)] = 655206,
  [SMALL_STATE(13429)] = 655238,
  [SMALL_STATE(13430)] = 655286,
  [SMALL_STATE(13431)] = 655334,
  [SMALL_STATE(13432)] = 655382,
  [SMALL_STATE(13433)] = 655430,
  [SMALL_STATE(13434)] = 655478,
  [SMALL_STATE(13435)] = 655514,
  [SMALL_STATE(13436)] = 655574,
  [SMALL_STATE(13437)] = 655608,
  [SMALL_STATE(13438)] = 655644,
  [SMALL_STATE(13439)] = 655678,
  [SMALL_STATE(13440)] = 655714,
  [SMALL_STATE(13441)] = 655762,
  [SMALL_STATE(13442)] = 655810,
  [SMALL_STATE(13443)] = 655846,
  [SMALL_STATE(13444)] = 655894,
  [SMALL_STATE(13445)] = 655930,
  [SMALL_STATE(13446)] = 655962,
  [SMALL_STATE(13447)] = 656010,
  [SMALL_STATE(13448)] = 656044,
  [SMALL_STATE(13449)] = 656092,
  [SMALL_STATE(13450)] = 656124,
  [SMALL_STATE(13451)] = 656158,
  [SMALL_STATE(13452)] = 656194,
  [SMALL_STATE(13453)] = 656244,
  [SMALL_STATE(13454)] = 656286,
  [SMALL_STATE(13455)] = 656328,
  [SMALL_STATE(13456)] = 656364,
  [SMALL_STATE(13457)] = 656400,
  [SMALL_STATE(13458)] = 656436,
  [SMALL_STATE(13459)] = 656472,
  [SMALL_STATE(13460)] = 656526,
  [SMALL_STATE(13461)] = 656562,
  [SMALL_STATE(13462)] = 656598,
  [SMALL_STATE(13463)] = 656642,
  [SMALL_STATE(13464)] = 656678,
  [SMALL_STATE(13465)] = 656726,
  [SMALL_STATE(13466)] = 656780,
  [SMALL_STATE(13467)] = 656816,
  [SMALL_STATE(13468)] = 656870,
  [SMALL_STATE(13469)] = 656908,
  [SMALL_STATE(13470)] = 656944,
  [SMALL_STATE(13471)] = 656998,
  [SMALL_STATE(13472)] = 657048,
  [SMALL_STATE(13473)] = 657102,
  [SMALL_STATE(13474)] = 657150,
  [SMALL_STATE(13475)] = 657194,
  [SMALL_STATE(13476)] = 657238,
  [SMALL_STATE(13477)] = 657274,
  [SMALL_STATE(13478)] = 657310,
  [SMALL_STATE(13479)] = 657366,
  [SMALL_STATE(13480)] = 657420,
  [SMALL_STATE(13481)] = 657456,
  [SMALL_STATE(13482)] = 657492,
  [SMALL_STATE(13483)] = 657526,
  [SMALL_STATE(13484)] = 657562,
  [SMALL_STATE(13485)] = 657604,
  [SMALL_STATE(13486)] = 657654,
  [SMALL_STATE(13487)] = 657688,
  [SMALL_STATE(13488)] = 657724,
  [SMALL_STATE(13489)] = 657758,
  [SMALL_STATE(13490)] = 657802,
  [SMALL_STATE(13491)] = 657838,
  [SMALL_STATE(13492)] = 657872,
  [SMALL_STATE(13493)] = 657908,
  [SMALL_STATE(13494)] = 657940,
  [SMALL_STATE(13495)] = 657976,
  [SMALL_STATE(13496)] = 658012,
  [SMALL_STATE(13497)] = 658048,
  [SMALL_STATE(13498)] = 658096,
  [SMALL_STATE(13499)] = 658146,
  [SMALL_STATE(13500)] = 658200,
  [SMALL_STATE(13501)] = 658238,
  [SMALL_STATE(13502)] = 658274,
  [SMALL_STATE(13503)] = 658308,
  [SMALL_STATE(13504)] = 658362,
  [SMALL_STATE(13505)] = 658416,
  [SMALL_STATE(13506)] = 658452,
  [SMALL_STATE(13507)] = 658484,
  [SMALL_STATE(13508)] = 658516,
  [SMALL_STATE(13509)] = 658564,
  [SMALL_STATE(13510)] = 658596,
  [SMALL_STATE(13511)] = 658656,
  [SMALL_STATE(13512)] = 658704,
  [SMALL_STATE(13513)] = 658738,
  [SMALL_STATE(13514)] = 658772,
  [SMALL_STATE(13515)] = 658808,
  [SMALL_STATE(13516)] = 658856,
  [SMALL_STATE(13517)] = 658910,
  [SMALL_STATE(13518)] = 658948,
  [SMALL_STATE(13519)] = 658996,
  [SMALL_STATE(13520)] = 659034,
  [SMALL_STATE(13521)] = 659072,
  [SMALL_STATE(13522)] = 659120,
  [SMALL_STATE(13523)] = 659174,
  [SMALL_STATE(13524)] = 659212,
  [SMALL_STATE(13525)] = 659262,
  [SMALL_STATE(13526)] = 659310,
  [SMALL_STATE(13527)] = 659358,
  [SMALL_STATE(13528)] = 659390,
  [SMALL_STATE(13529)] = 659426,
  [SMALL_STATE(13530)] = 659462,
  [SMALL_STATE(13531)] = 659506,
  [SMALL_STATE(13532)] = 659554,
  [SMALL_STATE(13533)] = 659598,
  [SMALL_STATE(13534)] = 659654,
  [SMALL_STATE(13535)] = 659702,
  [SMALL_STATE(13536)] = 659734,
  [SMALL_STATE(13537)] = 659788,
  [SMALL_STATE(13538)] = 659824,
  [SMALL_STATE(13539)] = 659860,
  [SMALL_STATE(13540)] = 659896,
  [SMALL_STATE(13541)] = 659932,
  [SMALL_STATE(13542)] = 659968,
  [SMALL_STATE(13543)] = 660018,
  [SMALL_STATE(13544)] = 660074,
  [SMALL_STATE(13545)] = 660122,
  [SMALL_STATE(13546)] = 660182,
  [SMALL_STATE(13547)] = 660224,
  [SMALL_STATE(13548)] = 660272,
  [SMALL_STATE(13549)] = 660320,
  [SMALL_STATE(13550)] = 660356,
  [SMALL_STATE(13551)] = 660392,
  [SMALL_STATE(13552)] = 660428,
  [SMALL_STATE(13553)] = 660476,
  [SMALL_STATE(13554)] = 660508,
  [SMALL_STATE(13555)] = 660556,
  [SMALL_STATE(13556)] = 660606,
  [SMALL_STATE(13557)] = 660656,
  [SMALL_STATE(13558)] = 660688,
  [SMALL_STATE(13559)] = 660736,
  [SMALL_STATE(13560)] = 660768,
  [SMALL_STATE(13561)] = 660800,
  [SMALL_STATE(13562)] = 660848,
  [SMALL_STATE(13563)] = 660896,
  [SMALL_STATE(13564)] = 660944,
  [SMALL_STATE(13565)] = 660980,
  [SMALL_STATE(13566)] = 661028,
  [SMALL_STATE(13567)] = 661076,
  [SMALL_STATE(13568)] = 661112,
  [SMALL_STATE(13569)] = 661161,
  [SMALL_STATE(13570)] = 661200,
  [SMALL_STATE(13571)] = 661255,
  [SMALL_STATE(13572)] = 661286,
  [SMALL_STATE(13573)] = 661341,
  [SMALL_STATE(13574)] = 661372,
  [SMALL_STATE(13575)] = 661427,
  [SMALL_STATE(13576)] = 661468,
  [SMALL_STATE(13577)] = 661521,
  [SMALL_STATE(13578)] = 661574,
  [SMALL_STATE(13579)] = 661611,
  [SMALL_STATE(13580)] = 661664,
  [SMALL_STATE(13581)] = 661713,
  [SMALL_STATE(13582)] = 661760,
  [SMALL_STATE(13583)] = 661793,
  [SMALL_STATE(13584)] = 661836,
  [SMALL_STATE(13585)] = 661877,
  [SMALL_STATE(13586)] = 661920,
  [SMALL_STATE(13587)] = 661955,
  [SMALL_STATE(13588)] = 661990,
  [SMALL_STATE(13589)] = 662031,
  [SMALL_STATE(13590)] = 662080,
  [SMALL_STATE(13591)] = 662133,
  [SMALL_STATE(13592)] = 662166,
  [SMALL_STATE(13593)] = 662197,
  [SMALL_STATE(13594)] = 662246,
  [SMALL_STATE(13595)] = 662301,
  [SMALL_STATE(13596)] = 662342,
  [SMALL_STATE(13597)] = 662397,
  [SMALL_STATE(13598)] = 662438,
  [SMALL_STATE(13599)] = 662481,
  [SMALL_STATE(13600)] = 662512,
  [SMALL_STATE(13601)] = 662567,
  [SMALL_STATE(13602)] = 662598,
  [SMALL_STATE(13603)] = 662639,
  [SMALL_STATE(13604)] = 662692,
  [SMALL_STATE(13605)] = 662747,
  [SMALL_STATE(13606)] = 662800,
  [SMALL_STATE(13607)] = 662855,
  [SMALL_STATE(13608)] = 662892,
  [SMALL_STATE(13609)] = 662947,
  [SMALL_STATE(13610)] = 663000,
  [SMALL_STATE(13611)] = 663031,
  [SMALL_STATE(13612)] = 663066,
  [SMALL_STATE(13613)] = 663113,
  [SMALL_STATE(13614)] = 663168,
  [SMALL_STATE(13615)] = 663199,
  [SMALL_STATE(13616)] = 663242,
  [SMALL_STATE(13617)] = 663285,
  [SMALL_STATE(13618)] = 663320,
  [SMALL_STATE(13619)] = 663355,
  [SMALL_STATE(13620)] = 663396,
  [SMALL_STATE(13621)] = 663437,
  [SMALL_STATE(13622)] = 663478,
  [SMALL_STATE(13623)] = 663527,
  [SMALL_STATE(13624)] = 663558,
  [SMALL_STATE(13625)] = 663599,
  [SMALL_STATE(13626)] = 663630,
  [SMALL_STATE(13627)] = 663661,
  [SMALL_STATE(13628)] = 663702,
  [SMALL_STATE(13629)] = 663733,
  [SMALL_STATE(13630)] = 663774,
  [SMALL_STATE(13631)] = 663817,
  [SMALL_STATE(13632)] = 663858,
  [SMALL_STATE(13633)] = 663911,
  [SMALL_STATE(13634)] = 663952,
  [SMALL_STATE(13635)] = 663983,
  [SMALL_STATE(13636)] = 664030,
  [SMALL_STATE(13637)] = 664071,
  [SMALL_STATE(13638)] = 664102,
  [SMALL_STATE(13639)] = 664143,
  [SMALL_STATE(13640)] = 664174,
  [SMALL_STATE(13641)] = 664215,
  [SMALL_STATE(13642)] = 664256,
  [SMALL_STATE(13643)] = 664291,
  [SMALL_STATE(13644)] = 664326,
  [SMALL_STATE(13645)] = 664367,
  [SMALL_STATE(13646)] = 664408,
  [SMALL_STATE(13647)] = 664463,
  [SMALL_STATE(13648)] = 664516,
  [SMALL_STATE(13649)] = 664557,
  [SMALL_STATE(13650)] = 664588,
  [SMALL_STATE(13651)] = 664631,
  [SMALL_STATE(13652)] = 664672,
  [SMALL_STATE(13653)] = 664715,
  [SMALL_STATE(13654)] = 664750,
  [SMALL_STATE(13655)] = 664791,
  [SMALL_STATE(13656)] = 664838,
  [SMALL_STATE(13657)] = 664885,
  [SMALL_STATE(13658)] = 664936,
  [SMALL_STATE(13659)] = 664991,
  [SMALL_STATE(13660)] = 665032,
  [SMALL_STATE(13661)] = 665069,
  [SMALL_STATE(13662)] = 665120,
  [SMALL_STATE(13663)] = 665173,
  [SMALL_STATE(13664)] = 665228,
  [SMALL_STATE(13665)] = 665263,
  [SMALL_STATE(13666)] = 665318,
  [SMALL_STATE(13667)] = 665355,
  [SMALL_STATE(13668)] = 665410,
  [SMALL_STATE(13669)] = 665461,
  [SMALL_STATE(13670)] = 665502,
  [SMALL_STATE(13671)] = 665555,
  [SMALL_STATE(13672)] = 665608,
  [SMALL_STATE(13673)] = 665663,
  [SMALL_STATE(13674)] = 665714,
  [SMALL_STATE(13675)] = 665745,
  [SMALL_STATE(13676)] = 665792,
  [SMALL_STATE(13677)] = 665829,
  [SMALL_STATE(13678)] = 665884,
  [SMALL_STATE(13679)] = 665937,
  [SMALL_STATE(13680)] = 665986,
  [SMALL_STATE(13681)] = 666041,
  [SMALL_STATE(13682)] = 666088,
  [SMALL_STATE(13683)] = 666135,
  [SMALL_STATE(13684)] = 666178,
  [SMALL_STATE(13685)] = 666219,
  [SMALL_STATE(13686)] = 666254,
  [SMALL_STATE(13687)] = 666289,
  [SMALL_STATE(13688)] = 666332,
  [SMALL_STATE(13689)] = 666375,
  [SMALL_STATE(13690)] = 666416,
  [SMALL_STATE(13691)] = 666457,
  [SMALL_STATE(13692)] = 666492,
  [SMALL_STATE(13693)] = 666527,
  [SMALL_STATE(13694)] = 666562,
  [SMALL_STATE(13695)] = 666603,
  [SMALL_STATE(13696)] = 666638,
  [SMALL_STATE(13697)] = 666673,
  [SMALL_STATE(13698)] = 666708,
  [SMALL_STATE(13699)] = 666763,
  [SMALL_STATE(13700)] = 666804,
  [SMALL_STATE(13701)] = 666837,
  [SMALL_STATE(13702)] = 666886,
  [SMALL_STATE(13703)] = 666935,
  [SMALL_STATE(13704)] = 666990,
  [SMALL_STATE(13705)] = 667025,
  [SMALL_STATE(13706)] = 667066,
  [SMALL_STATE(13707)] = 667101,
  [SMALL_STATE(13708)] = 667156,
  [SMALL_STATE(13709)] = 667199,
  [SMALL_STATE(13710)] = 667240,
  [SMALL_STATE(13711)] = 667271,
  [SMALL_STATE(13712)] = 667326,
  [SMALL_STATE(13713)] = 667369,
  [SMALL_STATE(13714)] = 667420,
  [SMALL_STATE(13715)] = 667467,
  [SMALL_STATE(13716)] = 667520,
  [SMALL_STATE(13717)] = 667561,
  [SMALL_STATE(13718)] = 667616,
  [SMALL_STATE(13719)] = 667669,
  [SMALL_STATE(13720)] = 667710,
  [SMALL_STATE(13721)] = 667747,
  [SMALL_STATE(13722)] = 667800,
  [SMALL_STATE(13723)] = 667841,
  [SMALL_STATE(13724)] = 667890,
  [SMALL_STATE(13725)] = 667937,
  [SMALL_STATE(13726)] = 667980,
  [SMALL_STATE(13727)] = 668023,
  [SMALL_STATE(13728)] = 668058,
  [SMALL_STATE(13729)] = 668093,
  [SMALL_STATE(13730)] = 668134,
  [SMALL_STATE(13731)] = 668183,
  [SMALL_STATE(13732)] = 668218,
  [SMALL_STATE(13733)] = 668251,
  [SMALL_STATE(13734)] = 668306,
  [SMALL_STATE(13735)] = 668361,
  [SMALL_STATE(13736)] = 668412,
  [SMALL_STATE(13737)] = 668449,
  [SMALL_STATE(13738)] = 668504,
  [SMALL_STATE(13739)] = 668557,
  [SMALL_STATE(13740)] = 668608,
  [SMALL_STATE(13741)] = 668655,
  [SMALL_STATE(13742)] = 668710,
  [SMALL_STATE(13743)] = 668751,
  [SMALL_STATE(13744)] = 668798,
  [SMALL_STATE(13745)] = 668831,
  [SMALL_STATE(13746)] = 668872,
  [SMALL_STATE(13747)] = 668927,
  [SMALL_STATE(13748)] = 668970,
  [SMALL_STATE(13749)] = 669011,
  [SMALL_STATE(13750)] = 669066,
  [SMALL_STATE(13751)] = 669107,
  [SMALL_STATE(13752)] = 669150,
  [SMALL_STATE(13753)] = 669191,
  [SMALL_STATE(13754)] = 669226,
  [SMALL_STATE(13755)] = 669259,
  [SMALL_STATE(13756)] = 669294,
  [SMALL_STATE(13757)] = 669329,
  [SMALL_STATE(13758)] = 669384,
  [SMALL_STATE(13759)] = 669439,
  [SMALL_STATE(13760)] = 669480,
  [SMALL_STATE(13761)] = 669527,
  [SMALL_STATE(13762)] = 669560,
  [SMALL_STATE(13763)] = 669611,
  [SMALL_STATE(13764)] = 669666,
  [SMALL_STATE(13765)] = 669701,
  [SMALL_STATE(13766)] = 669756,
  [SMALL_STATE(13767)] = 669791,
  [SMALL_STATE(13768)] = 669846,
  [SMALL_STATE(13769)] = 669901,
  [SMALL_STATE(13770)] = 669952,
  [SMALL_STATE(13771)] = 669987,
  [SMALL_STATE(13772)] = 670034,
  [SMALL_STATE(13773)] = 670075,
  [SMALL_STATE(13774)] = 670114,
  [SMALL_STATE(13775)] = 670169,
  [SMALL_STATE(13776)] = 670204,
  [SMALL_STATE(13777)] = 670241,
  [SMALL_STATE(13778)] = 670296,
  [SMALL_STATE(13779)] = 670329,
  [SMALL_STATE(13780)] = 670370,
  [SMALL_STATE(13781)] = 670425,
  [SMALL_STATE(13782)] = 670476,
  [SMALL_STATE(13783)] = 670511,
  [SMALL_STATE(13784)] = 670546,
  [SMALL_STATE(13785)] = 670601,
  [SMALL_STATE(13786)] = 670636,
  [SMALL_STATE(13787)] = 670691,
  [SMALL_STATE(13788)] = 670746,
  [SMALL_STATE(13789)] = 670781,
  [SMALL_STATE(13790)] = 670836,
  [SMALL_STATE(13791)] = 670867,
  [SMALL_STATE(13792)] = 670922,
  [SMALL_STATE(13793)] = 670977,
  [SMALL_STATE(13794)] = 671018,
  [SMALL_STATE(13795)] = 671059,
  [SMALL_STATE(13796)] = 671114,
  [SMALL_STATE(13797)] = 671155,
  [SMALL_STATE(13798)] = 671210,
  [SMALL_STATE(13799)] = 671265,
  [SMALL_STATE(13800)] = 671306,
  [SMALL_STATE(13801)] = 671361,
  [SMALL_STATE(13802)] = 671416,
  [SMALL_STATE(13803)] = 671471,
  [SMALL_STATE(13804)] = 671502,
  [SMALL_STATE(13805)] = 671557,
  [SMALL_STATE(13806)] = 671612,
  [SMALL_STATE(13807)] = 671667,
  [SMALL_STATE(13808)] = 671700,
  [SMALL_STATE(13809)] = 671741,
  [SMALL_STATE(13810)] = 671796,
  [SMALL_STATE(13811)] = 671831,
  [SMALL_STATE(13812)] = 671884,
  [SMALL_STATE(13813)] = 671935,
  [SMALL_STATE(13814)] = 671970,
  [SMALL_STATE(13815)] = 672003,
  [SMALL_STATE(13816)] = 672038,
  [SMALL_STATE(13817)] = 672093,
  [SMALL_STATE(13818)] = 672124,
  [SMALL_STATE(13819)] = 672179,
  [SMALL_STATE(13820)] = 672214,
  [SMALL_STATE(13821)] = 672249,
  [SMALL_STATE(13822)] = 672292,
  [SMALL_STATE(13823)] = 672347,
  [SMALL_STATE(13824)] = 672382,
  [SMALL_STATE(13825)] = 672437,
  [SMALL_STATE(13826)] = 672478,
  [SMALL_STATE(13827)] = 672509,
  [SMALL_STATE(13828)] = 672540,
  [SMALL_STATE(13829)] = 672595,
  [SMALL_STATE(13830)] = 672636,
  [SMALL_STATE(13831)] = 672677,
  [SMALL_STATE(13832)] = 672708,
  [SMALL_STATE(13833)] = 672739,
  [SMALL_STATE(13834)] = 672770,
  [SMALL_STATE(13835)] = 672825,
  [SMALL_STATE(13836)] = 672866,
  [SMALL_STATE(13837)] = 672901,
  [SMALL_STATE(13838)] = 672956,
  [SMALL_STATE(13839)] = 673011,
  [SMALL_STATE(13840)] = 673066,
  [SMALL_STATE(13841)] = 673097,
  [SMALL_STATE(13842)] = 673138,
  [SMALL_STATE(13843)] = 673179,
  [SMALL_STATE(13844)] = 673210,
  [SMALL_STATE(13845)] = 673241,
  [SMALL_STATE(13846)] = 673296,
  [SMALL_STATE(13847)] = 673329,
  [SMALL_STATE(13848)] = 673370,
  [SMALL_STATE(13849)] = 673425,
  [SMALL_STATE(13850)] = 673480,
  [SMALL_STATE(13851)] = 673535,
  [SMALL_STATE(13852)] = 673566,
  [SMALL_STATE(13853)] = 673597,
  [SMALL_STATE(13854)] = 673632,
  [SMALL_STATE(13855)] = 673665,
  [SMALL_STATE(13856)] = 673700,
  [SMALL_STATE(13857)] = 673749,
  [SMALL_STATE(13858)] = 673804,
  [SMALL_STATE(13859)] = 673845,
  [SMALL_STATE(13860)] = 673900,
  [SMALL_STATE(13861)] = 673935,
  [SMALL_STATE(13862)] = 673966,
  [SMALL_STATE(13863)] = 674001,
  [SMALL_STATE(13864)] = 674034,
  [SMALL_STATE(13865)] = 674069,
  [SMALL_STATE(13866)] = 674112,
  [SMALL_STATE(13867)] = 674167,
  [SMALL_STATE(13868)] = 674222,
  [SMALL_STATE(13869)] = 674265,
  [SMALL_STATE(13870)] = 674300,
  [SMALL_STATE(13871)] = 674347,
  [SMALL_STATE(13872)] = 674402,
  [SMALL_STATE(13873)] = 674451,
  [SMALL_STATE(13874)] = 674502,
  [SMALL_STATE(13875)] = 674555,
  [SMALL_STATE(13876)] = 674592,
  [SMALL_STATE(13877)] = 674645,
  [SMALL_STATE(13878)] = 674676,
  [SMALL_STATE(13879)] = 674711,
  [SMALL_STATE(13880)] = 674744,
  [SMALL_STATE(13881)] = 674777,
  [SMALL_STATE(13882)] = 674818,
  [SMALL_STATE(13883)] = 674871,
  [SMALL_STATE(13884)] = 674906,
  [SMALL_STATE(13885)] = 674941,
  [SMALL_STATE(13886)] = 674976,
  [SMALL_STATE(13887)] = 675017,
  [SMALL_STATE(13888)] = 675072,
  [SMALL_STATE(13889)] = 675113,
  [SMALL_STATE(13890)] = 675168,
  [SMALL_STATE(13891)] = 675223,
  [SMALL_STATE(13892)] = 675278,
  [SMALL_STATE(13893)] = 675311,
  [SMALL_STATE(13894)] = 675344,
  [SMALL_STATE(13895)] = 675399,
  [SMALL_STATE(13896)] = 675434,
  [SMALL_STATE(13897)] = 675489,
  [SMALL_STATE(13898)] = 675544,
  [SMALL_STATE(13899)] = 675585,
  [SMALL_STATE(13900)] = 675620,
  [SMALL_STATE(13901)] = 675653,
  [SMALL_STATE(13902)] = 675708,
  [SMALL_STATE(13903)] = 675763,
  [SMALL_STATE(13904)] = 675806,
  [SMALL_STATE(13905)] = 675839,
  [SMALL_STATE(13906)] = 675880,
  [SMALL_STATE(13907)] = 675913,
  [SMALL_STATE(13908)] = 675968,
  [SMALL_STATE(13909)] = 676023,
  [SMALL_STATE(13910)] = 676058,
  [SMALL_STATE(13911)] = 676093,
  [SMALL_STATE(13912)] = 676128,
  [SMALL_STATE(13913)] = 676179,
  [SMALL_STATE(13914)] = 676220,
  [SMALL_STATE(13915)] = 676255,
  [SMALL_STATE(13916)] = 676296,
  [SMALL_STATE(13917)] = 676337,
  [SMALL_STATE(13918)] = 676372,
  [SMALL_STATE(13919)] = 676405,
  [SMALL_STATE(13920)] = 676440,
  [SMALL_STATE(13921)] = 676495,
  [SMALL_STATE(13922)] = 676526,
  [SMALL_STATE(13923)] = 676579,
  [SMALL_STATE(13924)] = 676634,
  [SMALL_STATE(13925)] = 676681,
  [SMALL_STATE(13926)] = 676716,
  [SMALL_STATE(13927)] = 676771,
  [SMALL_STATE(13928)] = 676826,
  [SMALL_STATE(13929)] = 676881,
  [SMALL_STATE(13930)] = 676936,
  [SMALL_STATE(13931)] = 676991,
  [SMALL_STATE(13932)] = 677032,
  [SMALL_STATE(13933)] = 677067,
  [SMALL_STATE(13934)] = 677122,
  [SMALL_STATE(13935)] = 677163,
  [SMALL_STATE(13936)] = 677218,
  [SMALL_STATE(13937)] = 677273,
  [SMALL_STATE(13938)] = 677314,
  [SMALL_STATE(13939)] = 677349,
  [SMALL_STATE(13940)] = 677382,
  [SMALL_STATE(13941)] = 677423,
  [SMALL_STATE(13942)] = 677466,
  [SMALL_STATE(13943)] = 677521,
  [SMALL_STATE(13944)] = 677576,
  [SMALL_STATE(13945)] = 677619,
  [SMALL_STATE(13946)] = 677660,
  [SMALL_STATE(13947)] = 677707,
  [SMALL_STATE(13948)] = 677762,
  [SMALL_STATE(13949)] = 677809,
  [SMALL_STATE(13950)] = 677860,
  [SMALL_STATE(13951)] = 677897,
  [SMALL_STATE(13952)] = 677948,
  [SMALL_STATE(13953)] = 677983,
  [SMALL_STATE(13954)] = 678038,
  [SMALL_STATE(13955)] = 678073,
  [SMALL_STATE(13956)] = 678124,
  [SMALL_STATE(13957)] = 678165,
  [SMALL_STATE(13958)] = 678200,
  [SMALL_STATE(13959)] = 678241,
  [SMALL_STATE(13960)] = 678276,
  [SMALL_STATE(13961)] = 678331,
  [SMALL_STATE(13962)] = 678386,
  [SMALL_STATE(13963)] = 678419,
  [SMALL_STATE(13964)] = 678454,
  [SMALL_STATE(13965)] = 678495,
  [SMALL_STATE(13966)] = 678550,
  [SMALL_STATE(13967)] = 678585,
  [SMALL_STATE(13968)] = 678618,
  [SMALL_STATE(13969)] = 678673,
  [SMALL_STATE(13970)] = 678708,
  [SMALL_STATE(13971)] = 678749,
  [SMALL_STATE(13972)] = 678804,
  [SMALL_STATE(13973)] = 678845,
  [SMALL_STATE(13974)] = 678900,
  [SMALL_STATE(13975)] = 678955,
  [SMALL_STATE(13976)] = 679010,
  [SMALL_STATE(13977)] = 679063,
  [SMALL_STATE(13978)] = 679118,
  [SMALL_STATE(13979)] = 679166,
  [SMALL_STATE(13980)] = 679214,
  [SMALL_STATE(13981)] = 679264,
  [SMALL_STATE(13982)] = 679314,
  [SMALL_STATE(13983)] = 679350,
  [SMALL_STATE(13984)] = 679380,
  [SMALL_STATE(13985)] = 679430,
  [SMALL_STATE(13986)] = 679476,
  [SMALL_STATE(13987)] = 679524,
  [SMALL_STATE(13988)] = 679572,
  [SMALL_STATE(13989)] = 679620,
  [SMALL_STATE(13990)] = 679652,
  [SMALL_STATE(13991)] = 679700,
  [SMALL_STATE(13992)] = 679730,
  [SMALL_STATE(13993)] = 679762,
  [SMALL_STATE(13994)] = 679792,
  [SMALL_STATE(13995)] = 679840,
  [SMALL_STATE(13996)] = 679872,
  [SMALL_STATE(13997)] = 679902,
  [SMALL_STATE(13998)] = 679950,
  [SMALL_STATE(13999)] = 680002,
  [SMALL_STATE(14000)] = 680048,
  [SMALL_STATE(14001)] = 680078,
  [SMALL_STATE(14002)] = 680126,
  [SMALL_STATE(14003)] = 680166,
  [SMALL_STATE(14004)] = 680196,
  [SMALL_STATE(14005)] = 680228,
  [SMALL_STATE(14006)] = 680278,
  [SMALL_STATE(14007)] = 680308,
  [SMALL_STATE(14008)] = 680356,
  [SMALL_STATE(14009)] = 680388,
  [SMALL_STATE(14010)] = 680422,
  [SMALL_STATE(14011)] = 680456,
  [SMALL_STATE(14012)] = 680486,
  [SMALL_STATE(14013)] = 680516,
  [SMALL_STATE(14014)] = 680546,
  [SMALL_STATE(14015)] = 680588,
  [SMALL_STATE(14016)] = 680624,
  [SMALL_STATE(14017)] = 680674,
  [SMALL_STATE(14018)] = 680720,
  [SMALL_STATE(14019)] = 680768,
  [SMALL_STATE(14020)] = 680814,
  [SMALL_STATE(14021)] = 680866,
  [SMALL_STATE(14022)] = 680908,
  [SMALL_STATE(14023)] = 680950,
  [SMALL_STATE(14024)] = 680980,
  [SMALL_STATE(14025)] = 681022,
  [SMALL_STATE(14026)] = 681054,
  [SMALL_STATE(14027)] = 681088,
  [SMALL_STATE(14028)] = 681142,
  [SMALL_STATE(14029)] = 681188,
  [SMALL_STATE(14030)] = 681222,
  [SMALL_STATE(14031)] = 681262,
  [SMALL_STATE(14032)] = 681308,
  [SMALL_STATE(14033)] = 681358,
  [SMALL_STATE(14034)] = 681388,
  [SMALL_STATE(14035)] = 681420,
  [SMALL_STATE(14036)] = 681456,
  [SMALL_STATE(14037)] = 681506,
  [SMALL_STATE(14038)] = 681554,
  [SMALL_STATE(14039)] = 681600,
  [SMALL_STATE(14040)] = 681650,
  [SMALL_STATE(14041)] = 681698,
  [SMALL_STATE(14042)] = 681746,
  [SMALL_STATE(14043)] = 681794,
  [SMALL_STATE(14044)] = 681842,
  [SMALL_STATE(14045)] = 681890,
  [SMALL_STATE(14046)] = 681938,
  [SMALL_STATE(14047)] = 681986,
  [SMALL_STATE(14048)] = 682032,
  [SMALL_STATE(14049)] = 682084,
  [SMALL_STATE(14050)] = 682130,
  [SMALL_STATE(14051)] = 682176,
  [SMALL_STATE(14052)] = 682206,
  [SMALL_STATE(14053)] = 682236,
  [SMALL_STATE(14054)] = 682288,
  [SMALL_STATE(14055)] = 682320,
  [SMALL_STATE(14056)] = 682368,
  [SMALL_STATE(14057)] = 682416,
  [SMALL_STATE(14058)] = 682464,
  [SMALL_STATE(14059)] = 682496,
  [SMALL_STATE(14060)] = 682548,
  [SMALL_STATE(14061)] = 682578,
  [SMALL_STATE(14062)] = 682610,
  [SMALL_STATE(14063)] = 682640,
  [SMALL_STATE(14064)] = 682688,
  [SMALL_STATE(14065)] = 682720,
  [SMALL_STATE(14066)] = 682750,
  [SMALL_STATE(14067)] = 682780,
  [SMALL_STATE(14068)] = 682832,
  [SMALL_STATE(14069)] = 682862,
  [SMALL_STATE(14070)] = 682894,
  [SMALL_STATE(14071)] = 682942,
  [SMALL_STATE(14072)] = 682972,
  [SMALL_STATE(14073)] = 683020,
  [SMALL_STATE(14074)] = 683050,
  [SMALL_STATE(14075)] = 683098,
  [SMALL_STATE(14076)] = 683128,
  [SMALL_STATE(14077)] = 683176,
  [SMALL_STATE(14078)] = 683206,
  [SMALL_STATE(14079)] = 683256,
  [SMALL_STATE(14080)] = 683286,
  [SMALL_STATE(14081)] = 683318,
  [SMALL_STATE(14082)] = 683348,
  [SMALL_STATE(14083)] = 683378,
  [SMALL_STATE(14084)] = 683408,
  [SMALL_STATE(14085)] = 683456,
  [SMALL_STATE(14086)] = 683504,
  [SMALL_STATE(14087)] = 683554,
  [SMALL_STATE(14088)] = 683586,
  [SMALL_STATE(14089)] = 683634,
  [SMALL_STATE(14090)] = 683682,
  [SMALL_STATE(14091)] = 683732,
  [SMALL_STATE(14092)] = 683768,
  [SMALL_STATE(14093)] = 683798,
  [SMALL_STATE(14094)] = 683848,
  [SMALL_STATE(14095)] = 683896,
  [SMALL_STATE(14096)] = 683946,
  [SMALL_STATE(14097)] = 683978,
  [SMALL_STATE(14098)] = 684008,
  [SMALL_STATE(14099)] = 684048,
  [SMALL_STATE(14100)] = 684078,
  [SMALL_STATE(14101)] = 684108,
  [SMALL_STATE(14102)] = 684156,
  [SMALL_STATE(14103)] = 684186,
  [SMALL_STATE(14104)] = 684216,
  [SMALL_STATE(14105)] = 684268,
  [SMALL_STATE(14106)] = 684314,
  [SMALL_STATE(14107)] = 684344,
  [SMALL_STATE(14108)] = 684382,
  [SMALL_STATE(14109)] = 684422,
  [SMALL_STATE(14110)] = 684454,
  [SMALL_STATE(14111)] = 684500,
  [SMALL_STATE(14112)] = 684554,
  [SMALL_STATE(14113)] = 684596,
  [SMALL_STATE(14114)] = 684636,
  [SMALL_STATE(14115)] = 684678,
  [SMALL_STATE(14116)] = 684726,
  [SMALL_STATE(14117)] = 684760,
  [SMALL_STATE(14118)] = 684794,
  [SMALL_STATE(14119)] = 684846,
  [SMALL_STATE(14120)] = 684886,
  [SMALL_STATE(14121)] = 684916,
  [SMALL_STATE(14122)] = 684964,
  [SMALL_STATE(14123)] = 684996,
  [SMALL_STATE(14124)] = 685028,
  [SMALL_STATE(14125)] = 685076,
  [SMALL_STATE(14126)] = 685116,
  [SMALL_STATE(14127)] = 685146,
  [SMALL_STATE(14128)] = 685192,
  [SMALL_STATE(14129)] = 685222,
  [SMALL_STATE(14130)] = 685270,
  [SMALL_STATE(14131)] = 685302,
  [SMALL_STATE(14132)] = 685334,
  [SMALL_STATE(14133)] = 685374,
  [SMALL_STATE(14134)] = 685404,
  [SMALL_STATE(14135)] = 685452,
  [SMALL_STATE(14136)] = 685504,
  [SMALL_STATE(14137)] = 685536,
  [SMALL_STATE(14138)] = 685568,
  [SMALL_STATE(14139)] = 685616,
  [SMALL_STATE(14140)] = 685662,
  [SMALL_STATE(14141)] = 685708,
  [SMALL_STATE(14142)] = 685756,
  [SMALL_STATE(14143)] = 685804,
  [SMALL_STATE(14144)] = 685834,
  [SMALL_STATE(14145)] = 685866,
  [SMALL_STATE(14146)] = 685898,
  [SMALL_STATE(14147)] = 685938,
  [SMALL_STATE(14148)] = 685988,
  [SMALL_STATE(14149)] = 686024,
  [SMALL_STATE(14150)] = 686072,
  [SMALL_STATE(14151)] = 686120,
  [SMALL_STATE(14152)] = 686168,
  [SMALL_STATE(14153)] = 686218,
  [SMALL_STATE(14154)] = 686266,
  [SMALL_STATE(14155)] = 686316,
  [SMALL_STATE(14156)] = 686356,
  [SMALL_STATE(14157)] = 686388,
  [SMALL_STATE(14158)] = 686418,
  [SMALL_STATE(14159)] = 686450,
  [SMALL_STATE(14160)] = 686490,
  [SMALL_STATE(14161)] = 686522,
  [SMALL_STATE(14162)] = 686570,
  [SMALL_STATE(14163)] = 686618,
  [SMALL_STATE(14164)] = 686650,
  [SMALL_STATE(14165)] = 686696,
  [SMALL_STATE(14166)] = 686744,
  [SMALL_STATE(14167)] = 686776,
  [SMALL_STATE(14168)] = 686816,
  [SMALL_STATE(14169)] = 686846,
  [SMALL_STATE(14170)] = 686894,
  [SMALL_STATE(14171)] = 686940,
  [SMALL_STATE(14172)] = 686994,
  [SMALL_STATE(14173)] = 687024,
  [SMALL_STATE(14174)] = 687078,
  [SMALL_STATE(14175)] = 687126,
  [SMALL_STATE(14176)] = 687158,
  [SMALL_STATE(14177)] = 687206,
  [SMALL_STATE(14178)] = 687256,
  [SMALL_STATE(14179)] = 687308,
  [SMALL_STATE(14180)] = 687340,
  [SMALL_STATE(14181)] = 687372,
  [SMALL_STATE(14182)] = 687404,
  [SMALL_STATE(14183)] = 687444,
  [SMALL_STATE(14184)] = 687474,
  [SMALL_STATE(14185)] = 687506,
  [SMALL_STATE(14186)] = 687552,
  [SMALL_STATE(14187)] = 687584,
  [SMALL_STATE(14188)] = 687624,
  [SMALL_STATE(14189)] = 687658,
  [SMALL_STATE(14190)] = 687692,
  [SMALL_STATE(14191)] = 687724,
  [SMALL_STATE(14192)] = 687766,
  [SMALL_STATE(14193)] = 687808,
  [SMALL_STATE(14194)] = 687854,
  [SMALL_STATE(14195)] = 687900,
  [SMALL_STATE(14196)] = 687948,
  [SMALL_STATE(14197)] = 687980,
  [SMALL_STATE(14198)] = 688023,
  [SMALL_STATE(14199)] = 688054,
  [SMALL_STATE(14200)] = 688081,
  [SMALL_STATE(14201)] = 688118,
  [SMALL_STATE(14202)] = 688169,
  [SMALL_STATE(14203)] = 688220,
  [SMALL_STATE(14204)] = 688271,
  [SMALL_STATE(14205)] = 688322,
  [SMALL_STATE(14206)] = 688373,
  [SMALL_STATE(14207)] = 688424,
  [SMALL_STATE(14208)] = 688451,
  [SMALL_STATE(14209)] = 688478,
  [SMALL_STATE(14210)] = 688515,
  [SMALL_STATE(14211)] = 688566,
  [SMALL_STATE(14212)] = 688603,
  [SMALL_STATE(14213)] = 688640,
  [SMALL_STATE(14214)] = 688691,
  [SMALL_STATE(14215)] = 688742,
  [SMALL_STATE(14216)] = 688793,
  [SMALL_STATE(14217)] = 688824,
  [SMALL_STATE(14218)] = 688857,
  [SMALL_STATE(14219)] = 688886,
  [SMALL_STATE(14220)] = 688929,
  [SMALL_STATE(14221)] = 688980,
  [SMALL_STATE(14222)] = 689031,
  [SMALL_STATE(14223)] = 689074,
  [SMALL_STATE(14224)] = 689101,
  [SMALL_STATE(14225)] = 689138,
  [SMALL_STATE(14226)] = 689166,
  [SMALL_STATE(14227)] = 689194,
  [SMALL_STATE(14228)] = 689222,
  [SMALL_STATE(14229)] = 689250,
  [SMALL_STATE(14230)] = 689278,
  [SMALL_STATE(14231)] = 689306,
  [SMALL_STATE(14232)] = 689340,
  [SMALL_STATE(14233)] = 689368,
  [SMALL_STATE(14234)] = 689396,
  [SMALL_STATE(14235)] = 689424,
  [SMALL_STATE(14236)] = 689452,
  [SMALL_STATE(14237)] = 689480,
  [SMALL_STATE(14238)] = 689526,
  [SMALL_STATE(14239)] = 689554,
  [SMALL_STATE(14240)] = 689582,
  [SMALL_STATE(14241)] = 689610,
  [SMALL_STATE(14242)] = 689644,
  [SMALL_STATE(14243)] = 689686,
  [SMALL_STATE(14244)] = 689714,
  [SMALL_STATE(14245)] = 689742,
  [SMALL_STATE(14246)] = 689770,
  [SMALL_STATE(14247)] = 689804,
  [SMALL_STATE(14248)] = 689838,
  [SMALL_STATE(14249)] = 689866,
  [SMALL_STATE(14250)] = 689894,
  [SMALL_STATE(14251)] = 689940,
  [SMALL_STATE(14252)] = 689986,
  [SMALL_STATE(14253)] = 690014,
  [SMALL_STATE(14254)] = 690042,
  [SMALL_STATE(14255)] = 690070,
  [SMALL_STATE(14256)] = 690102,
  [SMALL_STATE(14257)] = 690134,
  [SMALL_STATE(14258)] = 690162,
  [SMALL_STATE(14259)] = 690190,
  [SMALL_STATE(14260)] = 690218,
  [SMALL_STATE(14261)] = 690246,
  [SMALL_STATE(14262)] = 690274,
  [SMALL_STATE(14263)] = 690304,
  [SMALL_STATE(14264)] = 690332,
  [SMALL_STATE(14265)] = 690366,
  [SMALL_STATE(14266)] = 690394,
  [SMALL_STATE(14267)] = 690422,
  [SMALL_STATE(14268)] = 690456,
  [SMALL_STATE(14269)] = 690486,
  [SMALL_STATE(14270)] = 690514,
  [SMALL_STATE(14271)] = 690548,
  [SMALL_STATE(14272)] = 690584,
  [SMALL_STATE(14273)] = 690612,
  [SMALL_STATE(14274)] = 690650,
  [SMALL_STATE(14275)] = 690678,
  [SMALL_STATE(14276)] = 690720,
  [SMALL_STATE(14277)] = 690748,
  [SMALL_STATE(14278)] = 690796,
  [SMALL_STATE(14279)] = 690822,
  [SMALL_STATE(14280)] = 690856,
  [SMALL_STATE(14281)] = 690888,
  [SMALL_STATE(14282)] = 690936,
  [SMALL_STATE(14283)] = 690982,
  [SMALL_STATE(14284)] = 691024,
  [SMALL_STATE(14285)] = 691052,
  [SMALL_STATE(14286)] = 691098,
  [SMALL_STATE(14287)] = 691144,
  [SMALL_STATE(14288)] = 691192,
  [SMALL_STATE(14289)] = 691238,
  [SMALL_STATE(14290)] = 691276,
  [SMALL_STATE(14291)] = 691324,
  [SMALL_STATE(14292)] = 691352,
  [SMALL_STATE(14293)] = 691380,
  [SMALL_STATE(14294)] = 691408,
  [SMALL_STATE(14295)] = 691454,
  [SMALL_STATE(14296)] = 691502,
  [SMALL_STATE(14297)] = 691530,
  [SMALL_STATE(14298)] = 691558,
  [SMALL_STATE(14299)] = 691586,
  [SMALL_STATE(14300)] = 691624,
  [SMALL_STATE(14301)] = 691652,
  [SMALL_STATE(14302)] = 691680,
  [SMALL_STATE(14303)] = 691728,
  [SMALL_STATE(14304)] = 691759,
  [SMALL_STATE(14305)] = 691798,
  [SMALL_STATE(14306)] = 691825,
  [SMALL_STATE(14307)] = 691864,
  [SMALL_STATE(14308)] = 691903,
  [SMALL_STATE(14309)] = 691942,
  [SMALL_STATE(14310)] = 691969,
  [SMALL_STATE(14311)] = 691998,
  [SMALL_STATE(14312)] = 692037,
  [SMALL_STATE(14313)] = 692068,
  [SMALL_STATE(14314)] = 692107,
  [SMALL_STATE(14315)] = 692138,
  [SMALL_STATE(14316)] = 692165,
  [SMALL_STATE(14317)] = 692204,
  [SMALL_STATE(14318)] = 692247,
  [SMALL_STATE(14319)] = 692286,
  [SMALL_STATE(14320)] = 692317,
  [SMALL_STATE(14321)] = 692344,
  [SMALL_STATE(14322)] = 692383,
  [SMALL_STATE(14323)] = 692422,
  [SMALL_STATE(14324)] = 692461,
  [SMALL_STATE(14325)] = 692492,
  [SMALL_STATE(14326)] = 692523,
  [SMALL_STATE(14327)] = 692562,
  [SMALL_STATE(14328)] = 692593,
  [SMALL_STATE(14329)] = 692632,
  [SMALL_STATE(14330)] = 692671,
  [SMALL_STATE(14331)] = 692710,
  [SMALL_STATE(14332)] = 692749,
  [SMALL_STATE(14333)] = 692788,
  [SMALL_STATE(14334)] = 692827,
  [SMALL_STATE(14335)] = 692866,
  [SMALL_STATE(14336)] = 692897,
  [SMALL_STATE(14337)] = 692940,
  [SMALL_STATE(14338)] = 692971,
  [SMALL_STATE(14339)] = 692998,
  [SMALL_STATE(14340)] = 693037,
  [SMALL_STATE(14341)] = 693076,
  [SMALL_STATE(14342)] = 693115,
  [SMALL_STATE(14343)] = 693154,
  [SMALL_STATE(14344)] = 693193,
  [SMALL_STATE(14345)] = 693218,
  [SMALL_STATE(14346)] = 693257,
  [SMALL_STATE(14347)] = 693284,
  [SMALL_STATE(14348)] = 693323,
  [SMALL_STATE(14349)] = 693350,
  [SMALL_STATE(14350)] = 693389,
  [SMALL_STATE(14351)] = 693428,
  [SMALL_STATE(14352)] = 693467,
  [SMALL_STATE(14353)] = 693498,
  [SMALL_STATE(14354)] = 693537,
  [SMALL_STATE(14355)] = 693568,
  [SMALL_STATE(14356)] = 693595,
  [SMALL_STATE(14357)] = 693622,
  [SMALL_STATE(14358)] = 693649,
  [SMALL_STATE(14359)] = 693676,
  [SMALL_STATE(14360)] = 693707,
  [SMALL_STATE(14361)] = 693750,
  [SMALL_STATE(14362)] = 693793,
  [SMALL_STATE(14363)] = 693832,
  [SMALL_STATE(14364)] = 693871,
  [SMALL_STATE(14365)] = 693910,
  [SMALL_STATE(14366)] = 693937,
  [SMALL_STATE(14367)] = 693980,
  [SMALL_STATE(14368)] = 694019,
  [SMALL_STATE(14369)] = 694058,
  [SMALL_STATE(14370)] = 694085,
  [SMALL_STATE(14371)] = 694124,
  [SMALL_STATE(14372)] = 694163,
  [SMALL_STATE(14373)] = 694194,
  [SMALL_STATE(14374)] = 694225,
  [SMALL_STATE(14375)] = 694264,
  [SMALL_STATE(14376)] = 694307,
  [SMALL_STATE(14377)] = 694346,
  [SMALL_STATE(14378)] = 694385,
  [SMALL_STATE(14379)] = 694412,
  [SMALL_STATE(14380)] = 694451,
  [SMALL_STATE(14381)] = 694490,
  [SMALL_STATE(14382)] = 694529,
  [SMALL_STATE(14383)] = 694560,
  [SMALL_STATE(14384)] = 694591,
  [SMALL_STATE(14385)] = 694630,
  [SMALL_STATE(14386)] = 694657,
  [SMALL_STATE(14387)] = 694688,
  [SMALL_STATE(14388)] = 694727,
  [SMALL_STATE(14389)] = 694758,
  [SMALL_STATE(14390)] = 694797,
  [SMALL_STATE(14391)] = 694836,
  [SMALL_STATE(14392)] = 694875,
  [SMALL_STATE(14393)] = 694906,
  [SMALL_STATE(14394)] = 694945,
  [SMALL_STATE(14395)] = 694976,
  [SMALL_STATE(14396)] = 695007,
  [SMALL_STATE(14397)] = 695034,
  [SMALL_STATE(14398)] = 695065,
  [SMALL_STATE(14399)] = 695096,
  [SMALL_STATE(14400)] = 695135,
  [SMALL_STATE(14401)] = 695166,
  [SMALL_STATE(14402)] = 695197,
  [SMALL_STATE(14403)] = 695236,
  [SMALL_STATE(14404)] = 695275,
  [SMALL_STATE(14405)] = 695306,
  [SMALL_STATE(14406)] = 695333,
  [SMALL_STATE(14407)] = 695372,
  [SMALL_STATE(14408)] = 695399,
  [SMALL_STATE(14409)] = 695430,
  [SMALL_STATE(14410)] = 695457,
  [SMALL_STATE(14411)] = 695496,
  [SMALL_STATE(14412)] = 695535,
  [SMALL_STATE(14413)] = 695574,
  [SMALL_STATE(14414)] = 695617,
  [SMALL_STATE(14415)] = 695656,
  [SMALL_STATE(14416)] = 695683,
  [SMALL_STATE(14417)] = 695722,
  [SMALL_STATE(14418)] = 695753,
  [SMALL_STATE(14419)] = 695784,
  [SMALL_STATE(14420)] = 695823,
  [SMALL_STATE(14421)] = 695850,
  [SMALL_STATE(14422)] = 695877,
  [SMALL_STATE(14423)] = 695908,
  [SMALL_STATE(14424)] = 695933,
  [SMALL_STATE(14425)] = 695972,
  [SMALL_STATE(14426)] = 695999,
  [SMALL_STATE(14427)] = 696030,
  [SMALL_STATE(14428)] = 696061,
  [SMALL_STATE(14429)] = 696088,
  [SMALL_STATE(14430)] = 696119,
  [SMALL_STATE(14431)] = 696150,
  [SMALL_STATE(14432)] = 696189,
  [SMALL_STATE(14433)] = 696220,
  [SMALL_STATE(14434)] = 696263,
  [SMALL_STATE(14435)] = 696302,
  [SMALL_STATE(14436)] = 696333,
  [SMALL_STATE(14437)] = 696364,
  [SMALL_STATE(14438)] = 696395,
  [SMALL_STATE(14439)] = 696426,
  [SMALL_STATE(14440)] = 696453,
  [SMALL_STATE(14441)] = 696484,
  [SMALL_STATE(14442)] = 696523,
  [SMALL_STATE(14443)] = 696562,
  [SMALL_STATE(14444)] = 696589,
  [SMALL_STATE(14445)] = 696620,
  [SMALL_STATE(14446)] = 696651,
  [SMALL_STATE(14447)] = 696690,
  [SMALL_STATE(14448)] = 696729,
  [SMALL_STATE(14449)] = 696768,
  [SMALL_STATE(14450)] = 696799,
  [SMALL_STATE(14451)] = 696830,
  [SMALL_STATE(14452)] = 696873,
  [SMALL_STATE(14453)] = 696912,
  [SMALL_STATE(14454)] = 696939,
  [SMALL_STATE(14455)] = 696978,
  [SMALL_STATE(14456)] = 697009,
  [SMALL_STATE(14457)] = 697040,
  [SMALL_STATE(14458)] = 697079,
  [SMALL_STATE(14459)] = 697110,
  [SMALL_STATE(14460)] = 697139,
  [SMALL_STATE(14461)] = 697178,
  [SMALL_STATE(14462)] = 697217,
  [SMALL_STATE(14463)] = 697256,
  [SMALL_STATE(14464)] = 697295,
  [SMALL_STATE(14465)] = 697326,
  [SMALL_STATE(14466)] = 697365,
  [SMALL_STATE(14467)] = 697396,
  [SMALL_STATE(14468)] = 697427,
  [SMALL_STATE(14469)] = 697466,
  [SMALL_STATE(14470)] = 697497,
  [SMALL_STATE(14471)] = 697536,
  [SMALL_STATE(14472)] = 697567,
  [SMALL_STATE(14473)] = 697606,
  [SMALL_STATE(14474)] = 697645,
  [SMALL_STATE(14475)] = 697676,
  [SMALL_STATE(14476)] = 697715,
  [SMALL_STATE(14477)] = 697746,
  [SMALL_STATE(14478)] = 697785,
  [SMALL_STATE(14479)] = 697824,
  [SMALL_STATE(14480)] = 697855,
  [SMALL_STATE(14481)] = 697886,
  [SMALL_STATE(14482)] = 697925,
  [SMALL_STATE(14483)] = 697964,
  [SMALL_STATE(14484)] = 697995,
  [SMALL_STATE(14485)] = 698026,
  [SMALL_STATE(14486)] = 698057,
  [SMALL_STATE(14487)] = 698086,
  [SMALL_STATE(14488)] = 698117,
  [SMALL_STATE(14489)] = 698156,
  [SMALL_STATE(14490)] = 698187,
  [SMALL_STATE(14491)] = 698218,
  [SMALL_STATE(14492)] = 698249,
  [SMALL_STATE(14493)] = 698288,
  [SMALL_STATE(14494)] = 698327,
  [SMALL_STATE(14495)] = 698356,
  [SMALL_STATE(14496)] = 698387,
  [SMALL_STATE(14497)] = 698426,
  [SMALL_STATE(14498)] = 698465,
  [SMALL_STATE(14499)] = 698492,
  [SMALL_STATE(14500)] = 698519,
  [SMALL_STATE(14501)] = 698550,
  [SMALL_STATE(14502)] = 698581,
  [SMALL_STATE(14503)] = 698612,
  [SMALL_STATE(14504)] = 698639,
  [SMALL_STATE(14505)] = 698682,
  [SMALL_STATE(14506)] = 698721,
  [SMALL_STATE(14507)] = 698748,
  [SMALL_STATE(14508)] = 698787,
  [SMALL_STATE(14509)] = 698814,
  [SMALL_STATE(14510)] = 698853,
  [SMALL_STATE(14511)] = 698880,
  [SMALL_STATE(14512)] = 698911,
  [SMALL_STATE(14513)] = 698942,
  [SMALL_STATE(14514)] = 698981,
  [SMALL_STATE(14515)] = 699020,
  [SMALL_STATE(14516)] = 699047,
  [SMALL_STATE(14517)] = 699086,
  [SMALL_STATE(14518)] = 699117,
  [SMALL_STATE(14519)] = 699156,
  [SMALL_STATE(14520)] = 699195,
  [SMALL_STATE(14521)] = 699234,
  [SMALL_STATE(14522)] = 699261,
  [SMALL_STATE(14523)] = 699292,
  [SMALL_STATE(14524)] = 699331,
  [SMALL_STATE(14525)] = 699362,
  [SMALL_STATE(14526)] = 699393,
  [SMALL_STATE(14527)] = 699432,
  [SMALL_STATE(14528)] = 699463,
  [SMALL_STATE(14529)] = 699494,
  [SMALL_STATE(14530)] = 699525,
  [SMALL_STATE(14531)] = 699556,
  [SMALL_STATE(14532)] = 699587,
  [SMALL_STATE(14533)] = 699626,
  [SMALL_STATE(14534)] = 699665,
  [SMALL_STATE(14535)] = 699696,
  [SMALL_STATE(14536)] = 699727,
  [SMALL_STATE(14537)] = 699751,
  [SMALL_STATE(14538)] = 699777,
  [SMALL_STATE(14539)] = 699807,
  [SMALL_STATE(14540)] = 699835,
  [SMALL_STATE(14541)] = 699865,
  [SMALL_STATE(14542)] = 699895,
  [SMALL_STATE(14543)] = 699925,
  [SMALL_STATE(14544)] = 699955,
  [SMALL_STATE(14545)] = 699981,
  [SMALL_STATE(14546)] = 700011,
  [SMALL_STATE(14547)] = 700037,
  [SMALL_STATE(14548)] = 700063,
  [SMALL_STATE(14549)] = 700093,
  [SMALL_STATE(14550)] = 700119,
  [SMALL_STATE(14551)] = 700149,
  [SMALL_STATE(14552)] = 700175,
  [SMALL_STATE(14553)] = 700201,
  [SMALL_STATE(14554)] = 700227,
  [SMALL_STATE(14555)] = 700253,
  [SMALL_STATE(14556)] = 700283,
  [SMALL_STATE(14557)] = 700309,
  [SMALL_STATE(14558)] = 700339,
  [SMALL_STATE(14559)] = 700365,
  [SMALL_STATE(14560)] = 700395,
  [SMALL_STATE(14561)] = 700421,
  [SMALL_STATE(14562)] = 700447,
  [SMALL_STATE(14563)] = 700473,
  [SMALL_STATE(14564)] = 700503,
  [SMALL_STATE(14565)] = 700533,
  [SMALL_STATE(14566)] = 700559,
  [SMALL_STATE(14567)] = 700585,
  [SMALL_STATE(14568)] = 700611,
  [SMALL_STATE(14569)] = 700637,
  [SMALL_STATE(14570)] = 700663,
  [SMALL_STATE(14571)] = 700689,
  [SMALL_STATE(14572)] = 700715,
  [SMALL_STATE(14573)] = 700741,
  [SMALL_STATE(14574)] = 700767,
  [SMALL_STATE(14575)] = 700793,
  [SMALL_STATE(14576)] = 700819,
  [SMALL_STATE(14577)] = 700845,
  [SMALL_STATE(14578)] = 700871,
  [SMALL_STATE(14579)] = 700897,
  [SMALL_STATE(14580)] = 700923,
  [SMALL_STATE(14581)] = 700953,
  [SMALL_STATE(14582)] = 700979,
  [SMALL_STATE(14583)] = 701005,
  [SMALL_STATE(14584)] = 701029,
  [SMALL_STATE(14585)] = 701053,
  [SMALL_STATE(14586)] = 701079,
  [SMALL_STATE(14587)] = 701105,
  [SMALL_STATE(14588)] = 701131,
  [SMALL_STATE(14589)] = 701157,
  [SMALL_STATE(14590)] = 701187,
  [SMALL_STATE(14591)] = 701217,
  [SMALL_STATE(14592)] = 701245,
  [SMALL_STATE(14593)] = 701268,
  [SMALL_STATE(14594)] = 701309,
  [SMALL_STATE(14595)] = 701332,
  [SMALL_STATE(14596)] = 701361,
  [SMALL_STATE(14597)] = 701384,
  [SMALL_STATE(14598)] = 701411,
  [SMALL_STATE(14599)] = 701450,
  [SMALL_STATE(14600)] = 701477,
  [SMALL_STATE(14601)] = 701500,
  [SMALL_STATE(14602)] = 701523,
  [SMALL_STATE(14603)] = 701562,
  [SMALL_STATE(14604)] = 701595,
  [SMALL_STATE(14605)] = 701622,
  [SMALL_STATE(14606)] = 701649,
  [SMALL_STATE(14607)] = 701688,
  [SMALL_STATE(14608)] = 701727,
  [SMALL_STATE(14609)] = 701766,
  [SMALL_STATE(14610)] = 701791,
  [SMALL_STATE(14611)] = 701832,
  [SMALL_STATE(14612)] = 701871,
  [SMALL_STATE(14613)] = 701910,
  [SMALL_STATE(14614)] = 701939,
  [SMALL_STATE(14615)] = 701980,
  [SMALL_STATE(14616)] = 702021,
  [SMALL_STATE(14617)] = 702044,
  [SMALL_STATE(14618)] = 702069,
  [SMALL_STATE(14619)] = 702094,
  [SMALL_STATE(14620)] = 702117,
  [SMALL_STATE(14621)] = 702142,
  [SMALL_STATE(14622)] = 702165,
  [SMALL_STATE(14623)] = 702206,
  [SMALL_STATE(14624)] = 702231,
  [SMALL_STATE(14625)] = 702260,
  [SMALL_STATE(14626)] = 702283,
  [SMALL_STATE(14627)] = 702306,
  [SMALL_STATE(14628)] = 702335,
  [SMALL_STATE(14629)] = 702374,
  [SMALL_STATE(14630)] = 702397,
  [SMALL_STATE(14631)] = 702426,
  [SMALL_STATE(14632)] = 702449,
  [SMALL_STATE(14633)] = 702490,
  [SMALL_STATE(14634)] = 702523,
  [SMALL_STATE(14635)] = 702546,
  [SMALL_STATE(14636)] = 702570,
  [SMALL_STATE(14637)] = 702608,
  [SMALL_STATE(14638)] = 702632,
  [SMALL_STATE(14639)] = 702670,
  [SMALL_STATE(14640)] = 702700,
  [SMALL_STATE(14641)] = 702730,
  [SMALL_STATE(14642)] = 702764,
  [SMALL_STATE(14643)] = 702800,
  [SMALL_STATE(14644)] = 702838,
  [SMALL_STATE(14645)] = 702862,
  [SMALL_STATE(14646)] = 702892,
  [SMALL_STATE(14647)] = 702922,
  [SMALL_STATE(14648)] = 702960,
  [SMALL_STATE(14649)] = 702984,
  [SMALL_STATE(14650)] = 703010,
  [SMALL_STATE(14651)] = 703036,
  [SMALL_STATE(14652)] = 703066,
  [SMALL_STATE(14653)] = 703104,
  [SMALL_STATE(14654)] = 703134,
  [SMALL_STATE(14655)] = 703172,
  [SMALL_STATE(14656)] = 703202,
  [SMALL_STATE(14657)] = 703236,
  [SMALL_STATE(14658)] = 703266,
  [SMALL_STATE(14659)] = 703296,
  [SMALL_STATE(14660)] = 703320,
  [SMALL_STATE(14661)] = 703358,
  [SMALL_STATE(14662)] = 703388,
  [SMALL_STATE(14663)] = 703412,
  [SMALL_STATE(14664)] = 703442,
  [SMALL_STATE(14665)] = 703480,
  [SMALL_STATE(14666)] = 703518,
  [SMALL_STATE(14667)] = 703540,
  [SMALL_STATE(14668)] = 703574,
  [SMALL_STATE(14669)] = 703612,
  [SMALL_STATE(14670)] = 703646,
  [SMALL_STATE(14671)] = 703676,
  [SMALL_STATE(14672)] = 703700,
  [SMALL_STATE(14673)] = 703724,
  [SMALL_STATE(14674)] = 703758,
  [SMALL_STATE(14675)] = 703796,
  [SMALL_STATE(14676)] = 703824,
  [SMALL_STATE(14677)] = 703854,
  [SMALL_STATE(14678)] = 703892,
  [SMALL_STATE(14679)] = 703922,
  [SMALL_STATE(14680)] = 703960,
  [SMALL_STATE(14681)] = 703984,
  [SMALL_STATE(14682)] = 704014,
  [SMALL_STATE(14683)] = 704052,
  [SMALL_STATE(14684)] = 704090,
  [SMALL_STATE(14685)] = 704128,
  [SMALL_STATE(14686)] = 704162,
  [SMALL_STATE(14687)] = 704186,
  [SMALL_STATE(14688)] = 704210,
  [SMALL_STATE(14689)] = 704240,
  [SMALL_STATE(14690)] = 704264,
  [SMALL_STATE(14691)] = 704294,
  [SMALL_STATE(14692)] = 704324,
  [SMALL_STATE(14693)] = 704348,
  [SMALL_STATE(14694)] = 704382,
  [SMALL_STATE(14695)] = 704420,
  [SMALL_STATE(14696)] = 704450,
  [SMALL_STATE(14697)] = 704480,
  [SMALL_STATE(14698)] = 704510,
  [SMALL_STATE(14699)] = 704544,
  [SMALL_STATE(14700)] = 704578,
  [SMALL_STATE(14701)] = 704616,
  [SMALL_STATE(14702)] = 704654,
  [SMALL_STATE(14703)] = 704688,
  [SMALL_STATE(14704)] = 704718,
  [SMALL_STATE(14705)] = 704742,
  [SMALL_STATE(14706)] = 704772,
  [SMALL_STATE(14707)] = 704810,
  [SMALL_STATE(14708)] = 704840,
  [SMALL_STATE(14709)] = 704870,
  [SMALL_STATE(14710)] = 704900,
  [SMALL_STATE(14711)] = 704938,
  [SMALL_STATE(14712)] = 704968,
  [SMALL_STATE(14713)] = 705006,
  [SMALL_STATE(14714)] = 705036,
  [SMALL_STATE(14715)] = 705066,
  [SMALL_STATE(14716)] = 705096,
  [SMALL_STATE(14717)] = 705130,
  [SMALL_STATE(14718)] = 705164,
  [SMALL_STATE(14719)] = 705202,
  [SMALL_STATE(14720)] = 705232,
  [SMALL_STATE(14721)] = 705262,
  [SMALL_STATE(14722)] = 705292,
  [SMALL_STATE(14723)] = 705322,
  [SMALL_STATE(14724)] = 705360,
  [SMALL_STATE(14725)] = 705398,
  [SMALL_STATE(14726)] = 705432,
  [SMALL_STATE(14727)] = 705470,
  [SMALL_STATE(14728)] = 705500,
  [SMALL_STATE(14729)] = 705538,
  [SMALL_STATE(14730)] = 705574,
  [SMALL_STATE(14731)] = 705610,
  [SMALL_STATE(14732)] = 705640,
  [SMALL_STATE(14733)] = 705674,
  [SMALL_STATE(14734)] = 705696,
  [SMALL_STATE(14735)] = 705726,
  [SMALL_STATE(14736)] = 705756,
  [SMALL_STATE(14737)] = 705786,
  [SMALL_STATE(14738)] = 705824,
  [SMALL_STATE(14739)] = 705846,
  [SMALL_STATE(14740)] = 705876,
  [SMALL_STATE(14741)] = 705906,
  [SMALL_STATE(14742)] = 705936,
  [SMALL_STATE(14743)] = 705960,
  [SMALL_STATE(14744)] = 705990,
  [SMALL_STATE(14745)] = 706020,
  [SMALL_STATE(14746)] = 706050,
  [SMALL_STATE(14747)] = 706080,
  [SMALL_STATE(14748)] = 706104,
  [SMALL_STATE(14749)] = 706128,
  [SMALL_STATE(14750)] = 706152,
  [SMALL_STATE(14751)] = 706190,
  [SMALL_STATE(14752)] = 706228,
  [SMALL_STATE(14753)] = 706250,
  [SMALL_STATE(14754)] = 706280,
  [SMALL_STATE(14755)] = 706304,
  [SMALL_STATE(14756)] = 706340,
  [SMALL_STATE(14757)] = 706378,
  [SMALL_STATE(14758)] = 706402,
  [SMALL_STATE(14759)] = 706428,
  [SMALL_STATE(14760)] = 706452,
  [SMALL_STATE(14761)] = 706482,
  [SMALL_STATE(14762)] = 706506,
  [SMALL_STATE(14763)] = 706544,
  [SMALL_STATE(14764)] = 706574,
  [SMALL_STATE(14765)] = 706604,
  [SMALL_STATE(14766)] = 706628,
  [SMALL_STATE(14767)] = 706652,
  [SMALL_STATE(14768)] = 706676,
  [SMALL_STATE(14769)] = 706714,
  [SMALL_STATE(14770)] = 706752,
  [SMALL_STATE(14771)] = 706782,
  [SMALL_STATE(14772)] = 706806,
  [SMALL_STATE(14773)] = 706836,
  [SMALL_STATE(14774)] = 706866,
  [SMALL_STATE(14775)] = 706892,
  [SMALL_STATE(14776)] = 706922,
  [SMALL_STATE(14777)] = 706952,
  [SMALL_STATE(14778)] = 706986,
  [SMALL_STATE(14779)] = 707024,
  [SMALL_STATE(14780)] = 707062,
  [SMALL_STATE(14781)] = 707086,
  [SMALL_STATE(14782)] = 707120,
  [SMALL_STATE(14783)] = 707146,
  [SMALL_STATE(14784)] = 707176,
  [SMALL_STATE(14785)] = 707212,
  [SMALL_STATE(14786)] = 707250,
  [SMALL_STATE(14787)] = 707288,
  [SMALL_STATE(14788)] = 707310,
  [SMALL_STATE(14789)] = 707344,
  [SMALL_STATE(14790)] = 707382,
  [SMALL_STATE(14791)] = 707412,
  [SMALL_STATE(14792)] = 707434,
  [SMALL_STATE(14793)] = 707472,
  [SMALL_STATE(14794)] = 707508,
  [SMALL_STATE(14795)] = 707546,
  [SMALL_STATE(14796)] = 707576,
  [SMALL_STATE(14797)] = 707606,
  [SMALL_STATE(14798)] = 707644,
  [SMALL_STATE(14799)] = 707674,
  [SMALL_STATE(14800)] = 707710,
  [SMALL_STATE(14801)] = 707744,
  [SMALL_STATE(14802)] = 707782,
  [SMALL_STATE(14803)] = 707812,
  [SMALL_STATE(14804)] = 707848,
  [SMALL_STATE(14805)] = 707882,
  [SMALL_STATE(14806)] = 707920,
  [SMALL_STATE(14807)] = 707956,
  [SMALL_STATE(14808)] = 707992,
  [SMALL_STATE(14809)] = 708030,
  [SMALL_STATE(14810)] = 708054,
  [SMALL_STATE(14811)] = 708084,
  [SMALL_STATE(14812)] = 708106,
  [SMALL_STATE(14813)] = 708136,
  [SMALL_STATE(14814)] = 708172,
  [SMALL_STATE(14815)] = 708196,
  [SMALL_STATE(14816)] = 708226,
  [SMALL_STATE(14817)] = 708262,
  [SMALL_STATE(14818)] = 708286,
  [SMALL_STATE(14819)] = 708324,
  [SMALL_STATE(14820)] = 708362,
  [SMALL_STATE(14821)] = 708400,
  [SMALL_STATE(14822)] = 708438,
  [SMALL_STATE(14823)] = 708462,
  [SMALL_STATE(14824)] = 708500,
  [SMALL_STATE(14825)] = 708536,
  [SMALL_STATE(14826)] = 708566,
  [SMALL_STATE(14827)] = 708588,
  [SMALL_STATE(14828)] = 708612,
  [SMALL_STATE(14829)] = 708650,
  [SMALL_STATE(14830)] = 708688,
  [SMALL_STATE(14831)] = 708711,
  [SMALL_STATE(14832)] = 708744,
  [SMALL_STATE(14833)] = 708767,
  [SMALL_STATE(14834)] = 708802,
  [SMALL_STATE(14835)] = 708835,
  [SMALL_STATE(14836)] = 708868,
  [SMALL_STATE(14837)] = 708901,
  [SMALL_STATE(14838)] = 708936,
  [SMALL_STATE(14839)] = 708971,
  [SMALL_STATE(14840)] = 708992,
  [SMALL_STATE(14841)] = 709027,
  [SMALL_STATE(14842)] = 709060,
  [SMALL_STATE(14843)] = 709095,
  [SMALL_STATE(14844)] = 709130,
  [SMALL_STATE(14845)] = 709153,
  [SMALL_STATE(14846)] = 709188,
  [SMALL_STATE(14847)] = 709223,
  [SMALL_STATE(14848)] = 709258,
  [SMALL_STATE(14849)] = 709293,
  [SMALL_STATE(14850)] = 709326,
  [SMALL_STATE(14851)] = 709359,
  [SMALL_STATE(14852)] = 709386,
  [SMALL_STATE(14853)] = 709421,
  [SMALL_STATE(14854)] = 709456,
  [SMALL_STATE(14855)] = 709489,
  [SMALL_STATE(14856)] = 709516,
  [SMALL_STATE(14857)] = 709549,
  [SMALL_STATE(14858)] = 709584,
  [SMALL_STATE(14859)] = 709611,
  [SMALL_STATE(14860)] = 709644,
  [SMALL_STATE(14861)] = 709677,
  [SMALL_STATE(14862)] = 709702,
  [SMALL_STATE(14863)] = 709735,
  [SMALL_STATE(14864)] = 709770,
  [SMALL_STATE(14865)] = 709797,
  [SMALL_STATE(14866)] = 709830,
  [SMALL_STATE(14867)] = 709865,
  [SMALL_STATE(14868)] = 709898,
  [SMALL_STATE(14869)] = 709933,
  [SMALL_STATE(14870)] = 709966,
  [SMALL_STATE(14871)] = 710001,
  [SMALL_STATE(14872)] = 710028,
  [SMALL_STATE(14873)] = 710061,
  [SMALL_STATE(14874)] = 710094,
  [SMALL_STATE(14875)] = 710129,
  [SMALL_STATE(14876)] = 710162,
  [SMALL_STATE(14877)] = 710187,
  [SMALL_STATE(14878)] = 710220,
  [SMALL_STATE(14879)] = 710255,
  [SMALL_STATE(14880)] = 710290,
  [SMALL_STATE(14881)] = 710325,
  [SMALL_STATE(14882)] = 710360,
  [SMALL_STATE(14883)] = 710393,
  [SMALL_STATE(14884)] = 710428,
  [SMALL_STATE(14885)] = 710463,
  [SMALL_STATE(14886)] = 710496,
  [SMALL_STATE(14887)] = 710521,
  [SMALL_STATE(14888)] = 710546,
  [SMALL_STATE(14889)] = 710579,
  [SMALL_STATE(14890)] = 710612,
  [SMALL_STATE(14891)] = 710633,
  [SMALL_STATE(14892)] = 710654,
  [SMALL_STATE(14893)] = 710677,
  [SMALL_STATE(14894)] = 710712,
  [SMALL_STATE(14895)] = 710747,
  [SMALL_STATE(14896)] = 710780,
  [SMALL_STATE(14897)] = 710813,
  [SMALL_STATE(14898)] = 710846,
  [SMALL_STATE(14899)] = 710879,
  [SMALL_STATE(14900)] = 710914,
  [SMALL_STATE(14901)] = 710939,
  [SMALL_STATE(14902)] = 710974,
  [SMALL_STATE(14903)] = 711007,
  [SMALL_STATE(14904)] = 711032,
  [SMALL_STATE(14905)] = 711064,
  [SMALL_STATE(14906)] = 711096,
  [SMALL_STATE(14907)] = 711128,
  [SMALL_STATE(14908)] = 711160,
  [SMALL_STATE(14909)] = 711192,
  [SMALL_STATE(14910)] = 711224,
  [SMALL_STATE(14911)] = 711254,
  [SMALL_STATE(14912)] = 711286,
  [SMALL_STATE(14913)] = 711318,
  [SMALL_STATE(14914)] = 711350,
  [SMALL_STATE(14915)] = 711382,
  [SMALL_STATE(14916)] = 711414,
  [SMALL_STATE(14917)] = 711436,
  [SMALL_STATE(14918)] = 711468,
  [SMALL_STATE(14919)] = 711500,
  [SMALL_STATE(14920)] = 711532,
  [SMALL_STATE(14921)] = 711562,
  [SMALL_STATE(14922)] = 711592,
  [SMALL_STATE(14923)] = 711624,
  [SMALL_STATE(14924)] = 711656,
  [SMALL_STATE(14925)] = 711688,
  [SMALL_STATE(14926)] = 711720,
  [SMALL_STATE(14927)] = 711752,
  [SMALL_STATE(14928)] = 711784,
  [SMALL_STATE(14929)] = 711816,
  [SMALL_STATE(14930)] = 711838,
  [SMALL_STATE(14931)] = 711860,
  [SMALL_STATE(14932)] = 711892,
  [SMALL_STATE(14933)] = 711924,
  [SMALL_STATE(14934)] = 711954,
  [SMALL_STATE(14935)] = 711984,
  [SMALL_STATE(14936)] = 712006,
  [SMALL_STATE(14937)] = 712038,
  [SMALL_STATE(14938)] = 712060,
  [SMALL_STATE(14939)] = 712082,
  [SMALL_STATE(14940)] = 712114,
  [SMALL_STATE(14941)] = 712144,
  [SMALL_STATE(14942)] = 712176,
  [SMALL_STATE(14943)] = 712208,
  [SMALL_STATE(14944)] = 712240,
  [SMALL_STATE(14945)] = 712262,
  [SMALL_STATE(14946)] = 712292,
  [SMALL_STATE(14947)] = 712314,
  [SMALL_STATE(14948)] = 712346,
  [SMALL_STATE(14949)] = 712378,
  [SMALL_STATE(14950)] = 712400,
  [SMALL_STATE(14951)] = 712430,
  [SMALL_STATE(14952)] = 712462,
  [SMALL_STATE(14953)] = 712494,
  [SMALL_STATE(14954)] = 712526,
  [SMALL_STATE(14955)] = 712548,
  [SMALL_STATE(14956)] = 712580,
  [SMALL_STATE(14957)] = 712610,
  [SMALL_STATE(14958)] = 712632,
  [SMALL_STATE(14959)] = 712664,
  [SMALL_STATE(14960)] = 712684,
  [SMALL_STATE(14961)] = 712708,
  [SMALL_STATE(14962)] = 712738,
  [SMALL_STATE(14963)] = 712770,
  [SMALL_STATE(14964)] = 712802,
  [SMALL_STATE(14965)] = 712834,
  [SMALL_STATE(14966)] = 712866,
  [SMALL_STATE(14967)] = 712898,
  [SMALL_STATE(14968)] = 712930,
  [SMALL_STATE(14969)] = 712952,
  [SMALL_STATE(14970)] = 712974,
  [SMALL_STATE(14971)] = 712998,
  [SMALL_STATE(14972)] = 713028,
  [SMALL_STATE(14973)] = 713060,
  [SMALL_STATE(14974)] = 713092,
  [SMALL_STATE(14975)] = 713114,
  [SMALL_STATE(14976)] = 713146,
  [SMALL_STATE(14977)] = 713170,
  [SMALL_STATE(14978)] = 713200,
  [SMALL_STATE(14979)] = 713222,
  [SMALL_STATE(14980)] = 713244,
  [SMALL_STATE(14981)] = 713276,
  [SMALL_STATE(14982)] = 713308,
  [SMALL_STATE(14983)] = 713340,
  [SMALL_STATE(14984)] = 713362,
  [SMALL_STATE(14985)] = 713394,
  [SMALL_STATE(14986)] = 713416,
  [SMALL_STATE(14987)] = 713448,
  [SMALL_STATE(14988)] = 713480,
  [SMALL_STATE(14989)] = 713510,
  [SMALL_STATE(14990)] = 713534,
  [SMALL_STATE(14991)] = 713566,
  [SMALL_STATE(14992)] = 713596,
  [SMALL_STATE(14993)] = 713628,
  [SMALL_STATE(14994)] = 713660,
  [SMALL_STATE(14995)] = 713690,
  [SMALL_STATE(14996)] = 713722,
  [SMALL_STATE(14997)] = 713754,
  [SMALL_STATE(14998)] = 713786,
  [SMALL_STATE(14999)] = 713818,
  [SMALL_STATE(15000)] = 713850,
  [SMALL_STATE(15001)] = 713880,
  [SMALL_STATE(15002)] = 713904,
  [SMALL_STATE(15003)] = 713936,
  [SMALL_STATE(15004)] = 713966,
  [SMALL_STATE(15005)] = 713998,
  [SMALL_STATE(15006)] = 714022,
  [SMALL_STATE(15007)] = 714054,
  [SMALL_STATE(15008)] = 714086,
  [SMALL_STATE(15009)] = 714108,
  [SMALL_STATE(15010)] = 714140,
  [SMALL_STATE(15011)] = 714172,
  [SMALL_STATE(15012)] = 714204,
  [SMALL_STATE(15013)] = 714234,
  [SMALL_STATE(15014)] = 714264,
  [SMALL_STATE(15015)] = 714286,
  [SMALL_STATE(15016)] = 714318,
  [SMALL_STATE(15017)] = 714338,
  [SMALL_STATE(15018)] = 714368,
  [SMALL_STATE(15019)] = 714400,
  [SMALL_STATE(15020)] = 714432,
  [SMALL_STATE(15021)] = 714462,
  [SMALL_STATE(15022)] = 714494,
  [SMALL_STATE(15023)] = 714514,
  [SMALL_STATE(15024)] = 714546,
  [SMALL_STATE(15025)] = 714570,
  [SMALL_STATE(15026)] = 714600,
  [SMALL_STATE(15027)] = 714632,
  [SMALL_STATE(15028)] = 714664,
  [SMALL_STATE(15029)] = 714696,
  [SMALL_STATE(15030)] = 714728,
  [SMALL_STATE(15031)] = 714760,
  [SMALL_STATE(15032)] = 714792,
  [SMALL_STATE(15033)] = 714824,
  [SMALL_STATE(15034)] = 714844,
  [SMALL_STATE(15035)] = 714876,
  [SMALL_STATE(15036)] = 714908,
  [SMALL_STATE(15037)] = 714940,
  [SMALL_STATE(15038)] = 714972,
  [SMALL_STATE(15039)] = 715004,
  [SMALL_STATE(15040)] = 715026,
  [SMALL_STATE(15041)] = 715058,
  [SMALL_STATE(15042)] = 715090,
  [SMALL_STATE(15043)] = 715112,
  [SMALL_STATE(15044)] = 715144,
  [SMALL_STATE(15045)] = 715168,
  [SMALL_STATE(15046)] = 715190,
  [SMALL_STATE(15047)] = 715222,
  [SMALL_STATE(15048)] = 715254,
  [SMALL_STATE(15049)] = 715276,
  [SMALL_STATE(15050)] = 715300,
  [SMALL_STATE(15051)] = 715322,
  [SMALL_STATE(15052)] = 715354,
  [SMALL_STATE(15053)] = 715376,
  [SMALL_STATE(15054)] = 715408,
  [SMALL_STATE(15055)] = 715440,
  [SMALL_STATE(15056)] = 715472,
  [SMALL_STATE(15057)] = 715504,
  [SMALL_STATE(15058)] = 715536,
  [SMALL_STATE(15059)] = 715564,
  [SMALL_STATE(15060)] = 715596,
  [SMALL_STATE(15061)] = 715628,
  [SMALL_STATE(15062)] = 715660,
  [SMALL_STATE(15063)] = 715692,
  [SMALL_STATE(15064)] = 715724,
  [SMALL_STATE(15065)] = 715756,
  [SMALL_STATE(15066)] = 715778,
  [SMALL_STATE(15067)] = 715810,
  [SMALL_STATE(15068)] = 715842,
  [SMALL_STATE(15069)] = 715874,
  [SMALL_STATE(15070)] = 715896,
  [SMALL_STATE(15071)] = 715918,
  [SMALL_STATE(15072)] = 715950,
  [SMALL_STATE(15073)] = 715982,
  [SMALL_STATE(15074)] = 716006,
  [SMALL_STATE(15075)] = 716038,
  [SMALL_STATE(15076)] = 716070,
  [SMALL_STATE(15077)] = 716102,
  [SMALL_STATE(15078)] = 716134,
  [SMALL_STATE(15079)] = 716166,
  [SMALL_STATE(15080)] = 716188,
  [SMALL_STATE(15081)] = 716220,
  [SMALL_STATE(15082)] = 716250,
  [SMALL_STATE(15083)] = 716282,
  [SMALL_STATE(15084)] = 716304,
  [SMALL_STATE(15085)] = 716336,
  [SMALL_STATE(15086)] = 716358,
  [SMALL_STATE(15087)] = 716390,
  [SMALL_STATE(15088)] = 716422,
  [SMALL_STATE(15089)] = 716444,
  [SMALL_STATE(15090)] = 716466,
  [SMALL_STATE(15091)] = 716498,
  [SMALL_STATE(15092)] = 716522,
  [SMALL_STATE(15093)] = 716544,
  [SMALL_STATE(15094)] = 716576,
  [SMALL_STATE(15095)] = 716604,
  [SMALL_STATE(15096)] = 716636,
  [SMALL_STATE(15097)] = 716666,
  [SMALL_STATE(15098)] = 716688,
  [SMALL_STATE(15099)] = 716720,
  [SMALL_STATE(15100)] = 716752,
  [SMALL_STATE(15101)] = 716784,
  [SMALL_STATE(15102)] = 716816,
  [SMALL_STATE(15103)] = 716848,
  [SMALL_STATE(15104)] = 716880,
  [SMALL_STATE(15105)] = 716912,
  [SMALL_STATE(15106)] = 716944,
  [SMALL_STATE(15107)] = 716976,
  [SMALL_STATE(15108)] = 717008,
  [SMALL_STATE(15109)] = 717040,
  [SMALL_STATE(15110)] = 717072,
  [SMALL_STATE(15111)] = 717104,
  [SMALL_STATE(15112)] = 717136,
  [SMALL_STATE(15113)] = 717168,
  [SMALL_STATE(15114)] = 717200,
  [SMALL_STATE(15115)] = 717232,
  [SMALL_STATE(15116)] = 717264,
  [SMALL_STATE(15117)] = 717286,
  [SMALL_STATE(15118)] = 717308,
  [SMALL_STATE(15119)] = 717340,
  [SMALL_STATE(15120)] = 717368,
  [SMALL_STATE(15121)] = 717398,
  [SMALL_STATE(15122)] = 717430,
  [SMALL_STATE(15123)] = 717462,
  [SMALL_STATE(15124)] = 717494,
  [SMALL_STATE(15125)] = 717526,
  [SMALL_STATE(15126)] = 717558,
  [SMALL_STATE(15127)] = 717590,
  [SMALL_STATE(15128)] = 717622,
  [SMALL_STATE(15129)] = 717654,
  [SMALL_STATE(15130)] = 717686,
  [SMALL_STATE(15131)] = 717718,
  [SMALL_STATE(15132)] = 717750,
  [SMALL_STATE(15133)] = 717780,
  [SMALL_STATE(15134)] = 717812,
  [SMALL_STATE(15135)] = 717844,
  [SMALL_STATE(15136)] = 717876,
  [SMALL_STATE(15137)] = 717902,
  [SMALL_STATE(15138)] = 717934,
  [SMALL_STATE(15139)] = 717966,
  [SMALL_STATE(15140)] = 717998,
  [SMALL_STATE(15141)] = 718030,
  [SMALL_STATE(15142)] = 718062,
  [SMALL_STATE(15143)] = 718094,
  [SMALL_STATE(15144)] = 718126,
  [SMALL_STATE(15145)] = 718158,
  [SMALL_STATE(15146)] = 718190,
  [SMALL_STATE(15147)] = 718222,
  [SMALL_STATE(15148)] = 718254,
  [SMALL_STATE(15149)] = 718286,
  [SMALL_STATE(15150)] = 718318,
  [SMALL_STATE(15151)] = 718350,
  [SMALL_STATE(15152)] = 718382,
  [SMALL_STATE(15153)] = 718414,
  [SMALL_STATE(15154)] = 718446,
  [SMALL_STATE(15155)] = 718478,
  [SMALL_STATE(15156)] = 718510,
  [SMALL_STATE(15157)] = 718542,
  [SMALL_STATE(15158)] = 718574,
  [SMALL_STATE(15159)] = 718596,
  [SMALL_STATE(15160)] = 718628,
  [SMALL_STATE(15161)] = 718660,
  [SMALL_STATE(15162)] = 718692,
  [SMALL_STATE(15163)] = 718724,
  [SMALL_STATE(15164)] = 718756,
  [SMALL_STATE(15165)] = 718788,
  [SMALL_STATE(15166)] = 718820,
  [SMALL_STATE(15167)] = 718840,
  [SMALL_STATE(15168)] = 718872,
  [SMALL_STATE(15169)] = 718904,
  [SMALL_STATE(15170)] = 718936,
  [SMALL_STATE(15171)] = 718966,
  [SMALL_STATE(15172)] = 718998,
  [SMALL_STATE(15173)] = 719030,
  [SMALL_STATE(15174)] = 719062,
  [SMALL_STATE(15175)] = 719094,
  [SMALL_STATE(15176)] = 719126,
  [SMALL_STATE(15177)] = 719150,
  [SMALL_STATE(15178)] = 719180,
  [SMALL_STATE(15179)] = 719212,
  [SMALL_STATE(15180)] = 719244,
  [SMALL_STATE(15181)] = 719274,
  [SMALL_STATE(15182)] = 719306,
  [SMALL_STATE(15183)] = 719334,
  [SMALL_STATE(15184)] = 719366,
  [SMALL_STATE(15185)] = 719398,
  [SMALL_STATE(15186)] = 719430,
  [SMALL_STATE(15187)] = 719462,
  [SMALL_STATE(15188)] = 719494,
  [SMALL_STATE(15189)] = 719526,
  [SMALL_STATE(15190)] = 719558,
  [SMALL_STATE(15191)] = 719590,
  [SMALL_STATE(15192)] = 719622,
  [SMALL_STATE(15193)] = 719654,
  [SMALL_STATE(15194)] = 719686,
  [SMALL_STATE(15195)] = 719706,
  [SMALL_STATE(15196)] = 719738,
  [SMALL_STATE(15197)] = 719770,
  [SMALL_STATE(15198)] = 719802,
  [SMALL_STATE(15199)] = 719822,
  [SMALL_STATE(15200)] = 719844,
  [SMALL_STATE(15201)] = 719874,
  [SMALL_STATE(15202)] = 719906,
  [SMALL_STATE(15203)] = 719938,
  [SMALL_STATE(15204)] = 719962,
  [SMALL_STATE(15205)] = 719994,
  [SMALL_STATE(15206)] = 720026,
  [SMALL_STATE(15207)] = 720058,
  [SMALL_STATE(15208)] = 720088,
  [SMALL_STATE(15209)] = 720120,
  [SMALL_STATE(15210)] = 720152,
  [SMALL_STATE(15211)] = 720184,
  [SMALL_STATE(15212)] = 720216,
  [SMALL_STATE(15213)] = 720236,
  [SMALL_STATE(15214)] = 720258,
  [SMALL_STATE(15215)] = 720280,
  [SMALL_STATE(15216)] = 720312,
  [SMALL_STATE(15217)] = 720344,
  [SMALL_STATE(15218)] = 720376,
  [SMALL_STATE(15219)] = 720408,
  [SMALL_STATE(15220)] = 720432,
  [SMALL_STATE(15221)] = 720464,
  [SMALL_STATE(15222)] = 720496,
  [SMALL_STATE(15223)] = 720528,
  [SMALL_STATE(15224)] = 720550,
  [SMALL_STATE(15225)] = 720582,
  [SMALL_STATE(15226)] = 720612,
  [SMALL_STATE(15227)] = 720644,
  [SMALL_STATE(15228)] = 720676,
  [SMALL_STATE(15229)] = 720698,
  [SMALL_STATE(15230)] = 720720,
  [SMALL_STATE(15231)] = 720752,
  [SMALL_STATE(15232)] = 720784,
  [SMALL_STATE(15233)] = 720812,
  [SMALL_STATE(15234)] = 720844,
  [SMALL_STATE(15235)] = 720876,
  [SMALL_STATE(15236)] = 720908,
  [SMALL_STATE(15237)] = 720940,
  [SMALL_STATE(15238)] = 720964,
  [SMALL_STATE(15239)] = 720996,
  [SMALL_STATE(15240)] = 721028,
  [SMALL_STATE(15241)] = 721060,
  [SMALL_STATE(15242)] = 721092,
  [SMALL_STATE(15243)] = 721120,
  [SMALL_STATE(15244)] = 721152,
  [SMALL_STATE(15245)] = 721184,
  [SMALL_STATE(15246)] = 721216,
  [SMALL_STATE(15247)] = 721248,
  [SMALL_STATE(15248)] = 721280,
  [SMALL_STATE(15249)] = 721312,
  [SMALL_STATE(15250)] = 721344,
  [SMALL_STATE(15251)] = 721376,
  [SMALL_STATE(15252)] = 721408,
  [SMALL_STATE(15253)] = 721438,
  [SMALL_STATE(15254)] = 721470,
  [SMALL_STATE(15255)] = 721502,
  [SMALL_STATE(15256)] = 721534,
  [SMALL_STATE(15257)] = 721563,
  [SMALL_STATE(15258)] = 721592,
  [SMALL_STATE(15259)] = 721621,
  [SMALL_STATE(15260)] = 721650,
  [SMALL_STATE(15261)] = 721671,
  [SMALL_STATE(15262)] = 721694,
  [SMALL_STATE(15263)] = 721723,
  [SMALL_STATE(15264)] = 721752,
  [SMALL_STATE(15265)] = 721781,
  [SMALL_STATE(15266)] = 721810,
  [SMALL_STATE(15267)] = 721831,
  [SMALL_STATE(15268)] = 721860,
  [SMALL_STATE(15269)] = 721889,
  [SMALL_STATE(15270)] = 721910,
  [SMALL_STATE(15271)] = 721939,
  [SMALL_STATE(15272)] = 721968,
  [SMALL_STATE(15273)] = 721997,
  [SMALL_STATE(15274)] = 722024,
  [SMALL_STATE(15275)] = 722051,
  [SMALL_STATE(15276)] = 722080,
  [SMALL_STATE(15277)] = 722109,
  [SMALL_STATE(15278)] = 722134,
  [SMALL_STATE(15279)] = 722163,
  [SMALL_STATE(15280)] = 722192,
  [SMALL_STATE(15281)] = 722221,
  [SMALL_STATE(15282)] = 722250,
  [SMALL_STATE(15283)] = 722273,
  [SMALL_STATE(15284)] = 722294,
  [SMALL_STATE(15285)] = 722323,
  [SMALL_STATE(15286)] = 722352,
  [SMALL_STATE(15287)] = 722381,
  [SMALL_STATE(15288)] = 722402,
  [SMALL_STATE(15289)] = 722423,
  [SMALL_STATE(15290)] = 722444,
  [SMALL_STATE(15291)] = 722473,
  [SMALL_STATE(15292)] = 722502,
  [SMALL_STATE(15293)] = 722529,
  [SMALL_STATE(15294)] = 722558,
  [SMALL_STATE(15295)] = 722587,
  [SMALL_STATE(15296)] = 722616,
  [SMALL_STATE(15297)] = 722637,
  [SMALL_STATE(15298)] = 722660,
  [SMALL_STATE(15299)] = 722689,
  [SMALL_STATE(15300)] = 722718,
  [SMALL_STATE(15301)] = 722739,
  [SMALL_STATE(15302)] = 722760,
  [SMALL_STATE(15303)] = 722789,
  [SMALL_STATE(15304)] = 722810,
  [SMALL_STATE(15305)] = 722839,
  [SMALL_STATE(15306)] = 722868,
  [SMALL_STATE(15307)] = 722897,
  [SMALL_STATE(15308)] = 722926,
  [SMALL_STATE(15309)] = 722947,
  [SMALL_STATE(15310)] = 722976,
  [SMALL_STATE(15311)] = 722997,
  [SMALL_STATE(15312)] = 723026,
  [SMALL_STATE(15313)] = 723055,
  [SMALL_STATE(15314)] = 723084,
  [SMALL_STATE(15315)] = 723113,
  [SMALL_STATE(15316)] = 723142,
  [SMALL_STATE(15317)] = 723171,
  [SMALL_STATE(15318)] = 723192,
  [SMALL_STATE(15319)] = 723213,
  [SMALL_STATE(15320)] = 723234,
  [SMALL_STATE(15321)] = 723263,
  [SMALL_STATE(15322)] = 723284,
  [SMALL_STATE(15323)] = 723313,
  [SMALL_STATE(15324)] = 723340,
  [SMALL_STATE(15325)] = 723369,
  [SMALL_STATE(15326)] = 723398,
  [SMALL_STATE(15327)] = 723427,
  [SMALL_STATE(15328)] = 723456,
  [SMALL_STATE(15329)] = 723485,
  [SMALL_STATE(15330)] = 723514,
  [SMALL_STATE(15331)] = 723543,
  [SMALL_STATE(15332)] = 723572,
  [SMALL_STATE(15333)] = 723601,
  [SMALL_STATE(15334)] = 723630,
  [SMALL_STATE(15335)] = 723659,
  [SMALL_STATE(15336)] = 723688,
  [SMALL_STATE(15337)] = 723717,
  [SMALL_STATE(15338)] = 723746,
  [SMALL_STATE(15339)] = 723775,
  [SMALL_STATE(15340)] = 723804,
  [SMALL_STATE(15341)] = 723833,
  [SMALL_STATE(15342)] = 723862,
  [SMALL_STATE(15343)] = 723889,
  [SMALL_STATE(15344)] = 723916,
  [SMALL_STATE(15345)] = 723937,
  [SMALL_STATE(15346)] = 723962,
  [SMALL_STATE(15347)] = 723991,
  [SMALL_STATE(15348)] = 724020,
  [SMALL_STATE(15349)] = 724049,
  [SMALL_STATE(15350)] = 724072,
  [SMALL_STATE(15351)] = 724093,
  [SMALL_STATE(15352)] = 724114,
  [SMALL_STATE(15353)] = 724135,
  [SMALL_STATE(15354)] = 724164,
  [SMALL_STATE(15355)] = 724193,
  [SMALL_STATE(15356)] = 724222,
  [SMALL_STATE(15357)] = 724249,
  [SMALL_STATE(15358)] = 724278,
  [SMALL_STATE(15359)] = 724307,
  [SMALL_STATE(15360)] = 724334,
  [SMALL_STATE(15361)] = 724363,
  [SMALL_STATE(15362)] = 724392,
  [SMALL_STATE(15363)] = 724413,
  [SMALL_STATE(15364)] = 724434,
  [SMALL_STATE(15365)] = 724463,
  [SMALL_STATE(15366)] = 724490,
  [SMALL_STATE(15367)] = 724511,
  [SMALL_STATE(15368)] = 724540,
  [SMALL_STATE(15369)] = 724561,
  [SMALL_STATE(15370)] = 724590,
  [SMALL_STATE(15371)] = 724619,
  [SMALL_STATE(15372)] = 724648,
  [SMALL_STATE(15373)] = 724669,
  [SMALL_STATE(15374)] = 724698,
  [SMALL_STATE(15375)] = 724727,
  [SMALL_STATE(15376)] = 724756,
  [SMALL_STATE(15377)] = 724785,
  [SMALL_STATE(15378)] = 724814,
  [SMALL_STATE(15379)] = 724843,
  [SMALL_STATE(15380)] = 724864,
  [SMALL_STATE(15381)] = 724893,
  [SMALL_STATE(15382)] = 724922,
  [SMALL_STATE(15383)] = 724943,
  [SMALL_STATE(15384)] = 724972,
  [SMALL_STATE(15385)] = 725001,
  [SMALL_STATE(15386)] = 725022,
  [SMALL_STATE(15387)] = 725051,
  [SMALL_STATE(15388)] = 725080,
  [SMALL_STATE(15389)] = 725109,
  [SMALL_STATE(15390)] = 725130,
  [SMALL_STATE(15391)] = 725157,
  [SMALL_STATE(15392)] = 725178,
  [SMALL_STATE(15393)] = 725201,
  [SMALL_STATE(15394)] = 725230,
  [SMALL_STATE(15395)] = 725259,
  [SMALL_STATE(15396)] = 725288,
  [SMALL_STATE(15397)] = 725309,
  [SMALL_STATE(15398)] = 725330,
  [SMALL_STATE(15399)] = 725351,
  [SMALL_STATE(15400)] = 725372,
  [SMALL_STATE(15401)] = 725401,
  [SMALL_STATE(15402)] = 725430,
  [SMALL_STATE(15403)] = 725459,
  [SMALL_STATE(15404)] = 725488,
  [SMALL_STATE(15405)] = 725517,
  [SMALL_STATE(15406)] = 725538,
  [SMALL_STATE(15407)] = 725567,
  [SMALL_STATE(15408)] = 725594,
  [SMALL_STATE(15409)] = 725623,
  [SMALL_STATE(15410)] = 725652,
  [SMALL_STATE(15411)] = 725681,
  [SMALL_STATE(15412)] = 725710,
  [SMALL_STATE(15413)] = 725731,
  [SMALL_STATE(15414)] = 725760,
  [SMALL_STATE(15415)] = 725789,
  [SMALL_STATE(15416)] = 725818,
  [SMALL_STATE(15417)] = 725847,
  [SMALL_STATE(15418)] = 725876,
  [SMALL_STATE(15419)] = 725905,
  [SMALL_STATE(15420)] = 725934,
  [SMALL_STATE(15421)] = 725955,
  [SMALL_STATE(15422)] = 725984,
  [SMALL_STATE(15423)] = 726013,
  [SMALL_STATE(15424)] = 726034,
  [SMALL_STATE(15425)] = 726063,
  [SMALL_STATE(15426)] = 726092,
  [SMALL_STATE(15427)] = 726121,
  [SMALL_STATE(15428)] = 726150,
  [SMALL_STATE(15429)] = 726179,
  [SMALL_STATE(15430)] = 726208,
  [SMALL_STATE(15431)] = 726237,
  [SMALL_STATE(15432)] = 726258,
  [SMALL_STATE(15433)] = 726287,
  [SMALL_STATE(15434)] = 726308,
  [SMALL_STATE(15435)] = 726329,
  [SMALL_STATE(15436)] = 726358,
  [SMALL_STATE(15437)] = 726379,
  [SMALL_STATE(15438)] = 726408,
  [SMALL_STATE(15439)] = 726429,
  [SMALL_STATE(15440)] = 726450,
  [SMALL_STATE(15441)] = 726479,
  [SMALL_STATE(15442)] = 726500,
  [SMALL_STATE(15443)] = 726521,
  [SMALL_STATE(15444)] = 726542,
  [SMALL_STATE(15445)] = 726563,
  [SMALL_STATE(15446)] = 726584,
  [SMALL_STATE(15447)] = 726613,
  [SMALL_STATE(15448)] = 726634,
  [SMALL_STATE(15449)] = 726655,
  [SMALL_STATE(15450)] = 726684,
  [SMALL_STATE(15451)] = 726713,
  [SMALL_STATE(15452)] = 726742,
  [SMALL_STATE(15453)] = 726771,
  [SMALL_STATE(15454)] = 726800,
  [SMALL_STATE(15455)] = 726829,
  [SMALL_STATE(15456)] = 726852,
  [SMALL_STATE(15457)] = 726881,
  [SMALL_STATE(15458)] = 726906,
  [SMALL_STATE(15459)] = 726927,
  [SMALL_STATE(15460)] = 726956,
  [SMALL_STATE(15461)] = 726977,
  [SMALL_STATE(15462)] = 727004,
  [SMALL_STATE(15463)] = 727033,
  [SMALL_STATE(15464)] = 727062,
  [SMALL_STATE(15465)] = 727091,
  [SMALL_STATE(15466)] = 727120,
  [SMALL_STATE(15467)] = 727149,
  [SMALL_STATE(15468)] = 727178,
  [SMALL_STATE(15469)] = 727207,
  [SMALL_STATE(15470)] = 727236,
  [SMALL_STATE(15471)] = 727263,
  [SMALL_STATE(15472)] = 727290,
  [SMALL_STATE(15473)] = 727319,
  [SMALL_STATE(15474)] = 727346,
  [SMALL_STATE(15475)] = 727375,
  [SMALL_STATE(15476)] = 727404,
  [SMALL_STATE(15477)] = 727425,
  [SMALL_STATE(15478)] = 727454,
  [SMALL_STATE(15479)] = 727483,
  [SMALL_STATE(15480)] = 727504,
  [SMALL_STATE(15481)] = 727533,
  [SMALL_STATE(15482)] = 727562,
  [SMALL_STATE(15483)] = 727591,
  [SMALL_STATE(15484)] = 727620,
  [SMALL_STATE(15485)] = 727641,
  [SMALL_STATE(15486)] = 727670,
  [SMALL_STATE(15487)] = 727697,
  [SMALL_STATE(15488)] = 727726,
  [SMALL_STATE(15489)] = 727755,
  [SMALL_STATE(15490)] = 727776,
  [SMALL_STATE(15491)] = 727805,
  [SMALL_STATE(15492)] = 727826,
  [SMALL_STATE(15493)] = 727855,
  [SMALL_STATE(15494)] = 727876,
  [SMALL_STATE(15495)] = 727897,
  [SMALL_STATE(15496)] = 727918,
  [SMALL_STATE(15497)] = 727947,
  [SMALL_STATE(15498)] = 727976,
  [SMALL_STATE(15499)] = 728005,
  [SMALL_STATE(15500)] = 728034,
  [SMALL_STATE(15501)] = 728063,
  [SMALL_STATE(15502)] = 728090,
  [SMALL_STATE(15503)] = 728119,
  [SMALL_STATE(15504)] = 728148,
  [SMALL_STATE(15505)] = 728177,
  [SMALL_STATE(15506)] = 728204,
  [SMALL_STATE(15507)] = 728233,
  [SMALL_STATE(15508)] = 728262,
  [SMALL_STATE(15509)] = 728291,
  [SMALL_STATE(15510)] = 728320,
  [SMALL_STATE(15511)] = 728347,
  [SMALL_STATE(15512)] = 728376,
  [SMALL_STATE(15513)] = 728405,
  [SMALL_STATE(15514)] = 728432,
  [SMALL_STATE(15515)] = 728461,
  [SMALL_STATE(15516)] = 728490,
  [SMALL_STATE(15517)] = 728517,
  [SMALL_STATE(15518)] = 728546,
  [SMALL_STATE(15519)] = 728575,
  [SMALL_STATE(15520)] = 728604,
  [SMALL_STATE(15521)] = 728633,
  [SMALL_STATE(15522)] = 728662,
  [SMALL_STATE(15523)] = 728691,
  [SMALL_STATE(15524)] = 728720,
  [SMALL_STATE(15525)] = 728741,
  [SMALL_STATE(15526)] = 728762,
  [SMALL_STATE(15527)] = 728783,
  [SMALL_STATE(15528)] = 728812,
  [SMALL_STATE(15529)] = 728841,
  [SMALL_STATE(15530)] = 728870,
  [SMALL_STATE(15531)] = 728899,
  [SMALL_STATE(15532)] = 728928,
  [SMALL_STATE(15533)] = 728957,
  [SMALL_STATE(15534)] = 728978,
  [SMALL_STATE(15535)] = 729007,
  [SMALL_STATE(15536)] = 729036,
  [SMALL_STATE(15537)] = 729063,
  [SMALL_STATE(15538)] = 729092,
  [SMALL_STATE(15539)] = 729121,
  [SMALL_STATE(15540)] = 729150,
  [SMALL_STATE(15541)] = 729179,
  [SMALL_STATE(15542)] = 729208,
  [SMALL_STATE(15543)] = 729237,
  [SMALL_STATE(15544)] = 729266,
  [SMALL_STATE(15545)] = 729295,
  [SMALL_STATE(15546)] = 729322,
  [SMALL_STATE(15547)] = 729343,
  [SMALL_STATE(15548)] = 729364,
  [SMALL_STATE(15549)] = 729387,
  [SMALL_STATE(15550)] = 729408,
  [SMALL_STATE(15551)] = 729437,
  [SMALL_STATE(15552)] = 729466,
  [SMALL_STATE(15553)] = 729495,
  [SMALL_STATE(15554)] = 729516,
  [SMALL_STATE(15555)] = 729545,
  [SMALL_STATE(15556)] = 729566,
  [SMALL_STATE(15557)] = 729587,
  [SMALL_STATE(15558)] = 729616,
  [SMALL_STATE(15559)] = 729645,
  [SMALL_STATE(15560)] = 729674,
  [SMALL_STATE(15561)] = 729703,
  [SMALL_STATE(15562)] = 729732,
  [SMALL_STATE(15563)] = 729761,
  [SMALL_STATE(15564)] = 729790,
  [SMALL_STATE(15565)] = 729819,
  [SMALL_STATE(15566)] = 729840,
  [SMALL_STATE(15567)] = 729867,
  [SMALL_STATE(15568)] = 729896,
  [SMALL_STATE(15569)] = 729925,
  [SMALL_STATE(15570)] = 729954,
  [SMALL_STATE(15571)] = 729983,
  [SMALL_STATE(15572)] = 730012,
  [SMALL_STATE(15573)] = 730039,
  [SMALL_STATE(15574)] = 730068,
  [SMALL_STATE(15575)] = 730095,
  [SMALL_STATE(15576)] = 730124,
  [SMALL_STATE(15577)] = 730153,
  [SMALL_STATE(15578)] = 730182,
  [SMALL_STATE(15579)] = 730211,
  [SMALL_STATE(15580)] = 730240,
  [SMALL_STATE(15581)] = 730269,
  [SMALL_STATE(15582)] = 730298,
  [SMALL_STATE(15583)] = 730327,
  [SMALL_STATE(15584)] = 730356,
  [SMALL_STATE(15585)] = 730385,
  [SMALL_STATE(15586)] = 730414,
  [SMALL_STATE(15587)] = 730443,
  [SMALL_STATE(15588)] = 730472,
  [SMALL_STATE(15589)] = 730501,
  [SMALL_STATE(15590)] = 730528,
  [SMALL_STATE(15591)] = 730557,
  [SMALL_STATE(15592)] = 730578,
  [SMALL_STATE(15593)] = 730607,
  [SMALL_STATE(15594)] = 730628,
  [SMALL_STATE(15595)] = 730657,
  [SMALL_STATE(15596)] = 730686,
  [SMALL_STATE(15597)] = 730715,
  [SMALL_STATE(15598)] = 730744,
  [SMALL_STATE(15599)] = 730773,
  [SMALL_STATE(15600)] = 730802,
  [SMALL_STATE(15601)] = 730825,
  [SMALL_STATE(15602)] = 730854,
  [SMALL_STATE(15603)] = 730883,
  [SMALL_STATE(15604)] = 730912,
  [SMALL_STATE(15605)] = 730941,
  [SMALL_STATE(15606)] = 730970,
  [SMALL_STATE(15607)] = 730999,
  [SMALL_STATE(15608)] = 731028,
  [SMALL_STATE(15609)] = 731057,
  [SMALL_STATE(15610)] = 731086,
  [SMALL_STATE(15611)] = 731115,
  [SMALL_STATE(15612)] = 731136,
  [SMALL_STATE(15613)] = 731165,
  [SMALL_STATE(15614)] = 731194,
  [SMALL_STATE(15615)] = 731223,
  [SMALL_STATE(15616)] = 731246,
  [SMALL_STATE(15617)] = 731275,
  [SMALL_STATE(15618)] = 731304,
  [SMALL_STATE(15619)] = 731333,
  [SMALL_STATE(15620)] = 731362,
  [SMALL_STATE(15621)] = 731391,
  [SMALL_STATE(15622)] = 731420,
  [SMALL_STATE(15623)] = 731441,
  [SMALL_STATE(15624)] = 731470,
  [SMALL_STATE(15625)] = 731495,
  [SMALL_STATE(15626)] = 731524,
  [SMALL_STATE(15627)] = 731553,
  [SMALL_STATE(15628)] = 731582,
  [SMALL_STATE(15629)] = 731611,
  [SMALL_STATE(15630)] = 731640,
  [SMALL_STATE(15631)] = 731664,
  [SMALL_STATE(15632)] = 731690,
  [SMALL_STATE(15633)] = 731716,
  [SMALL_STATE(15634)] = 731742,
  [SMALL_STATE(15635)] = 731764,
  [SMALL_STATE(15636)] = 731790,
  [SMALL_STATE(15637)] = 731816,
  [SMALL_STATE(15638)] = 731842,
  [SMALL_STATE(15639)] = 731864,
  [SMALL_STATE(15640)] = 731888,
  [SMALL_STATE(15641)] = 731914,
  [SMALL_STATE(15642)] = 731940,
  [SMALL_STATE(15643)] = 731966,
  [SMALL_STATE(15644)] = 731992,
  [SMALL_STATE(15645)] = 732018,
  [SMALL_STATE(15646)] = 732044,
  [SMALL_STATE(15647)] = 732066,
  [SMALL_STATE(15648)] = 732088,
  [SMALL_STATE(15649)] = 732114,
  [SMALL_STATE(15650)] = 732140,
  [SMALL_STATE(15651)] = 732164,
  [SMALL_STATE(15652)] = 732190,
  [SMALL_STATE(15653)] = 732214,
  [SMALL_STATE(15654)] = 732240,
  [SMALL_STATE(15655)] = 732262,
  [SMALL_STATE(15656)] = 732288,
  [SMALL_STATE(15657)] = 732314,
  [SMALL_STATE(15658)] = 732340,
  [SMALL_STATE(15659)] = 732366,
  [SMALL_STATE(15660)] = 732388,
  [SMALL_STATE(15661)] = 732414,
  [SMALL_STATE(15662)] = 732440,
  [SMALL_STATE(15663)] = 732464,
  [SMALL_STATE(15664)] = 732486,
  [SMALL_STATE(15665)] = 732512,
  [SMALL_STATE(15666)] = 732538,
  [SMALL_STATE(15667)] = 732560,
  [SMALL_STATE(15668)] = 732582,
  [SMALL_STATE(15669)] = 732608,
  [SMALL_STATE(15670)] = 732634,
  [SMALL_STATE(15671)] = 732658,
  [SMALL_STATE(15672)] = 732684,
  [SMALL_STATE(15673)] = 732702,
  [SMALL_STATE(15674)] = 732720,
  [SMALL_STATE(15675)] = 732746,
  [SMALL_STATE(15676)] = 732772,
  [SMALL_STATE(15677)] = 732798,
  [SMALL_STATE(15678)] = 732824,
  [SMALL_STATE(15679)] = 732850,
  [SMALL_STATE(15680)] = 732876,
  [SMALL_STATE(15681)] = 732902,
  [SMALL_STATE(15682)] = 732928,
  [SMALL_STATE(15683)] = 732954,
  [SMALL_STATE(15684)] = 732980,
  [SMALL_STATE(15685)] = 733006,
  [SMALL_STATE(15686)] = 733032,
  [SMALL_STATE(15687)] = 733058,
  [SMALL_STATE(15688)] = 733084,
  [SMALL_STATE(15689)] = 733110,
  [SMALL_STATE(15690)] = 733136,
  [SMALL_STATE(15691)] = 733158,
  [SMALL_STATE(15692)] = 733184,
  [SMALL_STATE(15693)] = 733210,
  [SMALL_STATE(15694)] = 733236,
  [SMALL_STATE(15695)] = 733262,
  [SMALL_STATE(15696)] = 733288,
  [SMALL_STATE(15697)] = 733314,
  [SMALL_STATE(15698)] = 733340,
  [SMALL_STATE(15699)] = 733366,
  [SMALL_STATE(15700)] = 733386,
  [SMALL_STATE(15701)] = 733412,
  [SMALL_STATE(15702)] = 733434,
  [SMALL_STATE(15703)] = 733460,
  [SMALL_STATE(15704)] = 733486,
  [SMALL_STATE(15705)] = 733512,
  [SMALL_STATE(15706)] = 733538,
  [SMALL_STATE(15707)] = 733560,
  [SMALL_STATE(15708)] = 733586,
  [SMALL_STATE(15709)] = 733612,
  [SMALL_STATE(15710)] = 733636,
  [SMALL_STATE(15711)] = 733662,
  [SMALL_STATE(15712)] = 733684,
  [SMALL_STATE(15713)] = 733710,
  [SMALL_STATE(15714)] = 733736,
  [SMALL_STATE(15715)] = 733762,
  [SMALL_STATE(15716)] = 733788,
  [SMALL_STATE(15717)] = 733814,
  [SMALL_STATE(15718)] = 733840,
  [SMALL_STATE(15719)] = 733866,
  [SMALL_STATE(15720)] = 733892,
  [SMALL_STATE(15721)] = 733918,
  [SMALL_STATE(15722)] = 733944,
  [SMALL_STATE(15723)] = 733970,
  [SMALL_STATE(15724)] = 733996,
  [SMALL_STATE(15725)] = 734022,
  [SMALL_STATE(15726)] = 734048,
  [SMALL_STATE(15727)] = 734074,
  [SMALL_STATE(15728)] = 734100,
  [SMALL_STATE(15729)] = 734126,
  [SMALL_STATE(15730)] = 734152,
  [SMALL_STATE(15731)] = 734178,
  [SMALL_STATE(15732)] = 734200,
  [SMALL_STATE(15733)] = 734226,
  [SMALL_STATE(15734)] = 734252,
  [SMALL_STATE(15735)] = 734274,
  [SMALL_STATE(15736)] = 734300,
  [SMALL_STATE(15737)] = 734326,
  [SMALL_STATE(15738)] = 734352,
  [SMALL_STATE(15739)] = 734374,
  [SMALL_STATE(15740)] = 734400,
  [SMALL_STATE(15741)] = 734426,
  [SMALL_STATE(15742)] = 734448,
  [SMALL_STATE(15743)] = 734474,
  [SMALL_STATE(15744)] = 734500,
  [SMALL_STATE(15745)] = 734526,
  [SMALL_STATE(15746)] = 734550,
  [SMALL_STATE(15747)] = 734576,
  [SMALL_STATE(15748)] = 734602,
  [SMALL_STATE(15749)] = 734628,
  [SMALL_STATE(15750)] = 734654,
  [SMALL_STATE(15751)] = 734680,
  [SMALL_STATE(15752)] = 734706,
  [SMALL_STATE(15753)] = 734732,
  [SMALL_STATE(15754)] = 734758,
  [SMALL_STATE(15755)] = 734782,
  [SMALL_STATE(15756)] = 734808,
  [SMALL_STATE(15757)] = 734834,
  [SMALL_STATE(15758)] = 734860,
  [SMALL_STATE(15759)] = 734882,
  [SMALL_STATE(15760)] = 734908,
  [SMALL_STATE(15761)] = 734934,
  [SMALL_STATE(15762)] = 734960,
  [SMALL_STATE(15763)] = 734986,
  [SMALL_STATE(15764)] = 735012,
  [SMALL_STATE(15765)] = 735038,
  [SMALL_STATE(15766)] = 735064,
  [SMALL_STATE(15767)] = 735090,
  [SMALL_STATE(15768)] = 735116,
  [SMALL_STATE(15769)] = 735140,
  [SMALL_STATE(15770)] = 735166,
  [SMALL_STATE(15771)] = 735192,
  [SMALL_STATE(15772)] = 735218,
  [SMALL_STATE(15773)] = 735244,
  [SMALL_STATE(15774)] = 735262,
  [SMALL_STATE(15775)] = 735288,
  [SMALL_STATE(15776)] = 735314,
  [SMALL_STATE(15777)] = 735340,
  [SMALL_STATE(15778)] = 735366,
  [SMALL_STATE(15779)] = 735392,
  [SMALL_STATE(15780)] = 735416,
  [SMALL_STATE(15781)] = 735442,
  [SMALL_STATE(15782)] = 735468,
  [SMALL_STATE(15783)] = 735490,
  [SMALL_STATE(15784)] = 735516,
  [SMALL_STATE(15785)] = 735540,
  [SMALL_STATE(15786)] = 735564,
  [SMALL_STATE(15787)] = 735590,
  [SMALL_STATE(15788)] = 735616,
  [SMALL_STATE(15789)] = 735642,
  [SMALL_STATE(15790)] = 735668,
  [SMALL_STATE(15791)] = 735694,
  [SMALL_STATE(15792)] = 735720,
  [SMALL_STATE(15793)] = 735746,
  [SMALL_STATE(15794)] = 735772,
  [SMALL_STATE(15795)] = 735798,
  [SMALL_STATE(15796)] = 735824,
  [SMALL_STATE(15797)] = 735850,
  [SMALL_STATE(15798)] = 735876,
  [SMALL_STATE(15799)] = 735902,
  [SMALL_STATE(15800)] = 735926,
  [SMALL_STATE(15801)] = 735952,
  [SMALL_STATE(15802)] = 735978,
  [SMALL_STATE(15803)] = 736004,
  [SMALL_STATE(15804)] = 736030,
  [SMALL_STATE(15805)] = 736054,
  [SMALL_STATE(15806)] = 736080,
  [SMALL_STATE(15807)] = 736106,
  [SMALL_STATE(15808)] = 736132,
  [SMALL_STATE(15809)] = 736158,
  [SMALL_STATE(15810)] = 736184,
  [SMALL_STATE(15811)] = 736210,
  [SMALL_STATE(15812)] = 736236,
  [SMALL_STATE(15813)] = 736262,
  [SMALL_STATE(15814)] = 736286,
  [SMALL_STATE(15815)] = 736312,
  [SMALL_STATE(15816)] = 736338,
  [SMALL_STATE(15817)] = 736364,
  [SMALL_STATE(15818)] = 736390,
  [SMALL_STATE(15819)] = 736414,
  [SMALL_STATE(15820)] = 736440,
  [SMALL_STATE(15821)] = 736466,
  [SMALL_STATE(15822)] = 736492,
  [SMALL_STATE(15823)] = 736518,
  [SMALL_STATE(15824)] = 736536,
  [SMALL_STATE(15825)] = 736554,
  [SMALL_STATE(15826)] = 736580,
  [SMALL_STATE(15827)] = 736602,
  [SMALL_STATE(15828)] = 736628,
  [SMALL_STATE(15829)] = 736654,
  [SMALL_STATE(15830)] = 736680,
  [SMALL_STATE(15831)] = 736706,
  [SMALL_STATE(15832)] = 736732,
  [SMALL_STATE(15833)] = 736758,
  [SMALL_STATE(15834)] = 736784,
  [SMALL_STATE(15835)] = 736808,
  [SMALL_STATE(15836)] = 736834,
  [SMALL_STATE(15837)] = 736860,
  [SMALL_STATE(15838)] = 736886,
  [SMALL_STATE(15839)] = 736912,
  [SMALL_STATE(15840)] = 736938,
  [SMALL_STATE(15841)] = 736964,
  [SMALL_STATE(15842)] = 736986,
  [SMALL_STATE(15843)] = 737012,
  [SMALL_STATE(15844)] = 737038,
  [SMALL_STATE(15845)] = 737064,
  [SMALL_STATE(15846)] = 737090,
  [SMALL_STATE(15847)] = 737116,
  [SMALL_STATE(15848)] = 737142,
  [SMALL_STATE(15849)] = 737164,
  [SMALL_STATE(15850)] = 737190,
  [SMALL_STATE(15851)] = 737216,
  [SMALL_STATE(15852)] = 737242,
  [SMALL_STATE(15853)] = 737268,
  [SMALL_STATE(15854)] = 737294,
  [SMALL_STATE(15855)] = 737320,
  [SMALL_STATE(15856)] = 737346,
  [SMALL_STATE(15857)] = 737368,
  [SMALL_STATE(15858)] = 737394,
  [SMALL_STATE(15859)] = 737420,
  [SMALL_STATE(15860)] = 737446,
  [SMALL_STATE(15861)] = 737472,
  [SMALL_STATE(15862)] = 737494,
  [SMALL_STATE(15863)] = 737516,
  [SMALL_STATE(15864)] = 737542,
  [SMALL_STATE(15865)] = 737560,
  [SMALL_STATE(15866)] = 737578,
  [SMALL_STATE(15867)] = 737604,
  [SMALL_STATE(15868)] = 737630,
  [SMALL_STATE(15869)] = 737656,
  [SMALL_STATE(15870)] = 737682,
  [SMALL_STATE(15871)] = 737706,
  [SMALL_STATE(15872)] = 737732,
  [SMALL_STATE(15873)] = 737758,
  [SMALL_STATE(15874)] = 737784,
  [SMALL_STATE(15875)] = 737810,
  [SMALL_STATE(15876)] = 737836,
  [SMALL_STATE(15877)] = 737862,
  [SMALL_STATE(15878)] = 737885,
  [SMALL_STATE(15879)] = 737908,
  [SMALL_STATE(15880)] = 737931,
  [SMALL_STATE(15881)] = 737954,
  [SMALL_STATE(15882)] = 737977,
  [SMALL_STATE(15883)] = 738000,
  [SMALL_STATE(15884)] = 738023,
  [SMALL_STATE(15885)] = 738046,
  [SMALL_STATE(15886)] = 738069,
  [SMALL_STATE(15887)] = 738092,
  [SMALL_STATE(15888)] = 738115,
  [SMALL_STATE(15889)] = 738138,
  [SMALL_STATE(15890)] = 738161,
  [SMALL_STATE(15891)] = 738184,
  [SMALL_STATE(15892)] = 738207,
  [SMALL_STATE(15893)] = 738230,
  [SMALL_STATE(15894)] = 738253,
  [SMALL_STATE(15895)] = 738276,
  [SMALL_STATE(15896)] = 738299,
  [SMALL_STATE(15897)] = 738322,
  [SMALL_STATE(15898)] = 738343,
  [SMALL_STATE(15899)] = 738366,
  [SMALL_STATE(15900)] = 738389,
  [SMALL_STATE(15901)] = 738408,
  [SMALL_STATE(15902)] = 738431,
  [SMALL_STATE(15903)] = 738454,
  [SMALL_STATE(15904)] = 738477,
  [SMALL_STATE(15905)] = 738500,
  [SMALL_STATE(15906)] = 738523,
  [SMALL_STATE(15907)] = 738546,
  [SMALL_STATE(15908)] = 738569,
  [SMALL_STATE(15909)] = 738592,
  [SMALL_STATE(15910)] = 738615,
  [SMALL_STATE(15911)] = 738638,
  [SMALL_STATE(15912)] = 738661,
  [SMALL_STATE(15913)] = 738684,
  [SMALL_STATE(15914)] = 738707,
  [SMALL_STATE(15915)] = 738730,
  [SMALL_STATE(15916)] = 738753,
  [SMALL_STATE(15917)] = 738776,
  [SMALL_STATE(15918)] = 738799,
  [SMALL_STATE(15919)] = 738822,
  [SMALL_STATE(15920)] = 738845,
  [SMALL_STATE(15921)] = 738868,
  [SMALL_STATE(15922)] = 738891,
  [SMALL_STATE(15923)] = 738914,
  [SMALL_STATE(15924)] = 738937,
  [SMALL_STATE(15925)] = 738960,
  [SMALL_STATE(15926)] = 738983,
  [SMALL_STATE(15927)] = 739006,
  [SMALL_STATE(15928)] = 739027,
  [SMALL_STATE(15929)] = 739050,
  [SMALL_STATE(15930)] = 739071,
  [SMALL_STATE(15931)] = 739094,
  [SMALL_STATE(15932)] = 739117,
  [SMALL_STATE(15933)] = 739140,
  [SMALL_STATE(15934)] = 739163,
  [SMALL_STATE(15935)] = 739186,
  [SMALL_STATE(15936)] = 739209,
  [SMALL_STATE(15937)] = 739232,
  [SMALL_STATE(15938)] = 739253,
  [SMALL_STATE(15939)] = 739274,
  [SMALL_STATE(15940)] = 739295,
  [SMALL_STATE(15941)] = 739318,
  [SMALL_STATE(15942)] = 739341,
  [SMALL_STATE(15943)] = 739364,
  [SMALL_STATE(15944)] = 739385,
  [SMALL_STATE(15945)] = 739406,
  [SMALL_STATE(15946)] = 739429,
  [SMALL_STATE(15947)] = 739452,
  [SMALL_STATE(15948)] = 739475,
  [SMALL_STATE(15949)] = 739498,
  [SMALL_STATE(15950)] = 739521,
  [SMALL_STATE(15951)] = 739544,
  [SMALL_STATE(15952)] = 739567,
  [SMALL_STATE(15953)] = 739590,
  [SMALL_STATE(15954)] = 739613,
  [SMALL_STATE(15955)] = 739636,
  [SMALL_STATE(15956)] = 739659,
  [SMALL_STATE(15957)] = 739682,
  [SMALL_STATE(15958)] = 739705,
  [SMALL_STATE(15959)] = 739728,
  [SMALL_STATE(15960)] = 739751,
  [SMALL_STATE(15961)] = 739774,
  [SMALL_STATE(15962)] = 739797,
  [SMALL_STATE(15963)] = 739820,
  [SMALL_STATE(15964)] = 739843,
  [SMALL_STATE(15965)] = 739862,
  [SMALL_STATE(15966)] = 739885,
  [SMALL_STATE(15967)] = 739908,
  [SMALL_STATE(15968)] = 739931,
  [SMALL_STATE(15969)] = 739954,
  [SMALL_STATE(15970)] = 739977,
  [SMALL_STATE(15971)] = 740000,
  [SMALL_STATE(15972)] = 740023,
  [SMALL_STATE(15973)] = 740046,
  [SMALL_STATE(15974)] = 740069,
  [SMALL_STATE(15975)] = 740092,
  [SMALL_STATE(15976)] = 740115,
  [SMALL_STATE(15977)] = 740138,
  [SMALL_STATE(15978)] = 740157,
  [SMALL_STATE(15979)] = 740180,
  [SMALL_STATE(15980)] = 740203,
  [SMALL_STATE(15981)] = 740226,
  [SMALL_STATE(15982)] = 740249,
  [SMALL_STATE(15983)] = 740272,
  [SMALL_STATE(15984)] = 740295,
  [SMALL_STATE(15985)] = 740318,
  [SMALL_STATE(15986)] = 740341,
  [SMALL_STATE(15987)] = 740362,
  [SMALL_STATE(15988)] = 740385,
  [SMALL_STATE(15989)] = 740408,
  [SMALL_STATE(15990)] = 740431,
  [SMALL_STATE(15991)] = 740454,
  [SMALL_STATE(15992)] = 740477,
  [SMALL_STATE(15993)] = 740500,
  [SMALL_STATE(15994)] = 740523,
  [SMALL_STATE(15995)] = 740546,
  [SMALL_STATE(15996)] = 740569,
  [SMALL_STATE(15997)] = 740592,
  [SMALL_STATE(15998)] = 740615,
  [SMALL_STATE(15999)] = 740638,
  [SMALL_STATE(16000)] = 740661,
  [SMALL_STATE(16001)] = 740684,
  [SMALL_STATE(16002)] = 740707,
  [SMALL_STATE(16003)] = 740730,
  [SMALL_STATE(16004)] = 740753,
  [SMALL_STATE(16005)] = 740776,
  [SMALL_STATE(16006)] = 740799,
  [SMALL_STATE(16007)] = 740822,
  [SMALL_STATE(16008)] = 740845,
  [SMALL_STATE(16009)] = 740868,
  [SMALL_STATE(16010)] = 740891,
  [SMALL_STATE(16011)] = 740914,
  [SMALL_STATE(16012)] = 740937,
  [SMALL_STATE(16013)] = 740958,
  [SMALL_STATE(16014)] = 740981,
  [SMALL_STATE(16015)] = 741004,
  [SMALL_STATE(16016)] = 741027,
  [SMALL_STATE(16017)] = 741050,
  [SMALL_STATE(16018)] = 741073,
  [SMALL_STATE(16019)] = 741096,
  [SMALL_STATE(16020)] = 741119,
  [SMALL_STATE(16021)] = 741142,
  [SMALL_STATE(16022)] = 741165,
  [SMALL_STATE(16023)] = 741188,
  [SMALL_STATE(16024)] = 741211,
  [SMALL_STATE(16025)] = 741234,
  [SMALL_STATE(16026)] = 741257,
  [SMALL_STATE(16027)] = 741280,
  [SMALL_STATE(16028)] = 741303,
  [SMALL_STATE(16029)] = 741326,
  [SMALL_STATE(16030)] = 741349,
  [SMALL_STATE(16031)] = 741372,
  [SMALL_STATE(16032)] = 741395,
  [SMALL_STATE(16033)] = 741418,
  [SMALL_STATE(16034)] = 741441,
  [SMALL_STATE(16035)] = 741464,
  [SMALL_STATE(16036)] = 741487,
  [SMALL_STATE(16037)] = 741510,
  [SMALL_STATE(16038)] = 741533,
  [SMALL_STATE(16039)] = 741556,
  [SMALL_STATE(16040)] = 741579,
  [SMALL_STATE(16041)] = 741602,
  [SMALL_STATE(16042)] = 741625,
  [SMALL_STATE(16043)] = 741648,
  [SMALL_STATE(16044)] = 741671,
  [SMALL_STATE(16045)] = 741694,
  [SMALL_STATE(16046)] = 741717,
  [SMALL_STATE(16047)] = 741740,
  [SMALL_STATE(16048)] = 741763,
  [SMALL_STATE(16049)] = 741786,
  [SMALL_STATE(16050)] = 741809,
  [SMALL_STATE(16051)] = 741832,
  [SMALL_STATE(16052)] = 741855,
  [SMALL_STATE(16053)] = 741878,
  [SMALL_STATE(16054)] = 741901,
  [SMALL_STATE(16055)] = 741924,
  [SMALL_STATE(16056)] = 741947,
  [SMALL_STATE(16057)] = 741970,
  [SMALL_STATE(16058)] = 741993,
  [SMALL_STATE(16059)] = 742016,
  [SMALL_STATE(16060)] = 742039,
  [SMALL_STATE(16061)] = 742062,
  [SMALL_STATE(16062)] = 742085,
  [SMALL_STATE(16063)] = 742108,
  [SMALL_STATE(16064)] = 742131,
  [SMALL_STATE(16065)] = 742154,
  [SMALL_STATE(16066)] = 742177,
  [SMALL_STATE(16067)] = 742200,
  [SMALL_STATE(16068)] = 742223,
  [SMALL_STATE(16069)] = 742246,
  [SMALL_STATE(16070)] = 742267,
  [SMALL_STATE(16071)] = 742290,
  [SMALL_STATE(16072)] = 742313,
  [SMALL_STATE(16073)] = 742336,
  [SMALL_STATE(16074)] = 742359,
  [SMALL_STATE(16075)] = 742380,
  [SMALL_STATE(16076)] = 742403,
  [SMALL_STATE(16077)] = 742426,
  [SMALL_STATE(16078)] = 742449,
  [SMALL_STATE(16079)] = 742472,
  [SMALL_STATE(16080)] = 742495,
  [SMALL_STATE(16081)] = 742518,
  [SMALL_STATE(16082)] = 742541,
  [SMALL_STATE(16083)] = 742564,
  [SMALL_STATE(16084)] = 742587,
  [SMALL_STATE(16085)] = 742610,
  [SMALL_STATE(16086)] = 742633,
  [SMALL_STATE(16087)] = 742656,
  [SMALL_STATE(16088)] = 742679,
  [SMALL_STATE(16089)] = 742702,
  [SMALL_STATE(16090)] = 742725,
  [SMALL_STATE(16091)] = 742748,
  [SMALL_STATE(16092)] = 742771,
  [SMALL_STATE(16093)] = 742794,
  [SMALL_STATE(16094)] = 742817,
  [SMALL_STATE(16095)] = 742840,
  [SMALL_STATE(16096)] = 742863,
  [SMALL_STATE(16097)] = 742886,
  [SMALL_STATE(16098)] = 742909,
  [SMALL_STATE(16099)] = 742932,
  [SMALL_STATE(16100)] = 742955,
  [SMALL_STATE(16101)] = 742978,
  [SMALL_STATE(16102)] = 743001,
  [SMALL_STATE(16103)] = 743024,
  [SMALL_STATE(16104)] = 743047,
  [SMALL_STATE(16105)] = 743070,
  [SMALL_STATE(16106)] = 743093,
  [SMALL_STATE(16107)] = 743116,
  [SMALL_STATE(16108)] = 743139,
  [SMALL_STATE(16109)] = 743162,
  [SMALL_STATE(16110)] = 743185,
  [SMALL_STATE(16111)] = 743208,
  [SMALL_STATE(16112)] = 743231,
  [SMALL_STATE(16113)] = 743254,
  [SMALL_STATE(16114)] = 743277,
  [SMALL_STATE(16115)] = 743300,
  [SMALL_STATE(16116)] = 743323,
  [SMALL_STATE(16117)] = 743346,
  [SMALL_STATE(16118)] = 743369,
  [SMALL_STATE(16119)] = 743392,
  [SMALL_STATE(16120)] = 743415,
  [SMALL_STATE(16121)] = 743438,
  [SMALL_STATE(16122)] = 743461,
  [SMALL_STATE(16123)] = 743482,
  [SMALL_STATE(16124)] = 743505,
  [SMALL_STATE(16125)] = 743528,
  [SMALL_STATE(16126)] = 743551,
  [SMALL_STATE(16127)] = 743574,
  [SMALL_STATE(16128)] = 743597,
  [SMALL_STATE(16129)] = 743620,
  [SMALL_STATE(16130)] = 743643,
  [SMALL_STATE(16131)] = 743664,
  [SMALL_STATE(16132)] = 743687,
  [SMALL_STATE(16133)] = 743710,
  [SMALL_STATE(16134)] = 743733,
  [SMALL_STATE(16135)] = 743756,
  [SMALL_STATE(16136)] = 743779,
  [SMALL_STATE(16137)] = 743802,
  [SMALL_STATE(16138)] = 743825,
  [SMALL_STATE(16139)] = 743848,
  [SMALL_STATE(16140)] = 743871,
  [SMALL_STATE(16141)] = 743894,
  [SMALL_STATE(16142)] = 743917,
  [SMALL_STATE(16143)] = 743940,
  [SMALL_STATE(16144)] = 743963,
  [SMALL_STATE(16145)] = 743986,
  [SMALL_STATE(16146)] = 744009,
  [SMALL_STATE(16147)] = 744032,
  [SMALL_STATE(16148)] = 744055,
  [SMALL_STATE(16149)] = 744078,
  [SMALL_STATE(16150)] = 744099,
  [SMALL_STATE(16151)] = 744122,
  [SMALL_STATE(16152)] = 744145,
  [SMALL_STATE(16153)] = 744168,
  [SMALL_STATE(16154)] = 744191,
  [SMALL_STATE(16155)] = 744214,
  [SMALL_STATE(16156)] = 744237,
  [SMALL_STATE(16157)] = 744260,
  [SMALL_STATE(16158)] = 744283,
  [SMALL_STATE(16159)] = 744306,
  [SMALL_STATE(16160)] = 744329,
  [SMALL_STATE(16161)] = 744352,
  [SMALL_STATE(16162)] = 744375,
  [SMALL_STATE(16163)] = 744398,
  [SMALL_STATE(16164)] = 744421,
  [SMALL_STATE(16165)] = 744444,
  [SMALL_STATE(16166)] = 744467,
  [SMALL_STATE(16167)] = 744490,
  [SMALL_STATE(16168)] = 744513,
  [SMALL_STATE(16169)] = 744536,
  [SMALL_STATE(16170)] = 744559,
  [SMALL_STATE(16171)] = 744582,
  [SMALL_STATE(16172)] = 744605,
  [SMALL_STATE(16173)] = 744628,
  [SMALL_STATE(16174)] = 744651,
  [SMALL_STATE(16175)] = 744674,
  [SMALL_STATE(16176)] = 744697,
  [SMALL_STATE(16177)] = 744720,
  [SMALL_STATE(16178)] = 744743,
  [SMALL_STATE(16179)] = 744766,
  [SMALL_STATE(16180)] = 744789,
  [SMALL_STATE(16181)] = 744812,
  [SMALL_STATE(16182)] = 744835,
  [SMALL_STATE(16183)] = 744858,
  [SMALL_STATE(16184)] = 744881,
  [SMALL_STATE(16185)] = 744904,
  [SMALL_STATE(16186)] = 744927,
  [SMALL_STATE(16187)] = 744948,
  [SMALL_STATE(16188)] = 744971,
  [SMALL_STATE(16189)] = 744994,
  [SMALL_STATE(16190)] = 745017,
  [SMALL_STATE(16191)] = 745040,
  [SMALL_STATE(16192)] = 745063,
  [SMALL_STATE(16193)] = 745086,
  [SMALL_STATE(16194)] = 745109,
  [SMALL_STATE(16195)] = 745132,
  [SMALL_STATE(16196)] = 745155,
  [SMALL_STATE(16197)] = 745178,
  [SMALL_STATE(16198)] = 745201,
  [SMALL_STATE(16199)] = 745224,
  [SMALL_STATE(16200)] = 745247,
  [SMALL_STATE(16201)] = 745270,
  [SMALL_STATE(16202)] = 745293,
  [SMALL_STATE(16203)] = 745312,
  [SMALL_STATE(16204)] = 745333,
  [SMALL_STATE(16205)] = 745356,
  [SMALL_STATE(16206)] = 745379,
  [SMALL_STATE(16207)] = 745400,
  [SMALL_STATE(16208)] = 745423,
  [SMALL_STATE(16209)] = 745446,
  [SMALL_STATE(16210)] = 745469,
  [SMALL_STATE(16211)] = 745492,
  [SMALL_STATE(16212)] = 745515,
  [SMALL_STATE(16213)] = 745538,
  [SMALL_STATE(16214)] = 745561,
  [SMALL_STATE(16215)] = 745584,
  [SMALL_STATE(16216)] = 745607,
  [SMALL_STATE(16217)] = 745630,
  [SMALL_STATE(16218)] = 745653,
  [SMALL_STATE(16219)] = 745676,
  [SMALL_STATE(16220)] = 745699,
  [SMALL_STATE(16221)] = 745722,
  [SMALL_STATE(16222)] = 745745,
  [SMALL_STATE(16223)] = 745768,
  [SMALL_STATE(16224)] = 745791,
  [SMALL_STATE(16225)] = 745810,
  [SMALL_STATE(16226)] = 745833,
  [SMALL_STATE(16227)] = 745856,
  [SMALL_STATE(16228)] = 745879,
  [SMALL_STATE(16229)] = 745902,
  [SMALL_STATE(16230)] = 745925,
  [SMALL_STATE(16231)] = 745948,
  [SMALL_STATE(16232)] = 745971,
  [SMALL_STATE(16233)] = 745994,
  [SMALL_STATE(16234)] = 746017,
  [SMALL_STATE(16235)] = 746040,
  [SMALL_STATE(16236)] = 746061,
  [SMALL_STATE(16237)] = 746084,
  [SMALL_STATE(16238)] = 746107,
  [SMALL_STATE(16239)] = 746130,
  [SMALL_STATE(16240)] = 746153,
  [SMALL_STATE(16241)] = 746176,
  [SMALL_STATE(16242)] = 746199,
  [SMALL_STATE(16243)] = 746222,
  [SMALL_STATE(16244)] = 746245,
  [SMALL_STATE(16245)] = 746268,
  [SMALL_STATE(16246)] = 746291,
  [SMALL_STATE(16247)] = 746314,
  [SMALL_STATE(16248)] = 746337,
  [SMALL_STATE(16249)] = 746358,
  [SMALL_STATE(16250)] = 746381,
  [SMALL_STATE(16251)] = 746404,
  [SMALL_STATE(16252)] = 746427,
  [SMALL_STATE(16253)] = 746450,
  [SMALL_STATE(16254)] = 746473,
  [SMALL_STATE(16255)] = 746496,
  [SMALL_STATE(16256)] = 746519,
  [SMALL_STATE(16257)] = 746542,
  [SMALL_STATE(16258)] = 746563,
  [SMALL_STATE(16259)] = 746586,
  [SMALL_STATE(16260)] = 746607,
  [SMALL_STATE(16261)] = 746630,
  [SMALL_STATE(16262)] = 746651,
  [SMALL_STATE(16263)] = 746674,
  [SMALL_STATE(16264)] = 746695,
  [SMALL_STATE(16265)] = 746718,
  [SMALL_STATE(16266)] = 746741,
  [SMALL_STATE(16267)] = 746764,
  [SMALL_STATE(16268)] = 746787,
  [SMALL_STATE(16269)] = 746810,
  [SMALL_STATE(16270)] = 746833,
  [SMALL_STATE(16271)] = 746856,
  [SMALL_STATE(16272)] = 746879,
  [SMALL_STATE(16273)] = 746902,
  [SMALL_STATE(16274)] = 746925,
  [SMALL_STATE(16275)] = 746948,
  [SMALL_STATE(16276)] = 746971,
  [SMALL_STATE(16277)] = 746994,
  [SMALL_STATE(16278)] = 747017,
  [SMALL_STATE(16279)] = 747040,
  [SMALL_STATE(16280)] = 747063,
  [SMALL_STATE(16281)] = 747086,
  [SMALL_STATE(16282)] = 747109,
  [SMALL_STATE(16283)] = 747132,
  [SMALL_STATE(16284)] = 747155,
  [SMALL_STATE(16285)] = 747178,
  [SMALL_STATE(16286)] = 747201,
  [SMALL_STATE(16287)] = 747224,
  [SMALL_STATE(16288)] = 747247,
  [SMALL_STATE(16289)] = 747270,
  [SMALL_STATE(16290)] = 747293,
  [SMALL_STATE(16291)] = 747316,
  [SMALL_STATE(16292)] = 747339,
  [SMALL_STATE(16293)] = 747360,
  [SMALL_STATE(16294)] = 747383,
  [SMALL_STATE(16295)] = 747406,
  [SMALL_STATE(16296)] = 747429,
  [SMALL_STATE(16297)] = 747452,
  [SMALL_STATE(16298)] = 747475,
  [SMALL_STATE(16299)] = 747498,
  [SMALL_STATE(16300)] = 747521,
  [SMALL_STATE(16301)] = 747544,
  [SMALL_STATE(16302)] = 747567,
  [SMALL_STATE(16303)] = 747590,
  [SMALL_STATE(16304)] = 747613,
  [SMALL_STATE(16305)] = 747636,
  [SMALL_STATE(16306)] = 747659,
  [SMALL_STATE(16307)] = 747682,
  [SMALL_STATE(16308)] = 747705,
  [SMALL_STATE(16309)] = 747728,
  [SMALL_STATE(16310)] = 747751,
  [SMALL_STATE(16311)] = 747774,
  [SMALL_STATE(16312)] = 747797,
  [SMALL_STATE(16313)] = 747820,
  [SMALL_STATE(16314)] = 747843,
  [SMALL_STATE(16315)] = 747866,
  [SMALL_STATE(16316)] = 747889,
  [SMALL_STATE(16317)] = 747912,
  [SMALL_STATE(16318)] = 747935,
  [SMALL_STATE(16319)] = 747958,
  [SMALL_STATE(16320)] = 747981,
  [SMALL_STATE(16321)] = 748004,
  [SMALL_STATE(16322)] = 748027,
  [SMALL_STATE(16323)] = 748050,
  [SMALL_STATE(16324)] = 748073,
  [SMALL_STATE(16325)] = 748096,
  [SMALL_STATE(16326)] = 748119,
  [SMALL_STATE(16327)] = 748142,
  [SMALL_STATE(16328)] = 748165,
  [SMALL_STATE(16329)] = 748188,
  [SMALL_STATE(16330)] = 748211,
  [SMALL_STATE(16331)] = 748234,
  [SMALL_STATE(16332)] = 748257,
  [SMALL_STATE(16333)] = 748280,
  [SMALL_STATE(16334)] = 748303,
  [SMALL_STATE(16335)] = 748326,
  [SMALL_STATE(16336)] = 748349,
  [SMALL_STATE(16337)] = 748372,
  [SMALL_STATE(16338)] = 748393,
  [SMALL_STATE(16339)] = 748416,
  [SMALL_STATE(16340)] = 748439,
  [SMALL_STATE(16341)] = 748458,
  [SMALL_STATE(16342)] = 748481,
  [SMALL_STATE(16343)] = 748504,
  [SMALL_STATE(16344)] = 748527,
  [SMALL_STATE(16345)] = 748550,
  [SMALL_STATE(16346)] = 748573,
  [SMALL_STATE(16347)] = 748596,
  [SMALL_STATE(16348)] = 748617,
  [SMALL_STATE(16349)] = 748636,
  [SMALL_STATE(16350)] = 748659,
  [SMALL_STATE(16351)] = 748682,
  [SMALL_STATE(16352)] = 748705,
  [SMALL_STATE(16353)] = 748728,
  [SMALL_STATE(16354)] = 748751,
  [SMALL_STATE(16355)] = 748774,
  [SMALL_STATE(16356)] = 748797,
  [SMALL_STATE(16357)] = 748820,
  [SMALL_STATE(16358)] = 748843,
  [SMALL_STATE(16359)] = 748866,
  [SMALL_STATE(16360)] = 748887,
  [SMALL_STATE(16361)] = 748910,
  [SMALL_STATE(16362)] = 748933,
  [SMALL_STATE(16363)] = 748956,
  [SMALL_STATE(16364)] = 748979,
  [SMALL_STATE(16365)] = 749002,
  [SMALL_STATE(16366)] = 749025,
  [SMALL_STATE(16367)] = 749048,
  [SMALL_STATE(16368)] = 749071,
  [SMALL_STATE(16369)] = 749094,
  [SMALL_STATE(16370)] = 749117,
  [SMALL_STATE(16371)] = 749140,
  [SMALL_STATE(16372)] = 749163,
  [SMALL_STATE(16373)] = 749186,
  [SMALL_STATE(16374)] = 749209,
  [SMALL_STATE(16375)] = 749232,
  [SMALL_STATE(16376)] = 749255,
  [SMALL_STATE(16377)] = 749278,
  [SMALL_STATE(16378)] = 749301,
  [SMALL_STATE(16379)] = 749322,
  [SMALL_STATE(16380)] = 749345,
  [SMALL_STATE(16381)] = 749368,
  [SMALL_STATE(16382)] = 749391,
  [SMALL_STATE(16383)] = 749414,
  [SMALL_STATE(16384)] = 749437,
  [SMALL_STATE(16385)] = 749460,
  [SMALL_STATE(16386)] = 749481,
  [SMALL_STATE(16387)] = 749504,
  [SMALL_STATE(16388)] = 749527,
  [SMALL_STATE(16389)] = 749550,
  [SMALL_STATE(16390)] = 749573,
  [SMALL_STATE(16391)] = 749596,
  [SMALL_STATE(16392)] = 749619,
  [SMALL_STATE(16393)] = 749642,
  [SMALL_STATE(16394)] = 749665,
  [SMALL_STATE(16395)] = 749688,
  [SMALL_STATE(16396)] = 749711,
  [SMALL_STATE(16397)] = 749734,
  [SMALL_STATE(16398)] = 749757,
  [SMALL_STATE(16399)] = 749780,
  [SMALL_STATE(16400)] = 749803,
  [SMALL_STATE(16401)] = 749826,
  [SMALL_STATE(16402)] = 749849,
  [SMALL_STATE(16403)] = 749872,
  [SMALL_STATE(16404)] = 749895,
  [SMALL_STATE(16405)] = 749918,
  [SMALL_STATE(16406)] = 749939,
  [SMALL_STATE(16407)] = 749962,
  [SMALL_STATE(16408)] = 749985,
  [SMALL_STATE(16409)] = 750008,
  [SMALL_STATE(16410)] = 750031,
  [SMALL_STATE(16411)] = 750054,
  [SMALL_STATE(16412)] = 750077,
  [SMALL_STATE(16413)] = 750100,
  [SMALL_STATE(16414)] = 750123,
  [SMALL_STATE(16415)] = 750146,
  [SMALL_STATE(16416)] = 750169,
  [SMALL_STATE(16417)] = 750192,
  [SMALL_STATE(16418)] = 750215,
  [SMALL_STATE(16419)] = 750238,
  [SMALL_STATE(16420)] = 750259,
  [SMALL_STATE(16421)] = 750282,
  [SMALL_STATE(16422)] = 750305,
  [SMALL_STATE(16423)] = 750328,
  [SMALL_STATE(16424)] = 750351,
  [SMALL_STATE(16425)] = 750374,
  [SMALL_STATE(16426)] = 750397,
  [SMALL_STATE(16427)] = 750420,
  [SMALL_STATE(16428)] = 750443,
  [SMALL_STATE(16429)] = 750466,
  [SMALL_STATE(16430)] = 750485,
  [SMALL_STATE(16431)] = 750508,
  [SMALL_STATE(16432)] = 750531,
  [SMALL_STATE(16433)] = 750550,
  [SMALL_STATE(16434)] = 750573,
  [SMALL_STATE(16435)] = 750596,
  [SMALL_STATE(16436)] = 750619,
  [SMALL_STATE(16437)] = 750642,
  [SMALL_STATE(16438)] = 750665,
  [SMALL_STATE(16439)] = 750688,
  [SMALL_STATE(16440)] = 750711,
  [SMALL_STATE(16441)] = 750734,
  [SMALL_STATE(16442)] = 750757,
  [SMALL_STATE(16443)] = 750780,
  [SMALL_STATE(16444)] = 750803,
  [SMALL_STATE(16445)] = 750826,
  [SMALL_STATE(16446)] = 750849,
  [SMALL_STATE(16447)] = 750872,
  [SMALL_STATE(16448)] = 750895,
  [SMALL_STATE(16449)] = 750918,
  [SMALL_STATE(16450)] = 750941,
  [SMALL_STATE(16451)] = 750964,
  [SMALL_STATE(16452)] = 750987,
  [SMALL_STATE(16453)] = 751008,
  [SMALL_STATE(16454)] = 751031,
  [SMALL_STATE(16455)] = 751052,
  [SMALL_STATE(16456)] = 751075,
  [SMALL_STATE(16457)] = 751098,
  [SMALL_STATE(16458)] = 751121,
  [SMALL_STATE(16459)] = 751144,
  [SMALL_STATE(16460)] = 751167,
  [SMALL_STATE(16461)] = 751190,
  [SMALL_STATE(16462)] = 751213,
  [SMALL_STATE(16463)] = 751236,
  [SMALL_STATE(16464)] = 751259,
  [SMALL_STATE(16465)] = 751282,
  [SMALL_STATE(16466)] = 751305,
  [SMALL_STATE(16467)] = 751328,
  [SMALL_STATE(16468)] = 751351,
  [SMALL_STATE(16469)] = 751374,
  [SMALL_STATE(16470)] = 751397,
  [SMALL_STATE(16471)] = 751420,
  [SMALL_STATE(16472)] = 751443,
  [SMALL_STATE(16473)] = 751466,
  [SMALL_STATE(16474)] = 751489,
  [SMALL_STATE(16475)] = 751508,
  [SMALL_STATE(16476)] = 751531,
  [SMALL_STATE(16477)] = 751554,
  [SMALL_STATE(16478)] = 751577,
  [SMALL_STATE(16479)] = 751600,
  [SMALL_STATE(16480)] = 751623,
  [SMALL_STATE(16481)] = 751646,
  [SMALL_STATE(16482)] = 751669,
  [SMALL_STATE(16483)] = 751692,
  [SMALL_STATE(16484)] = 751715,
  [SMALL_STATE(16485)] = 751738,
  [SMALL_STATE(16486)] = 751761,
  [SMALL_STATE(16487)] = 751782,
  [SMALL_STATE(16488)] = 751803,
  [SMALL_STATE(16489)] = 751826,
  [SMALL_STATE(16490)] = 751849,
  [SMALL_STATE(16491)] = 751872,
  [SMALL_STATE(16492)] = 751895,
  [SMALL_STATE(16493)] = 751918,
  [SMALL_STATE(16494)] = 751941,
  [SMALL_STATE(16495)] = 751964,
  [SMALL_STATE(16496)] = 751987,
  [SMALL_STATE(16497)] = 752010,
  [SMALL_STATE(16498)] = 752033,
  [SMALL_STATE(16499)] = 752056,
  [SMALL_STATE(16500)] = 752079,
  [SMALL_STATE(16501)] = 752102,
  [SMALL_STATE(16502)] = 752125,
  [SMALL_STATE(16503)] = 752148,
  [SMALL_STATE(16504)] = 752171,
  [SMALL_STATE(16505)] = 752194,
  [SMALL_STATE(16506)] = 752217,
  [SMALL_STATE(16507)] = 752240,
  [SMALL_STATE(16508)] = 752263,
  [SMALL_STATE(16509)] = 752286,
  [SMALL_STATE(16510)] = 752309,
  [SMALL_STATE(16511)] = 752332,
  [SMALL_STATE(16512)] = 752355,
  [SMALL_STATE(16513)] = 752378,
  [SMALL_STATE(16514)] = 752401,
  [SMALL_STATE(16515)] = 752422,
  [SMALL_STATE(16516)] = 752445,
  [SMALL_STATE(16517)] = 752468,
  [SMALL_STATE(16518)] = 752491,
  [SMALL_STATE(16519)] = 752514,
  [SMALL_STATE(16520)] = 752537,
  [SMALL_STATE(16521)] = 752558,
  [SMALL_STATE(16522)] = 752581,
  [SMALL_STATE(16523)] = 752604,
  [SMALL_STATE(16524)] = 752627,
  [SMALL_STATE(16525)] = 752650,
  [SMALL_STATE(16526)] = 752673,
  [SMALL_STATE(16527)] = 752696,
  [SMALL_STATE(16528)] = 752719,
  [SMALL_STATE(16529)] = 752740,
  [SMALL_STATE(16530)] = 752763,
  [SMALL_STATE(16531)] = 752786,
  [SMALL_STATE(16532)] = 752809,
  [SMALL_STATE(16533)] = 752832,
  [SMALL_STATE(16534)] = 752855,
  [SMALL_STATE(16535)] = 752878,
  [SMALL_STATE(16536)] = 752901,
  [SMALL_STATE(16537)] = 752924,
  [SMALL_STATE(16538)] = 752947,
  [SMALL_STATE(16539)] = 752968,
  [SMALL_STATE(16540)] = 752991,
  [SMALL_STATE(16541)] = 753014,
  [SMALL_STATE(16542)] = 753037,
  [SMALL_STATE(16543)] = 753060,
  [SMALL_STATE(16544)] = 753083,
  [SMALL_STATE(16545)] = 753106,
  [SMALL_STATE(16546)] = 753129,
  [SMALL_STATE(16547)] = 753152,
  [SMALL_STATE(16548)] = 753175,
  [SMALL_STATE(16549)] = 753198,
  [SMALL_STATE(16550)] = 753221,
  [SMALL_STATE(16551)] = 753242,
  [SMALL_STATE(16552)] = 753265,
  [SMALL_STATE(16553)] = 753288,
  [SMALL_STATE(16554)] = 753311,
  [SMALL_STATE(16555)] = 753334,
  [SMALL_STATE(16556)] = 753355,
  [SMALL_STATE(16557)] = 753378,
  [SMALL_STATE(16558)] = 753401,
  [SMALL_STATE(16559)] = 753424,
  [SMALL_STATE(16560)] = 753447,
  [SMALL_STATE(16561)] = 753470,
  [SMALL_STATE(16562)] = 753493,
  [SMALL_STATE(16563)] = 753512,
  [SMALL_STATE(16564)] = 753533,
  [SMALL_STATE(16565)] = 753556,
  [SMALL_STATE(16566)] = 753579,
  [SMALL_STATE(16567)] = 753602,
  [SMALL_STATE(16568)] = 753625,
  [SMALL_STATE(16569)] = 753648,
  [SMALL_STATE(16570)] = 753671,
  [SMALL_STATE(16571)] = 753694,
  [SMALL_STATE(16572)] = 753717,
  [SMALL_STATE(16573)] = 753740,
  [SMALL_STATE(16574)] = 753763,
  [SMALL_STATE(16575)] = 753784,
  [SMALL_STATE(16576)] = 753807,
  [SMALL_STATE(16577)] = 753830,
  [SMALL_STATE(16578)] = 753851,
  [SMALL_STATE(16579)] = 753874,
  [SMALL_STATE(16580)] = 753897,
  [SMALL_STATE(16581)] = 753916,
  [SMALL_STATE(16582)] = 753939,
  [SMALL_STATE(16583)] = 753962,
  [SMALL_STATE(16584)] = 753985,
  [SMALL_STATE(16585)] = 754006,
  [SMALL_STATE(16586)] = 754029,
  [SMALL_STATE(16587)] = 754052,
  [SMALL_STATE(16588)] = 754073,
  [SMALL_STATE(16589)] = 754096,
  [SMALL_STATE(16590)] = 754119,
  [SMALL_STATE(16591)] = 754142,
  [SMALL_STATE(16592)] = 754160,
  [SMALL_STATE(16593)] = 754180,
  [SMALL_STATE(16594)] = 754200,
  [SMALL_STATE(16595)] = 754220,
  [SMALL_STATE(16596)] = 754240,
  [SMALL_STATE(16597)] = 754258,
  [SMALL_STATE(16598)] = 754278,
  [SMALL_STATE(16599)] = 754298,
  [SMALL_STATE(16600)] = 754318,
  [SMALL_STATE(16601)] = 754336,
  [SMALL_STATE(16602)] = 754356,
  [SMALL_STATE(16603)] = 754376,
  [SMALL_STATE(16604)] = 754396,
  [SMALL_STATE(16605)] = 754416,
  [SMALL_STATE(16606)] = 754436,
  [SMALL_STATE(16607)] = 754456,
  [SMALL_STATE(16608)] = 754476,
  [SMALL_STATE(16609)] = 754496,
  [SMALL_STATE(16610)] = 754516,
  [SMALL_STATE(16611)] = 754532,
  [SMALL_STATE(16612)] = 754552,
  [SMALL_STATE(16613)] = 754572,
  [SMALL_STATE(16614)] = 754592,
  [SMALL_STATE(16615)] = 754610,
  [SMALL_STATE(16616)] = 754630,
  [SMALL_STATE(16617)] = 754650,
  [SMALL_STATE(16618)] = 754670,
  [SMALL_STATE(16619)] = 754690,
  [SMALL_STATE(16620)] = 754710,
  [SMALL_STATE(16621)] = 754730,
  [SMALL_STATE(16622)] = 754750,
  [SMALL_STATE(16623)] = 754770,
  [SMALL_STATE(16624)] = 754788,
  [SMALL_STATE(16625)] = 754808,
  [SMALL_STATE(16626)] = 754828,
  [SMALL_STATE(16627)] = 754848,
  [SMALL_STATE(16628)] = 754868,
  [SMALL_STATE(16629)] = 754888,
  [SMALL_STATE(16630)] = 754908,
  [SMALL_STATE(16631)] = 754928,
  [SMALL_STATE(16632)] = 754948,
  [SMALL_STATE(16633)] = 754968,
  [SMALL_STATE(16634)] = 754988,
  [SMALL_STATE(16635)] = 755008,
  [SMALL_STATE(16636)] = 755028,
  [SMALL_STATE(16637)] = 755048,
  [SMALL_STATE(16638)] = 755068,
  [SMALL_STATE(16639)] = 755088,
  [SMALL_STATE(16640)] = 755108,
  [SMALL_STATE(16641)] = 755128,
  [SMALL_STATE(16642)] = 755148,
  [SMALL_STATE(16643)] = 755166,
  [SMALL_STATE(16644)] = 755186,
  [SMALL_STATE(16645)] = 755206,
  [SMALL_STATE(16646)] = 755224,
  [SMALL_STATE(16647)] = 755242,
  [SMALL_STATE(16648)] = 755262,
  [SMALL_STATE(16649)] = 755282,
  [SMALL_STATE(16650)] = 755300,
  [SMALL_STATE(16651)] = 755320,
  [SMALL_STATE(16652)] = 755340,
  [SMALL_STATE(16653)] = 755360,
  [SMALL_STATE(16654)] = 755380,
  [SMALL_STATE(16655)] = 755400,
  [SMALL_STATE(16656)] = 755420,
  [SMALL_STATE(16657)] = 755440,
  [SMALL_STATE(16658)] = 755460,
  [SMALL_STATE(16659)] = 755480,
  [SMALL_STATE(16660)] = 755500,
  [SMALL_STATE(16661)] = 755520,
  [SMALL_STATE(16662)] = 755540,
  [SMALL_STATE(16663)] = 755560,
  [SMALL_STATE(16664)] = 755580,
  [SMALL_STATE(16665)] = 755598,
  [SMALL_STATE(16666)] = 755618,
  [SMALL_STATE(16667)] = 755638,
  [SMALL_STATE(16668)] = 755658,
  [SMALL_STATE(16669)] = 755678,
  [SMALL_STATE(16670)] = 755698,
  [SMALL_STATE(16671)] = 755718,
  [SMALL_STATE(16672)] = 755738,
  [SMALL_STATE(16673)] = 755758,
  [SMALL_STATE(16674)] = 755778,
  [SMALL_STATE(16675)] = 755798,
  [SMALL_STATE(16676)] = 755818,
  [SMALL_STATE(16677)] = 755838,
  [SMALL_STATE(16678)] = 755858,
  [SMALL_STATE(16679)] = 755876,
  [SMALL_STATE(16680)] = 755896,
  [SMALL_STATE(16681)] = 755916,
  [SMALL_STATE(16682)] = 755936,
  [SMALL_STATE(16683)] = 755956,
  [SMALL_STATE(16684)] = 755976,
  [SMALL_STATE(16685)] = 755996,
  [SMALL_STATE(16686)] = 756014,
  [SMALL_STATE(16687)] = 756034,
  [SMALL_STATE(16688)] = 756054,
  [SMALL_STATE(16689)] = 756074,
  [SMALL_STATE(16690)] = 756094,
  [SMALL_STATE(16691)] = 756114,
  [SMALL_STATE(16692)] = 756134,
  [SMALL_STATE(16693)] = 756154,
  [SMALL_STATE(16694)] = 756174,
  [SMALL_STATE(16695)] = 756194,
  [SMALL_STATE(16696)] = 756214,
  [SMALL_STATE(16697)] = 756234,
  [SMALL_STATE(16698)] = 756254,
  [SMALL_STATE(16699)] = 756272,
  [SMALL_STATE(16700)] = 756292,
  [SMALL_STATE(16701)] = 756310,
  [SMALL_STATE(16702)] = 756330,
  [SMALL_STATE(16703)] = 756350,
  [SMALL_STATE(16704)] = 756370,
  [SMALL_STATE(16705)] = 756390,
  [SMALL_STATE(16706)] = 756408,
  [SMALL_STATE(16707)] = 756426,
  [SMALL_STATE(16708)] = 756446,
  [SMALL_STATE(16709)] = 756466,
  [SMALL_STATE(16710)] = 756482,
  [SMALL_STATE(16711)] = 756502,
  [SMALL_STATE(16712)] = 756520,
  [SMALL_STATE(16713)] = 756540,
  [SMALL_STATE(16714)] = 756560,
  [SMALL_STATE(16715)] = 756580,
  [SMALL_STATE(16716)] = 756600,
  [SMALL_STATE(16717)] = 756620,
  [SMALL_STATE(16718)] = 756640,
  [SMALL_STATE(16719)] = 756660,
  [SMALL_STATE(16720)] = 756680,
  [SMALL_STATE(16721)] = 756700,
  [SMALL_STATE(16722)] = 756720,
  [SMALL_STATE(16723)] = 756740,
  [SMALL_STATE(16724)] = 756760,
  [SMALL_STATE(16725)] = 756780,
  [SMALL_STATE(16726)] = 756800,
  [SMALL_STATE(16727)] = 756818,
  [SMALL_STATE(16728)] = 756838,
  [SMALL_STATE(16729)] = 756858,
  [SMALL_STATE(16730)] = 756878,
  [SMALL_STATE(16731)] = 756896,
  [SMALL_STATE(16732)] = 756916,
  [SMALL_STATE(16733)] = 756936,
  [SMALL_STATE(16734)] = 756954,
  [SMALL_STATE(16735)] = 756974,
  [SMALL_STATE(16736)] = 756994,
  [SMALL_STATE(16737)] = 757014,
  [SMALL_STATE(16738)] = 757034,
  [SMALL_STATE(16739)] = 757054,
  [SMALL_STATE(16740)] = 757074,
  [SMALL_STATE(16741)] = 757094,
  [SMALL_STATE(16742)] = 757114,
  [SMALL_STATE(16743)] = 757134,
  [SMALL_STATE(16744)] = 757152,
  [SMALL_STATE(16745)] = 757172,
  [SMALL_STATE(16746)] = 757190,
  [SMALL_STATE(16747)] = 757210,
  [SMALL_STATE(16748)] = 757230,
  [SMALL_STATE(16749)] = 757250,
  [SMALL_STATE(16750)] = 757268,
  [SMALL_STATE(16751)] = 757288,
  [SMALL_STATE(16752)] = 757308,
  [SMALL_STATE(16753)] = 757328,
  [SMALL_STATE(16754)] = 757348,
  [SMALL_STATE(16755)] = 757368,
  [SMALL_STATE(16756)] = 757388,
  [SMALL_STATE(16757)] = 757408,
  [SMALL_STATE(16758)] = 757428,
  [SMALL_STATE(16759)] = 757446,
  [SMALL_STATE(16760)] = 757464,
  [SMALL_STATE(16761)] = 757484,
  [SMALL_STATE(16762)] = 757504,
  [SMALL_STATE(16763)] = 757520,
  [SMALL_STATE(16764)] = 757540,
  [SMALL_STATE(16765)] = 757560,
  [SMALL_STATE(16766)] = 757580,
  [SMALL_STATE(16767)] = 757600,
  [SMALL_STATE(16768)] = 757618,
  [SMALL_STATE(16769)] = 757638,
  [SMALL_STATE(16770)] = 757658,
  [SMALL_STATE(16771)] = 757678,
  [SMALL_STATE(16772)] = 757698,
  [SMALL_STATE(16773)] = 757718,
  [SMALL_STATE(16774)] = 757738,
  [SMALL_STATE(16775)] = 757758,
  [SMALL_STATE(16776)] = 757778,
  [SMALL_STATE(16777)] = 757798,
  [SMALL_STATE(16778)] = 757818,
  [SMALL_STATE(16779)] = 757838,
  [SMALL_STATE(16780)] = 757858,
  [SMALL_STATE(16781)] = 757878,
  [SMALL_STATE(16782)] = 757898,
  [SMALL_STATE(16783)] = 757918,
  [SMALL_STATE(16784)] = 757938,
  [SMALL_STATE(16785)] = 757958,
  [SMALL_STATE(16786)] = 757976,
  [SMALL_STATE(16787)] = 757996,
  [SMALL_STATE(16788)] = 758016,
  [SMALL_STATE(16789)] = 758034,
  [SMALL_STATE(16790)] = 758054,
  [SMALL_STATE(16791)] = 758074,
  [SMALL_STATE(16792)] = 758094,
  [SMALL_STATE(16793)] = 758112,
  [SMALL_STATE(16794)] = 758132,
  [SMALL_STATE(16795)] = 758152,
  [SMALL_STATE(16796)] = 758172,
  [SMALL_STATE(16797)] = 758192,
  [SMALL_STATE(16798)] = 758212,
  [SMALL_STATE(16799)] = 758232,
  [SMALL_STATE(16800)] = 758250,
  [SMALL_STATE(16801)] = 758270,
  [SMALL_STATE(16802)] = 758290,
  [SMALL_STATE(16803)] = 758310,
  [SMALL_STATE(16804)] = 758330,
  [SMALL_STATE(16805)] = 758350,
  [SMALL_STATE(16806)] = 758370,
  [SMALL_STATE(16807)] = 758390,
  [SMALL_STATE(16808)] = 758410,
  [SMALL_STATE(16809)] = 758428,
  [SMALL_STATE(16810)] = 758448,
  [SMALL_STATE(16811)] = 758468,
  [SMALL_STATE(16812)] = 758488,
  [SMALL_STATE(16813)] = 758508,
  [SMALL_STATE(16814)] = 758526,
  [SMALL_STATE(16815)] = 758546,
  [SMALL_STATE(16816)] = 758566,
  [SMALL_STATE(16817)] = 758586,
  [SMALL_STATE(16818)] = 758606,
  [SMALL_STATE(16819)] = 758626,
  [SMALL_STATE(16820)] = 758644,
  [SMALL_STATE(16821)] = 758664,
  [SMALL_STATE(16822)] = 758684,
  [SMALL_STATE(16823)] = 758704,
  [SMALL_STATE(16824)] = 758724,
  [SMALL_STATE(16825)] = 758744,
  [SMALL_STATE(16826)] = 758764,
  [SMALL_STATE(16827)] = 758784,
  [SMALL_STATE(16828)] = 758802,
  [SMALL_STATE(16829)] = 758822,
  [SMALL_STATE(16830)] = 758842,
  [SMALL_STATE(16831)] = 758862,
  [SMALL_STATE(16832)] = 758882,
  [SMALL_STATE(16833)] = 758900,
  [SMALL_STATE(16834)] = 758920,
  [SMALL_STATE(16835)] = 758940,
  [SMALL_STATE(16836)] = 758960,
  [SMALL_STATE(16837)] = 758980,
  [SMALL_STATE(16838)] = 758998,
  [SMALL_STATE(16839)] = 759018,
  [SMALL_STATE(16840)] = 759036,
  [SMALL_STATE(16841)] = 759056,
  [SMALL_STATE(16842)] = 759076,
  [SMALL_STATE(16843)] = 759096,
  [SMALL_STATE(16844)] = 759116,
  [SMALL_STATE(16845)] = 759134,
  [SMALL_STATE(16846)] = 759154,
  [SMALL_STATE(16847)] = 759174,
  [SMALL_STATE(16848)] = 759192,
  [SMALL_STATE(16849)] = 759212,
  [SMALL_STATE(16850)] = 759232,
  [SMALL_STATE(16851)] = 759252,
  [SMALL_STATE(16852)] = 759272,
  [SMALL_STATE(16853)] = 759290,
  [SMALL_STATE(16854)] = 759310,
  [SMALL_STATE(16855)] = 759330,
  [SMALL_STATE(16856)] = 759350,
  [SMALL_STATE(16857)] = 759370,
  [SMALL_STATE(16858)] = 759390,
  [SMALL_STATE(16859)] = 759408,
  [SMALL_STATE(16860)] = 759428,
  [SMALL_STATE(16861)] = 759448,
  [SMALL_STATE(16862)] = 759468,
  [SMALL_STATE(16863)] = 759486,
  [SMALL_STATE(16864)] = 759504,
  [SMALL_STATE(16865)] = 759524,
  [SMALL_STATE(16866)] = 759544,
  [SMALL_STATE(16867)] = 759564,
  [SMALL_STATE(16868)] = 759584,
  [SMALL_STATE(16869)] = 759604,
  [SMALL_STATE(16870)] = 759622,
  [SMALL_STATE(16871)] = 759642,
  [SMALL_STATE(16872)] = 759662,
  [SMALL_STATE(16873)] = 759682,
  [SMALL_STATE(16874)] = 759702,
  [SMALL_STATE(16875)] = 759720,
  [SMALL_STATE(16876)] = 759740,
  [SMALL_STATE(16877)] = 759760,
  [SMALL_STATE(16878)] = 759780,
  [SMALL_STATE(16879)] = 759798,
  [SMALL_STATE(16880)] = 759818,
  [SMALL_STATE(16881)] = 759836,
  [SMALL_STATE(16882)] = 759856,
  [SMALL_STATE(16883)] = 759876,
  [SMALL_STATE(16884)] = 759894,
  [SMALL_STATE(16885)] = 759914,
  [SMALL_STATE(16886)] = 759932,
  [SMALL_STATE(16887)] = 759952,
  [SMALL_STATE(16888)] = 759970,
  [SMALL_STATE(16889)] = 759990,
  [SMALL_STATE(16890)] = 760010,
  [SMALL_STATE(16891)] = 760030,
  [SMALL_STATE(16892)] = 760046,
  [SMALL_STATE(16893)] = 760066,
  [SMALL_STATE(16894)] = 760084,
  [SMALL_STATE(16895)] = 760104,
  [SMALL_STATE(16896)] = 760122,
  [SMALL_STATE(16897)] = 760140,
  [SMALL_STATE(16898)] = 760160,
  [SMALL_STATE(16899)] = 760180,
  [SMALL_STATE(16900)] = 760200,
  [SMALL_STATE(16901)] = 760220,
  [SMALL_STATE(16902)] = 760240,
  [SMALL_STATE(16903)] = 760258,
  [SMALL_STATE(16904)] = 760278,
  [SMALL_STATE(16905)] = 760298,
  [SMALL_STATE(16906)] = 760316,
  [SMALL_STATE(16907)] = 760336,
  [SMALL_STATE(16908)] = 760356,
  [SMALL_STATE(16909)] = 760376,
  [SMALL_STATE(16910)] = 760396,
  [SMALL_STATE(16911)] = 760416,
  [SMALL_STATE(16912)] = 760434,
  [SMALL_STATE(16913)] = 760454,
  [SMALL_STATE(16914)] = 760472,
  [SMALL_STATE(16915)] = 760492,
  [SMALL_STATE(16916)] = 760512,
  [SMALL_STATE(16917)] = 760530,
  [SMALL_STATE(16918)] = 760550,
  [SMALL_STATE(16919)] = 760570,
  [SMALL_STATE(16920)] = 760588,
  [SMALL_STATE(16921)] = 760608,
  [SMALL_STATE(16922)] = 760628,
  [SMALL_STATE(16923)] = 760648,
  [SMALL_STATE(16924)] = 760668,
  [SMALL_STATE(16925)] = 760688,
  [SMALL_STATE(16926)] = 760708,
  [SMALL_STATE(16927)] = 760726,
  [SMALL_STATE(16928)] = 760746,
  [SMALL_STATE(16929)] = 760766,
  [SMALL_STATE(16930)] = 760786,
  [SMALL_STATE(16931)] = 760806,
  [SMALL_STATE(16932)] = 760826,
  [SMALL_STATE(16933)] = 760844,
  [SMALL_STATE(16934)] = 760864,
  [SMALL_STATE(16935)] = 760882,
  [SMALL_STATE(16936)] = 760902,
  [SMALL_STATE(16937)] = 760920,
  [SMALL_STATE(16938)] = 760940,
  [SMALL_STATE(16939)] = 760960,
  [SMALL_STATE(16940)] = 760980,
  [SMALL_STATE(16941)] = 761000,
  [SMALL_STATE(16942)] = 761020,
  [SMALL_STATE(16943)] = 761038,
  [SMALL_STATE(16944)] = 761056,
  [SMALL_STATE(16945)] = 761076,
  [SMALL_STATE(16946)] = 761096,
  [SMALL_STATE(16947)] = 761116,
  [SMALL_STATE(16948)] = 761136,
  [SMALL_STATE(16949)] = 761154,
  [SMALL_STATE(16950)] = 761174,
  [SMALL_STATE(16951)] = 761194,
  [SMALL_STATE(16952)] = 761212,
  [SMALL_STATE(16953)] = 761232,
  [SMALL_STATE(16954)] = 761250,
  [SMALL_STATE(16955)] = 761270,
  [SMALL_STATE(16956)] = 761288,
  [SMALL_STATE(16957)] = 761308,
  [SMALL_STATE(16958)] = 761328,
  [SMALL_STATE(16959)] = 761348,
  [SMALL_STATE(16960)] = 761368,
  [SMALL_STATE(16961)] = 761388,
  [SMALL_STATE(16962)] = 761408,
  [SMALL_STATE(16963)] = 761426,
  [SMALL_STATE(16964)] = 761446,
  [SMALL_STATE(16965)] = 761466,
  [SMALL_STATE(16966)] = 761486,
  [SMALL_STATE(16967)] = 761506,
  [SMALL_STATE(16968)] = 761526,
  [SMALL_STATE(16969)] = 761544,
  [SMALL_STATE(16970)] = 761564,
  [SMALL_STATE(16971)] = 761584,
  [SMALL_STATE(16972)] = 761604,
  [SMALL_STATE(16973)] = 761624,
  [SMALL_STATE(16974)] = 761644,
  [SMALL_STATE(16975)] = 761664,
  [SMALL_STATE(16976)] = 761684,
  [SMALL_STATE(16977)] = 761704,
  [SMALL_STATE(16978)] = 761722,
  [SMALL_STATE(16979)] = 761740,
  [SMALL_STATE(16980)] = 761760,
  [SMALL_STATE(16981)] = 761778,
  [SMALL_STATE(16982)] = 761798,
  [SMALL_STATE(16983)] = 761818,
  [SMALL_STATE(16984)] = 761838,
  [SMALL_STATE(16985)] = 761856,
  [SMALL_STATE(16986)] = 761876,
  [SMALL_STATE(16987)] = 761894,
  [SMALL_STATE(16988)] = 761914,
  [SMALL_STATE(16989)] = 761934,
  [SMALL_STATE(16990)] = 761954,
  [SMALL_STATE(16991)] = 761974,
  [SMALL_STATE(16992)] = 761994,
  [SMALL_STATE(16993)] = 762012,
  [SMALL_STATE(16994)] = 762032,
  [SMALL_STATE(16995)] = 762052,
  [SMALL_STATE(16996)] = 762070,
  [SMALL_STATE(16997)] = 762090,
  [SMALL_STATE(16998)] = 762110,
  [SMALL_STATE(16999)] = 762130,
  [SMALL_STATE(17000)] = 762150,
  [SMALL_STATE(17001)] = 762170,
  [SMALL_STATE(17002)] = 762190,
  [SMALL_STATE(17003)] = 762210,
  [SMALL_STATE(17004)] = 762230,
  [SMALL_STATE(17005)] = 762250,
  [SMALL_STATE(17006)] = 762268,
  [SMALL_STATE(17007)] = 762288,
  [SMALL_STATE(17008)] = 762306,
  [SMALL_STATE(17009)] = 762326,
  [SMALL_STATE(17010)] = 762346,
  [SMALL_STATE(17011)] = 762366,
  [SMALL_STATE(17012)] = 762386,
  [SMALL_STATE(17013)] = 762406,
  [SMALL_STATE(17014)] = 762426,
  [SMALL_STATE(17015)] = 762446,
  [SMALL_STATE(17016)] = 762466,
  [SMALL_STATE(17017)] = 762486,
  [SMALL_STATE(17018)] = 762506,
  [SMALL_STATE(17019)] = 762526,
  [SMALL_STATE(17020)] = 762544,
  [SMALL_STATE(17021)] = 762562,
  [SMALL_STATE(17022)] = 762580,
  [SMALL_STATE(17023)] = 762600,
  [SMALL_STATE(17024)] = 762620,
  [SMALL_STATE(17025)] = 762640,
  [SMALL_STATE(17026)] = 762660,
  [SMALL_STATE(17027)] = 762680,
  [SMALL_STATE(17028)] = 762700,
  [SMALL_STATE(17029)] = 762720,
  [SMALL_STATE(17030)] = 762740,
  [SMALL_STATE(17031)] = 762760,
  [SMALL_STATE(17032)] = 762780,
  [SMALL_STATE(17033)] = 762800,
  [SMALL_STATE(17034)] = 762820,
  [SMALL_STATE(17035)] = 762840,
  [SMALL_STATE(17036)] = 762860,
  [SMALL_STATE(17037)] = 762880,
  [SMALL_STATE(17038)] = 762900,
  [SMALL_STATE(17039)] = 762920,
  [SMALL_STATE(17040)] = 762940,
  [SMALL_STATE(17041)] = 762960,
  [SMALL_STATE(17042)] = 762978,
  [SMALL_STATE(17043)] = 762998,
  [SMALL_STATE(17044)] = 763018,
  [SMALL_STATE(17045)] = 763038,
  [SMALL_STATE(17046)] = 763058,
  [SMALL_STATE(17047)] = 763078,
  [SMALL_STATE(17048)] = 763098,
  [SMALL_STATE(17049)] = 763118,
  [SMALL_STATE(17050)] = 763138,
  [SMALL_STATE(17051)] = 763158,
  [SMALL_STATE(17052)] = 763178,
  [SMALL_STATE(17053)] = 763198,
  [SMALL_STATE(17054)] = 763218,
  [SMALL_STATE(17055)] = 763238,
  [SMALL_STATE(17056)] = 763258,
  [SMALL_STATE(17057)] = 763278,
  [SMALL_STATE(17058)] = 763298,
  [SMALL_STATE(17059)] = 763318,
  [SMALL_STATE(17060)] = 763338,
  [SMALL_STATE(17061)] = 763358,
  [SMALL_STATE(17062)] = 763378,
  [SMALL_STATE(17063)] = 763396,
  [SMALL_STATE(17064)] = 763416,
  [SMALL_STATE(17065)] = 763436,
  [SMALL_STATE(17066)] = 763456,
  [SMALL_STATE(17067)] = 763474,
  [SMALL_STATE(17068)] = 763494,
  [SMALL_STATE(17069)] = 763514,
  [SMALL_STATE(17070)] = 763534,
  [SMALL_STATE(17071)] = 763554,
  [SMALL_STATE(17072)] = 763574,
  [SMALL_STATE(17073)] = 763594,
  [SMALL_STATE(17074)] = 763614,
  [SMALL_STATE(17075)] = 763634,
  [SMALL_STATE(17076)] = 763654,
  [SMALL_STATE(17077)] = 763674,
  [SMALL_STATE(17078)] = 763694,
  [SMALL_STATE(17079)] = 763714,
  [SMALL_STATE(17080)] = 763734,
  [SMALL_STATE(17081)] = 763754,
  [SMALL_STATE(17082)] = 763774,
  [SMALL_STATE(17083)] = 763794,
  [SMALL_STATE(17084)] = 763814,
  [SMALL_STATE(17085)] = 763834,
  [SMALL_STATE(17086)] = 763854,
  [SMALL_STATE(17087)] = 763874,
  [SMALL_STATE(17088)] = 763894,
  [SMALL_STATE(17089)] = 763914,
  [SMALL_STATE(17090)] = 763934,
  [SMALL_STATE(17091)] = 763954,
  [SMALL_STATE(17092)] = 763974,
  [SMALL_STATE(17093)] = 763994,
  [SMALL_STATE(17094)] = 764014,
  [SMALL_STATE(17095)] = 764032,
  [SMALL_STATE(17096)] = 764052,
  [SMALL_STATE(17097)] = 764072,
  [SMALL_STATE(17098)] = 764092,
  [SMALL_STATE(17099)] = 764112,
  [SMALL_STATE(17100)] = 764130,
  [SMALL_STATE(17101)] = 764150,
  [SMALL_STATE(17102)] = 764170,
  [SMALL_STATE(17103)] = 764190,
  [SMALL_STATE(17104)] = 764210,
  [SMALL_STATE(17105)] = 764230,
  [SMALL_STATE(17106)] = 764250,
  [SMALL_STATE(17107)] = 764270,
  [SMALL_STATE(17108)] = 764290,
  [SMALL_STATE(17109)] = 764310,
  [SMALL_STATE(17110)] = 764330,
  [SMALL_STATE(17111)] = 764350,
  [SMALL_STATE(17112)] = 764368,
  [SMALL_STATE(17113)] = 764388,
  [SMALL_STATE(17114)] = 764408,
  [SMALL_STATE(17115)] = 764428,
  [SMALL_STATE(17116)] = 764448,
  [SMALL_STATE(17117)] = 764468,
  [SMALL_STATE(17118)] = 764484,
  [SMALL_STATE(17119)] = 764504,
  [SMALL_STATE(17120)] = 764522,
  [SMALL_STATE(17121)] = 764542,
  [SMALL_STATE(17122)] = 764562,
  [SMALL_STATE(17123)] = 764582,
  [SMALL_STATE(17124)] = 764602,
  [SMALL_STATE(17125)] = 764622,
  [SMALL_STATE(17126)] = 764642,
  [SMALL_STATE(17127)] = 764662,
  [SMALL_STATE(17128)] = 764682,
  [SMALL_STATE(17129)] = 764702,
  [SMALL_STATE(17130)] = 764722,
  [SMALL_STATE(17131)] = 764742,
  [SMALL_STATE(17132)] = 764762,
  [SMALL_STATE(17133)] = 764782,
  [SMALL_STATE(17134)] = 764802,
  [SMALL_STATE(17135)] = 764822,
  [SMALL_STATE(17136)] = 764842,
  [SMALL_STATE(17137)] = 764862,
  [SMALL_STATE(17138)] = 764882,
  [SMALL_STATE(17139)] = 764902,
  [SMALL_STATE(17140)] = 764922,
  [SMALL_STATE(17141)] = 764942,
  [SMALL_STATE(17142)] = 764962,
  [SMALL_STATE(17143)] = 764982,
  [SMALL_STATE(17144)] = 765000,
  [SMALL_STATE(17145)] = 765020,
  [SMALL_STATE(17146)] = 765040,
  [SMALL_STATE(17147)] = 765060,
  [SMALL_STATE(17148)] = 765078,
  [SMALL_STATE(17149)] = 765098,
  [SMALL_STATE(17150)] = 765118,
  [SMALL_STATE(17151)] = 765138,
  [SMALL_STATE(17152)] = 765158,
  [SMALL_STATE(17153)] = 765178,
  [SMALL_STATE(17154)] = 765198,
  [SMALL_STATE(17155)] = 765218,
  [SMALL_STATE(17156)] = 765238,
  [SMALL_STATE(17157)] = 765256,
  [SMALL_STATE(17158)] = 765276,
  [SMALL_STATE(17159)] = 765296,
  [SMALL_STATE(17160)] = 765316,
  [SMALL_STATE(17161)] = 765336,
  [SMALL_STATE(17162)] = 765356,
  [SMALL_STATE(17163)] = 765376,
  [SMALL_STATE(17164)] = 765396,
  [SMALL_STATE(17165)] = 765416,
  [SMALL_STATE(17166)] = 765436,
  [SMALL_STATE(17167)] = 765456,
  [SMALL_STATE(17168)] = 765476,
  [SMALL_STATE(17169)] = 765496,
  [SMALL_STATE(17170)] = 765516,
  [SMALL_STATE(17171)] = 765536,
  [SMALL_STATE(17172)] = 765556,
  [SMALL_STATE(17173)] = 765576,
  [SMALL_STATE(17174)] = 765596,
  [SMALL_STATE(17175)] = 765616,
  [SMALL_STATE(17176)] = 765636,
  [SMALL_STATE(17177)] = 765656,
  [SMALL_STATE(17178)] = 765676,
  [SMALL_STATE(17179)] = 765694,
  [SMALL_STATE(17180)] = 765714,
  [SMALL_STATE(17181)] = 765734,
  [SMALL_STATE(17182)] = 765754,
  [SMALL_STATE(17183)] = 765774,
  [SMALL_STATE(17184)] = 765794,
  [SMALL_STATE(17185)] = 765814,
  [SMALL_STATE(17186)] = 765834,
  [SMALL_STATE(17187)] = 765854,
  [SMALL_STATE(17188)] = 765874,
  [SMALL_STATE(17189)] = 765894,
  [SMALL_STATE(17190)] = 765914,
  [SMALL_STATE(17191)] = 765934,
  [SMALL_STATE(17192)] = 765954,
  [SMALL_STATE(17193)] = 765974,
  [SMALL_STATE(17194)] = 765994,
  [SMALL_STATE(17195)] = 766014,
  [SMALL_STATE(17196)] = 766034,
  [SMALL_STATE(17197)] = 766054,
  [SMALL_STATE(17198)] = 766074,
  [SMALL_STATE(17199)] = 766094,
  [SMALL_STATE(17200)] = 766114,
  [SMALL_STATE(17201)] = 766134,
  [SMALL_STATE(17202)] = 766154,
  [SMALL_STATE(17203)] = 766174,
  [SMALL_STATE(17204)] = 766192,
  [SMALL_STATE(17205)] = 766212,
  [SMALL_STATE(17206)] = 766232,
  [SMALL_STATE(17207)] = 766252,
  [SMALL_STATE(17208)] = 766272,
  [SMALL_STATE(17209)] = 766292,
  [SMALL_STATE(17210)] = 766312,
  [SMALL_STATE(17211)] = 766332,
  [SMALL_STATE(17212)] = 766352,
  [SMALL_STATE(17213)] = 766372,
  [SMALL_STATE(17214)] = 766392,
  [SMALL_STATE(17215)] = 766412,
  [SMALL_STATE(17216)] = 766432,
  [SMALL_STATE(17217)] = 766450,
  [SMALL_STATE(17218)] = 766470,
  [SMALL_STATE(17219)] = 766490,
  [SMALL_STATE(17220)] = 766510,
  [SMALL_STATE(17221)] = 766530,
  [SMALL_STATE(17222)] = 766550,
  [SMALL_STATE(17223)] = 766570,
  [SMALL_STATE(17224)] = 766590,
  [SMALL_STATE(17225)] = 766610,
  [SMALL_STATE(17226)] = 766630,
  [SMALL_STATE(17227)] = 766650,
  [SMALL_STATE(17228)] = 766670,
  [SMALL_STATE(17229)] = 766690,
  [SMALL_STATE(17230)] = 766710,
  [SMALL_STATE(17231)] = 766730,
  [SMALL_STATE(17232)] = 766748,
  [SMALL_STATE(17233)] = 766768,
  [SMALL_STATE(17234)] = 766786,
  [SMALL_STATE(17235)] = 766806,
  [SMALL_STATE(17236)] = 766826,
  [SMALL_STATE(17237)] = 766846,
  [SMALL_STATE(17238)] = 766864,
  [SMALL_STATE(17239)] = 766884,
  [SMALL_STATE(17240)] = 766902,
  [SMALL_STATE(17241)] = 766922,
  [SMALL_STATE(17242)] = 766942,
  [SMALL_STATE(17243)] = 766962,
  [SMALL_STATE(17244)] = 766982,
  [SMALL_STATE(17245)] = 767002,
  [SMALL_STATE(17246)] = 767022,
  [SMALL_STATE(17247)] = 767042,
  [SMALL_STATE(17248)] = 767062,
  [SMALL_STATE(17249)] = 767082,
  [SMALL_STATE(17250)] = 767102,
  [SMALL_STATE(17251)] = 767122,
  [SMALL_STATE(17252)] = 767142,
  [SMALL_STATE(17253)] = 767162,
  [SMALL_STATE(17254)] = 767182,
  [SMALL_STATE(17255)] = 767202,
  [SMALL_STATE(17256)] = 767222,
  [SMALL_STATE(17257)] = 767242,
  [SMALL_STATE(17258)] = 767262,
  [SMALL_STATE(17259)] = 767282,
  [SMALL_STATE(17260)] = 767302,
  [SMALL_STATE(17261)] = 767322,
  [SMALL_STATE(17262)] = 767342,
  [SMALL_STATE(17263)] = 767362,
  [SMALL_STATE(17264)] = 767382,
  [SMALL_STATE(17265)] = 767402,
  [SMALL_STATE(17266)] = 767420,
  [SMALL_STATE(17267)] = 767438,
  [SMALL_STATE(17268)] = 767456,
  [SMALL_STATE(17269)] = 767476,
  [SMALL_STATE(17270)] = 767496,
  [SMALL_STATE(17271)] = 767516,
  [SMALL_STATE(17272)] = 767536,
  [SMALL_STATE(17273)] = 767556,
  [SMALL_STATE(17274)] = 767576,
  [SMALL_STATE(17275)] = 767596,
  [SMALL_STATE(17276)] = 767616,
  [SMALL_STATE(17277)] = 767636,
  [SMALL_STATE(17278)] = 767656,
  [SMALL_STATE(17279)] = 767676,
  [SMALL_STATE(17280)] = 767696,
  [SMALL_STATE(17281)] = 767716,
  [SMALL_STATE(17282)] = 767736,
  [SMALL_STATE(17283)] = 767756,
  [SMALL_STATE(17284)] = 767776,
  [SMALL_STATE(17285)] = 767796,
  [SMALL_STATE(17286)] = 767816,
  [SMALL_STATE(17287)] = 767834,
  [SMALL_STATE(17288)] = 767854,
  [SMALL_STATE(17289)] = 767874,
  [SMALL_STATE(17290)] = 767894,
  [SMALL_STATE(17291)] = 767914,
  [SMALL_STATE(17292)] = 767934,
  [SMALL_STATE(17293)] = 767954,
  [SMALL_STATE(17294)] = 767974,
  [SMALL_STATE(17295)] = 767994,
  [SMALL_STATE(17296)] = 768014,
  [SMALL_STATE(17297)] = 768034,
  [SMALL_STATE(17298)] = 768054,
  [SMALL_STATE(17299)] = 768074,
  [SMALL_STATE(17300)] = 768094,
  [SMALL_STATE(17301)] = 768114,
  [SMALL_STATE(17302)] = 768134,
  [SMALL_STATE(17303)] = 768154,
  [SMALL_STATE(17304)] = 768174,
  [SMALL_STATE(17305)] = 768194,
  [SMALL_STATE(17306)] = 768212,
  [SMALL_STATE(17307)] = 768232,
  [SMALL_STATE(17308)] = 768252,
  [SMALL_STATE(17309)] = 768272,
  [SMALL_STATE(17310)] = 768292,
  [SMALL_STATE(17311)] = 768312,
  [SMALL_STATE(17312)] = 768332,
  [SMALL_STATE(17313)] = 768352,
  [SMALL_STATE(17314)] = 768372,
  [SMALL_STATE(17315)] = 768392,
  [SMALL_STATE(17316)] = 768410,
  [SMALL_STATE(17317)] = 768430,
  [SMALL_STATE(17318)] = 768450,
  [SMALL_STATE(17319)] = 768470,
  [SMALL_STATE(17320)] = 768490,
  [SMALL_STATE(17321)] = 768510,
  [SMALL_STATE(17322)] = 768528,
  [SMALL_STATE(17323)] = 768548,
  [SMALL_STATE(17324)] = 768568,
  [SMALL_STATE(17325)] = 768588,
  [SMALL_STATE(17326)] = 768608,
  [SMALL_STATE(17327)] = 768624,
  [SMALL_STATE(17328)] = 768644,
  [SMALL_STATE(17329)] = 768662,
  [SMALL_STATE(17330)] = 768682,
  [SMALL_STATE(17331)] = 768702,
  [SMALL_STATE(17332)] = 768722,
  [SMALL_STATE(17333)] = 768742,
  [SMALL_STATE(17334)] = 768762,
  [SMALL_STATE(17335)] = 768782,
  [SMALL_STATE(17336)] = 768802,
  [SMALL_STATE(17337)] = 768822,
  [SMALL_STATE(17338)] = 768840,
  [SMALL_STATE(17339)] = 768860,
  [SMALL_STATE(17340)] = 768880,
  [SMALL_STATE(17341)] = 768896,
  [SMALL_STATE(17342)] = 768916,
  [SMALL_STATE(17343)] = 768936,
  [SMALL_STATE(17344)] = 768956,
  [SMALL_STATE(17345)] = 768976,
  [SMALL_STATE(17346)] = 768996,
  [SMALL_STATE(17347)] = 769016,
  [SMALL_STATE(17348)] = 769036,
  [SMALL_STATE(17349)] = 769054,
  [SMALL_STATE(17350)] = 769072,
  [SMALL_STATE(17351)] = 769092,
  [SMALL_STATE(17352)] = 769112,
  [SMALL_STATE(17353)] = 769132,
  [SMALL_STATE(17354)] = 769152,
  [SMALL_STATE(17355)] = 769170,
  [SMALL_STATE(17356)] = 769190,
  [SMALL_STATE(17357)] = 769210,
  [SMALL_STATE(17358)] = 769230,
  [SMALL_STATE(17359)] = 769250,
  [SMALL_STATE(17360)] = 769270,
  [SMALL_STATE(17361)] = 769290,
  [SMALL_STATE(17362)] = 769308,
  [SMALL_STATE(17363)] = 769328,
  [SMALL_STATE(17364)] = 769348,
  [SMALL_STATE(17365)] = 769368,
  [SMALL_STATE(17366)] = 769388,
  [SMALL_STATE(17367)] = 769408,
  [SMALL_STATE(17368)] = 769428,
  [SMALL_STATE(17369)] = 769448,
  [SMALL_STATE(17370)] = 769468,
  [SMALL_STATE(17371)] = 769488,
  [SMALL_STATE(17372)] = 769508,
  [SMALL_STATE(17373)] = 769528,
  [SMALL_STATE(17374)] = 769548,
  [SMALL_STATE(17375)] = 769568,
  [SMALL_STATE(17376)] = 769588,
  [SMALL_STATE(17377)] = 769608,
  [SMALL_STATE(17378)] = 769626,
  [SMALL_STATE(17379)] = 769646,
  [SMALL_STATE(17380)] = 769666,
  [SMALL_STATE(17381)] = 769686,
  [SMALL_STATE(17382)] = 769706,
  [SMALL_STATE(17383)] = 769726,
  [SMALL_STATE(17384)] = 769746,
  [SMALL_STATE(17385)] = 769764,
  [SMALL_STATE(17386)] = 769784,
  [SMALL_STATE(17387)] = 769804,
  [SMALL_STATE(17388)] = 769824,
  [SMALL_STATE(17389)] = 769844,
  [SMALL_STATE(17390)] = 769862,
  [SMALL_STATE(17391)] = 769882,
  [SMALL_STATE(17392)] = 769902,
  [SMALL_STATE(17393)] = 769922,
  [SMALL_STATE(17394)] = 769942,
  [SMALL_STATE(17395)] = 769962,
  [SMALL_STATE(17396)] = 769982,
  [SMALL_STATE(17397)] = 770002,
  [SMALL_STATE(17398)] = 770018,
  [SMALL_STATE(17399)] = 770038,
  [SMALL_STATE(17400)] = 770058,
  [SMALL_STATE(17401)] = 770078,
  [SMALL_STATE(17402)] = 770098,
  [SMALL_STATE(17403)] = 770118,
  [SMALL_STATE(17404)] = 770136,
  [SMALL_STATE(17405)] = 770156,
  [SMALL_STATE(17406)] = 770176,
  [SMALL_STATE(17407)] = 770196,
  [SMALL_STATE(17408)] = 770214,
  [SMALL_STATE(17409)] = 770234,
  [SMALL_STATE(17410)] = 770254,
  [SMALL_STATE(17411)] = 770274,
  [SMALL_STATE(17412)] = 770294,
  [SMALL_STATE(17413)] = 770312,
  [SMALL_STATE(17414)] = 770332,
  [SMALL_STATE(17415)] = 770352,
  [SMALL_STATE(17416)] = 770372,
  [SMALL_STATE(17417)] = 770392,
  [SMALL_STATE(17418)] = 770412,
  [SMALL_STATE(17419)] = 770432,
  [SMALL_STATE(17420)] = 770452,
  [SMALL_STATE(17421)] = 770472,
  [SMALL_STATE(17422)] = 770492,
  [SMALL_STATE(17423)] = 770512,
  [SMALL_STATE(17424)] = 770532,
  [SMALL_STATE(17425)] = 770552,
  [SMALL_STATE(17426)] = 770572,
  [SMALL_STATE(17427)] = 770590,
  [SMALL_STATE(17428)] = 770610,
  [SMALL_STATE(17429)] = 770630,
  [SMALL_STATE(17430)] = 770648,
  [SMALL_STATE(17431)] = 770668,
  [SMALL_STATE(17432)] = 770688,
  [SMALL_STATE(17433)] = 770708,
  [SMALL_STATE(17434)] = 770728,
  [SMALL_STATE(17435)] = 770746,
  [SMALL_STATE(17436)] = 770764,
  [SMALL_STATE(17437)] = 770784,
  [SMALL_STATE(17438)] = 770802,
  [SMALL_STATE(17439)] = 770822,
  [SMALL_STATE(17440)] = 770842,
  [SMALL_STATE(17441)] = 770862,
  [SMALL_STATE(17442)] = 770882,
  [SMALL_STATE(17443)] = 770900,
  [SMALL_STATE(17444)] = 770920,
  [SMALL_STATE(17445)] = 770940,
  [SMALL_STATE(17446)] = 770960,
  [SMALL_STATE(17447)] = 770980,
  [SMALL_STATE(17448)] = 771000,
  [SMALL_STATE(17449)] = 771020,
  [SMALL_STATE(17450)] = 771038,
  [SMALL_STATE(17451)] = 771058,
  [SMALL_STATE(17452)] = 771078,
  [SMALL_STATE(17453)] = 771098,
  [SMALL_STATE(17454)] = 771118,
  [SMALL_STATE(17455)] = 771138,
  [SMALL_STATE(17456)] = 771156,
  [SMALL_STATE(17457)] = 771176,
  [SMALL_STATE(17458)] = 771196,
  [SMALL_STATE(17459)] = 771216,
  [SMALL_STATE(17460)] = 771236,
  [SMALL_STATE(17461)] = 771256,
  [SMALL_STATE(17462)] = 771276,
  [SMALL_STATE(17463)] = 771294,
  [SMALL_STATE(17464)] = 771314,
  [SMALL_STATE(17465)] = 771334,
  [SMALL_STATE(17466)] = 771354,
  [SMALL_STATE(17467)] = 771374,
  [SMALL_STATE(17468)] = 771394,
  [SMALL_STATE(17469)] = 771414,
  [SMALL_STATE(17470)] = 771434,
  [SMALL_STATE(17471)] = 771454,
  [SMALL_STATE(17472)] = 771472,
  [SMALL_STATE(17473)] = 771492,
  [SMALL_STATE(17474)] = 771510,
  [SMALL_STATE(17475)] = 771530,
  [SMALL_STATE(17476)] = 771550,
  [SMALL_STATE(17477)] = 771568,
  [SMALL_STATE(17478)] = 771586,
  [SMALL_STATE(17479)] = 771606,
  [SMALL_STATE(17480)] = 771626,
  [SMALL_STATE(17481)] = 771646,
  [SMALL_STATE(17482)] = 771666,
  [SMALL_STATE(17483)] = 771686,
  [SMALL_STATE(17484)] = 771706,
  [SMALL_STATE(17485)] = 771726,
  [SMALL_STATE(17486)] = 771744,
  [SMALL_STATE(17487)] = 771764,
  [SMALL_STATE(17488)] = 771784,
  [SMALL_STATE(17489)] = 771804,
  [SMALL_STATE(17490)] = 771824,
  [SMALL_STATE(17491)] = 771844,
  [SMALL_STATE(17492)] = 771864,
  [SMALL_STATE(17493)] = 771884,
  [SMALL_STATE(17494)] = 771902,
  [SMALL_STATE(17495)] = 771922,
  [SMALL_STATE(17496)] = 771942,
  [SMALL_STATE(17497)] = 771962,
  [SMALL_STATE(17498)] = 771982,
  [SMALL_STATE(17499)] = 772002,
  [SMALL_STATE(17500)] = 772022,
  [SMALL_STATE(17501)] = 772042,
  [SMALL_STATE(17502)] = 772060,
  [SMALL_STATE(17503)] = 772080,
  [SMALL_STATE(17504)] = 772100,
  [SMALL_STATE(17505)] = 772120,
  [SMALL_STATE(17506)] = 772140,
  [SMALL_STATE(17507)] = 772160,
  [SMALL_STATE(17508)] = 772180,
  [SMALL_STATE(17509)] = 772200,
  [SMALL_STATE(17510)] = 772220,
  [SMALL_STATE(17511)] = 772240,
  [SMALL_STATE(17512)] = 772260,
  [SMALL_STATE(17513)] = 772278,
  [SMALL_STATE(17514)] = 772298,
  [SMALL_STATE(17515)] = 772318,
  [SMALL_STATE(17516)] = 772338,
  [SMALL_STATE(17517)] = 772358,
  [SMALL_STATE(17518)] = 772378,
  [SMALL_STATE(17519)] = 772398,
  [SMALL_STATE(17520)] = 772418,
  [SMALL_STATE(17521)] = 772436,
  [SMALL_STATE(17522)] = 772456,
  [SMALL_STATE(17523)] = 772476,
  [SMALL_STATE(17524)] = 772496,
  [SMALL_STATE(17525)] = 772516,
  [SMALL_STATE(17526)] = 772536,
  [SMALL_STATE(17527)] = 772556,
  [SMALL_STATE(17528)] = 772576,
  [SMALL_STATE(17529)] = 772596,
  [SMALL_STATE(17530)] = 772616,
  [SMALL_STATE(17531)] = 772634,
  [SMALL_STATE(17532)] = 772654,
  [SMALL_STATE(17533)] = 772674,
  [SMALL_STATE(17534)] = 772694,
  [SMALL_STATE(17535)] = 772714,
  [SMALL_STATE(17536)] = 772732,
  [SMALL_STATE(17537)] = 772752,
  [SMALL_STATE(17538)] = 772772,
  [SMALL_STATE(17539)] = 772792,
  [SMALL_STATE(17540)] = 772812,
  [SMALL_STATE(17541)] = 772832,
  [SMALL_STATE(17542)] = 772850,
  [SMALL_STATE(17543)] = 772870,
  [SMALL_STATE(17544)] = 772890,
  [SMALL_STATE(17545)] = 772910,
  [SMALL_STATE(17546)] = 772930,
  [SMALL_STATE(17547)] = 772950,
  [SMALL_STATE(17548)] = 772970,
  [SMALL_STATE(17549)] = 772990,
  [SMALL_STATE(17550)] = 773008,
  [SMALL_STATE(17551)] = 773028,
  [SMALL_STATE(17552)] = 773048,
  [SMALL_STATE(17553)] = 773068,
  [SMALL_STATE(17554)] = 773088,
  [SMALL_STATE(17555)] = 773106,
  [SMALL_STATE(17556)] = 773126,
  [SMALL_STATE(17557)] = 773146,
  [SMALL_STATE(17558)] = 773166,
  [SMALL_STATE(17559)] = 773186,
  [SMALL_STATE(17560)] = 773206,
  [SMALL_STATE(17561)] = 773226,
  [SMALL_STATE(17562)] = 773246,
  [SMALL_STATE(17563)] = 773266,
  [SMALL_STATE(17564)] = 773286,
  [SMALL_STATE(17565)] = 773304,
  [SMALL_STATE(17566)] = 773324,
  [SMALL_STATE(17567)] = 773344,
  [SMALL_STATE(17568)] = 773364,
  [SMALL_STATE(17569)] = 773384,
  [SMALL_STATE(17570)] = 773404,
  [SMALL_STATE(17571)] = 773424,
  [SMALL_STATE(17572)] = 773444,
  [SMALL_STATE(17573)] = 773464,
  [SMALL_STATE(17574)] = 773482,
  [SMALL_STATE(17575)] = 773502,
  [SMALL_STATE(17576)] = 773522,
  [SMALL_STATE(17577)] = 773542,
  [SMALL_STATE(17578)] = 773562,
  [SMALL_STATE(17579)] = 773582,
  [SMALL_STATE(17580)] = 773602,
  [SMALL_STATE(17581)] = 773622,
  [SMALL_STATE(17582)] = 773642,
  [SMALL_STATE(17583)] = 773662,
  [SMALL_STATE(17584)] = 773680,
  [SMALL_STATE(17585)] = 773700,
  [SMALL_STATE(17586)] = 773720,
  [SMALL_STATE(17587)] = 773740,
  [SMALL_STATE(17588)] = 773760,
  [SMALL_STATE(17589)] = 773780,
  [SMALL_STATE(17590)] = 773800,
  [SMALL_STATE(17591)] = 773818,
  [SMALL_STATE(17592)] = 773838,
  [SMALL_STATE(17593)] = 773858,
  [SMALL_STATE(17594)] = 773878,
  [SMALL_STATE(17595)] = 773898,
  [SMALL_STATE(17596)] = 773918,
  [SMALL_STATE(17597)] = 773938,
  [SMALL_STATE(17598)] = 773958,
  [SMALL_STATE(17599)] = 773978,
  [SMALL_STATE(17600)] = 773998,
  [SMALL_STATE(17601)] = 774018,
  [SMALL_STATE(17602)] = 774038,
  [SMALL_STATE(17603)] = 774056,
  [SMALL_STATE(17604)] = 774076,
  [SMALL_STATE(17605)] = 774096,
  [SMALL_STATE(17606)] = 774116,
  [SMALL_STATE(17607)] = 774136,
  [SMALL_STATE(17608)] = 774156,
  [SMALL_STATE(17609)] = 774176,
  [SMALL_STATE(17610)] = 774194,
  [SMALL_STATE(17611)] = 774214,
  [SMALL_STATE(17612)] = 774234,
  [SMALL_STATE(17613)] = 774252,
  [SMALL_STATE(17614)] = 774272,
  [SMALL_STATE(17615)] = 774292,
  [SMALL_STATE(17616)] = 774310,
  [SMALL_STATE(17617)] = 774330,
  [SMALL_STATE(17618)] = 774350,
  [SMALL_STATE(17619)] = 774370,
  [SMALL_STATE(17620)] = 774390,
  [SMALL_STATE(17621)] = 774410,
  [SMALL_STATE(17622)] = 774430,
  [SMALL_STATE(17623)] = 774450,
  [SMALL_STATE(17624)] = 774470,
  [SMALL_STATE(17625)] = 774490,
  [SMALL_STATE(17626)] = 774510,
  [SMALL_STATE(17627)] = 774528,
  [SMALL_STATE(17628)] = 774548,
  [SMALL_STATE(17629)] = 774566,
  [SMALL_STATE(17630)] = 774586,
  [SMALL_STATE(17631)] = 774606,
  [SMALL_STATE(17632)] = 774626,
  [SMALL_STATE(17633)] = 774646,
  [SMALL_STATE(17634)] = 774664,
  [SMALL_STATE(17635)] = 774684,
  [SMALL_STATE(17636)] = 774704,
  [SMALL_STATE(17637)] = 774724,
  [SMALL_STATE(17638)] = 774744,
  [SMALL_STATE(17639)] = 774764,
  [SMALL_STATE(17640)] = 774784,
  [SMALL_STATE(17641)] = 774804,
  [SMALL_STATE(17642)] = 774824,
  [SMALL_STATE(17643)] = 774844,
  [SMALL_STATE(17644)] = 774864,
  [SMALL_STATE(17645)] = 774884,
  [SMALL_STATE(17646)] = 774904,
  [SMALL_STATE(17647)] = 774924,
  [SMALL_STATE(17648)] = 774944,
  [SMALL_STATE(17649)] = 774962,
  [SMALL_STATE(17650)] = 774982,
  [SMALL_STATE(17651)] = 775002,
  [SMALL_STATE(17652)] = 775022,
  [SMALL_STATE(17653)] = 775042,
  [SMALL_STATE(17654)] = 775062,
  [SMALL_STATE(17655)] = 775082,
  [SMALL_STATE(17656)] = 775102,
  [SMALL_STATE(17657)] = 775122,
  [SMALL_STATE(17658)] = 775142,
  [SMALL_STATE(17659)] = 775160,
  [SMALL_STATE(17660)] = 775180,
  [SMALL_STATE(17661)] = 775200,
  [SMALL_STATE(17662)] = 775220,
  [SMALL_STATE(17663)] = 775240,
  [SMALL_STATE(17664)] = 775260,
  [SMALL_STATE(17665)] = 775280,
  [SMALL_STATE(17666)] = 775300,
  [SMALL_STATE(17667)] = 775320,
  [SMALL_STATE(17668)] = 775340,
  [SMALL_STATE(17669)] = 775360,
  [SMALL_STATE(17670)] = 775380,
  [SMALL_STATE(17671)] = 775400,
  [SMALL_STATE(17672)] = 775420,
  [SMALL_STATE(17673)] = 775440,
  [SMALL_STATE(17674)] = 775460,
  [SMALL_STATE(17675)] = 775480,
  [SMALL_STATE(17676)] = 775498,
  [SMALL_STATE(17677)] = 775518,
  [SMALL_STATE(17678)] = 775538,
  [SMALL_STATE(17679)] = 775558,
  [SMALL_STATE(17680)] = 775578,
  [SMALL_STATE(17681)] = 775598,
  [SMALL_STATE(17682)] = 775618,
  [SMALL_STATE(17683)] = 775638,
  [SMALL_STATE(17684)] = 775658,
  [SMALL_STATE(17685)] = 775678,
  [SMALL_STATE(17686)] = 775698,
  [SMALL_STATE(17687)] = 775718,
  [SMALL_STATE(17688)] = 775738,
  [SMALL_STATE(17689)] = 775758,
  [SMALL_STATE(17690)] = 775778,
  [SMALL_STATE(17691)] = 775798,
  [SMALL_STATE(17692)] = 775818,
  [SMALL_STATE(17693)] = 775838,
  [SMALL_STATE(17694)] = 775858,
  [SMALL_STATE(17695)] = 775878,
  [SMALL_STATE(17696)] = 775898,
  [SMALL_STATE(17697)] = 775918,
  [SMALL_STATE(17698)] = 775938,
  [SMALL_STATE(17699)] = 775958,
  [SMALL_STATE(17700)] = 775978,
  [SMALL_STATE(17701)] = 775998,
  [SMALL_STATE(17702)] = 776018,
  [SMALL_STATE(17703)] = 776038,
  [SMALL_STATE(17704)] = 776056,
  [SMALL_STATE(17705)] = 776076,
  [SMALL_STATE(17706)] = 776096,
  [SMALL_STATE(17707)] = 776116,
  [SMALL_STATE(17708)] = 776136,
  [SMALL_STATE(17709)] = 776156,
  [SMALL_STATE(17710)] = 776176,
  [SMALL_STATE(17711)] = 776196,
  [SMALL_STATE(17712)] = 776216,
  [SMALL_STATE(17713)] = 776236,
  [SMALL_STATE(17714)] = 776256,
  [SMALL_STATE(17715)] = 776276,
  [SMALL_STATE(17716)] = 776296,
  [SMALL_STATE(17717)] = 776316,
  [SMALL_STATE(17718)] = 776336,
  [SMALL_STATE(17719)] = 776354,
  [SMALL_STATE(17720)] = 776372,
  [SMALL_STATE(17721)] = 776390,
  [SMALL_STATE(17722)] = 776410,
  [SMALL_STATE(17723)] = 776430,
  [SMALL_STATE(17724)] = 776450,
  [SMALL_STATE(17725)] = 776470,
  [SMALL_STATE(17726)] = 776490,
  [SMALL_STATE(17727)] = 776510,
  [SMALL_STATE(17728)] = 776530,
  [SMALL_STATE(17729)] = 776550,
  [SMALL_STATE(17730)] = 776570,
  [SMALL_STATE(17731)] = 776590,
  [SMALL_STATE(17732)] = 776610,
  [SMALL_STATE(17733)] = 776628,
  [SMALL_STATE(17734)] = 776648,
  [SMALL_STATE(17735)] = 776668,
  [SMALL_STATE(17736)] = 776688,
  [SMALL_STATE(17737)] = 776708,
  [SMALL_STATE(17738)] = 776728,
  [SMALL_STATE(17739)] = 776748,
  [SMALL_STATE(17740)] = 776766,
  [SMALL_STATE(17741)] = 776786,
  [SMALL_STATE(17742)] = 776806,
  [SMALL_STATE(17743)] = 776824,
  [SMALL_STATE(17744)] = 776844,
  [SMALL_STATE(17745)] = 776864,
  [SMALL_STATE(17746)] = 776884,
  [SMALL_STATE(17747)] = 776902,
  [SMALL_STATE(17748)] = 776922,
  [SMALL_STATE(17749)] = 776942,
  [SMALL_STATE(17750)] = 776962,
  [SMALL_STATE(17751)] = 776982,
  [SMALL_STATE(17752)] = 777002,
  [SMALL_STATE(17753)] = 777022,
  [SMALL_STATE(17754)] = 777042,
  [SMALL_STATE(17755)] = 777062,
  [SMALL_STATE(17756)] = 777082,
  [SMALL_STATE(17757)] = 777102,
  [SMALL_STATE(17758)] = 777122,
  [SMALL_STATE(17759)] = 777142,
  [SMALL_STATE(17760)] = 777160,
  [SMALL_STATE(17761)] = 777180,
  [SMALL_STATE(17762)] = 777198,
  [SMALL_STATE(17763)] = 777218,
  [SMALL_STATE(17764)] = 777238,
  [SMALL_STATE(17765)] = 777258,
  [SMALL_STATE(17766)] = 777278,
  [SMALL_STATE(17767)] = 777298,
  [SMALL_STATE(17768)] = 777318,
  [SMALL_STATE(17769)] = 777338,
  [SMALL_STATE(17770)] = 777358,
  [SMALL_STATE(17771)] = 777376,
  [SMALL_STATE(17772)] = 777396,
  [SMALL_STATE(17773)] = 777416,
  [SMALL_STATE(17774)] = 777436,
  [SMALL_STATE(17775)] = 777456,
  [SMALL_STATE(17776)] = 777476,
  [SMALL_STATE(17777)] = 777494,
  [SMALL_STATE(17778)] = 777512,
  [SMALL_STATE(17779)] = 777532,
  [SMALL_STATE(17780)] = 777552,
  [SMALL_STATE(17781)] = 777572,
  [SMALL_STATE(17782)] = 777592,
  [SMALL_STATE(17783)] = 777612,
  [SMALL_STATE(17784)] = 777630,
  [SMALL_STATE(17785)] = 777650,
  [SMALL_STATE(17786)] = 777670,
  [SMALL_STATE(17787)] = 777690,
  [SMALL_STATE(17788)] = 777708,
  [SMALL_STATE(17789)] = 777728,
  [SMALL_STATE(17790)] = 777748,
  [SMALL_STATE(17791)] = 777768,
  [SMALL_STATE(17792)] = 777788,
  [SMALL_STATE(17793)] = 777808,
  [SMALL_STATE(17794)] = 777828,
  [SMALL_STATE(17795)] = 777848,
  [SMALL_STATE(17796)] = 777868,
  [SMALL_STATE(17797)] = 777888,
  [SMALL_STATE(17798)] = 777908,
  [SMALL_STATE(17799)] = 777926,
  [SMALL_STATE(17800)] = 777946,
  [SMALL_STATE(17801)] = 777966,
  [SMALL_STATE(17802)] = 777986,
  [SMALL_STATE(17803)] = 778006,
  [SMALL_STATE(17804)] = 778026,
  [SMALL_STATE(17805)] = 778046,
  [SMALL_STATE(17806)] = 778064,
  [SMALL_STATE(17807)] = 778084,
  [SMALL_STATE(17808)] = 778104,
  [SMALL_STATE(17809)] = 778124,
  [SMALL_STATE(17810)] = 778142,
  [SMALL_STATE(17811)] = 778158,
  [SMALL_STATE(17812)] = 778178,
  [SMALL_STATE(17813)] = 778198,
  [SMALL_STATE(17814)] = 778218,
  [SMALL_STATE(17815)] = 778238,
  [SMALL_STATE(17816)] = 778258,
  [SMALL_STATE(17817)] = 778278,
  [SMALL_STATE(17818)] = 778298,
  [SMALL_STATE(17819)] = 778316,
  [SMALL_STATE(17820)] = 778334,
  [SMALL_STATE(17821)] = 778354,
  [SMALL_STATE(17822)] = 778374,
  [SMALL_STATE(17823)] = 778394,
  [SMALL_STATE(17824)] = 778412,
  [SMALL_STATE(17825)] = 778432,
  [SMALL_STATE(17826)] = 778452,
  [SMALL_STATE(17827)] = 778472,
  [SMALL_STATE(17828)] = 778492,
  [SMALL_STATE(17829)] = 778512,
  [SMALL_STATE(17830)] = 778530,
  [SMALL_STATE(17831)] = 778550,
  [SMALL_STATE(17832)] = 778570,
  [SMALL_STATE(17833)] = 778588,
  [SMALL_STATE(17834)] = 778608,
  [SMALL_STATE(17835)] = 778628,
  [SMALL_STATE(17836)] = 778646,
  [SMALL_STATE(17837)] = 778664,
  [SMALL_STATE(17838)] = 778684,
  [SMALL_STATE(17839)] = 778704,
  [SMALL_STATE(17840)] = 778724,
  [SMALL_STATE(17841)] = 778744,
  [SMALL_STATE(17842)] = 778764,
  [SMALL_STATE(17843)] = 778782,
  [SMALL_STATE(17844)] = 778802,
  [SMALL_STATE(17845)] = 778822,
  [SMALL_STATE(17846)] = 778842,
  [SMALL_STATE(17847)] = 778862,
  [SMALL_STATE(17848)] = 778882,
  [SMALL_STATE(17849)] = 778902,
  [SMALL_STATE(17850)] = 778922,
  [SMALL_STATE(17851)] = 778942,
  [SMALL_STATE(17852)] = 778962,
  [SMALL_STATE(17853)] = 778982,
  [SMALL_STATE(17854)] = 779002,
  [SMALL_STATE(17855)] = 779022,
  [SMALL_STATE(17856)] = 779040,
  [SMALL_STATE(17857)] = 779060,
  [SMALL_STATE(17858)] = 779078,
  [SMALL_STATE(17859)] = 779098,
  [SMALL_STATE(17860)] = 779118,
  [SMALL_STATE(17861)] = 779138,
  [SMALL_STATE(17862)] = 779158,
  [SMALL_STATE(17863)] = 779178,
  [SMALL_STATE(17864)] = 779198,
  [SMALL_STATE(17865)] = 779218,
  [SMALL_STATE(17866)] = 779236,
  [SMALL_STATE(17867)] = 779256,
  [SMALL_STATE(17868)] = 779276,
  [SMALL_STATE(17869)] = 779296,
  [SMALL_STATE(17870)] = 779314,
  [SMALL_STATE(17871)] = 779334,
  [SMALL_STATE(17872)] = 779354,
  [SMALL_STATE(17873)] = 779372,
  [SMALL_STATE(17874)] = 779392,
  [SMALL_STATE(17875)] = 779412,
  [SMALL_STATE(17876)] = 779432,
  [SMALL_STATE(17877)] = 779452,
  [SMALL_STATE(17878)] = 779470,
  [SMALL_STATE(17879)] = 779490,
  [SMALL_STATE(17880)] = 779510,
  [SMALL_STATE(17881)] = 779530,
  [SMALL_STATE(17882)] = 779548,
  [SMALL_STATE(17883)] = 779568,
  [SMALL_STATE(17884)] = 779588,
  [SMALL_STATE(17885)] = 779608,
  [SMALL_STATE(17886)] = 779628,
  [SMALL_STATE(17887)] = 779648,
  [SMALL_STATE(17888)] = 779668,
  [SMALL_STATE(17889)] = 779688,
  [SMALL_STATE(17890)] = 779708,
  [SMALL_STATE(17891)] = 779728,
  [SMALL_STATE(17892)] = 779748,
  [SMALL_STATE(17893)] = 779768,
  [SMALL_STATE(17894)] = 779788,
  [SMALL_STATE(17895)] = 779806,
  [SMALL_STATE(17896)] = 779826,
  [SMALL_STATE(17897)] = 779846,
  [SMALL_STATE(17898)] = 779866,
  [SMALL_STATE(17899)] = 779884,
  [SMALL_STATE(17900)] = 779904,
  [SMALL_STATE(17901)] = 779924,
  [SMALL_STATE(17902)] = 779944,
  [SMALL_STATE(17903)] = 779964,
  [SMALL_STATE(17904)] = 779982,
  [SMALL_STATE(17905)] = 780000,
  [SMALL_STATE(17906)] = 780020,
  [SMALL_STATE(17907)] = 780040,
  [SMALL_STATE(17908)] = 780060,
  [SMALL_STATE(17909)] = 780080,
  [SMALL_STATE(17910)] = 780098,
  [SMALL_STATE(17911)] = 780118,
  [SMALL_STATE(17912)] = 780136,
  [SMALL_STATE(17913)] = 780156,
  [SMALL_STATE(17914)] = 780174,
  [SMALL_STATE(17915)] = 780194,
  [SMALL_STATE(17916)] = 780214,
  [SMALL_STATE(17917)] = 780234,
  [SMALL_STATE(17918)] = 780254,
  [SMALL_STATE(17919)] = 780274,
  [SMALL_STATE(17920)] = 780294,
  [SMALL_STATE(17921)] = 780314,
  [SMALL_STATE(17922)] = 780334,
  [SMALL_STATE(17923)] = 780352,
  [SMALL_STATE(17924)] = 780372,
  [SMALL_STATE(17925)] = 780390,
  [SMALL_STATE(17926)] = 780410,
  [SMALL_STATE(17927)] = 780430,
  [SMALL_STATE(17928)] = 780450,
  [SMALL_STATE(17929)] = 780470,
  [SMALL_STATE(17930)] = 780488,
  [SMALL_STATE(17931)] = 780508,
  [SMALL_STATE(17932)] = 780526,
  [SMALL_STATE(17933)] = 780546,
  [SMALL_STATE(17934)] = 780564,
  [SMALL_STATE(17935)] = 780584,
  [SMALL_STATE(17936)] = 780602,
  [SMALL_STATE(17937)] = 780620,
  [SMALL_STATE(17938)] = 780640,
  [SMALL_STATE(17939)] = 780660,
  [SMALL_STATE(17940)] = 780680,
  [SMALL_STATE(17941)] = 780698,
  [SMALL_STATE(17942)] = 780716,
  [SMALL_STATE(17943)] = 780736,
  [SMALL_STATE(17944)] = 780754,
  [SMALL_STATE(17945)] = 780774,
  [SMALL_STATE(17946)] = 780794,
  [SMALL_STATE(17947)] = 780812,
  [SMALL_STATE(17948)] = 780830,
  [SMALL_STATE(17949)] = 780850,
  [SMALL_STATE(17950)] = 780870,
  [SMALL_STATE(17951)] = 780890,
  [SMALL_STATE(17952)] = 780910,
  [SMALL_STATE(17953)] = 780928,
  [SMALL_STATE(17954)] = 780946,
  [SMALL_STATE(17955)] = 780966,
  [SMALL_STATE(17956)] = 780984,
  [SMALL_STATE(17957)] = 781004,
  [SMALL_STATE(17958)] = 781022,
  [SMALL_STATE(17959)] = 781040,
  [SMALL_STATE(17960)] = 781058,
  [SMALL_STATE(17961)] = 781076,
  [SMALL_STATE(17962)] = 781096,
  [SMALL_STATE(17963)] = 781114,
  [SMALL_STATE(17964)] = 781134,
  [SMALL_STATE(17965)] = 781152,
  [SMALL_STATE(17966)] = 781172,
  [SMALL_STATE(17967)] = 781192,
  [SMALL_STATE(17968)] = 781212,
  [SMALL_STATE(17969)] = 781232,
  [SMALL_STATE(17970)] = 781250,
  [SMALL_STATE(17971)] = 781270,
  [SMALL_STATE(17972)] = 781290,
  [SMALL_STATE(17973)] = 781308,
  [SMALL_STATE(17974)] = 781328,
  [SMALL_STATE(17975)] = 781348,
  [SMALL_STATE(17976)] = 781368,
  [SMALL_STATE(17977)] = 781388,
  [SMALL_STATE(17978)] = 781408,
  [SMALL_STATE(17979)] = 781428,
  [SMALL_STATE(17980)] = 781446,
  [SMALL_STATE(17981)] = 781466,
  [SMALL_STATE(17982)] = 781484,
  [SMALL_STATE(17983)] = 781504,
  [SMALL_STATE(17984)] = 781524,
  [SMALL_STATE(17985)] = 781544,
  [SMALL_STATE(17986)] = 781562,
  [SMALL_STATE(17987)] = 781582,
  [SMALL_STATE(17988)] = 781600,
  [SMALL_STATE(17989)] = 781618,
  [SMALL_STATE(17990)] = 781638,
  [SMALL_STATE(17991)] = 781658,
  [SMALL_STATE(17992)] = 781678,
  [SMALL_STATE(17993)] = 781698,
  [SMALL_STATE(17994)] = 781718,
  [SMALL_STATE(17995)] = 781738,
  [SMALL_STATE(17996)] = 781758,
  [SMALL_STATE(17997)] = 781776,
  [SMALL_STATE(17998)] = 781796,
  [SMALL_STATE(17999)] = 781816,
  [SMALL_STATE(18000)] = 781836,
  [SMALL_STATE(18001)] = 781856,
  [SMALL_STATE(18002)] = 781876,
  [SMALL_STATE(18003)] = 781896,
  [SMALL_STATE(18004)] = 781916,
  [SMALL_STATE(18005)] = 781936,
  [SMALL_STATE(18006)] = 781956,
  [SMALL_STATE(18007)] = 781976,
  [SMALL_STATE(18008)] = 781994,
  [SMALL_STATE(18009)] = 782014,
  [SMALL_STATE(18010)] = 782034,
  [SMALL_STATE(18011)] = 782054,
  [SMALL_STATE(18012)] = 782074,
  [SMALL_STATE(18013)] = 782092,
  [SMALL_STATE(18014)] = 782112,
  [SMALL_STATE(18015)] = 782132,
  [SMALL_STATE(18016)] = 782152,
  [SMALL_STATE(18017)] = 782172,
  [SMALL_STATE(18018)] = 782192,
  [SMALL_STATE(18019)] = 782212,
  [SMALL_STATE(18020)] = 782232,
  [SMALL_STATE(18021)] = 782252,
  [SMALL_STATE(18022)] = 782272,
  [SMALL_STATE(18023)] = 782290,
  [SMALL_STATE(18024)] = 782310,
  [SMALL_STATE(18025)] = 782330,
  [SMALL_STATE(18026)] = 782350,
  [SMALL_STATE(18027)] = 782370,
  [SMALL_STATE(18028)] = 782390,
  [SMALL_STATE(18029)] = 782410,
  [SMALL_STATE(18030)] = 782430,
  [SMALL_STATE(18031)] = 782450,
  [SMALL_STATE(18032)] = 782470,
  [SMALL_STATE(18033)] = 782490,
  [SMALL_STATE(18034)] = 782510,
  [SMALL_STATE(18035)] = 782530,
  [SMALL_STATE(18036)] = 782550,
  [SMALL_STATE(18037)] = 782570,
  [SMALL_STATE(18038)] = 782590,
  [SMALL_STATE(18039)] = 782610,
  [SMALL_STATE(18040)] = 782630,
  [SMALL_STATE(18041)] = 782650,
  [SMALL_STATE(18042)] = 782670,
  [SMALL_STATE(18043)] = 782690,
  [SMALL_STATE(18044)] = 782710,
  [SMALL_STATE(18045)] = 782728,
  [SMALL_STATE(18046)] = 782748,
  [SMALL_STATE(18047)] = 782768,
  [SMALL_STATE(18048)] = 782788,
  [SMALL_STATE(18049)] = 782808,
  [SMALL_STATE(18050)] = 782828,
  [SMALL_STATE(18051)] = 782848,
  [SMALL_STATE(18052)] = 782868,
  [SMALL_STATE(18053)] = 782888,
  [SMALL_STATE(18054)] = 782908,
  [SMALL_STATE(18055)] = 782928,
  [SMALL_STATE(18056)] = 782948,
  [SMALL_STATE(18057)] = 782968,
  [SMALL_STATE(18058)] = 782988,
  [SMALL_STATE(18059)] = 783008,
  [SMALL_STATE(18060)] = 783028,
  [SMALL_STATE(18061)] = 783048,
  [SMALL_STATE(18062)] = 783068,
  [SMALL_STATE(18063)] = 783088,
  [SMALL_STATE(18064)] = 783108,
  [SMALL_STATE(18065)] = 783128,
  [SMALL_STATE(18066)] = 783148,
  [SMALL_STATE(18067)] = 783166,
  [SMALL_STATE(18068)] = 783186,
  [SMALL_STATE(18069)] = 783206,
  [SMALL_STATE(18070)] = 783226,
  [SMALL_STATE(18071)] = 783246,
  [SMALL_STATE(18072)] = 783266,
  [SMALL_STATE(18073)] = 783284,
  [SMALL_STATE(18074)] = 783304,
  [SMALL_STATE(18075)] = 783322,
  [SMALL_STATE(18076)] = 783340,
  [SMALL_STATE(18077)] = 783360,
  [SMALL_STATE(18078)] = 783378,
  [SMALL_STATE(18079)] = 783398,
  [SMALL_STATE(18080)] = 783418,
  [SMALL_STATE(18081)] = 783438,
  [SMALL_STATE(18082)] = 783456,
  [SMALL_STATE(18083)] = 783476,
  [SMALL_STATE(18084)] = 783496,
  [SMALL_STATE(18085)] = 783514,
  [SMALL_STATE(18086)] = 783532,
  [SMALL_STATE(18087)] = 783552,
  [SMALL_STATE(18088)] = 783572,
  [SMALL_STATE(18089)] = 783592,
  [SMALL_STATE(18090)] = 783612,
  [SMALL_STATE(18091)] = 783632,
  [SMALL_STATE(18092)] = 783652,
  [SMALL_STATE(18093)] = 783672,
  [SMALL_STATE(18094)] = 783690,
  [SMALL_STATE(18095)] = 783710,
  [SMALL_STATE(18096)] = 783730,
  [SMALL_STATE(18097)] = 783750,
  [SMALL_STATE(18098)] = 783770,
  [SMALL_STATE(18099)] = 783788,
  [SMALL_STATE(18100)] = 783808,
  [SMALL_STATE(18101)] = 783828,
  [SMALL_STATE(18102)] = 783848,
  [SMALL_STATE(18103)] = 783868,
  [SMALL_STATE(18104)] = 783888,
  [SMALL_STATE(18105)] = 783908,
  [SMALL_STATE(18106)] = 783928,
  [SMALL_STATE(18107)] = 783948,
  [SMALL_STATE(18108)] = 783968,
  [SMALL_STATE(18109)] = 783986,
  [SMALL_STATE(18110)] = 784006,
  [SMALL_STATE(18111)] = 784026,
  [SMALL_STATE(18112)] = 784046,
  [SMALL_STATE(18113)] = 784066,
  [SMALL_STATE(18114)] = 784084,
  [SMALL_STATE(18115)] = 784104,
  [SMALL_STATE(18116)] = 784122,
  [SMALL_STATE(18117)] = 784142,
  [SMALL_STATE(18118)] = 784160,
  [SMALL_STATE(18119)] = 784180,
  [SMALL_STATE(18120)] = 784200,
  [SMALL_STATE(18121)] = 784220,
  [SMALL_STATE(18122)] = 784240,
  [SMALL_STATE(18123)] = 784260,
  [SMALL_STATE(18124)] = 784280,
  [SMALL_STATE(18125)] = 784300,
  [SMALL_STATE(18126)] = 784320,
  [SMALL_STATE(18127)] = 784340,
  [SMALL_STATE(18128)] = 784360,
  [SMALL_STATE(18129)] = 784378,
  [SMALL_STATE(18130)] = 784398,
  [SMALL_STATE(18131)] = 784418,
  [SMALL_STATE(18132)] = 784438,
  [SMALL_STATE(18133)] = 784458,
  [SMALL_STATE(18134)] = 784475,
  [SMALL_STATE(18135)] = 784492,
  [SMALL_STATE(18136)] = 784509,
  [SMALL_STATE(18137)] = 784526,
  [SMALL_STATE(18138)] = 784543,
  [SMALL_STATE(18139)] = 784560,
  [SMALL_STATE(18140)] = 784577,
  [SMALL_STATE(18141)] = 784592,
  [SMALL_STATE(18142)] = 784609,
  [SMALL_STATE(18143)] = 784626,
  [SMALL_STATE(18144)] = 784643,
  [SMALL_STATE(18145)] = 784658,
  [SMALL_STATE(18146)] = 784673,
  [SMALL_STATE(18147)] = 784690,
  [SMALL_STATE(18148)] = 784705,
  [SMALL_STATE(18149)] = 784722,
  [SMALL_STATE(18150)] = 784737,
  [SMALL_STATE(18151)] = 784754,
  [SMALL_STATE(18152)] = 784769,
  [SMALL_STATE(18153)] = 784786,
  [SMALL_STATE(18154)] = 784801,
  [SMALL_STATE(18155)] = 784818,
  [SMALL_STATE(18156)] = 784833,
  [SMALL_STATE(18157)] = 784850,
  [SMALL_STATE(18158)] = 784867,
  [SMALL_STATE(18159)] = 784884,
  [SMALL_STATE(18160)] = 784899,
  [SMALL_STATE(18161)] = 784914,
  [SMALL_STATE(18162)] = 784931,
  [SMALL_STATE(18163)] = 784948,
  [SMALL_STATE(18164)] = 784965,
  [SMALL_STATE(18165)] = 784980,
  [SMALL_STATE(18166)] = 784997,
  [SMALL_STATE(18167)] = 785014,
  [SMALL_STATE(18168)] = 785031,
  [SMALL_STATE(18169)] = 785048,
  [SMALL_STATE(18170)] = 785065,
  [SMALL_STATE(18171)] = 785082,
  [SMALL_STATE(18172)] = 785099,
  [SMALL_STATE(18173)] = 785114,
  [SMALL_STATE(18174)] = 785131,
  [SMALL_STATE(18175)] = 785148,
  [SMALL_STATE(18176)] = 785165,
  [SMALL_STATE(18177)] = 785180,
  [SMALL_STATE(18178)] = 785197,
  [SMALL_STATE(18179)] = 785214,
  [SMALL_STATE(18180)] = 785231,
  [SMALL_STATE(18181)] = 785248,
  [SMALL_STATE(18182)] = 785265,
  [SMALL_STATE(18183)] = 785282,
  [SMALL_STATE(18184)] = 785299,
  [SMALL_STATE(18185)] = 785316,
  [SMALL_STATE(18186)] = 785333,
  [SMALL_STATE(18187)] = 785350,
  [SMALL_STATE(18188)] = 785367,
  [SMALL_STATE(18189)] = 785382,
  [SMALL_STATE(18190)] = 785399,
  [SMALL_STATE(18191)] = 785414,
  [SMALL_STATE(18192)] = 785431,
  [SMALL_STATE(18193)] = 785448,
  [SMALL_STATE(18194)] = 785465,
  [SMALL_STATE(18195)] = 785482,
  [SMALL_STATE(18196)] = 785499,
  [SMALL_STATE(18197)] = 785516,
  [SMALL_STATE(18198)] = 785533,
  [SMALL_STATE(18199)] = 785550,
  [SMALL_STATE(18200)] = 785565,
  [SMALL_STATE(18201)] = 785582,
  [SMALL_STATE(18202)] = 785599,
  [SMALL_STATE(18203)] = 785616,
  [SMALL_STATE(18204)] = 785631,
  [SMALL_STATE(18205)] = 785646,
  [SMALL_STATE(18206)] = 785663,
  [SMALL_STATE(18207)] = 785680,
  [SMALL_STATE(18208)] = 785697,
  [SMALL_STATE(18209)] = 785712,
  [SMALL_STATE(18210)] = 785729,
  [SMALL_STATE(18211)] = 785746,
  [SMALL_STATE(18212)] = 785763,
  [SMALL_STATE(18213)] = 785780,
  [SMALL_STATE(18214)] = 785797,
  [SMALL_STATE(18215)] = 785814,
  [SMALL_STATE(18216)] = 785831,
  [SMALL_STATE(18217)] = 785848,
  [SMALL_STATE(18218)] = 785863,
  [SMALL_STATE(18219)] = 785880,
  [SMALL_STATE(18220)] = 785897,
  [SMALL_STATE(18221)] = 785914,
  [SMALL_STATE(18222)] = 785931,
  [SMALL_STATE(18223)] = 785948,
  [SMALL_STATE(18224)] = 785965,
  [SMALL_STATE(18225)] = 785982,
  [SMALL_STATE(18226)] = 785997,
  [SMALL_STATE(18227)] = 786014,
  [SMALL_STATE(18228)] = 786031,
  [SMALL_STATE(18229)] = 786048,
  [SMALL_STATE(18230)] = 786065,
  [SMALL_STATE(18231)] = 786080,
  [SMALL_STATE(18232)] = 786097,
  [SMALL_STATE(18233)] = 786114,
  [SMALL_STATE(18234)] = 786131,
  [SMALL_STATE(18235)] = 786146,
  [SMALL_STATE(18236)] = 786161,
  [SMALL_STATE(18237)] = 786178,
  [SMALL_STATE(18238)] = 786193,
  [SMALL_STATE(18239)] = 786210,
  [SMALL_STATE(18240)] = 786227,
  [SMALL_STATE(18241)] = 786244,
  [SMALL_STATE(18242)] = 786261,
  [SMALL_STATE(18243)] = 786278,
  [SMALL_STATE(18244)] = 786295,
  [SMALL_STATE(18245)] = 786312,
  [SMALL_STATE(18246)] = 786327,
  [SMALL_STATE(18247)] = 786344,
  [SMALL_STATE(18248)] = 786361,
  [SMALL_STATE(18249)] = 786378,
  [SMALL_STATE(18250)] = 786395,
  [SMALL_STATE(18251)] = 786412,
  [SMALL_STATE(18252)] = 786427,
  [SMALL_STATE(18253)] = 786444,
  [SMALL_STATE(18254)] = 786461,
  [SMALL_STATE(18255)] = 786478,
  [SMALL_STATE(18256)] = 786495,
  [SMALL_STATE(18257)] = 786512,
  [SMALL_STATE(18258)] = 786529,
  [SMALL_STATE(18259)] = 786544,
  [SMALL_STATE(18260)] = 786561,
  [SMALL_STATE(18261)] = 786576,
  [SMALL_STATE(18262)] = 786591,
  [SMALL_STATE(18263)] = 786608,
  [SMALL_STATE(18264)] = 786625,
  [SMALL_STATE(18265)] = 786642,
  [SMALL_STATE(18266)] = 786659,
  [SMALL_STATE(18267)] = 786676,
  [SMALL_STATE(18268)] = 786693,
  [SMALL_STATE(18269)] = 786710,
  [SMALL_STATE(18270)] = 786727,
  [SMALL_STATE(18271)] = 786744,
  [SMALL_STATE(18272)] = 786761,
  [SMALL_STATE(18273)] = 786778,
  [SMALL_STATE(18274)] = 786795,
  [SMALL_STATE(18275)] = 786812,
  [SMALL_STATE(18276)] = 786829,
  [SMALL_STATE(18277)] = 786846,
  [SMALL_STATE(18278)] = 786863,
  [SMALL_STATE(18279)] = 786880,
  [SMALL_STATE(18280)] = 786897,
  [SMALL_STATE(18281)] = 786914,
  [SMALL_STATE(18282)] = 786931,
  [SMALL_STATE(18283)] = 786948,
  [SMALL_STATE(18284)] = 786965,
  [SMALL_STATE(18285)] = 786982,
  [SMALL_STATE(18286)] = 786999,
  [SMALL_STATE(18287)] = 787016,
  [SMALL_STATE(18288)] = 787031,
  [SMALL_STATE(18289)] = 787048,
  [SMALL_STATE(18290)] = 787065,
  [SMALL_STATE(18291)] = 787082,
  [SMALL_STATE(18292)] = 787099,
  [SMALL_STATE(18293)] = 787116,
  [SMALL_STATE(18294)] = 787133,
  [SMALL_STATE(18295)] = 787150,
  [SMALL_STATE(18296)] = 787167,
  [SMALL_STATE(18297)] = 787184,
  [SMALL_STATE(18298)] = 787201,
  [SMALL_STATE(18299)] = 787218,
  [SMALL_STATE(18300)] = 787235,
  [SMALL_STATE(18301)] = 787252,
  [SMALL_STATE(18302)] = 787269,
  [SMALL_STATE(18303)] = 787286,
  [SMALL_STATE(18304)] = 787303,
  [SMALL_STATE(18305)] = 787318,
  [SMALL_STATE(18306)] = 787335,
  [SMALL_STATE(18307)] = 787352,
  [SMALL_STATE(18308)] = 787369,
  [SMALL_STATE(18309)] = 787384,
  [SMALL_STATE(18310)] = 787401,
  [SMALL_STATE(18311)] = 787418,
  [SMALL_STATE(18312)] = 787435,
  [SMALL_STATE(18313)] = 787452,
  [SMALL_STATE(18314)] = 787467,
  [SMALL_STATE(18315)] = 787484,
  [SMALL_STATE(18316)] = 787501,
  [SMALL_STATE(18317)] = 787518,
  [SMALL_STATE(18318)] = 787535,
  [SMALL_STATE(18319)] = 787550,
  [SMALL_STATE(18320)] = 787567,
  [SMALL_STATE(18321)] = 787584,
  [SMALL_STATE(18322)] = 787601,
  [SMALL_STATE(18323)] = 787618,
  [SMALL_STATE(18324)] = 787635,
  [SMALL_STATE(18325)] = 787652,
  [SMALL_STATE(18326)] = 787669,
  [SMALL_STATE(18327)] = 787686,
  [SMALL_STATE(18328)] = 787703,
  [SMALL_STATE(18329)] = 787718,
  [SMALL_STATE(18330)] = 787735,
  [SMALL_STATE(18331)] = 787752,
  [SMALL_STATE(18332)] = 787769,
  [SMALL_STATE(18333)] = 787786,
  [SMALL_STATE(18334)] = 787803,
  [SMALL_STATE(18335)] = 787820,
  [SMALL_STATE(18336)] = 787837,
  [SMALL_STATE(18337)] = 787854,
  [SMALL_STATE(18338)] = 787871,
  [SMALL_STATE(18339)] = 787888,
  [SMALL_STATE(18340)] = 787905,
  [SMALL_STATE(18341)] = 787922,
  [SMALL_STATE(18342)] = 787939,
  [SMALL_STATE(18343)] = 787956,
  [SMALL_STATE(18344)] = 787973,
  [SMALL_STATE(18345)] = 787990,
  [SMALL_STATE(18346)] = 788007,
  [SMALL_STATE(18347)] = 788024,
  [SMALL_STATE(18348)] = 788041,
  [SMALL_STATE(18349)] = 788058,
  [SMALL_STATE(18350)] = 788075,
  [SMALL_STATE(18351)] = 788092,
  [SMALL_STATE(18352)] = 788109,
  [SMALL_STATE(18353)] = 788126,
  [SMALL_STATE(18354)] = 788143,
  [SMALL_STATE(18355)] = 788160,
  [SMALL_STATE(18356)] = 788177,
  [SMALL_STATE(18357)] = 788194,
  [SMALL_STATE(18358)] = 788209,
  [SMALL_STATE(18359)] = 788224,
  [SMALL_STATE(18360)] = 788239,
  [SMALL_STATE(18361)] = 788256,
  [SMALL_STATE(18362)] = 788273,
  [SMALL_STATE(18363)] = 788288,
  [SMALL_STATE(18364)] = 788305,
  [SMALL_STATE(18365)] = 788320,
  [SMALL_STATE(18366)] = 788337,
  [SMALL_STATE(18367)] = 788354,
  [SMALL_STATE(18368)] = 788369,
  [SMALL_STATE(18369)] = 788386,
  [SMALL_STATE(18370)] = 788403,
  [SMALL_STATE(18371)] = 788420,
  [SMALL_STATE(18372)] = 788435,
  [SMALL_STATE(18373)] = 788452,
  [SMALL_STATE(18374)] = 788469,
  [SMALL_STATE(18375)] = 788486,
  [SMALL_STATE(18376)] = 788503,
  [SMALL_STATE(18377)] = 788518,
  [SMALL_STATE(18378)] = 788533,
  [SMALL_STATE(18379)] = 788550,
  [SMALL_STATE(18380)] = 788567,
  [SMALL_STATE(18381)] = 788584,
  [SMALL_STATE(18382)] = 788601,
  [SMALL_STATE(18383)] = 788616,
  [SMALL_STATE(18384)] = 788633,
  [SMALL_STATE(18385)] = 788650,
  [SMALL_STATE(18386)] = 788667,
  [SMALL_STATE(18387)] = 788682,
  [SMALL_STATE(18388)] = 788699,
  [SMALL_STATE(18389)] = 788714,
  [SMALL_STATE(18390)] = 788731,
  [SMALL_STATE(18391)] = 788748,
  [SMALL_STATE(18392)] = 788765,
  [SMALL_STATE(18393)] = 788780,
  [SMALL_STATE(18394)] = 788797,
  [SMALL_STATE(18395)] = 788814,
  [SMALL_STATE(18396)] = 788831,
  [SMALL_STATE(18397)] = 788848,
  [SMALL_STATE(18398)] = 788865,
  [SMALL_STATE(18399)] = 788882,
  [SMALL_STATE(18400)] = 788899,
  [SMALL_STATE(18401)] = 788916,
  [SMALL_STATE(18402)] = 788933,
  [SMALL_STATE(18403)] = 788948,
  [SMALL_STATE(18404)] = 788965,
  [SMALL_STATE(18405)] = 788982,
  [SMALL_STATE(18406)] = 788999,
  [SMALL_STATE(18407)] = 789016,
  [SMALL_STATE(18408)] = 789033,
  [SMALL_STATE(18409)] = 789050,
  [SMALL_STATE(18410)] = 789067,
  [SMALL_STATE(18411)] = 789084,
  [SMALL_STATE(18412)] = 789101,
  [SMALL_STATE(18413)] = 789118,
  [SMALL_STATE(18414)] = 789135,
  [SMALL_STATE(18415)] = 789152,
  [SMALL_STATE(18416)] = 789169,
  [SMALL_STATE(18417)] = 789186,
  [SMALL_STATE(18418)] = 789203,
  [SMALL_STATE(18419)] = 789220,
  [SMALL_STATE(18420)] = 789237,
  [SMALL_STATE(18421)] = 789254,
  [SMALL_STATE(18422)] = 789271,
  [SMALL_STATE(18423)] = 789288,
  [SMALL_STATE(18424)] = 789305,
  [SMALL_STATE(18425)] = 789322,
  [SMALL_STATE(18426)] = 789339,
  [SMALL_STATE(18427)] = 789356,
  [SMALL_STATE(18428)] = 789373,
  [SMALL_STATE(18429)] = 789390,
  [SMALL_STATE(18430)] = 789407,
  [SMALL_STATE(18431)] = 789424,
  [SMALL_STATE(18432)] = 789441,
  [SMALL_STATE(18433)] = 789456,
  [SMALL_STATE(18434)] = 789473,
  [SMALL_STATE(18435)] = 789490,
  [SMALL_STATE(18436)] = 789507,
  [SMALL_STATE(18437)] = 789524,
  [SMALL_STATE(18438)] = 789541,
  [SMALL_STATE(18439)] = 789558,
  [SMALL_STATE(18440)] = 789575,
  [SMALL_STATE(18441)] = 789590,
  [SMALL_STATE(18442)] = 789607,
  [SMALL_STATE(18443)] = 789624,
  [SMALL_STATE(18444)] = 789641,
  [SMALL_STATE(18445)] = 789658,
  [SMALL_STATE(18446)] = 789675,
  [SMALL_STATE(18447)] = 789692,
  [SMALL_STATE(18448)] = 789709,
  [SMALL_STATE(18449)] = 789724,
  [SMALL_STATE(18450)] = 789739,
  [SMALL_STATE(18451)] = 789756,
  [SMALL_STATE(18452)] = 789773,
  [SMALL_STATE(18453)] = 789790,
  [SMALL_STATE(18454)] = 789805,
  [SMALL_STATE(18455)] = 789822,
  [SMALL_STATE(18456)] = 789839,
  [SMALL_STATE(18457)] = 789856,
  [SMALL_STATE(18458)] = 789873,
  [SMALL_STATE(18459)] = 789890,
  [SMALL_STATE(18460)] = 789907,
  [SMALL_STATE(18461)] = 789924,
  [SMALL_STATE(18462)] = 789941,
  [SMALL_STATE(18463)] = 789958,
  [SMALL_STATE(18464)] = 789975,
  [SMALL_STATE(18465)] = 789990,
  [SMALL_STATE(18466)] = 790007,
  [SMALL_STATE(18467)] = 790024,
  [SMALL_STATE(18468)] = 790041,
  [SMALL_STATE(18469)] = 790058,
  [SMALL_STATE(18470)] = 790075,
  [SMALL_STATE(18471)] = 790092,
  [SMALL_STATE(18472)] = 790107,
  [SMALL_STATE(18473)] = 790124,
  [SMALL_STATE(18474)] = 790139,
  [SMALL_STATE(18475)] = 790154,
  [SMALL_STATE(18476)] = 790171,
  [SMALL_STATE(18477)] = 790188,
  [SMALL_STATE(18478)] = 790205,
  [SMALL_STATE(18479)] = 790222,
  [SMALL_STATE(18480)] = 790237,
  [SMALL_STATE(18481)] = 790254,
  [SMALL_STATE(18482)] = 790271,
  [SMALL_STATE(18483)] = 790288,
  [SMALL_STATE(18484)] = 790305,
  [SMALL_STATE(18485)] = 790320,
  [SMALL_STATE(18486)] = 790337,
  [SMALL_STATE(18487)] = 790354,
  [SMALL_STATE(18488)] = 790369,
  [SMALL_STATE(18489)] = 790386,
  [SMALL_STATE(18490)] = 790403,
  [SMALL_STATE(18491)] = 790420,
  [SMALL_STATE(18492)] = 790437,
  [SMALL_STATE(18493)] = 790454,
  [SMALL_STATE(18494)] = 790469,
  [SMALL_STATE(18495)] = 790486,
  [SMALL_STATE(18496)] = 790503,
  [SMALL_STATE(18497)] = 790520,
  [SMALL_STATE(18498)] = 790537,
  [SMALL_STATE(18499)] = 790554,
  [SMALL_STATE(18500)] = 790571,
  [SMALL_STATE(18501)] = 790588,
  [SMALL_STATE(18502)] = 790605,
  [SMALL_STATE(18503)] = 790622,
  [SMALL_STATE(18504)] = 790639,
  [SMALL_STATE(18505)] = 790656,
  [SMALL_STATE(18506)] = 790673,
  [SMALL_STATE(18507)] = 790690,
  [SMALL_STATE(18508)] = 790707,
  [SMALL_STATE(18509)] = 790722,
  [SMALL_STATE(18510)] = 790739,
  [SMALL_STATE(18511)] = 790756,
  [SMALL_STATE(18512)] = 790773,
  [SMALL_STATE(18513)] = 790790,
  [SMALL_STATE(18514)] = 790807,
  [SMALL_STATE(18515)] = 790824,
  [SMALL_STATE(18516)] = 790841,
  [SMALL_STATE(18517)] = 790858,
  [SMALL_STATE(18518)] = 790875,
  [SMALL_STATE(18519)] = 790890,
  [SMALL_STATE(18520)] = 790907,
  [SMALL_STATE(18521)] = 790924,
  [SMALL_STATE(18522)] = 790941,
  [SMALL_STATE(18523)] = 790958,
  [SMALL_STATE(18524)] = 790975,
  [SMALL_STATE(18525)] = 790992,
  [SMALL_STATE(18526)] = 791009,
  [SMALL_STATE(18527)] = 791026,
  [SMALL_STATE(18528)] = 791043,
  [SMALL_STATE(18529)] = 791060,
  [SMALL_STATE(18530)] = 791077,
  [SMALL_STATE(18531)] = 791094,
  [SMALL_STATE(18532)] = 791109,
  [SMALL_STATE(18533)] = 791126,
  [SMALL_STATE(18534)] = 791143,
  [SMALL_STATE(18535)] = 791160,
  [SMALL_STATE(18536)] = 791175,
  [SMALL_STATE(18537)] = 791192,
  [SMALL_STATE(18538)] = 791209,
  [SMALL_STATE(18539)] = 791226,
  [SMALL_STATE(18540)] = 791241,
  [SMALL_STATE(18541)] = 791258,
  [SMALL_STATE(18542)] = 791275,
  [SMALL_STATE(18543)] = 791292,
  [SMALL_STATE(18544)] = 791309,
  [SMALL_STATE(18545)] = 791326,
  [SMALL_STATE(18546)] = 791343,
  [SMALL_STATE(18547)] = 791360,
  [SMALL_STATE(18548)] = 791375,
  [SMALL_STATE(18549)] = 791392,
  [SMALL_STATE(18550)] = 791409,
  [SMALL_STATE(18551)] = 791424,
  [SMALL_STATE(18552)] = 791439,
  [SMALL_STATE(18553)] = 791456,
  [SMALL_STATE(18554)] = 791473,
  [SMALL_STATE(18555)] = 791490,
  [SMALL_STATE(18556)] = 791507,
  [SMALL_STATE(18557)] = 791524,
  [SMALL_STATE(18558)] = 791541,
  [SMALL_STATE(18559)] = 791558,
  [SMALL_STATE(18560)] = 791575,
  [SMALL_STATE(18561)] = 791592,
  [SMALL_STATE(18562)] = 791609,
  [SMALL_STATE(18563)] = 791626,
  [SMALL_STATE(18564)] = 791643,
  [SMALL_STATE(18565)] = 791660,
  [SMALL_STATE(18566)] = 791677,
  [SMALL_STATE(18567)] = 791694,
  [SMALL_STATE(18568)] = 791711,
  [SMALL_STATE(18569)] = 791726,
  [SMALL_STATE(18570)] = 791743,
  [SMALL_STATE(18571)] = 791760,
  [SMALL_STATE(18572)] = 791777,
  [SMALL_STATE(18573)] = 791794,
  [SMALL_STATE(18574)] = 791811,
  [SMALL_STATE(18575)] = 791826,
  [SMALL_STATE(18576)] = 791843,
  [SMALL_STATE(18577)] = 791860,
  [SMALL_STATE(18578)] = 791877,
  [SMALL_STATE(18579)] = 791894,
  [SMALL_STATE(18580)] = 791909,
  [SMALL_STATE(18581)] = 791926,
  [SMALL_STATE(18582)] = 791943,
  [SMALL_STATE(18583)] = 791960,
  [SMALL_STATE(18584)] = 791977,
  [SMALL_STATE(18585)] = 791994,
  [SMALL_STATE(18586)] = 792011,
  [SMALL_STATE(18587)] = 792028,
  [SMALL_STATE(18588)] = 792045,
  [SMALL_STATE(18589)] = 792062,
  [SMALL_STATE(18590)] = 792079,
  [SMALL_STATE(18591)] = 792096,
  [SMALL_STATE(18592)] = 792113,
  [SMALL_STATE(18593)] = 792130,
  [SMALL_STATE(18594)] = 792147,
  [SMALL_STATE(18595)] = 792164,
  [SMALL_STATE(18596)] = 792181,
  [SMALL_STATE(18597)] = 792198,
  [SMALL_STATE(18598)] = 792215,
  [SMALL_STATE(18599)] = 792232,
  [SMALL_STATE(18600)] = 792249,
  [SMALL_STATE(18601)] = 792266,
  [SMALL_STATE(18602)] = 792283,
  [SMALL_STATE(18603)] = 792298,
  [SMALL_STATE(18604)] = 792315,
  [SMALL_STATE(18605)] = 792332,
  [SMALL_STATE(18606)] = 792349,
  [SMALL_STATE(18607)] = 792366,
  [SMALL_STATE(18608)] = 792383,
  [SMALL_STATE(18609)] = 792400,
  [SMALL_STATE(18610)] = 792417,
  [SMALL_STATE(18611)] = 792434,
  [SMALL_STATE(18612)] = 792451,
  [SMALL_STATE(18613)] = 792468,
  [SMALL_STATE(18614)] = 792483,
  [SMALL_STATE(18615)] = 792500,
  [SMALL_STATE(18616)] = 792517,
  [SMALL_STATE(18617)] = 792534,
  [SMALL_STATE(18618)] = 792551,
  [SMALL_STATE(18619)] = 792566,
  [SMALL_STATE(18620)] = 792583,
  [SMALL_STATE(18621)] = 792600,
  [SMALL_STATE(18622)] = 792617,
  [SMALL_STATE(18623)] = 792634,
  [SMALL_STATE(18624)] = 792651,
  [SMALL_STATE(18625)] = 792668,
  [SMALL_STATE(18626)] = 792685,
  [SMALL_STATE(18627)] = 792700,
  [SMALL_STATE(18628)] = 792717,
  [SMALL_STATE(18629)] = 792734,
  [SMALL_STATE(18630)] = 792751,
  [SMALL_STATE(18631)] = 792768,
  [SMALL_STATE(18632)] = 792785,
  [SMALL_STATE(18633)] = 792802,
  [SMALL_STATE(18634)] = 792819,
  [SMALL_STATE(18635)] = 792836,
  [SMALL_STATE(18636)] = 792853,
  [SMALL_STATE(18637)] = 792870,
  [SMALL_STATE(18638)] = 792887,
  [SMALL_STATE(18639)] = 792904,
  [SMALL_STATE(18640)] = 792921,
  [SMALL_STATE(18641)] = 792938,
  [SMALL_STATE(18642)] = 792955,
  [SMALL_STATE(18643)] = 792972,
  [SMALL_STATE(18644)] = 792989,
  [SMALL_STATE(18645)] = 793006,
  [SMALL_STATE(18646)] = 793023,
  [SMALL_STATE(18647)] = 793040,
  [SMALL_STATE(18648)] = 793057,
  [SMALL_STATE(18649)] = 793074,
  [SMALL_STATE(18650)] = 793091,
  [SMALL_STATE(18651)] = 793108,
  [SMALL_STATE(18652)] = 793125,
  [SMALL_STATE(18653)] = 793142,
  [SMALL_STATE(18654)] = 793159,
  [SMALL_STATE(18655)] = 793176,
  [SMALL_STATE(18656)] = 793193,
  [SMALL_STATE(18657)] = 793210,
  [SMALL_STATE(18658)] = 793227,
  [SMALL_STATE(18659)] = 793244,
  [SMALL_STATE(18660)] = 793261,
  [SMALL_STATE(18661)] = 793278,
  [SMALL_STATE(18662)] = 793295,
  [SMALL_STATE(18663)] = 793312,
  [SMALL_STATE(18664)] = 793329,
  [SMALL_STATE(18665)] = 793346,
  [SMALL_STATE(18666)] = 793361,
  [SMALL_STATE(18667)] = 793378,
  [SMALL_STATE(18668)] = 793395,
  [SMALL_STATE(18669)] = 793412,
  [SMALL_STATE(18670)] = 793429,
  [SMALL_STATE(18671)] = 793446,
  [SMALL_STATE(18672)] = 793463,
  [SMALL_STATE(18673)] = 793480,
  [SMALL_STATE(18674)] = 793497,
  [SMALL_STATE(18675)] = 793514,
  [SMALL_STATE(18676)] = 793531,
  [SMALL_STATE(18677)] = 793548,
  [SMALL_STATE(18678)] = 793565,
  [SMALL_STATE(18679)] = 793582,
  [SMALL_STATE(18680)] = 793599,
  [SMALL_STATE(18681)] = 793616,
  [SMALL_STATE(18682)] = 793633,
  [SMALL_STATE(18683)] = 793650,
  [SMALL_STATE(18684)] = 793667,
  [SMALL_STATE(18685)] = 793684,
  [SMALL_STATE(18686)] = 793701,
  [SMALL_STATE(18687)] = 793718,
  [SMALL_STATE(18688)] = 793735,
  [SMALL_STATE(18689)] = 793752,
  [SMALL_STATE(18690)] = 793769,
  [SMALL_STATE(18691)] = 793786,
  [SMALL_STATE(18692)] = 793803,
  [SMALL_STATE(18693)] = 793820,
  [SMALL_STATE(18694)] = 793837,
  [SMALL_STATE(18695)] = 793854,
  [SMALL_STATE(18696)] = 793871,
  [SMALL_STATE(18697)] = 793888,
  [SMALL_STATE(18698)] = 793905,
  [SMALL_STATE(18699)] = 793922,
  [SMALL_STATE(18700)] = 793939,
  [SMALL_STATE(18701)] = 793956,
  [SMALL_STATE(18702)] = 793973,
  [SMALL_STATE(18703)] = 793988,
  [SMALL_STATE(18704)] = 794003,
  [SMALL_STATE(18705)] = 794020,
  [SMALL_STATE(18706)] = 794037,
  [SMALL_STATE(18707)] = 794054,
  [SMALL_STATE(18708)] = 794071,
  [SMALL_STATE(18709)] = 794088,
  [SMALL_STATE(18710)] = 794105,
  [SMALL_STATE(18711)] = 794122,
  [SMALL_STATE(18712)] = 794137,
  [SMALL_STATE(18713)] = 794154,
  [SMALL_STATE(18714)] = 794171,
  [SMALL_STATE(18715)] = 794188,
  [SMALL_STATE(18716)] = 794205,
  [SMALL_STATE(18717)] = 794222,
  [SMALL_STATE(18718)] = 794239,
  [SMALL_STATE(18719)] = 794256,
  [SMALL_STATE(18720)] = 794273,
  [SMALL_STATE(18721)] = 794290,
  [SMALL_STATE(18722)] = 794307,
  [SMALL_STATE(18723)] = 794324,
  [SMALL_STATE(18724)] = 794341,
  [SMALL_STATE(18725)] = 794358,
  [SMALL_STATE(18726)] = 794375,
  [SMALL_STATE(18727)] = 794392,
  [SMALL_STATE(18728)] = 794409,
  [SMALL_STATE(18729)] = 794426,
  [SMALL_STATE(18730)] = 794443,
  [SMALL_STATE(18731)] = 794460,
  [SMALL_STATE(18732)] = 794477,
  [SMALL_STATE(18733)] = 794492,
  [SMALL_STATE(18734)] = 794509,
  [SMALL_STATE(18735)] = 794524,
  [SMALL_STATE(18736)] = 794541,
  [SMALL_STATE(18737)] = 794556,
  [SMALL_STATE(18738)] = 794571,
  [SMALL_STATE(18739)] = 794588,
  [SMALL_STATE(18740)] = 794605,
  [SMALL_STATE(18741)] = 794622,
  [SMALL_STATE(18742)] = 794639,
  [SMALL_STATE(18743)] = 794656,
  [SMALL_STATE(18744)] = 794673,
  [SMALL_STATE(18745)] = 794690,
  [SMALL_STATE(18746)] = 794707,
  [SMALL_STATE(18747)] = 794724,
  [SMALL_STATE(18748)] = 794741,
  [SMALL_STATE(18749)] = 794758,
  [SMALL_STATE(18750)] = 794775,
  [SMALL_STATE(18751)] = 794792,
  [SMALL_STATE(18752)] = 794807,
  [SMALL_STATE(18753)] = 794824,
  [SMALL_STATE(18754)] = 794841,
  [SMALL_STATE(18755)] = 794858,
  [SMALL_STATE(18756)] = 794875,
  [SMALL_STATE(18757)] = 794892,
  [SMALL_STATE(18758)] = 794909,
  [SMALL_STATE(18759)] = 794926,
  [SMALL_STATE(18760)] = 794941,
  [SMALL_STATE(18761)] = 794958,
  [SMALL_STATE(18762)] = 794975,
  [SMALL_STATE(18763)] = 794992,
  [SMALL_STATE(18764)] = 795007,
  [SMALL_STATE(18765)] = 795024,
  [SMALL_STATE(18766)] = 795041,
  [SMALL_STATE(18767)] = 795058,
  [SMALL_STATE(18768)] = 795075,
  [SMALL_STATE(18769)] = 795092,
  [SMALL_STATE(18770)] = 795109,
  [SMALL_STATE(18771)] = 795124,
  [SMALL_STATE(18772)] = 795141,
  [SMALL_STATE(18773)] = 795158,
  [SMALL_STATE(18774)] = 795175,
  [SMALL_STATE(18775)] = 795190,
  [SMALL_STATE(18776)] = 795207,
  [SMALL_STATE(18777)] = 795224,
  [SMALL_STATE(18778)] = 795241,
  [SMALL_STATE(18779)] = 795258,
  [SMALL_STATE(18780)] = 795273,
  [SMALL_STATE(18781)] = 795288,
  [SMALL_STATE(18782)] = 795305,
  [SMALL_STATE(18783)] = 795322,
  [SMALL_STATE(18784)] = 795339,
  [SMALL_STATE(18785)] = 795356,
  [SMALL_STATE(18786)] = 795373,
  [SMALL_STATE(18787)] = 795390,
  [SMALL_STATE(18788)] = 795405,
  [SMALL_STATE(18789)] = 795422,
  [SMALL_STATE(18790)] = 795437,
  [SMALL_STATE(18791)] = 795454,
  [SMALL_STATE(18792)] = 795469,
  [SMALL_STATE(18793)] = 795486,
  [SMALL_STATE(18794)] = 795503,
  [SMALL_STATE(18795)] = 795518,
  [SMALL_STATE(18796)] = 795535,
  [SMALL_STATE(18797)] = 795552,
  [SMALL_STATE(18798)] = 795569,
  [SMALL_STATE(18799)] = 795586,
  [SMALL_STATE(18800)] = 795603,
  [SMALL_STATE(18801)] = 795620,
  [SMALL_STATE(18802)] = 795637,
  [SMALL_STATE(18803)] = 795654,
  [SMALL_STATE(18804)] = 795671,
  [SMALL_STATE(18805)] = 795688,
  [SMALL_STATE(18806)] = 795705,
  [SMALL_STATE(18807)] = 795722,
  [SMALL_STATE(18808)] = 795739,
  [SMALL_STATE(18809)] = 795756,
  [SMALL_STATE(18810)] = 795773,
  [SMALL_STATE(18811)] = 795790,
  [SMALL_STATE(18812)] = 795807,
  [SMALL_STATE(18813)] = 795824,
  [SMALL_STATE(18814)] = 795841,
  [SMALL_STATE(18815)] = 795858,
  [SMALL_STATE(18816)] = 795875,
  [SMALL_STATE(18817)] = 795892,
  [SMALL_STATE(18818)] = 795909,
  [SMALL_STATE(18819)] = 795926,
  [SMALL_STATE(18820)] = 795943,
  [SMALL_STATE(18821)] = 795960,
  [SMALL_STATE(18822)] = 795977,
  [SMALL_STATE(18823)] = 795994,
  [SMALL_STATE(18824)] = 796011,
  [SMALL_STATE(18825)] = 796028,
  [SMALL_STATE(18826)] = 796045,
  [SMALL_STATE(18827)] = 796062,
  [SMALL_STATE(18828)] = 796079,
  [SMALL_STATE(18829)] = 796096,
  [SMALL_STATE(18830)] = 796113,
  [SMALL_STATE(18831)] = 796130,
  [SMALL_STATE(18832)] = 796147,
  [SMALL_STATE(18833)] = 796164,
  [SMALL_STATE(18834)] = 796181,
  [SMALL_STATE(18835)] = 796198,
  [SMALL_STATE(18836)] = 796215,
  [SMALL_STATE(18837)] = 796232,
  [SMALL_STATE(18838)] = 796247,
  [SMALL_STATE(18839)] = 796264,
  [SMALL_STATE(18840)] = 796281,
  [SMALL_STATE(18841)] = 796298,
  [SMALL_STATE(18842)] = 796315,
  [SMALL_STATE(18843)] = 796332,
  [SMALL_STATE(18844)] = 796349,
  [SMALL_STATE(18845)] = 796366,
  [SMALL_STATE(18846)] = 796383,
  [SMALL_STATE(18847)] = 796400,
  [SMALL_STATE(18848)] = 796417,
  [SMALL_STATE(18849)] = 796434,
  [SMALL_STATE(18850)] = 796451,
  [SMALL_STATE(18851)] = 796468,
  [SMALL_STATE(18852)] = 796485,
  [SMALL_STATE(18853)] = 796502,
  [SMALL_STATE(18854)] = 796519,
  [SMALL_STATE(18855)] = 796536,
  [SMALL_STATE(18856)] = 796553,
  [SMALL_STATE(18857)] = 796570,
  [SMALL_STATE(18858)] = 796587,
  [SMALL_STATE(18859)] = 796604,
  [SMALL_STATE(18860)] = 796621,
  [SMALL_STATE(18861)] = 796638,
  [SMALL_STATE(18862)] = 796655,
  [SMALL_STATE(18863)] = 796672,
  [SMALL_STATE(18864)] = 796689,
  [SMALL_STATE(18865)] = 796706,
  [SMALL_STATE(18866)] = 796723,
  [SMALL_STATE(18867)] = 796740,
  [SMALL_STATE(18868)] = 796757,
  [SMALL_STATE(18869)] = 796774,
  [SMALL_STATE(18870)] = 796791,
  [SMALL_STATE(18871)] = 796806,
  [SMALL_STATE(18872)] = 796823,
  [SMALL_STATE(18873)] = 796838,
  [SMALL_STATE(18874)] = 796855,
  [SMALL_STATE(18875)] = 796872,
  [SMALL_STATE(18876)] = 796889,
  [SMALL_STATE(18877)] = 796906,
  [SMALL_STATE(18878)] = 796923,
  [SMALL_STATE(18879)] = 796940,
  [SMALL_STATE(18880)] = 796957,
  [SMALL_STATE(18881)] = 796974,
  [SMALL_STATE(18882)] = 796991,
  [SMALL_STATE(18883)] = 797008,
  [SMALL_STATE(18884)] = 797025,
  [SMALL_STATE(18885)] = 797042,
  [SMALL_STATE(18886)] = 797059,
  [SMALL_STATE(18887)] = 797076,
  [SMALL_STATE(18888)] = 797091,
  [SMALL_STATE(18889)] = 797108,
  [SMALL_STATE(18890)] = 797125,
  [SMALL_STATE(18891)] = 797140,
  [SMALL_STATE(18892)] = 797155,
  [SMALL_STATE(18893)] = 797170,
  [SMALL_STATE(18894)] = 797187,
  [SMALL_STATE(18895)] = 797204,
  [SMALL_STATE(18896)] = 797221,
  [SMALL_STATE(18897)] = 797238,
  [SMALL_STATE(18898)] = 797255,
  [SMALL_STATE(18899)] = 797272,
  [SMALL_STATE(18900)] = 797289,
  [SMALL_STATE(18901)] = 797306,
  [SMALL_STATE(18902)] = 797323,
  [SMALL_STATE(18903)] = 797340,
  [SMALL_STATE(18904)] = 797357,
  [SMALL_STATE(18905)] = 797374,
  [SMALL_STATE(18906)] = 797391,
  [SMALL_STATE(18907)] = 797408,
  [SMALL_STATE(18908)] = 797425,
  [SMALL_STATE(18909)] = 797442,
  [SMALL_STATE(18910)] = 797459,
  [SMALL_STATE(18911)] = 797476,
  [SMALL_STATE(18912)] = 797493,
  [SMALL_STATE(18913)] = 797510,
  [SMALL_STATE(18914)] = 797527,
  [SMALL_STATE(18915)] = 797544,
  [SMALL_STATE(18916)] = 797561,
  [SMALL_STATE(18917)] = 797578,
  [SMALL_STATE(18918)] = 797595,
  [SMALL_STATE(18919)] = 797612,
  [SMALL_STATE(18920)] = 797629,
  [SMALL_STATE(18921)] = 797646,
  [SMALL_STATE(18922)] = 797663,
  [SMALL_STATE(18923)] = 797680,
  [SMALL_STATE(18924)] = 797697,
  [SMALL_STATE(18925)] = 797714,
  [SMALL_STATE(18926)] = 797731,
  [SMALL_STATE(18927)] = 797748,
  [SMALL_STATE(18928)] = 797763,
  [SMALL_STATE(18929)] = 797780,
  [SMALL_STATE(18930)] = 797797,
  [SMALL_STATE(18931)] = 797814,
  [SMALL_STATE(18932)] = 797831,
  [SMALL_STATE(18933)] = 797846,
  [SMALL_STATE(18934)] = 797863,
  [SMALL_STATE(18935)] = 797880,
  [SMALL_STATE(18936)] = 797897,
  [SMALL_STATE(18937)] = 797914,
  [SMALL_STATE(18938)] = 797931,
  [SMALL_STATE(18939)] = 797948,
  [SMALL_STATE(18940)] = 797965,
  [SMALL_STATE(18941)] = 797982,
  [SMALL_STATE(18942)] = 797997,
  [SMALL_STATE(18943)] = 798014,
  [SMALL_STATE(18944)] = 798031,
  [SMALL_STATE(18945)] = 798046,
  [SMALL_STATE(18946)] = 798063,
  [SMALL_STATE(18947)] = 798080,
  [SMALL_STATE(18948)] = 798097,
  [SMALL_STATE(18949)] = 798114,
  [SMALL_STATE(18950)] = 798131,
  [SMALL_STATE(18951)] = 798148,
  [SMALL_STATE(18952)] = 798165,
  [SMALL_STATE(18953)] = 798182,
  [SMALL_STATE(18954)] = 798199,
  [SMALL_STATE(18955)] = 798216,
  [SMALL_STATE(18956)] = 798231,
  [SMALL_STATE(18957)] = 798248,
  [SMALL_STATE(18958)] = 798265,
  [SMALL_STATE(18959)] = 798280,
  [SMALL_STATE(18960)] = 798297,
  [SMALL_STATE(18961)] = 798314,
  [SMALL_STATE(18962)] = 798331,
  [SMALL_STATE(18963)] = 798348,
  [SMALL_STATE(18964)] = 798365,
  [SMALL_STATE(18965)] = 798380,
  [SMALL_STATE(18966)] = 798397,
  [SMALL_STATE(18967)] = 798414,
  [SMALL_STATE(18968)] = 798431,
  [SMALL_STATE(18969)] = 798448,
  [SMALL_STATE(18970)] = 798465,
  [SMALL_STATE(18971)] = 798482,
  [SMALL_STATE(18972)] = 798499,
  [SMALL_STATE(18973)] = 798516,
  [SMALL_STATE(18974)] = 798533,
  [SMALL_STATE(18975)] = 798548,
  [SMALL_STATE(18976)] = 798565,
  [SMALL_STATE(18977)] = 798582,
  [SMALL_STATE(18978)] = 798599,
  [SMALL_STATE(18979)] = 798616,
  [SMALL_STATE(18980)] = 798631,
  [SMALL_STATE(18981)] = 798648,
  [SMALL_STATE(18982)] = 798665,
  [SMALL_STATE(18983)] = 798680,
  [SMALL_STATE(18984)] = 798697,
  [SMALL_STATE(18985)] = 798714,
  [SMALL_STATE(18986)] = 798729,
  [SMALL_STATE(18987)] = 798746,
  [SMALL_STATE(18988)] = 798763,
  [SMALL_STATE(18989)] = 798780,
  [SMALL_STATE(18990)] = 798797,
  [SMALL_STATE(18991)] = 798814,
  [SMALL_STATE(18992)] = 798831,
  [SMALL_STATE(18993)] = 798848,
  [SMALL_STATE(18994)] = 798865,
  [SMALL_STATE(18995)] = 798882,
  [SMALL_STATE(18996)] = 798899,
  [SMALL_STATE(18997)] = 798916,
  [SMALL_STATE(18998)] = 798933,
  [SMALL_STATE(18999)] = 798950,
  [SMALL_STATE(19000)] = 798967,
  [SMALL_STATE(19001)] = 798984,
  [SMALL_STATE(19002)] = 799001,
  [SMALL_STATE(19003)] = 799018,
  [SMALL_STATE(19004)] = 799035,
  [SMALL_STATE(19005)] = 799052,
  [SMALL_STATE(19006)] = 799069,
  [SMALL_STATE(19007)] = 799086,
  [SMALL_STATE(19008)] = 799103,
  [SMALL_STATE(19009)] = 799120,
  [SMALL_STATE(19010)] = 799137,
  [SMALL_STATE(19011)] = 799154,
  [SMALL_STATE(19012)] = 799171,
  [SMALL_STATE(19013)] = 799188,
  [SMALL_STATE(19014)] = 799205,
  [SMALL_STATE(19015)] = 799222,
  [SMALL_STATE(19016)] = 799239,
  [SMALL_STATE(19017)] = 799256,
  [SMALL_STATE(19018)] = 799273,
  [SMALL_STATE(19019)] = 799290,
  [SMALL_STATE(19020)] = 799307,
  [SMALL_STATE(19021)] = 799324,
  [SMALL_STATE(19022)] = 799341,
  [SMALL_STATE(19023)] = 799358,
  [SMALL_STATE(19024)] = 799373,
  [SMALL_STATE(19025)] = 799390,
  [SMALL_STATE(19026)] = 799407,
  [SMALL_STATE(19027)] = 799424,
  [SMALL_STATE(19028)] = 799441,
  [SMALL_STATE(19029)] = 799458,
  [SMALL_STATE(19030)] = 799475,
  [SMALL_STATE(19031)] = 799490,
  [SMALL_STATE(19032)] = 799507,
  [SMALL_STATE(19033)] = 799524,
  [SMALL_STATE(19034)] = 799541,
  [SMALL_STATE(19035)] = 799556,
  [SMALL_STATE(19036)] = 799573,
  [SMALL_STATE(19037)] = 799590,
  [SMALL_STATE(19038)] = 799607,
  [SMALL_STATE(19039)] = 799622,
  [SMALL_STATE(19040)] = 799639,
  [SMALL_STATE(19041)] = 799656,
  [SMALL_STATE(19042)] = 799673,
  [SMALL_STATE(19043)] = 799688,
  [SMALL_STATE(19044)] = 799705,
  [SMALL_STATE(19045)] = 799722,
  [SMALL_STATE(19046)] = 799739,
  [SMALL_STATE(19047)] = 799756,
  [SMALL_STATE(19048)] = 799773,
  [SMALL_STATE(19049)] = 799788,
  [SMALL_STATE(19050)] = 799805,
  [SMALL_STATE(19051)] = 799820,
  [SMALL_STATE(19052)] = 799837,
  [SMALL_STATE(19053)] = 799854,
  [SMALL_STATE(19054)] = 799871,
  [SMALL_STATE(19055)] = 799888,
  [SMALL_STATE(19056)] = 799905,
  [SMALL_STATE(19057)] = 799922,
  [SMALL_STATE(19058)] = 799939,
  [SMALL_STATE(19059)] = 799956,
  [SMALL_STATE(19060)] = 799973,
  [SMALL_STATE(19061)] = 799990,
  [SMALL_STATE(19062)] = 800005,
  [SMALL_STATE(19063)] = 800022,
  [SMALL_STATE(19064)] = 800039,
  [SMALL_STATE(19065)] = 800056,
  [SMALL_STATE(19066)] = 800073,
  [SMALL_STATE(19067)] = 800090,
  [SMALL_STATE(19068)] = 800107,
  [SMALL_STATE(19069)] = 800124,
  [SMALL_STATE(19070)] = 800141,
  [SMALL_STATE(19071)] = 800158,
  [SMALL_STATE(19072)] = 800175,
  [SMALL_STATE(19073)] = 800192,
  [SMALL_STATE(19074)] = 800209,
  [SMALL_STATE(19075)] = 800224,
  [SMALL_STATE(19076)] = 800241,
  [SMALL_STATE(19077)] = 800258,
  [SMALL_STATE(19078)] = 800275,
  [SMALL_STATE(19079)] = 800292,
  [SMALL_STATE(19080)] = 800309,
  [SMALL_STATE(19081)] = 800326,
  [SMALL_STATE(19082)] = 800343,
  [SMALL_STATE(19083)] = 800360,
  [SMALL_STATE(19084)] = 800377,
  [SMALL_STATE(19085)] = 800394,
  [SMALL_STATE(19086)] = 800411,
  [SMALL_STATE(19087)] = 800428,
  [SMALL_STATE(19088)] = 800445,
  [SMALL_STATE(19089)] = 800462,
  [SMALL_STATE(19090)] = 800479,
  [SMALL_STATE(19091)] = 800496,
  [SMALL_STATE(19092)] = 800513,
  [SMALL_STATE(19093)] = 800530,
  [SMALL_STATE(19094)] = 800547,
  [SMALL_STATE(19095)] = 800564,
  [SMALL_STATE(19096)] = 800581,
  [SMALL_STATE(19097)] = 800598,
  [SMALL_STATE(19098)] = 800613,
  [SMALL_STATE(19099)] = 800630,
  [SMALL_STATE(19100)] = 800647,
  [SMALL_STATE(19101)] = 800664,
  [SMALL_STATE(19102)] = 800681,
  [SMALL_STATE(19103)] = 800698,
  [SMALL_STATE(19104)] = 800715,
  [SMALL_STATE(19105)] = 800732,
  [SMALL_STATE(19106)] = 800749,
  [SMALL_STATE(19107)] = 800766,
  [SMALL_STATE(19108)] = 800783,
  [SMALL_STATE(19109)] = 800800,
  [SMALL_STATE(19110)] = 800817,
  [SMALL_STATE(19111)] = 800834,
  [SMALL_STATE(19112)] = 800851,
  [SMALL_STATE(19113)] = 800868,
  [SMALL_STATE(19114)] = 800885,
  [SMALL_STATE(19115)] = 800902,
  [SMALL_STATE(19116)] = 800919,
  [SMALL_STATE(19117)] = 800934,
  [SMALL_STATE(19118)] = 800951,
  [SMALL_STATE(19119)] = 800968,
  [SMALL_STATE(19120)] = 800983,
  [SMALL_STATE(19121)] = 801000,
  [SMALL_STATE(19122)] = 801017,
  [SMALL_STATE(19123)] = 801034,
  [SMALL_STATE(19124)] = 801051,
  [SMALL_STATE(19125)] = 801068,
  [SMALL_STATE(19126)] = 801085,
  [SMALL_STATE(19127)] = 801100,
  [SMALL_STATE(19128)] = 801117,
  [SMALL_STATE(19129)] = 801134,
  [SMALL_STATE(19130)] = 801151,
  [SMALL_STATE(19131)] = 801166,
  [SMALL_STATE(19132)] = 801183,
  [SMALL_STATE(19133)] = 801200,
  [SMALL_STATE(19134)] = 801215,
  [SMALL_STATE(19135)] = 801232,
  [SMALL_STATE(19136)] = 801249,
  [SMALL_STATE(19137)] = 801266,
  [SMALL_STATE(19138)] = 801281,
  [SMALL_STATE(19139)] = 801298,
  [SMALL_STATE(19140)] = 801315,
  [SMALL_STATE(19141)] = 801332,
  [SMALL_STATE(19142)] = 801349,
  [SMALL_STATE(19143)] = 801366,
  [SMALL_STATE(19144)] = 801383,
  [SMALL_STATE(19145)] = 801400,
  [SMALL_STATE(19146)] = 801417,
  [SMALL_STATE(19147)] = 801434,
  [SMALL_STATE(19148)] = 801449,
  [SMALL_STATE(19149)] = 801466,
  [SMALL_STATE(19150)] = 801483,
  [SMALL_STATE(19151)] = 801500,
  [SMALL_STATE(19152)] = 801515,
  [SMALL_STATE(19153)] = 801532,
  [SMALL_STATE(19154)] = 801549,
  [SMALL_STATE(19155)] = 801566,
  [SMALL_STATE(19156)] = 801583,
  [SMALL_STATE(19157)] = 801600,
  [SMALL_STATE(19158)] = 801617,
  [SMALL_STATE(19159)] = 801634,
  [SMALL_STATE(19160)] = 801651,
  [SMALL_STATE(19161)] = 801668,
  [SMALL_STATE(19162)] = 801685,
  [SMALL_STATE(19163)] = 801702,
  [SMALL_STATE(19164)] = 801717,
  [SMALL_STATE(19165)] = 801734,
  [SMALL_STATE(19166)] = 801751,
  [SMALL_STATE(19167)] = 801766,
  [SMALL_STATE(19168)] = 801783,
  [SMALL_STATE(19169)] = 801800,
  [SMALL_STATE(19170)] = 801815,
  [SMALL_STATE(19171)] = 801832,
  [SMALL_STATE(19172)] = 801849,
  [SMALL_STATE(19173)] = 801866,
  [SMALL_STATE(19174)] = 801883,
  [SMALL_STATE(19175)] = 801900,
  [SMALL_STATE(19176)] = 801917,
  [SMALL_STATE(19177)] = 801932,
  [SMALL_STATE(19178)] = 801949,
  [SMALL_STATE(19179)] = 801966,
  [SMALL_STATE(19180)] = 801981,
  [SMALL_STATE(19181)] = 801998,
  [SMALL_STATE(19182)] = 802015,
  [SMALL_STATE(19183)] = 802032,
  [SMALL_STATE(19184)] = 802049,
  [SMALL_STATE(19185)] = 802066,
  [SMALL_STATE(19186)] = 802083,
  [SMALL_STATE(19187)] = 802100,
  [SMALL_STATE(19188)] = 802117,
  [SMALL_STATE(19189)] = 802134,
  [SMALL_STATE(19190)] = 802151,
  [SMALL_STATE(19191)] = 802168,
  [SMALL_STATE(19192)] = 802183,
  [SMALL_STATE(19193)] = 802200,
  [SMALL_STATE(19194)] = 802217,
  [SMALL_STATE(19195)] = 802234,
  [SMALL_STATE(19196)] = 802251,
  [SMALL_STATE(19197)] = 802268,
  [SMALL_STATE(19198)] = 802283,
  [SMALL_STATE(19199)] = 802300,
  [SMALL_STATE(19200)] = 802317,
  [SMALL_STATE(19201)] = 802334,
  [SMALL_STATE(19202)] = 802351,
  [SMALL_STATE(19203)] = 802368,
  [SMALL_STATE(19204)] = 802385,
  [SMALL_STATE(19205)] = 802402,
  [SMALL_STATE(19206)] = 802419,
  [SMALL_STATE(19207)] = 802436,
  [SMALL_STATE(19208)] = 802453,
  [SMALL_STATE(19209)] = 802470,
  [SMALL_STATE(19210)] = 802485,
  [SMALL_STATE(19211)] = 802502,
  [SMALL_STATE(19212)] = 802519,
  [SMALL_STATE(19213)] = 802536,
  [SMALL_STATE(19214)] = 802553,
  [SMALL_STATE(19215)] = 802570,
  [SMALL_STATE(19216)] = 802587,
  [SMALL_STATE(19217)] = 802604,
  [SMALL_STATE(19218)] = 802619,
  [SMALL_STATE(19219)] = 802636,
  [SMALL_STATE(19220)] = 802653,
  [SMALL_STATE(19221)] = 802670,
  [SMALL_STATE(19222)] = 802687,
  [SMALL_STATE(19223)] = 802702,
  [SMALL_STATE(19224)] = 802719,
  [SMALL_STATE(19225)] = 802736,
  [SMALL_STATE(19226)] = 802753,
  [SMALL_STATE(19227)] = 802770,
  [SMALL_STATE(19228)] = 802787,
  [SMALL_STATE(19229)] = 802804,
  [SMALL_STATE(19230)] = 802821,
  [SMALL_STATE(19231)] = 802838,
  [SMALL_STATE(19232)] = 802855,
  [SMALL_STATE(19233)] = 802872,
  [SMALL_STATE(19234)] = 802889,
  [SMALL_STATE(19235)] = 802904,
  [SMALL_STATE(19236)] = 802921,
  [SMALL_STATE(19237)] = 802936,
  [SMALL_STATE(19238)] = 802953,
  [SMALL_STATE(19239)] = 802970,
  [SMALL_STATE(19240)] = 802987,
  [SMALL_STATE(19241)] = 803004,
  [SMALL_STATE(19242)] = 803021,
  [SMALL_STATE(19243)] = 803038,
  [SMALL_STATE(19244)] = 803055,
  [SMALL_STATE(19245)] = 803072,
  [SMALL_STATE(19246)] = 803089,
  [SMALL_STATE(19247)] = 803106,
  [SMALL_STATE(19248)] = 803123,
  [SMALL_STATE(19249)] = 803140,
  [SMALL_STATE(19250)] = 803155,
  [SMALL_STATE(19251)] = 803172,
  [SMALL_STATE(19252)] = 803189,
  [SMALL_STATE(19253)] = 803206,
  [SMALL_STATE(19254)] = 803221,
  [SMALL_STATE(19255)] = 803238,
  [SMALL_STATE(19256)] = 803255,
  [SMALL_STATE(19257)] = 803272,
  [SMALL_STATE(19258)] = 803289,
  [SMALL_STATE(19259)] = 803306,
  [SMALL_STATE(19260)] = 803323,
  [SMALL_STATE(19261)] = 803338,
  [SMALL_STATE(19262)] = 803353,
  [SMALL_STATE(19263)] = 803370,
  [SMALL_STATE(19264)] = 803387,
  [SMALL_STATE(19265)] = 803404,
  [SMALL_STATE(19266)] = 803421,
  [SMALL_STATE(19267)] = 803438,
  [SMALL_STATE(19268)] = 803455,
  [SMALL_STATE(19269)] = 803472,
  [SMALL_STATE(19270)] = 803487,
  [SMALL_STATE(19271)] = 803504,
  [SMALL_STATE(19272)] = 803521,
  [SMALL_STATE(19273)] = 803538,
  [SMALL_STATE(19274)] = 803555,
  [SMALL_STATE(19275)] = 803570,
  [SMALL_STATE(19276)] = 803587,
  [SMALL_STATE(19277)] = 803604,
  [SMALL_STATE(19278)] = 803621,
  [SMALL_STATE(19279)] = 803638,
  [SMALL_STATE(19280)] = 803655,
  [SMALL_STATE(19281)] = 803670,
  [SMALL_STATE(19282)] = 803687,
  [SMALL_STATE(19283)] = 803704,
  [SMALL_STATE(19284)] = 803721,
  [SMALL_STATE(19285)] = 803738,
  [SMALL_STATE(19286)] = 803755,
  [SMALL_STATE(19287)] = 803772,
  [SMALL_STATE(19288)] = 803789,
  [SMALL_STATE(19289)] = 803806,
  [SMALL_STATE(19290)] = 803821,
  [SMALL_STATE(19291)] = 803838,
  [SMALL_STATE(19292)] = 803855,
  [SMALL_STATE(19293)] = 803872,
  [SMALL_STATE(19294)] = 803889,
  [SMALL_STATE(19295)] = 803906,
  [SMALL_STATE(19296)] = 803923,
  [SMALL_STATE(19297)] = 803940,
  [SMALL_STATE(19298)] = 803955,
  [SMALL_STATE(19299)] = 803972,
  [SMALL_STATE(19300)] = 803989,
  [SMALL_STATE(19301)] = 804006,
  [SMALL_STATE(19302)] = 804020,
  [SMALL_STATE(19303)] = 804034,
  [SMALL_STATE(19304)] = 804048,
  [SMALL_STATE(19305)] = 804062,
  [SMALL_STATE(19306)] = 804076,
  [SMALL_STATE(19307)] = 804090,
  [SMALL_STATE(19308)] = 804104,
  [SMALL_STATE(19309)] = 804118,
  [SMALL_STATE(19310)] = 804132,
  [SMALL_STATE(19311)] = 804146,
  [SMALL_STATE(19312)] = 804160,
  [SMALL_STATE(19313)] = 804174,
  [SMALL_STATE(19314)] = 804188,
  [SMALL_STATE(19315)] = 804202,
  [SMALL_STATE(19316)] = 804216,
  [SMALL_STATE(19317)] = 804230,
  [SMALL_STATE(19318)] = 804244,
  [SMALL_STATE(19319)] = 804258,
  [SMALL_STATE(19320)] = 804272,
  [SMALL_STATE(19321)] = 804286,
  [SMALL_STATE(19322)] = 804300,
  [SMALL_STATE(19323)] = 804314,
  [SMALL_STATE(19324)] = 804328,
  [SMALL_STATE(19325)] = 804342,
  [SMALL_STATE(19326)] = 804356,
  [SMALL_STATE(19327)] = 804370,
  [SMALL_STATE(19328)] = 804384,
  [SMALL_STATE(19329)] = 804398,
  [SMALL_STATE(19330)] = 804412,
  [SMALL_STATE(19331)] = 804426,
  [SMALL_STATE(19332)] = 804440,
  [SMALL_STATE(19333)] = 804454,
  [SMALL_STATE(19334)] = 804468,
  [SMALL_STATE(19335)] = 804482,
  [SMALL_STATE(19336)] = 804496,
  [SMALL_STATE(19337)] = 804510,
  [SMALL_STATE(19338)] = 804524,
  [SMALL_STATE(19339)] = 804538,
  [SMALL_STATE(19340)] = 804552,
  [SMALL_STATE(19341)] = 804566,
  [SMALL_STATE(19342)] = 804580,
  [SMALL_STATE(19343)] = 804594,
  [SMALL_STATE(19344)] = 804608,
  [SMALL_STATE(19345)] = 804622,
  [SMALL_STATE(19346)] = 804636,
  [SMALL_STATE(19347)] = 804650,
  [SMALL_STATE(19348)] = 804664,
  [SMALL_STATE(19349)] = 804678,
  [SMALL_STATE(19350)] = 804692,
  [SMALL_STATE(19351)] = 804706,
  [SMALL_STATE(19352)] = 804720,
  [SMALL_STATE(19353)] = 804734,
  [SMALL_STATE(19354)] = 804748,
  [SMALL_STATE(19355)] = 804762,
  [SMALL_STATE(19356)] = 804776,
  [SMALL_STATE(19357)] = 804790,
  [SMALL_STATE(19358)] = 804804,
  [SMALL_STATE(19359)] = 804818,
  [SMALL_STATE(19360)] = 804832,
  [SMALL_STATE(19361)] = 804846,
  [SMALL_STATE(19362)] = 804860,
  [SMALL_STATE(19363)] = 804874,
  [SMALL_STATE(19364)] = 804888,
  [SMALL_STATE(19365)] = 804902,
  [SMALL_STATE(19366)] = 804916,
  [SMALL_STATE(19367)] = 804930,
  [SMALL_STATE(19368)] = 804944,
  [SMALL_STATE(19369)] = 804958,
  [SMALL_STATE(19370)] = 804972,
  [SMALL_STATE(19371)] = 804986,
  [SMALL_STATE(19372)] = 805000,
  [SMALL_STATE(19373)] = 805014,
  [SMALL_STATE(19374)] = 805028,
  [SMALL_STATE(19375)] = 805042,
  [SMALL_STATE(19376)] = 805056,
  [SMALL_STATE(19377)] = 805070,
  [SMALL_STATE(19378)] = 805084,
  [SMALL_STATE(19379)] = 805098,
  [SMALL_STATE(19380)] = 805112,
  [SMALL_STATE(19381)] = 805126,
  [SMALL_STATE(19382)] = 805140,
  [SMALL_STATE(19383)] = 805154,
  [SMALL_STATE(19384)] = 805168,
  [SMALL_STATE(19385)] = 805182,
  [SMALL_STATE(19386)] = 805196,
  [SMALL_STATE(19387)] = 805210,
  [SMALL_STATE(19388)] = 805224,
  [SMALL_STATE(19389)] = 805238,
  [SMALL_STATE(19390)] = 805252,
  [SMALL_STATE(19391)] = 805266,
  [SMALL_STATE(19392)] = 805280,
  [SMALL_STATE(19393)] = 805294,
  [SMALL_STATE(19394)] = 805308,
  [SMALL_STATE(19395)] = 805322,
  [SMALL_STATE(19396)] = 805336,
  [SMALL_STATE(19397)] = 805350,
  [SMALL_STATE(19398)] = 805364,
  [SMALL_STATE(19399)] = 805378,
  [SMALL_STATE(19400)] = 805392,
  [SMALL_STATE(19401)] = 805406,
  [SMALL_STATE(19402)] = 805420,
  [SMALL_STATE(19403)] = 805434,
  [SMALL_STATE(19404)] = 805448,
  [SMALL_STATE(19405)] = 805462,
  [SMALL_STATE(19406)] = 805476,
  [SMALL_STATE(19407)] = 805490,
  [SMALL_STATE(19408)] = 805504,
  [SMALL_STATE(19409)] = 805518,
  [SMALL_STATE(19410)] = 805532,
  [SMALL_STATE(19411)] = 805546,
  [SMALL_STATE(19412)] = 805560,
  [SMALL_STATE(19413)] = 805574,
  [SMALL_STATE(19414)] = 805588,
  [SMALL_STATE(19415)] = 805602,
  [SMALL_STATE(19416)] = 805616,
  [SMALL_STATE(19417)] = 805630,
  [SMALL_STATE(19418)] = 805644,
  [SMALL_STATE(19419)] = 805658,
  [SMALL_STATE(19420)] = 805672,
  [SMALL_STATE(19421)] = 805686,
  [SMALL_STATE(19422)] = 805700,
  [SMALL_STATE(19423)] = 805714,
  [SMALL_STATE(19424)] = 805728,
  [SMALL_STATE(19425)] = 805742,
  [SMALL_STATE(19426)] = 805756,
  [SMALL_STATE(19427)] = 805770,
  [SMALL_STATE(19428)] = 805784,
  [SMALL_STATE(19429)] = 805798,
  [SMALL_STATE(19430)] = 805812,
  [SMALL_STATE(19431)] = 805826,
  [SMALL_STATE(19432)] = 805840,
  [SMALL_STATE(19433)] = 805854,
  [SMALL_STATE(19434)] = 805868,
  [SMALL_STATE(19435)] = 805882,
  [SMALL_STATE(19436)] = 805896,
  [SMALL_STATE(19437)] = 805910,
  [SMALL_STATE(19438)] = 805924,
  [SMALL_STATE(19439)] = 805938,
  [SMALL_STATE(19440)] = 805952,
  [SMALL_STATE(19441)] = 805966,
  [SMALL_STATE(19442)] = 805980,
  [SMALL_STATE(19443)] = 805994,
  [SMALL_STATE(19444)] = 806008,
  [SMALL_STATE(19445)] = 806022,
  [SMALL_STATE(19446)] = 806036,
  [SMALL_STATE(19447)] = 806050,
  [SMALL_STATE(19448)] = 806064,
  [SMALL_STATE(19449)] = 806078,
  [SMALL_STATE(19450)] = 806092,
  [SMALL_STATE(19451)] = 806106,
  [SMALL_STATE(19452)] = 806120,
  [SMALL_STATE(19453)] = 806134,
  [SMALL_STATE(19454)] = 806148,
  [SMALL_STATE(19455)] = 806162,
  [SMALL_STATE(19456)] = 806176,
  [SMALL_STATE(19457)] = 806190,
  [SMALL_STATE(19458)] = 806204,
  [SMALL_STATE(19459)] = 806218,
  [SMALL_STATE(19460)] = 806232,
  [SMALL_STATE(19461)] = 806246,
  [SMALL_STATE(19462)] = 806260,
  [SMALL_STATE(19463)] = 806274,
  [SMALL_STATE(19464)] = 806288,
  [SMALL_STATE(19465)] = 806302,
  [SMALL_STATE(19466)] = 806316,
  [SMALL_STATE(19467)] = 806330,
  [SMALL_STATE(19468)] = 806344,
  [SMALL_STATE(19469)] = 806358,
  [SMALL_STATE(19470)] = 806372,
  [SMALL_STATE(19471)] = 806386,
  [SMALL_STATE(19472)] = 806400,
  [SMALL_STATE(19473)] = 806414,
  [SMALL_STATE(19474)] = 806428,
  [SMALL_STATE(19475)] = 806442,
  [SMALL_STATE(19476)] = 806456,
  [SMALL_STATE(19477)] = 806470,
  [SMALL_STATE(19478)] = 806484,
  [SMALL_STATE(19479)] = 806498,
  [SMALL_STATE(19480)] = 806512,
  [SMALL_STATE(19481)] = 806526,
  [SMALL_STATE(19482)] = 806540,
  [SMALL_STATE(19483)] = 806554,
  [SMALL_STATE(19484)] = 806568,
  [SMALL_STATE(19485)] = 806582,
  [SMALL_STATE(19486)] = 806596,
  [SMALL_STATE(19487)] = 806610,
  [SMALL_STATE(19488)] = 806624,
  [SMALL_STATE(19489)] = 806638,
  [SMALL_STATE(19490)] = 806652,
  [SMALL_STATE(19491)] = 806666,
  [SMALL_STATE(19492)] = 806680,
  [SMALL_STATE(19493)] = 806694,
  [SMALL_STATE(19494)] = 806708,
  [SMALL_STATE(19495)] = 806722,
  [SMALL_STATE(19496)] = 806736,
  [SMALL_STATE(19497)] = 806750,
  [SMALL_STATE(19498)] = 806764,
  [SMALL_STATE(19499)] = 806778,
  [SMALL_STATE(19500)] = 806792,
  [SMALL_STATE(19501)] = 806806,
  [SMALL_STATE(19502)] = 806820,
  [SMALL_STATE(19503)] = 806834,
  [SMALL_STATE(19504)] = 806848,
  [SMALL_STATE(19505)] = 806862,
  [SMALL_STATE(19506)] = 806876,
  [SMALL_STATE(19507)] = 806890,
  [SMALL_STATE(19508)] = 806904,
  [SMALL_STATE(19509)] = 806918,
  [SMALL_STATE(19510)] = 806932,
  [SMALL_STATE(19511)] = 806946,
  [SMALL_STATE(19512)] = 806960,
  [SMALL_STATE(19513)] = 806974,
  [SMALL_STATE(19514)] = 806988,
  [SMALL_STATE(19515)] = 807002,
  [SMALL_STATE(19516)] = 807016,
  [SMALL_STATE(19517)] = 807030,
  [SMALL_STATE(19518)] = 807044,
  [SMALL_STATE(19519)] = 807058,
  [SMALL_STATE(19520)] = 807072,
  [SMALL_STATE(19521)] = 807086,
  [SMALL_STATE(19522)] = 807100,
  [SMALL_STATE(19523)] = 807114,
  [SMALL_STATE(19524)] = 807128,
  [SMALL_STATE(19525)] = 807142,
  [SMALL_STATE(19526)] = 807156,
  [SMALL_STATE(19527)] = 807170,
  [SMALL_STATE(19528)] = 807184,
  [SMALL_STATE(19529)] = 807198,
  [SMALL_STATE(19530)] = 807212,
  [SMALL_STATE(19531)] = 807226,
  [SMALL_STATE(19532)] = 807240,
  [SMALL_STATE(19533)] = 807254,
  [SMALL_STATE(19534)] = 807268,
  [SMALL_STATE(19535)] = 807282,
  [SMALL_STATE(19536)] = 807296,
  [SMALL_STATE(19537)] = 807310,
  [SMALL_STATE(19538)] = 807324,
  [SMALL_STATE(19539)] = 807338,
  [SMALL_STATE(19540)] = 807352,
  [SMALL_STATE(19541)] = 807366,
  [SMALL_STATE(19542)] = 807380,
  [SMALL_STATE(19543)] = 807394,
  [SMALL_STATE(19544)] = 807408,
  [SMALL_STATE(19545)] = 807422,
  [SMALL_STATE(19546)] = 807436,
  [SMALL_STATE(19547)] = 807450,
  [SMALL_STATE(19548)] = 807464,
  [SMALL_STATE(19549)] = 807478,
  [SMALL_STATE(19550)] = 807492,
  [SMALL_STATE(19551)] = 807506,
  [SMALL_STATE(19552)] = 807520,
  [SMALL_STATE(19553)] = 807534,
  [SMALL_STATE(19554)] = 807548,
  [SMALL_STATE(19555)] = 807562,
  [SMALL_STATE(19556)] = 807576,
  [SMALL_STATE(19557)] = 807590,
  [SMALL_STATE(19558)] = 807604,
  [SMALL_STATE(19559)] = 807618,
  [SMALL_STATE(19560)] = 807632,
  [SMALL_STATE(19561)] = 807646,
  [SMALL_STATE(19562)] = 807660,
  [SMALL_STATE(19563)] = 807674,
  [SMALL_STATE(19564)] = 807688,
  [SMALL_STATE(19565)] = 807702,
  [SMALL_STATE(19566)] = 807716,
  [SMALL_STATE(19567)] = 807730,
  [SMALL_STATE(19568)] = 807744,
  [SMALL_STATE(19569)] = 807758,
  [SMALL_STATE(19570)] = 807772,
  [SMALL_STATE(19571)] = 807786,
  [SMALL_STATE(19572)] = 807800,
  [SMALL_STATE(19573)] = 807814,
  [SMALL_STATE(19574)] = 807828,
  [SMALL_STATE(19575)] = 807842,
  [SMALL_STATE(19576)] = 807856,
  [SMALL_STATE(19577)] = 807870,
  [SMALL_STATE(19578)] = 807884,
  [SMALL_STATE(19579)] = 807898,
  [SMALL_STATE(19580)] = 807912,
  [SMALL_STATE(19581)] = 807926,
  [SMALL_STATE(19582)] = 807940,
  [SMALL_STATE(19583)] = 807954,
  [SMALL_STATE(19584)] = 807968,
  [SMALL_STATE(19585)] = 807982,
  [SMALL_STATE(19586)] = 807996,
  [SMALL_STATE(19587)] = 808010,
  [SMALL_STATE(19588)] = 808024,
  [SMALL_STATE(19589)] = 808038,
  [SMALL_STATE(19590)] = 808052,
  [SMALL_STATE(19591)] = 808066,
  [SMALL_STATE(19592)] = 808080,
  [SMALL_STATE(19593)] = 808094,
  [SMALL_STATE(19594)] = 808108,
  [SMALL_STATE(19595)] = 808122,
  [SMALL_STATE(19596)] = 808136,
  [SMALL_STATE(19597)] = 808150,
  [SMALL_STATE(19598)] = 808164,
  [SMALL_STATE(19599)] = 808178,
  [SMALL_STATE(19600)] = 808192,
  [SMALL_STATE(19601)] = 808206,
  [SMALL_STATE(19602)] = 808220,
  [SMALL_STATE(19603)] = 808234,
  [SMALL_STATE(19604)] = 808248,
  [SMALL_STATE(19605)] = 808262,
  [SMALL_STATE(19606)] = 808276,
  [SMALL_STATE(19607)] = 808290,
  [SMALL_STATE(19608)] = 808304,
  [SMALL_STATE(19609)] = 808318,
  [SMALL_STATE(19610)] = 808332,
  [SMALL_STATE(19611)] = 808346,
  [SMALL_STATE(19612)] = 808360,
  [SMALL_STATE(19613)] = 808374,
  [SMALL_STATE(19614)] = 808388,
  [SMALL_STATE(19615)] = 808402,
  [SMALL_STATE(19616)] = 808416,
  [SMALL_STATE(19617)] = 808430,
  [SMALL_STATE(19618)] = 808444,
  [SMALL_STATE(19619)] = 808458,
  [SMALL_STATE(19620)] = 808472,
  [SMALL_STATE(19621)] = 808486,
  [SMALL_STATE(19622)] = 808500,
  [SMALL_STATE(19623)] = 808514,
  [SMALL_STATE(19624)] = 808528,
  [SMALL_STATE(19625)] = 808542,
  [SMALL_STATE(19626)] = 808556,
  [SMALL_STATE(19627)] = 808570,
  [SMALL_STATE(19628)] = 808584,
  [SMALL_STATE(19629)] = 808598,
  [SMALL_STATE(19630)] = 808612,
  [SMALL_STATE(19631)] = 808626,
  [SMALL_STATE(19632)] = 808640,
  [SMALL_STATE(19633)] = 808654,
  [SMALL_STATE(19634)] = 808668,
  [SMALL_STATE(19635)] = 808682,
  [SMALL_STATE(19636)] = 808696,
  [SMALL_STATE(19637)] = 808710,
  [SMALL_STATE(19638)] = 808724,
  [SMALL_STATE(19639)] = 808738,
  [SMALL_STATE(19640)] = 808752,
  [SMALL_STATE(19641)] = 808766,
  [SMALL_STATE(19642)] = 808780,
  [SMALL_STATE(19643)] = 808794,
  [SMALL_STATE(19644)] = 808808,
  [SMALL_STATE(19645)] = 808822,
  [SMALL_STATE(19646)] = 808836,
  [SMALL_STATE(19647)] = 808850,
  [SMALL_STATE(19648)] = 808864,
  [SMALL_STATE(19649)] = 808878,
  [SMALL_STATE(19650)] = 808892,
  [SMALL_STATE(19651)] = 808906,
  [SMALL_STATE(19652)] = 808920,
  [SMALL_STATE(19653)] = 808934,
  [SMALL_STATE(19654)] = 808948,
  [SMALL_STATE(19655)] = 808962,
  [SMALL_STATE(19656)] = 808976,
  [SMALL_STATE(19657)] = 808990,
  [SMALL_STATE(19658)] = 809004,
  [SMALL_STATE(19659)] = 809018,
  [SMALL_STATE(19660)] = 809032,
  [SMALL_STATE(19661)] = 809046,
  [SMALL_STATE(19662)] = 809060,
  [SMALL_STATE(19663)] = 809074,
  [SMALL_STATE(19664)] = 809088,
  [SMALL_STATE(19665)] = 809102,
  [SMALL_STATE(19666)] = 809116,
  [SMALL_STATE(19667)] = 809130,
  [SMALL_STATE(19668)] = 809144,
  [SMALL_STATE(19669)] = 809158,
  [SMALL_STATE(19670)] = 809172,
  [SMALL_STATE(19671)] = 809186,
  [SMALL_STATE(19672)] = 809200,
  [SMALL_STATE(19673)] = 809214,
  [SMALL_STATE(19674)] = 809228,
  [SMALL_STATE(19675)] = 809242,
  [SMALL_STATE(19676)] = 809256,
  [SMALL_STATE(19677)] = 809270,
  [SMALL_STATE(19678)] = 809284,
  [SMALL_STATE(19679)] = 809298,
  [SMALL_STATE(19680)] = 809312,
  [SMALL_STATE(19681)] = 809326,
  [SMALL_STATE(19682)] = 809340,
  [SMALL_STATE(19683)] = 809354,
  [SMALL_STATE(19684)] = 809368,
  [SMALL_STATE(19685)] = 809382,
  [SMALL_STATE(19686)] = 809396,
  [SMALL_STATE(19687)] = 809410,
  [SMALL_STATE(19688)] = 809424,
  [SMALL_STATE(19689)] = 809438,
  [SMALL_STATE(19690)] = 809452,
  [SMALL_STATE(19691)] = 809466,
  [SMALL_STATE(19692)] = 809480,
  [SMALL_STATE(19693)] = 809494,
  [SMALL_STATE(19694)] = 809508,
  [SMALL_STATE(19695)] = 809522,
  [SMALL_STATE(19696)] = 809536,
  [SMALL_STATE(19697)] = 809550,
  [SMALL_STATE(19698)] = 809564,
  [SMALL_STATE(19699)] = 809578,
  [SMALL_STATE(19700)] = 809592,
  [SMALL_STATE(19701)] = 809606,
  [SMALL_STATE(19702)] = 809620,
  [SMALL_STATE(19703)] = 809634,
  [SMALL_STATE(19704)] = 809648,
  [SMALL_STATE(19705)] = 809662,
  [SMALL_STATE(19706)] = 809676,
  [SMALL_STATE(19707)] = 809690,
  [SMALL_STATE(19708)] = 809704,
  [SMALL_STATE(19709)] = 809718,
  [SMALL_STATE(19710)] = 809732,
  [SMALL_STATE(19711)] = 809746,
  [SMALL_STATE(19712)] = 809760,
  [SMALL_STATE(19713)] = 809774,
  [SMALL_STATE(19714)] = 809788,
  [SMALL_STATE(19715)] = 809802,
  [SMALL_STATE(19716)] = 809816,
  [SMALL_STATE(19717)] = 809830,
  [SMALL_STATE(19718)] = 809844,
  [SMALL_STATE(19719)] = 809858,
  [SMALL_STATE(19720)] = 809872,
  [SMALL_STATE(19721)] = 809886,
  [SMALL_STATE(19722)] = 809900,
  [SMALL_STATE(19723)] = 809914,
  [SMALL_STATE(19724)] = 809928,
  [SMALL_STATE(19725)] = 809942,
  [SMALL_STATE(19726)] = 809956,
  [SMALL_STATE(19727)] = 809970,
  [SMALL_STATE(19728)] = 809984,
  [SMALL_STATE(19729)] = 809998,
  [SMALL_STATE(19730)] = 810012,
  [SMALL_STATE(19731)] = 810026,
  [SMALL_STATE(19732)] = 810040,
  [SMALL_STATE(19733)] = 810054,
  [SMALL_STATE(19734)] = 810068,
  [SMALL_STATE(19735)] = 810082,
  [SMALL_STATE(19736)] = 810096,
  [SMALL_STATE(19737)] = 810110,
  [SMALL_STATE(19738)] = 810124,
  [SMALL_STATE(19739)] = 810138,
  [SMALL_STATE(19740)] = 810152,
  [SMALL_STATE(19741)] = 810166,
  [SMALL_STATE(19742)] = 810180,
  [SMALL_STATE(19743)] = 810194,
  [SMALL_STATE(19744)] = 810208,
  [SMALL_STATE(19745)] = 810222,
  [SMALL_STATE(19746)] = 810236,
  [SMALL_STATE(19747)] = 810250,
  [SMALL_STATE(19748)] = 810264,
  [SMALL_STATE(19749)] = 810278,
  [SMALL_STATE(19750)] = 810292,
  [SMALL_STATE(19751)] = 810306,
  [SMALL_STATE(19752)] = 810320,
  [SMALL_STATE(19753)] = 810334,
  [SMALL_STATE(19754)] = 810348,
  [SMALL_STATE(19755)] = 810362,
  [SMALL_STATE(19756)] = 810376,
  [SMALL_STATE(19757)] = 810390,
  [SMALL_STATE(19758)] = 810404,
  [SMALL_STATE(19759)] = 810418,
  [SMALL_STATE(19760)] = 810432,
  [SMALL_STATE(19761)] = 810446,
  [SMALL_STATE(19762)] = 810460,
  [SMALL_STATE(19763)] = 810474,
  [SMALL_STATE(19764)] = 810488,
  [SMALL_STATE(19765)] = 810502,
  [SMALL_STATE(19766)] = 810516,
  [SMALL_STATE(19767)] = 810530,
  [SMALL_STATE(19768)] = 810544,
  [SMALL_STATE(19769)] = 810558,
  [SMALL_STATE(19770)] = 810572,
  [SMALL_STATE(19771)] = 810586,
  [SMALL_STATE(19772)] = 810600,
  [SMALL_STATE(19773)] = 810614,
  [SMALL_STATE(19774)] = 810628,
  [SMALL_STATE(19775)] = 810642,
  [SMALL_STATE(19776)] = 810656,
  [SMALL_STATE(19777)] = 810670,
  [SMALL_STATE(19778)] = 810684,
  [SMALL_STATE(19779)] = 810698,
  [SMALL_STATE(19780)] = 810712,
  [SMALL_STATE(19781)] = 810726,
  [SMALL_STATE(19782)] = 810740,
  [SMALL_STATE(19783)] = 810754,
  [SMALL_STATE(19784)] = 810768,
  [SMALL_STATE(19785)] = 810782,
  [SMALL_STATE(19786)] = 810796,
  [SMALL_STATE(19787)] = 810810,
  [SMALL_STATE(19788)] = 810824,
  [SMALL_STATE(19789)] = 810838,
  [SMALL_STATE(19790)] = 810852,
  [SMALL_STATE(19791)] = 810866,
  [SMALL_STATE(19792)] = 810880,
  [SMALL_STATE(19793)] = 810894,
  [SMALL_STATE(19794)] = 810908,
  [SMALL_STATE(19795)] = 810922,
  [SMALL_STATE(19796)] = 810936,
  [SMALL_STATE(19797)] = 810950,
  [SMALL_STATE(19798)] = 810964,
  [SMALL_STATE(19799)] = 810978,
  [SMALL_STATE(19800)] = 810992,
  [SMALL_STATE(19801)] = 811006,
  [SMALL_STATE(19802)] = 811020,
  [SMALL_STATE(19803)] = 811034,
  [SMALL_STATE(19804)] = 811048,
  [SMALL_STATE(19805)] = 811062,
  [SMALL_STATE(19806)] = 811076,
  [SMALL_STATE(19807)] = 811090,
  [SMALL_STATE(19808)] = 811104,
  [SMALL_STATE(19809)] = 811118,
  [SMALL_STATE(19810)] = 811132,
  [SMALL_STATE(19811)] = 811146,
  [SMALL_STATE(19812)] = 811160,
  [SMALL_STATE(19813)] = 811174,
  [SMALL_STATE(19814)] = 811188,
  [SMALL_STATE(19815)] = 811202,
  [SMALL_STATE(19816)] = 811216,
  [SMALL_STATE(19817)] = 811230,
  [SMALL_STATE(19818)] = 811244,
  [SMALL_STATE(19819)] = 811258,
  [SMALL_STATE(19820)] = 811272,
  [SMALL_STATE(19821)] = 811286,
  [SMALL_STATE(19822)] = 811300,
  [SMALL_STATE(19823)] = 811314,
  [SMALL_STATE(19824)] = 811328,
  [SMALL_STATE(19825)] = 811342,
  [SMALL_STATE(19826)] = 811356,
  [SMALL_STATE(19827)] = 811370,
  [SMALL_STATE(19828)] = 811384,
  [SMALL_STATE(19829)] = 811398,
  [SMALL_STATE(19830)] = 811412,
  [SMALL_STATE(19831)] = 811426,
  [SMALL_STATE(19832)] = 811440,
  [SMALL_STATE(19833)] = 811454,
  [SMALL_STATE(19834)] = 811468,
  [SMALL_STATE(19835)] = 811482,
  [SMALL_STATE(19836)] = 811496,
  [SMALL_STATE(19837)] = 811510,
  [SMALL_STATE(19838)] = 811524,
  [SMALL_STATE(19839)] = 811538,
  [SMALL_STATE(19840)] = 811552,
  [SMALL_STATE(19841)] = 811566,
  [SMALL_STATE(19842)] = 811580,
  [SMALL_STATE(19843)] = 811594,
  [SMALL_STATE(19844)] = 811608,
  [SMALL_STATE(19845)] = 811622,
  [SMALL_STATE(19846)] = 811636,
  [SMALL_STATE(19847)] = 811650,
  [SMALL_STATE(19848)] = 811664,
  [SMALL_STATE(19849)] = 811678,
  [SMALL_STATE(19850)] = 811692,
  [SMALL_STATE(19851)] = 811706,
  [SMALL_STATE(19852)] = 811720,
  [SMALL_STATE(19853)] = 811734,
  [SMALL_STATE(19854)] = 811748,
  [SMALL_STATE(19855)] = 811762,
  [SMALL_STATE(19856)] = 811776,
  [SMALL_STATE(19857)] = 811790,
  [SMALL_STATE(19858)] = 811804,
  [SMALL_STATE(19859)] = 811818,
  [SMALL_STATE(19860)] = 811832,
  [SMALL_STATE(19861)] = 811846,
  [SMALL_STATE(19862)] = 811860,
  [SMALL_STATE(19863)] = 811874,
  [SMALL_STATE(19864)] = 811888,
  [SMALL_STATE(19865)] = 811902,
  [SMALL_STATE(19866)] = 811916,
  [SMALL_STATE(19867)] = 811930,
  [SMALL_STATE(19868)] = 811944,
  [SMALL_STATE(19869)] = 811958,
  [SMALL_STATE(19870)] = 811972,
  [SMALL_STATE(19871)] = 811986,
  [SMALL_STATE(19872)] = 812000,
  [SMALL_STATE(19873)] = 812014,
  [SMALL_STATE(19874)] = 812028,
  [SMALL_STATE(19875)] = 812042,
  [SMALL_STATE(19876)] = 812056,
  [SMALL_STATE(19877)] = 812070,
  [SMALL_STATE(19878)] = 812084,
  [SMALL_STATE(19879)] = 812098,
  [SMALL_STATE(19880)] = 812112,
  [SMALL_STATE(19881)] = 812126,
  [SMALL_STATE(19882)] = 812140,
  [SMALL_STATE(19883)] = 812154,
  [SMALL_STATE(19884)] = 812168,
  [SMALL_STATE(19885)] = 812182,
  [SMALL_STATE(19886)] = 812196,
  [SMALL_STATE(19887)] = 812210,
  [SMALL_STATE(19888)] = 812224,
  [SMALL_STATE(19889)] = 812238,
  [SMALL_STATE(19890)] = 812252,
  [SMALL_STATE(19891)] = 812266,
  [SMALL_STATE(19892)] = 812280,
  [SMALL_STATE(19893)] = 812294,
  [SMALL_STATE(19894)] = 812308,
  [SMALL_STATE(19895)] = 812322,
  [SMALL_STATE(19896)] = 812336,
  [SMALL_STATE(19897)] = 812350,
  [SMALL_STATE(19898)] = 812364,
  [SMALL_STATE(19899)] = 812378,
  [SMALL_STATE(19900)] = 812392,
  [SMALL_STATE(19901)] = 812406,
  [SMALL_STATE(19902)] = 812420,
  [SMALL_STATE(19903)] = 812434,
  [SMALL_STATE(19904)] = 812448,
  [SMALL_STATE(19905)] = 812462,
  [SMALL_STATE(19906)] = 812476,
  [SMALL_STATE(19907)] = 812490,
  [SMALL_STATE(19908)] = 812504,
  [SMALL_STATE(19909)] = 812518,
  [SMALL_STATE(19910)] = 812532,
  [SMALL_STATE(19911)] = 812546,
  [SMALL_STATE(19912)] = 812560,
  [SMALL_STATE(19913)] = 812574,
  [SMALL_STATE(19914)] = 812588,
  [SMALL_STATE(19915)] = 812602,
  [SMALL_STATE(19916)] = 812616,
  [SMALL_STATE(19917)] = 812630,
  [SMALL_STATE(19918)] = 812644,
  [SMALL_STATE(19919)] = 812658,
  [SMALL_STATE(19920)] = 812672,
  [SMALL_STATE(19921)] = 812686,
  [SMALL_STATE(19922)] = 812700,
  [SMALL_STATE(19923)] = 812714,
  [SMALL_STATE(19924)] = 812728,
  [SMALL_STATE(19925)] = 812742,
  [SMALL_STATE(19926)] = 812756,
  [SMALL_STATE(19927)] = 812770,
  [SMALL_STATE(19928)] = 812784,
  [SMALL_STATE(19929)] = 812798,
  [SMALL_STATE(19930)] = 812812,
  [SMALL_STATE(19931)] = 812826,
  [SMALL_STATE(19932)] = 812840,
  [SMALL_STATE(19933)] = 812854,
  [SMALL_STATE(19934)] = 812868,
  [SMALL_STATE(19935)] = 812882,
  [SMALL_STATE(19936)] = 812896,
  [SMALL_STATE(19937)] = 812910,
  [SMALL_STATE(19938)] = 812924,
  [SMALL_STATE(19939)] = 812938,
  [SMALL_STATE(19940)] = 812952,
  [SMALL_STATE(19941)] = 812966,
  [SMALL_STATE(19942)] = 812980,
  [SMALL_STATE(19943)] = 812994,
  [SMALL_STATE(19944)] = 813008,
  [SMALL_STATE(19945)] = 813022,
  [SMALL_STATE(19946)] = 813036,
  [SMALL_STATE(19947)] = 813050,
  [SMALL_STATE(19948)] = 813064,
  [SMALL_STATE(19949)] = 813078,
  [SMALL_STATE(19950)] = 813092,
  [SMALL_STATE(19951)] = 813106,
  [SMALL_STATE(19952)] = 813120,
  [SMALL_STATE(19953)] = 813134,
  [SMALL_STATE(19954)] = 813148,
  [SMALL_STATE(19955)] = 813162,
  [SMALL_STATE(19956)] = 813176,
  [SMALL_STATE(19957)] = 813190,
  [SMALL_STATE(19958)] = 813204,
  [SMALL_STATE(19959)] = 813218,
  [SMALL_STATE(19960)] = 813232,
  [SMALL_STATE(19961)] = 813246,
  [SMALL_STATE(19962)] = 813260,
  [SMALL_STATE(19963)] = 813274,
  [SMALL_STATE(19964)] = 813288,
  [SMALL_STATE(19965)] = 813302,
  [SMALL_STATE(19966)] = 813316,
  [SMALL_STATE(19967)] = 813330,
  [SMALL_STATE(19968)] = 813344,
  [SMALL_STATE(19969)] = 813358,
  [SMALL_STATE(19970)] = 813372,
  [SMALL_STATE(19971)] = 813386,
  [SMALL_STATE(19972)] = 813400,
  [SMALL_STATE(19973)] = 813414,
  [SMALL_STATE(19974)] = 813428,
  [SMALL_STATE(19975)] = 813442,
  [SMALL_STATE(19976)] = 813456,
  [SMALL_STATE(19977)] = 813470,
  [SMALL_STATE(19978)] = 813484,
  [SMALL_STATE(19979)] = 813498,
  [SMALL_STATE(19980)] = 813512,
  [SMALL_STATE(19981)] = 813526,
  [SMALL_STATE(19982)] = 813540,
  [SMALL_STATE(19983)] = 813554,
  [SMALL_STATE(19984)] = 813568,
  [SMALL_STATE(19985)] = 813582,
  [SMALL_STATE(19986)] = 813596,
  [SMALL_STATE(19987)] = 813610,
  [SMALL_STATE(19988)] = 813624,
  [SMALL_STATE(19989)] = 813638,
  [SMALL_STATE(19990)] = 813652,
  [SMALL_STATE(19991)] = 813666,
  [SMALL_STATE(19992)] = 813680,
  [SMALL_STATE(19993)] = 813694,
  [SMALL_STATE(19994)] = 813708,
  [SMALL_STATE(19995)] = 813722,
  [SMALL_STATE(19996)] = 813736,
  [SMALL_STATE(19997)] = 813750,
  [SMALL_STATE(19998)] = 813764,
  [SMALL_STATE(19999)] = 813778,
  [SMALL_STATE(20000)] = 813792,
  [SMALL_STATE(20001)] = 813806,
  [SMALL_STATE(20002)] = 813820,
  [SMALL_STATE(20003)] = 813834,
  [SMALL_STATE(20004)] = 813848,
  [SMALL_STATE(20005)] = 813862,
  [SMALL_STATE(20006)] = 813876,
  [SMALL_STATE(20007)] = 813890,
  [SMALL_STATE(20008)] = 813904,
  [SMALL_STATE(20009)] = 813918,
  [SMALL_STATE(20010)] = 813932,
  [SMALL_STATE(20011)] = 813946,
  [SMALL_STATE(20012)] = 813960,
  [SMALL_STATE(20013)] = 813974,
  [SMALL_STATE(20014)] = 813988,
  [SMALL_STATE(20015)] = 814002,
  [SMALL_STATE(20016)] = 814016,
  [SMALL_STATE(20017)] = 814030,
  [SMALL_STATE(20018)] = 814044,
  [SMALL_STATE(20019)] = 814058,
  [SMALL_STATE(20020)] = 814072,
  [SMALL_STATE(20021)] = 814086,
  [SMALL_STATE(20022)] = 814100,
  [SMALL_STATE(20023)] = 814114,
  [SMALL_STATE(20024)] = 814128,
  [SMALL_STATE(20025)] = 814142,
  [SMALL_STATE(20026)] = 814156,
  [SMALL_STATE(20027)] = 814170,
  [SMALL_STATE(20028)] = 814184,
  [SMALL_STATE(20029)] = 814198,
  [SMALL_STATE(20030)] = 814212,
  [SMALL_STATE(20031)] = 814226,
  [SMALL_STATE(20032)] = 814240,
  [SMALL_STATE(20033)] = 814254,
  [SMALL_STATE(20034)] = 814268,
  [SMALL_STATE(20035)] = 814282,
  [SMALL_STATE(20036)] = 814296,
  [SMALL_STATE(20037)] = 814310,
  [SMALL_STATE(20038)] = 814324,
  [SMALL_STATE(20039)] = 814338,
  [SMALL_STATE(20040)] = 814352,
  [SMALL_STATE(20041)] = 814366,
  [SMALL_STATE(20042)] = 814380,
  [SMALL_STATE(20043)] = 814394,
  [SMALL_STATE(20044)] = 814408,
  [SMALL_STATE(20045)] = 814422,
  [SMALL_STATE(20046)] = 814436,
  [SMALL_STATE(20047)] = 814450,
  [SMALL_STATE(20048)] = 814464,
  [SMALL_STATE(20049)] = 814478,
  [SMALL_STATE(20050)] = 814492,
  [SMALL_STATE(20051)] = 814506,
  [SMALL_STATE(20052)] = 814520,
  [SMALL_STATE(20053)] = 814534,
  [SMALL_STATE(20054)] = 814548,
  [SMALL_STATE(20055)] = 814562,
  [SMALL_STATE(20056)] = 814576,
  [SMALL_STATE(20057)] = 814590,
  [SMALL_STATE(20058)] = 814604,
  [SMALL_STATE(20059)] = 814618,
  [SMALL_STATE(20060)] = 814632,
  [SMALL_STATE(20061)] = 814646,
  [SMALL_STATE(20062)] = 814660,
  [SMALL_STATE(20063)] = 814674,
  [SMALL_STATE(20064)] = 814688,
  [SMALL_STATE(20065)] = 814702,
  [SMALL_STATE(20066)] = 814716,
  [SMALL_STATE(20067)] = 814730,
  [SMALL_STATE(20068)] = 814744,
  [SMALL_STATE(20069)] = 814758,
  [SMALL_STATE(20070)] = 814772,
  [SMALL_STATE(20071)] = 814786,
  [SMALL_STATE(20072)] = 814800,
  [SMALL_STATE(20073)] = 814814,
  [SMALL_STATE(20074)] = 814828,
  [SMALL_STATE(20075)] = 814842,
  [SMALL_STATE(20076)] = 814856,
  [SMALL_STATE(20077)] = 814870,
  [SMALL_STATE(20078)] = 814884,
  [SMALL_STATE(20079)] = 814898,
  [SMALL_STATE(20080)] = 814912,
  [SMALL_STATE(20081)] = 814926,
  [SMALL_STATE(20082)] = 814940,
  [SMALL_STATE(20083)] = 814954,
  [SMALL_STATE(20084)] = 814968,
  [SMALL_STATE(20085)] = 814982,
  [SMALL_STATE(20086)] = 814996,
  [SMALL_STATE(20087)] = 815010,
  [SMALL_STATE(20088)] = 815024,
  [SMALL_STATE(20089)] = 815038,
  [SMALL_STATE(20090)] = 815052,
  [SMALL_STATE(20091)] = 815066,
  [SMALL_STATE(20092)] = 815080,
  [SMALL_STATE(20093)] = 815094,
  [SMALL_STATE(20094)] = 815108,
  [SMALL_STATE(20095)] = 815122,
  [SMALL_STATE(20096)] = 815136,
  [SMALL_STATE(20097)] = 815150,
  [SMALL_STATE(20098)] = 815164,
  [SMALL_STATE(20099)] = 815178,
  [SMALL_STATE(20100)] = 815192,
  [SMALL_STATE(20101)] = 815206,
  [SMALL_STATE(20102)] = 815220,
  [SMALL_STATE(20103)] = 815234,
  [SMALL_STATE(20104)] = 815248,
  [SMALL_STATE(20105)] = 815262,
  [SMALL_STATE(20106)] = 815276,
  [SMALL_STATE(20107)] = 815290,
  [SMALL_STATE(20108)] = 815304,
  [SMALL_STATE(20109)] = 815318,
  [SMALL_STATE(20110)] = 815332,
  [SMALL_STATE(20111)] = 815346,
  [SMALL_STATE(20112)] = 815360,
  [SMALL_STATE(20113)] = 815374,
  [SMALL_STATE(20114)] = 815388,
  [SMALL_STATE(20115)] = 815402,
  [SMALL_STATE(20116)] = 815416,
  [SMALL_STATE(20117)] = 815430,
  [SMALL_STATE(20118)] = 815444,
  [SMALL_STATE(20119)] = 815458,
  [SMALL_STATE(20120)] = 815472,
  [SMALL_STATE(20121)] = 815486,
  [SMALL_STATE(20122)] = 815500,
  [SMALL_STATE(20123)] = 815514,
  [SMALL_STATE(20124)] = 815528,
  [SMALL_STATE(20125)] = 815542,
  [SMALL_STATE(20126)] = 815556,
  [SMALL_STATE(20127)] = 815570,
  [SMALL_STATE(20128)] = 815584,
  [SMALL_STATE(20129)] = 815598,
  [SMALL_STATE(20130)] = 815612,
  [SMALL_STATE(20131)] = 815626,
  [SMALL_STATE(20132)] = 815640,
  [SMALL_STATE(20133)] = 815654,
  [SMALL_STATE(20134)] = 815668,
  [SMALL_STATE(20135)] = 815682,
  [SMALL_STATE(20136)] = 815696,
  [SMALL_STATE(20137)] = 815710,
  [SMALL_STATE(20138)] = 815724,
  [SMALL_STATE(20139)] = 815738,
  [SMALL_STATE(20140)] = 815752,
  [SMALL_STATE(20141)] = 815766,
  [SMALL_STATE(20142)] = 815780,
  [SMALL_STATE(20143)] = 815794,
  [SMALL_STATE(20144)] = 815808,
  [SMALL_STATE(20145)] = 815822,
  [SMALL_STATE(20146)] = 815836,
  [SMALL_STATE(20147)] = 815850,
  [SMALL_STATE(20148)] = 815864,
  [SMALL_STATE(20149)] = 815878,
  [SMALL_STATE(20150)] = 815892,
  [SMALL_STATE(20151)] = 815906,
  [SMALL_STATE(20152)] = 815920,
  [SMALL_STATE(20153)] = 815934,
  [SMALL_STATE(20154)] = 815948,
  [SMALL_STATE(20155)] = 815962,
  [SMALL_STATE(20156)] = 815976,
  [SMALL_STATE(20157)] = 815990,
  [SMALL_STATE(20158)] = 816004,
  [SMALL_STATE(20159)] = 816018,
  [SMALL_STATE(20160)] = 816032,
  [SMALL_STATE(20161)] = 816046,
  [SMALL_STATE(20162)] = 816060,
  [SMALL_STATE(20163)] = 816074,
  [SMALL_STATE(20164)] = 816088,
  [SMALL_STATE(20165)] = 816102,
  [SMALL_STATE(20166)] = 816116,
  [SMALL_STATE(20167)] = 816130,
  [SMALL_STATE(20168)] = 816144,
  [SMALL_STATE(20169)] = 816158,
  [SMALL_STATE(20170)] = 816172,
  [SMALL_STATE(20171)] = 816186,
  [SMALL_STATE(20172)] = 816200,
  [SMALL_STATE(20173)] = 816214,
  [SMALL_STATE(20174)] = 816228,
  [SMALL_STATE(20175)] = 816242,
  [SMALL_STATE(20176)] = 816256,
  [SMALL_STATE(20177)] = 816270,
  [SMALL_STATE(20178)] = 816284,
  [SMALL_STATE(20179)] = 816298,
  [SMALL_STATE(20180)] = 816312,
  [SMALL_STATE(20181)] = 816326,
  [SMALL_STATE(20182)] = 816340,
  [SMALL_STATE(20183)] = 816354,
  [SMALL_STATE(20184)] = 816368,
  [SMALL_STATE(20185)] = 816382,
  [SMALL_STATE(20186)] = 816396,
  [SMALL_STATE(20187)] = 816410,
  [SMALL_STATE(20188)] = 816424,
  [SMALL_STATE(20189)] = 816438,
  [SMALL_STATE(20190)] = 816452,
  [SMALL_STATE(20191)] = 816466,
  [SMALL_STATE(20192)] = 816480,
  [SMALL_STATE(20193)] = 816494,
  [SMALL_STATE(20194)] = 816508,
  [SMALL_STATE(20195)] = 816522,
  [SMALL_STATE(20196)] = 816536,
  [SMALL_STATE(20197)] = 816550,
  [SMALL_STATE(20198)] = 816564,
  [SMALL_STATE(20199)] = 816578,
  [SMALL_STATE(20200)] = 816592,
  [SMALL_STATE(20201)] = 816606,
  [SMALL_STATE(20202)] = 816620,
  [SMALL_STATE(20203)] = 816634,
  [SMALL_STATE(20204)] = 816648,
  [SMALL_STATE(20205)] = 816662,
  [SMALL_STATE(20206)] = 816676,
  [SMALL_STATE(20207)] = 816690,
  [SMALL_STATE(20208)] = 816704,
  [SMALL_STATE(20209)] = 816718,
  [SMALL_STATE(20210)] = 816732,
  [SMALL_STATE(20211)] = 816746,
  [SMALL_STATE(20212)] = 816760,
  [SMALL_STATE(20213)] = 816774,
  [SMALL_STATE(20214)] = 816788,
  [SMALL_STATE(20215)] = 816802,
  [SMALL_STATE(20216)] = 816816,
  [SMALL_STATE(20217)] = 816830,
  [SMALL_STATE(20218)] = 816844,
  [SMALL_STATE(20219)] = 816858,
  [SMALL_STATE(20220)] = 816872,
  [SMALL_STATE(20221)] = 816886,
  [SMALL_STATE(20222)] = 816900,
  [SMALL_STATE(20223)] = 816914,
  [SMALL_STATE(20224)] = 816928,
  [SMALL_STATE(20225)] = 816942,
  [SMALL_STATE(20226)] = 816956,
  [SMALL_STATE(20227)] = 816970,
  [SMALL_STATE(20228)] = 816984,
  [SMALL_STATE(20229)] = 816998,
  [SMALL_STATE(20230)] = 817012,
  [SMALL_STATE(20231)] = 817026,
  [SMALL_STATE(20232)] = 817040,
  [SMALL_STATE(20233)] = 817054,
  [SMALL_STATE(20234)] = 817068,
  [SMALL_STATE(20235)] = 817082,
  [SMALL_STATE(20236)] = 817096,
  [SMALL_STATE(20237)] = 817110,
  [SMALL_STATE(20238)] = 817124,
  [SMALL_STATE(20239)] = 817138,
  [SMALL_STATE(20240)] = 817152,
  [SMALL_STATE(20241)] = 817166,
  [SMALL_STATE(20242)] = 817180,
  [SMALL_STATE(20243)] = 817194,
  [SMALL_STATE(20244)] = 817208,
  [SMALL_STATE(20245)] = 817222,
  [SMALL_STATE(20246)] = 817236,
  [SMALL_STATE(20247)] = 817250,
  [SMALL_STATE(20248)] = 817264,
  [SMALL_STATE(20249)] = 817278,
  [SMALL_STATE(20250)] = 817292,
  [SMALL_STATE(20251)] = 817306,
  [SMALL_STATE(20252)] = 817320,
  [SMALL_STATE(20253)] = 817334,
  [SMALL_STATE(20254)] = 817348,
  [SMALL_STATE(20255)] = 817362,
  [SMALL_STATE(20256)] = 817376,
  [SMALL_STATE(20257)] = 817390,
  [SMALL_STATE(20258)] = 817404,
  [SMALL_STATE(20259)] = 817418,
  [SMALL_STATE(20260)] = 817432,
  [SMALL_STATE(20261)] = 817446,
  [SMALL_STATE(20262)] = 817460,
  [SMALL_STATE(20263)] = 817474,
  [SMALL_STATE(20264)] = 817488,
  [SMALL_STATE(20265)] = 817502,
  [SMALL_STATE(20266)] = 817516,
  [SMALL_STATE(20267)] = 817530,
  [SMALL_STATE(20268)] = 817544,
  [SMALL_STATE(20269)] = 817558,
  [SMALL_STATE(20270)] = 817572,
  [SMALL_STATE(20271)] = 817586,
  [SMALL_STATE(20272)] = 817600,
  [SMALL_STATE(20273)] = 817614,
  [SMALL_STATE(20274)] = 817628,
  [SMALL_STATE(20275)] = 817642,
  [SMALL_STATE(20276)] = 817656,
  [SMALL_STATE(20277)] = 817670,
  [SMALL_STATE(20278)] = 817684,
  [SMALL_STATE(20279)] = 817698,
  [SMALL_STATE(20280)] = 817712,
  [SMALL_STATE(20281)] = 817726,
  [SMALL_STATE(20282)] = 817740,
  [SMALL_STATE(20283)] = 817754,
  [SMALL_STATE(20284)] = 817768,
  [SMALL_STATE(20285)] = 817782,
  [SMALL_STATE(20286)] = 817796,
  [SMALL_STATE(20287)] = 817810,
  [SMALL_STATE(20288)] = 817824,
  [SMALL_STATE(20289)] = 817838,
  [SMALL_STATE(20290)] = 817852,
  [SMALL_STATE(20291)] = 817866,
  [SMALL_STATE(20292)] = 817880,
  [SMALL_STATE(20293)] = 817894,
  [SMALL_STATE(20294)] = 817908,
  [SMALL_STATE(20295)] = 817922,
  [SMALL_STATE(20296)] = 817936,
  [SMALL_STATE(20297)] = 817950,
  [SMALL_STATE(20298)] = 817964,
  [SMALL_STATE(20299)] = 817978,
  [SMALL_STATE(20300)] = 817992,
  [SMALL_STATE(20301)] = 818006,
  [SMALL_STATE(20302)] = 818020,
  [SMALL_STATE(20303)] = 818034,
  [SMALL_STATE(20304)] = 818048,
  [SMALL_STATE(20305)] = 818062,
  [SMALL_STATE(20306)] = 818076,
  [SMALL_STATE(20307)] = 818090,
  [SMALL_STATE(20308)] = 818104,
  [SMALL_STATE(20309)] = 818118,
  [SMALL_STATE(20310)] = 818132,
  [SMALL_STATE(20311)] = 818146,
  [SMALL_STATE(20312)] = 818160,
  [SMALL_STATE(20313)] = 818174,
  [SMALL_STATE(20314)] = 818188,
  [SMALL_STATE(20315)] = 818202,
  [SMALL_STATE(20316)] = 818216,
  [SMALL_STATE(20317)] = 818230,
  [SMALL_STATE(20318)] = 818244,
  [SMALL_STATE(20319)] = 818258,
  [SMALL_STATE(20320)] = 818272,
  [SMALL_STATE(20321)] = 818286,
  [SMALL_STATE(20322)] = 818300,
  [SMALL_STATE(20323)] = 818314,
  [SMALL_STATE(20324)] = 818328,
  [SMALL_STATE(20325)] = 818342,
  [SMALL_STATE(20326)] = 818356,
  [SMALL_STATE(20327)] = 818370,
  [SMALL_STATE(20328)] = 818384,
  [SMALL_STATE(20329)] = 818398,
  [SMALL_STATE(20330)] = 818412,
  [SMALL_STATE(20331)] = 818426,
  [SMALL_STATE(20332)] = 818440,
  [SMALL_STATE(20333)] = 818454,
  [SMALL_STATE(20334)] = 818468,
  [SMALL_STATE(20335)] = 818482,
  [SMALL_STATE(20336)] = 818496,
  [SMALL_STATE(20337)] = 818510,
  [SMALL_STATE(20338)] = 818524,
  [SMALL_STATE(20339)] = 818538,
  [SMALL_STATE(20340)] = 818552,
  [SMALL_STATE(20341)] = 818566,
  [SMALL_STATE(20342)] = 818580,
  [SMALL_STATE(20343)] = 818594,
  [SMALL_STATE(20344)] = 818608,
  [SMALL_STATE(20345)] = 818622,
  [SMALL_STATE(20346)] = 818636,
  [SMALL_STATE(20347)] = 818650,
  [SMALL_STATE(20348)] = 818664,
  [SMALL_STATE(20349)] = 818678,
  [SMALL_STATE(20350)] = 818692,
  [SMALL_STATE(20351)] = 818706,
  [SMALL_STATE(20352)] = 818720,
  [SMALL_STATE(20353)] = 818734,
  [SMALL_STATE(20354)] = 818748,
  [SMALL_STATE(20355)] = 818762,
  [SMALL_STATE(20356)] = 818776,
  [SMALL_STATE(20357)] = 818790,
  [SMALL_STATE(20358)] = 818804,
  [SMALL_STATE(20359)] = 818818,
  [SMALL_STATE(20360)] = 818832,
  [SMALL_STATE(20361)] = 818846,
  [SMALL_STATE(20362)] = 818860,
  [SMALL_STATE(20363)] = 818874,
  [SMALL_STATE(20364)] = 818888,
  [SMALL_STATE(20365)] = 818902,
  [SMALL_STATE(20366)] = 818916,
  [SMALL_STATE(20367)] = 818930,
  [SMALL_STATE(20368)] = 818944,
  [SMALL_STATE(20369)] = 818958,
  [SMALL_STATE(20370)] = 818972,
  [SMALL_STATE(20371)] = 818986,
  [SMALL_STATE(20372)] = 819000,
  [SMALL_STATE(20373)] = 819014,
  [SMALL_STATE(20374)] = 819028,
  [SMALL_STATE(20375)] = 819042,
  [SMALL_STATE(20376)] = 819056,
  [SMALL_STATE(20377)] = 819070,
  [SMALL_STATE(20378)] = 819084,
  [SMALL_STATE(20379)] = 819098,
  [SMALL_STATE(20380)] = 819112,
  [SMALL_STATE(20381)] = 819126,
  [SMALL_STATE(20382)] = 819140,
  [SMALL_STATE(20383)] = 819154,
  [SMALL_STATE(20384)] = 819168,
  [SMALL_STATE(20385)] = 819182,
  [SMALL_STATE(20386)] = 819196,
  [SMALL_STATE(20387)] = 819210,
  [SMALL_STATE(20388)] = 819224,
  [SMALL_STATE(20389)] = 819238,
  [SMALL_STATE(20390)] = 819252,
  [SMALL_STATE(20391)] = 819266,
  [SMALL_STATE(20392)] = 819280,
  [SMALL_STATE(20393)] = 819294,
  [SMALL_STATE(20394)] = 819308,
  [SMALL_STATE(20395)] = 819322,
  [SMALL_STATE(20396)] = 819336,
  [SMALL_STATE(20397)] = 819350,
  [SMALL_STATE(20398)] = 819364,
  [SMALL_STATE(20399)] = 819378,
  [SMALL_STATE(20400)] = 819392,
  [SMALL_STATE(20401)] = 819406,
  [SMALL_STATE(20402)] = 819420,
  [SMALL_STATE(20403)] = 819434,
  [SMALL_STATE(20404)] = 819448,
  [SMALL_STATE(20405)] = 819462,
  [SMALL_STATE(20406)] = 819476,
  [SMALL_STATE(20407)] = 819490,
  [SMALL_STATE(20408)] = 819504,
  [SMALL_STATE(20409)] = 819518,
  [SMALL_STATE(20410)] = 819532,
  [SMALL_STATE(20411)] = 819546,
  [SMALL_STATE(20412)] = 819560,
  [SMALL_STATE(20413)] = 819574,
  [SMALL_STATE(20414)] = 819588,
  [SMALL_STATE(20415)] = 819602,
  [SMALL_STATE(20416)] = 819616,
  [SMALL_STATE(20417)] = 819630,
  [SMALL_STATE(20418)] = 819644,
  [SMALL_STATE(20419)] = 819658,
  [SMALL_STATE(20420)] = 819672,
  [SMALL_STATE(20421)] = 819686,
  [SMALL_STATE(20422)] = 819700,
  [SMALL_STATE(20423)] = 819714,
  [SMALL_STATE(20424)] = 819728,
  [SMALL_STATE(20425)] = 819742,
  [SMALL_STATE(20426)] = 819756,
  [SMALL_STATE(20427)] = 819770,
  [SMALL_STATE(20428)] = 819784,
  [SMALL_STATE(20429)] = 819798,
  [SMALL_STATE(20430)] = 819812,
  [SMALL_STATE(20431)] = 819826,
  [SMALL_STATE(20432)] = 819840,
  [SMALL_STATE(20433)] = 819854,
  [SMALL_STATE(20434)] = 819868,
  [SMALL_STATE(20435)] = 819882,
  [SMALL_STATE(20436)] = 819896,
  [SMALL_STATE(20437)] = 819910,
  [SMALL_STATE(20438)] = 819924,
  [SMALL_STATE(20439)] = 819938,
  [SMALL_STATE(20440)] = 819952,
  [SMALL_STATE(20441)] = 819966,
  [SMALL_STATE(20442)] = 819980,
  [SMALL_STATE(20443)] = 819994,
  [SMALL_STATE(20444)] = 820008,
  [SMALL_STATE(20445)] = 820022,
  [SMALL_STATE(20446)] = 820036,
  [SMALL_STATE(20447)] = 820050,
  [SMALL_STATE(20448)] = 820064,
  [SMALL_STATE(20449)] = 820078,
  [SMALL_STATE(20450)] = 820092,
  [SMALL_STATE(20451)] = 820106,
  [SMALL_STATE(20452)] = 820120,
  [SMALL_STATE(20453)] = 820134,
  [SMALL_STATE(20454)] = 820148,
  [SMALL_STATE(20455)] = 820162,
  [SMALL_STATE(20456)] = 820176,
  [SMALL_STATE(20457)] = 820190,
  [SMALL_STATE(20458)] = 820204,
  [SMALL_STATE(20459)] = 820218,
  [SMALL_STATE(20460)] = 820232,
  [SMALL_STATE(20461)] = 820246,
  [SMALL_STATE(20462)] = 820260,
  [SMALL_STATE(20463)] = 820274,
  [SMALL_STATE(20464)] = 820288,
  [SMALL_STATE(20465)] = 820302,
  [SMALL_STATE(20466)] = 820316,
  [SMALL_STATE(20467)] = 820330,
  [SMALL_STATE(20468)] = 820344,
  [SMALL_STATE(20469)] = 820358,
  [SMALL_STATE(20470)] = 820372,
  [SMALL_STATE(20471)] = 820386,
  [SMALL_STATE(20472)] = 820400,
  [SMALL_STATE(20473)] = 820414,
  [SMALL_STATE(20474)] = 820428,
  [SMALL_STATE(20475)] = 820442,
  [SMALL_STATE(20476)] = 820456,
  [SMALL_STATE(20477)] = 820470,
  [SMALL_STATE(20478)] = 820484,
  [SMALL_STATE(20479)] = 820498,
  [SMALL_STATE(20480)] = 820512,
  [SMALL_STATE(20481)] = 820526,
  [SMALL_STATE(20482)] = 820540,
  [SMALL_STATE(20483)] = 820554,
  [SMALL_STATE(20484)] = 820568,
  [SMALL_STATE(20485)] = 820582,
  [SMALL_STATE(20486)] = 820596,
  [SMALL_STATE(20487)] = 820610,
  [SMALL_STATE(20488)] = 820624,
  [SMALL_STATE(20489)] = 820638,
  [SMALL_STATE(20490)] = 820652,
  [SMALL_STATE(20491)] = 820666,
  [SMALL_STATE(20492)] = 820680,
  [SMALL_STATE(20493)] = 820694,
  [SMALL_STATE(20494)] = 820708,
  [SMALL_STATE(20495)] = 820722,
  [SMALL_STATE(20496)] = 820736,
  [SMALL_STATE(20497)] = 820750,
  [SMALL_STATE(20498)] = 820764,
  [SMALL_STATE(20499)] = 820778,
  [SMALL_STATE(20500)] = 820792,
  [SMALL_STATE(20501)] = 820806,
  [SMALL_STATE(20502)] = 820820,
  [SMALL_STATE(20503)] = 820834,
  [SMALL_STATE(20504)] = 820848,
  [SMALL_STATE(20505)] = 820862,
  [SMALL_STATE(20506)] = 820876,
  [SMALL_STATE(20507)] = 820890,
  [SMALL_STATE(20508)] = 820904,
  [SMALL_STATE(20509)] = 820918,
  [SMALL_STATE(20510)] = 820932,
  [SMALL_STATE(20511)] = 820946,
  [SMALL_STATE(20512)] = 820960,
  [SMALL_STATE(20513)] = 820974,
  [SMALL_STATE(20514)] = 820988,
  [SMALL_STATE(20515)] = 821002,
  [SMALL_STATE(20516)] = 821016,
  [SMALL_STATE(20517)] = 821030,
  [SMALL_STATE(20518)] = 821044,
  [SMALL_STATE(20519)] = 821058,
  [SMALL_STATE(20520)] = 821072,
  [SMALL_STATE(20521)] = 821086,
  [SMALL_STATE(20522)] = 821100,
  [SMALL_STATE(20523)] = 821114,
  [SMALL_STATE(20524)] = 821128,
  [SMALL_STATE(20525)] = 821142,
  [SMALL_STATE(20526)] = 821156,
  [SMALL_STATE(20527)] = 821170,
  [SMALL_STATE(20528)] = 821184,
  [SMALL_STATE(20529)] = 821198,
  [SMALL_STATE(20530)] = 821212,
  [SMALL_STATE(20531)] = 821226,
  [SMALL_STATE(20532)] = 821240,
  [SMALL_STATE(20533)] = 821254,
  [SMALL_STATE(20534)] = 821268,
  [SMALL_STATE(20535)] = 821282,
  [SMALL_STATE(20536)] = 821296,
  [SMALL_STATE(20537)] = 821310,
  [SMALL_STATE(20538)] = 821324,
  [SMALL_STATE(20539)] = 821338,
  [SMALL_STATE(20540)] = 821352,
  [SMALL_STATE(20541)] = 821366,
  [SMALL_STATE(20542)] = 821380,
  [SMALL_STATE(20543)] = 821394,
  [SMALL_STATE(20544)] = 821408,
  [SMALL_STATE(20545)] = 821422,
  [SMALL_STATE(20546)] = 821436,
  [SMALL_STATE(20547)] = 821450,
  [SMALL_STATE(20548)] = 821464,
  [SMALL_STATE(20549)] = 821478,
  [SMALL_STATE(20550)] = 821492,
  [SMALL_STATE(20551)] = 821506,
  [SMALL_STATE(20552)] = 821520,
  [SMALL_STATE(20553)] = 821534,
  [SMALL_STATE(20554)] = 821548,
  [SMALL_STATE(20555)] = 821562,
  [SMALL_STATE(20556)] = 821576,
  [SMALL_STATE(20557)] = 821590,
  [SMALL_STATE(20558)] = 821604,
  [SMALL_STATE(20559)] = 821618,
  [SMALL_STATE(20560)] = 821632,
  [SMALL_STATE(20561)] = 821646,
  [SMALL_STATE(20562)] = 821660,
  [SMALL_STATE(20563)] = 821674,
  [SMALL_STATE(20564)] = 821688,
  [SMALL_STATE(20565)] = 821702,
  [SMALL_STATE(20566)] = 821716,
  [SMALL_STATE(20567)] = 821730,
  [SMALL_STATE(20568)] = 821744,
  [SMALL_STATE(20569)] = 821758,
  [SMALL_STATE(20570)] = 821772,
  [SMALL_STATE(20571)] = 821786,
  [SMALL_STATE(20572)] = 821800,
  [SMALL_STATE(20573)] = 821814,
  [SMALL_STATE(20574)] = 821828,
  [SMALL_STATE(20575)] = 821842,
  [SMALL_STATE(20576)] = 821856,
  [SMALL_STATE(20577)] = 821870,
  [SMALL_STATE(20578)] = 821884,
  [SMALL_STATE(20579)] = 821898,
  [SMALL_STATE(20580)] = 821912,
  [SMALL_STATE(20581)] = 821926,
  [SMALL_STATE(20582)] = 821940,
  [SMALL_STATE(20583)] = 821954,
  [SMALL_STATE(20584)] = 821968,
  [SMALL_STATE(20585)] = 821982,
  [SMALL_STATE(20586)] = 821996,
  [SMALL_STATE(20587)] = 822010,
  [SMALL_STATE(20588)] = 822024,
  [SMALL_STATE(20589)] = 822038,
  [SMALL_STATE(20590)] = 822052,
  [SMALL_STATE(20591)] = 822066,
  [SMALL_STATE(20592)] = 822080,
  [SMALL_STATE(20593)] = 822094,
  [SMALL_STATE(20594)] = 822108,
  [SMALL_STATE(20595)] = 822122,
  [SMALL_STATE(20596)] = 822136,
  [SMALL_STATE(20597)] = 822150,
  [SMALL_STATE(20598)] = 822164,
  [SMALL_STATE(20599)] = 822178,
  [SMALL_STATE(20600)] = 822192,
  [SMALL_STATE(20601)] = 822206,
  [SMALL_STATE(20602)] = 822220,
  [SMALL_STATE(20603)] = 822234,
  [SMALL_STATE(20604)] = 822248,
  [SMALL_STATE(20605)] = 822262,
  [SMALL_STATE(20606)] = 822276,
  [SMALL_STATE(20607)] = 822290,
  [SMALL_STATE(20608)] = 822304,
  [SMALL_STATE(20609)] = 822318,
  [SMALL_STATE(20610)] = 822332,
  [SMALL_STATE(20611)] = 822346,
  [SMALL_STATE(20612)] = 822360,
  [SMALL_STATE(20613)] = 822374,
  [SMALL_STATE(20614)] = 822388,
  [SMALL_STATE(20615)] = 822402,
  [SMALL_STATE(20616)] = 822416,
  [SMALL_STATE(20617)] = 822430,
  [SMALL_STATE(20618)] = 822444,
  [SMALL_STATE(20619)] = 822458,
  [SMALL_STATE(20620)] = 822472,
  [SMALL_STATE(20621)] = 822486,
  [SMALL_STATE(20622)] = 822500,
  [SMALL_STATE(20623)] = 822514,
  [SMALL_STATE(20624)] = 822528,
  [SMALL_STATE(20625)] = 822542,
  [SMALL_STATE(20626)] = 822556,
  [SMALL_STATE(20627)] = 822570,
  [SMALL_STATE(20628)] = 822584,
  [SMALL_STATE(20629)] = 822598,
  [SMALL_STATE(20630)] = 822612,
  [SMALL_STATE(20631)] = 822626,
  [SMALL_STATE(20632)] = 822640,
  [SMALL_STATE(20633)] = 822654,
  [SMALL_STATE(20634)] = 822668,
  [SMALL_STATE(20635)] = 822682,
  [SMALL_STATE(20636)] = 822696,
  [SMALL_STATE(20637)] = 822710,
  [SMALL_STATE(20638)] = 822724,
  [SMALL_STATE(20639)] = 822738,
  [SMALL_STATE(20640)] = 822752,
  [SMALL_STATE(20641)] = 822766,
  [SMALL_STATE(20642)] = 822780,
  [SMALL_STATE(20643)] = 822794,
  [SMALL_STATE(20644)] = 822808,
  [SMALL_STATE(20645)] = 822822,
  [SMALL_STATE(20646)] = 822836,
  [SMALL_STATE(20647)] = 822850,
  [SMALL_STATE(20648)] = 822864,
  [SMALL_STATE(20649)] = 822878,
  [SMALL_STATE(20650)] = 822892,
  [SMALL_STATE(20651)] = 822906,
  [SMALL_STATE(20652)] = 822920,
  [SMALL_STATE(20653)] = 822934,
  [SMALL_STATE(20654)] = 822948,
  [SMALL_STATE(20655)] = 822962,
  [SMALL_STATE(20656)] = 822976,
  [SMALL_STATE(20657)] = 822990,
  [SMALL_STATE(20658)] = 823004,
  [SMALL_STATE(20659)] = 823018,
  [SMALL_STATE(20660)] = 823032,
  [SMALL_STATE(20661)] = 823046,
  [SMALL_STATE(20662)] = 823060,
  [SMALL_STATE(20663)] = 823074,
  [SMALL_STATE(20664)] = 823088,
  [SMALL_STATE(20665)] = 823102,
  [SMALL_STATE(20666)] = 823116,
  [SMALL_STATE(20667)] = 823130,
  [SMALL_STATE(20668)] = 823144,
  [SMALL_STATE(20669)] = 823158,
  [SMALL_STATE(20670)] = 823172,
  [SMALL_STATE(20671)] = 823186,
  [SMALL_STATE(20672)] = 823200,
  [SMALL_STATE(20673)] = 823214,
  [SMALL_STATE(20674)] = 823228,
  [SMALL_STATE(20675)] = 823242,
  [SMALL_STATE(20676)] = 823256,
  [SMALL_STATE(20677)] = 823270,
  [SMALL_STATE(20678)] = 823284,
  [SMALL_STATE(20679)] = 823298,
  [SMALL_STATE(20680)] = 823312,
  [SMALL_STATE(20681)] = 823326,
  [SMALL_STATE(20682)] = 823340,
  [SMALL_STATE(20683)] = 823354,
  [SMALL_STATE(20684)] = 823368,
  [SMALL_STATE(20685)] = 823382,
  [SMALL_STATE(20686)] = 823396,
  [SMALL_STATE(20687)] = 823410,
  [SMALL_STATE(20688)] = 823424,
  [SMALL_STATE(20689)] = 823438,
  [SMALL_STATE(20690)] = 823452,
  [SMALL_STATE(20691)] = 823466,
  [SMALL_STATE(20692)] = 823480,
  [SMALL_STATE(20693)] = 823494,
  [SMALL_STATE(20694)] = 823508,
  [SMALL_STATE(20695)] = 823522,
  [SMALL_STATE(20696)] = 823536,
  [SMALL_STATE(20697)] = 823550,
  [SMALL_STATE(20698)] = 823564,
  [SMALL_STATE(20699)] = 823578,
  [SMALL_STATE(20700)] = 823592,
  [SMALL_STATE(20701)] = 823606,
  [SMALL_STATE(20702)] = 823620,
  [SMALL_STATE(20703)] = 823634,
  [SMALL_STATE(20704)] = 823648,
  [SMALL_STATE(20705)] = 823662,
  [SMALL_STATE(20706)] = 823676,
  [SMALL_STATE(20707)] = 823690,
  [SMALL_STATE(20708)] = 823704,
  [SMALL_STATE(20709)] = 823718,
  [SMALL_STATE(20710)] = 823732,
  [SMALL_STATE(20711)] = 823746,
  [SMALL_STATE(20712)] = 823760,
  [SMALL_STATE(20713)] = 823774,
  [SMALL_STATE(20714)] = 823788,
  [SMALL_STATE(20715)] = 823802,
  [SMALL_STATE(20716)] = 823816,
  [SMALL_STATE(20717)] = 823830,
  [SMALL_STATE(20718)] = 823844,
  [SMALL_STATE(20719)] = 823858,
  [SMALL_STATE(20720)] = 823872,
  [SMALL_STATE(20721)] = 823886,
  [SMALL_STATE(20722)] = 823900,
  [SMALL_STATE(20723)] = 823914,
  [SMALL_STATE(20724)] = 823928,
  [SMALL_STATE(20725)] = 823942,
  [SMALL_STATE(20726)] = 823956,
  [SMALL_STATE(20727)] = 823970,
  [SMALL_STATE(20728)] = 823984,
  [SMALL_STATE(20729)] = 823998,
  [SMALL_STATE(20730)] = 824012,
  [SMALL_STATE(20731)] = 824026,
  [SMALL_STATE(20732)] = 824040,
  [SMALL_STATE(20733)] = 824054,
  [SMALL_STATE(20734)] = 824068,
  [SMALL_STATE(20735)] = 824082,
  [SMALL_STATE(20736)] = 824096,
  [SMALL_STATE(20737)] = 824110,
  [SMALL_STATE(20738)] = 824124,
  [SMALL_STATE(20739)] = 824138,
  [SMALL_STATE(20740)] = 824152,
  [SMALL_STATE(20741)] = 824166,
  [SMALL_STATE(20742)] = 824180,
  [SMALL_STATE(20743)] = 824194,
  [SMALL_STATE(20744)] = 824208,
  [SMALL_STATE(20745)] = 824222,
  [SMALL_STATE(20746)] = 824236,
  [SMALL_STATE(20747)] = 824250,
  [SMALL_STATE(20748)] = 824264,
  [SMALL_STATE(20749)] = 824278,
  [SMALL_STATE(20750)] = 824292,
  [SMALL_STATE(20751)] = 824306,
  [SMALL_STATE(20752)] = 824320,
  [SMALL_STATE(20753)] = 824334,
  [SMALL_STATE(20754)] = 824348,
  [SMALL_STATE(20755)] = 824362,
  [SMALL_STATE(20756)] = 824376,
  [SMALL_STATE(20757)] = 824390,
  [SMALL_STATE(20758)] = 824404,
  [SMALL_STATE(20759)] = 824418,
  [SMALL_STATE(20760)] = 824432,
  [SMALL_STATE(20761)] = 824446,
  [SMALL_STATE(20762)] = 824460,
  [SMALL_STATE(20763)] = 824474,
  [SMALL_STATE(20764)] = 824488,
  [SMALL_STATE(20765)] = 824502,
  [SMALL_STATE(20766)] = 824516,
  [SMALL_STATE(20767)] = 824530,
  [SMALL_STATE(20768)] = 824544,
  [SMALL_STATE(20769)] = 824558,
  [SMALL_STATE(20770)] = 824572,
  [SMALL_STATE(20771)] = 824586,
  [SMALL_STATE(20772)] = 824600,
  [SMALL_STATE(20773)] = 824614,
  [SMALL_STATE(20774)] = 824628,
  [SMALL_STATE(20775)] = 824642,
  [SMALL_STATE(20776)] = 824656,
  [SMALL_STATE(20777)] = 824670,
  [SMALL_STATE(20778)] = 824684,
  [SMALL_STATE(20779)] = 824698,
  [SMALL_STATE(20780)] = 824712,
  [SMALL_STATE(20781)] = 824726,
  [SMALL_STATE(20782)] = 824740,
  [SMALL_STATE(20783)] = 824754,
  [SMALL_STATE(20784)] = 824768,
  [SMALL_STATE(20785)] = 824782,
  [SMALL_STATE(20786)] = 824796,
  [SMALL_STATE(20787)] = 824810,
  [SMALL_STATE(20788)] = 824824,
  [SMALL_STATE(20789)] = 824838,
  [SMALL_STATE(20790)] = 824852,
  [SMALL_STATE(20791)] = 824866,
  [SMALL_STATE(20792)] = 824880,
  [SMALL_STATE(20793)] = 824894,
  [SMALL_STATE(20794)] = 824908,
  [SMALL_STATE(20795)] = 824922,
  [SMALL_STATE(20796)] = 824936,
  [SMALL_STATE(20797)] = 824950,
  [SMALL_STATE(20798)] = 824964,
  [SMALL_STATE(20799)] = 824978,
  [SMALL_STATE(20800)] = 824992,
  [SMALL_STATE(20801)] = 825006,
  [SMALL_STATE(20802)] = 825020,
  [SMALL_STATE(20803)] = 825034,
  [SMALL_STATE(20804)] = 825048,
  [SMALL_STATE(20805)] = 825062,
  [SMALL_STATE(20806)] = 825076,
  [SMALL_STATE(20807)] = 825090,
  [SMALL_STATE(20808)] = 825104,
  [SMALL_STATE(20809)] = 825118,
  [SMALL_STATE(20810)] = 825132,
  [SMALL_STATE(20811)] = 825146,
  [SMALL_STATE(20812)] = 825160,
  [SMALL_STATE(20813)] = 825174,
  [SMALL_STATE(20814)] = 825188,
  [SMALL_STATE(20815)] = 825202,
  [SMALL_STATE(20816)] = 825216,
  [SMALL_STATE(20817)] = 825230,
  [SMALL_STATE(20818)] = 825244,
  [SMALL_STATE(20819)] = 825258,
  [SMALL_STATE(20820)] = 825272,
  [SMALL_STATE(20821)] = 825286,
  [SMALL_STATE(20822)] = 825300,
  [SMALL_STATE(20823)] = 825314,
  [SMALL_STATE(20824)] = 825328,
  [SMALL_STATE(20825)] = 825342,
  [SMALL_STATE(20826)] = 825356,
  [SMALL_STATE(20827)] = 825370,
  [SMALL_STATE(20828)] = 825384,
  [SMALL_STATE(20829)] = 825398,
  [SMALL_STATE(20830)] = 825412,
  [SMALL_STATE(20831)] = 825426,
  [SMALL_STATE(20832)] = 825440,
  [SMALL_STATE(20833)] = 825454,
  [SMALL_STATE(20834)] = 825468,
  [SMALL_STATE(20835)] = 825482,
  [SMALL_STATE(20836)] = 825496,
  [SMALL_STATE(20837)] = 825510,
  [SMALL_STATE(20838)] = 825524,
  [SMALL_STATE(20839)] = 825538,
  [SMALL_STATE(20840)] = 825552,
  [SMALL_STATE(20841)] = 825566,
  [SMALL_STATE(20842)] = 825580,
  [SMALL_STATE(20843)] = 825594,
  [SMALL_STATE(20844)] = 825608,
  [SMALL_STATE(20845)] = 825622,
  [SMALL_STATE(20846)] = 825636,
  [SMALL_STATE(20847)] = 825650,
  [SMALL_STATE(20848)] = 825664,
  [SMALL_STATE(20849)] = 825678,
  [SMALL_STATE(20850)] = 825692,
  [SMALL_STATE(20851)] = 825706,
  [SMALL_STATE(20852)] = 825720,
  [SMALL_STATE(20853)] = 825734,
  [SMALL_STATE(20854)] = 825748,
  [SMALL_STATE(20855)] = 825762,
  [SMALL_STATE(20856)] = 825776,
  [SMALL_STATE(20857)] = 825790,
  [SMALL_STATE(20858)] = 825804,
  [SMALL_STATE(20859)] = 825818,
  [SMALL_STATE(20860)] = 825832,
  [SMALL_STATE(20861)] = 825846,
  [SMALL_STATE(20862)] = 825860,
  [SMALL_STATE(20863)] = 825874,
  [SMALL_STATE(20864)] = 825888,
  [SMALL_STATE(20865)] = 825902,
  [SMALL_STATE(20866)] = 825916,
  [SMALL_STATE(20867)] = 825930,
  [SMALL_STATE(20868)] = 825944,
  [SMALL_STATE(20869)] = 825958,
  [SMALL_STATE(20870)] = 825972,
  [SMALL_STATE(20871)] = 825986,
  [SMALL_STATE(20872)] = 826000,
  [SMALL_STATE(20873)] = 826014,
  [SMALL_STATE(20874)] = 826028,
  [SMALL_STATE(20875)] = 826042,
  [SMALL_STATE(20876)] = 826056,
  [SMALL_STATE(20877)] = 826070,
  [SMALL_STATE(20878)] = 826084,
  [SMALL_STATE(20879)] = 826098,
  [SMALL_STATE(20880)] = 826112,
  [SMALL_STATE(20881)] = 826126,
  [SMALL_STATE(20882)] = 826140,
  [SMALL_STATE(20883)] = 826154,
  [SMALL_STATE(20884)] = 826168,
  [SMALL_STATE(20885)] = 826182,
  [SMALL_STATE(20886)] = 826196,
  [SMALL_STATE(20887)] = 826210,
  [SMALL_STATE(20888)] = 826224,
  [SMALL_STATE(20889)] = 826238,
  [SMALL_STATE(20890)] = 826252,
  [SMALL_STATE(20891)] = 826266,
  [SMALL_STATE(20892)] = 826280,
  [SMALL_STATE(20893)] = 826294,
  [SMALL_STATE(20894)] = 826308,
  [SMALL_STATE(20895)] = 826322,
  [SMALL_STATE(20896)] = 826336,
  [SMALL_STATE(20897)] = 826350,
  [SMALL_STATE(20898)] = 826364,
  [SMALL_STATE(20899)] = 826378,
  [SMALL_STATE(20900)] = 826392,
  [SMALL_STATE(20901)] = 826406,
  [SMALL_STATE(20902)] = 826420,
  [SMALL_STATE(20903)] = 826434,
  [SMALL_STATE(20904)] = 826448,
  [SMALL_STATE(20905)] = 826462,
  [SMALL_STATE(20906)] = 826476,
  [SMALL_STATE(20907)] = 826490,
  [SMALL_STATE(20908)] = 826504,
  [SMALL_STATE(20909)] = 826518,
  [SMALL_STATE(20910)] = 826532,
  [SMALL_STATE(20911)] = 826546,
  [SMALL_STATE(20912)] = 826560,
  [SMALL_STATE(20913)] = 826574,
  [SMALL_STATE(20914)] = 826588,
  [SMALL_STATE(20915)] = 826602,
  [SMALL_STATE(20916)] = 826616,
  [SMALL_STATE(20917)] = 826630,
  [SMALL_STATE(20918)] = 826644,
  [SMALL_STATE(20919)] = 826658,
  [SMALL_STATE(20920)] = 826672,
  [SMALL_STATE(20921)] = 826686,
  [SMALL_STATE(20922)] = 826700,
  [SMALL_STATE(20923)] = 826714,
  [SMALL_STATE(20924)] = 826728,
  [SMALL_STATE(20925)] = 826742,
  [SMALL_STATE(20926)] = 826756,
  [SMALL_STATE(20927)] = 826770,
  [SMALL_STATE(20928)] = 826784,
  [SMALL_STATE(20929)] = 826798,
  [SMALL_STATE(20930)] = 826812,
  [SMALL_STATE(20931)] = 826826,
  [SMALL_STATE(20932)] = 826840,
  [SMALL_STATE(20933)] = 826854,
  [SMALL_STATE(20934)] = 826868,
  [SMALL_STATE(20935)] = 826882,
  [SMALL_STATE(20936)] = 826896,
  [SMALL_STATE(20937)] = 826910,
  [SMALL_STATE(20938)] = 826924,
  [SMALL_STATE(20939)] = 826938,
  [SMALL_STATE(20940)] = 826952,
  [SMALL_STATE(20941)] = 826966,
  [SMALL_STATE(20942)] = 826980,
  [SMALL_STATE(20943)] = 826994,
  [SMALL_STATE(20944)] = 827008,
  [SMALL_STATE(20945)] = 827022,
  [SMALL_STATE(20946)] = 827036,
  [SMALL_STATE(20947)] = 827050,
  [SMALL_STATE(20948)] = 827064,
  [SMALL_STATE(20949)] = 827078,
  [SMALL_STATE(20950)] = 827092,
  [SMALL_STATE(20951)] = 827106,
  [SMALL_STATE(20952)] = 827120,
  [SMALL_STATE(20953)] = 827134,
  [SMALL_STATE(20954)] = 827148,
  [SMALL_STATE(20955)] = 827162,
  [SMALL_STATE(20956)] = 827176,
  [SMALL_STATE(20957)] = 827190,
  [SMALL_STATE(20958)] = 827204,
  [SMALL_STATE(20959)] = 827218,
  [SMALL_STATE(20960)] = 827232,
  [SMALL_STATE(20961)] = 827246,
  [SMALL_STATE(20962)] = 827260,
  [SMALL_STATE(20963)] = 827274,
  [SMALL_STATE(20964)] = 827288,
  [SMALL_STATE(20965)] = 827302,
  [SMALL_STATE(20966)] = 827316,
  [SMALL_STATE(20967)] = 827330,
  [SMALL_STATE(20968)] = 827344,
  [SMALL_STATE(20969)] = 827358,
  [SMALL_STATE(20970)] = 827372,
  [SMALL_STATE(20971)] = 827386,
  [SMALL_STATE(20972)] = 827400,
  [SMALL_STATE(20973)] = 827414,
  [SMALL_STATE(20974)] = 827428,
  [SMALL_STATE(20975)] = 827442,
  [SMALL_STATE(20976)] = 827456,
  [SMALL_STATE(20977)] = 827470,
  [SMALL_STATE(20978)] = 827484,
  [SMALL_STATE(20979)] = 827498,
  [SMALL_STATE(20980)] = 827512,
  [SMALL_STATE(20981)] = 827526,
  [SMALL_STATE(20982)] = 827540,
  [SMALL_STATE(20983)] = 827554,
  [SMALL_STATE(20984)] = 827568,
  [SMALL_STATE(20985)] = 827582,
  [SMALL_STATE(20986)] = 827596,
  [SMALL_STATE(20987)] = 827610,
  [SMALL_STATE(20988)] = 827624,
  [SMALL_STATE(20989)] = 827638,
  [SMALL_STATE(20990)] = 827652,
  [SMALL_STATE(20991)] = 827666,
  [SMALL_STATE(20992)] = 827680,
  [SMALL_STATE(20993)] = 827694,
  [SMALL_STATE(20994)] = 827708,
  [SMALL_STATE(20995)] = 827722,
  [SMALL_STATE(20996)] = 827736,
  [SMALL_STATE(20997)] = 827750,
  [SMALL_STATE(20998)] = 827764,
  [SMALL_STATE(20999)] = 827778,
  [SMALL_STATE(21000)] = 827792,
  [SMALL_STATE(21001)] = 827806,
  [SMALL_STATE(21002)] = 827820,
  [SMALL_STATE(21003)] = 827834,
  [SMALL_STATE(21004)] = 827848,
  [SMALL_STATE(21005)] = 827862,
  [SMALL_STATE(21006)] = 827876,
  [SMALL_STATE(21007)] = 827890,
  [SMALL_STATE(21008)] = 827904,
  [SMALL_STATE(21009)] = 827918,
  [SMALL_STATE(21010)] = 827932,
  [SMALL_STATE(21011)] = 827946,
  [SMALL_STATE(21012)] = 827960,
  [SMALL_STATE(21013)] = 827974,
  [SMALL_STATE(21014)] = 827988,
  [SMALL_STATE(21015)] = 828002,
  [SMALL_STATE(21016)] = 828016,
  [SMALL_STATE(21017)] = 828030,
  [SMALL_STATE(21018)] = 828044,
  [SMALL_STATE(21019)] = 828058,
  [SMALL_STATE(21020)] = 828072,
  [SMALL_STATE(21021)] = 828086,
  [SMALL_STATE(21022)] = 828100,
  [SMALL_STATE(21023)] = 828114,
  [SMALL_STATE(21024)] = 828128,
  [SMALL_STATE(21025)] = 828142,
  [SMALL_STATE(21026)] = 828156,
  [SMALL_STATE(21027)] = 828170,
  [SMALL_STATE(21028)] = 828184,
  [SMALL_STATE(21029)] = 828198,
  [SMALL_STATE(21030)] = 828212,
  [SMALL_STATE(21031)] = 828226,
  [SMALL_STATE(21032)] = 828240,
  [SMALL_STATE(21033)] = 828254,
  [SMALL_STATE(21034)] = 828268,
  [SMALL_STATE(21035)] = 828282,
  [SMALL_STATE(21036)] = 828296,
  [SMALL_STATE(21037)] = 828310,
  [SMALL_STATE(21038)] = 828324,
  [SMALL_STATE(21039)] = 828338,
  [SMALL_STATE(21040)] = 828352,
  [SMALL_STATE(21041)] = 828366,
  [SMALL_STATE(21042)] = 828380,
  [SMALL_STATE(21043)] = 828394,
  [SMALL_STATE(21044)] = 828408,
  [SMALL_STATE(21045)] = 828422,
  [SMALL_STATE(21046)] = 828436,
  [SMALL_STATE(21047)] = 828450,
  [SMALL_STATE(21048)] = 828464,
  [SMALL_STATE(21049)] = 828478,
  [SMALL_STATE(21050)] = 828492,
  [SMALL_STATE(21051)] = 828506,
  [SMALL_STATE(21052)] = 828520,
  [SMALL_STATE(21053)] = 828534,
  [SMALL_STATE(21054)] = 828548,
  [SMALL_STATE(21055)] = 828562,
  [SMALL_STATE(21056)] = 828576,
  [SMALL_STATE(21057)] = 828590,
  [SMALL_STATE(21058)] = 828604,
  [SMALL_STATE(21059)] = 828618,
  [SMALL_STATE(21060)] = 828632,
  [SMALL_STATE(21061)] = 828646,
  [SMALL_STATE(21062)] = 828660,
  [SMALL_STATE(21063)] = 828674,
  [SMALL_STATE(21064)] = 828688,
  [SMALL_STATE(21065)] = 828702,
  [SMALL_STATE(21066)] = 828716,
  [SMALL_STATE(21067)] = 828730,
  [SMALL_STATE(21068)] = 828744,
  [SMALL_STATE(21069)] = 828758,
  [SMALL_STATE(21070)] = 828772,
  [SMALL_STATE(21071)] = 828786,
  [SMALL_STATE(21072)] = 828800,
  [SMALL_STATE(21073)] = 828814,
  [SMALL_STATE(21074)] = 828828,
  [SMALL_STATE(21075)] = 828842,
  [SMALL_STATE(21076)] = 828856,
  [SMALL_STATE(21077)] = 828870,
  [SMALL_STATE(21078)] = 828884,
  [SMALL_STATE(21079)] = 828898,
  [SMALL_STATE(21080)] = 828912,
  [SMALL_STATE(21081)] = 828926,
  [SMALL_STATE(21082)] = 828940,
  [SMALL_STATE(21083)] = 828954,
  [SMALL_STATE(21084)] = 828968,
  [SMALL_STATE(21085)] = 828982,
  [SMALL_STATE(21086)] = 828996,
  [SMALL_STATE(21087)] = 829010,
  [SMALL_STATE(21088)] = 829024,
  [SMALL_STATE(21089)] = 829038,
  [SMALL_STATE(21090)] = 829052,
  [SMALL_STATE(21091)] = 829066,
  [SMALL_STATE(21092)] = 829080,
  [SMALL_STATE(21093)] = 829094,
  [SMALL_STATE(21094)] = 829108,
  [SMALL_STATE(21095)] = 829122,
  [SMALL_STATE(21096)] = 829136,
  [SMALL_STATE(21097)] = 829150,
  [SMALL_STATE(21098)] = 829164,
  [SMALL_STATE(21099)] = 829178,
  [SMALL_STATE(21100)] = 829192,
  [SMALL_STATE(21101)] = 829206,
  [SMALL_STATE(21102)] = 829220,
  [SMALL_STATE(21103)] = 829234,
  [SMALL_STATE(21104)] = 829248,
  [SMALL_STATE(21105)] = 829262,
  [SMALL_STATE(21106)] = 829276,
  [SMALL_STATE(21107)] = 829290,
  [SMALL_STATE(21108)] = 829304,
  [SMALL_STATE(21109)] = 829318,
  [SMALL_STATE(21110)] = 829332,
  [SMALL_STATE(21111)] = 829346,
  [SMALL_STATE(21112)] = 829360,
  [SMALL_STATE(21113)] = 829374,
  [SMALL_STATE(21114)] = 829388,
  [SMALL_STATE(21115)] = 829402,
  [SMALL_STATE(21116)] = 829416,
  [SMALL_STATE(21117)] = 829430,
  [SMALL_STATE(21118)] = 829444,
  [SMALL_STATE(21119)] = 829458,
  [SMALL_STATE(21120)] = 829472,
  [SMALL_STATE(21121)] = 829486,
  [SMALL_STATE(21122)] = 829500,
  [SMALL_STATE(21123)] = 829514,
  [SMALL_STATE(21124)] = 829528,
  [SMALL_STATE(21125)] = 829542,
  [SMALL_STATE(21126)] = 829556,
  [SMALL_STATE(21127)] = 829570,
  [SMALL_STATE(21128)] = 829584,
  [SMALL_STATE(21129)] = 829598,
  [SMALL_STATE(21130)] = 829612,
  [SMALL_STATE(21131)] = 829626,
  [SMALL_STATE(21132)] = 829640,
  [SMALL_STATE(21133)] = 829654,
  [SMALL_STATE(21134)] = 829668,
  [SMALL_STATE(21135)] = 829682,
  [SMALL_STATE(21136)] = 829696,
  [SMALL_STATE(21137)] = 829710,
  [SMALL_STATE(21138)] = 829724,
  [SMALL_STATE(21139)] = 829738,
  [SMALL_STATE(21140)] = 829752,
  [SMALL_STATE(21141)] = 829766,
  [SMALL_STATE(21142)] = 829780,
  [SMALL_STATE(21143)] = 829794,
  [SMALL_STATE(21144)] = 829808,
  [SMALL_STATE(21145)] = 829822,
  [SMALL_STATE(21146)] = 829836,
  [SMALL_STATE(21147)] = 829850,
  [SMALL_STATE(21148)] = 829864,
  [SMALL_STATE(21149)] = 829878,
  [SMALL_STATE(21150)] = 829892,
  [SMALL_STATE(21151)] = 829906,
  [SMALL_STATE(21152)] = 829920,
  [SMALL_STATE(21153)] = 829934,
  [SMALL_STATE(21154)] = 829948,
  [SMALL_STATE(21155)] = 829962,
  [SMALL_STATE(21156)] = 829976,
  [SMALL_STATE(21157)] = 829990,
  [SMALL_STATE(21158)] = 830004,
  [SMALL_STATE(21159)] = 830018,
  [SMALL_STATE(21160)] = 830032,
  [SMALL_STATE(21161)] = 830046,
  [SMALL_STATE(21162)] = 830060,
  [SMALL_STATE(21163)] = 830074,
  [SMALL_STATE(21164)] = 830088,
  [SMALL_STATE(21165)] = 830102,
  [SMALL_STATE(21166)] = 830116,
  [SMALL_STATE(21167)] = 830130,
  [SMALL_STATE(21168)] = 830144,
  [SMALL_STATE(21169)] = 830158,
  [SMALL_STATE(21170)] = 830172,
  [SMALL_STATE(21171)] = 830186,
  [SMALL_STATE(21172)] = 830200,
  [SMALL_STATE(21173)] = 830214,
  [SMALL_STATE(21174)] = 830228,
  [SMALL_STATE(21175)] = 830242,
  [SMALL_STATE(21176)] = 830256,
  [SMALL_STATE(21177)] = 830270,
  [SMALL_STATE(21178)] = 830284,
  [SMALL_STATE(21179)] = 830298,
  [SMALL_STATE(21180)] = 830312,
  [SMALL_STATE(21181)] = 830326,
  [SMALL_STATE(21182)] = 830340,
  [SMALL_STATE(21183)] = 830354,
  [SMALL_STATE(21184)] = 830368,
  [SMALL_STATE(21185)] = 830382,
  [SMALL_STATE(21186)] = 830396,
  [SMALL_STATE(21187)] = 830410,
  [SMALL_STATE(21188)] = 830424,
  [SMALL_STATE(21189)] = 830438,
  [SMALL_STATE(21190)] = 830452,
  [SMALL_STATE(21191)] = 830466,
  [SMALL_STATE(21192)] = 830480,
  [SMALL_STATE(21193)] = 830494,
  [SMALL_STATE(21194)] = 830508,
  [SMALL_STATE(21195)] = 830522,
  [SMALL_STATE(21196)] = 830536,
  [SMALL_STATE(21197)] = 830550,
  [SMALL_STATE(21198)] = 830564,
  [SMALL_STATE(21199)] = 830578,
  [SMALL_STATE(21200)] = 830592,
  [SMALL_STATE(21201)] = 830606,
  [SMALL_STATE(21202)] = 830620,
  [SMALL_STATE(21203)] = 830634,
  [SMALL_STATE(21204)] = 830648,
  [SMALL_STATE(21205)] = 830662,
  [SMALL_STATE(21206)] = 830676,
  [SMALL_STATE(21207)] = 830690,
  [SMALL_STATE(21208)] = 830704,
  [SMALL_STATE(21209)] = 830718,
  [SMALL_STATE(21210)] = 830732,
  [SMALL_STATE(21211)] = 830746,
  [SMALL_STATE(21212)] = 830760,
  [SMALL_STATE(21213)] = 830774,
  [SMALL_STATE(21214)] = 830788,
  [SMALL_STATE(21215)] = 830802,
  [SMALL_STATE(21216)] = 830816,
  [SMALL_STATE(21217)] = 830830,
  [SMALL_STATE(21218)] = 830844,
  [SMALL_STATE(21219)] = 830858,
  [SMALL_STATE(21220)] = 830872,
  [SMALL_STATE(21221)] = 830886,
  [SMALL_STATE(21222)] = 830900,
  [SMALL_STATE(21223)] = 830914,
  [SMALL_STATE(21224)] = 830928,
  [SMALL_STATE(21225)] = 830942,
  [SMALL_STATE(21226)] = 830956,
  [SMALL_STATE(21227)] = 830970,
  [SMALL_STATE(21228)] = 830984,
  [SMALL_STATE(21229)] = 830998,
  [SMALL_STATE(21230)] = 831012,
  [SMALL_STATE(21231)] = 831026,
  [SMALL_STATE(21232)] = 831040,
  [SMALL_STATE(21233)] = 831054,
  [SMALL_STATE(21234)] = 831068,
  [SMALL_STATE(21235)] = 831082,
  [SMALL_STATE(21236)] = 831096,
  [SMALL_STATE(21237)] = 831110,
  [SMALL_STATE(21238)] = 831124,
  [SMALL_STATE(21239)] = 831138,
  [SMALL_STATE(21240)] = 831152,
  [SMALL_STATE(21241)] = 831166,
  [SMALL_STATE(21242)] = 831180,
  [SMALL_STATE(21243)] = 831194,
  [SMALL_STATE(21244)] = 831208,
  [SMALL_STATE(21245)] = 831222,
  [SMALL_STATE(21246)] = 831236,
  [SMALL_STATE(21247)] = 831250,
  [SMALL_STATE(21248)] = 831264,
  [SMALL_STATE(21249)] = 831278,
  [SMALL_STATE(21250)] = 831292,
  [SMALL_STATE(21251)] = 831306,
  [SMALL_STATE(21252)] = 831320,
  [SMALL_STATE(21253)] = 831334,
  [SMALL_STATE(21254)] = 831348,
  [SMALL_STATE(21255)] = 831362,
  [SMALL_STATE(21256)] = 831376,
  [SMALL_STATE(21257)] = 831390,
  [SMALL_STATE(21258)] = 831404,
  [SMALL_STATE(21259)] = 831418,
  [SMALL_STATE(21260)] = 831432,
  [SMALL_STATE(21261)] = 831446,
  [SMALL_STATE(21262)] = 831460,
  [SMALL_STATE(21263)] = 831474,
  [SMALL_STATE(21264)] = 831488,
  [SMALL_STATE(21265)] = 831502,
  [SMALL_STATE(21266)] = 831516,
  [SMALL_STATE(21267)] = 831530,
  [SMALL_STATE(21268)] = 831544,
  [SMALL_STATE(21269)] = 831558,
  [SMALL_STATE(21270)] = 831572,
  [SMALL_STATE(21271)] = 831586,
  [SMALL_STATE(21272)] = 831600,
  [SMALL_STATE(21273)] = 831614,
  [SMALL_STATE(21274)] = 831628,
  [SMALL_STATE(21275)] = 831642,
  [SMALL_STATE(21276)] = 831656,
  [SMALL_STATE(21277)] = 831670,
  [SMALL_STATE(21278)] = 831684,
  [SMALL_STATE(21279)] = 831698,
  [SMALL_STATE(21280)] = 831712,
  [SMALL_STATE(21281)] = 831726,
  [SMALL_STATE(21282)] = 831740,
  [SMALL_STATE(21283)] = 831754,
  [SMALL_STATE(21284)] = 831768,
  [SMALL_STATE(21285)] = 831782,
  [SMALL_STATE(21286)] = 831796,
  [SMALL_STATE(21287)] = 831810,
  [SMALL_STATE(21288)] = 831824,
  [SMALL_STATE(21289)] = 831838,
  [SMALL_STATE(21290)] = 831852,
  [SMALL_STATE(21291)] = 831866,
  [SMALL_STATE(21292)] = 831880,
  [SMALL_STATE(21293)] = 831894,
  [SMALL_STATE(21294)] = 831908,
  [SMALL_STATE(21295)] = 831922,
  [SMALL_STATE(21296)] = 831936,
  [SMALL_STATE(21297)] = 831950,
  [SMALL_STATE(21298)] = 831964,
  [SMALL_STATE(21299)] = 831978,
  [SMALL_STATE(21300)] = 831992,
  [SMALL_STATE(21301)] = 832006,
  [SMALL_STATE(21302)] = 832020,
  [SMALL_STATE(21303)] = 832034,
  [SMALL_STATE(21304)] = 832048,
  [SMALL_STATE(21305)] = 832062,
  [SMALL_STATE(21306)] = 832076,
  [SMALL_STATE(21307)] = 832090,
  [SMALL_STATE(21308)] = 832104,
  [SMALL_STATE(21309)] = 832118,
  [SMALL_STATE(21310)] = 832132,
  [SMALL_STATE(21311)] = 832146,
  [SMALL_STATE(21312)] = 832160,
  [SMALL_STATE(21313)] = 832174,
  [SMALL_STATE(21314)] = 832188,
  [SMALL_STATE(21315)] = 832202,
  [SMALL_STATE(21316)] = 832216,
  [SMALL_STATE(21317)] = 832230,
  [SMALL_STATE(21318)] = 832244,
  [SMALL_STATE(21319)] = 832258,
  [SMALL_STATE(21320)] = 832272,
  [SMALL_STATE(21321)] = 832286,
  [SMALL_STATE(21322)] = 832300,
  [SMALL_STATE(21323)] = 832314,
  [SMALL_STATE(21324)] = 832328,
  [SMALL_STATE(21325)] = 832342,
  [SMALL_STATE(21326)] = 832356,
  [SMALL_STATE(21327)] = 832370,
  [SMALL_STATE(21328)] = 832384,
  [SMALL_STATE(21329)] = 832398,
  [SMALL_STATE(21330)] = 832412,
  [SMALL_STATE(21331)] = 832426,
  [SMALL_STATE(21332)] = 832440,
  [SMALL_STATE(21333)] = 832454,
  [SMALL_STATE(21334)] = 832468,
  [SMALL_STATE(21335)] = 832482,
  [SMALL_STATE(21336)] = 832496,
  [SMALL_STATE(21337)] = 832510,
  [SMALL_STATE(21338)] = 832524,
  [SMALL_STATE(21339)] = 832538,
  [SMALL_STATE(21340)] = 832552,
  [SMALL_STATE(21341)] = 832566,
  [SMALL_STATE(21342)] = 832580,
  [SMALL_STATE(21343)] = 832594,
  [SMALL_STATE(21344)] = 832608,
  [SMALL_STATE(21345)] = 832622,
  [SMALL_STATE(21346)] = 832636,
  [SMALL_STATE(21347)] = 832650,
  [SMALL_STATE(21348)] = 832664,
  [SMALL_STATE(21349)] = 832678,
  [SMALL_STATE(21350)] = 832692,
  [SMALL_STATE(21351)] = 832706,
  [SMALL_STATE(21352)] = 832720,
  [SMALL_STATE(21353)] = 832734,
  [SMALL_STATE(21354)] = 832748,
  [SMALL_STATE(21355)] = 832762,
  [SMALL_STATE(21356)] = 832776,
  [SMALL_STATE(21357)] = 832790,
  [SMALL_STATE(21358)] = 832804,
  [SMALL_STATE(21359)] = 832818,
  [SMALL_STATE(21360)] = 832832,
  [SMALL_STATE(21361)] = 832846,
  [SMALL_STATE(21362)] = 832860,
  [SMALL_STATE(21363)] = 832874,
  [SMALL_STATE(21364)] = 832888,
  [SMALL_STATE(21365)] = 832902,
  [SMALL_STATE(21366)] = 832916,
  [SMALL_STATE(21367)] = 832930,
  [SMALL_STATE(21368)] = 832944,
  [SMALL_STATE(21369)] = 832958,
  [SMALL_STATE(21370)] = 832972,
  [SMALL_STATE(21371)] = 832986,
  [SMALL_STATE(21372)] = 833000,
  [SMALL_STATE(21373)] = 833014,
  [SMALL_STATE(21374)] = 833028,
  [SMALL_STATE(21375)] = 833042,
  [SMALL_STATE(21376)] = 833056,
  [SMALL_STATE(21377)] = 833070,
  [SMALL_STATE(21378)] = 833084,
  [SMALL_STATE(21379)] = 833098,
  [SMALL_STATE(21380)] = 833112,
  [SMALL_STATE(21381)] = 833126,
  [SMALL_STATE(21382)] = 833140,
  [SMALL_STATE(21383)] = 833154,
  [SMALL_STATE(21384)] = 833168,
  [SMALL_STATE(21385)] = 833182,
  [SMALL_STATE(21386)] = 833196,
  [SMALL_STATE(21387)] = 833210,
  [SMALL_STATE(21388)] = 833224,
  [SMALL_STATE(21389)] = 833238,
  [SMALL_STATE(21390)] = 833252,
  [SMALL_STATE(21391)] = 833266,
  [SMALL_STATE(21392)] = 833280,
  [SMALL_STATE(21393)] = 833294,
  [SMALL_STATE(21394)] = 833308,
  [SMALL_STATE(21395)] = 833322,
  [SMALL_STATE(21396)] = 833336,
  [SMALL_STATE(21397)] = 833350,
  [SMALL_STATE(21398)] = 833364,
  [SMALL_STATE(21399)] = 833378,
  [SMALL_STATE(21400)] = 833392,
  [SMALL_STATE(21401)] = 833406,
  [SMALL_STATE(21402)] = 833420,
  [SMALL_STATE(21403)] = 833434,
  [SMALL_STATE(21404)] = 833448,
  [SMALL_STATE(21405)] = 833462,
  [SMALL_STATE(21406)] = 833476,
  [SMALL_STATE(21407)] = 833490,
  [SMALL_STATE(21408)] = 833504,
  [SMALL_STATE(21409)] = 833518,
  [SMALL_STATE(21410)] = 833532,
  [SMALL_STATE(21411)] = 833546,
  [SMALL_STATE(21412)] = 833560,
  [SMALL_STATE(21413)] = 833574,
  [SMALL_STATE(21414)] = 833588,
  [SMALL_STATE(21415)] = 833602,
  [SMALL_STATE(21416)] = 833616,
  [SMALL_STATE(21417)] = 833630,
  [SMALL_STATE(21418)] = 833644,
  [SMALL_STATE(21419)] = 833658,
  [SMALL_STATE(21420)] = 833672,
  [SMALL_STATE(21421)] = 833686,
  [SMALL_STATE(21422)] = 833700,
  [SMALL_STATE(21423)] = 833714,
  [SMALL_STATE(21424)] = 833728,
  [SMALL_STATE(21425)] = 833742,
  [SMALL_STATE(21426)] = 833756,
  [SMALL_STATE(21427)] = 833770,
  [SMALL_STATE(21428)] = 833784,
  [SMALL_STATE(21429)] = 833798,
  [SMALL_STATE(21430)] = 833812,
  [SMALL_STATE(21431)] = 833826,
  [SMALL_STATE(21432)] = 833840,
  [SMALL_STATE(21433)] = 833854,
  [SMALL_STATE(21434)] = 833868,
  [SMALL_STATE(21435)] = 833882,
  [SMALL_STATE(21436)] = 833896,
  [SMALL_STATE(21437)] = 833910,
  [SMALL_STATE(21438)] = 833924,
  [SMALL_STATE(21439)] = 833938,
  [SMALL_STATE(21440)] = 833952,
  [SMALL_STATE(21441)] = 833966,
  [SMALL_STATE(21442)] = 833980,
  [SMALL_STATE(21443)] = 833994,
  [SMALL_STATE(21444)] = 834008,
  [SMALL_STATE(21445)] = 834022,
  [SMALL_STATE(21446)] = 834036,
  [SMALL_STATE(21447)] = 834050,
  [SMALL_STATE(21448)] = 834064,
  [SMALL_STATE(21449)] = 834078,
  [SMALL_STATE(21450)] = 834092,
  [SMALL_STATE(21451)] = 834106,
  [SMALL_STATE(21452)] = 834120,
  [SMALL_STATE(21453)] = 834134,
  [SMALL_STATE(21454)] = 834148,
  [SMALL_STATE(21455)] = 834162,
  [SMALL_STATE(21456)] = 834176,
  [SMALL_STATE(21457)] = 834190,
  [SMALL_STATE(21458)] = 834204,
  [SMALL_STATE(21459)] = 834218,
  [SMALL_STATE(21460)] = 834232,
  [SMALL_STATE(21461)] = 834246,
  [SMALL_STATE(21462)] = 834260,
  [SMALL_STATE(21463)] = 834274,
  [SMALL_STATE(21464)] = 834288,
  [SMALL_STATE(21465)] = 834302,
  [SMALL_STATE(21466)] = 834316,
  [SMALL_STATE(21467)] = 834330,
  [SMALL_STATE(21468)] = 834344,
  [SMALL_STATE(21469)] = 834358,
  [SMALL_STATE(21470)] = 834372,
  [SMALL_STATE(21471)] = 834386,
  [SMALL_STATE(21472)] = 834400,
  [SMALL_STATE(21473)] = 834414,
  [SMALL_STATE(21474)] = 834428,
  [SMALL_STATE(21475)] = 834442,
  [SMALL_STATE(21476)] = 834456,
  [SMALL_STATE(21477)] = 834470,
  [SMALL_STATE(21478)] = 834484,
  [SMALL_STATE(21479)] = 834498,
  [SMALL_STATE(21480)] = 834512,
  [SMALL_STATE(21481)] = 834526,
  [SMALL_STATE(21482)] = 834540,
  [SMALL_STATE(21483)] = 834554,
  [SMALL_STATE(21484)] = 834568,
  [SMALL_STATE(21485)] = 834582,
  [SMALL_STATE(21486)] = 834596,
  [SMALL_STATE(21487)] = 834610,
  [SMALL_STATE(21488)] = 834624,
  [SMALL_STATE(21489)] = 834638,
  [SMALL_STATE(21490)] = 834652,
  [SMALL_STATE(21491)] = 834666,
  [SMALL_STATE(21492)] = 834680,
  [SMALL_STATE(21493)] = 834694,
  [SMALL_STATE(21494)] = 834708,
  [SMALL_STATE(21495)] = 834722,
  [SMALL_STATE(21496)] = 834736,
  [SMALL_STATE(21497)] = 834750,
  [SMALL_STATE(21498)] = 834764,
  [SMALL_STATE(21499)] = 834778,
  [SMALL_STATE(21500)] = 834792,
  [SMALL_STATE(21501)] = 834806,
  [SMALL_STATE(21502)] = 834820,
  [SMALL_STATE(21503)] = 834834,
  [SMALL_STATE(21504)] = 834848,
  [SMALL_STATE(21505)] = 834862,
  [SMALL_STATE(21506)] = 834876,
  [SMALL_STATE(21507)] = 834890,
  [SMALL_STATE(21508)] = 834904,
  [SMALL_STATE(21509)] = 834918,
  [SMALL_STATE(21510)] = 834932,
  [SMALL_STATE(21511)] = 834946,
  [SMALL_STATE(21512)] = 834960,
  [SMALL_STATE(21513)] = 834974,
  [SMALL_STATE(21514)] = 834988,
  [SMALL_STATE(21515)] = 835002,
  [SMALL_STATE(21516)] = 835016,
  [SMALL_STATE(21517)] = 835030,
  [SMALL_STATE(21518)] = 835044,
  [SMALL_STATE(21519)] = 835058,
  [SMALL_STATE(21520)] = 835072,
  [SMALL_STATE(21521)] = 835086,
  [SMALL_STATE(21522)] = 835100,
  [SMALL_STATE(21523)] = 835114,
  [SMALL_STATE(21524)] = 835128,
  [SMALL_STATE(21525)] = 835142,
  [SMALL_STATE(21526)] = 835156,
  [SMALL_STATE(21527)] = 835170,
  [SMALL_STATE(21528)] = 835184,
  [SMALL_STATE(21529)] = 835198,
  [SMALL_STATE(21530)] = 835212,
  [SMALL_STATE(21531)] = 835226,
  [SMALL_STATE(21532)] = 835240,
  [SMALL_STATE(21533)] = 835254,
  [SMALL_STATE(21534)] = 835268,
  [SMALL_STATE(21535)] = 835282,
  [SMALL_STATE(21536)] = 835296,
  [SMALL_STATE(21537)] = 835310,
  [SMALL_STATE(21538)] = 835324,
  [SMALL_STATE(21539)] = 835338,
  [SMALL_STATE(21540)] = 835352,
  [SMALL_STATE(21541)] = 835366,
  [SMALL_STATE(21542)] = 835380,
  [SMALL_STATE(21543)] = 835394,
  [SMALL_STATE(21544)] = 835408,
  [SMALL_STATE(21545)] = 835422,
  [SMALL_STATE(21546)] = 835436,
  [SMALL_STATE(21547)] = 835450,
  [SMALL_STATE(21548)] = 835464,
  [SMALL_STATE(21549)] = 835478,
  [SMALL_STATE(21550)] = 835492,
  [SMALL_STATE(21551)] = 835506,
  [SMALL_STATE(21552)] = 835520,
  [SMALL_STATE(21553)] = 835534,
  [SMALL_STATE(21554)] = 835548,
  [SMALL_STATE(21555)] = 835562,
  [SMALL_STATE(21556)] = 835576,
  [SMALL_STATE(21557)] = 835590,
  [SMALL_STATE(21558)] = 835604,
  [SMALL_STATE(21559)] = 835618,
  [SMALL_STATE(21560)] = 835632,
  [SMALL_STATE(21561)] = 835646,
  [SMALL_STATE(21562)] = 835660,
  [SMALL_STATE(21563)] = 835674,
  [SMALL_STATE(21564)] = 835688,
  [SMALL_STATE(21565)] = 835702,
  [SMALL_STATE(21566)] = 835716,
  [SMALL_STATE(21567)] = 835730,
  [SMALL_STATE(21568)] = 835744,
  [SMALL_STATE(21569)] = 835758,
  [SMALL_STATE(21570)] = 835772,
  [SMALL_STATE(21571)] = 835786,
  [SMALL_STATE(21572)] = 835800,
  [SMALL_STATE(21573)] = 835814,
  [SMALL_STATE(21574)] = 835828,
  [SMALL_STATE(21575)] = 835842,
  [SMALL_STATE(21576)] = 835856,
  [SMALL_STATE(21577)] = 835870,
  [SMALL_STATE(21578)] = 835884,
  [SMALL_STATE(21579)] = 835898,
  [SMALL_STATE(21580)] = 835912,
  [SMALL_STATE(21581)] = 835926,
  [SMALL_STATE(21582)] = 835940,
  [SMALL_STATE(21583)] = 835954,
  [SMALL_STATE(21584)] = 835968,
  [SMALL_STATE(21585)] = 835982,
  [SMALL_STATE(21586)] = 835996,
  [SMALL_STATE(21587)] = 836010,
  [SMALL_STATE(21588)] = 836024,
  [SMALL_STATE(21589)] = 836038,
  [SMALL_STATE(21590)] = 836052,
  [SMALL_STATE(21591)] = 836066,
  [SMALL_STATE(21592)] = 836080,
  [SMALL_STATE(21593)] = 836094,
  [SMALL_STATE(21594)] = 836108,
  [SMALL_STATE(21595)] = 836122,
  [SMALL_STATE(21596)] = 836136,
  [SMALL_STATE(21597)] = 836150,
  [SMALL_STATE(21598)] = 836164,
  [SMALL_STATE(21599)] = 836178,
  [SMALL_STATE(21600)] = 836192,
  [SMALL_STATE(21601)] = 836206,
  [SMALL_STATE(21602)] = 836220,
  [SMALL_STATE(21603)] = 836234,
  [SMALL_STATE(21604)] = 836248,
  [SMALL_STATE(21605)] = 836262,
  [SMALL_STATE(21606)] = 836276,
  [SMALL_STATE(21607)] = 836290,
  [SMALL_STATE(21608)] = 836304,
  [SMALL_STATE(21609)] = 836318,
  [SMALL_STATE(21610)] = 836332,
  [SMALL_STATE(21611)] = 836346,
  [SMALL_STATE(21612)] = 836360,
  [SMALL_STATE(21613)] = 836374,
  [SMALL_STATE(21614)] = 836388,
  [SMALL_STATE(21615)] = 836402,
  [SMALL_STATE(21616)] = 836416,
  [SMALL_STATE(21617)] = 836430,
  [SMALL_STATE(21618)] = 836444,
  [SMALL_STATE(21619)] = 836458,
  [SMALL_STATE(21620)] = 836472,
  [SMALL_STATE(21621)] = 836486,
  [SMALL_STATE(21622)] = 836500,
  [SMALL_STATE(21623)] = 836514,
  [SMALL_STATE(21624)] = 836528,
  [SMALL_STATE(21625)] = 836542,
  [SMALL_STATE(21626)] = 836556,
  [SMALL_STATE(21627)] = 836570,
  [SMALL_STATE(21628)] = 836584,
  [SMALL_STATE(21629)] = 836598,
  [SMALL_STATE(21630)] = 836612,
  [SMALL_STATE(21631)] = 836626,
  [SMALL_STATE(21632)] = 836640,
  [SMALL_STATE(21633)] = 836654,
  [SMALL_STATE(21634)] = 836668,
  [SMALL_STATE(21635)] = 836682,
  [SMALL_STATE(21636)] = 836696,
  [SMALL_STATE(21637)] = 836710,
  [SMALL_STATE(21638)] = 836724,
  [SMALL_STATE(21639)] = 836738,
  [SMALL_STATE(21640)] = 836752,
  [SMALL_STATE(21641)] = 836766,
  [SMALL_STATE(21642)] = 836780,
  [SMALL_STATE(21643)] = 836794,
  [SMALL_STATE(21644)] = 836808,
  [SMALL_STATE(21645)] = 836822,
  [SMALL_STATE(21646)] = 836836,
  [SMALL_STATE(21647)] = 836850,
  [SMALL_STATE(21648)] = 836864,
  [SMALL_STATE(21649)] = 836878,
  [SMALL_STATE(21650)] = 836892,
  [SMALL_STATE(21651)] = 836906,
  [SMALL_STATE(21652)] = 836920,
  [SMALL_STATE(21653)] = 836934,
  [SMALL_STATE(21654)] = 836948,
  [SMALL_STATE(21655)] = 836962,
  [SMALL_STATE(21656)] = 836976,
  [SMALL_STATE(21657)] = 836990,
  [SMALL_STATE(21658)] = 837004,
  [SMALL_STATE(21659)] = 837018,
  [SMALL_STATE(21660)] = 837032,
  [SMALL_STATE(21661)] = 837046,
  [SMALL_STATE(21662)] = 837060,
  [SMALL_STATE(21663)] = 837074,
  [SMALL_STATE(21664)] = 837088,
  [SMALL_STATE(21665)] = 837102,
  [SMALL_STATE(21666)] = 837116,
  [SMALL_STATE(21667)] = 837130,
  [SMALL_STATE(21668)] = 837144,
  [SMALL_STATE(21669)] = 837158,
  [SMALL_STATE(21670)] = 837172,
  [SMALL_STATE(21671)] = 837186,
  [SMALL_STATE(21672)] = 837200,
  [SMALL_STATE(21673)] = 837214,
  [SMALL_STATE(21674)] = 837228,
  [SMALL_STATE(21675)] = 837242,
  [SMALL_STATE(21676)] = 837256,
  [SMALL_STATE(21677)] = 837270,
  [SMALL_STATE(21678)] = 837284,
  [SMALL_STATE(21679)] = 837298,
  [SMALL_STATE(21680)] = 837312,
  [SMALL_STATE(21681)] = 837326,
  [SMALL_STATE(21682)] = 837340,
  [SMALL_STATE(21683)] = 837354,
  [SMALL_STATE(21684)] = 837368,
  [SMALL_STATE(21685)] = 837382,
  [SMALL_STATE(21686)] = 837396,
  [SMALL_STATE(21687)] = 837410,
  [SMALL_STATE(21688)] = 837424,
  [SMALL_STATE(21689)] = 837438,
  [SMALL_STATE(21690)] = 837452,
  [SMALL_STATE(21691)] = 837466,
  [SMALL_STATE(21692)] = 837480,
  [SMALL_STATE(21693)] = 837494,
  [SMALL_STATE(21694)] = 837508,
  [SMALL_STATE(21695)] = 837522,
  [SMALL_STATE(21696)] = 837536,
  [SMALL_STATE(21697)] = 837550,
  [SMALL_STATE(21698)] = 837564,
  [SMALL_STATE(21699)] = 837578,
  [SMALL_STATE(21700)] = 837592,
  [SMALL_STATE(21701)] = 837606,
  [SMALL_STATE(21702)] = 837620,
  [SMALL_STATE(21703)] = 837634,
  [SMALL_STATE(21704)] = 837648,
  [SMALL_STATE(21705)] = 837662,
  [SMALL_STATE(21706)] = 837676,
  [SMALL_STATE(21707)] = 837690,
  [SMALL_STATE(21708)] = 837704,
  [SMALL_STATE(21709)] = 837718,
  [SMALL_STATE(21710)] = 837732,
  [SMALL_STATE(21711)] = 837746,
  [SMALL_STATE(21712)] = 837760,
  [SMALL_STATE(21713)] = 837774,
  [SMALL_STATE(21714)] = 837788,
  [SMALL_STATE(21715)] = 837802,
  [SMALL_STATE(21716)] = 837816,
  [SMALL_STATE(21717)] = 837830,
  [SMALL_STATE(21718)] = 837844,
  [SMALL_STATE(21719)] = 837858,
  [SMALL_STATE(21720)] = 837872,
  [SMALL_STATE(21721)] = 837886,
  [SMALL_STATE(21722)] = 837900,
  [SMALL_STATE(21723)] = 837914,
  [SMALL_STATE(21724)] = 837928,
  [SMALL_STATE(21725)] = 837942,
  [SMALL_STATE(21726)] = 837956,
  [SMALL_STATE(21727)] = 837970,
  [SMALL_STATE(21728)] = 837984,
  [SMALL_STATE(21729)] = 837998,
  [SMALL_STATE(21730)] = 838012,
  [SMALL_STATE(21731)] = 838026,
  [SMALL_STATE(21732)] = 838040,
  [SMALL_STATE(21733)] = 838054,
  [SMALL_STATE(21734)] = 838068,
  [SMALL_STATE(21735)] = 838082,
  [SMALL_STATE(21736)] = 838096,
  [SMALL_STATE(21737)] = 838110,
  [SMALL_STATE(21738)] = 838124,
  [SMALL_STATE(21739)] = 838138,
  [SMALL_STATE(21740)] = 838152,
  [SMALL_STATE(21741)] = 838166,
  [SMALL_STATE(21742)] = 838180,
  [SMALL_STATE(21743)] = 838194,
  [SMALL_STATE(21744)] = 838208,
  [SMALL_STATE(21745)] = 838222,
  [SMALL_STATE(21746)] = 838236,
  [SMALL_STATE(21747)] = 838250,
  [SMALL_STATE(21748)] = 838264,
  [SMALL_STATE(21749)] = 838278,
  [SMALL_STATE(21750)] = 838292,
  [SMALL_STATE(21751)] = 838306,
  [SMALL_STATE(21752)] = 838320,
  [SMALL_STATE(21753)] = 838334,
  [SMALL_STATE(21754)] = 838348,
  [SMALL_STATE(21755)] = 838362,
  [SMALL_STATE(21756)] = 838376,
  [SMALL_STATE(21757)] = 838390,
  [SMALL_STATE(21758)] = 838404,
  [SMALL_STATE(21759)] = 838418,
  [SMALL_STATE(21760)] = 838432,
  [SMALL_STATE(21761)] = 838446,
  [SMALL_STATE(21762)] = 838460,
  [SMALL_STATE(21763)] = 838474,
  [SMALL_STATE(21764)] = 838488,
  [SMALL_STATE(21765)] = 838502,
  [SMALL_STATE(21766)] = 838516,
  [SMALL_STATE(21767)] = 838530,
  [SMALL_STATE(21768)] = 838544,
  [SMALL_STATE(21769)] = 838558,
  [SMALL_STATE(21770)] = 838572,
  [SMALL_STATE(21771)] = 838586,
  [SMALL_STATE(21772)] = 838600,
  [SMALL_STATE(21773)] = 838614,
  [SMALL_STATE(21774)] = 838628,
  [SMALL_STATE(21775)] = 838642,
  [SMALL_STATE(21776)] = 838656,
  [SMALL_STATE(21777)] = 838670,
  [SMALL_STATE(21778)] = 838684,
  [SMALL_STATE(21779)] = 838698,
  [SMALL_STATE(21780)] = 838712,
  [SMALL_STATE(21781)] = 838726,
  [SMALL_STATE(21782)] = 838740,
  [SMALL_STATE(21783)] = 838754,
  [SMALL_STATE(21784)] = 838768,
  [SMALL_STATE(21785)] = 838782,
  [SMALL_STATE(21786)] = 838796,
  [SMALL_STATE(21787)] = 838810,
  [SMALL_STATE(21788)] = 838824,
  [SMALL_STATE(21789)] = 838838,
  [SMALL_STATE(21790)] = 838852,
  [SMALL_STATE(21791)] = 838866,
  [SMALL_STATE(21792)] = 838880,
  [SMALL_STATE(21793)] = 838894,
  [SMALL_STATE(21794)] = 838908,
  [SMALL_STATE(21795)] = 838922,
  [SMALL_STATE(21796)] = 838936,
  [SMALL_STATE(21797)] = 838950,
  [SMALL_STATE(21798)] = 838964,
  [SMALL_STATE(21799)] = 838978,
  [SMALL_STATE(21800)] = 838992,
  [SMALL_STATE(21801)] = 839006,
  [SMALL_STATE(21802)] = 839020,
  [SMALL_STATE(21803)] = 839034,
  [SMALL_STATE(21804)] = 839048,
  [SMALL_STATE(21805)] = 839062,
  [SMALL_STATE(21806)] = 839076,
  [SMALL_STATE(21807)] = 839090,
  [SMALL_STATE(21808)] = 839104,
  [SMALL_STATE(21809)] = 839118,
  [SMALL_STATE(21810)] = 839132,
  [SMALL_STATE(21811)] = 839146,
  [SMALL_STATE(21812)] = 839160,
  [SMALL_STATE(21813)] = 839174,
  [SMALL_STATE(21814)] = 839188,
  [SMALL_STATE(21815)] = 839202,
  [SMALL_STATE(21816)] = 839216,
  [SMALL_STATE(21817)] = 839230,
  [SMALL_STATE(21818)] = 839244,
  [SMALL_STATE(21819)] = 839258,
  [SMALL_STATE(21820)] = 839272,
  [SMALL_STATE(21821)] = 839286,
  [SMALL_STATE(21822)] = 839300,
  [SMALL_STATE(21823)] = 839314,
  [SMALL_STATE(21824)] = 839328,
  [SMALL_STATE(21825)] = 839342,
  [SMALL_STATE(21826)] = 839356,
  [SMALL_STATE(21827)] = 839370,
  [SMALL_STATE(21828)] = 839384,
  [SMALL_STATE(21829)] = 839398,
  [SMALL_STATE(21830)] = 839412,
  [SMALL_STATE(21831)] = 839426,
  [SMALL_STATE(21832)] = 839440,
  [SMALL_STATE(21833)] = 839454,
  [SMALL_STATE(21834)] = 839468,
  [SMALL_STATE(21835)] = 839482,
  [SMALL_STATE(21836)] = 839496,
  [SMALL_STATE(21837)] = 839510,
  [SMALL_STATE(21838)] = 839524,
  [SMALL_STATE(21839)] = 839538,
  [SMALL_STATE(21840)] = 839552,
  [SMALL_STATE(21841)] = 839566,
  [SMALL_STATE(21842)] = 839580,
  [SMALL_STATE(21843)] = 839594,
  [SMALL_STATE(21844)] = 839608,
  [SMALL_STATE(21845)] = 839622,
  [SMALL_STATE(21846)] = 839636,
  [SMALL_STATE(21847)] = 839650,
  [SMALL_STATE(21848)] = 839664,
  [SMALL_STATE(21849)] = 839678,
  [SMALL_STATE(21850)] = 839692,
  [SMALL_STATE(21851)] = 839706,
  [SMALL_STATE(21852)] = 839720,
  [SMALL_STATE(21853)] = 839734,
  [SMALL_STATE(21854)] = 839748,
  [SMALL_STATE(21855)] = 839762,
  [SMALL_STATE(21856)] = 839776,
  [SMALL_STATE(21857)] = 839790,
  [SMALL_STATE(21858)] = 839804,
  [SMALL_STATE(21859)] = 839818,
  [SMALL_STATE(21860)] = 839832,
  [SMALL_STATE(21861)] = 839846,
  [SMALL_STATE(21862)] = 839860,
  [SMALL_STATE(21863)] = 839874,
  [SMALL_STATE(21864)] = 839888,
  [SMALL_STATE(21865)] = 839902,
  [SMALL_STATE(21866)] = 839916,
  [SMALL_STATE(21867)] = 839930,
  [SMALL_STATE(21868)] = 839944,
  [SMALL_STATE(21869)] = 839958,
  [SMALL_STATE(21870)] = 839972,
  [SMALL_STATE(21871)] = 839986,
  [SMALL_STATE(21872)] = 840000,
  [SMALL_STATE(21873)] = 840014,
  [SMALL_STATE(21874)] = 840028,
  [SMALL_STATE(21875)] = 840042,
  [SMALL_STATE(21876)] = 840056,
  [SMALL_STATE(21877)] = 840070,
  [SMALL_STATE(21878)] = 840084,
  [SMALL_STATE(21879)] = 840098,
  [SMALL_STATE(21880)] = 840112,
  [SMALL_STATE(21881)] = 840126,
  [SMALL_STATE(21882)] = 840140,
  [SMALL_STATE(21883)] = 840154,
  [SMALL_STATE(21884)] = 840168,
  [SMALL_STATE(21885)] = 840182,
  [SMALL_STATE(21886)] = 840196,
  [SMALL_STATE(21887)] = 840210,
  [SMALL_STATE(21888)] = 840224,
  [SMALL_STATE(21889)] = 840238,
  [SMALL_STATE(21890)] = 840252,
  [SMALL_STATE(21891)] = 840266,
  [SMALL_STATE(21892)] = 840280,
  [SMALL_STATE(21893)] = 840294,
  [SMALL_STATE(21894)] = 840308,
  [SMALL_STATE(21895)] = 840322,
  [SMALL_STATE(21896)] = 840336,
  [SMALL_STATE(21897)] = 840350,
  [SMALL_STATE(21898)] = 840364,
  [SMALL_STATE(21899)] = 840378,
  [SMALL_STATE(21900)] = 840392,
  [SMALL_STATE(21901)] = 840406,
  [SMALL_STATE(21902)] = 840420,
  [SMALL_STATE(21903)] = 840434,
  [SMALL_STATE(21904)] = 840448,
  [SMALL_STATE(21905)] = 840462,
  [SMALL_STATE(21906)] = 840476,
  [SMALL_STATE(21907)] = 840490,
  [SMALL_STATE(21908)] = 840504,
  [SMALL_STATE(21909)] = 840518,
  [SMALL_STATE(21910)] = 840532,
  [SMALL_STATE(21911)] = 840546,
  [SMALL_STATE(21912)] = 840560,
  [SMALL_STATE(21913)] = 840574,
  [SMALL_STATE(21914)] = 840588,
  [SMALL_STATE(21915)] = 840602,
  [SMALL_STATE(21916)] = 840616,
  [SMALL_STATE(21917)] = 840630,
  [SMALL_STATE(21918)] = 840644,
  [SMALL_STATE(21919)] = 840658,
  [SMALL_STATE(21920)] = 840672,
  [SMALL_STATE(21921)] = 840686,
  [SMALL_STATE(21922)] = 840700,
  [SMALL_STATE(21923)] = 840714,
  [SMALL_STATE(21924)] = 840728,
  [SMALL_STATE(21925)] = 840742,
  [SMALL_STATE(21926)] = 840756,
  [SMALL_STATE(21927)] = 840770,
  [SMALL_STATE(21928)] = 840784,
  [SMALL_STATE(21929)] = 840798,
  [SMALL_STATE(21930)] = 840812,
  [SMALL_STATE(21931)] = 840826,
  [SMALL_STATE(21932)] = 840840,
  [SMALL_STATE(21933)] = 840854,
  [SMALL_STATE(21934)] = 840868,
  [SMALL_STATE(21935)] = 840882,
  [SMALL_STATE(21936)] = 840896,
  [SMALL_STATE(21937)] = 840910,
  [SMALL_STATE(21938)] = 840924,
  [SMALL_STATE(21939)] = 840938,
  [SMALL_STATE(21940)] = 840952,
  [SMALL_STATE(21941)] = 840966,
  [SMALL_STATE(21942)] = 840980,
  [SMALL_STATE(21943)] = 840994,
  [SMALL_STATE(21944)] = 841008,
  [SMALL_STATE(21945)] = 841022,
  [SMALL_STATE(21946)] = 841036,
  [SMALL_STATE(21947)] = 841050,
  [SMALL_STATE(21948)] = 841064,
  [SMALL_STATE(21949)] = 841078,
  [SMALL_STATE(21950)] = 841092,
  [SMALL_STATE(21951)] = 841106,
  [SMALL_STATE(21952)] = 841120,
  [SMALL_STATE(21953)] = 841134,
  [SMALL_STATE(21954)] = 841148,
  [SMALL_STATE(21955)] = 841162,
  [SMALL_STATE(21956)] = 841176,
  [SMALL_STATE(21957)] = 841190,
  [SMALL_STATE(21958)] = 841204,
  [SMALL_STATE(21959)] = 841218,
  [SMALL_STATE(21960)] = 841232,
  [SMALL_STATE(21961)] = 841246,
  [SMALL_STATE(21962)] = 841260,
  [SMALL_STATE(21963)] = 841274,
  [SMALL_STATE(21964)] = 841288,
  [SMALL_STATE(21965)] = 841302,
  [SMALL_STATE(21966)] = 841316,
  [SMALL_STATE(21967)] = 841330,
  [SMALL_STATE(21968)] = 841344,
  [SMALL_STATE(21969)] = 841358,
  [SMALL_STATE(21970)] = 841372,
  [SMALL_STATE(21971)] = 841386,
  [SMALL_STATE(21972)] = 841400,
  [SMALL_STATE(21973)] = 841414,
  [SMALL_STATE(21974)] = 841428,
  [SMALL_STATE(21975)] = 841442,
  [SMALL_STATE(21976)] = 841456,
  [SMALL_STATE(21977)] = 841470,
  [SMALL_STATE(21978)] = 841484,
  [SMALL_STATE(21979)] = 841498,
  [SMALL_STATE(21980)] = 841512,
  [SMALL_STATE(21981)] = 841526,
  [SMALL_STATE(21982)] = 841540,
  [SMALL_STATE(21983)] = 841554,
  [SMALL_STATE(21984)] = 841568,
  [SMALL_STATE(21985)] = 841582,
  [SMALL_STATE(21986)] = 841596,
  [SMALL_STATE(21987)] = 841610,
  [SMALL_STATE(21988)] = 841624,
  [SMALL_STATE(21989)] = 841638,
  [SMALL_STATE(21990)] = 841652,
  [SMALL_STATE(21991)] = 841666,
  [SMALL_STATE(21992)] = 841680,
  [SMALL_STATE(21993)] = 841694,
  [SMALL_STATE(21994)] = 841708,
  [SMALL_STATE(21995)] = 841722,
  [SMALL_STATE(21996)] = 841736,
  [SMALL_STATE(21997)] = 841750,
  [SMALL_STATE(21998)] = 841764,
  [SMALL_STATE(21999)] = 841778,
  [SMALL_STATE(22000)] = 841792,
  [SMALL_STATE(22001)] = 841806,
  [SMALL_STATE(22002)] = 841820,
  [SMALL_STATE(22003)] = 841834,
  [SMALL_STATE(22004)] = 841848,
  [SMALL_STATE(22005)] = 841862,
  [SMALL_STATE(22006)] = 841876,
  [SMALL_STATE(22007)] = 841890,
  [SMALL_STATE(22008)] = 841904,
  [SMALL_STATE(22009)] = 841918,
  [SMALL_STATE(22010)] = 841932,
  [SMALL_STATE(22011)] = 841946,
  [SMALL_STATE(22012)] = 841960,
  [SMALL_STATE(22013)] = 841974,
  [SMALL_STATE(22014)] = 841988,
  [SMALL_STATE(22015)] = 842002,
  [SMALL_STATE(22016)] = 842016,
  [SMALL_STATE(22017)] = 842030,
  [SMALL_STATE(22018)] = 842044,
  [SMALL_STATE(22019)] = 842058,
  [SMALL_STATE(22020)] = 842072,
  [SMALL_STATE(22021)] = 842086,
  [SMALL_STATE(22022)] = 842100,
  [SMALL_STATE(22023)] = 842114,
  [SMALL_STATE(22024)] = 842128,
  [SMALL_STATE(22025)] = 842142,
  [SMALL_STATE(22026)] = 842156,
  [SMALL_STATE(22027)] = 842170,
  [SMALL_STATE(22028)] = 842184,
  [SMALL_STATE(22029)] = 842198,
  [SMALL_STATE(22030)] = 842212,
  [SMALL_STATE(22031)] = 842226,
  [SMALL_STATE(22032)] = 842240,
  [SMALL_STATE(22033)] = 842254,
  [SMALL_STATE(22034)] = 842268,
  [SMALL_STATE(22035)] = 842282,
  [SMALL_STATE(22036)] = 842296,
  [SMALL_STATE(22037)] = 842310,
  [SMALL_STATE(22038)] = 842324,
  [SMALL_STATE(22039)] = 842338,
  [SMALL_STATE(22040)] = 842352,
  [SMALL_STATE(22041)] = 842366,
  [SMALL_STATE(22042)] = 842380,
  [SMALL_STATE(22043)] = 842394,
  [SMALL_STATE(22044)] = 842408,
  [SMALL_STATE(22045)] = 842422,
  [SMALL_STATE(22046)] = 842436,
  [SMALL_STATE(22047)] = 842450,
  [SMALL_STATE(22048)] = 842464,
  [SMALL_STATE(22049)] = 842478,
  [SMALL_STATE(22050)] = 842492,
  [SMALL_STATE(22051)] = 842506,
  [SMALL_STATE(22052)] = 842520,
  [SMALL_STATE(22053)] = 842534,
  [SMALL_STATE(22054)] = 842548,
  [SMALL_STATE(22055)] = 842562,
  [SMALL_STATE(22056)] = 842576,
  [SMALL_STATE(22057)] = 842590,
  [SMALL_STATE(22058)] = 842604,
  [SMALL_STATE(22059)] = 842618,
  [SMALL_STATE(22060)] = 842632,
  [SMALL_STATE(22061)] = 842646,
  [SMALL_STATE(22062)] = 842660,
  [SMALL_STATE(22063)] = 842674,
  [SMALL_STATE(22064)] = 842688,
  [SMALL_STATE(22065)] = 842702,
  [SMALL_STATE(22066)] = 842716,
  [SMALL_STATE(22067)] = 842730,
  [SMALL_STATE(22068)] = 842744,
  [SMALL_STATE(22069)] = 842758,
  [SMALL_STATE(22070)] = 842772,
  [SMALL_STATE(22071)] = 842786,
  [SMALL_STATE(22072)] = 842800,
  [SMALL_STATE(22073)] = 842814,
  [SMALL_STATE(22074)] = 842828,
  [SMALL_STATE(22075)] = 842842,
  [SMALL_STATE(22076)] = 842856,
  [SMALL_STATE(22077)] = 842870,
  [SMALL_STATE(22078)] = 842884,
  [SMALL_STATE(22079)] = 842898,
  [SMALL_STATE(22080)] = 842912,
  [SMALL_STATE(22081)] = 842926,
  [SMALL_STATE(22082)] = 842940,
  [SMALL_STATE(22083)] = 842954,
  [SMALL_STATE(22084)] = 842968,
  [SMALL_STATE(22085)] = 842982,
  [SMALL_STATE(22086)] = 842996,
  [SMALL_STATE(22087)] = 843010,
  [SMALL_STATE(22088)] = 843024,
  [SMALL_STATE(22089)] = 843038,
  [SMALL_STATE(22090)] = 843052,
  [SMALL_STATE(22091)] = 843066,
  [SMALL_STATE(22092)] = 843080,
  [SMALL_STATE(22093)] = 843094,
  [SMALL_STATE(22094)] = 843108,
  [SMALL_STATE(22095)] = 843122,
  [SMALL_STATE(22096)] = 843136,
  [SMALL_STATE(22097)] = 843150,
  [SMALL_STATE(22098)] = 843164,
  [SMALL_STATE(22099)] = 843178,
  [SMALL_STATE(22100)] = 843192,
  [SMALL_STATE(22101)] = 843206,
  [SMALL_STATE(22102)] = 843220,
  [SMALL_STATE(22103)] = 843234,
  [SMALL_STATE(22104)] = 843248,
  [SMALL_STATE(22105)] = 843262,
  [SMALL_STATE(22106)] = 843276,
  [SMALL_STATE(22107)] = 843290,
  [SMALL_STATE(22108)] = 843304,
  [SMALL_STATE(22109)] = 843318,
  [SMALL_STATE(22110)] = 843332,
  [SMALL_STATE(22111)] = 843346,
  [SMALL_STATE(22112)] = 843360,
  [SMALL_STATE(22113)] = 843374,
  [SMALL_STATE(22114)] = 843388,
  [SMALL_STATE(22115)] = 843402,
  [SMALL_STATE(22116)] = 843416,
  [SMALL_STATE(22117)] = 843430,
  [SMALL_STATE(22118)] = 843444,
  [SMALL_STATE(22119)] = 843458,
  [SMALL_STATE(22120)] = 843472,
  [SMALL_STATE(22121)] = 843486,
  [SMALL_STATE(22122)] = 843500,
  [SMALL_STATE(22123)] = 843514,
  [SMALL_STATE(22124)] = 843528,
  [SMALL_STATE(22125)] = 843542,
  [SMALL_STATE(22126)] = 843556,
  [SMALL_STATE(22127)] = 843570,
  [SMALL_STATE(22128)] = 843584,
  [SMALL_STATE(22129)] = 843598,
  [SMALL_STATE(22130)] = 843612,
  [SMALL_STATE(22131)] = 843626,
  [SMALL_STATE(22132)] = 843640,
  [SMALL_STATE(22133)] = 843654,
  [SMALL_STATE(22134)] = 843668,
  [SMALL_STATE(22135)] = 843682,
  [SMALL_STATE(22136)] = 843696,
  [SMALL_STATE(22137)] = 843710,
  [SMALL_STATE(22138)] = 843724,
  [SMALL_STATE(22139)] = 843738,
  [SMALL_STATE(22140)] = 843752,
  [SMALL_STATE(22141)] = 843766,
  [SMALL_STATE(22142)] = 843780,
  [SMALL_STATE(22143)] = 843794,
  [SMALL_STATE(22144)] = 843808,
  [SMALL_STATE(22145)] = 843822,
  [SMALL_STATE(22146)] = 843836,
  [SMALL_STATE(22147)] = 843850,
  [SMALL_STATE(22148)] = 843864,
  [SMALL_STATE(22149)] = 843878,
  [SMALL_STATE(22150)] = 843892,
  [SMALL_STATE(22151)] = 843906,
  [SMALL_STATE(22152)] = 843920,
  [SMALL_STATE(22153)] = 843934,
  [SMALL_STATE(22154)] = 843948,
  [SMALL_STATE(22155)] = 843962,
  [SMALL_STATE(22156)] = 843976,
  [SMALL_STATE(22157)] = 843990,
  [SMALL_STATE(22158)] = 844004,
  [SMALL_STATE(22159)] = 844018,
  [SMALL_STATE(22160)] = 844032,
  [SMALL_STATE(22161)] = 844046,
  [SMALL_STATE(22162)] = 844060,
  [SMALL_STATE(22163)] = 844074,
  [SMALL_STATE(22164)] = 844088,
  [SMALL_STATE(22165)] = 844102,
  [SMALL_STATE(22166)] = 844116,
  [SMALL_STATE(22167)] = 844130,
  [SMALL_STATE(22168)] = 844144,
  [SMALL_STATE(22169)] = 844158,
  [SMALL_STATE(22170)] = 844172,
  [SMALL_STATE(22171)] = 844186,
  [SMALL_STATE(22172)] = 844200,
  [SMALL_STATE(22173)] = 844214,
  [SMALL_STATE(22174)] = 844228,
  [SMALL_STATE(22175)] = 844242,
  [SMALL_STATE(22176)] = 844256,
  [SMALL_STATE(22177)] = 844270,
  [SMALL_STATE(22178)] = 844284,
  [SMALL_STATE(22179)] = 844298,
  [SMALL_STATE(22180)] = 844312,
  [SMALL_STATE(22181)] = 844326,
  [SMALL_STATE(22182)] = 844340,
  [SMALL_STATE(22183)] = 844354,
  [SMALL_STATE(22184)] = 844368,
  [SMALL_STATE(22185)] = 844382,
  [SMALL_STATE(22186)] = 844396,
  [SMALL_STATE(22187)] = 844410,
  [SMALL_STATE(22188)] = 844424,
  [SMALL_STATE(22189)] = 844438,
  [SMALL_STATE(22190)] = 844452,
  [SMALL_STATE(22191)] = 844466,
  [SMALL_STATE(22192)] = 844480,
  [SMALL_STATE(22193)] = 844494,
  [SMALL_STATE(22194)] = 844508,
  [SMALL_STATE(22195)] = 844522,
  [SMALL_STATE(22196)] = 844536,
  [SMALL_STATE(22197)] = 844550,
  [SMALL_STATE(22198)] = 844564,
  [SMALL_STATE(22199)] = 844578,
  [SMALL_STATE(22200)] = 844592,
  [SMALL_STATE(22201)] = 844606,
  [SMALL_STATE(22202)] = 844620,
  [SMALL_STATE(22203)] = 844634,
  [SMALL_STATE(22204)] = 844648,
  [SMALL_STATE(22205)] = 844662,
  [SMALL_STATE(22206)] = 844676,
  [SMALL_STATE(22207)] = 844690,
  [SMALL_STATE(22208)] = 844704,
  [SMALL_STATE(22209)] = 844718,
  [SMALL_STATE(22210)] = 844732,
  [SMALL_STATE(22211)] = 844746,
  [SMALL_STATE(22212)] = 844760,
  [SMALL_STATE(22213)] = 844774,
  [SMALL_STATE(22214)] = 844788,
  [SMALL_STATE(22215)] = 844802,
  [SMALL_STATE(22216)] = 844816,
  [SMALL_STATE(22217)] = 844830,
  [SMALL_STATE(22218)] = 844844,
  [SMALL_STATE(22219)] = 844858,
  [SMALL_STATE(22220)] = 844872,
  [SMALL_STATE(22221)] = 844886,
  [SMALL_STATE(22222)] = 844900,
  [SMALL_STATE(22223)] = 844914,
  [SMALL_STATE(22224)] = 844928,
  [SMALL_STATE(22225)] = 844942,
  [SMALL_STATE(22226)] = 844956,
  [SMALL_STATE(22227)] = 844970,
  [SMALL_STATE(22228)] = 844984,
  [SMALL_STATE(22229)] = 844998,
  [SMALL_STATE(22230)] = 845012,
  [SMALL_STATE(22231)] = 845026,
  [SMALL_STATE(22232)] = 845040,
  [SMALL_STATE(22233)] = 845054,
  [SMALL_STATE(22234)] = 845068,
  [SMALL_STATE(22235)] = 845082,
  [SMALL_STATE(22236)] = 845096,
  [SMALL_STATE(22237)] = 845110,
  [SMALL_STATE(22238)] = 845124,
  [SMALL_STATE(22239)] = 845138,
  [SMALL_STATE(22240)] = 845152,
  [SMALL_STATE(22241)] = 845166,
  [SMALL_STATE(22242)] = 845180,
  [SMALL_STATE(22243)] = 845194,
  [SMALL_STATE(22244)] = 845208,
  [SMALL_STATE(22245)] = 845222,
  [SMALL_STATE(22246)] = 845236,
  [SMALL_STATE(22247)] = 845250,
  [SMALL_STATE(22248)] = 845264,
  [SMALL_STATE(22249)] = 845278,
  [SMALL_STATE(22250)] = 845292,
  [SMALL_STATE(22251)] = 845306,
  [SMALL_STATE(22252)] = 845320,
  [SMALL_STATE(22253)] = 845334,
  [SMALL_STATE(22254)] = 845348,
  [SMALL_STATE(22255)] = 845362,
  [SMALL_STATE(22256)] = 845376,
  [SMALL_STATE(22257)] = 845390,
  [SMALL_STATE(22258)] = 845404,
  [SMALL_STATE(22259)] = 845418,
  [SMALL_STATE(22260)] = 845432,
  [SMALL_STATE(22261)] = 845446,
  [SMALL_STATE(22262)] = 845460,
  [SMALL_STATE(22263)] = 845474,
  [SMALL_STATE(22264)] = 845488,
  [SMALL_STATE(22265)] = 845502,
  [SMALL_STATE(22266)] = 845516,
  [SMALL_STATE(22267)] = 845530,
  [SMALL_STATE(22268)] = 845544,
  [SMALL_STATE(22269)] = 845558,
  [SMALL_STATE(22270)] = 845572,
  [SMALL_STATE(22271)] = 845586,
  [SMALL_STATE(22272)] = 845600,
  [SMALL_STATE(22273)] = 845614,
  [SMALL_STATE(22274)] = 845628,
  [SMALL_STATE(22275)] = 845642,
  [SMALL_STATE(22276)] = 845656,
  [SMALL_STATE(22277)] = 845670,
  [SMALL_STATE(22278)] = 845684,
  [SMALL_STATE(22279)] = 845698,
  [SMALL_STATE(22280)] = 845712,
  [SMALL_STATE(22281)] = 845726,
  [SMALL_STATE(22282)] = 845740,
  [SMALL_STATE(22283)] = 845754,
  [SMALL_STATE(22284)] = 845768,
  [SMALL_STATE(22285)] = 845782,
  [SMALL_STATE(22286)] = 845796,
  [SMALL_STATE(22287)] = 845810,
  [SMALL_STATE(22288)] = 845824,
  [SMALL_STATE(22289)] = 845838,
  [SMALL_STATE(22290)] = 845852,
  [SMALL_STATE(22291)] = 845866,
  [SMALL_STATE(22292)] = 845880,
  [SMALL_STATE(22293)] = 845894,
  [SMALL_STATE(22294)] = 845908,
  [SMALL_STATE(22295)] = 845922,
  [SMALL_STATE(22296)] = 845936,
  [SMALL_STATE(22297)] = 845950,
  [SMALL_STATE(22298)] = 845964,
  [SMALL_STATE(22299)] = 845978,
  [SMALL_STATE(22300)] = 845992,
  [SMALL_STATE(22301)] = 846006,
  [SMALL_STATE(22302)] = 846020,
  [SMALL_STATE(22303)] = 846034,
  [SMALL_STATE(22304)] = 846048,
  [SMALL_STATE(22305)] = 846062,
  [SMALL_STATE(22306)] = 846076,
  [SMALL_STATE(22307)] = 846090,
  [SMALL_STATE(22308)] = 846104,
  [SMALL_STATE(22309)] = 846118,
  [SMALL_STATE(22310)] = 846132,
  [SMALL_STATE(22311)] = 846146,
  [SMALL_STATE(22312)] = 846160,
  [SMALL_STATE(22313)] = 846174,
  [SMALL_STATE(22314)] = 846188,
  [SMALL_STATE(22315)] = 846202,
  [SMALL_STATE(22316)] = 846216,
  [SMALL_STATE(22317)] = 846230,
  [SMALL_STATE(22318)] = 846244,
  [SMALL_STATE(22319)] = 846258,
  [SMALL_STATE(22320)] = 846272,
  [SMALL_STATE(22321)] = 846286,
  [SMALL_STATE(22322)] = 846300,
  [SMALL_STATE(22323)] = 846314,
  [SMALL_STATE(22324)] = 846328,
  [SMALL_STATE(22325)] = 846342,
  [SMALL_STATE(22326)] = 846356,
  [SMALL_STATE(22327)] = 846370,
  [SMALL_STATE(22328)] = 846384,
  [SMALL_STATE(22329)] = 846398,
  [SMALL_STATE(22330)] = 846412,
  [SMALL_STATE(22331)] = 846426,
  [SMALL_STATE(22332)] = 846440,
  [SMALL_STATE(22333)] = 846454,
  [SMALL_STATE(22334)] = 846468,
  [SMALL_STATE(22335)] = 846482,
  [SMALL_STATE(22336)] = 846496,
  [SMALL_STATE(22337)] = 846510,
  [SMALL_STATE(22338)] = 846524,
  [SMALL_STATE(22339)] = 846538,
  [SMALL_STATE(22340)] = 846552,
  [SMALL_STATE(22341)] = 846566,
  [SMALL_STATE(22342)] = 846580,
  [SMALL_STATE(22343)] = 846594,
  [SMALL_STATE(22344)] = 846608,
  [SMALL_STATE(22345)] = 846622,
  [SMALL_STATE(22346)] = 846636,
  [SMALL_STATE(22347)] = 846650,
  [SMALL_STATE(22348)] = 846664,
  [SMALL_STATE(22349)] = 846678,
  [SMALL_STATE(22350)] = 846692,
  [SMALL_STATE(22351)] = 846706,
  [SMALL_STATE(22352)] = 846720,
  [SMALL_STATE(22353)] = 846734,
  [SMALL_STATE(22354)] = 846748,
  [SMALL_STATE(22355)] = 846762,
  [SMALL_STATE(22356)] = 846776,
  [SMALL_STATE(22357)] = 846790,
  [SMALL_STATE(22358)] = 846804,
  [SMALL_STATE(22359)] = 846818,
  [SMALL_STATE(22360)] = 846832,
  [SMALL_STATE(22361)] = 846846,
  [SMALL_STATE(22362)] = 846860,
  [SMALL_STATE(22363)] = 846874,
  [SMALL_STATE(22364)] = 846888,
  [SMALL_STATE(22365)] = 846902,
  [SMALL_STATE(22366)] = 846916,
  [SMALL_STATE(22367)] = 846930,
  [SMALL_STATE(22368)] = 846944,
  [SMALL_STATE(22369)] = 846958,
  [SMALL_STATE(22370)] = 846972,
  [SMALL_STATE(22371)] = 846986,
  [SMALL_STATE(22372)] = 847000,
  [SMALL_STATE(22373)] = 847014,
  [SMALL_STATE(22374)] = 847028,
  [SMALL_STATE(22375)] = 847042,
  [SMALL_STATE(22376)] = 847056,
  [SMALL_STATE(22377)] = 847070,
  [SMALL_STATE(22378)] = 847084,
  [SMALL_STATE(22379)] = 847098,
  [SMALL_STATE(22380)] = 847112,
  [SMALL_STATE(22381)] = 847126,
  [SMALL_STATE(22382)] = 847140,
  [SMALL_STATE(22383)] = 847154,
  [SMALL_STATE(22384)] = 847168,
  [SMALL_STATE(22385)] = 847182,
  [SMALL_STATE(22386)] = 847196,
  [SMALL_STATE(22387)] = 847210,
  [SMALL_STATE(22388)] = 847224,
  [SMALL_STATE(22389)] = 847238,
  [SMALL_STATE(22390)] = 847252,
  [SMALL_STATE(22391)] = 847266,
  [SMALL_STATE(22392)] = 847280,
  [SMALL_STATE(22393)] = 847294,
  [SMALL_STATE(22394)] = 847308,
  [SMALL_STATE(22395)] = 847322,
  [SMALL_STATE(22396)] = 847336,
  [SMALL_STATE(22397)] = 847350,
  [SMALL_STATE(22398)] = 847364,
  [SMALL_STATE(22399)] = 847378,
  [SMALL_STATE(22400)] = 847392,
  [SMALL_STATE(22401)] = 847406,
  [SMALL_STATE(22402)] = 847420,
  [SMALL_STATE(22403)] = 847434,
  [SMALL_STATE(22404)] = 847448,
  [SMALL_STATE(22405)] = 847462,
  [SMALL_STATE(22406)] = 847476,
  [SMALL_STATE(22407)] = 847490,
  [SMALL_STATE(22408)] = 847504,
  [SMALL_STATE(22409)] = 847518,
  [SMALL_STATE(22410)] = 847532,
  [SMALL_STATE(22411)] = 847546,
  [SMALL_STATE(22412)] = 847560,
  [SMALL_STATE(22413)] = 847574,
  [SMALL_STATE(22414)] = 847588,
  [SMALL_STATE(22415)] = 847602,
  [SMALL_STATE(22416)] = 847616,
  [SMALL_STATE(22417)] = 847630,
  [SMALL_STATE(22418)] = 847644,
  [SMALL_STATE(22419)] = 847658,
  [SMALL_STATE(22420)] = 847672,
  [SMALL_STATE(22421)] = 847686,
  [SMALL_STATE(22422)] = 847700,
  [SMALL_STATE(22423)] = 847714,
  [SMALL_STATE(22424)] = 847728,
  [SMALL_STATE(22425)] = 847742,
  [SMALL_STATE(22426)] = 847756,
  [SMALL_STATE(22427)] = 847770,
  [SMALL_STATE(22428)] = 847784,
  [SMALL_STATE(22429)] = 847798,
  [SMALL_STATE(22430)] = 847812,
  [SMALL_STATE(22431)] = 847826,
  [SMALL_STATE(22432)] = 847840,
  [SMALL_STATE(22433)] = 847854,
  [SMALL_STATE(22434)] = 847868,
  [SMALL_STATE(22435)] = 847882,
  [SMALL_STATE(22436)] = 847896,
  [SMALL_STATE(22437)] = 847910,
  [SMALL_STATE(22438)] = 847924,
  [SMALL_STATE(22439)] = 847938,
  [SMALL_STATE(22440)] = 847952,
  [SMALL_STATE(22441)] = 847966,
  [SMALL_STATE(22442)] = 847980,
  [SMALL_STATE(22443)] = 847994,
  [SMALL_STATE(22444)] = 848008,
  [SMALL_STATE(22445)] = 848022,
  [SMALL_STATE(22446)] = 848036,
  [SMALL_STATE(22447)] = 848050,
  [SMALL_STATE(22448)] = 848064,
  [SMALL_STATE(22449)] = 848078,
  [SMALL_STATE(22450)] = 848092,
  [SMALL_STATE(22451)] = 848106,
  [SMALL_STATE(22452)] = 848120,
  [SMALL_STATE(22453)] = 848134,
  [SMALL_STATE(22454)] = 848148,
  [SMALL_STATE(22455)] = 848162,
  [SMALL_STATE(22456)] = 848176,
  [SMALL_STATE(22457)] = 848190,
  [SMALL_STATE(22458)] = 848204,
  [SMALL_STATE(22459)] = 848218,
  [SMALL_STATE(22460)] = 848232,
  [SMALL_STATE(22461)] = 848246,
  [SMALL_STATE(22462)] = 848260,
  [SMALL_STATE(22463)] = 848274,
  [SMALL_STATE(22464)] = 848288,
  [SMALL_STATE(22465)] = 848302,
  [SMALL_STATE(22466)] = 848316,
  [SMALL_STATE(22467)] = 848330,
  [SMALL_STATE(22468)] = 848344,
  [SMALL_STATE(22469)] = 848358,
  [SMALL_STATE(22470)] = 848372,
  [SMALL_STATE(22471)] = 848386,
  [SMALL_STATE(22472)] = 848400,
  [SMALL_STATE(22473)] = 848414,
  [SMALL_STATE(22474)] = 848428,
  [SMALL_STATE(22475)] = 848442,
  [SMALL_STATE(22476)] = 848456,
  [SMALL_STATE(22477)] = 848470,
  [SMALL_STATE(22478)] = 848484,
  [SMALL_STATE(22479)] = 848498,
  [SMALL_STATE(22480)] = 848512,
  [SMALL_STATE(22481)] = 848526,
  [SMALL_STATE(22482)] = 848540,
  [SMALL_STATE(22483)] = 848554,
  [SMALL_STATE(22484)] = 848568,
  [SMALL_STATE(22485)] = 848582,
  [SMALL_STATE(22486)] = 848596,
  [SMALL_STATE(22487)] = 848610,
  [SMALL_STATE(22488)] = 848624,
  [SMALL_STATE(22489)] = 848638,
  [SMALL_STATE(22490)] = 848652,
  [SMALL_STATE(22491)] = 848666,
  [SMALL_STATE(22492)] = 848680,
  [SMALL_STATE(22493)] = 848694,
  [SMALL_STATE(22494)] = 848708,
  [SMALL_STATE(22495)] = 848722,
  [SMALL_STATE(22496)] = 848736,
  [SMALL_STATE(22497)] = 848750,
  [SMALL_STATE(22498)] = 848764,
  [SMALL_STATE(22499)] = 848778,
  [SMALL_STATE(22500)] = 848792,
  [SMALL_STATE(22501)] = 848806,
  [SMALL_STATE(22502)] = 848820,
  [SMALL_STATE(22503)] = 848834,
  [SMALL_STATE(22504)] = 848848,
  [SMALL_STATE(22505)] = 848862,
  [SMALL_STATE(22506)] = 848876,
  [SMALL_STATE(22507)] = 848890,
  [SMALL_STATE(22508)] = 848904,
  [SMALL_STATE(22509)] = 848918,
  [SMALL_STATE(22510)] = 848932,
  [SMALL_STATE(22511)] = 848946,
  [SMALL_STATE(22512)] = 848960,
  [SMALL_STATE(22513)] = 848974,
  [SMALL_STATE(22514)] = 848988,
  [SMALL_STATE(22515)] = 849002,
  [SMALL_STATE(22516)] = 849016,
  [SMALL_STATE(22517)] = 849030,
  [SMALL_STATE(22518)] = 849044,
  [SMALL_STATE(22519)] = 849058,
  [SMALL_STATE(22520)] = 849072,
  [SMALL_STATE(22521)] = 849086,
  [SMALL_STATE(22522)] = 849100,
  [SMALL_STATE(22523)] = 849114,
  [SMALL_STATE(22524)] = 849128,
  [SMALL_STATE(22525)] = 849142,
  [SMALL_STATE(22526)] = 849156,
  [SMALL_STATE(22527)] = 849170,
  [SMALL_STATE(22528)] = 849184,
  [SMALL_STATE(22529)] = 849198,
  [SMALL_STATE(22530)] = 849212,
  [SMALL_STATE(22531)] = 849226,
  [SMALL_STATE(22532)] = 849240,
  [SMALL_STATE(22533)] = 849254,
  [SMALL_STATE(22534)] = 849268,
  [SMALL_STATE(22535)] = 849282,
  [SMALL_STATE(22536)] = 849296,
  [SMALL_STATE(22537)] = 849310,
  [SMALL_STATE(22538)] = 849324,
  [SMALL_STATE(22539)] = 849328,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17988),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [7] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 0, 0, 0),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4964),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [13] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6050),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3066),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15612),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13350),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1731),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5083),
  [27] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3754),
  [29] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14803),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15096),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12414),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12658),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15122),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11754),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5830),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1736),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(450),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(460),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15343),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(464),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2992),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(477),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4493),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4499),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15314),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15836),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(289),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5318),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17836),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17832),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17829),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17823),
  [77] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17819),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5375),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9441),
  [83] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14783),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13956),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5403),
  [89] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9441),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5556),
  [93] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1690),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5425),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18235),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18237),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4896),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3042),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3912),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6836),
  [113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5205),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3122),
  [117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3379),
  [119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15126),
  [121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11715),
  [123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5874),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1983),
  [127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2960),
  [133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(473),
  [135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4494),
  [137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4495),
  [139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15358),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15807),
  [143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5409),
  [147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17384),
  [149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17348),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5197),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14798),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13722),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5209),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5590),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1135),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5190),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18235),
  [167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18602),
  [169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10217),
  [171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5177),
  [173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13167),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7974),
  [177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10170),
  [179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8240),
  [181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6542),
  [183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9081),
  [185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7241),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7419),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8565),
  [191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5166),
  [193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7504),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10759),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7817),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13571),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10135),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6667),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11962),
  [207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8831),
  [209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5252),
  [211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11677),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5902),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12208),
  [217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6573),
  [219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10994),
  [221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16562),
  [223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11160),
  [225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8536),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10393),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7587),
  [231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10533),
  [233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9973),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6406),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4995),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5961),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7670),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6048),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14534),
  [247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11455),
  [249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10685),
  [251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3982),
  [253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8248),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10606),
  [257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14296),
  [259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11033),
  [261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11832),
  [263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4150),
  [265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14573),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14248),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17117),
  [271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8370),
  [273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12228),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11296),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11625),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11926),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10964),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3399),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4146),
  [287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3409),
  [289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4048),
  [291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6248),
  [293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8219),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4755),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4121),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14106),
  [301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22538),
  [303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9028),
  [305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11931),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8084),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5047),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8569),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7839),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12353),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11114),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6233),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4580),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6678),
  [325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6871),
  [327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7701),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4542),
  [331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6933),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8159),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11152),
  [337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9124),
  [339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3478),
  [341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11140),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8320),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6413),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4508),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7559),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6962),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3855),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8319),
  [357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3375),
  [359] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 2, 0, 21),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3033),
  [363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 2, 0, 21),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1777),
  [369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3677),
  [371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3589),
  [373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11628),
  [375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5844),
  [377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(545),
  [383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2965),
  [385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(551),
  [387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15528),
  [389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15724),
  [391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3531),
  [395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16955),
  [397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17958),
  [399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17099),
  [401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3676),
  [403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14763),
  [405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13627),
  [407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5149),
  [409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5539),
  [411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1658),
  [413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3582),
  [415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19260),
  [417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3351),
  [419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3034),
  [421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1830),
  [425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3737),
  [427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3602),
  [429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11647),
  [431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5901),
  [433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1829),
  [435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(411),
  [437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(509),
  [439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2976),
  [441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15568),
  [445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15683),
  [447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(304),
  [449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3440),
  [451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16948),
  [453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17955),
  [455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3729),
  [457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14744),
  [459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13631),
  [461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5093),
  [463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1647),
  [465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3675),
  [467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19234),
  [469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3354),
  [471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3053),
  [473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2011),
  [477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3629),
  [479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3670),
  [481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11892),
  [483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5888),
  [485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2012),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2984),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(415),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15625),
  [497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15635),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(330),
  [501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3631),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16883),
  [505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17922),
  [507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3635),
  [509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14670),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13690),
  [513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5351),
  [515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1506),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3825),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19097),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3581),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3067),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1888),
  [529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4239),
  [531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3765),
  [533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11942),
  [535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5860),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1891),
  [539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(492),
  [541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3004),
  [545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15558),
  [549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15691),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4260),
  [555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16745),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17776),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4238),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14802),
  [563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13841),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5216),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1463),
  [569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4205),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18518),
  [573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4969),
  [575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6198),
  [577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3017),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13435),
  [583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5294),
  [587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3507),
  [589] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14799),
  [591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14940),
  [593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15032),
  [595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14629),
  [597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11744),
  [599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5863),
  [601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2032),
  [603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2972),
  [609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(465),
  [611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15607),
  [613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15658),
  [615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(328),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5193),
  [619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17203),
  [621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17389),
  [623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5293),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14690),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13748),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5198),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5565),
  [633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1145),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5289),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18151),
  [639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18199),
  [641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3580),
  [643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3040),
  [645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [647] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1923),
  [649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3887),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3625),
  [653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11901),
  [655] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5784),
  [657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1922),
  [659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2981),
  [665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(443),
  [667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15584),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15774),
  [671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(288),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4406),
  [675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17019),
  [677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17485),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3886),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14663),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13742),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5385),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3851),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19061),
  [693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10133),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3420),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3060),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1931),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4190),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3732),
  [707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11891),
  [709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5894),
  [711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1932),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(467),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(482),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3008),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(459),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15552),
  [723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15698),
  [725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4325),
  [729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16813),
  [731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17835),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4189),
  [735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14697),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13945),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5317),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1518),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4091),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18787),
  [747] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 1, 0, 0),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3513),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3030),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(166),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1730),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4039),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3575),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11652),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5782),
  [765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(388),
  [769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2988),
  [773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15394),
  [777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15787),
  [779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3949),
  [783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16984),
  [785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17979),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4042),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14790),
  [791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13620),
  [793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5232),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4073),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19289),
  [801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3750),
  [803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3031),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1772),
  [809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4024),
  [811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3659),
  [813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11600),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5821),
  [817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(572),
  [823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2967),
  [825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(564),
  [827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15263),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15871),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4026),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16968),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17962),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4027),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14764),
  [843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13624),
  [845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5184),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1685),
  [849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4058),
  [851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19280),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3704),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3035),
  [857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3941),
  [863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3604),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11673),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5909),
  [869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1866),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(420),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2969),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15456),
  [881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15756),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4172),
  [887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16943),
  [889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17953),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3942),
  [893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14741),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13633),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5154),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1644),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3969),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19217),
  [905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 1, 0, 0),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4263),
  [909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3055),
  [911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1994),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4573),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3672),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11923),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5870),
  [923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1995),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(445),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2995),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15530),
  [935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15717),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4455),
  [941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16880),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17913),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4572),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14645),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13750),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5389),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1589),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4543),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19048),
  [959] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 3, 0, 0),
  [961] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 4, 0, 0),
  [963] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 2, 0, 0),
  [965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 1, 0, 0),
  [967] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure, 2, 0, 0),
  [969] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 3, 0, 0),
  [971] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure, 4, 0, 0),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4326),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3052),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2027),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4510),
  [983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3648),
  [985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11774),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5825),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(429),
  [993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2979),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(448),
  [999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15311),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15833),
  [1003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4578),
  [1007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16895),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17931),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4506),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14715),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13651),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5111),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1608),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4489),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19151),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3951),
  [1027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3063),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1876),
  [1033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4576),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3789),
  [1037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11739),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5885),
  [1041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1878),
  [1043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(513),
  [1045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(540),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2999),
  [1049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15285),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15857),
  [1055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4670),
  [1059] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16711),
  [1061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17770),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4583),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14709),
  [1067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13794),
  [1069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5338),
  [1071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1458),
  [1073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4658),
  [1075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18464),
  [1077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4591),
  [1079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3061),
  [1081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1896),
  [1085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4801),
  [1087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3757),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11649),
  [1091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5793),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1897),
  [1095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [1097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2983),
  [1101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(452),
  [1103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15299),
  [1105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15839),
  [1107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [1109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4768),
  [1111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16792),
  [1113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17798),
  [1115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4802),
  [1117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14720),
  [1119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13940),
  [1121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5200),
  [1123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [1125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4863),
  [1127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18618),
  [1129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4663),
  [1131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3019),
  [1133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1850),
  [1137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4923),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3812),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11646),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5907),
  [1145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1849),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(527),
  [1149] = {.entry = {.count = 1, .reusable = false}}, SHIFT(436),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2991),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(435),
  [1155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15570),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15676),
  [1159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4769),
  [1163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16808),
  [1165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17590),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4922),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14711),
  [1171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13745),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5284),
  [1175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4827),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18367),
  [1181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4639),
  [1183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3015),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [1189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4861),
  [1191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3720),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11905),
  [1195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5884),
  [1197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1942),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(456),
  [1201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [1203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3005),
  [1205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15331),
  [1209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15825),
  [1211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [1213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4943),
  [1215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16847),
  [1217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17869),
  [1219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4862),
  [1221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14655),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13881),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5349),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1530),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4932),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18837),
  [1233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3024),
  [1235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3016),
  [1237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3065),
  [1239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5762),
  [1241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3032),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1958),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5862),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3694),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11609),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5867),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1959),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(514),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(462),
  [1261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15513),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [1265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3011),
  [1267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [1269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4446),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4450),
  [1273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15322),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15827),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(327),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5841),
  [1281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16852),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17761),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5865),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14678),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13842),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5121),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1673),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5826),
  [1297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18890),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5845),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3057),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1984),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5993),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3544),
  [1311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11920),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5786),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1979),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2990),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(376),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15256),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15708),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5959),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17094),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17442),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5992),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14651),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13595),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5282),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1562),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5990),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18613),
  [1351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3058),
  [1353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5846),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(529),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15566),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [1363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2982),
  [1365] = {.entry = {.count = 1, .reusable = false}}, SHIFT(362),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4611),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4612),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1536),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3020),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5855),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(455),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3001),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [1387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6133),
  [1389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3044),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1890),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6313),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3377),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11752),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5847),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1889),
  [1405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [1407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(471),
  [1409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2970),
  [1411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(472),
  [1413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15276),
  [1415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15863),
  [1417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(335),
  [1419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6205),
  [1421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17988),
  [1423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16916),
  [1425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17936),
  [1427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6317),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14739),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13636),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5249),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1627),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6297),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19209),
  [1441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5948),
  [1443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3056),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1743),
  [1449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6036),
  [1451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3645),
  [1453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11626),
  [1455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5868),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1744),
  [1459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(407),
  [1461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(402),
  [1463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3009),
  [1465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15543),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15703),
  [1471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6108),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16706),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17633),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6035),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14796),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13916),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5377),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6081),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18172),
  [1493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6161),
  [1495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3064),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1766),
  [1501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6369),
  [1503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3652),
  [1505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11712),
  [1507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5889),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1767),
  [1511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(394),
  [1515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2971),
  [1517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15421),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15775),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(309),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6441),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16678),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17648),
  [1531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6405),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14775),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13972),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5328),
  [1539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6391),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18160),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6142),
  [1547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3018),
  [1549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [1551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1826),
  [1553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6339),
  [1555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3782),
  [1557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11922),
  [1559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5878),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1827),
  [1563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(424),
  [1565] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [1567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3012),
  [1569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(397),
  [1571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15463),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15749),
  [1575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6186),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17783),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17143),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6338),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14770),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13752),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5419),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6324),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18371),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17099),
  [1599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6571),
  [1601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3029),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1915),
  [1607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6720),
  [1609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3614),
  [1611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11764),
  [1613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5801),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1914),
  [1617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(498),
  [1619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [1621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15545),
  [1623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(468),
  [1625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3002),
  [1627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [1629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4644),
  [1631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4642),
  [1633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15408),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15781),
  [1637] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6694),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16911),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17935),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6719),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14731),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13638),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5306),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1623),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6653),
  [1657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19197),
  [1659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3046),
  [1661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5823),
  [1663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [1665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6632),
  [1667] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3045),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(156),
  [1671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1732),
  [1673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6842),
  [1675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3642),
  [1677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11702),
  [1679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5840),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1733),
  [1683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(548),
  [1685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(410),
  [1687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2978),
  [1689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(409),
  [1691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15512),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15764),
  [1695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6772),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16733),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17626),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6846),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14815),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13835),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5320),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6805),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18204),
  [1717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6827),
  [1719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3047),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [1723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1967),
  [1725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7199),
  [1727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3621),
  [1729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11773),
  [1731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5791),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1965),
  [1735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [1737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [1739] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2997),
  [1741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(461),
  [1743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15613),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15649),
  [1747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [1749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7224),
  [1751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16905),
  [1753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17933),
  [1755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7200),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14721),
  [1759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13644),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5437),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1620),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7146),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19176),
  [1769] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3039),
  [1771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5848),
  [1773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(398),
  [1775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6249),
  [1777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22402),
  [1779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12681),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19513),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9255),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4975),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19559),
  [1789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22091),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22090),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22091),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5469),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3665),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22406),
  [1803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12779),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19366),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5005),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19436),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5509),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4181),
  [1817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22389),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12616),
  [1821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20518),
  [1823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4796),
  [1825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20647),
  [1827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5503),
  [1829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7739),
  [1833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22379),
  [1835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12847),
  [1837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21808),
  [1839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4939),
  [1841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21934),
  [1843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5454),
  [1845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6858),
  [1849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22372),
  [1851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13039),
  [1853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22535),
  [1855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5031),
  [1857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22131),
  [1859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5502),
  [1861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [1863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8014),
  [1865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22370),
  [1867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12937),
  [1869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22128),
  [1871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5026),
  [1873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21669),
  [1875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5499),
  [1877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [1879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8728),
  [1881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22388),
  [1883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12634),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20653),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4762),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20797),
  [1891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5494),
  [1893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7129),
  [1897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3038),
  [1899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [1901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [1903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7663),
  [1905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3819),
  [1907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11824),
  [1909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5858),
  [1911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1858),
  [1913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(543),
  [1915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [1917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2998),
  [1919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(485),
  [1921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15559),
  [1923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15681),
  [1925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [1927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7552),
  [1929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16685),
  [1931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17746),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7660),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14735),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13709),
  [1939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5263),
  [1941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1638),
  [1943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7425),
  [1945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18382),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7074),
  [1949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3036),
  [1951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1864),
  [1955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7511),
  [1957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3792),
  [1959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11937),
  [1961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5881),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1865),
  [1965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(537),
  [1967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(494),
  [1969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3003),
  [1971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(496),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15488),
  [1975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15737),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(287),
  [1979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7426),
  [1981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16698),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17759),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7510),
  [1987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14661),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13779),
  [1991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5450),
  [1993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1641),
  [1995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7324),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18432),
  [1999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6220),
  [2001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22302),
  [2003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12985),
  [2005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21599),
  [2007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4866),
  [2009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21597),
  [2011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5531),
  [2013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [2015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8687),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8741),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22353),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12930),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20731),
  [2025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4990),
  [2027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19729),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5452),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4830),
  [2035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22387),
  [2037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12667),
  [2039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20798),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4760),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20996),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5467),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [2049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8727),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22364),
  [2053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12521),
  [2055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20418),
  [2057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4758),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19728),
  [2061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5464),
  [2063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [2065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4049),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22408),
  [2069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12849),
  [2071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19320),
  [2073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5019),
  [2075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19365),
  [2077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5462),
  [2079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [2081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4124),
  [2083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22403),
  [2085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12699),
  [2087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19473),
  [2089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4978),
  [2091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19533),
  [2093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5459),
  [2095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8860),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13449),
  [2101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22320),
  [2103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13009),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21246),
  [2107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5010),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21245),
  [2111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5477),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [2115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4871),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22390),
  [2119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12541),
  [2121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20367),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4858),
  [2125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20517),
  [2127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5515),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8134),
  [2133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22405),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12719),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19406),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4994),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19472),
  [2143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5482),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7735),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22380),
  [2151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12896),
  [2153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21683),
  [2155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4921),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21807),
  [2159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5472),
  [2161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [2163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3972),
  [2165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22407),
  [2167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12828),
  [2169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19334),
  [2171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5017),
  [2173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19405),
  [2175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5528),
  [2177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [2179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4504),
  [2181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22397),
  [2183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12591),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19660),
  [2187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4948),
  [2189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19718),
  [2191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5498),
  [2193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [2195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3492),
  [2197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22404),
  [2199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12708),
  [2201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19438),
  [2203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4983),
  [2205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19504),
  [2207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5474),
  [2209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [2211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7760),
  [2213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22350),
  [2215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12739),
  [2217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19703),
  [2219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5013),
  [2221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19409),
  [2223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5526),
  [2225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [2227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5359),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22102),
  [2231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12679),
  [2233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22099),
  [2235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4804),
  [2237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22092),
  [2239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5504),
  [2241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [2243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8012),
  [2245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5133),
  [2247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22356),
  [2249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12947),
  [2251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21636),
  [2253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4952),
  [2255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21055),
  [2257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5497),
  [2259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [2261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9014),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22367),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12823),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21420),
  [2269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4927),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20880),
  [2273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5466),
  [2275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [2277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5981),
  [2279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22362),
  [2281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12700),
  [2283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20385),
  [2285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4805),
  [2287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20608),
  [2289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5510),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [2293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8435),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6221),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10500),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22378),
  [2301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12976),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22348),
  [2305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4945),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22043),
  [2309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5458),
  [2311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [2313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4993),
  [2315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5241),
  [2317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6028),
  [2319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22373),
  [2321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13021),
  [2323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22455),
  [2325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5023),
  [2327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22315),
  [2329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5493),
  [2331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [2333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5185),
  [2335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22360),
  [2337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12871),
  [2339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21016),
  [2341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4883),
  [2343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21569),
  [2345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5524),
  [2347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [2349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7616),
  [2351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5875),
  [2353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22391),
  [2355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12481),
  [2357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20249),
  [2359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4884),
  [2361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20366),
  [2363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5523),
  [2365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [2367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4032),
  [2369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4812),
  [2371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5266),
  [2373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3945),
  [2375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3587),
  [2377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4377),
  [2379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22365),
  [2381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12623),
  [2383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20822),
  [2385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4767),
  [2387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19977),
  [2389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5455),
  [2391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [2393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4706),
  [2395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8937),
  [2397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5812),
  [2399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6868),
  [2401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22392),
  [2403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12489),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19959),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4902),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20248),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5516),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [2415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7203),
  [2417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3041),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [2421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [2423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7728),
  [2425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3752),
  [2427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11912),
  [2429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5857),
  [2431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1832),
  [2433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(565),
  [2435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(478),
  [2437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2989),
  [2439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [2441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15554),
  [2443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15696),
  [2445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(302),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7680),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16642),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17739),
  [2453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7720),
  [2455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14688),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13602),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5270),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7503),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18318),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8521),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10587),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3881),
  [2473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4298),
  [2475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22385),
  [2477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12673),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21096),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4765),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21198),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5453),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [2489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6908),
  [2491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8095),
  [2493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22344),
  [2495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12786),
  [2497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19739),
  [2499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4873),
  [2501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20227),
  [2503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5525),
  [2505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [2507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4568),
  [2509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22393),
  [2511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12537),
  [2513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19843),
  [2515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4911),
  [2517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20098),
  [2519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5512),
  [2521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [2523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7895),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6329),
  [2527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6737),
  [2529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22401),
  [2531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12675),
  [2533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19534),
  [2535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4973),
  [2537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19592),
  [2539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5470),
  [2541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [2543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6002),
  [2545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4230),
  [2547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4732),
  [2549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22384),
  [2551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12714),
  [2553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21199),
  [2555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4766),
  [2557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21312),
  [2559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5465),
  [2561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5171),
  [2565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3716),
  [2567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4473),
  [2569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11003),
  [2571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22381),
  [2573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12811),
  [2575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21562),
  [2577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4915),
  [2579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21680),
  [2581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5484),
  [2583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [2585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6714),
  [2587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8008),
  [2589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7410),
  [2591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22371),
  [2593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13035),
  [2595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22305),
  [2597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4942),
  [2599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21911),
  [2601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5500),
  [2603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [2605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7110),
  [2607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3048),
  [2609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [2611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2003),
  [2613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7401),
  [2615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3634),
  [2617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11805),
  [2619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5829),
  [2621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2002),
  [2623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(532),
  [2625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [2627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2987),
  [2629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(458),
  [2631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15403),
  [2633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15772),
  [2635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(300),
  [2637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7327),
  [2639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16902),
  [2641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17877),
  [2643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7400),
  [2645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14719),
  [2647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13648),
  [2649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5363),
  [2651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1614),
  [2653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7332),
  [2655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19163),
  [2657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8108),
  [2659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22400),
  [2661] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12638),
  [2663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19560),
  [2665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4966),
  [2667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19625),
  [2669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5475),
  [2671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [2673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8181),
  [2675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22354),
  [2677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12508),
  [2679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21052),
  [2681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4967),
  [2683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20199),
  [2685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5481),
  [2687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [2689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7033),
  [2691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3026),
  [2693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [2695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1765),
  [2697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7427),
  [2699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3617),
  [2701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11869),
  [2703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5849),
  [2705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1761),
  [2707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(396),
  [2709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(419),
  [2711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2968),
  [2713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15338),
  [2717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15820),
  [2719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [2721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7567),
  [2723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16759),
  [2725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17615),
  [2727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7422),
  [2729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14753),
  [2731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13705),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5413),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1215),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7351),
  [2739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18251),
  [2741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22359),
  [2743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21585),
  [2745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4925),
  [2747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22183),
  [2749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5505),
  [2751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [2753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3641),
  [2755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22394),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12548),
  [2759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19777),
  [2761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4924),
  [2763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19953),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5506),
  [2767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [2769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7443),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7626),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11037),
  [2775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6996),
  [2777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3043),
  [2779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [2781] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1821),
  [2783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7599),
  [2785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3538),
  [2787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11857),
  [2789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5852),
  [2791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1822),
  [2793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(559),
  [2795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(476),
  [2797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2980),
  [2799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [2801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15278),
  [2803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15860),
  [2805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [2807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7679),
  [2809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16623),
  [2811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17732),
  [2813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7603),
  [2815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14658),
  [2817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13597),
  [2819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5085),
  [2821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1631),
  [2823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7657),
  [2825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18287),
  [2827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4606),
  [2829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8276),
  [2831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22347),
  [2833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12556),
  [2835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19410),
  [2837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5065),
  [2839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19735),
  [2841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5520),
  [2843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [2845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3882),
  [2847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8265),
  [2849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7300),
  [2851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22383),
  [2853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12769),
  [2855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21314),
  [2857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4778),
  [2859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21428),
  [2861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5483),
  [2863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [2865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7179),
  [2867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22399),
  [2869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12630),
  [2871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19595),
  [2873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4962),
  [2875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19658),
  [2877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5486),
  [2879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [2881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4366),
  [2883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7874),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8392),
  [2887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5978),
  [2889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4917),
  [2891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22369),
  [2893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12902),
  [2895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21904),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4960),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21424),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5468),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [2905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7389),
  [2907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22398),
  [2909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12602),
  [2911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19627),
  [2913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4955),
  [2915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19688),
  [2917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5492),
  [2919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [2921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7007),
  [2923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22377),
  [2925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12993),
  [2927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21942),
  [2929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5004),
  [2931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22169),
  [2933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5473),
  [2935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [2937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6831),
  [2939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7429),
  [2941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6493),
  [2943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22374),
  [2945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13005),
  [2947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22276),
  [2949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5020),
  [2951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22534),
  [2953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5487),
  [2955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3540),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7217),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7264),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4872),
  [2965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7637),
  [2967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22382),
  [2969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12820),
  [2971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21431),
  [2973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4888),
  [2975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21561),
  [2977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5476),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [2981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3068),
  [2983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5854),
  [2985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(440),
  [2987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [2989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2963),
  [2991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [2993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [2995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7073),
  [2997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7051),
  [2999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22396),
  [3001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12564),
  [3003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19689),
  [3005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4926),
  [3007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19776),
  [3009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5488),
  [3011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [3013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6426),
  [3015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7773),
  [3017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7086),
  [3019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7962),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7488),
  [3023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7436),
  [3025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3050),
  [3027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [3029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1905),
  [3031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8137),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3423),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11797),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5873),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1908),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(528),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [3045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2986),
  [3047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(518),
  [3049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15466),
  [3051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15771),
  [3053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [3055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7906),
  [3057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17476),
  [3059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17337),
  [3061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8139),
  [3063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14713),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13937),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5356),
  [3069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [3071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8245),
  [3073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18794),
  [3075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3025),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5781),
  [3079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [3081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [3083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2966),
  [3085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(560),
  [3087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3023),
  [3091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5893),
  [3093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [3095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(414),
  [3097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2993),
  [3099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [3101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1390),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3049),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5861),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [3109] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [3111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3000),
  [3113] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [3115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1378),
  [3117] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7467),
  [3119] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3022),
  [3121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [3123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [3125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8010),
  [3127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3710),
  [3129] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11868),
  [3131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5809),
  [3133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1816),
  [3135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [3137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(428),
  [3139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3010),
  [3141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(427),
  [3143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15451),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15810),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7761),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16785),
  [3153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17602),
  [3155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8011),
  [3157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14740),
  [3159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13619),
  [3161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5124),
  [3163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1207),
  [3165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8296),
  [3167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18308),
  [3169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7447),
  [3171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3059),
  [3173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [3175] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8119),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3630),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11881),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5883),
  [3185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2006),
  [3187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(469),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3013),
  [3193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(372),
  [3195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15521),
  [3197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15721),
  [3199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [3201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7783),
  [3203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17805),
  [3205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17286),
  [3207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8117),
  [3209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14760),
  [3211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13793),
  [3213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5355),
  [3215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [3217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8115),
  [3219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18927),
  [3221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7622),
  [3223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3037),
  [3225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [3229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7943),
  [3231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3520),
  [3233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11763),
  [3235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5817),
  [3237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2007),
  [3239] = {.entry = {.count = 1, .reusable = false}}, SHIFT(493),
  [3241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(359),
  [3243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2962),
  [3245] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [3247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15353),
  [3249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15815),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(291),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8182),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17720),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17239),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7901),
  [3261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14776),
  [3263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13575),
  [3265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5238),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1373),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7902),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19130),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3062),
  [3275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5813),
  [3277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [3279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [3281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2958),
  [3283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [3285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [3287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7457),
  [3289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3051),
  [3291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(176),
  [3293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1774),
  [3295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7907),
  [3297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3441),
  [3299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11728),
  [3301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5905),
  [3303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [3305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [3307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [3309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2977),
  [3311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [3313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15539),
  [3315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15714),
  [3317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [3319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8118),
  [3321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17628),
  [3323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17321),
  [3325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7891),
  [3327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14795),
  [3329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13796),
  [3331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5353),
  [3333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1387),
  [3335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7888),
  [3337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19253),
  [3339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3028),
  [3341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5777),
  [3343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [3345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [3347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3006),
  [3349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(365),
  [3351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [3353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3054),
  [3355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5792),
  [3357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(413),
  [3359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [3361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2961),
  [3363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(538),
  [3365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(998),
  [3367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3027),
  [3369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5879),
  [3371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [3373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(511),
  [3375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2985),
  [3377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [3379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [3381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3021),
  [3383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5853),
  [3385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [3387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [3389] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2996),
  [3391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(490),
  [3393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1103),
  [3395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3014),
  [3397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5866),
  [3399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [3401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(526),
  [3403] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2975),
  [3405] = {.entry = {.count = 1, .reusable = false}}, SHIFT(525),
  [3407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7073),
  [3411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6714),
  [3413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7637),
  [3415] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7410),
  [3417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7429),
  [3419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3882),
  [3421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5241),
  [3423] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4606),
  [3425] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7962),
  [3427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11003),
  [3429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3665),
  [3431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4230),
  [3433] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4032),
  [3435] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7760),
  [3437] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4504),
  [3439] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4812),
  [3441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9014),
  [3443] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7389),
  [3445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7735),
  [3447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8727),
  [3449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3716),
  [3451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4049),
  [3453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8687),
  [3455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6858),
  [3457] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6426),
  [3459] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7051),
  [3461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4181),
  [3463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8134),
  [3465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5978),
  [3467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8014),
  [3469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7626),
  [3471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13449),
  [3473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5171),
  [3475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6221),
  [3477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4871),
  [3479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3945),
  [3481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8741),
  [3483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7217),
  [3485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6028),
  [3487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5875),
  [3489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5266),
  [3491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8392),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3641),
  [3495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4568),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10587),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4917),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8181),
  [3503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6329),
  [3505] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6868),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8265),
  [3509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8095),
  [3511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9344),
  [3513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9150),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16813),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17835),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17203),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17389),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11692),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17384),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17348),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16711),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17770),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16880),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17913),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16745),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17776),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17019),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17485),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16792),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17798),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13852),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16948),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17955),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16808),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17590),
  [3559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16883),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17922),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17094),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17442),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16852),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17761),
  [3571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3835),
  [3573] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1, 0, 0),
  [3575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1, 0, 0),
  [3577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18559),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14647),
  [3581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20491),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5098),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16955),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17958),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17832),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17829),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16943),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17953),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16984),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17979),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16895),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17931),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16968),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17962),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16847),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17869),
  [3613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3394),
  [3615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18185),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14779),
  [3619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21655),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5348),
  [3623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3790),
  [3625] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18365),
  [3627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14636),
  [3629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20219),
  [3631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5150),
  [3633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10827),
  [3635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6189),
  [3637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7550),
  [3639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4775),
  [3641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3985),
  [3643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8708),
  [3645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3771),
  [3647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6675),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8141),
  [3651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3899),
  [3653] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18557),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14756),
  [3657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20060),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5189),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6353),
  [3663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3919),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8682),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7820),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4009),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6937),
  [3673] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3901),
  [3675] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18394),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14820),
  [3679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19923),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5247),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6780),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5301),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7456),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4401),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4215),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5114),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5938),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3709),
  [3699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9008),
  [3701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9084),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4535),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4497),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7479),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8739),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9172),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7831),
  [3715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4429),
  [3717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18522),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14718),
  [3721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22255),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5327),
  [3725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4419),
  [3727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18608),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14665),
  [3731] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22421),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5215),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4977),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10668),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7150),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3975),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4818),
  [3745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11710),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5142),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5876),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10390),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6134),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6987),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6268),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4596),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7729),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8024),
  [3765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3944),
  [3767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18324),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14794),
  [3771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20615),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5152),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7662),
  [3777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9379),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8230),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7966),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3522),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8183),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7636),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8404),
  [3791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3994),
  [3793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18929),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14682),
  [3797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21735),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5449),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7122),
  [3803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4569),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18639),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14829),
  [3809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22162),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5336),
  [3813] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4646),
  [3815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18565),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14723),
  [3819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21780),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5429),
  [3823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4622),
  [3825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18135),
  [3827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14778),
  [3829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21399),
  [3831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5211),
  [3833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4989),
  [3835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7743),
  [3837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3940),
  [3839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5122),
  [3841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6778),
  [3843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6779),
  [3845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36),
  [3847] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3394),
  [3850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36),
  [3852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18185),
  [3855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(229),
  [3858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2011),
  [3861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3629),
  [3864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3670),
  [3867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11892),
  [3870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2012),
  [3873] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15625),
  [3876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15635),
  [3879] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(330),
  [3882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3631),
  [3885] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16883),
  [3888] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17922),
  [3891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3635),
  [3894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14670),
  [3897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13690),
  [3900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5351),
  [3903] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3825),
  [3906] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19097),
  [3909] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_application_expression, 2, 0, 20),
  [3911] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_application_expression, 2, 0, 20),
  [3913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5082),
  [3915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6816),
  [3917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6821),
  [3919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6835),
  [3921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6844),
  [3923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4901),
  [3925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18353),
  [3927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14664),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22142),
  [3931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5354),
  [3933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6119),
  [3935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6120),
  [3937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7416),
  [3939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3597),
  [3941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3594),
  [3943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8087),
  [3945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7424),
  [3947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7883),
  [3949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6080),
  [3951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6158),
  [3953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7454),
  [3955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3578),
  [3957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7344),
  [3959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3573),
  [3961] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3790),
  [3964] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18365),
  [3967] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(153),
  [3970] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1777),
  [3973] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3677),
  [3976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3589),
  [3979] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11628),
  [3982] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1776),
  [3985] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15528),
  [3988] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15724),
  [3991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(293),
  [3994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3531),
  [3997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16955),
  [4000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17958),
  [4003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3676),
  [4006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14763),
  [4009] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13627),
  [4012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5149),
  [4015] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3582),
  [4018] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19260),
  [4021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6113),
  [4023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6099),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5066),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18604),
  [4029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14819),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22524),
  [4033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5206),
  [4035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7558),
  [4037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7768),
  [4039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3962),
  [4041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3965),
  [4043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7565),
  [4045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6450),
  [4047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6453),
  [4049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6485),
  [4051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4022),
  [4053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6487),
  [4055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3894),
  [4057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4023),
  [4059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6499),
  [4061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8094),
  [4063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3939),
  [4065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3537),
  [4067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3534),
  [4069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6474),
  [4071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7931),
  [4073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3979),
  [4075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7900),
  [4077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8742),
  [4079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8801),
  [4081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7780),
  [4083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7777),
  [4085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3986),
  [4087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3860),
  [4089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7070),
  [4091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3891),
  [4093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7767),
  [4095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7065),
  [4097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7764),
  [4099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7016),
  [4101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7012),
  [4103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7003),
  [4105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3873),
  [4107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8869),
  [4109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7001),
  [4111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8131),
  [4113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8833),
  [4115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10498),
  [4117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7808),
  [4119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7811),
  [4121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10305),
  [4123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8018),
  [4125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10622),
  [4127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3498),
  [4129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3495),
  [4131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8002),
  [4133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10529),
  [4135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7992),
  [4137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10408),
  [4139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10623),
  [4141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8784),
  [4143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3488),
  [4145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7801),
  [4147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7799),
  [4149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8852),
  [4151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5096),
  [4153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3486),
  [4155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7681),
  [4157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7684),
  [4159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7733),
  [4161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7736),
  [4163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7727),
  [4165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6237),
  [4167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6257),
  [4169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6266),
  [4171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3448),
  [4173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3445),
  [4175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7675),
  [4177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7673),
  [4179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5441),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6271),
  [4183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7638),
  [4185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7623),
  [4187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4887),
  [4189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7611),
  [4191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7598),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4876),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4864),
  [4197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4854),
  [4199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6190),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6180),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11057),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4115),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4117),
  [4209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11058),
  [4211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4784),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4782),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11047),
  [4217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4129),
  [4219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11041),
  [4221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4131),
  [4223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11015),
  [4225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11008),
  [4227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7542),
  [4229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7540),
  [4231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7498),
  [4233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7493),
  [4235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7484),
  [4237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7368),
  [4239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8978),
  [4241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7409),
  [4243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7406),
  [4245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4170),
  [4247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4171),
  [4249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8953),
  [4251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7321),
  [4253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7318),
  [4255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6260),
  [4257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6255),
  [4259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7293),
  [4261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7290),
  [4263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5195),
  [4265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4673),
  [4267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6242),
  [4269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4679),
  [4271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6240),
  [4273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8889),
  [4275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8879),
  [4277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4739),
  [4279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4737),
  [4281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9216),
  [4283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9219),
  [4285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4728),
  [4287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4725),
  [4289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4269),
  [4291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6207),
  [4293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6206),
  [4295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4272),
  [4297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4293),
  [4299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4295),
  [4301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4301),
  [4303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4303),
  [4305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4770),
  [4307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4771),
  [4309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6717),
  [4311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6727),
  [4313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4763),
  [4315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4820),
  [4317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5410),
  [4319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4836),
  [4321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6762),
  [4323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7844),
  [4325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6764),
  [4327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4841),
  [4329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7838),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4365),
  [4333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4374),
  [4335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4380),
  [4337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4385),
  [4339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8600),
  [4341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6699),
  [4343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6698),
  [4345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8622),
  [4347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8698),
  [4349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7858),
  [4351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7864),
  [4353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8092),
  [4355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8047),
  [4357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4423),
  [4359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4421),
  [4361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8702),
  [4363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8735),
  [4365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7878),
  [4367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8122),
  [4369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7903),
  [4371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8127),
  [4373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8705),
  [4375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4329),
  [4377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4330),
  [4379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4358),
  [4381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4360),
  [4383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4369),
  [4385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4372),
  [4387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8514),
  [4389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8516),
  [4391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4946),
  [4393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8212),
  [4395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8215),
  [4397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4947),
  [4399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8530),
  [4401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8533),
  [4403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4987),
  [4405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8562),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8563),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7169),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7173),
  [4413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4999),
  [4415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5006),
  [4417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3835),
  [4420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18559),
  [4423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(218),
  [4426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1830),
  [4429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3737),
  [4432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3602),
  [4435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11647),
  [4438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1829),
  [4441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15568),
  [4444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15683),
  [4447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(304),
  [4450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3440),
  [4453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16948),
  [4456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17955),
  [4459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3729),
  [4462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14744),
  [4465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13631),
  [4468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5093),
  [4471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3675),
  [4474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19234),
  [4477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8459),
  [4479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7185),
  [4481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8428),
  [4483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7189),
  [4485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5842),
  [4487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5827),
  [4489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8371),
  [4491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8449),
  [4493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8326),
  [4495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5798),
  [4497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5803),
  [4499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7218),
  [4501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5942),
  [4503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7220),
  [4505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5816),
  [4507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5773),
  [4509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8309),
  [4511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8280),
  [4513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5968),
  [4515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8271),
  [4517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8252),
  [4519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5924),
  [4521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5999),
  [4523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6965),
  [4525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6964),
  [4527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5962),
  [4529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5431),
  [4531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7271),
  [4533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7268),
  [4535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5421),
  [4537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5971),
  [4539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6916),
  [4541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4979),
  [4543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18347),
  [4545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14823),
  [4547] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22032),
  [4549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5265),
  [4551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6913),
  [4553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7258),
  [4555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5157),
  [4557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7255),
  [4559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6905),
  [4561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5141),
  [4563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6903),
  [4565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4452),
  [4567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4451),
  [4569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4466),
  [4571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4468),
  [4573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5125),
  [4575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5108),
  [4577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4477),
  [4579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4479),
  [4581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7308),
  [4583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7310),
  [4585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8358),
  [4587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7857),
  [4589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7863),
  [4591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8198),
  [4593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4714),
  [4595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4710),
  [4597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8191),
  [4599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3585),
  [4601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3442),
  [4603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3387),
  [4605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4698),
  [4607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3407),
  [4609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7979),
  [4611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7999),
  [4613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4692),
  [4615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8025),
  [4617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8042),
  [4619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3563),
  [4621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3592),
  [4623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5127),
  [4625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5120),
  [4627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7040),
  [4629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4613),
  [4631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4609),
  [4633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7042),
  [4635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5226),
  [4637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5251),
  [4639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7077),
  [4641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5345),
  [4643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5307),
  [4645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7093),
  [4647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7080),
  [4649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7090),
  [4651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3901),
  [4654] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18394),
  [4657] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(166),
  [4660] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1730),
  [4663] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4039),
  [4666] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3575),
  [4669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11652),
  [4672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1775),
  [4675] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15394),
  [4678] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15787),
  [4681] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(305),
  [4684] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3949),
  [4687] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16984),
  [4690] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17979),
  [4693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4042),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14790),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13620),
  [4702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5232),
  [4705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4073),
  [4708] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19289),
  [4711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5319),
  [4713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19094),
  [4715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14785),
  [4717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19787),
  [4719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5406),
  [4721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3994),
  [4724] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18929),
  [4727] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(236),
  [4730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1923),
  [4733] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3887),
  [4736] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3625),
  [4739] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11901),
  [4742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1922),
  [4745] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15584),
  [4748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15774),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(288),
  [4754] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4406),
  [4757] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17019),
  [4760] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17485),
  [4763] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3886),
  [4766] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14663),
  [4769] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13742),
  [4772] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5385),
  [4775] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3851),
  [4778] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19061),
  [4781] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3899),
  [4784] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18557),
  [4787] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(191),
  [4790] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1772),
  [4793] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4024),
  [4796] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3659),
  [4799] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11600),
  [4802] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1769),
  [4805] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15263),
  [4808] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15871),
  [4811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(295),
  [4814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4026),
  [4817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16968),
  [4820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17962),
  [4823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4027),
  [4826] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14764),
  [4829] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13624),
  [4832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5184),
  [4835] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4058),
  [4838] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19280),
  [4841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5147),
  [4843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18307),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14668),
  [4847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21867),
  [4849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5272),
  [4851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4419),
  [4854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18608),
  [4857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(215),
  [4860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1888),
  [4863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4239),
  [4866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3765),
  [4869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11942),
  [4872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1891),
  [4875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15558),
  [4878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15691),
  [4881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(294),
  [4884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4260),
  [4887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16745),
  [4890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17776),
  [4893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4238),
  [4896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14802),
  [4899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13841),
  [4902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5216),
  [4905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4205),
  [4908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18518),
  [4911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5330),
  [4913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19145),
  [4915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14700),
  [4917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20267),
  [4919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5438),
  [4921] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4429),
  [4924] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18522),
  [4927] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(154),
  [4930] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1931),
  [4933] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4190),
  [4936] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3732),
  [4939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11891),
  [4942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1932),
  [4945] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15552),
  [4948] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15698),
  [4951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(312),
  [4954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4325),
  [4957] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16813),
  [4960] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17835),
  [4963] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4189),
  [4966] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14697),
  [4969] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13945),
  [4972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5317),
  [4975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4091),
  [4978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18787),
  [4981] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3944),
  [4984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18324),
  [4987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(194),
  [4990] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1867),
  [4993] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3941),
  [4996] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3604),
  [4999] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11673),
  [5002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1866),
  [5005] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15456),
  [5008] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15756),
  [5011] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(322),
  [5014] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4172),
  [5017] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16943),
  [5020] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17953),
  [5023] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3942),
  [5026] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14741),
  [5029] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13633),
  [5032] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5154),
  [5035] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3969),
  [5038] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19217),
  [5041] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4646),
  [5044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18565),
  [5047] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(210),
  [5050] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1994),
  [5053] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4573),
  [5056] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3672),
  [5059] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11923),
  [5062] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1995),
  [5065] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15530),
  [5068] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15717),
  [5071] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(331),
  [5074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4455),
  [5077] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16880),
  [5080] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17913),
  [5083] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4572),
  [5086] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14645),
  [5089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13750),
  [5092] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5389),
  [5095] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4543),
  [5098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19048),
  [5101] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4569),
  [5104] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18639),
  [5107] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(234),
  [5110] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1876),
  [5113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4576),
  [5116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3789),
  [5119] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11739),
  [5122] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1878),
  [5125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15285),
  [5128] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15857),
  [5131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(290),
  [5134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4670),
  [5137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16711),
  [5140] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17770),
  [5143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4583),
  [5146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14709),
  [5149] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13794),
  [5152] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5338),
  [5155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4658),
  [5158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18464),
  [5161] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4622),
  [5164] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18135),
  [5167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(174),
  [5170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2027),
  [5173] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4510),
  [5176] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3648),
  [5179] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11774),
  [5182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2026),
  [5185] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15311),
  [5188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15833),
  [5191] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(297),
  [5194] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4578),
  [5197] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16895),
  [5200] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17931),
  [5203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4506),
  [5206] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14715),
  [5209] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13651),
  [5212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5111),
  [5215] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4489),
  [5218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19151),
  [5221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4901),
  [5224] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18353),
  [5227] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(170),
  [5230] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1939),
  [5233] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4861),
  [5236] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3720),
  [5239] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11905),
  [5242] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1942),
  [5245] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15331),
  [5248] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15825),
  [5251] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(321),
  [5254] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4943),
  [5257] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16847),
  [5260] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17869),
  [5263] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4862),
  [5266] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14655),
  [5269] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13881),
  [5272] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5349),
  [5275] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4932),
  [5278] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18837),
  [5281] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4979),
  [5284] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18347),
  [5287] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(244),
  [5290] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1850),
  [5293] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4923),
  [5296] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3812),
  [5299] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11646),
  [5302] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1849),
  [5305] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15570),
  [5308] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15676),
  [5311] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(333),
  [5314] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4769),
  [5317] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16808),
  [5320] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17590),
  [5323] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4922),
  [5326] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14711),
  [5329] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13745),
  [5332] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5284),
  [5335] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4827),
  [5338] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18367),
  [5341] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5066),
  [5344] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18604),
  [5347] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(192),
  [5350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1896),
  [5353] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4801),
  [5356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3757),
  [5359] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11649),
  [5362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1897),
  [5365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15299),
  [5368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15839),
  [5371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(298),
  [5374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4768),
  [5377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16792),
  [5380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17798),
  [5383] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4802),
  [5386] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14720),
  [5389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13940),
  [5392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5200),
  [5395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(4863),
  [5398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18618),
  [5401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5330),
  [5404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19145),
  [5407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(193),
  [5410] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2033),
  [5413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5294),
  [5416] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3507),
  [5419] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11744),
  [5422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2032),
  [5425] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15607),
  [5428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15658),
  [5431] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(328),
  [5434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5193),
  [5437] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17203),
  [5440] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17389),
  [5443] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5293),
  [5446] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14690),
  [5449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13748),
  [5452] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5198),
  [5455] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5289),
  [5458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18199),
  [5461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5319),
  [5464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19094),
  [5467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(217),
  [5470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1980),
  [5473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5205),
  [5476] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3379),
  [5479] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11715),
  [5482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1983),
  [5485] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15358),
  [5488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15807),
  [5491] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(319),
  [5494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5409),
  [5497] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17384),
  [5500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17348),
  [5503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5197),
  [5506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14798),
  [5509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13722),
  [5512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5209),
  [5515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5190),
  [5518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18602),
  [5521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5147),
  [5524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18307),
  [5527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(186),
  [5530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1731),
  [5533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5083),
  [5536] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3754),
  [5539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11754),
  [5542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1736),
  [5545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15314),
  [5548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15836),
  [5551] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(289),
  [5554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5318),
  [5557] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17832),
  [5560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17829),
  [5563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5375),
  [5566] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14783),
  [5569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13956),
  [5572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5403),
  [5575] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5425),
  [5578] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18237),
  [5581] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5797),
  [5583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18286),
  [5585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14801),
  [5587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22018),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5298),
  [5591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5958),
  [5593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19121),
  [5595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14652),
  [5597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20819),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5360),
  [5601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6117),
  [5603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18649),
  [5605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14710),
  [5607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20319),
  [5609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5372),
  [5611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6331),
  [5613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18270),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14654),
  [5617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20760),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5246),
  [5621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6291),
  [5623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18170),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14706),
  [5627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22435),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5303),
  [5631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5797),
  [5634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18286),
  [5637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(190),
  [5640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1958),
  [5643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5862),
  [5646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3694),
  [5649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11609),
  [5652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1959),
  [5655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15322),
  [5658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15827),
  [5661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(327),
  [5664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5841),
  [5667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16852),
  [5670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17761),
  [5673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5865),
  [5676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14678),
  [5679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13842),
  [5682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5121),
  [5685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5826),
  [5688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18890),
  [5691] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5958),
  [5694] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19121),
  [5697] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(243),
  [5700] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1984),
  [5703] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5993),
  [5706] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3544),
  [5709] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11920),
  [5712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1979),
  [5715] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15256),
  [5718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15708),
  [5721] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(315),
  [5724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5959),
  [5727] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17094),
  [5730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17442),
  [5733] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5992),
  [5736] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14651),
  [5739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13595),
  [5742] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5282),
  [5745] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5990),
  [5748] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18613),
  [5751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6349),
  [5753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18803),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14660),
  [5757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19335),
  [5759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5325),
  [5761] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6117),
  [5764] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18649),
  [5767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(187),
  [5770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1743),
  [5773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6036),
  [5776] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3645),
  [5779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11626),
  [5782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1744),
  [5785] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15543),
  [5788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15703),
  [5791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(326),
  [5794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6108),
  [5797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16706),
  [5800] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17633),
  [5803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6035),
  [5806] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14796),
  [5809] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13916),
  [5812] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5377),
  [5815] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6081),
  [5818] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18172),
  [5821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [5823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6451),
  [5825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 0),
  [5827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [5829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5546),
  [5831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6187),
  [5833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15255),
  [5835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16324),
  [5837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5551),
  [5839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5460),
  [5841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22118),
  [5843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17315),
  [5845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17005),
  [5847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6185),
  [5849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22114),
  [5851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14691),
  [5853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13719),
  [5855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6147),
  [5857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18153),
  [5859] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6331),
  [5862] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18270),
  [5865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(212),
  [5868] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1890),
  [5871] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6313),
  [5874] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3377),
  [5877] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11752),
  [5880] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1889),
  [5883] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15276),
  [5886] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15863),
  [5889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(335),
  [5892] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6205),
  [5895] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16916),
  [5898] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17936),
  [5901] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6317),
  [5904] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14739),
  [5907] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13636),
  [5910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5249),
  [5913] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6297),
  [5916] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19209),
  [5919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6662),
  [5921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18239),
  [5923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14737),
  [5925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20946),
  [5927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5305),
  [5929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6291),
  [5932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18170),
  [5935] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(183),
  [5938] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1826),
  [5941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6339),
  [5944] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3782),
  [5947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11922),
  [5950] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1827),
  [5953] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15463),
  [5956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15749),
  [5959] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(320),
  [5962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6186),
  [5965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17783),
  [5968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17143),
  [5971] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6338),
  [5974] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14770),
  [5977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13752),
  [5980] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5419),
  [5983] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6324),
  [5986] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18371),
  [5989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11636),
  [5991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [5993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11469),
  [5995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18401),
  [5997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3425),
  [5999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13507),
  [6001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22334),
  [6003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14980),
  [6005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3373),
  [6007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15986),
  [6009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16005),
  [6011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20148),
  [6013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3417),
  [6015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3366),
  [6017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21618),
  [6019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6145),
  [6021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17996),
  [6023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17111),
  [6025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13506),
  [6027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18316),
  [6029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14657),
  [6031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13684),
  [6033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20712),
  [6035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9551),
  [6037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19166),
  [6039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8965),
  [6041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22386),
  [6043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16012),
  [6045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21006),
  [6047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21092),
  [6049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6815),
  [6051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18400),
  [6053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14805),
  [6055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20614),
  [6057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5323),
  [6059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14935),
  [6061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22357),
  [6063] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16487),
  [6065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19741),
  [6067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21647),
  [6069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6568),
  [6071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [6073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5542),
  [6075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6377),
  [6077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15002),
  [6079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16120),
  [6081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5543),
  [6083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5522),
  [6085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19422),
  [6087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17066),
  [6089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17455),
  [6091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6379),
  [6093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19746),
  [6095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14646),
  [6097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13829),
  [6099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6164),
  [6101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18870),
  [6103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16347),
  [6105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20197),
  [6107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8330),
  [6109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22361),
  [6111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16405),
  [6113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20759),
  [6115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21010),
  [6117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9978),
  [6119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22368),
  [6121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16203),
  [6123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21668),
  [6125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21159),
  [6127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8623),
  [6129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22375),
  [6131] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16122),
  [6133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22170),
  [6135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22453),
  [6137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8888),
  [6139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22395),
  [6141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15927),
  [6143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19720),
  [6145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19841),
  [6147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6534),
  [6149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2886),
  [6151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5553),
  [6153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6469),
  [6155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15150),
  [6157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15899),
  [6159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5555),
  [6161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5457),
  [6163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19593),
  [6165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16953),
  [6167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17530),
  [6169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6467),
  [6171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19420),
  [6173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14681),
  [6175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13905),
  [6177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6226),
  [6179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18887),
  [6181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6349),
  [6184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18803),
  [6187] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(258),
  [6190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1766),
  [6193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6369),
  [6196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3652),
  [6199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11712),
  [6202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1767),
  [6205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15421),
  [6208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15775),
  [6211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(309),
  [6214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6441),
  [6217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16678),
  [6220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17648),
  [6223] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6405),
  [6226] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14775),
  [6229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13972),
  [6232] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5328),
  [6235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6391),
  [6238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18160),
  [6241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6872),
  [6243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18211),
  [6245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14643),
  [6247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21168),
  [6249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5447),
  [6251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6741),
  [6253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2889),
  [6255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5568),
  [6257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6541),
  [6259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15243),
  [6261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16180),
  [6263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5567),
  [6265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5479),
  [6267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21040),
  [6269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16614),
  [6271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17675),
  [6273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6518),
  [6275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20684),
  [6277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14676),
  [6279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13847),
  [6281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6404),
  [6283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18225),
  [6285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7311),
  [6287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18907),
  [6289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14728),
  [6291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20995),
  [6293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5074),
  [6295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7646),
  [6297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18173),
  [6299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14712),
  [6301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21275),
  [6303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5378),
  [6305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7355),
  [6307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19279),
  [6309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14821),
  [6311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21196),
  [6313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5277),
  [6315] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6662),
  [6318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18239),
  [6321] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(221),
  [6324] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1915),
  [6327] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6720),
  [6330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3614),
  [6333] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11764),
  [6336] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1914),
  [6339] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15408),
  [6342] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15781),
  [6345] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(283),
  [6348] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6694),
  [6351] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16911),
  [6354] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17935),
  [6357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6719),
  [6360] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14731),
  [6363] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13638),
  [6366] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5306),
  [6369] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6653),
  [6372] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19197),
  [6375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7378),
  [6377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19015),
  [6379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14789),
  [6381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21705),
  [6383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5297),
  [6385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7412),
  [6387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18860),
  [6389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14724),
  [6391] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21956),
  [6393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5451),
  [6395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7676),
  [6397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18266),
  [6399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14828),
  [6401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20975),
  [6403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5415),
  [6405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20101),
  [6407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7958),
  [6409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18954),
  [6411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14677),
  [6413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19378),
  [6415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5379),
  [6417] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6815),
  [6420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18400),
  [6423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(156),
  [6426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1732),
  [6429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6842),
  [6432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3642),
  [6435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11702),
  [6438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1733),
  [6441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15512),
  [6444] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15764),
  [6447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(308),
  [6450] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6772),
  [6453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16733),
  [6456] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17626),
  [6459] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6846),
  [6462] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14815),
  [6465] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13835),
  [6468] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5320),
  [6471] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6805),
  [6474] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18204),
  [6477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11525),
  [6479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 1, 0, 5),
  [6481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 1, 0, 5),
  [6483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9890),
  [6485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [6487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17644),
  [6489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2798),
  [6491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5649),
  [6493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5650),
  [6495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3759),
  [6497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11423),
  [6499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9122),
  [6501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15173),
  [6503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16108),
  [6505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16548),
  [6507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5652),
  [6509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3699),
  [6511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22482),
  [6513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17535),
  [6515] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17940),
  [6517] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17265),
  [6519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11444),
  [6521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22477),
  [6523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14696),
  [6525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13958),
  [6527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9582),
  [6529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18763),
  [6531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8098),
  [6533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18391),
  [6535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14751),
  [6537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21222),
  [6539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5433),
  [6541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9818),
  [6543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1482),
  [6545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5623),
  [6547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5622),
  [6549] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16143),
  [6551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5619),
  [6553] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8033),
  [6555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18507),
  [6557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14786),
  [6559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20662),
  [6561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5202),
  [6563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9820),
  [6565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [6567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7846),
  [6569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18790),
  [6571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14762),
  [6573] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20174),
  [6575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5126),
  [6577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7848),
  [6579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18180),
  [6581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14638),
  [6583] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21517),
  [6585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5112),
  [6587] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6940),
  [6589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_expression, 1, 0, 0),
  [6593] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18606),
  [6595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(201),
  [6597] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1977),
  [6599] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6876),
  [6601] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3688),
  [6603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11949),
  [6605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [6607] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15426),
  [6609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15769),
  [6611] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [6613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6977),
  [6615] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16878),
  [6617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17911),
  [6619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6874),
  [6621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14736),
  [6623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13799),
  [6625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5444),
  [6627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6932),
  [6629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18985),
  [6631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6940),
  [6634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18606),
  [6637] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(201),
  [6640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1977),
  [6643] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6876),
  [6646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3688),
  [6649] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11949),
  [6652] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1978),
  [6655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15426),
  [6658] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15769),
  [6661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(336),
  [6664] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6977),
  [6667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16878),
  [6670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17911),
  [6673] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6874),
  [6676] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14736),
  [6679] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13799),
  [6682] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5444),
  [6685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6932),
  [6688] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18985),
  [6691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7038),
  [6693] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_application, 2, 0, 54),
  [6695] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_application, 2, 0, 54),
  [6697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18429),
  [6699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [6701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2025),
  [6703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7032),
  [6705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3664),
  [6707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11872),
  [6709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2028),
  [6711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15485),
  [6713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15739),
  [6715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [6717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7028),
  [6719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16893),
  [6721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17929),
  [6723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7037),
  [6725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14703),
  [6727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13654),
  [6729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5250),
  [6731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7145),
  [6733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19179),
  [6735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6872),
  [6738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18211),
  [6741] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(251),
  [6744] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1967),
  [6747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7199),
  [6750] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3621),
  [6753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11773),
  [6756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1965),
  [6759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15613),
  [6762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15649),
  [6765] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(325),
  [6768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7224),
  [6771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16905),
  [6774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17933),
  [6777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7200),
  [6780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14721),
  [6783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13644),
  [6786] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5437),
  [6789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7146),
  [6792] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19176),
  [6795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7126),
  [6797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18739),
  [6799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [6801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [6803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7115),
  [6805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3679),
  [6807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11795),
  [6809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1791),
  [6811] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15440),
  [6813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15765),
  [6815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [6817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7085),
  [6819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16596),
  [6821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17703),
  [6823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7113),
  [6825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14812),
  [6827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13825),
  [6829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5274),
  [6831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6972),
  [6833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18260),
  [6835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9780),
  [6837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1691),
  [6839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5617),
  [6841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5614),
  [6843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16475),
  [6845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5611),
  [6847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10042),
  [6849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [6851] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7126),
  [6854] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18739),
  [6857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(256),
  [6860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1788),
  [6863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7115),
  [6866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3679),
  [6869] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11795),
  [6872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1791),
  [6875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15440),
  [6878] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15765),
  [6881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(282),
  [6884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7085),
  [6887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16596),
  [6890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17703),
  [6893] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7113),
  [6896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14812),
  [6899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13825),
  [6902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5274),
  [6905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(6972),
  [6908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18260),
  [6911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7038),
  [6914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18429),
  [6917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(257),
  [6920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2025),
  [6923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7032),
  [6926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3664),
  [6929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11872),
  [6932] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2028),
  [6935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15485),
  [6938] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15739),
  [6941] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(311),
  [6944] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7028),
  [6947] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16893),
  [6950] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17929),
  [6953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7037),
  [6956] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14703),
  [6959] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13654),
  [6962] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5250),
  [6965] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7145),
  [6968] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19179),
  [6971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9797),
  [6973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1670),
  [6975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5647),
  [6977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5646),
  [6979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15970),
  [6981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5645),
  [6983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7355),
  [6986] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19279),
  [6989] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(172),
  [6992] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1831),
  [6995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7728),
  [6998] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3752),
  [7001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11912),
  [7004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1832),
  [7007] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15554),
  [7010] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15696),
  [7013] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(302),
  [7016] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7680),
  [7019] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16642),
  [7022] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17739),
  [7025] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7720),
  [7028] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14688),
  [7031] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13602),
  [7034] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5270),
  [7037] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7503),
  [7040] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18318),
  [7043] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7676),
  [7046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18266),
  [7049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(223),
  [7052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1765),
  [7055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7427),
  [7058] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3617),
  [7061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11869),
  [7064] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1761),
  [7067] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15338),
  [7070] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15820),
  [7073] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(285),
  [7076] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7567),
  [7079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16759),
  [7082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17615),
  [7085] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7422),
  [7088] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14753),
  [7091] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13705),
  [7094] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5413),
  [7097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7351),
  [7100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18251),
  [7103] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7412),
  [7106] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18860),
  [7109] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(248),
  [7112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1864),
  [7115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7511),
  [7118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3792),
  [7121] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11937),
  [7124] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1865),
  [7127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15488),
  [7130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15737),
  [7133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(287),
  [7136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7426),
  [7139] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16698),
  [7142] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17759),
  [7145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7510),
  [7148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14661),
  [7151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13779),
  [7154] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5450),
  [7157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7324),
  [7160] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18432),
  [7163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7311),
  [7166] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18907),
  [7169] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(231),
  [7172] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1821),
  [7175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7599),
  [7178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3538),
  [7181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11857),
  [7184] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1822),
  [7187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15278),
  [7190] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15860),
  [7193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(317),
  [7196] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7679),
  [7199] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16623),
  [7202] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17732),
  [7205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7603),
  [7208] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14658),
  [7211] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13597),
  [7214] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5085),
  [7217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7657),
  [7220] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18287),
  [7223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7646),
  [7226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18173),
  [7229] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(245),
  [7232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2003),
  [7235] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7401),
  [7238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3634),
  [7241] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11805),
  [7244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2002),
  [7247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15403),
  [7250] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15772),
  [7253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(300),
  [7256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7327),
  [7259] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16902),
  [7262] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17877),
  [7265] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7400),
  [7268] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14719),
  [7271] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13648),
  [7274] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5363),
  [7277] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7332),
  [7280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19163),
  [7283] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7378),
  [7286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19015),
  [7289] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(254),
  [7292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1857),
  [7295] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7663),
  [7298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3819),
  [7301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11824),
  [7304] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1858),
  [7307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15559),
  [7310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15681),
  [7313] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(284),
  [7316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7552),
  [7319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16685),
  [7322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17746),
  [7325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7660),
  [7328] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14735),
  [7331] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13709),
  [7334] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5263),
  [7337] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7425),
  [7340] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18382),
  [7343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8307),
  [7345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18233),
  [7347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [7349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [7351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8270),
  [7353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3616),
  [7355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11748),
  [7357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1940),
  [7359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15514),
  [7361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15729),
  [7363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [7365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8229),
  [7367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16869),
  [7369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17898),
  [7371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7747),
  [7373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14727),
  [7375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13640),
  [7377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5397),
  [7379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8195),
  [7381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19236),
  [7383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8098),
  [7386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18391),
  [7389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(209),
  [7392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2005),
  [7395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8119),
  [7398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3630),
  [7401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11881),
  [7404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2006),
  [7407] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15521),
  [7410] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15721),
  [7413] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(338),
  [7416] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7783),
  [7419] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17805),
  [7422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17286),
  [7425] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8117),
  [7428] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14760),
  [7431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13793),
  [7434] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5355),
  [7437] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8115),
  [7440] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18927),
  [7443] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7848),
  [7446] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18180),
  [7449] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(157),
  [7452] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1817),
  [7455] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8010),
  [7458] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3710),
  [7461] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11868),
  [7464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1816),
  [7467] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15451),
  [7470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15810),
  [7473] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(316),
  [7476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7761),
  [7479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16785),
  [7482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17602),
  [7485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8011),
  [7488] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14740),
  [7491] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13619),
  [7494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5124),
  [7497] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8296),
  [7500] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18308),
  [7503] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7892),
  [7506] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18301),
  [7509] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(171),
  [7512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1803),
  [7515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8143),
  [7518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3591),
  [7521] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11727),
  [7524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1802),
  [7527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15360),
  [7530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15801),
  [7533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(314),
  [7536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7818),
  [7539] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16932),
  [7542] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17946),
  [7545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8142),
  [7548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14745),
  [7551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13629),
  [7554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5109),
  [7557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8049),
  [7560] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19249),
  [7563] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8307),
  [7566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18233),
  [7569] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(237),
  [7572] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1941),
  [7575] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8270),
  [7578] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3616),
  [7581] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11748),
  [7584] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1940),
  [7587] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15514),
  [7590] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15729),
  [7593] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(337),
  [7596] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8229),
  [7599] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16869),
  [7602] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17898),
  [7605] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7747),
  [7608] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14727),
  [7611] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13640),
  [7614] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5397),
  [7617] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8195),
  [7620] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19236),
  [7623] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8033),
  [7626] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18507),
  [7629] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(262),
  [7632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2010),
  [7635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7943),
  [7638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3520),
  [7641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11763),
  [7644] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(2007),
  [7647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15353),
  [7650] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15815),
  [7653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(291),
  [7656] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8182),
  [7659] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17720),
  [7662] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17239),
  [7665] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7901),
  [7668] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14776),
  [7671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13575),
  [7674] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5238),
  [7677] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7902),
  [7680] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19130),
  [7683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7892),
  [7685] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18301),
  [7687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [7689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1803),
  [7691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8143),
  [7693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3591),
  [7695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11727),
  [7697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1802),
  [7699] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15360),
  [7701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15801),
  [7703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [7705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7818),
  [7707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16932),
  [7709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17946),
  [7711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8142),
  [7713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14745),
  [7715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13629),
  [7717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5109),
  [7719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8049),
  [7721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19249),
  [7723] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7958),
  [7726] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18954),
  [7729] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(226),
  [7732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1905),
  [7735] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8137),
  [7738] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3423),
  [7741] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11797),
  [7744] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1908),
  [7747] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15466),
  [7750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15771),
  [7753] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(334),
  [7756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7906),
  [7759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17476),
  [7762] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17337),
  [7765] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8139),
  [7768] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14713),
  [7771] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13937),
  [7774] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5356),
  [7777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8245),
  [7780] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18794),
  [7783] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7846),
  [7786] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18790),
  [7789] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(176),
  [7792] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1774),
  [7795] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7907),
  [7798] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3441),
  [7801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11728),
  [7804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1748),
  [7807] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15539),
  [7810] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15714),
  [7813] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(296),
  [7816] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8118),
  [7819] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17628),
  [7822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17321),
  [7825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7891),
  [7828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14795),
  [7831] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13796),
  [7834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5353),
  [7837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(7888),
  [7840] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19253),
  [7843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11447),
  [7845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2890),
  [7847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6458),
  [7849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5537),
  [7851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22366),
  [7853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14965),
  [7855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16259),
  [7857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21151),
  [7859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5536),
  [7861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5527),
  [7863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20419),
  [7865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6235),
  [7867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22268),
  [7869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16130),
  [7871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22471),
  [7873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22467),
  [7875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10020),
  [7877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22358),
  [7879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16514),
  [7881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22189),
  [7883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22351),
  [7885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6526),
  [7887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22376),
  [7889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16074),
  [7891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22047),
  [7893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22273),
  [7895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6382),
  [7897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22363),
  [7899] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16337),
  [7901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19942),
  [7903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20383),
  [7905] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 15),
  [7907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8441),
  [7909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 15),
  [7911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10987),
  [7913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18064),
  [7915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2804),
  [7917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3776),
  [7919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8317),
  [7921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9026),
  [7923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15248),
  [7925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16440),
  [7927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3774),
  [7929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19754),
  [7931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17349),
  [7933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17178),
  [7935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17412),
  [7937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8323),
  [7939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20250),
  [7941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14639),
  [7943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13716),
  [7945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7788),
  [7947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18364),
  [7949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 68),
  [7951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 68),
  [7953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11050),
  [7955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8508),
  [7957] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 68),
  [7959] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 68),
  [7961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10766),
  [7963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17141),
  [7965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [7967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3832),
  [7969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8631),
  [7971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9041),
  [7973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15164),
  [7975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16070),
  [7977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3830),
  [7979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20681),
  [7981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16646),
  [7983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17658),
  [7985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8629),
  [7987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20172),
  [7989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14714),
  [7991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13898),
  [7993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8487),
  [7995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18217),
  [7997] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 91),
  [7999] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 91),
  [8001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11001),
  [8003] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 1, 0, 15),
  [8005] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 1, 0, 15),
  [8007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10822),
  [8009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10744),
  [8011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 91),
  [8013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 91),
  [8015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10745),
  [8017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10832),
  [8019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10866),
  [8021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 29),
  [8023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 29),
  [8025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11076),
  [8027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10844),
  [8029] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 104),
  [8031] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 104),
  [8033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10782),
  [8035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10856),
  [8037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 104),
  [8039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 104),
  [8041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10993),
  [8043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10992),
  [8045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9074),
  [8047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19272),
  [8049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [8051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1885),
  [8053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8987),
  [8055] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3741),
  [8057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11950),
  [8059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1884),
  [8061] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15560),
  [8063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15692),
  [8065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [8067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9204),
  [8069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17119),
  [8071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17435),
  [8073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8996),
  [8075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14695),
  [8077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13913),
  [8079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5400),
  [8081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8885),
  [8083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18547),
  [8085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 2, 0, 29),
  [8087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 2, 0, 29),
  [8089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10874),
  [8091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10870),
  [8093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10876),
  [8095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10884),
  [8097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10890),
  [8099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10893),
  [8101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10748),
  [8103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10749),
  [8105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10789),
  [8107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10752),
  [8109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10757),
  [8111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10808),
  [8113] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9074),
  [8116] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(19272),
  [8119] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(180),
  [8122] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1885),
  [8125] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8987),
  [8128] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3741),
  [8131] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11950),
  [8134] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1884),
  [8137] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15560),
  [8140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15692),
  [8143] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(299),
  [8146] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9204),
  [8149] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17119),
  [8152] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17435),
  [8155] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8996),
  [8158] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14695),
  [8161] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13913),
  [8164] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5400),
  [8167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(8885),
  [8170] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18547),
  [8173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10878),
  [8175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10828),
  [8177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10801),
  [8179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [8181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [8183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_pattern, 1, 0, 0),
  [8185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16005),
  [8187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21614),
  [8189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8910),
  [8191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10937),
  [8193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16739),
  [8195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2808),
  [8197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3638),
  [8199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8942),
  [8201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9030),
  [8203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15205),
  [8205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16403),
  [8207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3636),
  [8209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22293),
  [8211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16885),
  [8213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17924),
  [8215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8941),
  [8217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21580),
  [8219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14746),
  [8221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13669),
  [8223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8846),
  [8225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19126),
  [8227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9039),
  [8229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11052),
  [8231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16721),
  [8233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2799),
  [8235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3744),
  [8237] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8935),
  [8239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8901),
  [8241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15244),
  [8243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16297),
  [8245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3743),
  [8247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21578),
  [8249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16767),
  [8251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17787),
  [8253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8979),
  [8255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21043),
  [8257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14810),
  [8259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13888),
  [8261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8828),
  [8263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18568),
  [8265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11046),
  [8267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10846),
  [8269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10911),
  [8271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10892),
  [8273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8275] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8441),
  [8278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0),
  [8280] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18064),
  [8283] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2804),
  [8286] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3776),
  [8289] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8317),
  [8292] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15248),
  [8295] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16440),
  [8298] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3774),
  [8301] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19754),
  [8304] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17178),
  [8307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17412),
  [8310] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8323),
  [8313] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20250),
  [8316] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14639),
  [8319] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13716),
  [8322] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(7788),
  [8325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18364),
  [8328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11055),
  [8330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10936),
  [8332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11045),
  [8334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10872),
  [8336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10999),
  [8338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10850),
  [8340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10851),
  [8342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10959),
  [8344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10859),
  [8346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10961),
  [8348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11029),
  [8350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11053),
  [8352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11010),
  [8354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10858),
  [8356] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8508),
  [8359] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17141),
  [8362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2807),
  [8365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3832),
  [8368] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8631),
  [8371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15164),
  [8374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16070),
  [8377] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3830),
  [8380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20681),
  [8383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16646),
  [8386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17658),
  [8389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8629),
  [8392] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20172),
  [8395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14714),
  [8398] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13898),
  [8401] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8487),
  [8404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18217),
  [8407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3353),
  [8409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3335),
  [8411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6016),
  [8413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21614),
  [8415] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8910),
  [8418] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16739),
  [8421] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2808),
  [8424] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3638),
  [8427] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8942),
  [8430] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15205),
  [8433] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16403),
  [8436] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3636),
  [8439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22293),
  [8442] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16885),
  [8445] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17924),
  [8448] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8941),
  [8451] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21580),
  [8454] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14746),
  [8457] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13669),
  [8460] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8846),
  [8463] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19126),
  [8466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10171),
  [8468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2888),
  [8470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5552),
  [8472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9996),
  [8474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15090),
  [8476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16376),
  [8478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5544),
  [8480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5521),
  [8482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20254),
  [8484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17266),
  [8486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17361),
  [8488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9997),
  [8490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20721),
  [8492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14743),
  [8494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13830),
  [8496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9703),
  [8498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18208),
  [8500] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9039),
  [8503] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16721),
  [8506] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2799),
  [8509] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3744),
  [8512] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8935),
  [8515] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15244),
  [8518] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16297),
  [8521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3743),
  [8524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21578),
  [8527] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16767),
  [8530] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17787),
  [8533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8979),
  [8536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(21043),
  [8539] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14810),
  [8542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13888),
  [8545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(8828),
  [8548] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18568),
  [8551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15479),
  [8553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2801),
  [8555] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3605),
  [8557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14969),
  [8559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15084),
  [8561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3348),
  [8563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15990),
  [8565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3380),
  [8567] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3347),
  [8569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20729),
  [8571] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6064),
  [8573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17305),
  [8575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17354),
  [8577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14929),
  [8579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21251),
  [8581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14772),
  [8583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13645),
  [8585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10357),
  [8587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18751),
  [8589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [8591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3383),
  [8593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16758),
  [8595] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9842),
  [8597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [8599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17344),
  [8601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [8603] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3683),
  [8605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9998),
  [8607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9013),
  [8609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15009),
  [8611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 55),
  [8613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15916),
  [8615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3692),
  [8617] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20168),
  [8619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 55),
  [8621] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16839),
  [8623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17583),
  [8625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10011),
  [8627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19674),
  [8629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14708),
  [8631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13808),
  [8633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9709),
  [8635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18440),
  [8637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3777),
  [8639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3749),
  [8641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3644),
  [8643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3700),
  [8645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1359),
  [8647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 4, 0, 74),
  [8649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 74),
  [8651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3822),
  [8653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3772),
  [8655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3691),
  [8657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3682),
  [8659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3655),
  [8661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3391),
  [8663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3415),
  [8665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3657),
  [8667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [8669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 31),
  [8671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 31),
  [8673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [8675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 3, 0, 55),
  [8677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 3, 0, 55),
  [8679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3795),
  [8681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3576),
  [8683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3640),
  [8685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3450),
  [8687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3610),
  [8689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3568),
  [8691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3404),
  [8693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3554),
  [8695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3455),
  [8697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3536),
  [8699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3586),
  [8701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3447),
  [8703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3416),
  [8705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3479),
  [8707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3834),
  [8709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3542),
  [8711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1497),
  [8713] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 5, 0, 74),
  [8715] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 74),
  [8717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3535),
  [8719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3443),
  [8721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3504),
  [8723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3424),
  [8725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3403),
  [8727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3392),
  [8729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3484),
  [8731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(827),
  [8733] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_definition, 2, 0, 31),
  [8735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 2, 0, 31),
  [8737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3426),
  [8739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3386),
  [8741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5538),
  [8743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14816),
  [8745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15274),
  [8747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12398),
  [8749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17777),
  [8751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5557),
  [8753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16953),
  [8755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17530),
  [8757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5581),
  [8759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17315),
  [8761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17005),
  [8763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5606),
  [8765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9830),
  [8767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1129),
  [8769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5644),
  [8771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5642),
  [8773] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16360),
  [8775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5609),
  [8777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18022),
  [8779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17940),
  [8781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17265),
  [8783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13438),
  [8785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14223),
  [8787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21601),
  [8789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9666),
  [8791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13510),
  [8793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9020),
  [8795] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 1, 0, 0),
  [8797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14824),
  [8799] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14933),
  [8801] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11521),
  [8803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15026),
  [8805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15597),
  [8807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8861),
  [8809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9004),
  [8811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10532),
  [8813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15983),
  [8815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17147),
  [8817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17429),
  [8819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10288),
  [8821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18258),
  [8823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10570),
  [8825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18540),
  [8827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [8829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1801),
  [8831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10578),
  [8833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3818),
  [8835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11852),
  [8837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1804),
  [8839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15387),
  [8841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15816),
  [8843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(332),
  [8845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10519),
  [8847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16862),
  [8849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17573),
  [8851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10581),
  [8853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14722),
  [8855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13772),
  [8857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5132),
  [8859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9393),
  [8861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18388),
  [8863] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10570),
  [8866] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18540),
  [8869] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(204),
  [8872] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1801),
  [8875] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10578),
  [8878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(3818),
  [8881] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(11852),
  [8884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(1804),
  [8887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15387),
  [8890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(15816),
  [8893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(332),
  [8896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10519),
  [8899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(16862),
  [8902] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(17573),
  [8905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(10581),
  [8908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(14722),
  [8911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(13772),
  [8914] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(5132),
  [8917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(9393),
  [8920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 2, 0, 36), SHIFT_REPEAT(18388),
  [8923] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [8925] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_get_expression, 3, 0, 0),
  [8927] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [8929] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 5, 0, 0),
  [8931] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [8933] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 5, 0, 0),
  [8935] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [8937] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 5, 0, 0),
  [8939] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9842),
  [8942] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17344),
  [8945] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2806),
  [8948] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3683),
  [8951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9998),
  [8954] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15009),
  [8957] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15916),
  [8960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3692),
  [8963] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(20168),
  [8966] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16839),
  [8969] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17583),
  [8972] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10011),
  [8975] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(19674),
  [8978] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14708),
  [8981] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13808),
  [8984] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9709),
  [8987] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18440),
  [8990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [8992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_get_expression, 6, 0, 0),
  [8994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [8996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_get_expression, 6, 0, 0),
  [8998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14369),
  [9000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [9002] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bigarray_get_expression, 6, 0, 0),
  [9004] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 1, 0, 12),
  [9006] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1, 0, 12),
  [9008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 3, 0, 46),
  [9010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_path, 3, 0, 46),
  [9012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9169),
  [9014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [9016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_expression, 1, 0, 0),
  [9018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2680),
  [9020] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 1),
  [9022] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 1),
  [9024] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [9026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2283),
  [9028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8325),
  [9030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15441),
  [9032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9144),
  [9034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11415),
  [9036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9982),
  [9038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8504),
  [9040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2628),
  [9042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_prefix_expression, 2, 0, 18),
  [9044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_prefix_expression, 2, 0, 18),
  [9046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14887),
  [9048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [9050] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1954),
  [9052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3661),
  [9054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11953),
  [9056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1956),
  [9058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15404),
  [9060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15685),
  [9062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [9064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8445),
  [9066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5370),
  [9068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8328),
  [9070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18487),
  [9072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14773),
  [9074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15525),
  [9076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [9078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_expression, 4, 0, 0),
  [9080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 4, 0, 0),
  [9084] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9086] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 5, 0, 0),
  [9088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_extension, 4, 0, 0),
  [9092] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 4, 0, 0),
  [9094] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 4, 0, 0),
  [9096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [9098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 3, 0, 0),
  [9100] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extension, 3, 0, 0),
  [9102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extension, 3, 0, 0),
  [9104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_expression, 3, 0, 35),
  [9106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_expression, 3, 0, 35),
  [9108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 4, 0, 0),
  [9112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 34),
  [9114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 34),
  [9116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14346),
  [9118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [9120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 4, 0, 0),
  [9122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 4, 0, 0),
  [9124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15260),
  [9126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15423),
  [9128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14348),
  [9130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 3, 0, 0),
  [9134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15372),
  [9136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15405),
  [9138] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9140] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 4, 0, 0),
  [9142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 2, 0, 0),
  [9146] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9148] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 3, 0, 0),
  [9150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 2, 0, 0),
  [9154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 2, 0, 0),
  [9158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 2, 0, 0),
  [9162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 19),
  [9164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_application_repeat1, 1, 0, 19),
  [9166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [9168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [9170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 3, 0, 0),
  [9174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 3, 0, 0),
  [9178] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9180] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 4, 0, 0),
  [9182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__value_name, 1, 0, 0),
  [9184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__value_name, 1, 0, 0),
  [9186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_new_expression, 3, 0, 0),
  [9190] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 8, 0, 0),
  [9192] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 8, 0, 0),
  [9194] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 7, 0, 0),
  [9196] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 7, 0, 0),
  [9198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 6, 0, 0),
  [9200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 6, 0, 0),
  [9202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 5, 0, 0),
  [9204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 5, 0, 0),
  [9206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 3, 0, 57),
  [9208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 3, 0, 57),
  [9210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9212] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 4, 0, 0),
  [9214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [9216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 4, 0, 0),
  [9218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 3, 0, 0),
  [9222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 4, 0, 0),
  [9226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 5, 0, 0),
  [9228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 5, 0, 0),
  [9230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [9232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 5, 0, 0),
  [9234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_expression, 5, 0, 0),
  [9238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 5, 0, 0),
  [9242] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_path, 1, 0, 17),
  [9244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_path, 1, 0, 17),
  [9246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_expression, 5, 0, 0),
  [9250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_copy_expression, 5, 0, 0),
  [9254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 4, 0, 33),
  [9256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 4, 0, 33),
  [9258] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9260] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_expression, 2, 0, 0),
  [9262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [9264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_expression, 5, 0, 0),
  [9266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_expression, 6, 0, 0),
  [9268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_expression, 6, 0, 0),
  [9270] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2451),
  [9272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [9274] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_coercion_expression, 6, 0, 0),
  [9276] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 6, 0, 0),
  [9278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 6, 0, 0),
  [9280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14357),
  [9282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14365),
  [9284] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_expression, 7, 0, 0),
  [9286] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_expression, 7, 0, 0),
  [9288] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 1, 0, 0),
  [9290] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 1, 0, 0),
  [9292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 3, 0, 0),
  [9296] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3, 0, 0),
  [9298] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3, 0, 0),
  [9300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 6, 0, 0),
  [9304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 7, 0, 0),
  [9308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14503),
  [9310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 8, 0, 0),
  [9314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_operator, 9, 0, 0),
  [9318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14508),
  [9320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14566),
  [9322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5478),
  [9324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 3, 0, 0),
  [9328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9330] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 1, 0, 4),
  [9332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 3, 0, 39),
  [9334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_name, 3, 0, 23),
  [9336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_name, 3, 0, 23),
  [9338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2070),
  [9340] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9342] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_path, 1, 0, 0),
  [9344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [9346] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_path, 1, 0, 3),
  [9348] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3, 0, 0),
  [9350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3, 0, 0),
  [9352] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag, 2, 0, 0),
  [9354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag, 2, 0, 0),
  [9356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 2, 0, 0),
  [9358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 2, 0, 0),
  [9360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15526),
  [9362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9024),
  [9364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9176),
  [9366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8992),
  [9368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8983),
  [9370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8411),
  [9372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8413),
  [9374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_boolean, 1, 0, 0),
  [9376] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_boolean, 1, 0, 0),
  [9378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_number, 1, 0, 0),
  [9380] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_number, 1, 0, 0),
  [9382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9217),
  [9384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constant, 1, 0, 0),
  [9386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constant, 1, 0, 0),
  [9388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8974),
  [9390] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unit, 2, 0, 0),
  [9392] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unit, 2, 0, 0),
  [9394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_character, 3, 0, 0),
  [9396] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character, 3, 0, 0),
  [9398] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string, 3, 0, 0),
  [9402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8450),
  [9404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9883),
  [9406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8472),
  [9408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9889),
  [9410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11484),
  [9412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9123),
  [9414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9127),
  [9416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11394),
  [9418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11431),
  [9420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9137),
  [9422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9105),
  [9424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2503),
  [9426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10072),
  [9428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9983),
  [9430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9065),
  [9432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9062),
  [9434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11483),
  [9436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9897),
  [9438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9900),
  [9440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8359),
  [9442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8360),
  [9444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11436),
  [9446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [9448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8676),
  [9450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8680),
  [9452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11473),
  [9454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8525),
  [9456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8498),
  [9458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8703),
  [9460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8694),
  [9462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [9464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15269),
  [9466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [9468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5594),
  [9470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15246),
  [9472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5589),
  [9474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5529),
  [9476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [9478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2359),
  [9480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8632),
  [9482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [9484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1913),
  [9486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8693),
  [9488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3745),
  [9490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11671),
  [9492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [9494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15540),
  [9496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15707),
  [9498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [9500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8580),
  [9502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16799),
  [9504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17818),
  [9506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16705),
  [9508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8692),
  [9510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14705),
  [9512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13970),
  [9514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5290),
  [9516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8655),
  [9518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18737),
  [9520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 2, 0, 33),
  [9522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 2, 0, 33),
  [9524] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5300),
  [9526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8587),
  [9528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [9530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1782),
  [9532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8805),
  [9534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3400),
  [9536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11835),
  [9538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [9540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15523),
  [9542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15720),
  [9544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [9546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8809),
  [9548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17564),
  [9550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17328),
  [9552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8740),
  [9554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14707),
  [9556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13886),
  [9558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5101),
  [9560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8149),
  [9562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18964),
  [9564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8564),
  [9566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [9568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1947),
  [9570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8722),
  [9572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3571),
  [9574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11775),
  [9576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1946),
  [9578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15316),
  [9580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15832),
  [9582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [9584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8568),
  [9586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17041),
  [9588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17462),
  [9590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8723),
  [9592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14653),
  [9594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13584),
  [9596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5196),
  [9598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8724),
  [9600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19116),
  [9602] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [9604] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_argument, 5, 0, 99),
  [9606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2382),
  [9608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5255),
  [9610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8473),
  [9612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [9614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8395),
  [9616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3458),
  [9618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [9620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17237),
  [9622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17377),
  [9624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8394),
  [9626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14734),
  [9628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13964),
  [9630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5405),
  [9632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [9634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10741),
  [9636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [9638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [9640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10862),
  [9642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3809),
  [9644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11799),
  [9646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1848),
  [9648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15293),
  [9650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15849),
  [9652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(292),
  [9654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11080),
  [9656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16664),
  [9658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17742),
  [9660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10865),
  [9662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14640),
  [9664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13659),
  [9666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5436),
  [9668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10943),
  [9670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18357),
  [9672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [9674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5324),
  [9676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5559),
  [9678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17066),
  [9680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17455),
  [9682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5339),
  [9684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5541),
  [9686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16614),
  [9688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17675),
  [9690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5259),
  [9692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [9694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2746),
  [9696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5281),
  [9698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5278),
  [9700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2593),
  [9702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5585),
  [9704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5440),
  [9706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5346),
  [9708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16893),
  [9710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17929),
  [9712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16932),
  [9714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17946),
  [9716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5428),
  [9718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16596),
  [9720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17703),
  [9722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5315),
  [9724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5161),
  [9726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16878),
  [9728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17911),
  [9730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16869),
  [9732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17898),
  [9734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17119),
  [9736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17435),
  [9738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6654),
  [9740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5570),
  [9742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5561),
  [9744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6383),
  [9746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5361),
  [9748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14780),
  [9750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15301),
  [9752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10169),
  [9754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5545),
  [9756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6605),
  [9758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5352),
  [9760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5562),
  [9762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5584),
  [9764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5533),
  [9766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6529),
  [9768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5257),
  [9770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5593),
  [9772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10124),
  [9774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6684),
  [9776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6592),
  [9778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14637),
  [9780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14680),
  [9782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6540),
  [9784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6532),
  [9786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10188),
  [9788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6371),
  [9790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6657),
  [9792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15491),
  [9794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6735),
  [9796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15494),
  [9798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6358),
  [9800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10189),
  [9802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6619),
  [9804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6601),
  [9806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6688),
  [9808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6693),
  [9810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6600),
  [9812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6604),
  [9814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6606),
  [9816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6590),
  [9818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6512),
  [9820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6394),
  [9822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6575),
  [9824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6608),
  [9826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5296),
  [9828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10127),
  [9830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6415),
  [9832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6664),
  [9834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15351),
  [9836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14766),
  [9838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14742),
  [9840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15344),
  [9842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5371),
  [9844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10145),
  [9846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15300),
  [9848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15288),
  [9850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14761),
  [9852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10122),
  [9854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5337),
  [9856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6352),
  [9858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6416),
  [9860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14749),
  [9862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9773),
  [9864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1694),
  [9866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9814),
  [9868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1662),
  [9870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9877),
  [9872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [9874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9832),
  [9876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(992),
  [9878] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11525),
  [9881] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17644),
  [9884] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(2798),
  [9887] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3759),
  [9890] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11423),
  [9893] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(15173),
  [9896] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(16548),
  [9899] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(3699),
  [9902] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22482),
  [9905] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17940),
  [9908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17265),
  [9911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(11444),
  [9914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(22477),
  [9917] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(14696),
  [9920] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(13958),
  [9923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9582),
  [9926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18763),
  [9929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9810),
  [9931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [9933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9956),
  [9935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [9937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9979),
  [9939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [9941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11305),
  [9943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [9945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22477),
  [9947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [9949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [9951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [9953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [9955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1137),
  [9957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [9959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1507),
  [9961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1153),
  [9963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1436),
  [9965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [9967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [9969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [9971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1548),
  [9973] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [9975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0),
  [9977] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18313),
  [9980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(888),
  [9982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(891),
  [9984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [9986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1508),
  [9988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [9990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(933),
  [9992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [9994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [9996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [9998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [10000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [10002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [10004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [10006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1362),
  [10008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [10010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(791),
  [10012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(966),
  [10014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1717),
  [10016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [10018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [10020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [10022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [10024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1661),
  [10026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1599),
  [10028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [10030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [10032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1297),
  [10034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1322),
  [10036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [10038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [10040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [10042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [10044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [10046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(874),
  [10048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [10050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1456),
  [10052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1462),
  [10054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [10056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(979),
  [10058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1405),
  [10060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1409),
  [10062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1564),
  [10064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1583),
  [10066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [10068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [10070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1516),
  [10072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [10074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [10076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1179),
  [10078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1552),
  [10080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [10082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [10084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2560),
  [10086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [10088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [10090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1514),
  [10092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [10094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [10096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(944),
  [10098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1679),
  [10100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [10102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(963),
  [10104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [10106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1660),
  [10108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1718),
  [10110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1414),
  [10112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1477),
  [10114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [10116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [10118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1607),
  [10120] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [10122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 1, 0, 0),
  [10124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18313),
  [10126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1613),
  [10128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1537),
  [10130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [10132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1483),
  [10134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1707),
  [10136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [10138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_id, 2, 0, 0),
  [10142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1708),
  [10144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [10146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1724),
  [10148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [10150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1116),
  [10152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1479),
  [10154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1723),
  [10156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [10158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1502),
  [10160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1151),
  [10162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1652),
  [10164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [10166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1667),
  [10168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [10170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [10172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2132),
  [10174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2328),
  [10176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10904),
  [10178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2491),
  [10180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10738),
  [10182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10983),
  [10184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0),
  [10188] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6050),
  [10191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10879),
  [10193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10996),
  [10195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10919),
  [10197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11020),
  [10199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5386),
  [10201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3365),
  [10203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(6198),
  [10206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat1, 1, 0, 0),
  [10210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2167),
  [10212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13124),
  [10214] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2724),
  [10216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2677),
  [10218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 4, 0, 58),
  [10220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 4, 0, 58),
  [10222] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10224] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__sequence_expression, 1, 0, 0),
  [10226] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10228] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__signed_constant, 1, 0, 0),
  [10230] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sequence_expression, 3, 0, 37),
  [10232] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sequence_expression, 3, 0, 37),
  [10234] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5332),
  [10236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signed_number, 2, 0, 0),
  [10240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 3, 0, 0),
  [10244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 3, 0, 0),
  [10248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_binding_pattern, 2, 0, 22),
  [10250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_binding_pattern, 2, 0, 22),
  [10252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 22),
  [10254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_binding_pattern, 2, 0, 22),
  [10256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 5, 0, 0),
  [10260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 3, 0, 0),
  [10264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [10266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 3, 0, 0),
  [10268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [10270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_binding_pattern, 2, 0, 0),
  [10272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 6, 0, 0),
  [10276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 2, 0, 0),
  [10280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_pattern, 2, 0, 0),
  [10284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 1, 0, 11),
  [10286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 1, 0, 11),
  [10288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 6, 0, 79),
  [10290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 6, 0, 79),
  [10292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [10294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_binding_pattern, 3, 0, 0),
  [10296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [10298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_binding_pattern, 3, 0, 0),
  [10300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 2, 0, 0),
  [10304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13170),
  [10306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [10308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_binding_pattern, 3, 0, 0),
  [10310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 4, 0, 0),
  [10314] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 7, 0, 0),
  [10318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5340),
  [10320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_binding_pattern, 4, 0, 0),
  [10324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 5, 0, 0),
  [10328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [10330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_pattern, 3, 0, 0),
  [10332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [10334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 3, 0, 0),
  [10336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_binding_pattern, 4, 0, 0),
  [10340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [10342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_binding_pattern, 5, 0, 0),
  [10344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [10346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_binding_pattern, 3, 0, 0),
  [10348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 5, 0, 0),
  [10352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_binding_pattern, 4, 0, 0),
  [10356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_binding_pattern, 4, 0, 22),
  [10358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_binding_pattern, 4, 0, 22),
  [10360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 4, 0, 39),
  [10362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 4, 0, 39),
  [10364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constructor_path, 3, 0, 44),
  [10366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constructor_path, 3, 0, 44),
  [10368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_binding_pattern, 3, 0, 0),
  [10372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 39),
  [10374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 39),
  [10376] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_pattern, 5, 0, 79),
  [10378] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_pattern, 5, 0, 79),
  [10380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2555),
  [10382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13216),
  [10384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 6),
  [10386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 6),
  [10388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 7),
  [10390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 7),
  [10392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__binding_pattern, 1, 0, 8),
  [10396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13236),
  [10398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5179),
  [10400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2098),
  [10402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5071),
  [10404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [10406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [10408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5220),
  [10410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [10412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14970),
  [10414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18932),
  [10416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2823),
  [10418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14618),
  [10420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18732),
  [10422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2831),
  [10424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16767),
  [10426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17787),
  [10428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [10430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16885),
  [10432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17924),
  [10434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9903),
  [10436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2827),
  [10438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17178),
  [10440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17412),
  [10442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2832),
  [10444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16646),
  [10446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17658),
  [10448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2658),
  [10450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2828),
  [10452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2607),
  [10454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2830),
  [10456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16839),
  [10458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17583),
  [10460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5148),
  [10462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14683),
  [10464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14792),
  [10466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14750),
  [10468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21526),
  [10470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5175),
  [10472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2397),
  [10474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20041),
  [10476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5273),
  [10478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2522),
  [10480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21907),
  [10482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5445),
  [10484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [10486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2494),
  [10488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2106),
  [10490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2550),
  [10492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2178),
  [10494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11210),
  [10496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9433),
  [10498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8314),
  [10500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12379),
  [10502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11499),
  [10504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8845),
  [10506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12391),
  [10508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16787),
  [10510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8868),
  [10512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9178),
  [10514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10491),
  [10516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16217),
  [10518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16919),
  [10520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17941),
  [10522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10314),
  [10524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18579),
  [10526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8284),
  [10528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12458),
  [10530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2353),
  [10532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2290),
  [10534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2367),
  [10536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2413),
  [10538] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2442),
  [10540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11188),
  [10542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9424),
  [10544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8233),
  [10546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12469),
  [10548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11562),
  [10550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8866),
  [10552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12305),
  [10554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8836),
  [10556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8932),
  [10558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10363),
  [10560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15941),
  [10562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16858),
  [10564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17881),
  [10566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18941),
  [10568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2499),
  [10570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [10572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10307),
  [10574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9492),
  [10576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7915),
  [10578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11557),
  [10580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10670),
  [10582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8812),
  [10584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11497),
  [10586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8766),
  [10588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9147),
  [10590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10469),
  [10592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16494),
  [10594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16995),
  [10596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17512),
  [10598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18159),
  [10600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8220),
  [10602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12378),
  [10604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [10606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2252),
  [10608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5446),
  [10610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2152),
  [10612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8099),
  [10614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11482),
  [10616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10673),
  [10618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9435),
  [10620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7997),
  [10622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11622),
  [10624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10855),
  [10626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8856),
  [10628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11612),
  [10630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8839),
  [10632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8968),
  [10634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10424),
  [10636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16089),
  [10638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16819),
  [10640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17842),
  [10642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19261),
  [10644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7970),
  [10646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11762),
  [10648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14797),
  [10650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14684),
  [10652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21075),
  [10654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5396),
  [10656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2594),
  [10658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10660] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_class_expression, 3, 0, 0),
  [10662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11544),
  [10664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5107),
  [10666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11603),
  [10668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10670] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_expression, 1, 0, 0),
  [10672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11681),
  [10674] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [10676] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_value_pattern, 1, 0, 16),
  [10678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6813),
  [10680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [10682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_class_expression, 4, 0, 0),
  [10684] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10686] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 4, 0, 0),
  [10688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20340),
  [10690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5110),
  [10692] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [10694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11427),
  [10696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [10698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10700] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class, 5, 0, 0),
  [10702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2231),
  [10704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12438),
  [10706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5392),
  [10708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12328),
  [10710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5078),
  [10712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5176),
  [10714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12397),
  [10716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12461),
  [10718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [10720] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_pattern, 4, 0, 0),
  [10722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 4, 0, 0),
  [10726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5342),
  [10728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10730] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 7, 0, 0),
  [10732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 76),
  [10734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 76),
  [10736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4, 0, 59),
  [10738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 4, 0, 59),
  [10740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_pattern, 3, 0, 0),
  [10744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 3, 0, 0),
  [10748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 6, 0, 0),
  [10752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 3, 0, 0),
  [10756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 3, 0, 0),
  [10760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [10762] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 3, 0, 0),
  [10764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 4, 0, 0),
  [10768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10770] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 2, 0, 0),
  [10772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 2, 0, 0),
  [10776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6820),
  [10778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5316),
  [10780] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10782] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__parenthesized_abstract_type, 3, 0, 0),
  [10784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5237),
  [10786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [10788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 3, 0, 0),
  [10790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14818),
  [10792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21539),
  [10794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5430),
  [10796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [10798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_pattern, 5, 0, 0),
  [10800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [10802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 3, 0, 0),
  [10804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2, 0, 22),
  [10806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 2, 0, 22),
  [10808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 5, 0, 0),
  [10812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 5, 0, 0),
  [10816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 5, 0, 0),
  [10820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5, 0, 59),
  [10822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 5, 0, 59),
  [10824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 7, 0, 59),
  [10826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 7, 0, 59),
  [10828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [10830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_expression, 2, 0, 0),
  [10832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [10834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_expression, 2, 0, 0),
  [10836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1, 0, 5),
  [10838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 1, 0, 5),
  [10840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_let_binding_repeat1, 1, 0, 0),
  [10844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5285),
  [10846] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10848] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_pattern, 4, 0, 0),
  [10850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5092),
  [10852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 9, 0, 131),
  [10854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 9, 0, 131),
  [10856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_list_pattern, 4, 0, 0),
  [10860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 6, 0, 59),
  [10862] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 6, 0, 59),
  [10864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5199),
  [10866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 8, 0, 131),
  [10868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter, 8, 0, 131),
  [10870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5333),
  [10872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14808),
  [10874] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21163),
  [10876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5118),
  [10878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5411),
  [10880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14768),
  [10882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22428),
  [10884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5254),
  [10886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5229),
  [10888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5434),
  [10890] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5090),
  [10892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5427),
  [10894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5435),
  [10896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13438),
  [10898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9193),
  [10900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10939),
  [10902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17147),
  [10904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17429),
  [10906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8934),
  [10908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14097),
  [10910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9086),
  [10912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12164),
  [10914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9206),
  [10916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11382),
  [10918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9162),
  [10920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11581),
  [10922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9133),
  [10924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10448),
  [10926] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10928] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 1, 0, 0),
  [10930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12864),
  [10932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13394),
  [10934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18311),
  [10936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21257),
  [10938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13391),
  [10940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14825),
  [10942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13915),
  [10944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10079),
  [10946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6790),
  [10948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14679),
  [10950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9163),
  [10952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10573),
  [10954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19701),
  [10956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5134),
  [10958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6789),
  [10960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8951),
  [10962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14227),
  [10964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9080),
  [10966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10975),
  [10968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9268),
  [10970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11438),
  [10972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9034),
  [10974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12290),
  [10976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9040),
  [10978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11200),
  [10980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8984),
  [10982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12103),
  [10984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8960),
  [10986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13120),
  [10988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9069),
  [10990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10726),
  [10992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9228),
  [10994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12393),
  [10996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9205),
  [10998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12155),
  [11000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8972),
  [11002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12240),
  [11004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9354),
  [11006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11836),
  [11008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9113),
  [11010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14546),
  [11012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8881),
  [11014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13877),
  [11016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9054),
  [11018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15089),
  [11020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9399),
  [11022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12301),
  [11024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9174),
  [11026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11257),
  [11028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8946),
  [11030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11662),
  [11032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8944),
  [11034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10240),
  [11036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13601),
  [11038] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12064),
  [11040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9669),
  [11042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9019),
  [11044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8816),
  [11046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9021),
  [11048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10433),
  [11050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16019),
  [11052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16863),
  [11054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17894),
  [11056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18759),
  [11058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 5, 0, 0),
  [11060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 5, 0, 0),
  [11062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 5, 0, 0),
  [11064] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 5, 0, 0),
  [11066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11678),
  [11068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18849),
  [11070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22325),
  [11072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8929),
  [11074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13189),
  [11076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16874),
  [11078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17903),
  [11080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 7, 0, 113),
  [11082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 7, 0, 113),
  [11084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9372),
  [11086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9370),
  [11088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 3, 0, 0),
  [11092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 5, 0, 56),
  [11094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 5, 0, 56),
  [11096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 3, 0, 32),
  [11098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 3, 0, 32),
  [11100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9324),
  [11102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [11104] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 6, 0, 98),
  [11106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9323),
  [11108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 5, 0, 77),
  [11110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 5, 0, 77),
  [11112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15005),
  [11114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18999),
  [11116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22307),
  [11118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9125),
  [11120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 3, 0, 0),
  [11124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18958),
  [11126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9396),
  [11128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11068),
  [11130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20471),
  [11132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16887),
  [11134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17549),
  [11136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9401),
  [11138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14143),
  [11140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10231),
  [11142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11645),
  [11144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14233),
  [11146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9364),
  [11148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9362),
  [11150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13076),
  [11152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9352),
  [11154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11138),
  [11156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22283),
  [11158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16837),
  [11160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17865),
  [11162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12244),
  [11164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9342),
  [11166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9337),
  [11168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14769),
  [11170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22426),
  [11172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5398),
  [11174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12110),
  [11176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [11178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__tuple_type, 1, 0, 0),
  [11180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9356),
  [11182] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_expression, 4, 0, 0),
  [11184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_expression, 4, 0, 0),
  [11186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expression, 3, 0, 0),
  [11188] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_expression, 3, 0, 0),
  [11190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9355),
  [11192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9326),
  [11194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9377),
  [11196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_expression, 4, 0, 0),
  [11198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_expression, 4, 0, 0),
  [11200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_expression, 4, 0, 56),
  [11202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_expression, 4, 0, 56),
  [11204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_clause, 2, 0, 0),
  [11208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 32),
  [11210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 32),
  [11212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12622),
  [11214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9682),
  [11216] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9001),
  [11218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8838),
  [11220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9015),
  [11222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10485),
  [11224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16442),
  [11226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16600),
  [11228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17718),
  [11230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18774),
  [11232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9325),
  [11234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expression, 4, 0, 40),
  [11236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fun_expression, 4, 0, 40),
  [11238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9321),
  [11240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9319),
  [11242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11910),
  [11244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22336),
  [11246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16934),
  [11248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17947),
  [11250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9353),
  [11252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12237),
  [11254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9351),
  [11256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11265),
  [11258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12210),
  [11260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9744),
  [11262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9036),
  [11264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8853),
  [11266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9033),
  [11268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10613),
  [11270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16379),
  [11272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16926),
  [11274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17943),
  [11276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18362),
  [11278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15229),
  [11280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9288),
  [11282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9239),
  [11284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9240),
  [11286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10712),
  [11288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9308),
  [11290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9314),
  [11292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9307),
  [11294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9238),
  [11296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10956),
  [11298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12157),
  [11300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9292),
  [11302] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_exception_expression, 4, 0, 40),
  [11304] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_exception_expression, 4, 0, 40),
  [11306] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_module_expression, 4, 0, 40),
  [11308] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_module_expression, 4, 0, 40),
  [11310] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_expression, 4, 0, 40),
  [11312] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_expression, 4, 0, 40),
  [11314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9261),
  [11316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9260),
  [11318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14552),
  [11320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13814),
  [11322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9673),
  [11324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9161),
  [11326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8745),
  [11328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9159),
  [11330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10608),
  [11332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16567),
  [11334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16936),
  [11336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17952),
  [11338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18234),
  [11340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0),
  [11344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_expression, 2, 0, 0),
  [11348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10551),
  [11350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9328),
  [11352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9327),
  [11354] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_expression, 8, 0, 123),
  [11356] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_expression, 8, 0, 123),
  [11358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9270),
  [11360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_refutation_case, 1, 0, 0),
  [11364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 3, 0, 41),
  [11366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 3, 0, 41),
  [11368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match_case, 4, 0, 60),
  [11370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_match_case, 4, 0, 60),
  [11372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9258),
  [11374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9256),
  [11376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11579),
  [11378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10505),
  [11380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11302),
  [11382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9229),
  [11384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9237),
  [11386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9236),
  [11388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18958),
  [11391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10908),
  [11393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9284),
  [11395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12171),
  [11397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11222),
  [11399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9242),
  [11401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expression, 3, 0, 35),
  [11403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expression, 3, 0, 35),
  [11405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2688),
  [11407] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2687),
  [11409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_then_clause, 2, 0, 0),
  [11411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_then_clause, 2, 0, 0),
  [11413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2263),
  [11415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2264),
  [11417] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9432),
  [11419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2265),
  [11421] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [11423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2268),
  [11425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2273),
  [11427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [11429] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [11431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2277),
  [11433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_expression, 2, 0, 18),
  [11435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_expression, 2, 0, 18),
  [11437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 1, 0, 0),
  [11441] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3619),
  [11443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2690),
  [11445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2689),
  [11447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2686),
  [11449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2685),
  [11451] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2684),
  [11453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2683),
  [11455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2682),
  [11457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 4, 0, 56),
  [11459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 4, 0, 56),
  [11461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2149),
  [11463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_product_expression, 3, 0, 37),
  [11465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_product_expression, 3, 0, 37),
  [11467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2640),
  [11469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2638),
  [11471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [11473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2636),
  [11475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2635),
  [11477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [11479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2631),
  [11481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_expression, 3, 0, 32),
  [11483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_expression, 3, 0, 32),
  [11485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2674),
  [11487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_expression, 3, 0, 37),
  [11489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_expression, 3, 0, 37),
  [11491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11493] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_sign_operator, 1, 0, 0),
  [11495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 2, 0, 0),
  [11501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3413),
  [11503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__match_cases, 3, 0, 0),
  [11507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3413),
  [11510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [11512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2630),
  [11514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_else_clause, 2, 0, 0),
  [11516] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_else_clause, 2, 0, 0),
  [11518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_set_expression, 3, 0, 38),
  [11520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_set_expression, 3, 0, 38),
  [11522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2621),
  [11524] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3619),
  [11527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3446),
  [11529] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3446),
  [11532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [11534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [11536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2298),
  [11538] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [11540] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [11542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(99),
  [11544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2161),
  [11546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_aliased_type, 3, 0, 0),
  [11550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(97),
  [11552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2618),
  [11554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2625),
  [11556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2214),
  [11558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2513),
  [11560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2511),
  [11562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2510),
  [11564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2509),
  [11566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [11568] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [11570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2742),
  [11572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [11574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2741),
  [11576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2740),
  [11578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2739),
  [11580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2738),
  [11582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2737),
  [11584] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [11586] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2735),
  [11588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2734),
  [11590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2514),
  [11592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [11594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2506),
  [11596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2505),
  [11598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2725),
  [11600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3747),
  [11602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3807),
  [11604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2208),
  [11606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2495),
  [11608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11420),
  [11610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20713),
  [11612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3466),
  [11614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [11616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [11618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2210),
  [11620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2206),
  [11622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [11624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2202),
  [11626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2194),
  [11628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2190),
  [11630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2376),
  [11632] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_add_operator, 1, 0, 0),
  [11634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11541),
  [11636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2462),
  [11638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(106),
  [11640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2461),
  [11642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2460),
  [11644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2458),
  [11646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2457),
  [11648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2456),
  [11650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2455),
  [11652] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2454),
  [11654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2453),
  [11656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11462),
  [11658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2053),
  [11660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [11662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2055),
  [11664] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [11666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2059),
  [11668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [11670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2063),
  [11672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2065),
  [11674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2068),
  [11676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [11678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3508),
  [11680] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3508),
  [11683] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3390),
  [11685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2575),
  [11687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [11689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2611),
  [11691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2626),
  [11693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2633),
  [11695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2653),
  [11697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2663),
  [11699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2679),
  [11701] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3466),
  [11704] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3747),
  [11707] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3382),
  [11709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11421),
  [11711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5426),
  [11713] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3390),
  [11716] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3382),
  [11719] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3807),
  [11722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [11724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__attribute, 2, 0, 0),
  [11726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__attribute, 2, 0, 0),
  [11728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [11730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2444),
  [11732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [11734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2341),
  [11736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [11738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [11740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [11742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [11744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2662),
  [11746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3833),
  [11748] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3833),
  [11751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2184),
  [11753] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [11755] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_of, 4, 0, 0),
  [11757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12966),
  [11759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18072),
  [11761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17233),
  [11763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2660),
  [11765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2671),
  [11767] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4764),
  [11769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15612),
  [11771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13350),
  [11773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14803),
  [11775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15096),
  [11777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12414),
  [11779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12658),
  [11781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15126),
  [11783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5560),
  [11785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [11787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [11789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2354),
  [11791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2357),
  [11793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(144),
  [11795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2182),
  [11797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [11799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2187),
  [11801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2188),
  [11803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2191),
  [11805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2192),
  [11807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3632),
  [11809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5036),
  [11811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15122),
  [11813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5583),
  [11815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [11817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2701),
  [11819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [11821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [11823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [11825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [11827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [11829] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor, 4, 0, 40),
  [11831] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor, 4, 0, 40),
  [11833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4838),
  [11835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13435),
  [11837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14799),
  [11839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14940),
  [11841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15032),
  [11843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5540),
  [11845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3603),
  [11847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(141),
  [11849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2650),
  [11851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2752),
  [11853] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3632),
  [11856] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3603),
  [11859] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [11861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(6050),
  [11864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5036),
  [11867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15612),
  [11870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13350),
  [11873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14803),
  [11876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15096),
  [11879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12414),
  [11882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(12658),
  [11885] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15122),
  [11888] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17836),
  [11891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17823),
  [11894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(17819),
  [11897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5583),
  [11900] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18235),
  [11903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(143),
  [11905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4764),
  [11908] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15126),
  [11911] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5560),
  [11914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(122),
  [11916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(4838),
  [11919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(13435),
  [11922] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14799),
  [11925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(14940),
  [11928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(15032),
  [11931] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(5540),
  [11934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0), SHIFT_REPEAT(18151),
  [11937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11448),
  [11939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2075),
  [11941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10256),
  [11943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9710),
  [11945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9939),
  [11947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9213),
  [11949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8778),
  [11951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9196),
  [11953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10362),
  [11955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16513),
  [11957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16992),
  [11959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17985),
  [11961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18702),
  [11963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [11965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [11967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [11969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [11971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2058),
  [11973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2057),
  [11975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11530),
  [11977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2151),
  [11979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [11981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2153),
  [11983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2154),
  [11985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [11987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2159),
  [11989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2160),
  [11991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2162),
  [11993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2165),
  [11995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [11997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2322),
  [11999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2044),
  [12001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3718),
  [12003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [12005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10626),
  [12007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9765),
  [12009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10112),
  [12011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8904),
  [12013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8743),
  [12015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8906),
  [12017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10414),
  [12019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16255),
  [12021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16962),
  [12023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17959),
  [12025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18779),
  [12027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11542),
  [12029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11480),
  [12031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11434),
  [12033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11536),
  [12035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11490),
  [12037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2335),
  [12039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10205),
  [12041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9675),
  [12043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9870),
  [12045] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8997),
  [12047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8872),
  [12049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8990),
  [12051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10417),
  [12053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16394),
  [12055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16951),
  [12057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17957),
  [12059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18574),
  [12061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2431),
  [12063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2429),
  [12065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2423),
  [12067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2412),
  [12069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2405),
  [12071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2403),
  [12073] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [12075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2391),
  [12077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2386),
  [12079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11422),
  [12081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3385),
  [12083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9715),
  [12085] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10000),
  [12087] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8967),
  [12089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2180),
  [12091] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11460),
  [12093] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14494),
  [12095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9695),
  [12097] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9898),
  [12099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8977),
  [12101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8859),
  [12103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8980),
  [12105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10547),
  [12107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16083),
  [12109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16980),
  [12111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17969),
  [12113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19191),
  [12115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2079),
  [12117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [12119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9678),
  [12121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9901),
  [12123] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9173),
  [12125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11507),
  [12127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [12129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3718),
  [12132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11389),
  [12134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6855),
  [12136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14216),
  [12138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9730),
  [12140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9909),
  [12142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8955),
  [12144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8795),
  [12146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8956),
  [12148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10546),
  [12150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16176),
  [12152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16977),
  [12154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17964),
  [12156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18891),
  [12158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9798),
  [12160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11520),
  [12162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11449),
  [12164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11464),
  [12166] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11547),
  [12168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9749),
  [12170] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9793),
  [12172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8933),
  [12174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(124),
  [12176] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3780),
  [12178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [12180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9659),
  [12182] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10117),
  [12184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9148),
  [12186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [12188] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11564),
  [12190] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11569),
  [12192] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11594),
  [12194] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3780),
  [12197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2698),
  [12199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(148),
  [12201] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3385),
  [12204] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10688),
  [12206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9694),
  [12208] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9975),
  [12210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9186),
  [12212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8797),
  [12214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9189),
  [12216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10502),
  [12218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16279),
  [12220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16986),
  [12222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17981),
  [12224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18892),
  [12226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12622),
  [12228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14494),
  [12230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10626),
  [12232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3388),
  [12234] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12236] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_variable, 2, 0, 0),
  [12238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11188),
  [12240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11210),
  [12242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10205),
  [12244] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 3, 0, 39),
  [12246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13066),
  [12248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14216),
  [12250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10307),
  [12252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10688),
  [12254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2490),
  [12256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2525),
  [12258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2534),
  [12260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2537),
  [12262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2539),
  [12264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2546),
  [12266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2556),
  [12268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2557),
  [12270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2576),
  [12272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12064),
  [12274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10256),
  [12276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 48),
  [12278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 48),
  [12280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2596),
  [12282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2702),
  [12284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2632),
  [12286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2661),
  [12288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2695),
  [12290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2756),
  [12292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [12294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2750),
  [12296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2749),
  [12298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [12300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(130),
  [12302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2100),
  [12304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [12306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2097),
  [12308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [12310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [12312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2090),
  [12314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2089),
  [12316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [12318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3627),
  [12320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13814),
  [12322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12210),
  [12324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3553),
  [12326] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3553),
  [12329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10673),
  [12331] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3388),
  [12334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(132),
  [12336] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3627),
  [12339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(131),
  [12341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_path, 1, 0, 3),
  [12343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 66),
  [12345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 66),
  [12347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 89),
  [12349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 89),
  [12351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12353] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_expression, 1, 0, 0),
  [12355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21637),
  [12357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 4, 0, 0),
  [12359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 4, 0, 0),
  [12361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 5, 0, 0),
  [12363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 5, 0, 0),
  [12365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 3, 0, 0),
  [12367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 3, 0, 0),
  [12369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_module_expression, 1, 0, 0),
  [12373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 2, 0, 0),
  [12375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 2, 0, 0),
  [12377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 2, 0, 0),
  [12379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 2, 0, 0),
  [12381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 4, 0, 0),
  [12383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 4, 0, 0),
  [12385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [12387] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10280),
  [12389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_type, 3, 0, 0),
  [12391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16507),
  [12393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [12395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [12397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_typed_module_expression, 4, 0, 0),
  [12399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3, 0, 0),
  [12403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16511),
  [12405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13545),
  [12407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14642),
  [12409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14920),
  [12411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11450),
  [12413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14999),
  [12415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15557),
  [12417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14959),
  [12419] = {.entry = {.count = 1, .reusable = false}}, SHIFT(208),
  [12421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10651),
  [12423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 2, 0, 28),
  [12425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 2, 0, 28),
  [12427] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [12429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 6, 0, 0),
  [12431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 6, 0, 0),
  [12433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_expression, 3, 0, 0),
  [12437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_packed_module, 7, 0, 0),
  [12439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_packed_module, 7, 0, 0),
  [12441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_structure, 3, 0, 0),
  [12443] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_structure, 3, 0, 0),
  [12445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_application, 3, 0, 50),
  [12447] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_application, 3, 0, 50),
  [12449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10543),
  [12451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16050),
  [12453] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10577),
  [12455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15961),
  [12457] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 3, 0, 0),
  [12459] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 3, 0, 0),
  [12461] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14223),
  [12464] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15612),
  [12467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13545),
  [12470] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14642),
  [12473] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14920),
  [12476] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(12414),
  [12479] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11450),
  [12482] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14999),
  [12485] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15557),
  [12488] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0),
  [12490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17836),
  [12493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17823),
  [12496] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(17819),
  [12499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9795),
  [12501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13510),
  [12503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 1, 0, 0),
  [12505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14824),
  [12507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14933),
  [12509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11521),
  [12511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15026),
  [12513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15597),
  [12515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15953),
  [12517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 2, 0, 0),
  [12519] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 2, 0, 0),
  [12521] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(13510),
  [12524] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14824),
  [12527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(14933),
  [12530] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(11521),
  [12533] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15026),
  [12536] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 2, 0, 0), SHIFT_REPEAT(15597),
  [12539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12386),
  [12541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12003),
  [12543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9630),
  [12545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9111),
  [12547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8837),
  [12549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9112),
  [12551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10351),
  [12553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15898),
  [12555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19042),
  [12557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11283),
  [12559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 1, 0, 52),
  [12561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 1, 0, 52),
  [12563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 4, 0, 0),
  [12567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [12569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 3, 0, 0),
  [12571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11814),
  [12573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9757),
  [12575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8916),
  [12577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8871),
  [12579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8918),
  [12581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10579),
  [12583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15925),
  [12585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16978),
  [12587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17520),
  [12589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18376),
  [12591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 4, 0, 0),
  [12593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 4, 0, 0),
  [12595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 4, 0, 0),
  [12599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10543),
  [12601] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12603] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 3, 0, 0),
  [12605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 3, 0, 0),
  [12607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 3, 0, 0),
  [12609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 3, 0, 0),
  [12613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16152),
  [12615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12617] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 4, 0, 0),
  [12619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 2, 0, 0),
  [12623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 26),
  [12625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 26),
  [12627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [12629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11197),
  [12631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 2, 0, 0),
  [12635] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12637] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 2, 0, 0),
  [12639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11959),
  [12641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9738),
  [12643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9072),
  [12645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8759),
  [12647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9078),
  [12649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10522),
  [12651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15910),
  [12653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16827),
  [12655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17855),
  [12657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19133),
  [12659] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 3, 0, 88),
  [12661] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 3, 0, 88),
  [12663] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 3, 0, 39),
  [12665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10635),
  [12667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 2, 0, 0),
  [12669] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 2, 0, 0),
  [12671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_path, 1, 0, 49),
  [12673] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_path, 1, 0, 49),
  [12675] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11345),
  [12679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9737),
  [12681] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9088),
  [12683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8764),
  [12685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9057),
  [12687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10377),
  [12689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16314),
  [12691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19137),
  [12693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12026),
  [12695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9636),
  [12697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9073),
  [12699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8849),
  [12701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9071),
  [12703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10355),
  [12705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16472),
  [12707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18386),
  [12709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 4, 0, 0),
  [12711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 4, 0, 0),
  [12713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature, 2, 0, 0),
  [12715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14225),
  [12717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9654),
  [12719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9140),
  [12721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8863),
  [12723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9139),
  [12725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10315),
  [12727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16031),
  [12729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18493),
  [12731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11291),
  [12733] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [12735] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module, 4, 0, 0),
  [12737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18343),
  [12739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19872),
  [12741] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 6, 0, 26),
  [12743] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 6, 0, 26),
  [12745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_path, 3, 0, 93),
  [12747] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_path, 3, 0, 93),
  [12749] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 3, 0, 39),
  [12751] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12753] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, 0, 0),
  [12755] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12757] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 4),
  [12759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11508),
  [12761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9746),
  [12763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9066),
  [12765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8765),
  [12767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9068),
  [12769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10323),
  [12771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16425),
  [12773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18190),
  [12775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12226),
  [12777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12779] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 5, 0, 0),
  [12781] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_type, 5, 0, 0),
  [12783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_type, 5, 0, 0),
  [12785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [12787] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 4),
  [12789] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12791] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 5, 0, 0),
  [12793] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12795] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructed_type, 5, 0, 0),
  [12797] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [12799] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 5, 0, 0),
  [12801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 5, 0, 0),
  [12803] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 5, 0, 0),
  [12805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10635),
  [12807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16365),
  [12809] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [12811] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_open_type, 5, 0, 0),
  [12813] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_extended_module_path, 1, 0, 3),
  [12815] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12817] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 0),
  [12819] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_hash_type, 6, 0, 0),
  [12821] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_hash_type, 6, 0, 0),
  [12823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [12825] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 6, 0, 0),
  [12827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_type, 6, 0, 0),
  [12829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_type, 6, 0, 0),
  [12831] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [12833] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_variant_type, 7, 0, 0),
  [12835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16362),
  [12837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9795),
  [12839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14989),
  [12841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21150),
  [12843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15079),
  [12845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21828),
  [12847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11582),
  [12849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21106),
  [12851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10251),
  [12853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function, 4, 0, 40),
  [12855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function, 4, 0, 40),
  [12857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21328),
  [12859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10285),
  [12861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19901),
  [12863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12049),
  [12865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19724),
  [12867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12067),
  [12869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11345),
  [12871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15968),
  [12873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19733),
  [12875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12099),
  [12877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21688),
  [12879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12188),
  [12881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 1, 0, 14),
  [12883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 1, 0, 14),
  [12885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13419),
  [12887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17426),
  [12889] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11997),
  [12891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21827),
  [12893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12162),
  [12895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21785),
  [12897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10308),
  [12899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20776),
  [12901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14983),
  [12903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20492),
  [12905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10536),
  [12907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19940),
  [12909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11201),
  [12911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21703),
  [12913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12179),
  [12915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20813),
  [12917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10434),
  [12919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14674),
  [12921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20501),
  [12923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5129),
  [12925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20812),
  [12927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14957),
  [12929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20114),
  [12931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11289),
  [12933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21028),
  [12935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11381),
  [12937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20017),
  [12939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11371),
  [12941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20782),
  [12943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10445),
  [12945] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 2, 0, 14),
  [12947] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 2, 0, 14),
  [12949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13251),
  [12951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 1, 0, 0),
  [12953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11340),
  [12955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21490),
  [12957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12267),
  [12959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21026),
  [12961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13634),
  [12963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17409),
  [12965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21464),
  [12967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12254),
  [12969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20919),
  [12971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10869),
  [12973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21327),
  [12975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10246),
  [12977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19591),
  [12979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10729),
  [12981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19805),
  [12983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11186),
  [12985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20422),
  [12987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12284),
  [12989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20357),
  [12991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10934),
  [12993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10845),
  [12995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16114),
  [12997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10814),
  [12999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16560),
  [13001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19578),
  [13003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12096),
  [13005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22058),
  [13007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11549),
  [13009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20846),
  [13011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10877),
  [13013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19535),
  [13015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12114),
  [13017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22158),
  [13019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10449),
  [13021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 1, 0, 10),
  [13023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 1, 0, 10),
  [13025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7628),
  [13027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9735),
  [13029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9873),
  [13031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19885),
  [13033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14570),
  [13035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19904),
  [13037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14562),
  [13039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20091),
  [13041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11310),
  [13043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20838),
  [13045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10841),
  [13047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20528),
  [13049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13079),
  [13051] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_expression, 4, 0, 40),
  [13053] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_expression, 4, 0, 40),
  [13055] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 1, 0, 0),
  [13057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20886),
  [13059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11270),
  [13061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22165),
  [13063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11472),
  [13065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21290),
  [13067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11838),
  [13069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20179),
  [13071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10972),
  [13073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20339),
  [13075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10945),
  [13077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22434),
  [13079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14126),
  [13081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19306),
  [13083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12160),
  [13085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20598),
  [13087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12215),
  [13089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22488),
  [13091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14082),
  [13093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [13095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0),
  [13097] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(17426),
  [13100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21305),
  [13102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11616),
  [13104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20364),
  [13106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13844),
  [13108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20604),
  [13110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12325),
  [13112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20574),
  [13114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14229),
  [13116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20146),
  [13118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14547),
  [13120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_class_expression, 3, 0, 38),
  [13122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_class_expression, 3, 0, 38),
  [13124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21713),
  [13126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10387),
  [13128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19424),
  [13130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10692),
  [13132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21298),
  [13134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13599),
  [13136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [13138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 1, 0, 0),
  [13140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16559),
  [13142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21411),
  [13144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11741),
  [13146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19451),
  [13148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10663),
  [13150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20318),
  [13152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13133),
  [13154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 25),
  [13156] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 25),
  [13158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7428),
  [13160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20347),
  [13162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13106),
  [13164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22492),
  [13166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14157),
  [13168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20463),
  [13170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14298),
  [13172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16110),
  [13174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21269),
  [13176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12241),
  [13178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20455),
  [13180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14254),
  [13182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19831),
  [13184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11333),
  [13186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21023),
  [13188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11361),
  [13190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2569),
  [13192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2568),
  [13194] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2567),
  [13196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2566),
  [13198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2565),
  [13200] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2564),
  [13202] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2563),
  [13204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_directive, 2, 0, 0),
  [13206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_directive, 2, 0, 0),
  [13208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2551),
  [13210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12360),
  [13212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11241),
  [13214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13216] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0),
  [13218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2320),
  [13220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15979),
  [13222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2570),
  [13224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2562),
  [13226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12111),
  [13228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2, 0, 0),
  [13230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 2, 0, 0),
  [13232] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11283),
  [13234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15918),
  [13236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 1, 0, 0),
  [13240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18441),
  [13242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21398),
  [13244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11497),
  [13246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10790),
  [13248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3, 0, 0),
  [13250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_signature, 3, 0, 0),
  [13252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_module_type, 3, 0, 0),
  [13256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7635),
  [13258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9668),
  [13260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9845),
  [13262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [13264] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11508),
  [13266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16174),
  [13268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11094),
  [13270] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_type, 1, 0, 0),
  [13272] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_type, 1, 0, 0),
  [13274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7710),
  [13276] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8963),
  [13278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4140),
  [13280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10898),
  [13282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10900),
  [13284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9859),
  [13286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6157),
  [13288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [13290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_module_type, 5, 0, 0),
  [13292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0),
  [13296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11291),
  [13298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16131),
  [13300] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3681),
  [13303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3681),
  [13305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13307] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0),
  [13309] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17349),
  [13312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 2, 0, 0),
  [13316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8165),
  [13318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4273),
  [13320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10823),
  [13322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9812),
  [13324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11708),
  [13326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6003),
  [13328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16913),
  [13330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17541),
  [13332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11814),
  [13334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16492),
  [13336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8336),
  [13338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4219),
  [13340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10797),
  [13342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9878),
  [13344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11722),
  [13346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6024),
  [13348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16832),
  [13350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17857),
  [13352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 3, 0, 0),
  [13356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_binding_repeat1, 1, 0, 0),
  [13360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16175),
  [13362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2163),
  [13364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [13366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2111),
  [13368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [13370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2114),
  [13372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2116),
  [13374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [13376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2119),
  [13378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2120),
  [13380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2130),
  [13382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2145),
  [13384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [13386] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 5, 0, 0),
  [13388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9816),
  [13390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15917),
  [13392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [13394] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 6, 0, 0),
  [13396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11146),
  [13398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2345),
  [13400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2342),
  [13402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2339),
  [13404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2338),
  [13406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2336),
  [13408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2334),
  [13410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2331),
  [13412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10399),
  [13414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4243),
  [13416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10995),
  [13418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9984),
  [13420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6078),
  [13422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2348),
  [13424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2330),
  [13426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [13428] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 4, 0, 0),
  [13430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4228),
  [13432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6111),
  [13434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5087),
  [13436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8304),
  [13438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4180),
  [13440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10989),
  [13442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9776),
  [13444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6093),
  [13446] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_parameter, 4, 0, 87),
  [13448] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_parameter, 4, 0, 87),
  [13450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18395),
  [13452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21524),
  [13454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11612),
  [13456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8170),
  [13458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4192),
  [13460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10909),
  [13462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9813),
  [13464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6115),
  [13466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11154),
  [13468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14701),
  [13470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21457),
  [13472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5439),
  [13474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18573),
  [13476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21099),
  [13478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11800),
  [13480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [13482] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [13484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 5, 0, 0),
  [13486] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13488] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 5, 0, 0),
  [13490] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13492] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0),
  [13494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9816),
  [13497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 4),
  [13501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16134),
  [13503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 7, 0, 0),
  [13507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body_type, 2, 0, 0),
  [13511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_open_class_type, 4, 0, 40),
  [13513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_open_class_type, 4, 0, 40),
  [13515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instantiated_class_type, 4, 0, 0),
  [13519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [13521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constrain_type, 3, 0, 0),
  [13523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_class_type, 1, 0, 0),
  [13527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 8, 0, 26),
  [13529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 8, 0, 26),
  [13531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3483),
  [13533] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3483),
  [13536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10629),
  [13538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [13540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2616),
  [13542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2615),
  [13544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2614),
  [13546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2604),
  [13548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11959),
  [13550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16467),
  [13552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 3, 0, 0),
  [13554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 3, 0, 0),
  [13556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10088),
  [13558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18268),
  [13560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2602),
  [13562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2595),
  [13564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2548),
  [13566] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [13568] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_constraint, 4, 0, 0),
  [13570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12128),
  [13572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12119),
  [13574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 1, 0, 0),
  [13578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2620),
  [13580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2540),
  [13582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10679),
  [13584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, 0, 0),
  [13586] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, 0, 0),
  [13588] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17535),
  [13591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 3, 0, 0),
  [13595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10845),
  [13597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10280),
  [13599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [13601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9863),
  [13603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18420),
  [13605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21468),
  [13607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12085),
  [13609] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_equation, 2, 0, 0),
  [13611] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type_equation, 2, 0, 0),
  [13613] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9863),
  [13616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 3, 0, 14),
  [13618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 3, 0, 14),
  [13620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13561),
  [13622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7452),
  [13624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9720),
  [13626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10037),
  [13628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14293),
  [13630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7301),
  [13632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9686),
  [13634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9887),
  [13636] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12003),
  [13638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16210),
  [13640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10814),
  [13642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16091),
  [13644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11227),
  [13646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12026),
  [13648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16400),
  [13650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [13652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13107),
  [13654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 2, 0, 10),
  [13656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 2, 0, 10),
  [13658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14285),
  [13660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11278),
  [13662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13991),
  [13664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 6, 0, 0),
  [13666] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 6, 0, 0),
  [13668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13934),
  [13670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 25),
  [13672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 25),
  [13674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14237),
  [13676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14587),
  [13678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7385),
  [13680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_attribute, 4, 0, 0),
  [13684] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6826),
  [13686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11379),
  [13688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7287),
  [13690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11286),
  [13692] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 5, 0, 0),
  [13694] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 5, 0, 0),
  [13696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10577),
  [13698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10701),
  [13700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11526),
  [13702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11988),
  [13704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22413),
  [13706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10174),
  [13708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16453),
  [13710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17021),
  [13712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10247),
  [13714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2364),
  [13716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2515),
  [13718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2361),
  [13720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2356),
  [13722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 41),
  [13724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 41),
  [13726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 4, 0, 60),
  [13728] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 4, 0, 60),
  [13730] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3453),
  [13733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11335),
  [13735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19147),
  [13737] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 84),
  [13739] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 84),
  [13741] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2221),
  [13743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2212),
  [13745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2201),
  [13747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3453),
  [13749] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18392),
  [13752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 10),
  [13754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 10),
  [13756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 102),
  [13758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 102),
  [13760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10736),
  [13762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18812),
  [13764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15136),
  [13766] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 61),
  [13768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 61),
  [13770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11184),
  [13772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 8, 0, 114),
  [13774] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 8, 0, 114),
  [13776] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 26),
  [13778] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 26),
  [13780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15755),
  [13782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10598),
  [13784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10227),
  [13786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 3, 0, 41),
  [13788] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 3, 0, 41),
  [13790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2524),
  [13792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [13794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12125),
  [13796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20594),
  [13798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16530),
  [13800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18072),
  [13802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17233),
  [13804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18392),
  [13806] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 43),
  [13808] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 43),
  [13810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13812] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 3, 0, 0),
  [13814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15741),
  [13816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 100),
  [13818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 100),
  [13820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 7, 0, 114),
  [13822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 7, 0, 114),
  [13824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2727),
  [13826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14250),
  [13828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [13830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 0),
  [13832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 102),
  [13834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 102),
  [13836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 43),
  [13838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 43),
  [13840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_constraint, 4, 0, 0),
  [13844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 81),
  [13846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 81),
  [13848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 6, 0, 100),
  [13850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 6, 0, 100),
  [13852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 83),
  [13854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 83),
  [13856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 0),
  [13860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15637),
  [13862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10563),
  [13864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10232),
  [13866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [13868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [13870] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 1, 0, 4),
  [13872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15632),
  [13874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10559),
  [13876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10234),
  [13878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [13880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18379),
  [13882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21583),
  [13884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12391),
  [13886] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 25),
  [13888] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 25),
  [13890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15741),
  [13893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12113),
  [13895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16523),
  [13897] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19147),
  [13900] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [13902] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 0),
  [13904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14251),
  [13906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 62),
  [13908] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 62),
  [13910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16463),
  [13912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11111),
  [13914] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 84),
  [13916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 84),
  [13918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 83),
  [13920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 83),
  [13922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10035),
  [13924] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 2, 0, 5),
  [13926] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 2, 0, 5),
  [13928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16401),
  [13930] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 81),
  [13932] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 81),
  [13934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_binding, 5, 0, 60),
  [13936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_let_binding, 5, 0, 60),
  [13938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 62),
  [13940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 62),
  [13942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18389),
  [13944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21544),
  [13946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12305),
  [13948] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [13950] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 3, 0, 0),
  [13952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11171),
  [13954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 61),
  [13956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 61),
  [13958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16208),
  [13960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13962] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__module_typed, 2, 0, 0),
  [13964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12182),
  [13966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15731),
  [13968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4422),
  [13970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10113),
  [13972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15407),
  [13974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3848),
  [13976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10703),
  [13978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15779),
  [13980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1610),
  [13982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17007),
  [13984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17987),
  [13986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16591),
  [13988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 5, 0, 90),
  [13990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 5, 0, 90),
  [13992] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15841),
  [13995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2704),
  [13997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2705),
  [13999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2712),
  [14001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2714),
  [14003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [14005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2716),
  [14007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2717),
  [14009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10528),
  [14011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10245),
  [14013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4046),
  [14015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5824),
  [14017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10530),
  [14019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10244),
  [14021] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 103),
  [14023] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 103),
  [14025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 4, 0, 0),
  [14027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 4, 0, 0),
  [14029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2694),
  [14031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4035),
  [14033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6013),
  [14035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4414),
  [14037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3746),
  [14039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14041] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0),
  [14043] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 2, 0, 0), SHIFT_REPEAT(13934),
  [14046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15841),
  [14048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2656),
  [14050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2664),
  [14052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2665),
  [14054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2666),
  [14056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2667),
  [14058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2668),
  [14060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [14062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2577),
  [14064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [14066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3412),
  [14068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 43),
  [14070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 43),
  [14072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4119),
  [14074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5061),
  [14076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4311),
  [14078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3643),
  [14080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [14082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 132),
  [14084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3906),
  [14086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4893),
  [14088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 136),
  [14090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 136),
  [14092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4428),
  [14094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3875),
  [14096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 48),
  [14098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 48),
  [14100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 134),
  [14102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 134),
  [14104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0),
  [14108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 70),
  [14110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 70),
  [14112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12386),
  [14114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16061),
  [14116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [14118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 3, 0, 0),
  [14120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 94),
  [14122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 94),
  [14124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 10, 0, 133),
  [14126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 10, 0, 133),
  [14128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 2, 0, 0),
  [14130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 2, 0, 0),
  [14132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [14134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 9, 0, 132),
  [14136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 126),
  [14138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 126),
  [14140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3904),
  [14142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8738),
  [14144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4346),
  [14146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4071),
  [14148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 104),
  [14150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 104),
  [14152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18387),
  [14154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21564),
  [14156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12516),
  [14158] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [14160] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 3, 0, 0),
  [14162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10727),
  [14164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 134),
  [14166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 134),
  [14168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 127),
  [14170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 127),
  [14172] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12226),
  [14174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15959),
  [14176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 68),
  [14178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 68),
  [14180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 133),
  [14182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 133),
  [14184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 29),
  [14186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 29),
  [14188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 9, 0, 125),
  [14190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 9, 0, 125),
  [14192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 105),
  [14194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 105),
  [14196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11153),
  [14198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4065),
  [14200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6770),
  [14202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [14204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 8, 0, 124),
  [14206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 45),
  [14208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 45),
  [14210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4105),
  [14212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7956),
  [14214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3999),
  [14216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6432),
  [14218] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 64),
  [14220] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 64),
  [14222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4166),
  [14224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5424),
  [14226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18413),
  [14228] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21499),
  [14230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12870),
  [14232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 25),
  [14234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 25),
  [14236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 63),
  [14238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 63),
  [14240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10507),
  [14242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10249),
  [14244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 6, 0, 33),
  [14246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 6, 0, 33),
  [14248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3846),
  [14250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8477),
  [14252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 104),
  [14254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 104),
  [14256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9779),
  [14259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4280),
  [14261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7810),
  [14263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4201),
  [14265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8093),
  [14267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 127),
  [14269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 127),
  [14271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 91),
  [14273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 91),
  [14275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 126),
  [14277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 126),
  [14279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 91),
  [14281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 91),
  [14283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 117),
  [14285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 117),
  [14287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3909),
  [14289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4708),
  [14291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 68),
  [14293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 68),
  [14295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2213),
  [14297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4159),
  [14299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5309),
  [14301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11208),
  [14303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4072),
  [14305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7965),
  [14307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 117),
  [14309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 117),
  [14311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 4, 0, 10),
  [14313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 4, 0, 10),
  [14315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 116),
  [14317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 116),
  [14319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4236),
  [14321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6304),
  [14323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4057),
  [14325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5292),
  [14327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 7, 0, 103),
  [14329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 7, 0, 103),
  [14331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [14333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 6, 0, 115),
  [14335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 85),
  [14337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 85),
  [14339] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 125),
  [14341] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 125),
  [14343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 63),
  [14345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 63),
  [14347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 5, 0, 64),
  [14349] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 5, 0, 64),
  [14351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4220),
  [14353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8193),
  [14355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4200),
  [14357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6716),
  [14359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2703),
  [14361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2719),
  [14363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 92),
  [14365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 92),
  [14367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 105),
  [14369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 105),
  [14371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 61),
  [14373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 61),
  [14375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__constructor_argument, 2, 0, 0),
  [14379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4173),
  [14381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6995),
  [14383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4174),
  [14385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4645),
  [14387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4111),
  [14389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8503),
  [14391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 11, 0, 136),
  [14393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 11, 0, 136),
  [14395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19274),
  [14397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9779),
  [14399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9849),
  [14402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3987),
  [14404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6929),
  [14406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4168),
  [14408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7841),
  [14410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 6, 0, 89),
  [14412] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 6, 0, 89),
  [14414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3967),
  [14416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10902),
  [14418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10321),
  [14420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10300),
  [14422] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19274),
  [14425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 6, 0, 94),
  [14427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 6, 0, 94),
  [14429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4176),
  [14431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7483),
  [14433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_function_type, 5, 0, 72),
  [14435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_function_type, 5, 0, 72),
  [14437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 92),
  [14439] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 92),
  [14441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9849),
  [14443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 5, 0, 69),
  [14445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 5, 0, 69),
  [14447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11290),
  [14449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3918),
  [14451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7407),
  [14453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [14455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 51),
  [14457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 51),
  [14459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4182),
  [14461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8758),
  [14463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10508),
  [14465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10248),
  [14467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 84),
  [14469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 84),
  [14471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 7, 0, 83),
  [14473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 7, 0, 83),
  [14475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 4, 0, 14),
  [14477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 4, 0, 14),
  [14479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 8, 0, 116),
  [14481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 8, 0, 116),
  [14483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [14485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 15),
  [14487] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 15),
  [14489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4103),
  [14491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10503),
  [14493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3983),
  [14495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7674),
  [14497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 70),
  [14499] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 70),
  [14501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_functor_type, 3, 0, 0),
  [14503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_functor_type, 3, 0, 0),
  [14505] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11340),
  [14508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15957),
  [14510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4099),
  [14512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8253),
  [14514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4095),
  [14516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7417),
  [14518] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3412),
  [14521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4153),
  [14523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7219),
  [14525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 67),
  [14527] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 67),
  [14529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4233),
  [14531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7860),
  [14533] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [14535] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 124),
  [14537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [14539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 7, 0, 115),
  [14541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_binding, 5, 0, 66),
  [14543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_binding, 5, 0, 66),
  [14545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 62),
  [14547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 62),
  [14549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 4, 0, 90),
  [14551] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 4, 0, 90),
  [14553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3879),
  [14555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4400),
  [14557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4088),
  [14559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3502),
  [14561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16062),
  [14563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_attribute, 4, 0, 0),
  [14567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4109),
  [14569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4320),
  [14571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 3, 0, 45),
  [14573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 3, 0, 45),
  [14575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3964),
  [14577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5030),
  [14579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 8, 0, 102),
  [14581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 8, 0, 102),
  [14583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10317),
  [14585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10302),
  [14587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10728),
  [14589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9950),
  [14591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3978),
  [14593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7541),
  [14595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_binding, 6, 0, 85),
  [14597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_binding, 6, 0, 85),
  [14599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 51),
  [14601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 51),
  [14603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 69),
  [14605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 69),
  [14607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4114),
  [14609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5913),
  [14611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4275),
  [14613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6250),
  [14615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4085),
  [14617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4610),
  [14619] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_binding, 3, 0, 67),
  [14621] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_binding, 3, 0, 67),
  [14623] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 3, 0, 15),
  [14625] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 3, 0, 15),
  [14627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3911),
  [14629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7312),
  [14631] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_binding, 4, 0, 29),
  [14633] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_binding, 4, 0, 29),
  [14635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3908),
  [14637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4313),
  [14639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_typed, 2, 0, 0),
  [14641] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_typed, 2, 0, 0),
  [14643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4080),
  [14645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7041),
  [14647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4134),
  [14649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9200),
  [14651] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_type, 1, 0, 0),
  [14653] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__class_type, 1, 0, 0),
  [14655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4258),
  [14657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8444),
  [14659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14294),
  [14661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 3, 0, 0),
  [14663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 3, 0, 0),
  [14665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14286),
  [14667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14288),
  [14669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9772),
  [14671] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11094),
  [14674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14282),
  [14676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12043),
  [14678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16470),
  [14680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [14682] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 3, 0, 0),
  [14684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10049),
  [14686] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 3, 0, 27),
  [14688] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 3, 0, 27),
  [14690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12038),
  [14692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15170),
  [14694] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9873),
  [14697] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 86),
  [14699] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 86),
  [14701] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 7, 0, 86),
  [14703] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 7, 0, 86),
  [14705] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_external, 7, 0, 0),
  [14707] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_external, 7, 0, 0),
  [14709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 6, 0, 65),
  [14711] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 6, 0, 65),
  [14713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [14715] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 2, 0, 0),
  [14717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [14719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2094),
  [14721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2105),
  [14723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2126),
  [14725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [14727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2183),
  [14729] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2530),
  [14731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [14733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2535),
  [14735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14737] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_definition, 4, 0, 0),
  [14739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 27),
  [14741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 27),
  [14743] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 4, 0, 47),
  [14745] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 4, 0, 47),
  [14747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12149),
  [14749] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [14751] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 3, 0, 0),
  [14753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11354),
  [14755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15212),
  [14757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11425),
  [14759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12053),
  [14761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20055),
  [14763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10166),
  [14765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16460),
  [14767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14689),
  [14769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14771] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 6, 0, 0),
  [14773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12108),
  [14775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15634),
  [14777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12131),
  [14779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(16540),
  [14781] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15170),
  [14784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10391),
  [14786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10274),
  [14788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10463),
  [14790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10295),
  [14792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10309),
  [14794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10298),
  [14796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 4, 0, 0),
  [14798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 4, 0, 0),
  [14800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [14802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 4, 0, 0),
  [14804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11192),
  [14806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9862),
  [14808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [14810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variant_declaration, 2, 0, 0),
  [14812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [14814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_quoted_item_extension, 5, 0, 0),
  [14816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_item_extension, 5, 0, 0),
  [14818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_item_extension, 5, 0, 0),
  [14820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 65),
  [14822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 65),
  [14824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_type_definition, 5, 0, 47),
  [14826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_type_definition, 5, 0, 47),
  [14828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_open_module, 5, 0, 0),
  [14830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_open_module, 5, 0, 0),
  [14832] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11241),
  [14835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [14837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4102),
  [14839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10468),
  [14841] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11146),
  [14844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4001),
  [14846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5033),
  [14848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10743),
  [14850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3914),
  [14852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7377),
  [14854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10760),
  [14856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10818),
  [14858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13107),
  [14860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16024),
  [14862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10894),
  [14864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4167),
  [14866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7805),
  [14868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11155),
  [14870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10891),
  [14872] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15647),
  [14875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10881),
  [14877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16025),
  [14879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15647),
  [14881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4225),
  [14883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7919),
  [14885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3843),
  [14887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8468),
  [14889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3381),
  [14892] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3381),
  [14894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4052),
  [14896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5891),
  [14898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4197),
  [14900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9183),
  [14902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 5, 0, 0),
  [14906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16532),
  [14908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14910] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0),
  [14912] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16532),
  [14915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10849),
  [14917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10771),
  [14919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4064),
  [14921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6766),
  [14923] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(15081),
  [14926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15081),
  [14928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4113),
  [14930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5955),
  [14932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10861),
  [14934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14936] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 3, 0, 0),
  [14938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10431),
  [14940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10266),
  [14942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10472),
  [14944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10261),
  [14946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10848),
  [14948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4169),
  [14950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8835),
  [14952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10428),
  [14954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10267),
  [14956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4430),
  [14958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3883),
  [14960] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9845),
  [14963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10747),
  [14965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4404),
  [14967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3852),
  [14969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4100),
  [14971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5056),
  [14973] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15862),
  [14976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10751),
  [14978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3910),
  [14980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7326),
  [14982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [14984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0),
  [14986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2147),
  [14988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2146),
  [14990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2144),
  [14992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2138),
  [14994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [14996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2115),
  [14998] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2113),
  [15000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2103),
  [15002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2102),
  [15004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4420),
  [15006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3764),
  [15008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3877),
  [15010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4403),
  [15012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4005),
  [15014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10896),
  [15016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4094),
  [15018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7431),
  [15020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4235),
  [15022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8369),
  [15024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4101),
  [15026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6045),
  [15028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4011),
  [15030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8028),
  [15032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10754),
  [15034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4327),
  [15036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3663),
  [15038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10453),
  [15040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10263),
  [15042] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14988),
  [15045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4162),
  [15047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5236),
  [15049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14988),
  [15051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2095),
  [15053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4349),
  [15055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4033),
  [15057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4310),
  [15059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7752),
  [15061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 2, 0, 0),
  [15063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 2, 0, 0),
  [15065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2281),
  [15067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4164),
  [15069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5075),
  [15071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3997),
  [15073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6423),
  [15075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4104),
  [15077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7954),
  [15079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4237),
  [15081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6308),
  [15083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10620),
  [15085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10243),
  [15087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10612),
  [15089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10223),
  [15091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3905),
  [15093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4910),
  [15095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4082),
  [15097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7059),
  [15099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4110),
  [15101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8732),
  [15103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15862),
  [15105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_external_repeat1, 1, 0, 0),
  [15109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4210),
  [15111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8234),
  [15113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4158),
  [15115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5335),
  [15117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4204),
  [15119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6682),
  [15121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10585),
  [15123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10228),
  [15125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10614),
  [15127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10214),
  [15129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10565),
  [15131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10237),
  [15133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13070),
  [15135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12617),
  [15137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17332),
  [15139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [15141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18074),
  [15143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14584),
  [15145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_item, 1, 0, 0),
  [15149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3977),
  [15151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7520),
  [15153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10783),
  [15155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18508),
  [15157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3927),
  [15159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4705),
  [15161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4087),
  [15163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4660),
  [15165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4194),
  [15167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6982),
  [15169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12112),
  [15171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4097),
  [15173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8293),
  [15175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13145),
  [15177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12749),
  [15179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17704),
  [15181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [15183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module, 4, 0, 0),
  [15185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_include_module, 4, 0, 0),
  [15187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [15189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_type_definition, 4, 0, 0),
  [15191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [15193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3902),
  [15195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8700),
  [15197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12070),
  [15199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4271),
  [15201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6267),
  [15203] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18508),
  [15206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11027),
  [15208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3984),
  [15210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6892),
  [15212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4179),
  [15214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7500),
  [15216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4108),
  [15218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4289),
  [15220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4175),
  [15222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4641),
  [15224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4074),
  [15226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3491),
  [15228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3907),
  [15230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4315),
  [15232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3980),
  [15234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7656),
  [15236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4136),
  [15238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7206),
  [15240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11156),
  [15242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4184),
  [15244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7986),
  [15246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12071),
  [15248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15690),
  [15250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8261),
  [15252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9082),
  [15254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8461),
  [15256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8644),
  [15258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7347),
  [15260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3470),
  [15262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2325),
  [15264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2324),
  [15266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2323),
  [15268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2319),
  [15270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2316),
  [15272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2315),
  [15274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18033),
  [15276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7350),
  [15278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3469),
  [15280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7625),
  [15282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3468),
  [15284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8671),
  [15286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5081),
  [15288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5146),
  [15290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9047),
  [15292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7949),
  [15294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5119),
  [15296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3775),
  [15298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10364),
  [15300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10290),
  [15302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5214),
  [15304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0),
  [15308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8679),
  [15310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12080),
  [15312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15654),
  [15314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10318),
  [15316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10213),
  [15318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10310),
  [15320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10297),
  [15322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3477),
  [15324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7186),
  [15326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [15328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7606),
  [15330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7171),
  [15332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8305),
  [15334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10007),
  [15336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5038),
  [15338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8988),
  [15340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4748),
  [15342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7156),
  [15344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5079),
  [15346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4744),
  [15348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7154),
  [15350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8126),
  [15352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14625),
  [15354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2480),
  [15356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14910),
  [15358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4940),
  [15360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7114),
  [15362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8221),
  [15364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7153),
  [15366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6925),
  [15368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6909),
  [15370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5039),
  [15372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6245),
  [15374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6888),
  [15376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4941),
  [15378] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3775),
  [15381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4638),
  [15383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6866),
  [15385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4734),
  [15387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4636),
  [15389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4635),
  [15391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4633),
  [15393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6867),
  [15395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4632),
  [15397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7585),
  [15399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7519),
  [15401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4935),
  [15403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7532),
  [15405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2052),
  [15407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7545),
  [15409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5145),
  [15411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7551),
  [15413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7553),
  [15415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4274),
  [15417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8269),
  [15419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4713),
  [15421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7571),
  [15423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7916),
  [15425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7557),
  [15427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7346),
  [15429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8594),
  [15431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8669),
  [15433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4266),
  [15435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4694),
  [15437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7343),
  [15439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2326),
  [15441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2299),
  [15443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5137),
  [15445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10102),
  [15447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4930),
  [15449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8290),
  [15451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8652),
  [15453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8333),
  [15455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6178),
  [15457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2757),
  [15459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2758),
  [15461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2708),
  [15463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2673),
  [15465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2670),
  [15467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2654),
  [15469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2642),
  [15471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2219),
  [15473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2204),
  [15475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8626),
  [15477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4249),
  [15479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8618),
  [15481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8552),
  [15483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0),
  [15487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6408),
  [15489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6410),
  [15491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6973),
  [15493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14910),
  [15496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4240),
  [15498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7881),
  [15500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7983),
  [15502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6968),
  [15504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7112),
  [15506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6956),
  [15508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [15510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4234),
  [15512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8295),
  [15514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6949),
  [15516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6411),
  [15518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6947),
  [15520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7105),
  [15522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8264),
  [15524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8915),
  [15526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7245),
  [15528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7092),
  [15530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7951),
  [15532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5042),
  [15534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2624),
  [15536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15538] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 5, 0, 0),
  [15540] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5554),
  [15542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5554),
  [15544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6696),
  [15546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6412),
  [15548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8617),
  [15550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4920),
  [15552] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11278),
  [15555] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11286),
  [15558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5227),
  [15560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4697),
  [15562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7079),
  [15564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6695),
  [15566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7481),
  [15568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4689),
  [15570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7466),
  [15572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5380),
  [15574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6697),
  [15576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6755),
  [15578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6758),
  [15580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5566),
  [15582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5566),
  [15584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6421),
  [15586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15588] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 2, 0, 0),
  [15590] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15592] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 4, 0, 0),
  [15594] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5566),
  [15597] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5566),
  [15600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8458),
  [15602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8153),
  [15604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8151),
  [15606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5049),
  [15608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6309),
  [15610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10537),
  [15612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10241),
  [15614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6312),
  [15616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6315),
  [15618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6319),
  [15620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5103),
  [15622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3474),
  [15624] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15626] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_definition, 3, 0, 0),
  [15628] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15630] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0),
  [15632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6320),
  [15634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6234),
  [15636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7868),
  [15638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9166),
  [15640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10481),
  [15642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10257),
  [15644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8145),
  [15646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10479),
  [15648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10258),
  [15650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7435),
  [15652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8227),
  [15654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7430),
  [15656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6082),
  [15658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6073),
  [15660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11227),
  [15663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8186),
  [15665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4680),
  [15667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7861),
  [15669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7766),
  [15671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7779),
  [15673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7792),
  [15675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7798),
  [15677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7800),
  [15679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8163),
  [15681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6298),
  [15683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8345),
  [15685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10380),
  [15687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10281),
  [15689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4681),
  [15691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6067),
  [15693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8100),
  [15695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [15697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4047),
  [15699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8375),
  [15701] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10113),
  [15704] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15407),
  [15707] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0),
  [15709] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(10703),
  [15712] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15779),
  [15715] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(1610),
  [15718] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17836),
  [15721] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17007),
  [15724] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17987),
  [15727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5054),
  [15729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7854),
  [15731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5365),
  [15733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8051),
  [15735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8158),
  [15737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7796),
  [15739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4040),
  [15741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10495),
  [15743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10252),
  [15745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6061),
  [15747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8268),
  [15749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3950),
  [15751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4031),
  [15753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4030),
  [15755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6327),
  [15757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13389),
  [15759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22355),
  [15761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20746),
  [15763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5221),
  [15765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4317),
  [15767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10511),
  [15769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10250),
  [15771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8205),
  [15773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6049),
  [15775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3684),
  [15777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4324),
  [15779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3702),
  [15781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3719),
  [15783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7934),
  [15785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8085),
  [15787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8196),
  [15789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3730),
  [15791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4322),
  [15793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5564),
  [15795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5564),
  [15797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3731),
  [15799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4321),
  [15801] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5554),
  [15804] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5554),
  [15807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5880),
  [15809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3781),
  [15811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5882),
  [15813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6777),
  [15815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3794),
  [15817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4407),
  [15819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5774),
  [15821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6851),
  [15823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3814),
  [15825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10887),
  [15827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3823),
  [15829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3824),
  [15831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7880),
  [15833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [15835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [15837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4408),
  [15839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3858),
  [15841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3864),
  [15843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3866),
  [15845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4409),
  [15847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6823),
  [15849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7862),
  [15851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5980),
  [15853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3868),
  [15855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3869),
  [15857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10376),
  [15859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8030),
  [15861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4412),
  [15863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7285),
  [15865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3885),
  [15867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3893),
  [15869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3895),
  [15871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5960),
  [15873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3896),
  [15875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3897),
  [15877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5892),
  [15879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6822),
  [15881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10199),
  [15883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [15885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7284),
  [15887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4413),
  [15889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10556),
  [15891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6838),
  [15893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5904),
  [15895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10863),
  [15897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7495),
  [15899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7439),
  [15901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8815),
  [15903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5947),
  [15905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7988),
  [15907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10839),
  [15909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7291),
  [15911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10366),
  [15913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8457),
  [15915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5058),
  [15917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5055),
  [15919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10734),
  [15921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8843),
  [15923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10854),
  [15925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10312),
  [15927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5230),
  [15929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5052),
  [15931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5097),
  [15933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8485),
  [15935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8453),
  [15937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10386),
  [15939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7453),
  [15941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7319),
  [15943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8790),
  [15945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7449),
  [15947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8456),
  [15949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5946),
  [15951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5564),
  [15954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5564),
  [15957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8438),
  [15959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7446),
  [15961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8754),
  [15963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5035),
  [15965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8785),
  [15967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5242),
  [15969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5998),
  [15971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7445),
  [15973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7336),
  [15975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5034),
  [15977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4319),
  [15979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4682),
  [15981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10889),
  [15983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5563),
  [15985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5563),
  [15987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21175),
  [15989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9996),
  [15991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18221),
  [15993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20254),
  [15995] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5563),
  [15998] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5563),
  [16001] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5577),
  [16004] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5577),
  [16007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5577),
  [16009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5577),
  [16011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 3, 0, 0),
  [16015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17407),
  [16017] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11111),
  [16020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11012),
  [16022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11030),
  [16024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11051),
  [16026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11054),
  [16028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11056),
  [16030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5575),
  [16032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5575),
  [16034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2489),
  [16036] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5575),
  [16039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5575),
  [16042] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12360),
  [16044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16519),
  [16046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
  [16048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 3, 0, 0),
  [16052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14201),
  [16054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2573),
  [16056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [16058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2579),
  [16060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2583),
  [16062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2597),
  [16064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [16066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2599),
  [16068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2600),
  [16070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2603),
  [16072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2605),
  [16074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(10037),
  [16077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 4, 0, 0),
  [16079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 4, 0, 0),
  [16081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21438),
  [16083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14969),
  [16085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18276),
  [16087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20729),
  [16089] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11335),
  [16092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20857),
  [16094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6187),
  [16096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19090),
  [16098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22118),
  [16100] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14950),
  [16103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14950),
  [16105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14921),
  [16108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14921),
  [16110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [16112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_toplevel_directive, 2, 0, 0),
  [16114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15688),
  [16116] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14201),
  [16119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 2, 0, 0),
  [16123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16125] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 2, 0, 0),
  [16127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2612),
  [16129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2613),
  [16131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2644),
  [16133] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2645),
  [16135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2647),
  [16137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2648),
  [16139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2649),
  [16141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [16143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2655),
  [16145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20558),
  [16147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6377),
  [16149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18378),
  [16151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19422),
  [16153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 4, 0, 0),
  [16155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 4, 0, 0),
  [16157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10871),
  [16159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10852),
  [16161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10847),
  [16163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10843),
  [16165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3482),
  [16167] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(17407),
  [16170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3482),
  [16173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9947),
  [16175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9826),
  [16177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15670),
  [16179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11002),
  [16181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14170),
  [16183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16069),
  [16185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 2, 0, 0),
  [16187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 3, 0, 0),
  [16189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22309),
  [16191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13507),
  [16193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18504),
  [16195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21618),
  [16197] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11171),
  [16200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12129),
  [16202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20065),
  [16204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6469),
  [16206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18528),
  [16208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19593),
  [16210] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9887),
  [16213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12076),
  [16215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [16217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12094),
  [16219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12120),
  [16221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_definition, 5, 0, 0),
  [16223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_definition, 5, 0, 0),
  [16225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [16227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_definition, 5, 0, 0),
  [16231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19614),
  [16233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6541),
  [16235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18646),
  [16237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21040),
  [16239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16318),
  [16241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11384),
  [16243] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3411),
  [16245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 2, 0, 0),
  [16247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 5, 0, 0),
  [16249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__structure_item, 1, 0, 0),
  [16251] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__structure_item, 1, 0, 0),
  [16253] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 2, 0, 0),
  [16255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 2, 0, 0),
  [16257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16107),
  [16259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3411),
  [16262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2266),
  [16264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2255),
  [16266] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2248),
  [16268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2245),
  [16270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [16272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2224),
  [16274] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2223),
  [16276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [16278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3577),
  [16280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2318),
  [16282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2477),
  [16284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2478),
  [16286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2482),
  [16288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2497),
  [16290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2498),
  [16292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [16294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2527),
  [16296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2529),
  [16298] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3577),
  [16301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12166),
  [16303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10137),
  [16305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11989),
  [16307] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3766),
  [16310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3766),
  [16312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15993),
  [16314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2286),
  [16316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [16318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2285),
  [16320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2284),
  [16322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2282),
  [16324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2279),
  [16326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2275),
  [16328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [16330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2262),
  [16332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2259),
  [16334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11980),
  [16336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14594),
  [16338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2333),
  [16340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2209),
  [16342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3690),
  [16344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2174),
  [16346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11367),
  [16348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 4, 0, 0),
  [16350] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3690),
  [16353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2730),
  [16355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2745),
  [16357] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(15993),
  [16360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 4, 0, 0),
  [16362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 4, 0, 0),
  [16364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2410),
  [16366] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3669),
  [16369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3669),
  [16371] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9826),
  [16374] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(15670),
  [16377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0),
  [16379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(14170),
  [16382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16069),
  [16385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17836),
  [16388] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17007),
  [16391] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 2, 0, 0), SHIFT_REPEAT(17987),
  [16394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2475),
  [16396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2479),
  [16398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2481),
  [16400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2484),
  [16402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2485),
  [16404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2487),
  [16406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2488),
  [16408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2512),
  [16410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2518),
  [16412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2317),
  [16414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [16416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2378),
  [16418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [16420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2385),
  [16422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2387),
  [16424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2390),
  [16426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [16428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2393),
  [16430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2395),
  [16432] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_include_module_type, 4, 0, 0),
  [16434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2726),
  [16436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2751),
  [16438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2754),
  [16440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2623),
  [16442] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2619),
  [16444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3378),
  [16447] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3378),
  [16449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2375),
  [16451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2381),
  [16453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2388),
  [16455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2418),
  [16457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2433),
  [16459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2468),
  [16461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2469),
  [16463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2470),
  [16465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2476),
  [16467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [16469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__structure_repeat2, 1, 0, 0),
  [16471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2443),
  [16473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_specification, 3, 0, 0),
  [16475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_definition, 3, 0, 0),
  [16477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_definition, 3, 0, 0),
  [16479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16551),
  [16481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10473),
  [16483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15225),
  [16485] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14204),
  [16487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16295),
  [16489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15834),
  [16491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15823),
  [16493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [16495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10780),
  [16497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [16499] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16551),
  [16502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2711),
  [16504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [16506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14934),
  [16508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2581),
  [16510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [16512] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14934),
  [16515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14961),
  [16517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_variant_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(14961),
  [16520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15789),
  [16522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10388),
  [16524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10275),
  [16526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13991),
  [16528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16278),
  [16530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15794),
  [16532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10383),
  [16534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10279),
  [16536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2295),
  [16538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [16540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2363),
  [16542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15842),
  [16544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10319),
  [16546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10303),
  [16548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [16550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10699),
  [16552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14221),
  [16554] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3516),
  [16557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14213),
  [16559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16282),
  [16561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3516),
  [16563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18075),
  [16565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2493),
  [16567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2532),
  [16569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [16571] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18075),
  [16574] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14213),
  [16577] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11175),
  [16579] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14215),
  [16581] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16107),
  [16584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10419),
  [16586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10212),
  [16588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10422),
  [16590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10270),
  [16592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10509),
  [16594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10253),
  [16596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [16598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [16600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11356),
  [16602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14203),
  [16604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10753),
  [16606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10951),
  [16608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [16610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2436),
  [16612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2435),
  [16614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2425),
  [16616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2432),
  [16618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2428),
  [16620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [16622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12545),
  [16624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2441),
  [16626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1997),
  [16628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2440),
  [16630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4529),
  [16632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2438),
  [16634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2422),
  [16636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2399),
  [16638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2389),
  [16640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2383),
  [16642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2372),
  [16644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2371),
  [16646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1800),
  [16648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8826),
  [16650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8867),
  [16652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [16654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8091),
  [16656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14259),
  [16658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14259),
  [16660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14228),
  [16662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2407),
  [16664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2406),
  [16666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2404),
  [16668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [16670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2398),
  [16672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2374),
  [16674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2373),
  [16676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2370),
  [16678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [16680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9882),
  [16682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8717),
  [16684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2439),
  [16686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2417),
  [16688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10080),
  [16690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2226),
  [16692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2227),
  [16694] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2228),
  [16696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2229),
  [16698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [16700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2233),
  [16702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2246),
  [16704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6471),
  [16706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [16708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5969),
  [16710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4444),
  [16712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1996),
  [16714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7619),
  [16716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1770),
  [16718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6473),
  [16720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7632),
  [16722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1860),
  [16724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7518),
  [16726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2222),
  [16728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2249),
  [16730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3473),
  [16732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [16734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7523),
  [16736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1859),
  [16738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2289),
  [16740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [16742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3444),
  [16744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8022),
  [16746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4060),
  [16748] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4050),
  [16750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3600),
  [16752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8090),
  [16754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9825),
  [16756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1340),
  [16758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9843),
  [16760] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 73),
  [16762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3693),
  [16764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2142),
  [16766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [16768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2140),
  [16770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [16772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2135),
  [16774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2134),
  [16776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2133),
  [16778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2129),
  [16780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2124),
  [16782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2121),
  [16784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3952),
  [16786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2308),
  [16788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2306),
  [16790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2303),
  [16792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2301),
  [16794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2300),
  [16796] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [16798] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2296),
  [16800] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6290),
  [16802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6661),
  [16804] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8216),
  [16806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7194),
  [16808] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14946),
  [16810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [16812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7922),
  [16814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2472),
  [16816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2467),
  [16818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2466),
  [16820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2465),
  [16822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2463),
  [16824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2459),
  [16826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2450),
  [16828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2449),
  [16830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2448),
  [16832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7306),
  [16834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4498),
  [16836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [16838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 0),
  [16840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7119),
  [16842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2310),
  [16844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2294),
  [16846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4440),
  [16848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1912),
  [16850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10921),
  [16852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7056),
  [16854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [16856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2288),
  [16858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [16860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4418),
  [16862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2035),
  [16864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7060),
  [16866] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8923),
  [16868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7910),
  [16870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [16872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2732),
  [16874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2743),
  [16876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2747),
  [16878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2574),
  [16880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2559),
  [16882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2558),
  [16884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2554),
  [16886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2553),
  [16888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2314),
  [16890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [16892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [16894] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13445),
  [16896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [16898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3751),
  [16900] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3713),
  [16902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1809),
  [16904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7929),
  [16906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3713),
  [16909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7889),
  [16911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1811),
  [16913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7394),
  [16915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1853),
  [16917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11077),
  [16919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7487),
  [16921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11073),
  [16923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1851),
  [16925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2544),
  [16927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2543),
  [16929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2538),
  [16931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2536),
  [16933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2523),
  [16935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2520),
  [16937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2516),
  [16939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2502),
  [16941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2501),
  [16943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8332),
  [16945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1987),
  [16947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6879),
  [16949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6289),
  [16951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5095),
  [16953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2062),
  [16955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4654),
  [16957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [16959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7383),
  [16961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1869),
  [16963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6944),
  [16965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1985),
  [16967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [16969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [16971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4664),
  [16973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3880),
  [16975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [16977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4914),
  [16979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [16981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3932),
  [16983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5258),
  [16985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3934),
  [16987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [16989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4555),
  [16991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6163),
  [16993] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 3, 0, 82),
  [16995] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_polymorphic_type, 3, 0, 82),
  [16997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1570),
  [16999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7034),
  [17001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [17003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1901),
  [17005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4791),
  [17007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11354),
  [17010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [17012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7030),
  [17014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7543),
  [17016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1755),
  [17018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3566),
  [17020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6321),
  [17022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1828),
  [17024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1870),
  [17026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7376),
  [17028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [17030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_type, 1, 0, 0),
  [17032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10596),
  [17034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1753),
  [17036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7530),
  [17038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2380),
  [17040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8322),
  [17042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1960),
  [17044] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3733),
  [17047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7408),
  [17049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7276),
  [17051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [17053] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3733),
  [17055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1988),
  [17057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7273),
  [17059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2107),
  [17061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1781),
  [17063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7978),
  [17065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1834),
  [17067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6341),
  [17069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8003),
  [17071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [17073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1752),
  [17075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6138),
  [17077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [17079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4006),
  [17081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8076),
  [17083] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4671),
  [17085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4008),
  [17087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [17089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7830),
  [17091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7209),
  [17093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1957),
  [17095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7772),
  [17097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1918),
  [17099] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6883),
  [17101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1955),
  [17103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7205),
  [17105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [17107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1836),
  [17109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7655),
  [17111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [17113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7659),
  [17115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1835),
  [17117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6135),
  [17119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1751),
  [17121] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9918),
  [17123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1919),
  [17125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7809),
  [17127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [17129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [17131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2045),
  [17133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2042),
  [17135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [17137] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2271),
  [17139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [17141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2426),
  [17143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2728),
  [17145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [17147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [17149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2004),
  [17151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8348),
  [17153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1964),
  [17155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5778),
  [17157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9807),
  [17159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [17161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 53),
  [17163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5775),
  [17165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1963),
  [17167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3410),
  [17169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1943),
  [17171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8551),
  [17173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(7009),
  [17175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8554),
  [17177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1944),
  [17179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6398),
  [17181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10022),
  [17183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [17185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3557),
  [17187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6840),
  [17189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3717),
  [17191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3551),
  [17193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1756),
  [17195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4753),
  [17197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1882),
  [17199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1883),
  [17201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4751),
  [17203] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4222),
  [17205] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5851),
  [17207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1728),
  [17209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4974),
  [17211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6586),
  [17213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4971),
  [17215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1945),
  [17217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1852),
  [17219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4143),
  [17221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8194),
  [17223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1929),
  [17225] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3717),
  [17228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1927),
  [17230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8161),
  [17232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9142),
  [17234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1881),
  [17236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1790),
  [17238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7753),
  [17240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1880),
  [17242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9064),
  [17244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7750),
  [17246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1792),
  [17248] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3410),
  [17251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4906),
  [17253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8747),
  [17255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1934),
  [17257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4341),
  [17259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9005),
  [17261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6730),
  [17263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1906),
  [17265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5268),
  [17267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1989),
  [17269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1904),
  [17271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6738),
  [17273] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3566),
  [17276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1824),
  [17278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7705),
  [17280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4339),
  [17282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1933),
  [17284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7696),
  [17286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1823),
  [17288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8577),
  [17290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2721),
  [17292] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11192),
  [17295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1833),
  [17297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5170),
  [17299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5070),
  [17301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1819),
  [17303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9794),
  [17305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [17307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 2, 0, 30),
  [17309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6452),
  [17311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [17313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [17315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5222),
  [17317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9063),
  [17319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13372),
  [17321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6021),
  [17323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10402),
  [17325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1806),
  [17327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [17329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4282),
  [17331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1892),
  [17333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1810),
  [17335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10330),
  [17337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1893),
  [17339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4284),
  [17341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5310),
  [17343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [17345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2029),
  [17347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5331),
  [17349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1924),
  [17351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8660),
  [17353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8642),
  [17355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1917),
  [17357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12217),
  [17359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1738),
  [17361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6799),
  [17363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1815),
  [17365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3464),
  [17367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8189),
  [17369] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__match_cases_repeat1, 2, 0, 0), SHIFT_REPEAT(3820),
  [17372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4850),
  [17374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1841),
  [17376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4824),
  [17378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3459),
  [17380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1820),
  [17382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4161),
  [17384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4816),
  [17386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1842),
  [17388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3820),
  [17390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6182),
  [17392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1879),
  [17394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5280),
  [17396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11500),
  [17398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1877),
  [17400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6216),
  [17402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6796),
  [17404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1737),
  [17406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1519),
  [17408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8383),
  [17410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [17412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5933),
  [17414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5945),
  [17416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1976),
  [17418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(8649),
  [17420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [17422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6438),
  [17424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8231),
  [17426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1974),
  [17428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4781),
  [17430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1900),
  [17432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1973),
  [17434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8263),
  [17436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [17438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4145),
  [17440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1854),
  [17442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10741),
  [17444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [17446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4588),
  [17448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10968),
  [17450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4622),
  [17452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [17454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4565),
  [17456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4472),
  [17458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0),
  [17460] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 3, 0, 0),
  [17462] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0),
  [17464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14259),
  [17467] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14259),
  [17470] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(14228),
  [17473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 3, 0, 45),
  [17475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11189),
  [17477] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10009),
  [17479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7355),
  [17481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [17483] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4584),
  [17485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7462),
  [17487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6331),
  [17489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [17491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4549),
  [17493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6256),
  [17495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3899),
  [17497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [17499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4519),
  [17501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4068),
  [17503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14220),
  [17505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3901),
  [17507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [17509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4531),
  [17511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4083),
  [17513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16111),
  [17515] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16111),
  [17518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7846),
  [17520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [17522] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4523),
  [17524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7847),
  [17526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [17528] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__polymorphic_typed, 2, 0, 0),
  [17530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4419),
  [17532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [17534] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4690),
  [17536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4193),
  [17538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2343),
  [17540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [17542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2312),
  [17544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [17546] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2307),
  [17548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2302),
  [17550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2270),
  [17552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2269),
  [17554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2258),
  [17556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2254),
  [17558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8564),
  [17560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [17562] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4651),
  [17564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8736),
  [17566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2232),
  [17568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2234),
  [17570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2235),
  [17572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2236),
  [17574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2237),
  [17576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2238),
  [17578] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2239),
  [17580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2240),
  [17582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2241),
  [17584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5330),
  [17586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [17588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4592),
  [17590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5162),
  [17592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6662),
  [17594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [17596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4556),
  [17598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6648),
  [17600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [17602] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14220),
  [17605] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14205),
  [17607] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_class_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16416),
  [17610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16416),
  [17612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7126),
  [17614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [17616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4514),
  [17618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6923),
  [17620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2582),
  [17622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2584),
  [17624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2585),
  [17626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2586),
  [17628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2587),
  [17630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2588),
  [17632] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2589),
  [17634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2590),
  [17636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2591),
  [17638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3944),
  [17640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [17642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4551),
  [17644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3989),
  [17646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14566),
  [17648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [17650] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4597),
  [17652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8378),
  [17654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5066),
  [17656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [17658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4702),
  [17660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4886),
  [17662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4569),
  [17664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [17666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4685),
  [17668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4649),
  [17670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7676),
  [17672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [17674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4500),
  [17676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7359),
  [17678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7038),
  [17680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [17682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4589),
  [17684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7180),
  [17686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6349),
  [17688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [17690] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4507),
  [17692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6378),
  [17694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [17696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [17698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8587),
  [17700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [17702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4548),
  [17704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8301),
  [17706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8473),
  [17708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [17710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4979),
  [17712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [17714] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4585),
  [17716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4798),
  [17718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2430),
  [17720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [17722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2136),
  [17724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2437),
  [17726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [17728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2421),
  [17730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2420),
  [17732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2419),
  [17734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [17736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [17738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8632),
  [17740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [17742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4747),
  [17744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8637),
  [17746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [17748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9074),
  [17750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [17752] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4683),
  [17754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8969),
  [17756] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__structure_repeat1, 2, 0, 0), SHIFT_REPEAT(14223),
  [17759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7412),
  [17761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [17763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4634),
  [17765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7249),
  [17767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4429),
  [17769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [17771] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4659),
  [17773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4056),
  [17775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8098),
  [17777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [17779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4566),
  [17781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7899),
  [17783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14202),
  [17785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3394),
  [17787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [17789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4594),
  [17791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3799),
  [17793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3994),
  [17795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [17797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4704),
  [17799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3837),
  [17801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 4, 0, 64),
  [17803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18093),
  [17805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3790),
  [17807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [17809] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4532),
  [17811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3548),
  [17813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8307),
  [17815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [17817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4557),
  [17819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8179),
  [17821] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__instance_variable_name, 1, 0, 2),
  [17823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5319),
  [17825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [17827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4564),
  [17829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5218),
  [17831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1487),
  [17833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10067),
  [17835] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 30),
  [17837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10570),
  [17839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [17841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4567),
  [17843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9388),
  [17845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [17847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_content, 1, 0, 0),
  [17849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14210),
  [17851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [17853] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 73),
  [17855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5147),
  [17857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [17859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4718),
  [17861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5404),
  [17863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [17865] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(14202),
  [17868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4901),
  [17870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [17872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4630),
  [17874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4937),
  [17876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18084),
  [17878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7848),
  [17880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [17882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4527),
  [17884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8277),
  [17886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1618),
  [17888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 73),
  [17890] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18084),
  [17893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7311),
  [17895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [17897] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4574),
  [17899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7592),
  [17901] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14293),
  [17903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16415),
  [17905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5958),
  [17907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [17909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4615),
  [17911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5956),
  [17913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [17915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3835),
  [17917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [17919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4547),
  [17921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3653),
  [17923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6872),
  [17925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [17927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4560),
  [17929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7127),
  [17931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4646),
  [17933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [17935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4601),
  [17937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4534),
  [17939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1566),
  [17941] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 53),
  [17943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7378),
  [17945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [17947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4603),
  [17949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7369),
  [17951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6815),
  [17953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [17955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4454),
  [17957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6841),
  [17959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14900),
  [17961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5797),
  [17963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [17965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4619),
  [17967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5790),
  [17969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16417),
  [17971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11235),
  [17973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1343),
  [17975] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 30),
  [17977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7646),
  [17979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [17981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4561),
  [17983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7358),
  [17985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6117),
  [17987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [17989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4554),
  [17991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6100),
  [17993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13843),
  [17995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9919),
  [17997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7892),
  [17999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(259),
  [18001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4539),
  [18003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8036),
  [18005] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(18093),
  [18008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8033),
  [18010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [18012] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4456),
  [18014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8258),
  [18016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14214),
  [18018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14206),
  [18020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7958),
  [18022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [18024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4558),
  [18026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8223),
  [18028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6940),
  [18030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [18032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4604),
  [18034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6958),
  [18036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [18038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1476),
  [18040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 53),
  [18042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6291),
  [18044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [18046] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4442),
  [18048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6328),
  [18050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17809),
  [18052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__signature_item, 1, 0, 0),
  [18054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9770),
  [18056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1114),
  [18058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 3, 0, 30),
  [18060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__signature_repeat1, 1, 0, 0),
  [18062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 4, 0, 0),
  [18064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10075),
  [18066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1337),
  [18068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 53),
  [18070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__typed, 2, 0, 0),
  [18072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__typed, 2, 0, 0),
  [18074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9999),
  [18076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1484),
  [18078] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 73),
  [18080] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [18082] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_escape_sequence, 1, 0, 0),
  [18084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14360),
  [18086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16787),
  [18088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [18090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 55),
  [18092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14413),
  [18094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14504),
  [18096] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [18098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_string_content_repeat1, 1, 0, 0),
  [18100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13200),
  [18102] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 3, 0, 0),
  [18104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15929),
  [18106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [18108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 31),
  [18110] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 2, 0, 0),
  [18112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16359),
  [18114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9944),
  [18116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14587),
  [18118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16285),
  [18120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1580),
  [18122] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 74),
  [18124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14361),
  [18126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14433),
  [18128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14375),
  [18130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14317),
  [18132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16293),
  [18134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14366),
  [18136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 107),
  [18138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3590),
  [18140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11989),
  [18142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [18144] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tag_pattern, 2, 0, 0),
  [18146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7933),
  [18148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4707),
  [18150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4133),
  [18152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [18154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 3, 0, 0),
  [18156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11250),
  [18158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7334),
  [18160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 95),
  [18162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4806),
  [18164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [18166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias_pattern, 3, 0, 0),
  [18168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3970),
  [18170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12213),
  [18172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8250),
  [18174] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 119),
  [18176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [18178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 3, 0, 0),
  [18180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4831),
  [18182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5970),
  [18184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4376),
  [18186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 96),
  [18188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 5, 0, 0),
  [18190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6162),
  [18192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4120),
  [18194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6236),
  [18196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4299),
  [18198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7886),
  [18200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4687),
  [18202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6151),
  [18204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5174),
  [18206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13369),
  [18208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18044),
  [18210] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12068),
  [18212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10568),
  [18214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3913),
  [18216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10194),
  [18218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5260),
  [18220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8278),
  [18222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3481),
  [18224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4291),
  [18226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8696),
  [18228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5997),
  [18230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6797),
  [18232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 109),
  [18234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3878),
  [18236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 9, 0, 130),
  [18238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18791),
  [18241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 10, 0, 135),
  [18243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11424),
  [18245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12344),
  [18247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11049),
  [18249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4389),
  [18251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8729),
  [18253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12400),
  [18255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6197),
  [18257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7018),
  [18259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7990),
  [18261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3493),
  [18263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 120),
  [18265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 110),
  [18267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6833),
  [18269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12389),
  [18271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7088),
  [18273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8945),
  [18275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6130),
  [18277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5131),
  [18279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3996),
  [18281] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 111),
  [18283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5167),
  [18285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_effect_pattern, 4, 0, 78),
  [18287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_effect_pattern, 4, 0, 78),
  [18289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 122),
  [18291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10932),
  [18293] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 74),
  [18295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5321),
  [18297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7075),
  [18299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6919),
  [18301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 3, 0, 0),
  [18303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10480),
  [18305] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 128),
  [18307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 112),
  [18309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 112),
  [18311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7253),
  [18313] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 111),
  [18315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 85),
  [18317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7613),
  [18319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4351),
  [18321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 55),
  [18323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8013),
  [18325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 110),
  [18327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6907),
  [18329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7437),
  [18331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7463),
  [18333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11676),
  [18335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4367),
  [18337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4730),
  [18339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7266),
  [18341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8446),
  [18343] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [18345] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_pattern, 2, 0, 0),
  [18347] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 96),
  [18349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 75),
  [18351] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 97),
  [18353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8015),
  [18355] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 5, 0, 31),
  [18357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11545),
  [18359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6495),
  [18361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 135),
  [18363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 63),
  [18365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 6, 0, 97),
  [18367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3549),
  [18369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4851),
  [18371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [18373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lazy_pattern, 2, 0, 0),
  [18375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3569),
  [18377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7775),
  [18379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7641),
  [18381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 9, 0, 129),
  [18383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13328),
  [18385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8520),
  [18387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4741),
  [18389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 4, 0, 0),
  [18391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 107),
  [18393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3419),
  [18395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18791),
  [18397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8136),
  [18399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6483),
  [18401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7762),
  [18403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8535),
  [18405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4985),
  [18407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_definition, 6, 0, 0),
  [18409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 7, 0, 121),
  [18411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7876),
  [18413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 130),
  [18415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5814),
  [18417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 122),
  [18419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4874),
  [18421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7192),
  [18423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 8, 0, 121),
  [18425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7298),
  [18427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 120),
  [18429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8834),
  [18431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7005),
  [18433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 119),
  [18435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 73),
  [18437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8363),
  [18439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7178),
  [18441] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 85),
  [18443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 30),
  [18445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 109),
  [18447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 129),
  [18449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7502),
  [18451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 128),
  [18453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_initializer, 2, 0, 0),
  [18455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 8, 0, 118),
  [18457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7745),
  [18459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5794),
  [18461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4996),
  [18463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6729),
  [18465] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [18467] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__effect_pattern, 1, 0, 0),
  [18469] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 118),
  [18471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 6, 0, 108),
  [18473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 5, 0, 95),
  [18475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11719),
  [18477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8106),
  [18479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4475),
  [18481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6269),
  [18483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter_constraint, 5, 0, 0),
  [18485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8874),
  [18487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7486),
  [18489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__pattern, 1, 0, 0),
  [18491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__pattern, 1, 0, 0),
  [18493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6752),
  [18495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4464),
  [18497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5239),
  [18499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8756),
  [18501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 4, 0, 63),
  [18503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7851),
  [18505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 53),
  [18507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7971),
  [18509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_definition, 7, 0, 108),
  [18511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_definition, 4, 0, 75),
  [18513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14634),
  [18515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7731),
  [18517] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(19119),
  [18520] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 5, 0, 0),
  [18522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 5, 0, 34),
  [18524] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 3, 0, 0),
  [18526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 3, 0, 0),
  [18528] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 3, 0, 106),
  [18530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 34),
  [18532] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_specification, 4, 0, 106),
  [18534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_specification, 4, 0, 0),
  [18536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inheritance_specification, 2, 0, 0),
  [18538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22352),
  [18540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11121),
  [18542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19119),
  [18544] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14225),
  [18546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16502),
  [18548] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [18550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4202),
  [18552] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_or_pattern, 3, 0, 0),
  [18554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4206),
  [18556] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [18558] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cons_pattern, 3, 0, 0),
  [18560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14813),
  [18562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11675),
  [18564] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [18566] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_tuple_pattern, 3, 0, 0),
  [18568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14730),
  [18570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10917),
  [18572] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [18574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4203),
  [18576] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 3, 0, 0),
  [18578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15897),
  [18580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9803),
  [18583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14784),
  [18585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11166),
  [18587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14807),
  [18589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14793),
  [18591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11716),
  [18593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11180),
  [18595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14755),
  [18597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14806),
  [18599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9803),
  [18601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9823),
  [18603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14729),
  [18605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [18607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_exception_pattern, 2, 0, 0),
  [18609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3364),
  [18611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [18613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(661),
  [18615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [18617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17156),
  [18619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7323),
  [18621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1128),
  [18623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [18625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [18627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21888),
  [18629] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21888),
  [18631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21887),
  [18633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3331),
  [18635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15855),
  [18637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9596),
  [18639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18434),
  [18641] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21436),
  [18643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13517),
  [18645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6795),
  [18647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [18649] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [18651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [18653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9942),
  [18655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3333),
  [18657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [18659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [18661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [18663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19070),
  [18665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21310),
  [18667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5783),
  [18669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [18671] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [18673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [18675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6034),
  [18677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [18679] = {.entry = {.count = 1, .reusable = false}}, SHIFT(713),
  [18681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [18683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5507),
  [18685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15645),
  [18687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6177),
  [18689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6199),
  [18691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1068),
  [18693] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1067),
  [18695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [18697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4491),
  [18699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(865),
  [18701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [18703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [18705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3725),
  [18707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [18709] = {.entry = {.count = 1, .reusable = false}}, SHIFT(939),
  [18711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(937),
  [18713] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_expression_repeat1, 1, 0, 0),
  [18715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3362),
  [18717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9893),
  [18719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4998),
  [18721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(980),
  [18723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(978),
  [18725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [18727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5456),
  [18729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15653),
  [18731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6392),
  [18733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5496),
  [18735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15656),
  [18737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9754),
  [18739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10616),
  [18741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [18743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [18745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [18747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(18044),
  [18750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7707),
  [18752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1290),
  [18754] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1289),
  [18756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1288),
  [18758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8847),
  [18760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1310),
  [18762] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [18764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [18766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3389),
  [18768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1191),
  [18770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1190),
  [18772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1189),
  [18774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6961),
  [18776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [18778] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [18780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [18782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7995),
  [18784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [18786] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [18788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [18790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3371),
  [18792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15796),
  [18794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8482),
  [18796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3359),
  [18798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15633),
  [18800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8817),
  [18802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14892),
  [18804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1439),
  [18806] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1438),
  [18808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1437),
  [18810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5491),
  [18812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15669),
  [18814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9606),
  [18816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3363),
  [18818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15718),
  [18820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9627),
  [18822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4912),
  [18824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1254),
  [18826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1253),
  [18828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [18830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10923),
  [18832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1002),
  [18834] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1000),
  [18836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [18838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5495),
  [18840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15837),
  [18842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6155),
  [18844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1587),
  [18846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1585),
  [18848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1584),
  [18850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5957),
  [18852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1082),
  [18854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1081),
  [18856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1080),
  [18858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7131),
  [18860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [18862] = {.entry = {.count = 1, .reusable = false}}, SHIFT(762),
  [18864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [18866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3360),
  [18868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15793),
  [18870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3356),
  [18872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15766),
  [18874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7985),
  [18876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3615),
  [18878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [18880] = {.entry = {.count = 1, .reusable = false}}, SHIFT(880),
  [18882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [18884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4402),
  [18886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [18888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [18890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [18892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7176),
  [18894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [18896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(972),
  [18898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [18900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15981),
  [18902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11182),
  [18904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7013),
  [18906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1028),
  [18908] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1027),
  [18910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1026),
  [18912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3343),
  [18914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15846),
  [18916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8857),
  [18918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6585),
  [18920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [18922] = {.entry = {.count = 1, .reusable = false}}, SHIFT(725),
  [18924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [18926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7230),
  [18928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [18930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [18932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(785),
  [18934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7714),
  [18936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1408),
  [18938] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1407),
  [18940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [18942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3827),
  [18944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [18946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(650),
  [18948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [18950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18544),
  [18952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7477),
  [18954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [18956] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [18958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1334),
  [18960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8499),
  [18962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [18964] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [18966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [18968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8961),
  [18970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [18972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1168),
  [18974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1167),
  [18976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15083),
  [18978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15083),
  [18980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21729),
  [18982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5518),
  [18984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15831),
  [18986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6181),
  [18988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4216),
  [18990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [18992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [18994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [18996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3357),
  [18998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [19000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [19002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [19004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5489),
  [19006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15840),
  [19008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6047),
  [19010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5027),
  [19012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1271),
  [19014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1270),
  [19016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1269),
  [19018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7390),
  [19020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1370),
  [19022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [19024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1367),
  [19026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14617),
  [19028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7212),
  [19030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [19032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(985),
  [19034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(984),
  [19036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6910),
  [19038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [19040] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [19042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1053),
  [19044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3521),
  [19046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [19048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(701),
  [19050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [19052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7905),
  [19054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [19056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(673),
  [19058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [19060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18490),
  [19062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21254),
  [19064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12778),
  [19066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3358),
  [19068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15697),
  [19070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14976),
  [19072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5657),
  [19074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [19076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(844),
  [19078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [19080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18265),
  [19082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22030),
  [19084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12372),
  [19086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3372),
  [19088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10477),
  [19090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6710),
  [19092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1095),
  [19094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [19096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [19098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8571),
  [19100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1219),
  [19102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1218),
  [19104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [19106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18161),
  [19108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22454),
  [19110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15768),
  [19112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15773),
  [19114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8471),
  [19116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4559),
  [19118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(922),
  [19120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [19122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [19124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3786),
  [19126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [19128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(638),
  [19130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1182),
  [19132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7151),
  [19134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [19136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [19138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [19140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4453),
  [19142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [19144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [19146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1147),
  [19148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18462),
  [19150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21329),
  [19152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13409),
  [19154] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field, 1, 0, 0),
  [19156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7121),
  [19158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [19160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1110),
  [19162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1109),
  [19164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4314),
  [19166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [19168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(956),
  [19170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [19172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15667),
  [19175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10716),
  [19177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9681),
  [19179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10269),
  [19181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10618),
  [19183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11218),
  [19185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15379),
  [19187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9736),
  [19189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14292),
  [19191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9707),
  [19193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12384),
  [19195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9649),
  [19197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10601),
  [19199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13075),
  [19201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10525),
  [19203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14006),
  [19205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10619),
  [19207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11303),
  [19209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14300),
  [19211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9674),
  [19213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1395),
  [19215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8666),
  [19217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10101),
  [19219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10609),
  [19221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14234),
  [19223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11301),
  [19225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10531),
  [19227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11654),
  [19229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10360),
  [19231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10566),
  [19233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10460),
  [19235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10907),
  [19237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10482),
  [19239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11276),
  [19241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11992),
  [19243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12381),
  [19245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9753),
  [19247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9834),
  [19249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10344),
  [19251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12090),
  [19253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [19255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10018),
  [19257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11298),
  [19259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9767),
  [19261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10820),
  [19263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9742),
  [19265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10365),
  [19267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12172),
  [19269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14585),
  [19271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9657),
  [19273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10341),
  [19275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9632),
  [19277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15667),
  [19279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11985),
  [19281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10524),
  [19283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12234),
  [19285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14011),
  [19287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9651),
  [19289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10369),
  [19291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15228),
  [19293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11031),
  [19295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9708),
  [19297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10466),
  [19299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12156),
  [19301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11882),
  [19303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9740),
  [19305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1505),
  [19307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11551),
  [19309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_quoted_string_content, 1, 0, 0),
  [19311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11518),
  [19313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10265),
  [19315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9723),
  [19317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10333),
  [19319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10230),
  [19321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12002),
  [19323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9652),
  [19325] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_binding_repeat1, 2, 0, 0), SHIFT_REPEAT(9834),
  [19328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11592),
  [19330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9687),
  [19332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10476),
  [19334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14553),
  [19336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [19338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8891),
  [19340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1572),
  [19342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8347),
  [19344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [19346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8927),
  [19348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11279),
  [19350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9712),
  [19352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10510),
  [19354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10954),
  [19356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10558),
  [19358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13710),
  [19360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12184),
  [19362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9716),
  [19364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12021),
  [19366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11334),
  [19368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9721),
  [19370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_class_body_type_repeat1, 1, 0, 0),
  [19372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__class_field_specification, 1, 0, 0),
  [19374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10457),
  [19376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11580),
  [19378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10382),
  [19380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10501),
  [19382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11272),
  [19384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11967),
  [19386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9670),
  [19388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10595),
  [19390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9743),
  [19392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13239),
  [19394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9647),
  [19396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10557),
  [19398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10711),
  [19400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10413),
  [19402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12245),
  [19404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15083),
  [19407] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0), SHIFT_REPEAT(15083),
  [19410] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 2, 0, 0),
  [19412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5630),
  [19414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5632),
  [19416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6527),
  [19418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5573),
  [19420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16038),
  [19422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5633),
  [19424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13004),
  [19426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4267),
  [19428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4265),
  [19430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8903),
  [19432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3620),
  [19434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4262),
  [19436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14892),
  [19438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18902),
  [19440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9899),
  [19442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4198),
  [19444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(4221),
  [19446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3618),
  [19448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16486),
  [19450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4224),
  [19452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8882),
  [19454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18469),
  [19456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15493),
  [19458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12826),
  [19460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18213),
  [19462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11440),
  [19464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18458),
  [19466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8355),
  [19468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12799),
  [19470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19238),
  [19472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8986),
  [19474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12653),
  [19476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12610),
  [19478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18128),
  [19480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16587),
  [19482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11176),
  [19484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12625),
  [19486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19207),
  [19488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9170),
  [19490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12573),
  [19492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [19494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [19496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12693),
  [19498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12698),
  [19500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(341),
  [19502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [19504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18450),
  [19506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15289),
  [19508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18117),
  [19510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16577),
  [19512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11157),
  [19514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12496),
  [19516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12971),
  [19518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18115),
  [19520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16574),
  [19522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10650),
  [19524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12996),
  [19526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [19528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3673),
  [19530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8353),
  [19532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15823),
  [19534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8350),
  [19536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3685),
  [19538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3715),
  [19540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11597),
  [19542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18475),
  [19544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8412),
  [19546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12619),
  [19548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11568),
  [19550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3714),
  [19552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12135),
  [19554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15782),
  [19556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5638),
  [19558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5635),
  [19560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5599),
  [19562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15966),
  [19564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5629),
  [19566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15352),
  [19568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12766),
  [19570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [19572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15363),
  [19574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5600),
  [19576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15368),
  [19578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5616),
  [19580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5620),
  [19582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16408),
  [19584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5621),
  [19586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [19588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [19590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12881),
  [19592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [19594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [19596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18883),
  [19598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6500),
  [19600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12751),
  [19602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12482),
  [19604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8966),
  [19606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12703),
  [19608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19228),
  [19610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6690),
  [19612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12988),
  [19614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12595),
  [19616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12777),
  [19618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12527),
  [19620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2939),
  [19622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15393),
  [19624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14956),
  [19626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18494),
  [19628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9771),
  [19630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12539),
  [19632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10655),
  [19634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12685),
  [19636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12647),
  [19638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12816),
  [19640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13031),
  [19642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19237),
  [19644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9126),
  [19646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18869),
  [19648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10010),
  [19650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [19652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10160),
  [19654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2932),
  [19656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15000),
  [19658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18381),
  [19660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [19662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12474),
  [19664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10159),
  [19666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5598),
  [19668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [19670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12913),
  [19672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2920),
  [19674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15132),
  [19676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18162),
  [19678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14659),
  [19680] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 2, 0, 0),
  [19682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1046),
  [19684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14662),
  [19686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5608),
  [19688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5602),
  [19690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10156),
  [19692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5601),
  [19694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14686),
  [19696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12576),
  [19698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12643),
  [19700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12578),
  [19702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [19704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15533),
  [19706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(495),
  [19708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [19710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12948),
  [19712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15484),
  [19714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3421),
  [19716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13052),
  [19718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14396),
  [19720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3422),
  [19722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15382),
  [19724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13041),
  [19726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14405),
  [19728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3512),
  [19730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12605),
  [19732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3514),
  [19734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14415),
  [19736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12531),
  [19738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19223),
  [19740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9115),
  [19742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [19744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12964),
  [19746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18562),
  [19748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10165),
  [19750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18854),
  [19752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6603),
  [19754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12773),
  [19756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12965),
  [19758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12590),
  [19760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [19762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12596),
  [19764] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19202),
  [19766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6660),
  [19768] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [19770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_quoted_string_content_repeat1, 1, 0, 0),
  [19772] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18302),
  [19774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14757),
  [19776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12938),
  [19778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12695),
  [19780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [19782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17719),
  [19784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16261),
  [19786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10354),
  [19788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3721),
  [19790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9045),
  [19792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12854),
  [19794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9049),
  [19796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3722),
  [19798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [19800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13011),
  [19802] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18647),
  [19804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15412),
  [19806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12866),
  [19808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12814),
  [19810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5547),
  [19812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6761),
  [19814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [19816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6708),
  [19818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5534),
  [19820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12676),
  [19822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6706),
  [19824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12709),
  [19826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19016),
  [19828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6401),
  [19830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(516),
  [19832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5576),
  [19834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6354),
  [19836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3742),
  [19838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10029),
  [19840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [19842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15180),
  [19844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18279),
  [19846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12689),
  [19848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13046),
  [19850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10026),
  [19852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3740),
  [19854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2897),
  [19856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15025),
  [19858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18209),
  [19860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12686),
  [19862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12765),
  [19864] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18708),
  [19866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10148),
  [19868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6345),
  [19870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5607),
  [19872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6436),
  [19874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12570),
  [19876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12559),
  [19878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [19880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5571),
  [19882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6562),
  [19884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12525),
  [19886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12603),
  [19888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12722),
  [19890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13013),
  [19892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6560),
  [19894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5569),
  [19896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12723),
  [19898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12734),
  [19900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6559),
  [19902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12730),
  [19904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [19906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [19908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12542),
  [19910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19104),
  [19912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8678),
  [19914] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18334),
  [19916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14506),
  [19918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [19920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12978),
  [19922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(506),
  [19924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [19926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13019),
  [19928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12992),
  [19930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12499),
  [19932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19290),
  [19934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11392),
  [19936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [19938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(487),
  [19940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12757),
  [19942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13016),
  [19944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19083),
  [19946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6602),
  [19948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12669),
  [19950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12994),
  [19952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [19954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12979),
  [19956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12761),
  [19958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13440),
  [19960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12628),
  [19962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12880),
  [19964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12618),
  [19966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [19968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12949),
  [19970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18745),
  [19972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15489),
  [19974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [19976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12674),
  [19978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12927),
  [19980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12801),
  [19982] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19079),
  [19984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8546),
  [19986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12924),
  [19988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6520),
  [19990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12476),
  [19992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0),
  [19994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [19996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12724),
  [19998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12804),
  [20000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19146),
  [20002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6395),
  [20004] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18310),
  [20006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14771),
  [20008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [20010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [20012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13059),
  [20014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5574),
  [20016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6531),
  [20018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12959),
  [20020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12957),
  [20022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13056),
  [20024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13121),
  [20026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12894),
  [20028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12942),
  [20030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12934),
  [20032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12655),
  [20034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12645),
  [20036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12917),
  [20038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12911),
  [20040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12743),
  [20042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 4, 0, 0),
  [20044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18906),
  [20046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10091),
  [20048] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19056),
  [20050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6511),
  [20052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12642),
  [20054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [20056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12848),
  [20058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8654),
  [20060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3811),
  [20062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [20064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12858),
  [20066] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 3, 0, 0),
  [20068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12877),
  [20070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3810),
  [20072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8633),
  [20074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12589),
  [20076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13028),
  [20078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [20080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12883),
  [20082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18299),
  [20084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14358),
  [20086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5964),
  [20088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10539),
  [20090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7859),
  [20092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8040),
  [20094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3622),
  [20096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3849),
  [20098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8481),
  [20100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8531),
  [20102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8055),
  [20104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4988),
  [20106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4711),
  [20108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7572),
  [20110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3517),
  [20112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0),
  [20114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18066),
  [20116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14336),
  [20118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3511),
  [20120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6305),
  [20122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7539),
  [20124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6486),
  [20126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7879),
  [20128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6644),
  [20130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5000),
  [20132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4672),
  [20134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9031),
  [20136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4391),
  [20138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4693),
  [20140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 3, 0, 0),
  [20142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10901),
  [20144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6672),
  [20146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8515),
  [20148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5014),
  [20150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5021),
  [20152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8454),
  [20154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3609),
  [20156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10346),
  [20158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8157),
  [20160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5015),
  [20162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9177),
  [20164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4624),
  [20166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6241),
  [20168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7279),
  [20170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5350),
  [20172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8502),
  [20174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8500),
  [20176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7948),
  [20178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5872),
  [20180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6721),
  [20182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4738),
  [20184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8451),
  [20186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7928),
  [20188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4309),
  [20190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7111),
  [20192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3496),
  [20194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5067),
  [20196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3981),
  [20198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7014),
  [20200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7930),
  [20202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7248),
  [20204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7882),
  [20206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8226),
  [20208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7418),
  [20210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11044),
  [20212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4733),
  [20214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7104),
  [20216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0),
  [20218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11636),
  [20220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13171),
  [20222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4819),
  [20224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3963),
  [20226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6765),
  [20228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8083),
  [20230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5944),
  [20232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8494),
  [20234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8021),
  [20236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5376),
  [20238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8304),
  [20240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5800),
  [20242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7292),
  [20244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 3, 0, 59),
  [20246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7455),
  [20248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3595),
  [20250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4742),
  [20252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6259),
  [20254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3954),
  [20256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4390),
  [20258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7091),
  [20260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6196),
  [20262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5923),
  [20264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8289),
  [20266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7423),
  [20268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7586),
  [20270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7996),
  [20272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3928),
  [20274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5819),
  [20276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10399),
  [20278] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_typed, 2, 0, 0),
  [20280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 4, 0, 80),
  [20282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21630),
  [20284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15017),
  [20286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18372),
  [20288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3876),
  [20290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3574),
  [20292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6285),
  [20294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7391),
  [20296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5839),
  [20298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7568),
  [20300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8424),
  [20302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5988),
  [20304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14092),
  [20306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15745),
  [20308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17340),
  [20310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6759),
  [20312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4308),
  [20314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7335),
  [20316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5856),
  [20318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5155),
  [20320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9867),
  [20322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__tag_spec, 1, 0, 0),
  [20324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16039),
  [20326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7320),
  [20328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7734),
  [20330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4371),
  [20332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5192),
  [20334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7078),
  [20336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6429),
  [20338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11014),
  [20340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8377),
  [20342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5936),
  [20344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7043),
  [20346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4839),
  [20348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8880),
  [20350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8060),
  [20352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4727),
  [20354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7982),
  [20356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3892),
  [20358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8068),
  [20360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6931),
  [20362] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_type_constraint_repeat1, 2, 0, 0), SHIFT_REPEAT(15758),
  [20365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10034),
  [20367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6287),
  [20369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6986),
  [20371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3867),
  [20373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8283),
  [20375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8096),
  [20377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10327),
  [20379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10378),
  [20381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15758),
  [20383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4070),
  [20385] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(18022),
  [20388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4359),
  [20390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5368),
  [20392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6280),
  [20394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3842),
  [20396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6914),
  [20398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7961),
  [20400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6819),
  [20402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4878),
  [20404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4756),
  [20406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8173),
  [20408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3844),
  [20410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7742),
  [20412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8125),
  [20414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3487),
  [20416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6454),
  [20418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4383),
  [20420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10967),
  [20422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6837),
  [20424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7142),
  [20426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7548),
  [20428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7356),
  [20430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6904),
  [20432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7256),
  [20434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4885),
  [20436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6456),
  [20438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8255),
  [20440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7711),
  [20442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5228),
  [20444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4899),
  [20446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6293),
  [20448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6776),
  [20450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6890),
  [20452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4719),
  [20454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5207),
  [20456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8079),
  [20458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 4, 0, 0),
  [20460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6845),
  [20462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6768),
  [20464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8170),
  [20466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6880),
  [20468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10955),
  [20470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4370),
  [20472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7448),
  [20474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3806),
  [20476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8199),
  [20478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7698),
  [20480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8840),
  [20482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8750),
  [20484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3748),
  [20486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7155),
  [20488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4614),
  [20490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4302),
  [20492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7468),
  [20494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3697),
  [20496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8957),
  [20498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4130),
  [20500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7157),
  [20502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8019),
  [20504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8731),
  [20506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4717),
  [20508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7269),
  [20510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6019),
  [20512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6087),
  [20514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0),
  [20516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3572),
  [20518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5123),
  [20520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4427),
  [20522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7405),
  [20524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4331),
  [20526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7316),
  [20528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8963),
  [20530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7172),
  [20532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7765),
  [20534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7002),
  [20536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8813),
  [20538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5105),
  [20540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3646),
  [20542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4467),
  [20544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5060),
  [20546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7482),
  [20548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6188),
  [20550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7282),
  [20552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5084),
  [20554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6156),
  [20556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6475),
  [20558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3436),
  [20560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6265),
  [20562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8791),
  [20564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4877),
  [20566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8029),
  [20568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4126),
  [20570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5224),
  [20572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8598),
  [20574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16249),
  [20576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7289),
  [20578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5231),
  [20580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7980),
  [20582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4478),
  [20584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7188),
  [20586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4092),
  [20588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7633),
  [20590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7797),
  [20592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4353),
  [20594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8616),
  [20596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8699),
  [20598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6089),
  [20600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6112),
  [20602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8286),
  [20604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5334),
  [20606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6981),
  [20608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7791),
  [20610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4485),
  [20612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6939),
  [20614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5072),
  [20616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4116),
  [20618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5173),
  [20620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4093),
  [20622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4486),
  [20624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4294),
  [20626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7497),
  [20628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7778),
  [20630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3497),
  [20632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8789),
  [20634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8620),
  [20636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4342),
  [20638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4855),
  [20640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15877),
  [20642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20668),
  [20644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14277),
  [20646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18056),
  [20648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14092),
  [20650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21666),
  [20652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3533),
  [20654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16201),
  [20656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11986),
  [20658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15663),
  [20660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5651),
  [20662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9914),
  [20664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 1, 0, 0),
  [20666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16178),
  [20668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16583),
  [20670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14302),
  [20672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18130),
  [20674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21179),
  [20676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7215),
  [20678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16125),
  [20680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14281),
  [20682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18132),
  [20684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20048),
  [20686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14273),
  [20688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20234),
  [20690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5399),
  [20692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18437),
  [20694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15928),
  [20696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14295),
  [20698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18067),
  [20700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6751),
  [20702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14287),
  [20704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17482),
  [20706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14725),
  [20708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 0),
  [20710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 2, 0, 24),
  [20712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22063),
  [20714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4787),
  [20716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11554),
  [20718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21692),
  [20720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7537),
  [20722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20499),
  [20724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3452),
  [20726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11867),
  [20728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21557),
  [20730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8416),
  [20732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11447),
  [20734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13061),
  [20736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9840),
  [20738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11596),
  [20740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22409),
  [20742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4277),
  [20744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22422),
  [20746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9201),
  [20748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10207),
  [20750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10718),
  [20752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21180),
  [20754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7669),
  [20756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22262),
  [20758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4335),
  [20760] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_tag_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(10091),
  [20763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9119),
  [20765] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 5, 0, 0),
  [20767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20355),
  [20769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6122),
  [20771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16123),
  [20773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22442),
  [20775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8635),
  [20777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20789),
  [20779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5952),
  [20781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16402),
  [20783] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_expression_item_repeat1, 2, 0, 0), SHIFT_REPEAT(17809),
  [20786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10200),
  [20788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20194),
  [20790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8081),
  [20792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21792),
  [20794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4448),
  [20796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19715),
  [20798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8821),
  [20800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21228),
  [20802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7873),
  [20804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14510),
  [20806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10756),
  [20808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20112),
  [20810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3543),
  [20812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16368),
  [20814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10126),
  [20816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16414),
  [20818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21084),
  [20820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8210),
  [20822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14290),
  [20824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17568),
  [20826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12238),
  [20828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15954),
  [20830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21937),
  [20832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7395),
  [20834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21538),
  [20836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7045),
  [20838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14132),
  [20840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16103),
  [20842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15984),
  [20844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16006),
  [20846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8674),
  [20848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13453),
  [20850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22443),
  [20852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6336),
  [20854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16109),
  [20856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10286),
  [20858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15679),
  [20860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10410),
  [20862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10272),
  [20864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20634),
  [20866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4163),
  [20868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16236),
  [20870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20663),
  [20872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6783),
  [20874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20018),
  [20876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7063),
  [20878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6621),
  [20880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15665),
  [20882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10488),
  [20884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10255),
  [20886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21919),
  [20888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6959),
  [20890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19389),
  [20892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7833),
  [20894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21293),
  [20896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7299),
  [20898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21706),
  [20900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4425),
  [20902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19474),
  [20904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6460),
  [20906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6594),
  [20908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16554),
  [20910] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3007),
  [20912] = {.entry = {.count = 1, .reusable = false}}, SHIFT(17326),
  [20914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15944),
  [20916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15951),
  [20918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20965),
  [20920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6701),
  [20922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15655),
  [20924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10483),
  [20926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10260),
  [20928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10658),
  [20930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19936),
  [20932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3937),
  [20934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6403),
  [20936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10569),
  [20938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20356),
  [20940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7803),
  [20942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16182),
  [20944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4332),
  [20946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 1, 0, 0),
  [20948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15921),
  [20950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8405),
  [20952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19780),
  [20954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5416),
  [20956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15431),
  [20958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16065),
  [20960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21507),
  [20962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7822),
  [20964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14759),
  [20966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20676),
  [20968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8201),
  [20970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20468),
  [20972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10443),
  [20974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15919),
  [20976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2678),
  [20978] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 1, 0, 13),
  [20980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10164),
  [20982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20990),
  [20984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7554),
  [20986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10644),
  [20988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 9),
  [20990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 1, 0, 0),
  [20992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22155),
  [20994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4951),
  [20996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21958),
  [20998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5806),
  [21000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16461),
  [21002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16284),
  [21004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21112),
  [21006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8559),
  [21008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21410),
  [21010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4621),
  [21012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17506),
  [21014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15673),
  [21016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9131),
  [21018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21903),
  [21020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5269),
  [21022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22531),
  [21024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4773),
  [21026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11219),
  [21028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15926),
  [21030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11894),
  [21032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11433),
  [21034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21444),
  [21036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11070),
  [21038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10610),
  [21040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13237),
  [21042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15948),
  [21044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22143),
  [21046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4695),
  [21048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11539),
  [21050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20954),
  [21052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7687),
  [21054] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0),
  [21056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20777),
  [21058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6193),
  [21060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 42),
  [21062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_param, 3, 0, 0),
  [21064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15495),
  [21066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16512),
  [21068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20082),
  [21070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4019),
  [21072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16309),
  [21074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9904),
  [21076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14579),
  [21078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9358),
  [21080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12115),
  [21082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17674),
  [21084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9888),
  [21086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11072),
  [21088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10474),
  [21090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9789),
  [21092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4653),
  [21094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12097),
  [21096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4701),
  [21098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7866),
  [21100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8407),
  [21102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17886),
  [21104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10015),
  [21106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7913),
  [21108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12091),
  [21110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6620),
  [21112] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0), SHIFT_REPEAT(16709),
  [21115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 2, 0, 0),
  [21117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14694),
  [21119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15763),
  [21121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5243),
  [21123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [21125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9960),
  [21127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10101),
  [21129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17673),
  [21131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5401),
  [21133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9913),
  [21135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6470),
  [21137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15675),
  [21139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4715),
  [21141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8420),
  [21143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12087),
  [21145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12041),
  [21147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12086),
  [21149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15866),
  [21151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17676),
  [21153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11611),
  [21155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17900),
  [21157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9880),
  [21159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11355),
  [21161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9811),
  [21163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7813),
  [21165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10454),
  [21167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10451),
  [21169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7094),
  [21171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11656),
  [21173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10403),
  [21175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17974),
  [21177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15811),
  [21179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11039),
  [21181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7082),
  [21183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15643),
  [21185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9831),
  [21187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5279),
  [21189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15761),
  [21191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11213),
  [21193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11006),
  [21195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2974),
  [21197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10675),
  [21199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15719),
  [21201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15199),
  [21203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9775),
  [21205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7055),
  [21207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15668),
  [21209] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13226),
  [21211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9815),
  [21213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7277),
  [21215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12342),
  [21217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11834),
  [21219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17907),
  [21221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7597),
  [21223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11957),
  [21225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11907),
  [21227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15269),
  [21229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13134),
  [21231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11206),
  [21233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10411),
  [21235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6741),
  [21237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13208),
  [21239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10657),
  [21241] = {.entry = {.count = 1, .reusable = false}}, SHIFT(5595),
  [21243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5595),
  [21245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10639),
  [21247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15687),
  [21249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5138),
  [21251] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11182),
  [21254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10665),
  [21256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17748),
  [21258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13843),
  [21260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7260),
  [21262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18010),
  [21264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10114),
  [21266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8390),
  [21268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14577),
  [21270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15800),
  [21272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10427),
  [21274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10440),
  [21276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14544),
  [21278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14569),
  [21280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15838),
  [21282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17097),
  [21284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7621),
  [21286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15876),
  [21288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10060),
  [21290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7908),
  [21292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3611),
  [21294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7272),
  [21296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15854),
  [21298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10695),
  [21300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17749),
  [21302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17603),
  [21304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3461),
  [21306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17825),
  [21308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5104),
  [21310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13790),
  [21312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17926),
  [21314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6489),
  [21316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19062),
  [21318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11531),
  [21320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19921),
  [21322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14561),
  [21324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17098),
  [21326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15791),
  [21328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13288),
  [21330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8165),
  [21332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17752),
  [21334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10069),
  [21336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11308),
  [21338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17601),
  [21340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15744),
  [21342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9833),
  [21344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7527),
  [21346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9802),
  [21348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3480),
  [21350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10335),
  [21352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10331),
  [21354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11316),
  [21356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17600),
  [21358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15715),
  [21360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8827),
  [21362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10456),
  [21364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8004),
  [21366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10423),
  [21368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9828),
  [21370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7210),
  [21372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11327),
  [21374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10452),
  [21376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6098),
  [21378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15660),
  [21380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11343),
  [21382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10611),
  [21384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10580),
  [21386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15642),
  [21388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9968),
  [21390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10492),
  [21392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12324),
  [21394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17100),
  [21396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10429),
  [21398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15674),
  [21400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4481),
  [21402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18635),
  [21404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8573),
  [21406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8873),
  [21408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9929),
  [21410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7661),
  [21412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7490),
  [21414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17653),
  [21416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6159),
  [21418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15704),
  [21420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9911),
  [21422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5286),
  [21424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18304),
  [21426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15752),
  [21428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4470),
  [21430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7184),
  [21432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15730),
  [21434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18097),
  [21436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10701),
  [21438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5188),
  [21440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1401),
  [21442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8619),
  [21444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10633),
  [21446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10535),
  [21448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9861),
  [21450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6132),
  [21452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7478),
  [21454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15736),
  [21456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17500),
  [21458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10514),
  [21460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10513),
  [21462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10349),
  [21464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7168),
  [21466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17499),
  [21468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5128),
  [21470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13592),
  [21472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9787),
  [21474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4445),
  [21476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8045),
  [21478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6451),
  [21480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13072),
  [21482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10886),
  [21484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15759),
  [21486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9829),
  [21488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8864),
  [21490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6468),
  [21492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14265),
  [21494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14263),
  [21496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6595),
  [21498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17496),
  [21500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14252),
  [21502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15777),
  [21504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17125),
  [21506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17043),
  [21508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15790),
  [21510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15713),
  [21512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14239),
  [21514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17126),
  [21516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12218),
  [21518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17498),
  [21520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11995),
  [21522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14954),
  [21524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18107),
  [21526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6534),
  [21528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13232),
  [21530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9857),
  [21532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8202),
  [21534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6847),
  [21536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11089),
  [21538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18328),
  [21540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15812),
  [21542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12069),
  [21544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17071),
  [21546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11137),
  [21548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6902),
  [21550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17128),
  [21552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12323),
  [21554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17497),
  [21556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11209),
  [21558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10389),
  [21560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17866),
  [21562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15822),
  [21564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6828),
  [21566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6912),
  [21568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12054),
  [21570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17070),
  [21572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7725),
  [21574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12346),
  [21576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12355),
  [21578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15859),
  [21580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11454),
  [21582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14272),
  [21584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8116),
  [21586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10385),
  [21588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6707),
  [21590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15875),
  [21592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10582),
  [21594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3838),
  [21596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18188),
  [21598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12046),
  [21600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10591),
  [21602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15803),
  [21604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9827),
  [21606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6794),
  [21608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11337),
  [21610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17868),
  [21612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7737),
  [21614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12037),
  [21616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8088),
  [21618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10045),
  [21620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5973),
  [21622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3889),
  [21624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9892),
  [21626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7386),
  [21628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17358),
  [21630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9924),
  [21632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6946),
  [21634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15783),
  [21636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10842),
  [21638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17073),
  [21640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10325),
  [21642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17488),
  [21644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15716),
  [21646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10831),
  [21648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10837),
  [21650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15760),
  [21652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17157),
  [21654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10036),
  [21656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3935),
  [21658] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0),
  [21660] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__type_params_repeat1, 2, 0, 0), SHIFT_REPEAT(15252),
  [21663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15640),
  [21665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5931),
  [21667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10880),
  [21669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17158),
  [21671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15702),
  [21673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12143),
  [21675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17427),
  [21677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5929),
  [21679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16645),
  [21681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8336),
  [21683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9970),
  [21685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7048),
  [21687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5831),
  [21689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15828),
  [21691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9894),
  [21693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6726),
  [21695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7414),
  [21697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8104),
  [21699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7315),
  [21701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17160),
  [21703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10462),
  [21705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10470),
  [21707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10471),
  [21709] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0),
  [21711] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_constructor_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(18258),
  [21714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11189),
  [21716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5808),
  [21718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7450),
  [21720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11359),
  [21722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17422),
  [21724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15873),
  [21726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [21728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9051),
  [21730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10762),
  [21732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3960),
  [21734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17403),
  [21736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17218),
  [21738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7288),
  [21740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11998),
  [21742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15788),
  [21744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18569),
  [21746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10450),
  [21748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17023),
  [21750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17878),
  [21752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9985),
  [21754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7544),
  [21756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11383),
  [21758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17421),
  [21760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15728),
  [21762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3974),
  [21764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11376),
  [21766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6749),
  [21768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9952),
  [21770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5795),
  [21772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11370),
  [21774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14183),
  [21776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15648),
  [21778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10086),
  [21780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7694),
  [21782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15677),
  [21784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10597),
  [21786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10016),
  [21788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15732),
  [21790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6713),
  [21792] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0),
  [21794] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 2, 0, 0), SHIFT_REPEAT(18487),
  [21797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15686),
  [21799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9090),
  [21801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9891),
  [21803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8555),
  [21805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13832),
  [21807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6179),
  [21809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10061),
  [21811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4010),
  [21813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10115),
  [21815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5113),
  [21817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10572),
  [21819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11323),
  [21821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10294),
  [21823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5008),
  [21825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10292),
  [21827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14979),
  [21829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18111),
  [21831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15762),
  [21833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10553),
  [21835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10552),
  [21837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10412),
  [21839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15798),
  [21841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4991),
  [21843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7898),
  [21845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6360),
  [21847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7011),
  [21849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10284),
  [21851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17183),
  [21853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15680),
  [21855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10304),
  [21857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9908),
  [21859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4754),
  [21861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10082),
  [21863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4439),
  [21865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9915),
  [21867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6211),
  [21869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17079),
  [21871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5412),
  [21873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1576),
  [21875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8340),
  [21877] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_instantiated_class_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9867),
  [21880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15070),
  [21882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15867),
  [21884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10436),
  [21886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17022),
  [21888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10235),
  [21890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17184),
  [21892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17279),
  [21894] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0), SHIFT_REPEAT(9358),
  [21897] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat1, 2, 0, 0),
  [21899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15851),
  [21901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8526),
  [21903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15097),
  [21905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9976),
  [21907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4968),
  [21909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17339),
  [21911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13628),
  [21913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17747),
  [21915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8513),
  [21917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10171),
  [21919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13194),
  [21921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8031),
  [21923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17186),
  [21925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12253),
  [21927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17336),
  [21929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6246),
  [21931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3598),
  [21933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17047),
  [21935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10541),
  [21937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10540),
  [21939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10198),
  [21941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4736),
  [21943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8006),
  [21945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10515),
  [21947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12264),
  [21949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17335),
  [21951] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5595),
  [21954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_value_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(5595),
  [21957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6261),
  [21959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10506),
  [21961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3583),
  [21963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12271),
  [21965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9837),
  [21967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8224),
  [21969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10560),
  [21971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7000),
  [21973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10215),
  [21975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10554),
  [21977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4373),
  [21979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12273),
  [21981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9881),
  [21983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8020),
  [21985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12205),
  [21987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9187),
  [21989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9872),
  [21991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7869),
  [21993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16800),
  [21995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4363),
  [21997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4868),
  [21999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4724),
  [22001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10116),
  [22003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3550),
  [22005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16709),
  [22007] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__abstract_type, 2, 0, 0),
  [22009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12200),
  [22011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1136),
  [22013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11418),
  [22015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12196),
  [22017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12187),
  [22019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17207),
  [22021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4379),
  [22023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_attribute_id_repeat1, 2, 0, 0), SHIFT_REPEAT(18188),
  [22026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9951),
  [22028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4152),
  [22030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0),
  [22032] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(17326),
  [22035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10946),
  [22037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17045),
  [22039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10425),
  [22041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12170),
  [22043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17208),
  [22045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10374),
  [22047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8455),
  [22049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4889),
  [22051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10409),
  [22053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17283),
  [22055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10039),
  [22057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4338),
  [22059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17210),
  [22061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17024),
  [22063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17466),
  [22065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4362),
  [22067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13511),
  [22069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2964),
  [22071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11984),
  [22073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9876),
  [22075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4128),
  [22077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8273),
  [22079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11183),
  [22081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11512),
  [22083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17282),
  [22085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0),
  [22087] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(17340),
  [22090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6568),
  [22092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13227),
  [22094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6228),
  [22096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8704),
  [22098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10120),
  [22100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4281),
  [22102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10527),
  [22104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4112),
  [22106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7781),
  [22108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10575),
  [22110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15479),
  [22112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17106),
  [22114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10087),
  [22116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13168),
  [22118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8707),
  [22120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11513),
  [22122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17280),
  [22124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10592),
  [22126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13349),
  [22128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10590),
  [22130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11504),
  [22132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9907),
  [22134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4814),
  [22136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11501),
  [22138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17245),
  [22140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13144),
  [22142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18018),
  [22144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7769),
  [22146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16677),
  [22148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10935),
  [22150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17044),
  [22152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10092),
  [22154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8639),
  [22156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1360),
  [22158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8905),
  [22160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4296),
  [22162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12073),
  [22164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9971),
  [22166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3457),
  [22168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10550),
  [22170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9940),
  [22172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6318),
  [22174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13132),
  [22176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10538),
  [22178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4199),
  [22180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12082),
  [22182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8313),
  [22184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10929),
  [22186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10925),
  [22188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18011),
  [22190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9980),
  [22192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7749),
  [22194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12109),
  [22196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11565),
  [22198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18077),
  [22200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17132),
  [22202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9945),
  [22204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9155),
  [22206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18085),
  [22208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4843),
  [22210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11477),
  [22212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3489),
  [22214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10379),
  [22216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18098),
  [22218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14099),
  [22220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4822),
  [22222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14081),
  [22224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8892),
  [22226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14073),
  [22228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17243),
  [22230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10012),
  [22232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10405),
  [22234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12408),
  [22236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3499),
  [22238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13229),
  [22240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13105),
  [22242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18014),
  [22244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_tag_specification, 1, 0, 0),
  [22246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9702),
  [22248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14060),
  [22250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17244),
  [22252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10111),
  [22254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4779),
  [22256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13215),
  [22258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8981),
  [22260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14486),
  [22262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3524),
  [22264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17267),
  [22266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3510),
  [22268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15272),
  [22270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18871),
  [22272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5745),
  [22274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13103),
  [22276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10589),
  [22278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18884),
  [22280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15275),
  [22282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15454),
  [22284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10401),
  [22286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3494),
  [22288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15337),
  [22290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8291),
  [22292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13128),
  [22294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18856),
  [22296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16576),
  [22298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1807),
  [22300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10192),
  [22302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16481),
  [22304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10320),
  [22306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15330),
  [22308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1808),
  [22310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7330),
  [22312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15562),
  [22314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7751),
  [22316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15252),
  [22318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19686),
  [22320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18847),
  [22322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16510),
  [22324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7755),
  [22326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16558),
  [22328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3467),
  [22330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3773),
  [22332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13136),
  [22334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15478),
  [22336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3460),
  [22338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1812),
  [22340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14908),
  [22342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10931),
  [22344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18899),
  [22346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19725),
  [22348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3767),
  [22350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [22352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15623),
  [22354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8858),
  [22356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8952),
  [22358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16649),
  [22360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1784),
  [22362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15257),
  [22364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16483),
  [22366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18834),
  [22368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1813),
  [22370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15378),
  [22372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8279),
  [22374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15596),
  [22376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7776),
  [22378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4096),
  [22380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15609),
  [22382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5578),
  [22384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6032),
  [22386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10942),
  [22388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14984),
  [22390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18822),
  [22392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5572),
  [22394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18912),
  [22396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16438),
  [22398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15618),
  [22400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3337),
  [22402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10136),
  [22404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7790),
  [22406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4118),
  [22408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15599),
  [22410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10467),
  [22412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9574),
  [22414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16539),
  [22416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16482),
  [22418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18808),
  [22420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15453),
  [22422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1970),
  [22424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1846),
  [22426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15616),
  [22428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1847),
  [22430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15019),
  [22432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10027),
  [22434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16464),
  [22436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4141),
  [22438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10438),
  [22440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15606),
  [22442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1971),
  [22444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18928),
  [22446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15537),
  [22448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4144),
  [22450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18796),
  [22452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11780),
  [22454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15074),
  [22456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6501),
  [22458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__abstract_type_repeat1, 1, 0, 11),
  [22460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16466),
  [22462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8237),
  [22464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6863),
  [22466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10950),
  [22468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15395),
  [22470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3555),
  [22472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10326),
  [22474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15608),
  [22476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18781),
  [22478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15305),
  [22480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6985),
  [22482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8788),
  [22484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18236),
  [22486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3808),
  [22488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16389),
  [22490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3561),
  [22492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10465),
  [22494] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(15751),
  [22497] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_expression_repeat1, 2, 0, 0),
  [22499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18938),
  [22501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14913),
  [22503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4384),
  [22505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_pattern, 2, 0, 0),
  [22507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6202),
  [22509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15334),
  [22511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7994),
  [22513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1747),
  [22515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15446),
  [22517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15369),
  [22519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3778),
  [22521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6282),
  [22523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8770),
  [22525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18393),
  [22527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15462),
  [22529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1746),
  [22531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15498),
  [22533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8232),
  [22535] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2260),
  [22538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6597),
  [22540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16370),
  [22542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16323),
  [22544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7975),
  [22546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18769),
  [22548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10367),
  [22550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18953),
  [22552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15400),
  [22554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3593),
  [22556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10216),
  [22558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15304),
  [22560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6253),
  [22562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11406),
  [22564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15233),
  [22566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6530),
  [22568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14968),
  [22570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16387),
  [22572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1750),
  [22574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [22576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7938),
  [22578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15371),
  [22580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15336),
  [22582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1872),
  [22584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3608),
  [22586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18757),
  [22588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15262),
  [22590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10441),
  [22592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18972),
  [22594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9851),
  [22596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15193),
  [22598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8650),
  [22600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16369),
  [22602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6219),
  [22604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15449),
  [22606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7004),
  [22608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10520),
  [22610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [22612] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(17253),
  [22615] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_object_copy_expression_repeat1, 2, 0, 0),
  [22617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15312),
  [22619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6214),
  [22621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16393),
  [22623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18744),
  [22625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14985),
  [22627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16242),
  [22629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19050),
  [22631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18677),
  [22633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8356),
  [22635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18993),
  [22637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5535),
  [22639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18730),
  [22641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15281),
  [22643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15332),
  [22645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4007),
  [22647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6673),
  [22649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4953),
  [22651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5233),
  [22653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7946),
  [22655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15171),
  [22657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16271),
  [22659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4003),
  [22661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18716),
  [22663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [22665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5579),
  [22667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18707),
  [22669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15294),
  [22671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7884),
  [22673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6728),
  [22675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19004),
  [22677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15563),
  [22679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [22681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15347),
  [22683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1795),
  [22685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18701),
  [22687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [22689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15432),
  [22691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18696),
  [22693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16291),
  [22695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16256),
  [22697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6448),
  [22699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15416),
  [22701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7699),
  [22703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18691),
  [22705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5618),
  [22708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1898),
  [22710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3968),
  [22712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15373),
  [22714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18685),
  [22716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15324),
  [22718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1899),
  [22720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16325),
  [22722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7025),
  [22724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8105),
  [22726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19027),
  [22728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8829),
  [22730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18671),
  [22732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3368),
  [22734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3798),
  [22736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3955),
  [22738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18663),
  [22740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15384),
  [22742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16273),
  [22744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6743),
  [22746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15152),
  [22748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1206),
  [22750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3797),
  [22752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16193),
  [22754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7709),
  [22756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18657),
  [22758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15333),
  [22760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7031),
  [22762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18645),
  [22764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15348),
  [22766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6671),
  [22768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18638),
  [22770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18632),
  [22772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18625),
  [22774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19045),
  [22776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5366),
  [22778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7664),
  [22780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18620),
  [22782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18619),
  [22784] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_definition_repeat1, 2, 0, 0), SHIFT_REPEAT(16649),
  [22787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18616),
  [22789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15435),
  [22791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3933),
  [22793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8367),
  [22795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1729),
  [22797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15475),
  [22799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18612),
  [22801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1825),
  [22803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16199),
  [22805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3930),
  [22807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18610),
  [22809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19057),
  [22811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7968),
  [22813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15472),
  [22815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16018),
  [22817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11570),
  [22819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18607),
  [22821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18603),
  [22823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1796),
  [22825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15450),
  [22827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15429),
  [22829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8069),
  [22831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11341),
  [22833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18600),
  [22835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [22837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18598),
  [22839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6781),
  [22841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16185),
  [22843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18597),
  [22845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18596),
  [22847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10432),
  [22849] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3874),
  [22851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16168),
  [22853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15464),
  [22855] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18594),
  [22857] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15792),
  [22860] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_binding_pattern_repeat1, 2, 0, 0),
  [22862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15437),
  [22864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18593),
  [22866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18583),
  [22868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19072),
  [22870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18592),
  [22872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3793),
  [22874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18591),
  [22876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3841),
  [22878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18590),
  [22880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15474),
  [22882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15590),
  [22884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12048),
  [22886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16195),
  [22888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7740),
  [22890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15499),
  [22892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18588),
  [22894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19092),
  [22896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1920),
  [22898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18586),
  [22900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15452),
  [22902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1921),
  [22904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12055),
  [22906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18585),
  [22908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16081),
  [22910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7202),
  [22912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11177),
  [22914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18582),
  [22916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18581),
  [22918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10343),
  [22920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10517),
  [22922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19105),
  [22924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16177),
  [22926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8155),
  [22928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3779),
  [22930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18580),
  [22932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12081),
  [22934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10672),
  [22936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15480),
  [22938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10361),
  [22940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7712),
  [22942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6459),
  [22944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16186),
  [22946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15477),
  [22948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8175),
  [22950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15522),
  [22952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15008),
  [22954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15306),
  [22956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5932),
  [22958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(947),
  [22960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19127),
  [22962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7748),
  [22964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5605),
  [22966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18549),
  [22968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5610),
  [22970] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_binding_pattern, 2, 0, 0),
  [22972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14590),
  [22974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15447),
  [22976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15844),
  [22978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19026),
  [22980] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19025),
  [22982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19024),
  [22984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7634),
  [22986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15564),
  [22988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8865),
  [22990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20733),
  [22992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15206),
  [22994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11101),
  [22996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15529),
  [22998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7158),
  [23000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7116),
  [23002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16071),
  [23004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8823),
  [23006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19142),
  [23008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5587),
  [23010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6419),
  [23012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15082),
  [23014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6731),
  [23016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3433),
  [23018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15750),
  [23020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21020),
  [23022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1581),
  [23024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1579),
  [23026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1578),
  [23028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15188),
  [23030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1814),
  [23032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15538),
  [23034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15626),
  [23036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7174),
  [23038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3431),
  [23040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8443),
  [23042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15067),
  [23044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9048),
  [23046] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2474),
  [23049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16099),
  [23051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19160),
  [23053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1818),
  [23055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15497),
  [23057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15509),
  [23059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1948),
  [23061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16044),
  [23063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15742),
  [23065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15561),
  [23067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6496),
  [23069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1950),
  [23071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6517),
  [23073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5588),
  [23075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15598),
  [23077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7658),
  [23079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14992),
  [23081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5549),
  [23083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8023),
  [23085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8763),
  [23087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [23089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5586),
  [23091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15129),
  [23093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15581),
  [23095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19186),
  [23097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15998),
  [23099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7653),
  [23101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5532),
  [23103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3712),
  [23105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9053),
  [23107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15018),
  [23109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15631),
  [23111] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3711),
  [23113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13827),
  [23115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15595),
  [23117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7207),
  [23119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15448),
  [23121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16106),
  [23123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8832),
  [23125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15872),
  [23127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6519),
  [23129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16116),
  [23131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15104),
  [23133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15439),
  [23135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1838),
  [23137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19201),
  [23139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8794),
  [23141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15583),
  [23143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15487),
  [23145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [23147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15072),
  [23149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10158),
  [23151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15527),
  [23153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10706),
  [23155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15727),
  [23157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1839),
  [23159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15588),
  [23161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7281),
  [23163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16046),
  [23165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7927),
  [23167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10583),
  [23169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10407),
  [23171] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4213),
  [23173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8364),
  [23175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18254),
  [23177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15592),
  [23179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7911),
  [23181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15575),
  [23183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19224),
  [23185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7267),
  [23187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15960),
  [23189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10674),
  [23191] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18467),
  [23193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18466),
  [23195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18465),
  [23197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16003),
  [23199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [23201] = {.entry = {.count = 1, .reusable = false}}, SHIFT(912),
  [23203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(913),
  [23205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1981),
  [23207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [23209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 1, 0, 0),
  [23211] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10662),
  [23213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15778),
  [23215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7612),
  [23217] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15542),
  [23219] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [23221] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [23223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [23225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1433),
  [23227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15381),
  [23229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15985),
  [23231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7265),
  [23233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11839),
  [23235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15492),
  [23237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7275),
  [23239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [23241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7039),
  [23243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11818),
  [23245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19250),
  [23247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18248),
  [23249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18249),
  [23251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18250),
  [23253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7588),
  [23255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16426),
  [23257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18228),
  [23259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18227),
  [23261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18226),
  [23263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15271),
  [23265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15869),
  [23267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15258),
  [23269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7771),
  [23271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1404),
  [23273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1403),
  [23275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [23277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10494),
  [23279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15891),
  [23281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7816),
  [23283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1926),
  [23285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15370),
  [23287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4731),
  [23289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15280),
  [23291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7239),
  [23293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19273),
  [23295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11610),
  [23297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14917),
  [23299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8878),
  [23301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15424),
  [23303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8489),
  [23305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1928),
  [23307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15340),
  [23309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15896),
  [23311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15710),
  [23313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4709),
  [23315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15578),
  [23317] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4077),
  [23320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14439),
  [23322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6572),
  [23324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7877),
  [23326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14832),
  [23328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15907),
  [23330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15327),
  [23332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3623),
  [23334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14952),
  [23336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [23338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2008),
  [23340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3624),
  [23342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15270),
  [23344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19294),
  [23346] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(15693),
  [23349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_repeat1, 2, 0, 0),
  [23351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [23353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3613),
  [23355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16338),
  [23357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14923),
  [23359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3612),
  [23361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11262),
  [23363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15889),
  [23365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4667),
  [23367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15830),
  [23369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7677),
  [23371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6623),
  [23373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7926),
  [23375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [23377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [23379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1361),
  [23381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15320),
  [23383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12123),
  [23385] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15291),
  [23387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4655),
  [23389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15339),
  [23391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11074),
  [23393] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15264),
  [23395] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16017),
  [23397] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6418),
  [23399] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10447),
  [23401] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19251),
  [23403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8447),
  [23405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [23407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_indexing_operator_path, 3, 0, 0),
  [23409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18405),
  [23411] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18406),
  [23413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18407),
  [23415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5550),
  [23417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12104),
  [23419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15931),
  [23421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11079),
  [23423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14911),
  [23425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5548),
  [23427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12079),
  [23429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [23431] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [23433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [23435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14498),
  [23437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15279),
  [23439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6472),
  [23441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15641),
  [23443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15893),
  [23445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1902),
  [23447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18553),
  [23449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18554),
  [23451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18555),
  [23453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1962),
  [23455] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1855),
  [23457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15329),
  [23459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7103),
  [23461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [23463] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [23465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [23467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14914),
  [23469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8352),
  [23471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3336),
  [23473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15422),
  [23475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1856),
  [23477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4398),
  [23479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15341),
  [23481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15163),
  [23483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11571),
  [23485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7089),
  [23487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19164),
  [23489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15942),
  [23491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18666),
  [23493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18667),
  [23495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18668),
  [23497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15924),
  [23499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1287),
  [23501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1286),
  [23503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1285),
  [23505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15302),
  [23507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2034),
  [23509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15413),
  [23511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5267),
  [23513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1397),
  [23515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1961),
  [23517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15976),
  [23519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5217),
  [23521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1998),
  [23523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11016),
  [23525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15551),
  [23527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15375),
  [23529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2036),
  [23531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15482),
  [23533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14932),
  [23535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15362),
  [23537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18771),
  [23539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18772),
  [23541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18773),
  [23543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1268),
  [23545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1267),
  [23547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [23549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15933),
  [23551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7062),
  [23553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_method_specification_repeat1, 1, 0, 0),
  [23555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1999),
  [23557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7222),
  [23559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18873),
  [23561] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18874),
  [23563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18875),
  [23565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15908),
  [23567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8341),
  [23569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15419),
  [23571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7057),
  [23573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [23575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1250),
  [23577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1249),
  [23579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10971),
  [23581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_instance_variable_specification_repeat1, 1, 0, 0),
  [23583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18975),
  [23585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18976),
  [23587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18977),
  [23589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1233),
  [23591] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [23593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [23595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15809),
  [23597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9699),
  [23599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18491),
  [23601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15517),
  [23603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19051),
  [23605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9804),
  [23607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15326),
  [23609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8384),
  [23611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19075),
  [23613] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19076),
  [23615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19077),
  [23617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1214),
  [23619] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1213),
  [23621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1212),
  [23623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16013),
  [23625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19170),
  [23627] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19171),
  [23629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19172),
  [23631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1188),
  [23633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1187),
  [23635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1185),
  [23637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9963),
  [23639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14571),
  [23641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5130),
  [23643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15576),
  [23645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15520),
  [23647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3687),
  [23649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22291),
  [23651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15550),
  [23653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20490),
  [23655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14565),
  [23657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19256),
  [23659] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19257),
  [23661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19258),
  [23663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1166),
  [23665] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [23667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1163),
  [23669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15534),
  [23671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10032),
  [23673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3558),
  [23675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19296),
  [23677] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19299),
  [23679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19300),
  [23681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16002),
  [23683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19069),
  [23685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [23687] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [23689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1143),
  [23691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5057),
  [23693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2022),
  [23695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16557),
  [23697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10006),
  [23699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5086),
  [23701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10475),
  [23703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19125),
  [23705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19124),
  [23707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19123),
  [23709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [23711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15614),
  [23713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [23715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11306),
  [23717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19271),
  [23719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19270),
  [23721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19268),
  [23723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [23725] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1123),
  [23727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1122),
  [23729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16011),
  [23731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3430),
  [23733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14558),
  [23735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15544),
  [23737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6090),
  [23739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10083),
  [23741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10370),
  [23743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11311),
  [23745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15621),
  [23747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7522),
  [23749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15579),
  [23751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3462),
  [23753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19247),
  [23755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19246),
  [23757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19245),
  [23759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1108),
  [23761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1106),
  [23763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1105),
  [23765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21962),
  [23767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6674),
  [23769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18812),
  [23771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15817),
  [23773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19221),
  [23775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19220),
  [23777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19219),
  [23779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16073),
  [23781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7516),
  [23783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1092),
  [23785] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [23787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [23789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9701),
  [23791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19200),
  [23793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19199),
  [23795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19198),
  [23797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2411),
  [23799] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_expression, 2, 0, 13),
  [23801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [23803] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [23805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1077),
  [23807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [23809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15418),
  [23811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15571),
  [23813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19183),
  [23815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19181),
  [23817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19180),
  [23819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1862),
  [23821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15619),
  [23823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4484),
  [23825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_binding_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(5627),
  [23828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [23830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [23832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [23834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [23836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1875),
  [23838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15604),
  [23840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6998),
  [23842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6118),
  [23844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21812),
  [23846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19158),
  [23848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19157),
  [23850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19156),
  [23852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [23854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [23856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1049),
  [23858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14592),
  [23860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16051),
  [23862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15705),
  [23864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15610),
  [23866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18969),
  [23868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16026),
  [23870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11320),
  [23872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16093),
  [23874] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_list_pattern_repeat1, 2, 0, 0), SHIFT_REPEAT(4246),
  [23877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4476),
  [23879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18295),
  [23881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15585),
  [23883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5357),
  [23885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [23887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16087),
  [23889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5314),
  [23891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [23893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19140),
  [23895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19139),
  [23897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19138),
  [23899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [23901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16086),
  [23903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [23905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1037),
  [23907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [23909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15567),
  [23911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16068),
  [23913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15605),
  [23915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7485),
  [23917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [23919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2023),
  [23921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15532),
  [23923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9646),
  [23925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2001),
  [23927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8567),
  [23929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5143),
  [23931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15735),
  [23933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16075),
  [23935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6140),
  [23937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15508),
  [23939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15864),
  [23941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15594),
  [23943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2000),
  [23945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15577),
  [23947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6136),
  [23949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [23951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1024),
  [23953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [23955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18736),
  [23957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10504),
  [23959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19103),
  [23961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19102),
  [23963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19101),
  [23965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1012),
  [23967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [23969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [23971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9905),
  [23973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16080),
  [23975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4459),
  [23977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18719),
  [23979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18720),
  [23981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18721),
  [23983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10912),
  [23985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8342),
  [23987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15569),
  [23989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4443),
  [23991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15415),
  [23993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7382),
  [23995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19088),
  [23997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19086),
  [23999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19085),
  [24001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [24003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(995),
  [24005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [24007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10329),
  [24009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16118),
  [24011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19071),
  [24013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19068),
  [24015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19067),
  [24017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7469),
  [24019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15519),
  [24021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8648),
  [24023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14258),
  [24025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(983),
  [24027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(982),
  [24029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(981),
  [24031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15114),
  [24033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6347),
  [24035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19055),
  [24037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19054),
  [24039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19053),
  [24041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(970),
  [24043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(969),
  [24045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [24047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14243),
  [24049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14621),
  [24051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18867),
  [24053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5204),
  [24055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15500),
  [24057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12221),
  [24059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10617),
  [24061] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__constructor_argument_repeat1, 2, 0, 0), SHIFT_REPEAT(11197),
  [24064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15515),
  [24066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14236),
  [24068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15511),
  [24070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6893),
  [24072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6860),
  [24074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19041),
  [24076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19040),
  [24078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19039),
  [24080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7106),
  [24082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(954),
  [24084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [24086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [24088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10544),
  [24090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16430),
  [24092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5721),
  [24094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16078),
  [24096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16101),
  [24098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15506),
  [24100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6906),
  [24102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19020),
  [24104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19019),
  [24106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19018),
  [24108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15504),
  [24110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6834),
  [24112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(936),
  [24114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [24116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [24118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12235),
  [24120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16146),
  [24122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19003),
  [24124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19002),
  [24126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19001),
  [24128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16156),
  [24130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(917),
  [24132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(916),
  [24134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(914),
  [24136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1740),
  [24138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18991),
  [24140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18990),
  [24142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18986),
  [24144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18461),
  [24146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1993),
  [24148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15483),
  [24150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [24152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(894),
  [24154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(893),
  [24156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18456),
  [24158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1739),
  [24160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12314),
  [24162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15651),
  [24164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15490),
  [24166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16165),
  [24168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6802),
  [24170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [24172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10193),
  [24174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2445),
  [24176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instance_variable_expression, 1, 0, 0),
  [24178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15904),
  [24180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5248),
  [24182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18967),
  [24184] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18966),
  [24186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18965),
  [24188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9660),
  [24190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15467),
  [24192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6811),
  [24194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(878),
  [24196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [24198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [24200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9855),
  [24202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16166),
  [24204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6936),
  [24206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15425),
  [24208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5987),
  [24210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18952),
  [24212] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18951),
  [24214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18950),
  [24216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [24218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [24220] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [24222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [24224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15465),
  [24226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6943),
  [24228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18765),
  [24230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21435),
  [24232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16226),
  [24234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5918),
  [24236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1972),
  [24238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18937),
  [24240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18935),
  [24242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18934),
  [24244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [24246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [24248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(839),
  [24250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10555),
  [24252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16243),
  [24254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7374),
  [24256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18924),
  [24258] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18923),
  [24260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18921),
  [24262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15406),
  [24264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10359),
  [24266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10840),
  [24268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1966),
  [24270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [24272] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [24274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(819),
  [24276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11328),
  [24278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18398),
  [24280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18802),
  [24282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18801),
  [24284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18800),
  [24286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10875),
  [24288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15364),
  [24290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18911),
  [24292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18910),
  [24294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18909),
  [24296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16234),
  [24298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6753),
  [24300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5985),
  [24302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15377),
  [24304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [24306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [24308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [24310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10484),
  [24312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1874),
  [24314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10882),
  [24316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15410),
  [24318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15411),
  [24320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7392),
  [24322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5838),
  [24324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4474),
  [24326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7325),
  [24328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18897),
  [24330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18896),
  [24332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18895),
  [24334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(796),
  [24336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [24338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [24340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15829),
  [24342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15016),
  [24344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4813),
  [24346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15402),
  [24348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6744),
  [24350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16260),
  [24352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5920),
  [24354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5815),
  [24356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18882),
  [24358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18881),
  [24360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18880),
  [24362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15401),
  [24364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7363),
  [24366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9941),
  [24368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [24370] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [24372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(782),
  [24374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15503),
  [24376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16329),
  [24378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13556),
  [24380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16241),
  [24382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16238),
  [24384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15354),
  [24386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11347),
  [24388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1745),
  [24390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16148),
  [24392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18377),
  [24394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15380),
  [24396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6192),
  [24398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [24400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1969),
  [24402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15335),
  [24404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18866),
  [24406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18865),
  [24408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18864),
  [24410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10371),
  [24412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15386),
  [24414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18660),
  [24416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [24418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(772),
  [24420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [24422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [24424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16251),
  [24426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7528),
  [24428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18853),
  [24430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18851),
  [24432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18850),
  [24434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15367),
  [24436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7536),
  [24438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11386),
  [24440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16250),
  [24442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5780),
  [24444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [24446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [24448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [24450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11396),
  [24452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7193),
  [24454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11380),
  [24456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18846),
  [24458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18844),
  [24460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18843),
  [24462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15361),
  [24464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5776),
  [24466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7251),
  [24468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15617),
  [24470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5383),
  [24472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15313),
  [24474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [24476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(746),
  [24478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [24480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18830),
  [24482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18829),
  [24484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18828),
  [24486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [24488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [24490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [24492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6060),
  [24494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18820),
  [24496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18819),
  [24498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18818),
  [24500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [24502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(722),
  [24504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [24506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1649),
  [24508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18795),
  [24510] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18793),
  [24512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18792),
  [24514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15307),
  [24516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5012),
  [24518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15725),
  [24520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15265),
  [24522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8553),
  [24524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [24526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [24528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [24530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3449),
  [24532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1655),
  [24534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [24536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [24538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [24540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15298),
  [24542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4997),
  [24544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13614),
  [24546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10287),
  [24548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16351),
  [24550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8548),
  [24552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18778),
  [24554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18777),
  [24556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18776),
  [24558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [24560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(684),
  [24562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [24564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9846),
  [24566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1656),
  [24568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11528),
  [24570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16308),
  [24572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18767),
  [24574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18766),
  [24576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18764),
  [24578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [24580] = {.entry = {.count = 1, .reusable = false}}, SHIFT(670),
  [24582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [24584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3532),
  [24586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1938),
  [24588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1952),
  [24590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15153),
  [24592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10277),
  [24594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15284),
  [24596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1951),
  [24598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15325),
  [24600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4752),
  [24602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15295),
  [24604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18755),
  [24606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18753),
  [24608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18752),
  [24610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3528),
  [24612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [24614] = {.entry = {.count = 1, .reusable = false}}, SHIFT(658),
  [24616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [24618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18545),
  [24620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7855),
  [24622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1937),
  [24624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18742),
  [24626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18741),
  [24628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18740),
  [24630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10342),
  [24632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16322),
  [24634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4980),
  [24636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [24638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(647),
  [24640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [24642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18483),
  [24644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7297),
  [24646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10225),
  [24648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15267),
  [24650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8038),
  [24652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21423),
  [24654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15268),
  [24656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4972),
  [24658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16357),
  [24660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9158),
  [24662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4457),
  [24664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8517),
  [24666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15315),
  [24668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18727),
  [24670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18725),
  [24672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18724),
  [24674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [24676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(645),
  [24678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [24680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18715),
  [24682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18714),
  [24684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18713),
  [24686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5859),
  [24688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9165),
  [24690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8505),
  [24692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1180),
  [24694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15355),
  [24696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12248),
  [24698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1886),
  [24700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9854),
  [24702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15430),
  [24704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18706),
  [24706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18705),
  [24708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18704),
  [24710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1887),
  [24712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10404),
  [24714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18699),
  [24716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18698),
  [24718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18697),
  [24720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21355),
  [24722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18695),
  [24724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18694),
  [24726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18693),
  [24728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12288),
  [24730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15259),
  [24732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16410),
  [24734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8017),
  [24736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18690),
  [24738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18689),
  [24740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18688),
  [24742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1700),
  [24744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18684),
  [24746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18683),
  [24748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18682),
  [24750] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_object_type_repeat1, 2, 0, 0), SHIFT_REPEAT(11036),
  [24753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16159),
  [24755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16363),
  [24757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1183),
  [24759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18675),
  [24761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18674),
  [24763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18673),
  [24765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21265),
  [24767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15743),
  [24769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15290),
  [24771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15746),
  [24773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [24775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4388),
  [24777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15958),
  [24779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1698),
  [24781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12268),
  [24783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13921),
  [24785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1184),
  [24787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18670),
  [24789] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18669),
  [24791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18664),
  [24793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18662),
  [24795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18659),
  [24797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18658),
  [24799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8588),
  [24801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15357),
  [24803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10196),
  [24805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18655),
  [24807] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18654),
  [24809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18650),
  [24811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9676),
  [24813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1805),
  [24815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9839),
  [24817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1696),
  [24819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18643),
  [24821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18642),
  [24823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18641),
  [24825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18636),
  [24827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18634),
  [24829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18633),
  [24831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4729),
  [24833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16381),
  [24835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7940),
  [24837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15374),
  [24839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15507),
  [24841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4368),
  [24843] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15383),
  [24845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7909),
  [24847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18630),
  [24849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18629),
  [24851] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18628),
  [24853] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18624),
  [24855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(18623),
  [24857] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18621),
  [24859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18397),
  [24861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16396),
  [24863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15481),
  [24865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3966),
  [24867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8627),
  [24869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1936),
  [24871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16377),
  [24873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4749),
  [24875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15417),
  [24877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1935),
  [24879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12191),
  [24881] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16427),
  [24883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4416),
  [24885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1910),
  [24887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7166),
  [24889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12181),
  [24891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15518),
  [24893] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1909),
  [24895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18700),
  [24897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10352),
  [24899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16406),
  [24901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4345),
  [24903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12177),
  [24905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15469),
  [24907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4898),
  [24909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16450),
  [24911] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4720),
  [24913] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8943),
  [24915] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4375),
  [24917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9136),
  [24919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15601),
  [24921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15541),
  [24923] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15459),
  [24925] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4340),
  [24927] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15376),
  [24929] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14787),
  [24931] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15502),
  [24933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4875),
  [24935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8610),
  [24937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9022),
  [24939] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4354),
  [24941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6195),
  [24943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15628),
  [24945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5591),
  [24947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11573),
  [24949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16441),
  [24951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15208),
  [24953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15586),
  [24955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15086),
  [24957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14671),
  [24959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9633),
  [24961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1837),
  [24963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5592),
  [24965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11463),
  [24967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10493),
  [24969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1501),
  [24971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16522),
  [24973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4536),
  [24975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15780),
  [24977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15582),
  [24979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18241),
  [24981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16301),
  [24983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15620),
  [24985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4283),
  [24987] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1499),
  [24989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15602),
  [24991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1840),
  [24993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8730),
  [24995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11517),
  [24997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1844),
  [24999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15254),
  [25001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14407),
  [25003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16478),
  [25005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21158),
  [25007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16521),
  [25009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4286),
  [25011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16409),
  [25013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4826),
  [25015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22282),
  [25017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22290),
  [25019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1930),
  [25021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9808),
  [25023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15213),
  [25025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19010),
  [25027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1492),
  [25029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11506),
  [25031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15629),
  [25033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4817),
  [25035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15627),
  [25037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1925),
  [25039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15573),
  [25041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22294),
  [25043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [25045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1843),
  [25047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1894),
  [25049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16589),
  [25051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16493),
  [25053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8663),
  [25055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15531),
  [25057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16476),
  [25059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6299),
  [25061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1895),
  [25063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18240),
  [25065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9796),
  [25067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15603),
  [25069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8651),
  [25071] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7998),
  [25073] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19060),
  [25075] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16536),
  [25077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16504),
  [25079] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15580),
  [25081] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6323),
  [25083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21095),
  [25085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4300),
  [25087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15409),
  [25089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12403),
  [25091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15428),
  [25093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9134),
  [25095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15496),
  [25097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16569),
  [25099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9052),
  [25101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4870),
  [25103] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0), SHIFT_REPEAT(17620),
  [25106] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_declaration_repeat1, 2, 0, 0),
  [25108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3760),
  [25110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1868),
  [25112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4307),
  [25114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1347),
  [25116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15468),
  [25118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15535),
  [25120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4834),
  [25122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20858),
  [25124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15328),
  [25126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16556),
  [25128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15853),
  [25130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1863),
  [25132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16328),
  [25134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1907),
  [25136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16590),
  [25138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [25140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8948),
  [25142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15286),
  [25144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14075),
  [25146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9768),
  [25148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15427),
  [25150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1903),
  [25152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14062),
  [25154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10518),
  [25156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16566),
  [25158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4794),
  [25160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4318),
  [25162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14051),
  [25164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15309),
  [25166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15346),
  [25168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4783),
  [25170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9029),
  [25172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3432),
  [25174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16575),
  [25176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16581),
  [25178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5432),
  [25180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5391),
  [25182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21876),
  [25184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10178),
  [25186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22431),
  [25188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6109),
  [25190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22529),
  [25192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10104),
  [25194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4811),
  [25196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12133),
  [25198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10191),
  [25200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22525),
  [25202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2707),
  [25204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4643),
  [25206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13223),
  [25208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12126),
  [25210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6125),
  [25212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22523),
  [25214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13220),
  [25216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6362),
  [25218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22481),
  [25220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12118),
  [25222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6852),
  [25224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22289),
  [25226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10746),
  [25228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11412),
  [25230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6296),
  [25232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12437),
  [25234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5291),
  [25236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20770),
  [25238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18577),
  [25240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6365),
  [25242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22472),
  [25244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10203),
  [25246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6435),
  [25248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15754),
  [25250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2921),
  [25252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15120),
  [25254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7361),
  [25256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 101),
  [25258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2608),
  [25260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5996),
  [25262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [25264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2321),
  [25266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2304),
  [25268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6627),
  [25270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21139),
  [25272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14865),
  [25274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6031),
  [25276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8466),
  [25278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21891),
  [25280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9926),
  [25282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6222),
  [25284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6431),
  [25286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8733),
  [25288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21623),
  [25290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10121),
  [25292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4292),
  [25294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10081),
  [25296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8697),
  [25298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15385),
  [25300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22024),
  [25302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4595),
  [25304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21861),
  [25306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [25308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [25310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16700),
  [25312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10819),
  [25314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [25316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9937),
  [25318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8877),
  [25320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4361),
  [25322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2127),
  [25324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14860),
  [25326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6229),
  [25328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5256),
  [25330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8621),
  [25332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22308),
  [25334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8695),
  [25336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22298),
  [25338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14862),
  [25340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11983),
  [25342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6793),
  [25344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8971),
  [25346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18798),
  [25348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10028),
  [25350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [25352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15020),
  [25354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6810),
  [25356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22275),
  [25358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7960),
  [25360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21906),
  [25362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2610),
  [25364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20843),
  [25366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11451),
  [25368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10031),
  [25370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4352),
  [25372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [25374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8681),
  [25376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8156),
  [25378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6683),
  [25380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22194),
  [25382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6750),
  [25384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22188),
  [25386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7339),
  [25388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2759),
  [25390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6588),
  [25392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21363),
  [25394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18567),
  [25396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21362),
  [25398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21361),
  [25400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9852),
  [25402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17025),
  [25404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9974),
  [25406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4740),
  [25408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8601),
  [25410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21846),
  [25412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13509),
  [25414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10625),
  [25416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5275),
  [25418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15396),
  [25420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22178),
  [25422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6884),
  [25424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21921),
  [25426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9965),
  [25428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4986),
  [25430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2659),
  [25432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16617),
  [25434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5025),
  [25436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9806),
  [25438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18858),
  [25440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21416),
  [25442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21417),
  [25444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21418),
  [25446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7322),
  [25448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7138),
  [25450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22075),
  [25452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9122),
  [25454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7133),
  [25456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22067),
  [25458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7562),
  [25460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22074),
  [25462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14849),
  [25464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13117),
  [25466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2713),
  [25468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7008),
  [25470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 1, 0, 0),
  [25472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18862),
  [25474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18346),
  [25476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7590),
  [25478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22065),
  [25480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12341),
  [25482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8374),
  [25484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21640),
  [25486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18944),
  [25488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9895),
  [25490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4852),
  [25492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6612),
  [25494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21936),
  [25496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8954),
  [25498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9943),
  [25500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5796),
  [25502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6433),
  [25504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21856),
  [25506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2601),
  [25508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8667),
  [25510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10883),
  [25512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2910),
  [25514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15003),
  [25516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10576),
  [25518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21965),
  [25520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2086),
  [25522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15033),
  [25524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14672),
  [25526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11975),
  [25528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14631),
  [25530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10545),
  [25532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21959),
  [25534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9896),
  [25536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7333),
  [25538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6008),
  [25540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21831),
  [25542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7746),
  [25544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12365),
  [25546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14875),
  [25548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10372),
  [25550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2164),
  [25552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14752),
  [25554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1574),
  [25556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8414),
  [25558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2400),
  [25560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18510),
  [25562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21764),
  [25564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8566),
  [25566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8625),
  [25568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21951),
  [25570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21869),
  [25572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4437),
  [25574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5596),
  [25576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21271),
  [25578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8217),
  [25580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1571),
  [25582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8315),
  [25584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21754),
  [25586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14687),
  [25588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7515),
  [25590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21832),
  [25592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5820),
  [25594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2617),
  [25596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7840),
  [25598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21830),
  [25600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14276),
  [25602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7526),
  [25604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21826),
  [25606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7630),
  [25608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9110),
  [25610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7819),
  [25612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21825),
  [25614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9871),
  [25616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6918),
  [25618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4949),
  [25620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21966),
  [25622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10108),
  [25624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5304),
  [25626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9799),
  [25628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4465),
  [25630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2533),
  [25632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8400),
  [25634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21736),
  [25636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5040),
  [25638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10421),
  [25640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14172),
  [25642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21702),
  [25644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14409),
  [25646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2225),
  [25648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6348),
  [25650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21698),
  [25652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14877),
  [25654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7317),
  [25656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2622),
  [25658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9194),
  [25660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6634),
  [25662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9993),
  [25664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4387),
  [25666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5519),
  [25668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21606),
  [25670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7577),
  [25672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21716),
  [25674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7584),
  [25676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21714),
  [25678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4963),
  [25680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21598),
  [25682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9858),
  [25684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7501),
  [25686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5490),
  [25688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21816),
  [25690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2185),
  [25692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8398),
  [25694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21675),
  [25696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10933),
  [25698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12192),
  [25700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12040),
  [25702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1427),
  [25704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10085),
  [25706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11729),
  [25708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18961),
  [25710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8346),
  [25712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4676),
  [25714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21981),
  [25716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9805),
  [25718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3384),
  [25720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4860),
  [25722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5811),
  [25724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6165),
  [25726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20510),
  [25728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(15013),
  [25730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10899),
  [25732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21600),
  [25734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4957),
  [25736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21616),
  [25738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10910),
  [25740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21587),
  [25742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11132),
  [25744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2942),
  [25746] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14994),
  [25748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7480),
  [25750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [25752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14888),
  [25754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11515),
  [25756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12503),
  [25758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9383),
  [25760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2166),
  [25762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8539),
  [25764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21272),
  [25766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11849),
  [25768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4777),
  [25770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21996),
  [25772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9777),
  [25774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7076),
  [25776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10059),
  [25778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8365),
  [25780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7512),
  [25782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21657),
  [25784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16900),
  [25786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11405),
  [25788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9778),
  [25790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19058),
  [25792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21454),
  [25794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21455),
  [25796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21456),
  [25798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9868),
  [25800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7991),
  [25802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7081),
  [25804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7492),
  [25806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12812),
  [25808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14869),
  [25810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7703),
  [25812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21466),
  [25814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19073),
  [25816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12078),
  [25818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5240),
  [25820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21516),
  [25822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8419),
  [25824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14873),
  [25826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9866),
  [25828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11048),
  [25830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7724),
  [25832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21450),
  [25834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8241),
  [25836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21801),
  [25838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7404),
  [25840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4062),
  [25842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13523),
  [25844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8950),
  [25846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5402),
  [25848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9783),
  [25850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9792),
  [25852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4691),
  [25854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4699),
  [25856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2718),
  [25858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9824),
  [25860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21382),
  [25862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18455),
  [25864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1396),
  [25866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21322),
  [25868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6225),
  [25870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21320),
  [25872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14834),
  [25874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1400),
  [25876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7691),
  [25878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21338),
  [25880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11639),
  [25882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1430),
  [25884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9977),
  [25886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21301),
  [25888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11325),
  [25890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7672),
  [25892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21261),
  [25894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13427),
  [25896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9819),
  [25898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21369),
  [25900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4668),
  [25902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21289),
  [25904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18451),
  [25906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21288),
  [25908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21287),
  [25910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9934),
  [25912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21296),
  [25914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15556),
  [25916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5168),
  [25918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21367),
  [25920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17217),
  [25922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9061),
  [25924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1429),
  [25926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21283),
  [25928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8351),
  [25930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6203),
  [25932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21281),
  [25934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8921),
  [25936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [25938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1394),
  [25940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8557),
  [25942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9822),
  [25944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7254),
  [25946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_polymorphic_variant_type_repeat2, 1, 0, 0),
  [25948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2578),
  [25950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3476),
  [25952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7893),
  [25954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12756),
  [25956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6967),
  [25958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14704),
  [25960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2927),
  [25962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14945),
  [25964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5373),
  [25966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21173),
  [25968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [25970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8162),
  [25972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4513),
  [25974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21216),
  [25976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8712),
  [25978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21346),
  [25980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12606),
  [25982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10021),
  [25984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7981),
  [25986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12203),
  [25988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19153),
  [25990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4538),
  [25992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21211),
  [25994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14850),
  [25996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9920),
  [25998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7640),
  [26000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4218),
  [26002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14841),
  [26004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4857),
  [26006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21786),
  [26008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9199),
  [26010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8930),
  [26012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1573),
  [26014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18403),
  [26016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9835),
  [26018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7190),
  [26020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14811),
  [26022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8589),
  [26024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9988),
  [26026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8534),
  [26028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1575),
  [26030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10835),
  [26032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21589),
  [26034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8288),
  [26036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9076),
  [26038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18535),
  [26040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10106),
  [26042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9100),
  [26044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2156),
  [26046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17110),
  [26048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16841),
  [26050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9817),
  [26052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19204),
  [26054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21485),
  [26056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21486),
  [26058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21487),
  [26060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4395),
  [26062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21118),
  [26064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5059),
  [26066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4462),
  [26068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4393),
  [26070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21113),
  [26072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20895),
  [26074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9106),
  [26076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21111),
  [26078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5302),
  [26080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21771),
  [26082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19218),
  [26084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10717),
  [26086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20840),
  [26088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9023),
  [26090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9121),
  [26092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5442),
  [26094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21091),
  [26096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 4, 0, 33),
  [26098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11720),
  [26100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10296),
  [26102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10394),
  [26104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9046),
  [26106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21109),
  [26108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11285),
  [26110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10680),
  [26112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9864),
  [26114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8133),
  [26116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7117),
  [26118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8321),
  [26120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9153),
  [26122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21029),
  [26124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2651),
  [26126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5073),
  [26128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5508),
  [26130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8225),
  [26132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21570),
  [26134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5045),
  [26136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21551),
  [26138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9212),
  [26140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21024),
  [26142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5967),
  [26144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13557),
  [26146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21031),
  [26148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10019),
  [26150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7732),
  [26152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4853),
  [26154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22242),
  [26156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19288),
  [26158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9116),
  [26160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22241),
  [26162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22240),
  [26164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22237),
  [26166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19277),
  [26168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22236),
  [26170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22235),
  [26172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19276),
  [26174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22232),
  [26176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19252),
  [26178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22231),
  [26180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22230),
  [26182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5144),
  [26184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1399),
  [26186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8574),
  [26188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22227),
  [26190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19241),
  [26192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22226),
  [26194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22225),
  [26196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20795),
  [26198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12307),
  [26200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6388),
  [26202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21674),
  [26204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22222),
  [26206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19232),
  [26208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9801),
  [26210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7458),
  [26212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14856),
  [26214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22221),
  [26216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22220),
  [26218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22217),
  [26220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19211),
  [26222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22216),
  [26224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5053),
  [26226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22215),
  [26228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22212),
  [26230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19203),
  [26232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17249),
  [26234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19262),
  [26236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21510),
  [26238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21511),
  [26240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21512),
  [26242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22211),
  [26244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22210),
  [26246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22207),
  [26248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19193),
  [26250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22206),
  [26252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22205),
  [26254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13560),
  [26256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21000),
  [26258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19240),
  [26260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9902),
  [26262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6760),
  [26264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22202),
  [26266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19187),
  [26268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22201),
  [26270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22200),
  [26272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22197),
  [26274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19174),
  [26276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22196),
  [26278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22195),
  [26280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4623),
  [26282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22192),
  [26284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19161),
  [26286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22191),
  [26288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22190),
  [26290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22187),
  [26292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19148),
  [26294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22186),
  [26296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22185),
  [26298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10406),
  [26300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22182),
  [26302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19131),
  [26304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22181),
  [26306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22180),
  [26308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20788),
  [26310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10151),
  [26312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8442),
  [26314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20850),
  [26316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10268),
  [26318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22175),
  [26320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19112),
  [26322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22174),
  [26324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22173),
  [26326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9990),
  [26328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4780),
  [26330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20831),
  [26332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19044),
  [26334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19973),
  [26336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19969),
  [26338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19968),
  [26340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9195),
  [26342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22168),
  [26344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19093),
  [26346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22167),
  [26348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14889),
  [26350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22166),
  [26352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1586),
  [26354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11402),
  [26356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8386),
  [26358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20825),
  [26360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4788),
  [26362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20748),
  [26364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14218),
  [26366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10024),
  [26368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10052),
  [26370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5974),
  [26372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 3, 0, 0),
  [26374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8684),
  [26376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19117),
  [26378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8247),
  [26380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22154),
  [26382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19031),
  [26384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22153),
  [26386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22152),
  [26388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20772),
  [26390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15476),
  [26392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10691),
  [26394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20765),
  [26396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6613),
  [26398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20814),
  [26400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9120),
  [26402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10632),
  [26404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22140),
  [26406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18963),
  [26408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22139),
  [26410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22138),
  [26412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9923),
  [26414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6238),
  [26416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11935),
  [26418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1355),
  [26420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9095),
  [26422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7604),
  [26424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9762),
  [26426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22126),
  [26428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18915),
  [26430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22125),
  [26432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22124),
  [26434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10796),
  [26436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17387),
  [26438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19033),
  [26440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21534),
  [26442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21535),
  [26444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21536),
  [26446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12454),
  [26448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8665),
  [26450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20685),
  [26452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22112),
  [26454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18863),
  [26456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22111),
  [26458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22110),
  [26460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10813),
  [26462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8658),
  [26464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20683),
  [26466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19021),
  [26468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6626),
  [26470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20757),
  [26472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4157),
  [26474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11982),
  [26476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8662),
  [26478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21409),
  [26480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14583),
  [26482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22098),
  [26484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18824),
  [26486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22097),
  [26488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8259),
  [26490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22096),
  [26492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9931),
  [26494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8251),
  [26496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10146),
  [26498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14898),
  [26500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22084),
  [26502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18775),
  [26504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22083),
  [26506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22082),
  [26508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6763),
  [26510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21691),
  [26512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9954),
  [26514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4132),
  [26516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9836),
  [26518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6767),
  [26520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14835),
  [26522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6920),
  [26524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8272),
  [26526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8130),
  [26528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20606),
  [26530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8302),
  [26532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22070),
  [26534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18718),
  [26536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22069),
  [26538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22068),
  [26540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19173),
  [26542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4212),
  [26544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20548),
  [26546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6420),
  [26548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9050),
  [26550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4209),
  [26552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20533),
  [26554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22056),
  [26556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18599),
  [26558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22055),
  [26560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22054),
  [26562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11124),
  [26564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7442),
  [26566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14897),
  [26568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4907),
  [26570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5972),
  [26572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20465),
  [26574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18925),
  [26576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10023),
  [26578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10621),
  [26580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10739),
  [26582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22042),
  [26584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18556),
  [26586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22041),
  [26588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22040),
  [26590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9972),
  [26592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3485),
  [26594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12398),
  [26596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22028),
  [26598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18506),
  [26600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22027),
  [26602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8124),
  [26604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20557),
  [26606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22026),
  [26608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20391),
  [26610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6712),
  [26612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5916),
  [26614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20453),
  [26616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11487),
  [26618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20384),
  [26620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8331),
  [26622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21755),
  [26624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9098),
  [26626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15158),
  [26628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4835),
  [26630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20405),
  [26632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22014),
  [26634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18454),
  [26636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22013),
  [26638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22012),
  [26640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [26642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9117),
  [26644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20336),
  [26646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6444),
  [26648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17537),
  [26650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18852),
  [26652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21554),
  [26654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21555),
  [26656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21556),
  [26658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14895),
  [26660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4840),
  [26662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20380),
  [26664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22000),
  [26666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18415),
  [26668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21999),
  [26670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21998),
  [26672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20330),
  [26674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6551),
  [26676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18832),
  [26678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6407),
  [26680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9128),
  [26682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5850),
  [26684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14266),
  [26686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10918),
  [26688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21985),
  [26690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18373),
  [26692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21984),
  [26694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21983),
  [26696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19225),
  [26698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3916),
  [26700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20516),
  [26702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9995),
  [26704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7763),
  [26706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20313),
  [26708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10084),
  [26710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11430),
  [26712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20307),
  [26714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6310),
  [26716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9146),
  [26718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8476),
  [26720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21707),
  [26722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21970),
  [26724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18348),
  [26726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21969),
  [26728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21968),
  [26730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9869),
  [26732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6152),
  [26734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5191),
  [26736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5837),
  [26738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20280),
  [26740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14836),
  [26742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5828),
  [26744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20268),
  [26746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21955),
  [26748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18312),
  [26750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14859),
  [26752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21954),
  [26754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21953),
  [26756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6539),
  [26758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9933),
  [26760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5253),
  [26762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8072),
  [26764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4959),
  [26766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12028),
  [26768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15460),
  [26770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [26772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8958),
  [26774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21940),
  [26776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18280),
  [26778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21939),
  [26780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21938),
  [26782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3925),
  [26784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20288),
  [26786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10118),
  [26788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3570),
  [26790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10667),
  [26792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18733),
  [26794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9784),
  [26796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9043),
  [26798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4045),
  [26800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21925),
  [26802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18252),
  [26804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21924),
  [26806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21923),
  [26808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8710),
  [26810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21447),
  [26812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [26814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18243),
  [26816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9244),
  [26818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10070),
  [26820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7932),
  [26822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8397),
  [26824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6966),
  [26826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20137),
  [26828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8870),
  [26830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21910),
  [26832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18219),
  [26834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21909),
  [26836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21908),
  [26838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14882),
  [26840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6948),
  [26842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20127),
  [26844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17683),
  [26846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18678),
  [26848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21573),
  [26850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21574),
  [26852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21575),
  [26854] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [26856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18215),
  [26858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7802),
  [26860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6889),
  [26862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21895),
  [26864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18200),
  [26866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18648),
  [26868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18293),
  [26870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21894),
  [26872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21893),
  [26874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8807),
  [26876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20115),
  [26878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6059),
  [26880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14872),
  [26882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18183),
  [26884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21880),
  [26886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18148),
  [26888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21879),
  [26890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21878),
  [26892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14867),
  [26894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10058),
  [26896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3988),
  [26898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9132),
  [26900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18282),
  [26902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8890),
  [26904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9992),
  [26906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7017),
  [26908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18139),
  [26910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3689),
  [26912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8368),
  [26914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21739),
  [26916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19697),
  [26918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21865),
  [26920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18146),
  [26922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21864),
  [26924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21863),
  [26926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12013),
  [26928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6535),
  [26930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19910),
  [26932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21171),
  [26934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18274),
  [26936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21170),
  [26938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21169),
  [26940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9912),
  [26942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18179),
  [26944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17728),
  [26946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4590),
  [26948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19994),
  [26950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8799),
  [26952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20044),
  [26954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14274),
  [26956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4586),
  [26958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19881),
  [26960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 2, 0, 12),
  [26962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21850),
  [26964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18210),
  [26966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21849),
  [26968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21848),
  [26970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11486),
  [26972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18537),
  [26974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5393),
  [26976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19775),
  [26978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4553),
  [26980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18231),
  [26982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type_params, 4, 0, 0),
  [26984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21835),
  [26986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18264),
  [26988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21834),
  [26990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21833),
  [26992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19870),
  [26994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7942),
  [26996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19853),
  [26998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18303),
  [27000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3847),
  [27002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10001),
  [27004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3903),
  [27006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3784),
  [27008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21820),
  [27010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18321),
  [27012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21819),
  [27014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21818),
  [27016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13228),
  [27018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17839),
  [27020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18470),
  [27022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21592),
  [27024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21593),
  [27026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21594),
  [27028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [27030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9180),
  [27032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19820),
  [27034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6503),
  [27036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19864),
  [27038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18339),
  [27040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19818),
  [27042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6509),
  [27044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21805),
  [27046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18350),
  [27048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21804),
  [27050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18459),
  [27052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21803),
  [27054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8720),
  [27056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19902),
  [27058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3526),
  [27060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19854),
  [27062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5603),
  [27064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8103),
  [27066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3529),
  [27068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19850),
  [27070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3758),
  [27072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18424),
  [27074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21790),
  [27076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18463),
  [27078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21789),
  [27080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21788),
  [27082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19802),
  [27084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8585),
  [27086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14581),
  [27088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3859),
  [27090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8203),
  [27092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19800),
  [27094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18516),
  [27096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14854),
  [27098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8895),
  [27100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19797),
  [27102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18175),
  [27104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8922),
  [27106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19795),
  [27108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8706),
  [27110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9809),
  [27112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5160),
  [27114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14620),
  [27116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18575),
  [27118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6303),
  [27120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21531),
  [27122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8718),
  [27124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19840),
  [27126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21775),
  [27128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18576),
  [27130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21774),
  [27132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21773),
  [27134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8931),
  [27136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3890),
  [27138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18615),
  [27140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8101),
  [27142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6969),
  [27144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19745),
  [27146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12065),
  [27148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10128),
  [27150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11467),
  [27152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6975),
  [27154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19726),
  [27156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18768),
  [27158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10649),
  [27160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21760),
  [27162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18785),
  [27164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21759),
  [27166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21758),
  [27168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18344),
  [27170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18838),
  [27172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5580),
  [27174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21478),
  [27176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22451),
  [27178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6357),
  [27180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11732),
  [27182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4530),
  [27184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19698),
  [27186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4521),
  [27188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19696),
  [27190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4496),
  [27192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9850),
  [27194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8757),
  [27196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6616),
  [27198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18930),
  [27200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21744),
  [27202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18939),
  [27204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21743),
  [27206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21742),
  [27208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14831),
  [27210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7438),
  [27212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19664),
  [27214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7433),
  [27216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19662),
  [27218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7305),
  [27220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19007),
  [27222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9690),
  [27224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8308),
  [27226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17994),
  [27228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18184),
  [27230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21609),
  [27232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21610),
  [27234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21611),
  [27236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10664),
  [27238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10242),
  [27240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7130),
  [27242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19635),
  [27244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7137),
  [27246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19633),
  [27248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7191),
  [27250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19106),
  [27252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7120),
  [27254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21728),
  [27256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19122),
  [27258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21727),
  [27260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18289),
  [27262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21726),
  [27264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8274),
  [27266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19605),
  [27268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8285),
  [27270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19603),
  [27272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19298),
  [27274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14578),
  [27276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6756),
  [27278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19577),
  [27280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6740),
  [27282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19574),
  [27284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19035),
  [27286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6659),
  [27288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21712),
  [27290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19022),
  [27292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21711),
  [27294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21710),
  [27296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19485),
  [27298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6171),
  [27300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19538),
  [27302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8026),
  [27304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19481),
  [27306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18917),
  [27308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7950),
  [27310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19597),
  [27312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19596),
  [27314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9017),
  [27316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6335),
  [27318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19536),
  [27320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6273),
  [27322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6832),
  [27324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3920),
  [27326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19520),
  [27328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4018),
  [27330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19336),
  [27332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3922),
  [27334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19517),
  [27336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18842),
  [27338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3956),
  [27340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11319),
  [27342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21696),
  [27344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18839),
  [27346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21695),
  [27348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21694),
  [27350] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_type, 2, 0, 71),
  [27352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19461),
  [27354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13573),
  [27356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_typed_label, 3, 0, 72),
  [27358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19458),
  [27360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6687),
  [27362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18177),
  [27364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18807),
  [27366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3770),
  [27368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19477),
  [27370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3762),
  [27372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19475),
  [27374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3686),
  [27376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8214),
  [27378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19450),
  [27380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8976),
  [27382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19761),
  [27384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7845),
  [27386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19448),
  [27388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10687),
  [27390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8172),
  [27392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19454),
  [27394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18712),
  [27396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8169),
  [27398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19443),
  [27400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21679),
  [27402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18710),
  [27404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21678),
  [27406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21677),
  [27408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9927),
  [27410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6484),
  [27412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8089),
  [27414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3701),
  [27416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19415),
  [27418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7823),
  [27420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18652),
  [27422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18141),
  [27424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21626),
  [27426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21627),
  [27428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21628),
  [27430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3696),
  [27432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19411),
  [27434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3599),
  [27436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10224),
  [27438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7923),
  [27440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19514),
  [27442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18152),
  [27444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18512),
  [27446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21662),
  [27448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18500),
  [27450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1382),
  [27452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21661),
  [27454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21660),
  [27456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9497),
  [27458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21506),
  [27460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12051),
  [27462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9987),
  [27464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7853),
  [27466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3991),
  [27468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19370),
  [27470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3993),
  [27472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19368),
  [27474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8448),
  [27476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21723),
  [27478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4051),
  [27480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14885),
  [27482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18411),
  [27484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14896),
  [27486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1369),
  [27488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11587),
  [27490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8824),
  [27492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4016),
  [27494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19337),
  [27496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4061),
  [27498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22245),
  [27500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18333),
  [27502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18271),
  [27504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18330),
  [27506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21643),
  [27508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21644),
  [27510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21645),
  [27512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18370),
  [27514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5906),
  [27516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6869),
  [27518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3123),
  [27520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6870),
  [27522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3121),
  [27524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18300),
  [27526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7708),
  [27528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7704),
  [27530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7702),
  [27532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4546),
  [27534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4545),
  [27536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4544),
  [27538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6917),
  [27540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3116),
  [27542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6928),
  [27544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3115),
  [27546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6930),
  [27548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4078),
  [27550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17976),
  [27552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9094),
  [27554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7871),
  [27556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7870),
  [27558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6658),
  [27560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9103),
  [27562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6865),
  [27564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14070),
  [27566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9109),
  [27568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4067),
  [27570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7867),
  [27572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4063),
  [27574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6479),
  [27576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4021),
  [27578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4017),
  [27580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12851),
  [27582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18356),
  [27584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3680),
  [27586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6646),
  [27588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6656),
  [27590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [27592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11771),
  [27594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3434),
  [27596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3439),
  [27598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3456),
  [27600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11558),
  [27602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4055),
  [27604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4054),
  [27606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14057),
  [27608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1699),
  [27610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6239),
  [27612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4053),
  [27614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6243),
  [27616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12491),
  [27618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3072),
  [27620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7914),
  [27622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3090),
  [27624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18433),
  [27626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3556),
  [27628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7652),
  [27630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3995),
  [27632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6244),
  [27634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3992),
  [27636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18136),
  [27638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3128),
  [27640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12678),
  [27642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3133),
  [27644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7639),
  [27646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7832),
  [27648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11106),
  [27650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7825),
  [27652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17826),
  [27654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7629),
  [27656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11105),
  [27658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11104),
  [27660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7824),
  [27662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4515),
  [27664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7921),
  [27666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4512),
  [27668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6624),
  [27670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4511),
  [27672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8713),
  [27674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8077),
  [27676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3596),
  [27678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4037),
  [27680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12354),
  [27682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4036),
  [27684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13017),
  [27686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18571),
  [27688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8044),
  [27690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7924),
  [27692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [27694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7821),
  [27696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3695),
  [27698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1602),
  [27700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9572),
  [27702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3698),
  [27704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1601),
  [27706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14124),
  [27708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1600),
  [27710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12356),
  [27712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6414),
  [27714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18127),
  [27716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3226),
  [27718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2593),
  [27720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3225),
  [27722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18661),
  [27724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12359),
  [27726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8734),
  [27728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6952),
  [27730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6953),
  [27732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6957),
  [27734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8078),
  [27736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3656),
  [27738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3658),
  [27740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3091),
  [27742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3660),
  [27744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3323),
  [27746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7836),
  [27748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3176),
  [27750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7834),
  [27752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8166),
  [27754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17669),
  [27756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3177),
  [27758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7827),
  [27760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7917),
  [27762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8940),
  [27764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10659),
  [27766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11933),
  [27768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11934),
  [27770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8171),
  [27772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11043),
  [27774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14103),
  [27776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14102),
  [27778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6685),
  [27780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14100),
  [27782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11635),
  [27784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11630),
  [27786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11629),
  [27788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12555),
  [27790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18729),
  [27792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18166),
  [27794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8123),
  [27796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3197),
  [27798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8129),
  [27800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3976),
  [27802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3761),
  [27804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4122),
  [27806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3763),
  [27808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3200),
  [27810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8058),
  [27812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14044),
  [27814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7955),
  [27816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9599),
  [27818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5582),
  [27820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7617),
  [27822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3113),
  [27824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14085),
  [27826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6589),
  [27828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3126),
  [27830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18817),
  [27832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7610),
  [27834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8059),
  [27836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8806),
  [27838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8749),
  [27840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8064),
  [27842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3961),
  [27844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8783),
  [27846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5612),
  [27848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3703),
  [27850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3201),
  [27852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3705),
  [27854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3202),
  [27856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4123),
  [27858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5041),
  [27860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5043),
  [27862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17565),
  [27864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5046),
  [27866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4127),
  [27868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7609),
  [27870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6591),
  [27872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6272),
  [27874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7947),
  [27876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [27878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3408),
  [27880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3924),
  [27882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3406),
  [27884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3405),
  [27886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3921),
  [27888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10218),
  [27890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12232),
  [27892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12231),
  [27894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12230),
  [27896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6281),
  [27898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3947),
  [27900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12791),
  [27902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18857),
  [27904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10221),
  [27906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3946),
  [27908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6649),
  [27910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6334),
  [27912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8492),
  [27914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6342),
  [27916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14150),
  [27918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8803),
  [27920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3396),
  [27922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3395),
  [27924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3393),
  [27926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3247),
  [27928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3089),
  [27930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18833),
  [27932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11293),
  [27934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11294),
  [27936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11295),
  [27938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11083),
  [27940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6655),
  [27942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6340),
  [27944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6337),
  [27946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6521),
  [27948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8814),
  [27950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3311),
  [27952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3179),
  [27954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11163),
  [27956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8184),
  [27958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8818),
  [27960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17425),
  [27962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11067),
  [27964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11202),
  [27966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11203),
  [27968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8767),
  [27970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8822),
  [27972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8050),
  [27974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18238),
  [27976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6490),
  [27978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6739),
  [27980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12500),
  [27982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1491),
  [27984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6746),
  [27986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12107),
  [27988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5896),
  [27990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5897),
  [27992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5899),
  [27994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13027),
  [27996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19080),
  [27998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8206),
  [28000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6703),
  [28002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5922),
  [28004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6733),
  [28006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14162),
  [28008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7136),
  [28010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9003),
  [28012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7953),
  [28014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3265),
  [28016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3260),
  [28018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19210),
  [28020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5989),
  [28022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8287),
  [28024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4147),
  [28026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8282),
  [28028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11231),
  [28030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5051),
  [28032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5050),
  [28034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5048),
  [28036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3248),
  [28038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3246),
  [28040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4148),
  [28042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7183),
  [28044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8249),
  [28046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17013),
  [28048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4149),
  [28050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6095),
  [28052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14249),
  [28054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14253),
  [28056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8254),
  [28058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6633),
  [28060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14260),
  [28062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7349),
  [28064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8297),
  [28066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [28068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8306),
  [28070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8748),
  [28072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7139),
  [28074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11259),
  [28076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7135),
  [28078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14574),
  [28080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12915),
  [28082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19091),
  [28084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11194),
  [28086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11136),
  [28088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11263),
  [28090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11135),
  [28092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14582),
  [28094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7263),
  [28096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7228),
  [28098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(340),
  [28100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14046),
  [28102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17993),
  [28104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14576),
  [28106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10732),
  [28108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14050),
  [28110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3181),
  [28112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3088),
  [28114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18994),
  [28116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7223),
  [28118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4480),
  [28120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6361),
  [28122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7432),
  [28124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3254),
  [28126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7434),
  [28128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2491),
  [28130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3159),
  [28132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3155),
  [28134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3255),
  [28136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9221),
  [28138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4151),
  [28140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16731),
  [28142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11004),
  [28144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9844),
  [28146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1543),
  [28148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8349),
  [28150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8339),
  [28152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8338),
  [28154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4490),
  [28156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4154),
  [28158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7365),
  [28160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4155),
  [28162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1540),
  [28164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7384),
  [28166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2907),
  [28168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1515),
  [28170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7152),
  [28172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11011),
  [28174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11007),
  [28176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12794),
  [28178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18900),
  [28180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4520),
  [28182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4522),
  [28184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18332),
  [28186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3267),
  [28188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8777),
  [28190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12207),
  [28192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8066),
  [28194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14037),
  [28196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8246),
  [28198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3273),
  [28200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8238),
  [28202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3076),
  [28204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3083),
  [28206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18825),
  [28208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12206),
  [28210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12204),
  [28212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7128),
  [28214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4502),
  [28216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4503),
  [28218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8197),
  [28220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9208),
  [28222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3085),
  [28224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3086),
  [28226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12960),
  [28228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20732),
  [28230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6976),
  [28232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16713),
  [28234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14001),
  [28236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1383),
  [28238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1651),
  [28240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10605),
  [28242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10604),
  [28244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10602),
  [28246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8132),
  [28248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [28250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10690),
  [28252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [28254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [28256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [28258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6974),
  [28260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6400),
  [28262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12661),
  [28264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18748),
  [28266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5995),
  [28268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [28270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10681),
  [28272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6174),
  [28274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [28276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10682),
  [28278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8755),
  [28280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14101),
  [28282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10683),
  [28284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [28286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6173),
  [28288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3095),
  [28290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3097),
  [28292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18595),
  [28294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10671),
  [28296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8995),
  [28298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7096),
  [28300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6170),
  [28302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6464),
  [28304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7087),
  [28306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3099),
  [28308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3100),
  [28310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5102),
  [28312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3831),
  [28314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [28316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16989),
  [28318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2442),
  [28320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8771),
  [28322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8781),
  [28324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6462),
  [28326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5208),
  [28328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8887),
  [28330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8886),
  [28332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13261),
  [28334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12554),
  [28336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18564),
  [28338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8975),
  [28340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14195),
  [28342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8898),
  [28344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10853),
  [28346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14698),
  [28348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8138),
  [28350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14129),
  [28352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8538),
  [28354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8949),
  [28356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11133),
  [28358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3112),
  [28360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3117),
  [28362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18492),
  [28364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3865),
  [28366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3862),
  [28368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3861),
  [28370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14641),
  [28372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11151),
  [28374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3120),
  [28376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3124),
  [28378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10219),
  [28380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6516),
  [28382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11122),
  [28384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17173),
  [28386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11119),
  [28388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18421),
  [28390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9055),
  [28392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3768),
  [28394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8925),
  [28396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8597),
  [28398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12613),
  [28400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18446),
  [28402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6175),
  [28404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6172),
  [28406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8896),
  [28408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6167),
  [28410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8719),
  [28412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9002),
  [28414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13986),
  [28416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4537),
  [28418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8121),
  [28420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11185),
  [28422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3307),
  [28424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3141),
  [28426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3143),
  [28428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18412),
  [28430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3530),
  [28432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [28434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18198),
  [28436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8009),
  [28438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3527),
  [28440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3817),
  [28442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3147),
  [28444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3148),
  [28446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11092),
  [28448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3816),
  [28450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3815),
  [28452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18156),
  [28454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17329),
  [28456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6513),
  [28458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3234),
  [28460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5136),
  [28462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3840),
  [28464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8415),
  [28466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12782),
  [28468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18374),
  [28470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7560),
  [28472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7563),
  [28474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7564),
  [28476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8782),
  [28478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4582),
  [28480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11589),
  [28482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13978),
  [28484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3839),
  [28486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14575),
  [28488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11103),
  [28490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11108),
  [28492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3164),
  [28494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3166),
  [28496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18340),
  [28498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3803),
  [28500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3802),
  [28502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8769),
  [28504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8107),
  [28506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3801),
  [28508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8583),
  [28510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3168),
  [28512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3171),
  [28514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17838),
  [28516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [28518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12042),
  [28520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8721),
  [28522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17522),
  [28524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3305),
  [28526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8575),
  [28528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6546),
  [28530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8572),
  [28532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3888),
  [28534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3304),
  [28536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13003),
  [28538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18315),
  [28540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5927),
  [28542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19046),
  [28544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5951),
  [28546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3929),
  [28548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14149),
  [28550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2109),
  [28552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10791),
  [28554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4552),
  [28556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7963),
  [28558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3187),
  [28560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3189),
  [28562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18278),
  [28564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3290),
  [28566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3668),
  [28568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [28570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1282),
  [28572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3191),
  [28574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3192),
  [28576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5910),
  [28578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6443),
  [28580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3662),
  [28582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17729),
  [28584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6786),
  [28586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3289),
  [28588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1468),
  [28590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8366),
  [28592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [28594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18505),
  [28596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3288),
  [28598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7920),
  [28600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12967),
  [28602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18256),
  [28604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6935),
  [28606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [28608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [28610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5390),
  [28612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(679),
  [28614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7631),
  [28616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14072),
  [28618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7642),
  [28620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17743),
  [28622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19863),
  [28624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19861),
  [28626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3218),
  [28628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3220),
  [28630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18222),
  [28632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20025),
  [28634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3272),
  [28636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7647),
  [28638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11567),
  [28640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [28642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3222),
  [28644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3071),
  [28646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5062),
  [28648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5063),
  [28650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5064),
  [28652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17950),
  [28654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14335),
  [28656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14134),
  [28658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5094),
  [28660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14337),
  [28662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3872),
  [28664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8582),
  [28666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [28668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4587),
  [28670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3728),
  [28672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12483),
  [28674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18150),
  [28676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3727),
  [28678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10004),
  [28680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3724),
  [28682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11538),
  [28684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3957),
  [28686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5088),
  [28688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14043),
  [28690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8120),
  [28692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3958),
  [28694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3708),
  [28696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3233),
  [28698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3235),
  [28700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18163),
  [28702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3707),
  [28704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3706),
  [28706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5003),
  [28708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3237),
  [28710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3238),
  [28712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10068),
  [28714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5423),
  [28716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [28718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18120),
  [28720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6092),
  [28722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6346),
  [28724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4913),
  [28726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3871),
  [28728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3870),
  [28730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5069),
  [28732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5068),
  [28734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10038),
  [28736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12813),
  [28738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18137),
  [28740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7022),
  [28742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6442),
  [28744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5002),
  [28746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8798),
  [28748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5001),
  [28750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3973),
  [28752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13997),
  [28754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17691),
  [28756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11198),
  [28758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11086),
  [28760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3249),
  [28762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3251),
  [28764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18143),
  [28766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21989),
  [28768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [28770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11280),
  [28772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5977),
  [28774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4002),
  [28776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3259),
  [28778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3183),
  [28780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11269),
  [28782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute_payload, 3, 0, 0),
  [28784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18082),
  [28786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11266),
  [28788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18614),
  [28790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6915),
  [28792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4562),
  [28794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5159),
  [28796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11871),
  [28798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12889),
  [28800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18158),
  [28802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4879),
  [28804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4894),
  [28806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4903),
  [28808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12493),
  [28810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4563),
  [28812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14042),
  [28814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [28816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5983),
  [28818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6504),
  [28820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3292),
  [28822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3294),
  [28824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18193),
  [28826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12145),
  [28828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(438),
  [28830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11578),
  [28832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18337),
  [28834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15445),
  [28836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3296),
  [28838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3297),
  [28840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5994),
  [28842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [28844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7897),
  [28846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [28848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18017),
  [28850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11252),
  [28852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8875),
  [28854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11332),
  [28856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8796),
  [28858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10742),
  [28860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [28862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7010),
  [28864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12561),
  [28866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18201),
  [28868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6615),
  [28870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [28872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6610),
  [28874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6945),
  [28876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14063),
  [28878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11242),
  [28880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14527),
  [28882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11238),
  [28884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3314),
  [28886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3320),
  [28888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18218),
  [28890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6951),
  [28892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3349),
  [28894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3344),
  [28896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9056),
  [28898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3341),
  [28900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1279),
  [28902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3322),
  [28904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3319),
  [28906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17681),
  [28908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9745),
  [28910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17897),
  [28912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3206),
  [28914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11233),
  [28916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3204),
  [28918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3607),
  [28920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [28922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3606),
  [28924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3340),
  [28926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3339),
  [28928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12670),
  [28930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18220),
  [28932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9091),
  [28934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9089),
  [28936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3338),
  [28938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9067),
  [28940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(833),
  [28942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14074),
  [28944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6160),
  [28946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8591),
  [28948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [28950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7967),
  [28952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3244),
  [28954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3243),
  [28956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18246),
  [28958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9135),
  [28960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12827),
  [28962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7972),
  [28964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8938),
  [28966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3242),
  [28968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3236),
  [28970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [28972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7973),
  [28974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9197),
  [28976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17758),
  [28978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18133),
  [28980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3162),
  [28982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1348),
  [28984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3584),
  [28986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9761),
  [28988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3160),
  [28990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1294),
  [28992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12955),
  [28994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18255),
  [28996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6543),
  [28998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1157),
  [29000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6997),
  [29002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6994),
  [29004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7993),
  [29006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14121),
  [29008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6993),
  [29010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14732),
  [29012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1570),
  [29014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3210),
  [29016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3196),
  [29018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18277),
  [29020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6992),
  [29022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3564),
  [29024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14007),
  [29026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [29028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5843),
  [29030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6864),
  [29032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3186),
  [29034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3150),
  [29036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11117),
  [29038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6989),
  [29040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17668),
  [29042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8228),
  [29044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11245),
  [29046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [29048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [29050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13033),
  [29052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18284),
  [29054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [29056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7221),
  [29058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(870),
  [29060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5807),
  [29062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8437),
  [29064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14153),
  [29066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [29068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [29070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3118),
  [29072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3107),
  [29074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18306),
  [29076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [29078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2451),
  [29080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [29082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2401),
  [29084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8294),
  [29086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8602),
  [29088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3106),
  [29090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3101),
  [29092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8303),
  [29094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5311),
  [29096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5887),
  [29098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6984),
  [29100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17569),
  [29102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11362),
  [29104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11246),
  [29106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11248),
  [29108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6861),
  [29110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6983),
  [29112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9875),
  [29114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5833),
  [29116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13001),
  [29118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18317),
  [29120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7795),
  [29122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7794),
  [29124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7793),
  [29126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3917),
  [29128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7789),
  [29130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14176),
  [29132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10915),
  [29134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7787),
  [29136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3223),
  [29138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3291),
  [29140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18331),
  [29142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7786),
  [29144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7785),
  [29146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9087),
  [29148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9096),
  [29150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7784),
  [29152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4038),
  [29154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3293),
  [29156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3295),
  [29158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [29160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(938),
  [29162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11537),
  [29164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17454),
  [29166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1349),
  [29168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5186),
  [29170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8854),
  [29172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9986),
  [29174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4041),
  [29176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8850),
  [29178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8913),
  [29180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13148),
  [29182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6143),
  [29184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12906),
  [29186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18349),
  [29188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4043),
  [29190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7770),
  [29192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11113),
  [29194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6387),
  [29196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11116),
  [29198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14142),
  [29200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6544),
  [29202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3308),
  [29204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3321),
  [29206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11368),
  [29208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18816),
  [29210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9190),
  [29212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7757),
  [29214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3318),
  [29216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3317),
  [29218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4916),
  [29220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13020),
  [29222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17298),
  [29224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6386),
  [29226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5180),
  [29228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5908),
  [29230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10928),
  [29232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5900),
  [29234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12745),
  [29236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18375),
  [29238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10179),
  [29240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6385),
  [29242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4934),
  [29244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14084),
  [29246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [29248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [29250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1045),
  [29252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3302),
  [29254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3301),
  [29256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18410),
  [29258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2503),
  [29260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11130),
  [29262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11364),
  [29264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [29266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2413),
  [29268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4842),
  [29270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3299),
  [29272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3298),
  [29274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6502),
  [29276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11400),
  [29278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5979),
  [29280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [29282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17295),
  [29284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(957),
  [29286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [29288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11139),
  [29290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(950),
  [29292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11145),
  [29294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9357),
  [29296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [29298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12677),
  [29300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18428),
  [29302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10123),
  [29304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [29306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7373),
  [29308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4837),
  [29310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7362),
  [29312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14045),
  [29314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7348),
  [29316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2290),
  [29318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3284),
  [29320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3283),
  [29322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18444),
  [29324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8760),
  [29326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3332),
  [29328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3330),
  [29330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3329),
  [29332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8715),
  [29334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6579),
  [29336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3282),
  [29338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3281),
  [29340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17524),
  [29342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1301),
  [29344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3506),
  [29346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17197),
  [29348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3316),
  [29350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8800),
  [29352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8761),
  [29354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3315),
  [29356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4848),
  [29358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3505),
  [29360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3327),
  [29362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12538),
  [29364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18460),
  [29366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3326),
  [29368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3325),
  [29370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4845),
  [29372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4575),
  [29374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [29376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13979),
  [29378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [29380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4844),
  [29382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6439),
  [29384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3269),
  [29386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3268),
  [29388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18486),
  [29390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5925),
  [29392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8298),
  [29394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14226),
  [29396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4577),
  [29398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4579),
  [29400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3263),
  [29402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3262),
  [29404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5163),
  [29406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3490),
  [29408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8647),
  [29410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17140),
  [29412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5926),
  [29414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6642),
  [29416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18914),
  [29418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19652),
  [29420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3313),
  [29422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10190),
  [29424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12487),
  [29426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18514),
  [29428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8300),
  [29430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7387),
  [29432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14139),
  [29434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7244),
  [29436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14161),
  [29438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7303),
  [29440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6343),
  [29442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6428),
  [29444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3256),
  [29446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3253),
  [29448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18541),
  [29450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2923),
  [29452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3471),
  [29454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4139),
  [29456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4882),
  [29458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3252),
  [29460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3250),
  [29462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6638),
  [29464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1391),
  [29466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10455),
  [29468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17036),
  [29470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3312),
  [29472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6635),
  [29474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14800),
  [29476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6814),
  [29478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6859),
  [29480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4881),
  [29482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14140),
  [29484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1195),
  [29486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12549),
  [29488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18560),
  [29490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3915),
  [29492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4086),
  [29494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [29496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14141),
  [29498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1161),
  [29500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1172),
  [29502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2560),
  [29504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3224),
  [29506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3286),
  [29508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18589),
  [29510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14041),
  [29512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6853),
  [29514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6637),
  [29516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4207),
  [29518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3217),
  [29520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3216),
  [29522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6639),
  [29524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16981),
  [29526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6641),
  [29528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10143),
  [29530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16929),
  [29532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4810),
  [29534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4809),
  [29536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4759),
  [29538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4807),
  [29540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [29542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8701),
  [29544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4211),
  [29546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3438),
  [29548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12581),
  [29550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18611),
  [29552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3437),
  [29554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3435),
  [29556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8128),
  [29558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14089),
  [29560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4098),
  [29562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10089),
  [29564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [29566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3209),
  [29568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3208),
  [29570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18692),
  [29572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4106),
  [29574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3429),
  [29576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3428),
  [29578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3427),
  [29580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7700),
  [29582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10512),
  [29584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3207),
  [29586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3205),
  [29588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1216),
  [29590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6599),
  [29592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16812),
  [29594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13639),
  [29596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13637),
  [29598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6829),
  [29600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8561),
  [29602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8544),
  [29604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10139),
  [29606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10141),
  [29608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8275),
  [29610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12598),
  [29612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18731),
  [29614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19790),
  [29616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7690),
  [29618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7689),
  [29620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14018),
  [29622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [29624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [29626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3198),
  [29628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3193),
  [29630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18762),
  [29632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12348),
  [29634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4125),
  [29636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8135),
  [29638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3190),
  [29640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3188),
  [29642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13649),
  [29644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6807),
  [29646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4138),
  [29648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16744),
  [29650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11215),
  [29652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11216),
  [29654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11217),
  [29656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2231),
  [29658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8716),
  [29660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18992),
  [29662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12691),
  [29664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18782),
  [29666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8640),
  [29668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4177),
  [29670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11268),
  [29672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10336),
  [29674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13987),
  [29676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [29678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8529),
  [29680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3182),
  [29682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3180),
  [29684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18811),
  [29686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10373),
  [29688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4178),
  [29690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10358),
  [29692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1346),
  [29694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3178),
  [29696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3175),
  [29698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12505),
  [29700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10311),
  [29702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11274),
  [29704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8609),
  [29706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16666),
  [29708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5937),
  [29710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5911),
  [29712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [29714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1319),
  [29716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2172),
  [29718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8239),
  [29720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12732),
  [29722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18827),
  [29724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11465),
  [29726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11466),
  [29728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1277),
  [29730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14040),
  [29732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2628),
  [29734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11224),
  [29736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3161),
  [29738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3156),
  [29740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18855),
  [29742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10316),
  [29744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5941),
  [29746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8657),
  [29748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6523),
  [29750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8659),
  [29752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3151),
  [29754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3149),
  [29756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1204),
  [29758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6042),
  [29760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6043),
  [29762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [29764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16592),
  [29766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11239),
  [29768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [29770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11468),
  [29772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6044),
  [29774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10322),
  [29776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6279),
  [29778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 3, 0, 0),
  [29780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12764),
  [29782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18879),
  [29784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11240),
  [29786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3279),
  [29788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6278),
  [29790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6051),
  [29792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [29794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14138),
  [29796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11535),
  [29798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10988),
  [29800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1702),
  [29802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3137),
  [29804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3136),
  [29806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18904),
  [29808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1693),
  [29810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6054),
  [29812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1692),
  [29814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9821),
  [29816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6056),
  [29818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7618),
  [29820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3134),
  [29822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3131),
  [29824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1201),
  [29826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1452),
  [29828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17383),
  [29830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16675),
  [29832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8762),
  [29834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13985),
  [29836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21463),
  [29838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8576),
  [29840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10334),
  [29842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8209),
  [29844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7608),
  [29846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12806),
  [29848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18920),
  [29850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7607),
  [29852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6247),
  [29854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13527),
  [29856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3278),
  [29858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4790),
  [29860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14165),
  [29862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1229),
  [29864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10337),
  [29866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3119),
  [29868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3114),
  [29870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18948),
  [29872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8528),
  [29874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6618),
  [29876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8532),
  [29878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8480),
  [29880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6223),
  [29882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4856),
  [29884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3111),
  [29886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3108),
  [29888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [29890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10678),
  [29892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8675),
  [29894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(848),
  [29896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16768),
  [29898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13341),
  [29900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5384),
  [29902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [29904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15591),
  [29906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8542),
  [29908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15088),
  [29910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12860),
  [29912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18973),
  [29914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8493),
  [29916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2499),
  [29918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19095),
  [29920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3276),
  [29922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14088),
  [29924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10161),
  [29926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3080),
  [29928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3078),
  [29930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19013),
  [29932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7140),
  [29934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1488),
  [29936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8547),
  [29938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4880),
  [29940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3094),
  [29942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3092),
  [29944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3275),
  [29946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1464),
  [29948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1466),
  [29950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1467),
  [29952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16860),
  [29954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14788),
  [29956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13309),
  [29958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2680),
  [29960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13307),
  [29962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10415),
  [29964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6611),
  [29966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12891),
  [29968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19037),
  [29970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5935),
  [29972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14056),
  [29974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16889),
  [29976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3836),
  [29978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13988),
  [29980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8380),
  [29982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2073),
  [29984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3103),
  [29986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3096),
  [29988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19065),
  [29990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1424),
  [29992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4785),
  [29994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6522),
  [29996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6533),
  [29998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6536),
  [30000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1425),
  [30002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3104),
  [30004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3105),
  [30006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10834),
  [30008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1426),
  [30010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10707),
  [30012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16952),
  [30014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11432),
  [30016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6681),
  [30018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [30020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8408),
  [30022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7198),
  [30024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12922),
  [30026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19096),
  [30028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7208),
  [30030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2940),
  [30032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6689),
  [30034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6538),
  [30036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13990),
  [30038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5940),
  [30040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19107),
  [30042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6545),
  [30044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6550),
  [30046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7580),
  [30048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16996),
  [30050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8208),
  [30052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7187),
  [30054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10979),
  [30056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12944),
  [30058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19114),
  [30060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8463),
  [30062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6622),
  [30064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7398),
  [30066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19128),
  [30068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1512),
  [30070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1398),
  [30072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7399),
  [30074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7143),
  [30076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7141),
  [30078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1155),
  [30080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12962),
  [30082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19135),
  [30084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8373),
  [30086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8187),
  [30088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8436),
  [30090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11309),
  [30092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1560),
  [30094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19149),
  [30096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10982),
  [30098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15434),
  [30100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10986),
  [30102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11313),
  [30104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11314),
  [30106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19206),
  [30108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19162),
  [30110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6745),
  [30112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7513),
  [30114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12495),
  [30116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5898),
  [30118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19175),
  [30120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2353),
  [30122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7514),
  [30124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1555),
  [30126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11330),
  [30128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5912),
  [30130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6630),
  [30132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19188),
  [30134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9198),
  [30136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7534),
  [30138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1554),
  [30140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1553),
  [30142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5915),
  [30144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19194),
  [30146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11351),
  [30148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8848),
  [30150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6724),
  [30152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11352),
  [30154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8422),
  [30156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1549),
  [30158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19208),
  [30160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9092),
  [30162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4829),
  [30164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17247),
  [30166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8421),
  [30168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7444),
  [30170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3241),
  [30172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19213),
  [30174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [30176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3070),
  [30178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5895),
  [30180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19233),
  [30182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9203),
  [30184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7507),
  [30186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9167),
  [30188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5802),
  [30190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8376),
  [30192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19287),
  [30194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3221),
  [30196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19244),
  [30198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4821),
  [30200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8176),
  [30202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3219),
  [30204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5834),
  [30206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14693),
  [30208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19259),
  [30210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [30212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7723),
  [30214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11195),
  [30216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5804),
  [30218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6722),
  [30220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13559),
  [30222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19278),
  [30224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14094),
  [30226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9400),
  [30228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9220),
  [30230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8361),
  [30232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11419),
  [30234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1465),
  [30236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8491),
  [30238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19212),
  [30240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1521),
  [30242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1523),
  [30244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5358),
  [30246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1524),
  [30248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2731),
  [30250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [30252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2906),
  [30254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1531),
  [30256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1529),
  [30258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9214),
  [30260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2152),
  [30262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13831),
  [30264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11373),
  [30266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9210),
  [30268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8061),
  [30270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13553),
  [30272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8062),
  [30274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8063),
  [30276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2291),
  [30278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [30280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2252),
  [30282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8070),
  [30284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2178),
  [30286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8071),
  [30288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8074),
  [30290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9099),
  [30292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8075),
  [30294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8080),
  [30296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [30298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7535),
  [30300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [30302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [30304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1606),
  [30306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7738),
  [30308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8164),
  [30310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6849),
  [30312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4014),
  [30314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [30316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7525),
  [30318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7524),
  [30320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1511),
  [30322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8114),
  [30324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11251),
  [30326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1510),
  [30328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11244),
  [30330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11243),
  [30332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1447),
  [30334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4028),
  [30336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19239),
  [30338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6878),
  [30340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6881),
  [30342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8147),
  [30344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [30346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6882),
  [30348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4214),
  [30350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13044),
  [30352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8936),
  [30354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1525),
  [30356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7715),
  [30358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [30360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10109),
  [30362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7713),
  [30364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8962),
  [30366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1630),
  [30368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5448),
  [30370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9070),
  [30372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4015),
  [30374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1568),
  [30376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2948),
  [30378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4196),
  [30380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1615),
  [30382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11225),
  [30384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1619),
  [30386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1624),
  [30388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2550),
  [30390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5156),
  [30392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6895),
  [30394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8067),
  [30396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6896),
  [30398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6901),
  [30400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8894),
  [30402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10997),
  [30404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8947),
  [30406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4392),
  [30408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15442),
  [30410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8056),
  [30412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16202),
  [30414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4394),
  [30416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7574),
  [30418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7576),
  [30420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6803),
  [30422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3152),
  [30424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7583),
  [30426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6792),
  [30428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6788),
  [30430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11264),
  [30432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7159),
  [30434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11193),
  [30436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10163),
  [30438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7160),
  [30440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6417),
  [30442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6771),
  [30444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [30446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1472),
  [30448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6769),
  [30450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2098),
  [30452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18978),
  [30454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7451),
  [30456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17108),
  [30458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1648),
  [30460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2367),
  [30462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [30464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15398),
  [30466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [30468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5181),
  [30470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [30472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6494),
  [30474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7441),
  [30476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7440),
  [30478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3165),
  [30480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7182),
  [30482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5182),
  [30484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3163),
  [30486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2938),
  [30488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9800),
  [30490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(718),
  [30492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9274),
  [30494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11025),
  [30496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8543),
  [30498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14076),
  [30500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14702),
  [30502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9874),
  [30504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7197),
  [30506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20100),
  [30508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20231),
  [30510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20233),
  [30512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5422),
  [30514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4666),
  [30516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4223),
  [30518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9967),
  [30520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10599),
  [30522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9860),
  [30524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4229),
  [30526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11223),
  [30528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10677),
  [30530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7578),
  [30532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11221),
  [30534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8005),
  [30536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10017),
  [30538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1674),
  [30540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7579),
  [30542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [30544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14717),
  [30546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19168),
  [30548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3153),
  [30550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7649),
  [30552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4650),
  [30554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1668),
  [30556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1669),
  [30558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10050),
  [30560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1672),
  [30562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2106),
  [30564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7600),
  [30566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14667),
  [30568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8257),
  [30570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4541),
  [30572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3154),
  [30574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14669),
  [30576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4528),
  [30578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7225),
  [30580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7226),
  [30582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7227),
  [30584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5089),
  [30586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3172),
  [30588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7976),
  [30590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14174),
  [30592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13241),
  [30594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13414),
  [30596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7280),
  [30598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(446),
  [30600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7278),
  [30602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18422),
  [30604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8037),
  [30606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7232),
  [30608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8034),
  [30610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8524),
  [30612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5341),
  [30614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5343),
  [30616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7233),
  [30618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7593),
  [30620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13423),
  [30622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7234),
  [30624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13150),
  [30626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1676),
  [30628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12512),
  [30630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1101),
  [30632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [30634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1087),
  [30636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [30638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15042),
  [30640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5080),
  [30642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10970),
  [30644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1047),
  [30646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3203),
  [30648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16810),
  [30650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2594),
  [30652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7665),
  [30654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7615),
  [30656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13147),
  [30658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13141),
  [30660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2946),
  [30662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7261),
  [30664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6775),
  [30666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10542),
  [30668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18995),
  [30670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18438),
  [30672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3214),
  [30674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7246),
  [30676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(910),
  [30678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [30680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9791),
  [30682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9790),
  [30684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7381),
  [30686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6194),
  [30688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5100),
  [30690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8335),
  [30692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9281),
  [30694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5362),
  [30696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9785),
  [30698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21465),
  [30700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21467),
  [30702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21469),
  [30704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11956),
  [30706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4675),
  [30708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8512),
  [30710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8511),
  [30712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15547),
  [30714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [30716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10656),
  [30718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8510),
  [30720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9910),
  [30722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10615),
  [30724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6978),
  [30726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6979),
  [30728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6980),
  [30730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4656),
  [30732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [30734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14791),
  [30736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17220),
  [30738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7591),
  [30740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7283),
  [30742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8509),
  [30744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1022),
  [30746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1021),
  [30748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1020),
  [30750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2494),
  [30752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6204),
  [30754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9164),
  [30756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8507),
  [30758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14453),
  [30760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8382),
  [30762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8387),
  [30764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10293),
  [30766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7589),
  [30768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12124),
  [30770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17201),
  [30772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12121),
  [30774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8391),
  [30776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4703),
  [30778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8772),
  [30780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11179),
  [30782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7683),
  [30784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11178),
  [30786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11322),
  [30788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4242),
  [30790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4244),
  [30792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11247),
  [30794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5151),
  [30796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8497),
  [30798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18178),
  [30800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4245),
  [30802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8496),
  [30804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5169),
  [30806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6988),
  [30808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4726),
  [30810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8495),
  [30812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4723),
  [30814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4253),
  [30816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2929),
  [30818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4254),
  [30820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4259),
  [30822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9335),
  [30824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9168),
  [30826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7235),
  [30828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22452),
  [30830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22486),
  [30832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22526),
  [30834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6990),
  [30836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8474),
  [30838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6991),
  [30840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5225),
  [30842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1727),
  [30844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9781),
  [30846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14421),
  [30848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10696),
  [30850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8470),
  [30852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17397),
  [30854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11329),
  [30856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8484),
  [30858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8483),
  [30860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8464),
  [30862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6231),
  [30864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9884),
  [30866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11623),
  [30868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15287),
  [30870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [30872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7240),
  [30874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7243),
  [30876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11236),
  [30878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11019),
  [30880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [30882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5388),
  [30884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11895),
  [30886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7620),
  [30888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5394),
  [30890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11085),
  [30892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11253),
  [30894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4677),
  [30896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19109),
  [30898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7464),
  [30900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7465),
  [30902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2706),
  [30904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3144),
  [30906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18267),
  [30908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1675),
  [30910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [30912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9317),
  [30914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8007),
  [30916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21963),
  [30918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21960),
  [30920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21957),
  [30922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1678),
  [30924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8919),
  [30926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10733),
  [30928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12872),
  [30930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2945),
  [30932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7472),
  [30934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1653),
  [30936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1663),
  [30938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4909),
  [30940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7402),
  [30942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1705),
  [30944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [30946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1704),
  [30948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20481),
  [30950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1703),
  [30952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6798),
  [30954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2256),
  [30956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11148),
  [30958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9994),
  [30960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [30962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4905),
  [30964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18423),
  [30966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4904),
  [30968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7741),
  [30970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6306),
  [30972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9313),
  [30974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6307),
  [30976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21406),
  [30978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21401),
  [30980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21400),
  [30982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11082),
  [30984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8425),
  [30986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12821),
  [30988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11281),
  [30990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3158),
  [30992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [30994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14047),
  [30996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18477),
  [30998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7718),
  [31000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [31002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7109),
  [31004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10916),
  [31006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7108),
  [31008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11128),
  [31010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7107),
  [31012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18570),
  [31014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5261),
  [31016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7102),
  [31018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11127),
  [31020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7100),
  [31022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9350),
  [31024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7099),
  [31026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21073),
  [31028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21071),
  [31030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21070),
  [31032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7098),
  [31034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12434),
  [31036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12272),
  [31038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7097),
  [31040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6640),
  [31042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(915),
  [31044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(422),
  [31046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11120),
  [31048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6677),
  [31050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6665),
  [31052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7083),
  [31054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11550),
  [31056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18681),
  [31058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [31060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9227),
  [31062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20916),
  [31064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20910),
  [31066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20909),
  [31068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11948),
  [31070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11331),
  [31072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11829),
  [31074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5244),
  [31076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7944),
  [31078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16890),
  [31080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [31082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5183),
  [31084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5194),
  [31086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3102),
  [31088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1682),
  [31090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7068),
  [31092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10940),
  [31094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3098),
  [31096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7602),
  [31098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18786),
  [31100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11879),
  [31102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9394),
  [31104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20644),
  [31106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20638),
  [31108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20624),
  [31110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8427),
  [31112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11005),
  [31114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10864),
  [31116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11000),
  [31118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [31120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6254),
  [31122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10833),
  [31124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6251),
  [31126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10998),
  [31128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10991),
  [31130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18888),
  [31132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7575),
  [31134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9310),
  [31136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20344),
  [31138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20341),
  [31140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20337),
  [31142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11038),
  [31144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [31146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10974),
  [31148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10965),
  [31150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5210),
  [31152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(907),
  [31154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [31156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [31158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [31160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18989),
  [31162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(900),
  [31164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9235),
  [31166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20074),
  [31168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20070),
  [31170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20069),
  [31172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2167),
  [31174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8329),
  [31176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9182),
  [31178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10966),
  [31180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [31182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6208),
  [31184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8381),
  [31186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10962),
  [31188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10920),
  [31190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [31192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19089),
  [31194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10960),
  [31196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9360),
  [31198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19828),
  [31200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19824),
  [31202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19823),
  [31204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [31206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [31208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4961),
  [31210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6183),
  [31212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10735),
  [31214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20279),
  [31216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3369),
  [31218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(999),
  [31220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3367),
  [31222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1005),
  [31224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19184),
  [31226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3361),
  [31228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9248),
  [31230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19573),
  [31232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19571),
  [31234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19570),
  [31236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4757),
  [31238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1007),
  [31240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18983),
  [31242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4956),
  [31244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3667),
  [31246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3084),
  [31248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3647),
  [31250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3352),
  [31252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3346),
  [31254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19266),
  [31256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3342),
  [31258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9259),
  [31260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19373),
  [31262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19372),
  [31264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19371),
  [31266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8518),
  [31268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14049),
  [31270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1590),
  [31272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8522),
  [31274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2244),
  [31276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5116),
  [31278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8527),
  [31280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3515),
  [31282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19291),
  [31284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3082),
  [31286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9311),
  [31288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19339),
  [31290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19340),
  [31292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19341),
  [31294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2080),
  [31296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15366),
  [31298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10197),
  [31300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14685),
  [31302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [31304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1719),
  [31306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1720),
  [31308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3414),
  [31310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1722),
  [31312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19265),
  [31314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2724),
  [31316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9365),
  [31318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19402),
  [31320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19403),
  [31322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19404),
  [31324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7601),
  [31326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10897),
  [31328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [31330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10014),
  [31332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1711),
  [31334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10873),
  [31336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8027),
  [31338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1503),
  [31340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19242),
  [31342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8396),
  [31344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9367),
  [31346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19465),
  [31348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19466),
  [31350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19467),
  [31352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8469),
  [31354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14777),
  [31356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7474),
  [31358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8486),
  [31360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1563),
  [31362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1559),
  [31364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1539),
  [31366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12199),
  [31368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2157),
  [31370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14055),
  [31372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19215),
  [31374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9359),
  [31376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19528),
  [31378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19529),
  [31380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19530),
  [31382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6430),
  [31384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8039),
  [31386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14937),
  [31388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8043),
  [31390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14521),
  [31392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8417),
  [31394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7509),
  [31396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19195),
  [31398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [31400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9332),
  [31402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19583),
  [31404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19584),
  [31406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19585),
  [31408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10487),
  [31410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7594),
  [31412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7581),
  [31414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4431),
  [31416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4432),
  [31418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4433),
  [31420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20701),
  [31422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4944),
  [31424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19177),
  [31426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4483),
  [31428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9253),
  [31430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19638),
  [31432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19639),
  [31434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19640),
  [31436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__quoted_string, 2, 0, 0),
  [31438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14944),
  [31440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4482),
  [31442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4434),
  [31444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4435),
  [31446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14949),
  [31448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4411),
  [31450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8399),
  [31452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4436),
  [31454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14602),
  [31456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19154),
  [31458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6393),
  [31460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9230),
  [31462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19693),
  [31464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19694),
  [31466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19695),
  [31468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4598),
  [31470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [31472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4441),
  [31474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1377),
  [31476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7489),
  [31478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4599),
  [31480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6582),
  [31482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14754),
  [31484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19134),
  [31486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6397),
  [31488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9295),
  [31490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19748),
  [31492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19749),
  [31494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19750),
  [31496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8318),
  [31498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8604),
  [31500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6402),
  [31502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4471),
  [31504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8475),
  [31506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [31508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(504),
  [31510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4897),
  [31512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19115),
  [31514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7471),
  [31516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19792),
  [31518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19793),
  [31520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19794),
  [31522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4378),
  [31524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14297),
  [31526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1725),
  [31528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16725),
  [31530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4460),
  [31532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14301),
  [31534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4895),
  [31536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7716),
  [31538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19100),
  [31540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7717),
  [31542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19833),
  [31544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19834),
  [31546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19835),
  [31548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6593),
  [31550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7052),
  [31552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7053),
  [31554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7054),
  [31556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7721),
  [31558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4605),
  [31560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [31562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5076),
  [31564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19082),
  [31566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4608),
  [31568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19874),
  [31570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19875),
  [31572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19876),
  [31574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7470),
  [31576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7627),
  [31578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8334),
  [31580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [31582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1224),
  [31584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2917),
  [31586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [31588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2658),
  [31590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [31592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19066),
  [31594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5558),
  [31596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19915),
  [31598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19916),
  [31600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19917),
  [31602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18558),
  [31604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7071),
  [31606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7084),
  [31608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7095),
  [31610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7828),
  [31612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7624),
  [31614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4607),
  [31616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7952),
  [31618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19052),
  [31620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7521),
  [31622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19956),
  [31624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19957),
  [31626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19958),
  [31628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6885),
  [31630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22539),
  [31632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6886),
  [31634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6887),
  [31636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1261),
  [31638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [31640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8851),
  [31642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6581),
  [31644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6894),
  [31646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19036),
  [31648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14240),
  [31650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19997),
  [31652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19998),
  [31654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19999),
  [31656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6897),
  [31658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6898),
  [31660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6899),
  [31662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6900),
  [31664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6376),
  [31666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6091),
  [31668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [31670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3755),
  [31672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19017),
  [31674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3753),
  [31676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20038),
  [31678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20039),
  [31680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20040),
  [31682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14716),
  [31684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5364),
  [31686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8316),
  [31688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6075),
  [31690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4356),
  [31692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11591),
  [31694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6052),
  [31696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6071),
  [31698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6053),
  [31700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19000),
  [31702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6911),
  [31704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20079),
  [31706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20080),
  [31708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20081),
  [31710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6058),
  [31712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5312),
  [31714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9010),
  [31716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6725),
  [31718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2382),
  [31720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5203),
  [31722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_character_content, 1, 0, 0),
  [31724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [31726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1558),
  [31728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18984),
  [31730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3734),
  [31732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20120),
  [31734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20121),
  [31736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20122),
  [31738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3756),
  [31740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1557),
  [31742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4355),
  [31744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1550),
  [31746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4869),
  [31748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4803),
  [31750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18439),
  [31752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18962),
  [31754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6926),
  [31756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20161),
  [31758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20162),
  [31760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20163),
  [31762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14169),
  [31764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10607),
  [31766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14673),
  [31768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7682),
  [31770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3277),
  [31772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(399),
  [31774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1565),
  [31776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18949),
  [31778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11162),
  [31780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20202),
  [31782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20203),
  [31784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20204),
  [31786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8000),
  [31788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7380),
  [31790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7651),
  [31792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14804),
  [31794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3232),
  [31796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1102),
  [31798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [31800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11129),
  [31802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18931),
  [31804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20242),
  [31806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20243),
  [31808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20244),
  [31810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3140),
  [31812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6950),
  [31814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [31816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(886),
  [31818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [31820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2522),
  [31822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11125),
  [31824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7354),
  [31826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7366),
  [31828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18918),
  [31830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11123),
  [31832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20282),
  [31834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20283),
  [31836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20284),
  [31838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7296),
  [31840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18903),
  [31842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10574),
  [31844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14164),
  [31846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [31848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10496),
  [31850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18908),
  [31852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5735),
  [31854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20321),
  [31856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20322),
  [31858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20323),
  [31860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5738),
  [31862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5739),
  [31864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6680),
  [31866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5485),
  [31868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5836),
  [31870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12551),
  [31872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3127),
  [31874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5835),
  [31876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5748),
  [31878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18893),
  [31880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5749),
  [31882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20360),
  [31884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20361),
  [31886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20362),
  [31888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5751),
  [31890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15022),
  [31892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6804),
  [31894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13531),
  [31896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [31898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3738),
  [31900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15014),
  [31902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [31904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7313),
  [31906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18878),
  [31908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8310),
  [31910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20399),
  [31912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20400),
  [31914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20401),
  [31916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6817),
  [31918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6818),
  [31920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5810),
  [31922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18527),
  [31924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [31926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8312),
  [31928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3736),
  [31930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6191),
  [31932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1538),
  [31934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20437),
  [31936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20438),
  [31938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20439),
  [31940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10985),
  [31942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9181),
  [31944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8235),
  [31946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5785),
  [31948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7229),
  [31950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11107),
  [31952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6999),
  [31954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10594),
  [31956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7231),
  [31958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15389),
  [31960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20475),
  [31962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20476),
  [31964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20477),
  [31966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4526),
  [31968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7238),
  [31970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4832),
  [31972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7259),
  [31974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8379),
  [31976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14151),
  [31978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5443),
  [31980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7257),
  [31982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10588),
  [31984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [31986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20513),
  [31988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20514),
  [31990] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20515),
  [31992] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11397),
  [31994] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6311),
  [31996] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6212),
  [31998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6598),
  [32000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(793),
  [32002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [32004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14628),
  [32006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [32008] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8388),
  [32010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [32012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20551),
  [32014] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20552),
  [32016] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20553),
  [32018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11324),
  [32020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7242),
  [32022] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7237),
  [32024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7236),
  [32026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6123),
  [32028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7573),
  [32030] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6124),
  [32032] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7132),
  [32034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20589),
  [32036] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20590),
  [32038] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20591),
  [32040] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6128),
  [32042] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10924),
  [32044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7556),
  [32046] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7134),
  [32048] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6477),
  [32050] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4516),
  [32052] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11096),
  [32054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4517),
  [32056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4518),
  [32058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7686),
  [32060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20627),
  [32062] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20628),
  [32064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20629),
  [32066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5011),
  [32068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11095),
  [32070] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5009),
  [32072] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1706),
  [32074] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4524),
  [32076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__infix_operator, 1, 0, 0),
  [32078] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4525),
  [32080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8908),
  [32082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20665),
  [32084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20666),
  [32086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20667),
  [32088] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5115),
  [32090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7491),
  [32092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [32094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17521),
  [32096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3087),
  [32098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14781),
  [32100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [32102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1423),
  [32104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [32106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2176),
  [32108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20703),
  [32110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20704),
  [32112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20705),
  [32114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1419),
  [32116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6330),
  [32118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [32120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7570),
  [32122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7569),
  [32124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4992),
  [32126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8389),
  [32128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1486),
  [32130] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [32132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [32134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20741),
  [32136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20742),
  [32138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20743),
  [32140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compilation_unit, 2, 0, 0),
  [32142] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8281),
  [32144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3075),
  [32146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2746),
  [32148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14115),
  [32150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1517),
  [32152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16621),
  [32154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11417),
  [32156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6848),
  [32158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20779),
  [32160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20780),
  [32162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20781),
  [32164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14355),
  [32166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4981),
  [32168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [32170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6607),
  [32172] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [32174] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3135),
  [32176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7036),
  [32178] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3139),
  [32180] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20816),
  [32182] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20817),
  [32184] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20818),
  [32186] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [32188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6801),
  [32190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6774),
  [32192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10836),
  [32194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7050),
  [32196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4746),
  [32198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(993),
  [32200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17029),
  [32202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11503),
  [32204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20853),
  [32206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20854),
  [32208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20855),
  [32210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8540),
  [32212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(946),
  [32214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [32216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20874),
  [32218] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20875),
  [32220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20876),
  [32222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [32224] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2283),
  [32226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15399),
  [32228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20891),
  [32230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20892),
  [32232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20893),
  [32234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [32236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20901),
  [32238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20902),
  [32240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20903),
  [32242] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6628),
  [32244] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9966),
  [32246] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20911),
  [32248] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20912),
  [32250] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20913),
  [32252] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [32254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6754),
  [32256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20921),
  [32258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20922),
  [32260] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20923),
  [32262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3805),
  [32264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3804),
  [32266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20931),
  [32268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20932),
  [32270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20933),
  [32272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3800),
  [32274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8357),
  [32276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20941),
  [32278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20942),
  [32280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20943),
  [32282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4735),
  [32284] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10763),
  [32286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20951),
  [32288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20952),
  [32290] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20953),
  [32292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4386),
  [32294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [32296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20961),
  [32298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20962),
  [32300] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20963),
  [32302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4382),
  [32304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3788),
  [32306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20971),
  [32308] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20972),
  [32310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20973),
  [32312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3787),
  [32314] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3783),
  [32316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20981),
  [32318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20982),
  [32320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20983),
  [32322] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8148),
  [32324] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10765),
  [32326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20991),
  [32328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20992),
  [32330] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20993),
  [32332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [32334] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21001),
  [32336] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21002),
  [32338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21003),
  [32340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8152),
  [32342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21011),
  [32344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21012),
  [32346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21013),
  [32348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8154),
  [32350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4364),
  [32352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1469),
  [32354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18815),
  [32356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3169),
  [32358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10767),
  [32360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4251),
  [32362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [32364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11344),
  [32366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4252),
  [32368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4347),
  [32370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4722),
  [32372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3170),
  [32374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8501),
  [32376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6514),
  [32378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14699),
  [32380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4721),
  [32382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8841),
  [32384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6508),
  [32386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4255),
  [32388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1162),
  [32390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17027),
  [32392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14606),
  [32394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11348),
  [32396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4256),
  [32398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4257),
  [32400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6663),
  [32402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14611),
  [32404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6830),
  [32406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6389),
  [32408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [32410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1059),
  [32412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1139),
  [32414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [32416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2200),
  [32418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2905),
  [32420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21185),
  [32422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14626),
  [32424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2607),
  [32426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13566),
  [32428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4248),
  [32430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6857),
  [32432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2912),
  [32434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2895),
  [32436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14596),
  [32438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2914),
  [32440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2047),
  [32442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1416),
  [32444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [32446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8689),
  [32448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1415),
  [32450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14656),
  [32452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [32454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17150),
  [32456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14612),
  [32458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14608),
  [32460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7357),
  [32462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21299),
  [32464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8711),
  [32466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8607),
  [32468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8611),
  [32470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9879),
  [32472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8613),
  [32474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8606),
  [32476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1442),
  [32478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8646),
  [32480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14635),
  [32482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13994),
  [32484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17182),
  [32486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14598),
  [32488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14607),
  [32490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6480),
  [32492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6478),
  [32494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21373),
  [32496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8656),
  [32498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6227),
  [32500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8672),
  [32502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8683),
  [32504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8691),
  [32506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1097),
  [32508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [32510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4931),
  [32512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17179),
  [32514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21421),
  [32516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1100),
  [32518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(884),
  [32520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6014),
  [32522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4929),
  [32524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4928),
  [32526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17268),
  [32528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8709),
  [32530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8372),
  [32532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17288),
  [32534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9389),
  [32536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17304),
  [32538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10157),
  [32540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14536),
  [32542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17323),
  [32544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17330),
  [32546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17341),
  [32548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17351),
  [32550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17355),
  [32552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17371),
  [32554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17378),
  [32556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17398),
  [32558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17418),
  [32560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17431),
  [32562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17436),
  [32564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17444),
  [32566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17459),
  [32568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17480),
  [32570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17391),
  [32572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17515),
  [32574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17527),
  [32576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17532),
  [32578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17543),
  [32580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17563),
  [32582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17578),
  [32584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17586),
  [32586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17592),
  [32588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17611),
  [32590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17619),
  [32592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17630),
  [32594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17637),
  [32596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17651),
  [32598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17671),
  [32600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17688),
  [32602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17711),
  [32604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17721),
  [32606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17733),
  [32608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17740),
  [32610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17744),
  [32612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17645),
  [32614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17751),
  [32616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17772),
  [32618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17779),
  [32620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17794),
  [32622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17803),
  [32624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17830),
  [32626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17837),
  [32628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17852),
  [32630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17856),
  [32632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17860),
  [32634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17867),
  [32636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17871),
  [32638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17879),
  [32640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17893),
  [32642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17896),
  [32644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17902),
  [32646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17910),
  [32648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17912),
  [32650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17921),
  [32652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17923),
  [32654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1710),
  [32656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [32658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [32660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22287),
  [32662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11387),
  [32664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10033),
  [32666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6010),
  [32668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6009),
  [32670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10885),
  [32672] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4287),
  [32674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10076),
  [32676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10077),
  [32678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9042),
  [32680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11375),
  [32682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8668),
  [32684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1713),
  [32686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1721),
  [32688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10175),
  [32690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12361),
  [32692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8608),
  [32694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14083),
  [32696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6284),
  [32698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1726),
  [32700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1634),
  [32702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6294),
  [32704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6295),
  [32706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(442),
  [32708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8615),
  [32710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12832),
  [32712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [32714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [32716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6384),
  [32718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18747),
  [32720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8612),
  [32722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6094),
  [32724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(871),
  [32726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8893),
  [32728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(868),
  [32730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [32732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6325),
  [32734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2328),
  [32736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10168),
  [32738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4297),
  [32740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10140),
  [32742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10398),
  [32744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [32746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6364),
  [32748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10400),
  [32750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [32752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6316),
  [32754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6368),
  [32756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10418),
  [32758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1716),
  [32760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1715),
  [32762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1714),
  [32764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11553),
  [32766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3626),
  [32768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3628),
  [32770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6363),
  [32772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4617),
  [32774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4618),
  [32776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2555),
  [32778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4620),
  [32780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5480),
  [32782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11378),
  [32784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3633),
  [32786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4859),
  [32788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8862),
  [32790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1170),
  [32792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4849),
  [32794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4627),
  [32796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9202),
  [32798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4628),
  [32800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4629),
  [32802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9957),
  [32804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4305),
  [32806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10144),
  [32808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4306),
  [32810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1244),
  [32812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8994),
  [32814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4581),
  [32816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3649),
  [32818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8999),
  [32820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10097),
  [32822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9958),
  [32824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4823),
  [32826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9000),
  [32828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [32830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9207),
  [32832] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9009),
  [32834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3650),
  [32836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3654),
  [32838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9027),
  [32840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9209),
  [32842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6110),
  [32844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4795),
  [32846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10186),
  [32848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6427),
  [32850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6447),
  [32852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6105),
  [32854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6446),
  [32856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [32858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6839),
  [32860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [32862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [32864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 3, 0, 0),
  [32866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_attribute, 4, 0, 0),
};

enum ts_external_scanner_symbol_identifiers {
  ts_external_token_comment = 0,
  ts_external_token__left_quoted_string_delimiter = 1,
  ts_external_token__right_quoted_string_delimiter = 2,
  ts_external_token_DQUOTE = 3,
  ts_external_token_line_number_directive = 4,
  ts_external_token__null = 5,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_comment] = sym_comment,
  [ts_external_token__left_quoted_string_delimiter] = sym__left_quoted_string_delimiter,
  [ts_external_token__right_quoted_string_delimiter] = sym__right_quoted_string_delimiter,
  [ts_external_token_DQUOTE] = anon_sym_DQUOTE,
  [ts_external_token_line_number_directive] = sym_line_number_directive,
  [ts_external_token__null] = sym__null,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [2] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [3] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [5] = {
    [ts_external_token_comment] = true,
    [ts_external_token_DQUOTE] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [6] = {
    [ts_external_token_comment] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [7] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
    [ts_external_token__null] = true,
  },
  [8] = {
    [ts_external_token_comment] = true,
    [ts_external_token__left_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
  [9] = {
    [ts_external_token_comment] = true,
    [ts_external_token__right_quoted_string_delimiter] = true,
    [ts_external_token_line_number_directive] = true,
  },
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_ocaml_external_scanner_create(void);
void tree_sitter_ocaml_external_scanner_destroy(void *);
bool tree_sitter_ocaml_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_ocaml_external_scanner_serialize(void *, char *);
void tree_sitter_ocaml_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_ocaml(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym__lowercase_identifier,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_ocaml_external_scanner_create,
      tree_sitter_ocaml_external_scanner_destroy,
      tree_sitter_ocaml_external_scanner_scan,
      tree_sitter_ocaml_external_scanner_serialize,
      tree_sitter_ocaml_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
